<?php

  # project: eBrigade
  # homepage: http://sourceforge.net/projects/ebrigade/
  # version: 5.2

  # Copyright (C) 2004, 2020 Nicolas MARCHE
  # This program is free software; you can redistribute it and/or modify
  # it under the terms of the GNU General Public License as published by
  # the Free Software Foundation; either version 2 of the License, or
  # (at your option) any later version.
  #
  # This program is distributed in the hope that it will be useful,
  # but WITHOUT ANY WARRANTY; without even the implied warranty of
  # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  # GNU General Public License for more details.
  # You should have received a copy of the GNU General Public License
  # along with this program; if not, write to the Free Software
  # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

include_once ("config.php");
check_all(56);
$id=$_SESSION['id'];
get_session_parameters();
writehead();
test_permission_level(56);

$possibleorders= array('G_LEVEL','P_STATUT','P_NOM','P_SECTION');
if ( ! in_array($order, $possibleorders) or $order == '' ) $order='P_NOM';

if ( $month > 12 ) {
    $month=date('n');
    $_SESSION['month'] = $month;
}

$moislettres=moislettres($month);
$nbjoursdumois=nbjoursdumois($month, $year);
$yearnext=date("Y") +1;
$yearcurrent=date("Y");
$yearprevious = date("Y") - 1;

?>
<STYLE type="text/css">
.participe{color:<?php echo $mydarkcolor; ?>;background-color:<?php echo $mylightcolor; ?>;font-size:8pt; font-weight:bold;}
.garde1{color:white;background-color:purple;font-size:8pt; font-weight:bold;}
.garde1j{color:white;background-color:blue;font-size:8pt; font-weight:bold;}
.garde1n{color:white;background-color:brown;font-size:8pt; font-weight:bold;}
.garde2{color:white;background-color:green;font-size:8pt; font-weight:bold;}
.garde3{color:white;background-color:orange;font-size:8pt; font-weight:bold;}
.dispo{color:green; font-size:8pt;}
.dispoweekend{color:green; background-color:yellow;font-size:8pt;}
.indispo{color:black;background-color:lightgrey; font-size:8pt;font-style:italic;}
.weekend{background-color:<?php echo $yellow; ?>;}
.planning-row { border-bottom: solid 1px ; }
tr.border_bottom td { border-bottom:1px solid <?php echo $mydarkcolor; ?>; }
td.borderleft { border-left:1px solid <?php echo $mydarkcolor; ?>; min-width:20px}
.categorie{color:<?php echo $mydarkcolor; ?>;background-color:<?php echo $mylightcolor; ?>;font-size:10pt;}
.type{color:<?php echo $mydarkcolor; ?>; background-color:white; font-size:9pt;}
</STYLE>
<script type='text/javascript' src='js/planning.js?version=5'></script>
<?php
echo "</head>";
echo "<body>";

$querycnt="select count(1) as NB";
$query1="select distinct p.P_ID, p.P_NOM , p.P_PRENOM, p.P_SEXE, p.P_GRADE, p.P_STATUT, p.P_SECTION, s.S_CODE ";
$queryadd1=" from pompier p, grade g , section s
     where p.P_GRADE=g.G_GRADE
     and p.P_SECTION=s.S_ID
     and p.P_NOM <> 'admin' 
     and p.P_OLD_MEMBER = 0 
     and p.P_STATUT <> 'EXT'";
$queryadd2="";
if ( $subsections == 1 )
    $queryadd2 = " and p.P_SECTION in (".get_family("$filter").")";
else
    $queryadd2 = " and p.P_SECTION =".$filter;

if ( $day_planning > 0  and $type_evenement <> 'DISPOSONLY') {
    $queryadd2 .= " and exists (select 1 from evenement e, type_evenement te, evenement_participation ep, evenement_horaire eh
                                where ep.P_ID = p.P_ID
                                and eh.E_CODE = ep.E_CODE
                                and eh.EH_ID = ep.EH_ID
                                and e.E_CODE = eh.E_CODE
                                and e.E_CODE = ep.E_CODE
                                and te.TE_CODE = e.TE_CODE
                                and ep.E_CODE = e.E_CODE
                                and ep.EP_ABSENT=0
                                and e.TE_CODE <> 'MC'";
    if ( $type_evenement <> 'ALL' ) 
            $queryadd2 .= " and (te.TE_CODE = '".$type_evenement."' or te.CEV_CODE = '".$type_evenement."')";
    $queryadd2 .=" and eh.EH_DATE_DEBUT <= '".$year."-".$month."-".$day_planning."' 
                and eh.EH_DATE_FIN >= '".$year."-".$month."-".$day_planning."'";
    $queryadd2 .= ")";
}

$querycnt .= $queryadd1.$queryadd2;
$query1 .= $queryadd1.$queryadd2." order by ". $order;
if ( $order == "G_LEVEL" )  $query1 .=" desc";

$resultcnt=mysqli_query($dbc,$querycnt);
$rowcnt=mysqli_fetch_array($resultcnt);
$number = $rowcnt[0];



echo "<div align=center><font size=4><b>Planning du personnel $moislettres $year</b></font> <span class='badge'>$number</span> personnes";
echo " <a href='#'><i class='far fa-file-excel fa-lg' style='color:green' id='StartExcel' title='Excel' onclick=\"window.open('planning_xls.php');\" ></i></a>";
echo "<table  class='noBorder'>";



// choix mois anne
echo "<form><tr><td align=right>Anne </td><td>
<select name='menu1' onchange=\"fillmenu(this.form,this.form.menu1,this.form.menu2)\">";
if ($year > $yearprevious) echo "<option value='$yearprevious'>".$yearprevious."</option>";
else echo "<option value='$yearprevious' selected>".$yearprevious."</option>";
if ($year <> $yearcurrent) echo "<option value='$yearcurrent' >".$yearcurrent."</option>";
else echo "<option value='$yearcurrent' selected>".$yearcurrent."</option>";
if ($year < $yearnext)  echo "<option value='$yearnext' >".$yearnext."</option>";
else echo "<option value='$yearnext' selected>".$yearnext."</option>";
echo  "</select></td></td>";

echo "<tr><td align=right>Mois </td>
<td><select name='menu2' onchange=\"fillmenu(this.form,this.form.menu1,this.form.menu2)\">";
$m=1;
while ($m <=12) {
      $monmois = $mois[$m - 1 ];
      if ( $m == $month ) echo  "<option value='$m' selected >".$monmois."</option>\n";
      else echo  "<option value= $m >".$monmois."</option>\n";
      $m=$m+1;
}
echo  "</select>";
echo "</td></tr></form>";


// type activit
echo "<tr>";
echo "<td align=right> Activit </td>";
echo "<td align=left colspan=2><select id='type' name='type' 
     onchange=\"orderfilter('".$order."',document.getElementById('filter').value,'".$subsections."',document.getElementById('type').value,document.getElementById('day_planning').value)\">";

if ( $type_evenement == 'DISPOSONLY' ) $selected = 'selected';
else $selected = '';
echo "<option value='DISPOSONLY' $selected>Seulement disponibilits </option>\n";

if ( $type_evenement == 'ALL' ) $selected = 'selected';
else $selected = '';
echo "<option value='ALL' $selected>Toutes activits </option>\n";
if ( $gardes == 1 ) {
    if ( $type_evenement == 'ALLBUTGARDE' ) $selected = 'selected';
    else $selected = '';
    echo "<option value='ALLBUTGARDE' $selected>Toutes activits sauf gardes</option>\n";
}
$query2="select distinct te.CEV_CODE, ce.CEV_DESCRIPTION, te.TE_CODE, te.TE_LIBELLE
    from type_evenement te, categorie_evenement ce
    where te.CEV_CODE=ce.CEV_CODE
    and te.TE_CODE <> 'MC'
    order by te.CEV_CODE desc, te.TE_LIBELLE asc";
$result2=mysqli_query($dbc,$query2);
$prevCat='';
while (custom_fetch_array($result2)) {
    if ( $prevCat <> $CEV_CODE ){
        echo "<option class='categorie' value='".$CEV_CODE."' label='".$CEV_DESCRIPTION."'";
        if ($CEV_CODE == $type_evenement ) echo " selected ";
        echo ">".$CEV_DESCRIPTION."</option>\n";
    }
    $prevCat=$CEV_CODE;
    echo "<option class='type' value='".$TE_CODE."' title=\"".$TE_LIBELLE."\"";
    if ($TE_CODE == $type_evenement ) echo " selected ";
    echo ">".$TE_LIBELLE."</option>\n";
}
echo "</select></td></tr>";
// section
echo "<tr>";
echo "<td align=right>".choice_section_order('planning.php')."</td>";
echo "<td><select id='filter' name='filter' title='filtre par section'
        onchange=\"orderfilter('".$order."',document.getElementById('filter').value,'".$subsections."','".$type_evenement."',document.getElementById('day_planning').value)\">";
    display_children2(-1, 0, $filter, $nbmaxlevels, $sectionorder);
echo "</select>";
    
echo "</td>";
if ( get_children("$filter") <> '' ) {
    if ($subsections == 1 ) $checked='checked';
    else $checked='';
    echo "<tr><td></td><td align=left ><input type='checkbox' name='sub' id='sub' $checked
       onClick=\"orderfilter2('".$order."',document.getElementById('filter').value, this,'".$type_evenement."')\"/>
       <label for='sub'>inclure les sous-sections</label></td></tr>";
}

// jour de participations

echo "<tr >";
echo "<td align=right>Filtre jour</td>";
if ( $type_evenement == 'DISPOSONLY' ) $disabled='disabled';
else $disabled='';
echo "<td><select id='day_planning' name='day_planning' $disabled
        title='filtre par jour, seules les personnes ayant une participation ce jour sont affiches, si Activit est slectionne   seulement disponibilits, alors ce filtre est dsactiv'
        onchange=\"orderfilter('".$order."',document.getElementById('filter').value,'".$subsections."','".$type_evenement."',document.getElementById('day_planning').value);\">";
for ( $i = 0 ; $i <= $nbjoursdumois ; $i++ ) {
    if ( $i == $day_planning ) $selected = 'selected';
    else $selected = '';
    if ( $i == 0 ) $d = 'Pas de filtre';
    else $d = 'participe le '.$i;
    echo "<option value=".$i." $selected>".$d."</option>";
}
echo "</select>";


echo "</tr><tr height=40><td colspan=3>";
// ====================================
// pagination
// ====================================
require_once('paginator.class.php');
$pages = new Paginator;
$pages->items_total = $number;
$pages->mid_range = 9;
$pages->paginate();
if ( $number > 10 ) {
    echo $pages->display_pages();
    echo $pages->display_jump_menu(); 
    echo $pages->display_items_per_page(); 
    $query1 .= $pages->limit;
}
$result1=mysqli_query($dbc,$query1);
$numberrows=mysqli_num_rows($result1);

// optimisation, mettre dans un tableau le nombre de participations par jour et par personne
$N = array();
$G = array();
$T = array();
$D = array();
$Q = array();
$A = array();
$P = array();
$lst="";

while ($row1=mysqli_fetch_array($result1))
    $lst .= $row1["P_ID"].",";
$lst .= '0';

$result1=mysqli_query($dbc,$query1);
for ( $i = 1; $i <= $nbjoursdumois; $i++ ) {
    if ( $gardes and ( $type_evenement == 'ALL' or $type_evenement == 'GAR')) {
        // les gardes
        $query2="select ep.P_ID, count(1) as NB, sum(ep.EP_DUREE) as TOT, count(distinct ep.E_CODE) DIS, sum(ep.EH_ID) PAR, sum(e.E_EQUIPE) EQ
              from evenement_horaire eh, evenement_participation ep , evenement e
            where ep.P_ID in (".$lst.")
            and e.E_CODE = ep.E_CODE
            and eh.E_CODE= ep.E_CODE
            and eh.E_CODE= ep.E_CODE
            and eh.EH_ID = ep.EH_ID
            and eh.EH_DATE_DEBUT = '".$year."-".$month."-".$i."'
            and ep.EP_ABSENT = 0
            and e.TE_CODE = 'GAR'" ;
        if (! check_rights($id,6)) {
            $query2.= " and e.E_VISIBLE_INSIDE=1 ";
        }
        $query2.=" group by ep.P_ID";
        $result2=mysqli_query($dbc,$query2);
        while ($row2=@mysqli_fetch_array($result2)) {
            $G[$i][$row2["P_ID"]]=$row2["NB"];
            $T[$i][$row2["P_ID"]]=$row2["TOT"];
            $D[$i][$row2["P_ID"]]=$row2["DIS"];
            $P[$i][$row2["P_ID"]]=$row2["PAR"];
            $Q[$i][$row2["P_ID"]]=$row2["EQ"]; 
        }
    }
    // autres que gardes
    if ( ! $gardes or $type_evenement <> 'GAR' or $type_evenement <> 'DISPOSONLY') {
        $query2="select ep.P_ID, count(1) as NB
                from evenement_horaire eh, evenement_participation ep , evenement e, type_evenement te
                where ep.P_ID in (".$lst.")
                and e.E_CODE = eh.E_CODE
                and e.E_CODE = ep.E_CODE
                and eh.E_CODE= ep.E_CODE
                and eh.EH_ID = ep.EH_ID
                and ep.EP_ABSENT = 0
                and e.TE_CODE = te.TE_CODE";
        if ( $gardes ) 
            $query2 .= " and e.TE_CODE not in ('GAR','MC')";
        else
            $query2 .= " and e.TE_CODE <> 'MC'";
        if ( $type_evenement <> 'ALLBUTGARDE' and $type_evenement <> 'ALL') 
            $query2 .= " and (te.TE_CODE = '".$type_evenement."' or te.CEV_CODE = '".$type_evenement."')";
        $query2 .=" and eh.EH_DATE_DEBUT <= '".$year."-".$month."-".$i."'
                    and eh.EH_DATE_FIN >= '".$year."-".$month."-".$i."'";
        $query2 .=" group by ep.P_ID";
        $result2=mysqli_query($dbc,$query2);
        while ($row2=@mysqli_fetch_array($result2)) {
             $N[$i][$row2["P_ID"]]=$row2["NB"];
        }
    }
    $query2="select i.TI_CODE, ti.TI_LIBELLE, i.P_ID
            from indisponibilite i, type_indisponibilite ti
           where i.P_ID in (".$lst.")
           and i.TI_CODE = ti.TI_CODE
           and i.I_STATUS='VAL'
           and i.I_DEBUT <='".$year."-".$month."-".$i."'
           and i.I_FIN >='".$year."-".$month."-".$i."'";
    $result2=@mysqli_query($dbc,$query2);
    while ($row2=@mysqli_fetch_array($result2)) {
        $A[$i][$row2["P_ID"]]=$row2["TI_CODE"];
        $P[$i][$row2["P_ID"]]=$row2["TI_LIBELLE"];
    }
}

// affichage
$result1=mysqli_query($dbc,$query1);
echo "</td></tr></table>";

echo "<table cellspacing=0 >";

// ===============================================
// premiere ligne du tableau
// ===============================================

echo "<tr class=TabHeader>";
if ( $grades == 1 ) {
    echo "<td width=40 align=center ><a href=planning.php?order=G_LEVEL class=TabHeader>Grade</a></td>";
}
echo "      <td align=center>
            <a href=planning.php?order=P_NOM class=TabHeader>Nom</td>";

echo "<td class=TabHeader align=center width=120><a href=planning.php?order=P_SECTION class=TabHeader>Section</a></td>";

for ( $i = 1 ; $i <= $nbjoursdumois ; $i++ ) {
    $jj=date("w", mktime(0, 0, 0, $month, $i, $year));
    if ( $jj == 0 or $jj == 6 ) $color=$yellow;
    else $color=$white;
    if ( $day_planning == $i ) $d="<span class='badge badge-pill badge3' title='Seules les personnes ayant une activit ce jour sont prises en compte, cliquer pour dsactiver ce filtre'>
                    <a href=planning.php?day_planning=0 style='color:white;'>".$i."</a></span>";
    else $d="<a title='cliquer ici pour filtrer sur les personnes participant  une activit ce jour' href=planning.php?day_planning=".$i." style='color:white;'>".$i."</a>";
    if ( $type_evenement == 'DISPOSONLY' ) $d = $i;
    echo "    <td class=tabheader align=center width=25><font color=".$color.">".$d."</td>";
}

echo " </tr>";


// ===============================================
// le corps du tableau
// ===============================================
$r=0;
$nbr=mysqli_num_rows($result1);
while (custom_fetch_array($result1)) {
    $r++;
    if ( $P_SEXE == 'F' ) $prcolor='purple';
    else $prcolor=$mydarkcolor;
    if ( $r < $nbr )  $class='border_bottom';
    else $class='';
    
    echo "<tr bgcolor='white' class=".$class."
          onMouseover=\"this.bgColor='yellow'\"
          onMouseout=\"this.bgColor='white'\" >";

    if ( $grades == 1 ) {
        echo "      <td align=center>$P_GRADE</td>";
    }
    echo "    <td nowrap><small><span color=$prcolor><a href=upd_personnel.php?pompier=".$P_ID.">".strtoupper($P_NOM)." ".my_ucfirst($P_PRENOM)."</a></span></small></td>";

    echo "<td align=center class='borderleft' nowrap><small>".$S_CODE."</small></td>";
    
    for ( $i = 1; $i <= $nbjoursdumois; $i++ ) {
        list ($status, $title, $style ) = get_status($P_ID,$year,$month,$i);
        if ( $style=='none' || $style=='dispo'){
            $jj=date("w", mktime(0, 0, 0, $month, $i, $year));
             if ( $jj == 0 or $jj == 6 ) {
                if ( $style=='none' ) $style='weekend';
                else if ( $style=='dispo' ) $style='dispoweekend';
            }
        }
        
        echo "<td 
                align=center
                title=\"".$title."\" 
                class='".$style." borderleft'>
                <small>".$status."</small>
              </td>";
    }
    
}
echo "</table>";
writefoot();
?>
