#====================================================;
#  Upgrade v5.2;
#====================================================;

SET sql_mode = '';

# ------------------------------------;
# message spcifique
# ------------------------------------;

ALTER TABLE pompier ADD P_ACCEPT_DATE2 DATETIME NULL AFTER P_ACCEPT_DATE;

INSERT INTO configuration (ID,NAME,VALUE,DESCRIPTION,ORDERING,HIDDEN,TAB,YESNO)
VALUES ('69', 'info_connexion', '0', 'Activer l''affichage d''un message spcifique  la premire connexion,  dfinir dans le fichier specific_info.php', '312', '0', '3', '1');
# ------------------------------------;
# Ajout grades manquants
# ------------------------------------;
INSERT INTO grade (G_GRADE,G_DESCRIPTION,G_LEVEL,G_TYPE,G_CATEGORY) VALUES
('CG1','Contrleur gnral','117','officiers','SP'),
('LTNHC','lieutenant hors classe','113','officiers','SP');
# ------------------------------------;
# support Whatsapp groups
# ------------------------------------;

ALTER TABLE section ADD S_WHATSAPP VARCHAR(30) NULL AFTER S_AFFILIATION;
ALTER TABLE evenement ADD E_WHATSAPP VARCHAR(30) NULL AFTER E_TEL;

delete from log_type where LT_CODE in ('UPDS33');
INSERT INTO log_type (LT_CODE, LC_CODE, LT_DESCRIPTION)
VALUES ('UPDS33', 'S', 'Modification Groupe Whatsapp');

delete from log_type where LT_CODE in ('UPDS34');
INSERT INTO log_type (LT_CODE, LC_CODE, LT_DESCRIPTION)
VALUES ('UPDS34', 'S', 'Modification Ordre garde');

# ------------------------------------;
# Webex link
# ------------------------------------;
ALTER TABLE evenement
ADD E_WEBEX_URL VARCHAR(500) NULL AFTER E_WHATSAPP,
ADD E_WEBEX_PIN VARCHAR(20) NULL AFTER E_WEBEX_URL;

ALTER TABLE evenement
ADD E_WEBEX_START TIME NULL AFTER E_WEBEX_PIN;

#-------------------------------------;
# Add Widget formations 
#-------------------------------------;
INSERT INTO widget (W_ID, W_TYPE, W_FUNCTION, W_TITLE, W_LINK, W_LINK_COMMENT, W_ICON, W_COLUMN, W_ORDER) VALUES
(26, 'box', 'show_tblo_formation', 'Heures de formation', NULL, 'Rcapitulatif des heures de formation', NULL, 3, 5);
UPDATE widget SET W_ORDER = '6' WHERE W_ID = 22;

INSERT INTO widget_condition (W_ID, WC_TYPE, WC_VALUE)
VALUES ('26', 'pompiers', '1'), ('26', 'evenements', '1');

#-------------------------------------;
# Widget responsables oprationnelle 
#-------------------------------------;
ALTER TABLE groupe ADD TR_WIDGET TINYINT NOT NULL DEFAULT '0' AFTER TR_ALL_POSSIBLE;
update groupe set TR_WIDGET=1 where GP_ID=107;

#-------------------------------------;
# Widget stats manquantes, que pour assoc 
#-------------------------------------;
UPDATE widget_condition SET WC_TYPE = 'assoc', WC_VALUE = '1' WHERE W_ID = 12 AND WC_TYPE = 'syndicate';

#-------------------------------------;
# Expiration mot de passe 
#-------------------------------------;
ALTER TABLE pompier ADD P_MDP_EXPIRY DATE NULL DEFAULT NULL AFTER P_PASSWORD_FAILURE;
ALTER TABLE pompier ADD INDEX (P_MDP_EXPIRY);

# ------------------------------------;
# customisation
# ------------------------------------;

delete from configuration where ID=70;
INSERT INTO configuration (ID, NAME, VALUE, DESCRIPTION, ORDERING, HIDDEN, TAB, YESNO)
VALUES ('70', 'password_expiry_days', '0', 'Expiration des mots de passes aprs un certain nombre de jours.', '316', '0', '3', '0');

# ------------------------------------;
# agrments
# ------------------------------------;
UPDATE type_agrement SET TA_CODE = 'A', TA_DESCRIPTION = 'Sauvetage aquatique' WHERE TA_CODE = 'A3';
UPDATE agrement set TA_CODE='A' where TA_CODE='A3';

UPDATE type_agrement SET TA_CODE = 'A-Aqua', TA_DESCRIPTION = 'Sauvetage aquatique' WHERE TA_CODE = 'A';
UPDATE agrement set TA_CODE='A-Aqua' where TA_CODE='A';

# ------------------------------------;
# documents sur fiches victimes
# ------------------------------------;
ALTER TABLE document ADD VI_ID INT NOT NULL DEFAULT '0' AFTER NF_ID;

# ------------------------------------;
# widgets
# ------------------------------------;
delete from widget where W_ID in (27,28);
INSERT INTO widget (W_ID,W_TYPE,W_FUNCTION,W_TITLE,W_LINK,W_LINK_COMMENT,W_ICON,W_COLUMN,W_ORDER)
VALUES ('27', 'box', 'show_attestation_fiscale', 'attestations fiscales', 'upd_personnel.php?tab=6&self=1', 'Voir toutes mes attestation fiscale', NULL, '1', '2'),
('28', 'box', 'show_documentation', 'documentation', 'documents.php?filter=1&td=ALL&dossier=0&status=documents&yeardoc=all', 'Voir toute la documentation', NULL, '1', '2');


delete from widget_condition where W_ID in (9,27,28);
INSERT INTO widget_condition (W_ID, WC_TYPE, WC_VALUE)
VALUES ('9', 'permission', '40'),
('27', 'syndicate', '1'),
('28', 'syndicate', '1');

# ------------------------------------;
# consignes
# ------------------------------------;
ALTER TABLE evenement CHANGE E_CONSIGNES E_CONSIGNES VARCHAR(500) NULL;

# ------------------------------------;
# report
# ------------------------------------;
drop table if exists log_report;
CREATE TABLE log_report (
LR_ID INT NOT NULL AUTO_INCREMENT,
LR_DATE DATETIME NOT NULL,
R_CODE VARCHAR(30) NOT NULL,
P_ID INT NOT NULL,
S_ID INT NOT NULL,
LR_ROWS INT NOT NULL,
LR_PARAMS VARCHAR(100) NOT NULL,
LR_TIME SMALLINT NOT NULL,
PRIMARY KEY (LR_ID));
ALTER TABLE log_report ADD INDEX (S_ID);

drop table if exists report_list;
CREATE TABLE report_list (
R_CODE VARCHAR(40) NOT NULL,
R_NAME VARCHAR(100) NOT NULL,
PRIMARY KEY (R_CODE));

INSERT INTO report_list (R_CODE,R_NAME) VALUES
('1nbparticipants', 'Nombre de participants'),
('1evenement_annule_liste', 'Evnements Annuls (justificatifs)'),
('1evenement_annule', 'Evnements Annuls par type'),
('1tcd_activite_annee', 'Evnements par type et par section'),
('1renforts', 'Evnements Renforts'),
('1conventions', 'Etat des Conventions - COA'),
('1conventionsmanquantes', 'Conventions manquantes - COA'),
('1statsmanquantes', 'Statistiques manquantes'),
('1dps', 'DPS raliss'),
('1dpsre', 'DPS raliss (renforts exclus)'),
('1maraudes', 'Maraudes ralises'),
('1heb', 'Hbergements d''urgence raliss'),
('1asigcs', 'Actions de Sensibilisation Initiation aux Gestes et Comportements qui Sauvent'),
('1accueilRefugies', 'Accueils des rfugis'),
('1vacci', 'Vaccinations'),
('1horairesdouteux', 'Horaires douteux  corriger'),
('1datecre', 'Dates de cration des vnements'),
('1promocom', 'Evnements Promotion - Communication'),
('1horsdep', 'Evnements hors dpartement'),
('1Tevtpardep', 'Nombre vnements par dpartement - type au choix'),
('1alsan', 'Alertes sanitaires'),
('1alsanre', 'Alertes sanitaires (hors renforts)'),
('1kmalsan', 'Alertes sanitaires - Kilomtrage ralis'),
('1alsanpardep', 'Statistiques Alertes sanitaires par dpartement'),
('1mkalsanpardep', 'Kilomtrage Alertes sanitaires par dpartement'),
('formations', 'Formations ralises'),
('1formations_sd', 'Formations: nombres de stagiaires et de valids'),
('1formationsnontraitees', 'Formations non traites'),
('1sst', 'Formations SST ralises'),
('1gqs', 'Formations GQS ralises'),
('1formationsCE', 'Formations chef d''quipe ou chef de poste ralises'),
('sstexpiration', 'Expiration des Diplmes SST'),
('2Cforpardep', 'Nombre de formations par dpartement et par an pour une comptence'),
('1facturation', 'Suivi commercial'),
('1facturationRecap', 'Dtail du suivi commercial'),
('fafacturer', 'Evnements termins a facturer'),
('1tnonpaye', 'Evenements termins non pays'),
('1fnonpaye', 'Evnements facturs non pays'),
('1paye', 'Evnements pays'),
('1facturestoutes', 'Listes des factures'),
('1cadps', 'Chiffre d''affaire DPS'),
('1cadps_sansR', 'Chiffre d''affaire DPS hors renforts'),
('1cafor', 'Chiffre d''affaire Formations'),
('1facturepayeedps', 'Factures de DPS payes'),
('1facturepayeefor', 'Factures de Formations payes'),
('1evenement_annule_liste2', 'Evnements annuls'),
('code_conducteur', 'Codes conducteurs'),
('vehicule', 'Liste des vhicules'),
('1vehicule_km', 'Kilomtrage ralis par vhicule (bilan)'),
('1associat_km', 'Kilomtrage raliss par les vhicules (dtail)'),
('1perso_km', 'Kilomtrage dtaill en vhicule personnel'),
('1perso_km_total', 'Kilomtrage total en avec vhicule personnel'),
('1missing_km', 'Kilomtrage non renseigns'),
('1evenement_km', 'Kilomtrage par type d''vnement'),
('vehicule_a_dispo', 'Vhicules mis  disposition'),
('materiel_a_dispo', 'Matriel mis  disposition'),
('1consommation_produits', 'Consommation de produits'),
('stock_consommables', 'Stock de produits consommables'),
('tenues_personnel', 'Tenues du personnel'),
('nbadherentspardep', 'Nombre de personnel bnvoles et salaris par dpartement'),
('effectif', 'Liste du personnel'),
('salarie', 'Liste du personnel salari'),
('1civique', 'Liste du personnel en service civique par date'),
('1snu', 'Liste du personnel en service national universel par date'),
('chiens', 'Chiens de recherche avec comptences valides'),
('creationfiches', 'Cration des fiches personnel'),
('provenantautres', 'Personnel ayant chang de section'),
('adresses', 'Liste des adresses du personnel'),
('adresses2', 'Liste des adresses des adhrents'),
('1anniversaires', 'Anniversaires des membres'),
('1heuressections', 'Heures ralises / section'),
('1absences', 'Absences sur les vnements '),
('1nombreabsences', 'Nombre d''absences / personne'),
('1anciens', 'Anciens membres avec date de sortie'),
('engagement', 'Annes d''engagement du personnel '),
('1inactif2', 'Personnel inactif'),
('skype', 'Identifiants de contact Skype '),
('zello', 'Identifiants de contact Zello '),
('whatsapp', 'Identifiants de contact Whatsapp '),
('typeemail', 'Rpartition par type d''email'),
('sans2emeprenom', 'Personnel actif sans deuxime prnom renseign'),
('sansdatenaissance', 'Personnel actif sans date de naissance renseigne'),
('sanslieunaissance', 'Personnel actif sans lieu de naissance renseign'),
('sansphoto', 'Personnel actif sans photo d''identit'),
('sansemail', 'Personnel sans email valide'),
('sansadresse', 'Personnel sans adresse valide'),
('sanstel', 'Personnel sans numro de tlphone valide'),
('homonymes', 'Liste des homonymes (nom, prnom)'),
('doublons', 'Liste des fiches personnel en double (nom,prnom,date de naissance)'),
('doubleaffect', 'Liste personnes avec plusieurs affectations'),
('doublonlicence', 'Liste des numros de licences affects  plusieurs fiches actives'),
('infolue', 'Suivi lecture note d''information importante'),
('effectif2', 'Liste des utilisateurs dpartementaux (accs admin seul)'),
('effectif3', 'Liste des administrateurs dpartementaux (accs admin seul)');

INSERT INTO report_list (R_CODE,R_NAME) VALUES
('1heurespersonne', 'Participations / personne'),
('1heurespersonnetous', 'Participations / personne (avec les externes)'),
('1participations', 'Nombre de participations sur la priode'),
('1participationsformateurs', 'Participations des formateurs'),
('1participationsadresses', 'Adresses du personnel ayant particip'),
('1participationssalaries', 'Participations des salaris'),
('1participationsprompcom', 'Participations aux Evnements Promotion - Communication'),
('1participationsnautique', 'Participations aux Evnements Activit nautique'),
('tempsconnexion', 'Temps de connexion par personne'),
('tempconnexionparsection', 'Temps de connexion par dpartement'),
('1participationsannules', 'Participations aux Evnements Annuls'),
('1participationsparjour', 'Nombre de participations par jour des bnvoles'),
('1heurespersonneSNU', 'Participations du personnel Service National Universel'),
('1heurespersonneMineur', 'Participations du personnel mineur'),
('adressesext', 'Liste des adresses des externes'),
('telext', 'Liste des externes ayant un numro de tlphone renseign'),
('mailext', 'Liste des externes ayant un email renseign'),
('1participationsext', 'Participations des externes par dates'),
('1heurespersonneexternes', 'Participations / personne externe'),
('1participationsadressesext', 'Adresses des externes ayant particip entre deux dates'),
('groupes', 'Permissions du personnel'),
('roles', 'Rles dans l''organigramme du personnel'),
('secouristesPSE', 'Liste des secouristes PSE1 ou PSE2'),
('secouristesparsection', 'Nombre de secouristes PSE2 ou PSE1 seulement'),
('secouristesPSE1', 'Liste des secouristes seulement PSE1'),
('moniteurs', 'Liste des moniteurs de secourisme'),
('moniteursPSC', 'Liste des moniteurs seulement PSC'),
('moniteursparsection', 'Nombre de moniteurs de secourisme'),
('formateurs', 'Liste des formateurs'),
('personnelsante', 'Liste du personnel de sant'),
('competence_expire', 'Comptences expires'),
('diplomesPSC1', 'Liste des diplmes PSC1'),
('1diplomesPSC1', 'Liste des diplmes PSC1 par dates'),
('diplomesPSE1', 'Liste des diplmes PSE1'),
('diplomesPSE2', 'Liste des diplmes PSE2'),
('sectionannuaire', 'Annuaire des sections'),
('departementannuaire', 'Annuaire des dpartements'),
('sectionannuaire2', 'Annuaire des dpartements et antennes'),
('sectionannuaire3', 'Adresses des lieux de formation'),
('IDRadio', 'Codes ID Radio des dpartements et antennes'),
('agrements', 'Liste des agrments'),
('agrements_dps', 'Liste des agrments DPS'),
('SMSsections', 'Comptes SMS'),
('1updateorganigramme', 'Nouveaux lus dpartementaux'),
('1interdictions', 'Interdictions de crer certains vnements'),
('entreprisesannuaire', 'Annuaire des entreprises'),
('medecinsreferents', 'Mdecins rfrents'),
('1entreprisesDPS', 'Entreprises bnficiant de DPS'),
('1entreprisesFOR', 'Entreprises bnficiant de Formations'),
('1garde', 'Gardes ralises'),
('1gardere', 'Gardes ralises (hors renforts)'),
('1ah', 'Bilan actions humanitaires'),
('1soutienpopulations', 'Bilan aide aux populations'),
('1heuresparticipations', 'Bilan participations tous vnements'),
('1heuresparticipationspartype', 'Bilan heures participations par type d''vnement'),
('2cotisationsPayees', 'Cotisations payes pour une anne'),
('montantactuel', 'Montant actuel des cotisations'),
('cotisationspayees', 'Cotisations payes par dpartement pour l''anne en cours'),
('cotisationspayeesparpers', 'Cotisations payes par personne pour l''anne en cours'),
('1cotisationspayees', 'Cotisations payes entre deux dates'),
('2cotisationsimpayees', 'Cotisations non payes pour l''anne');
INSERT INTO report_list (R_CODE,R_NAME) VALUES
('1intervictime', 'Nombre d''interventions par jour'),
('1intervictimeparevt', 'Nombre d''interventions par vnement'),
('1victimenationalite', 'Nombre de personnes prises en charge par nationalit'),
('1victimeage', 'Nombre de personnes prises en charge par ge'),
('1victimesexe', 'Nombre de personnes prises en charge par sexe'),
('1statdetailvictime', 'Statistiques personnes prises en charge et actions ralises par jour'),
('1statdetailvictimeparevt', 'Statistiques personnes prises en charge et actions ralises par vnement'),
('1transportdest', 'Nombre de Transports de victimes selon destination'),
('1transportpar', 'Nombre de Transports de victimes selon transporteur'),
('1listevictime', 'Liste des personnes prises en charge'),
('1listevictimeCAV', 'Liste des Victimes au Centre d''Accueil'),
('pointdujour', 'Point de situation du jour'),
('1activite', 'Point de situation par date'),
('maincourantejour', 'Rapports d''interventions renseigns ce jour'),
('maincourantehier', 'Rapports d''interventions renseigns hier'),
('compterendujour', 'Rapports de comptes rendus renseigns ce jour'),
('compterenduhier', 'Rapports de comptes rendus renseigns hier'),
('personneldisponiblea', 'Personnel disponible aujourd''hui'),
('personneldisponibled', 'Personnel disponible demain'),
('veille', 'Personnel de veille oprationnelle '),
('presidents', 'Prsidents dpartementaux '),
('responsablesformations', 'Directeur des Formations dpartementaux '),
('responsablesoperationnels', 'Directeur des Oprations dpartementaux '),
('1note_ATTV', 'Notes de frais en attente de validation'),
('1note_ANN', 'Notes de frais annules'),
('1note_REF', 'Notes de frais refuses'),
('1note_VAL', 'Notes de frais valides'),
('1note_VAL2', 'Notes de frais valides deux fois'),
('1note_REMB', 'Notes de frais rembourses (ou dons  l''association)'),
('1note_toutes', 'Notes de frais (toutes)'),
('1notN_ATTV', 'Notes de frais nationales en attente de validation'),
('1notN_ANN', 'Notes de frais nationales annules'),
('1notN_REF', 'Notes de frais nationales refuses'),
('1notN_VAL', 'Notes de frais nationales valides'),
('1notN_VAL2', 'Notes de frais nationales valides deux fois'),
('1notN_REMB', 'Notes de frais nationales rembourses'),
('1notN_toutes', 'Notes de frais nationales (toutes)'),
('horairesavalider', 'Horaires  valider'),
('1horaires', 'Horaires entre 2 dates (tous)'),
('competencesope', 'Comptences oprationnelles du personnel'),
('competencesfor', 'Comptences formation du personnel'),
('1soapcallsj', 'Nombre appels Webservice par jour'),
('1soaperrorsj', 'Nombre erreurs appels Webservice par jour'),
('1soapcalls', 'Accs Webservice'),
('1soaperrors', 'Erreurs Webservice');

INSERT INTO report_list (R_CODE,R_NAME) VALUES
('1heurespersonneforco', 'Maintien des acquis / personne (tous)'),
('adhmodepaiement', 'FA - Liste des adhrents actifs avec le mode de paiement'),
('adhpayantparcheque', 'FA - Liste des adhrents payant par chque'),
('adhpayantparvirement', 'FA - Liste des adhrents payant par virement'),
('adhpayantparprelevement', 'FA - Liste des adhrents payant par prlvement'),
('adhsuspendus', 'FA - Liste des adhrents suspendus'),
('adhretraites', 'FA - Liste des adhrents retraits'),
('adhactifsretraites', 'FA - Liste des adhrents non retraits dans les sections Retraite'),
('1radiations', 'FA - Liste des radiations d''adhrents pour suppression identifiants site internet'),
('1nouveauxadherents', 'FA - Liste des nouveaux adhrents pour cration identifiants site internet'),
('nbadherentspardepS', 'FA - Nombre d''adhrents par dpartement'),
('0nbadherentspardep', 'FA - Nombre d''adhrents par dpartement actifs  une date donne'),
('nbtotaladhparprof', 'FA - Nombre total d''adhrents SPP et PATS'),
('0nbtotaladhparprof', 'FA - Nombre total d''adhrents SPP et PATS actifs  une date donne'),
('nbadherents', 'FA - Nombre d''adhrents par centre et par profession'),
('adhNPAI', 'FA - Liste des adhrents en NPAI'),
('cordonneesAdherents', 'FA - Coordonnes des adhrents non suspendus'),
('adhdistribution', 'FA - Liste des adhrents pour distribution agendas - stylos'),
('adhcarte', 'FA - Liste des adhrents pour imprimeurs pour cartes adhrents'),
('1changementmail', 'FA - Liste des changements d''adresses email'),
('1changementtel', 'FA - Liste des changements de numro de tlphone'),
('1ribmodifie', 'FA - Liste des changements de coordonnes bancaires pour adhrents existants'),
('1changementcentre', 'FA - Liste des changements d''affectation ou de SDIS'),
('1changementgrade', 'FA - Liste des changements de grades'),
('adherentsajourcotisation', 'FA - Liste des adhrents actifs  jour de leurs cotisations'),
('1cotisationCheque', 'FA - Liste des cotisations payes par chque entre deux dates'),
('1cotisationVirPrev', 'FA - Liste des cotisations payes par virement ou prlvement entre deux dates'),
('adressesEnvoiColis', 'FA - Liste des adresses pour envoi colis'),
('nombrePrelevementParDep', 'FA REVERSEMENT - NOMBRE DADHERENTS EN DATE DAUJOURDHUI EN PRELEVEMENT OU VIREMENT'),
('1nombrePrelevementParDep', 'FA REVERSEMENT - NOMBRE DADHERENTS EN PRELEVEMENT OU VIREMENT ENTRE DEUX DATES'),
('nombrePrelevementParDeptt', 'FA REVERSEMENT - NOMBRE DADHERENTS EN DATE DAUJOURDHUI TOUS TYPES DE PAIEMENT'),
('1rejetsetregul', 'FA REVERSEMENT  REJETS ET REGUL PAR DATE'),
('rejetsencours', 'FA REVERSEMENT  REJETS EN COURS DE REGULARISATION'),
('nbsuspendupardep', 'FA REVERSEMENT  NB DE SUSPENDU EN PRELEVEMENT PAR DEPARTEMENT'),
('nomssuspendupardep', 'FA REVERSEMENT  NOM DES ADHERENTS SUSPENDUS EN PRELEVEMENT PAR DEPARTEMENT'),
('adhtournee', 'SA - Liste des adhrents pour tournes syndicales'),
('nbadherentsparcentre', 'SA - Nombre d''adhrents par centre'),
('cordonneesAdherentsparcentre', 'SA - Coordonnes des adhrents par centre'),
('cordonneesAdherentsparGTetService', 'SA  Coordonnes des adhrents par GT et Service (pour AG, Formation)'),
('cordonneesAdherentsparGTetServicesansNPAI', 'SA  Coordonnes des adhrents par GT et Service (pour AG, Formation) pour les courriers sans les NPAI'),
('adhtournee_off', 'SA 06  Liste des adhrents Officiers pour tournes syndicales'),
('adhtournee_non_off', 'SA 06  Liste des adhrents non Officiers pour tournes syndicales'),
('adhtournee_pats', 'SA 06  Liste des adhrents PATS pour tournes syndicales'),
('1majchgtadresse', 'FAFPT - Pour MAJ changement d''adresse'),
('1majradiation', 'FAFPT - Pour MAJ radiations'),
('nbadherentspardep2', 'POUR ANDRE - Nombre d''adhrents par dpartement'),
('1adherentsradies06', 'POUR ANDRE - Dtail des radiations du SA 06'),
('1nouveauxadherents2', 'POUR ANDRE - Nombre de nouveaux adhrents par dpartement'),
('1adherentsradies2', 'POUR ANDRE - Nombre de radiations par dpartement'),
('adherentsradies3', 'POUR ANDRE - Nombre de radiations au 31/12 anne dernire'),
('adherentsradies4', 'POUR ANDRE - Nombre de radiations au 31/12 anne en cours'),
('1nbNouveauxAdherentsParDep', 'POUR LES PRESIDENTS - Nombre de nouveaux adhrents par dpartement'),
('1nouveauxadherentsPres', 'POUR LES PRESIDENTS - Nouveaux adhrents'),
('1nbRadiationsAdherentsParDep', 'POUR LES PRESIDENTS - Nombre de radiations par dpartement et par motif'),
('1radiationsmotifPres', 'POUR LES PRESIDENTS - Radiations'),
('1verifmontants', 'ATTESTATION - vrification montant en fonction date adhsion'),
('2attestationsImpots', 'ATTESTATION  - Cotisations payes pour une anne'),
('2attestationsImpotsRejets', 'ATTESTATION  Cotisations avec rejets payes pour une anne'),
('impayesN-1', 'ATTESTATION  Rejets de l''anne dernire non rgulariss ou prlevs cette anne.'),
('president_syndicate', 'rsidents dpartementaux '),
('effectifadherents', 'Liste des adhrents'),
('1abonnejournal', 'Bnficiaires Echos FA-FPT'),
('1demandejournal', 'Souhaitent recevoir Echos FA-FPT'),
('droitBureauDE', 'Droits daccs Bureau Dpartemental par Dpartement'),
('2sommecotisations', 'Somme des cotisations par dpartement et profession pour l''anne'),
('rejets', 'Liste des rejets des prlvement'),
('fichierExtractionSG', 'Fichier dextraction pour Socit Gnrale '),
('1fichierExtractionSG', 'Fichier dextraction pour Socit Gnrale selon date adhsion'),
('SEPAcourrierRUM', 'SEPA  Liste des adhrents pour courrier RUM');

INSERT INTO report_list (R_CODE,R_NAME) VALUES
('1reports', 'Reportings extraits, audit'),
('1topreports', 'Reportings les plus utiliss');

INSERT INTO report_list (R_CODE,R_NAME) VALUES
('2sommecotisationsprevues', 'Cotisations prvues par dpartement et profession pour l''anne');

INSERT INTO report_list (R_CODE,R_NAME) VALUES
('1fonctionsparpers', 'Fonctions attribues pour chaque personne sur les gardes');


# ------------------------------------;
# en prt
# ------------------------------------;
UPDATE vehicule_position SET VP_OPERATIONNEL = '2' WHERE VP_ID = 'PRE';

# ------------------------------------;
# personnalisation appli
# ------------------------------------;
UPDATE configuration SET TAB = '4' WHERE ID in(6,7,8,27,38,39,40);
UPDATE configuration SET ORDERING = '5' WHERE ID = 27;

ALTER TABLE configuration ADD IS_FILE TINYINT NOT NULL DEFAULT '0' AFTER YESNO;

delete from configuration where ID in (71,72,73,74,75);
INSERT INTO configuration (ID, NAME, VALUE, DESCRIPTION, ORDERING, HIDDEN, TAB, YESNO, IS_FILE) VALUES
('71', 'logo', '', 'logo de l\'organisation, visible sur les PDFs gnrs (taille recommande environ 100 px de large et 120 px de hauteur recommands) ', '501', '0', '4', '0','1'),
('72', 'banniere', '', 'bannire de la page d\'accueil (taille recommande environ 120px de hauteur et 600 px de largeur)', '500', '0', '4', '0','1'),
('73', 'favicon', '', 'icone de l\'onglet web (taille recommande environ 60 px de large et 60 px de hauteur recommands) ', '503', '0', '4', '0','1'),
('74', 'apple_icon', '', 'icone pour cran d\'accueil iOS (taille recommande environ 100px de hauteur et 100 px de largeur)', '502', '0', '4', '0','1'),
('75', 'splash_screen', '', 'fond d\'cran pour la page de login (taille recommande environ 800px de hauteur et 1400 px de largeur)', '504', '0', '4', '0','1');

# ------------------------------------;
# comptences
# ------------------------------------;
delete from report_list where R_CODE='1ajoutscompetences';
INSERT INTO report_list (R_CODE,R_NAME) VALUES
('1ajoutscompetences', 'Comptences du personnel ajoutes par date');

# ------------------------------------;
# date ajout du matriel
# ------------------------------------;
ALTER TABLE materiel ADD MA_ADDED DATETIME NULL AFTER TV_ID;

# ------------------------------------;
# change version
# ------------------------------------;
update configuration set VALUE='5.2' where ID=1;

# ------------------------------------;
# end
# ------------------------------------;