#====================================================
#  REFERENCE DATABASE
#===================================================
# project: eBrigade
# homepage: http://sourceforge.net/projects/ebrigade/
# version: 5.2
# Copyright (C) 2004, 2020 Nicolas MARCHE
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
# ----------------------------------------------------------
# MYSQL Database dump
# Server : localhost:3308
# Database : scratch
# Db version : 5.2
# Date : 19 Aug 2020 at 17:58
# Dump Host : DESKTOP-PSJTEP7
# ----------------------------------------------------------

SET sql_mode = '';


# ------------------------------------
# structure for table 'agrement'
# ------------------------------------

DROP TABLE IF EXISTS agrement ;
CREATE TABLE agrement (
TA_CODE varchar(7) NOT NULL,
S_ID smallint(6) DEFAULT '0' NOT NULL,
A_DEBUT date,
A_FIN date,
TAV_ID smallint(6),
A_COMMENT varchar(100),
PRIMARY KEY (S_ID, TA_CODE),
KEY TA_CODE (TA_CODE)
);
# ------------------------------------
# data for table 'agrement'
# ------------------------------------



# ------------------------------------
# structure for table 'astreinte'
# ------------------------------------

DROP TABLE IF EXISTS astreinte ;
CREATE TABLE astreinte (
AS_ID int(11) NOT NULL auto_increment,
S_ID int(11) NOT NULL,
GP_ID smallint(6) NOT NULL,
P_ID int(11) NOT NULL,
AS_DEBUT datetime NOT NULL,
AS_FIN datetime NOT NULL,
AS_UPDATED_BY int(11) NOT NULL,
AS_UPDATE_DATE datetime NOT NULL,
PRIMARY KEY (AS_ID),
KEY S_ID (S_ID),
KEY GP_ID (GP_ID),
KEY P_ID (P_ID),
KEY AS_DEBUT (AS_DEBUT),
KEY AS_FIN (AS_FIN)
);
# ------------------------------------
# data for table 'astreinte'
# ------------------------------------



# ------------------------------------
# structure for table 'audit'
# ------------------------------------

DROP TABLE IF EXISTS audit ;
CREATE TABLE audit (
P_ID int(11) DEFAULT '0' NOT NULL,
A_DEBUT datetime NOT NULL,
A_FIN datetime,
A_OS varchar(50),
A_BROWSER varchar(50),
A_IP varchar(20),
A_LAST_PAGE varchar(30),
PRIMARY KEY (P_ID, A_DEBUT),
KEY A_DEBUT (A_DEBUT),
KEY A_FIN (A_FIN)
);
# ------------------------------------
# data for table 'audit'
# ------------------------------------

# ------------------------------------
# structure for table 'badge_list'
# ------------------------------------

DROP TABLE IF EXISTS badge_list ;
CREATE TABLE badge_list (
P_ID int(11) NOT NULL,
DATE date NOT NULL,
S_ID smallint(6) NOT NULL,
P_PHOTO varchar(50),
PRIMARY KEY (P_ID, DATE)
);
# ------------------------------------
# data for table 'badge_list'
# ------------------------------------



# ------------------------------------
# structure for table 'bilan_evenement'
# ------------------------------------

DROP TABLE IF EXISTS bilan_evenement ;
CREATE TABLE bilan_evenement (
E_CODE int(11) NOT NULL,
TB_NUM smallint(6) NOT NULL,
BE_VALUE smallint(6) NOT NULL,
PRIMARY KEY (E_CODE, TB_NUM)
);
# ------------------------------------
# data for table 'bilan_evenement'
# ------------------------------------



# ------------------------------------
# structure for table 'bilan_victime'
# ------------------------------------

DROP TABLE IF EXISTS bilan_victime ;
CREATE TABLE bilan_victime (
V_ID int(11) NOT NULL,
BVP_ID smallint(6) NOT NULL,
BVP_VALUE varchar(250) NOT NULL,
PRIMARY KEY (V_ID, BVP_ID)
);
# ------------------------------------
# data for table 'bilan_victime'
# ------------------------------------



# ------------------------------------
# structure for table 'bilan_victime_category'
# ------------------------------------

DROP TABLE IF EXISTS bilan_victime_category ;
CREATE TABLE bilan_victime_category (
BVC_CODE varchar(8) NOT NULL,
BVC_TITLE varchar(60) NOT NULL,
BVC_PAGE varchar(5) DEFAULT 'PSE' NOT NULL,
BVC_ORDER tinyint(4) NOT NULL,
PRIMARY KEY (BVC_CODE),
KEY BVC_PAGE (BVC_PAGE)
);
# ------------------------------------
# data for table 'bilan_victime_category'
# ------------------------------------

INSERT INTO bilan_victime_category (BVC_CODE,BVC_TITLE,BVC_PAGE,BVC_ORDER) VALUES
('BILAN','Bilan pass','PSE','9'),
('CIRCO','Circonstanciel','PSE','1'),
('CIRCU','Circulatoire','PSE','5'),
('DEVENIR','Prsences sur les lieux et Devenir de la victime','PSE','8'),
('GESTES','Gestes effectus','PSE','7'),
('LESIO','Bilan complmentaire','PSE','6'),
('NEURO','Neurologique','PSE','3'),
('NEUROG','Glasgow','PSE','3'),
('RENFOR','Demande renforts','PSE','2'),
('RESPI','Respiratoire','PSE','4'),
('CONTACT','Contacter','PSSP','1'),
('SIGREP','Signes Repres','PSSP','2'),
('EVOLUT','Evolution','PSSP','3'),
('SUITE','Suite donne','PSSP','4'),
('BILAN2','Bilan','PSSP','5');

# ------------------------------------
# structure for table 'bilan_victime_param'
# ------------------------------------

DROP TABLE IF EXISTS bilan_victime_param ;
CREATE TABLE bilan_victime_param (
BVP_ID smallint(6) NOT NULL,
BVC_CODE varchar(8) NOT NULL,
BVP_TITLE varchar(35) NOT NULL,
BVP_COMMENT varchar(120),
BVP_TYPE varchar(15) NOT NULL,
DOC_ONLY tinyint(4) DEFAULT '0' NOT NULL,
PRIMARY KEY (BVP_ID)
);
# ------------------------------------
# data for table 'bilan_victime_param'
# ------------------------------------

INSERT INTO bilan_victime_param (BVP_ID,BVC_CODE,BVP_TITLE,BVP_COMMENT,BVP_TYPE,DOC_ONLY) VALUES
('10','CIRCO','Lieu de l\'intervention','prciser ici dans quel type de lieu se droule l\'intervention','dropdown','0'),
('20','CIRCO','Nature de l\'intervention','prciser ici la nature de l\'intervention','dropdown','0'),
('30','CIRCO','Commentaire','commentaire libre concernant le lieu ou la nature de l\'intervention','text','0'),
('40','CIRCO','Type d\'intoxication','prciser ici la nature de l\'intoxication','dropdown','0'),
('50','CIRCO','Dtail intoxication','prciser ici la nature exacte et la quantit absorbe','text','0'),
('60','CIRCO','Commentaire','commentaire libre concernant le bilan circonstanciel','textarea','0'),
('100','RENFOR','Renforts demands','prciser ici le type de renforts demands','text','0'),
('110','RENFOR','Risques','prciser ici les risques rencontrs','text','0'),
('120','RENFOR','Commentaire','prciser ici les commentaires particuliers','textarea','0'),
('130','NEURO','Consciente','La victime est elle actuellement consciente?','radio','0'),
('140','NEURO','Perte de connaissance PCI','Perte de connaissance initiale, dure?','dropdown','0'),
('150','NEURO','Dsoriente','Cliquez si la victime est dsoriente','checkbox','0'),
('160','NEURO','Agite','Cliquez si la victime est agite','checkbox','0'),
('170','NEURO','Vomissements','Cliquez si la victime vomit','checkbox','0'),
('180','NEURO','Convulsions','Cliquez si la victime convulse','checkbox','0'),
('190','NEURO','Pupilles ractives','Cliquez si les yeux de la victime ragissent  la lumire','radio','1'),
('200','NEURO','Pupilles symtriques','Indiquez si les pupilles de la victime sont symtriques, sinon prcisez','dropdown','0'),
('220','NEURO','Troubles motricit','Cliquez si la victime souffre de troubles moteurs','dropdown','0'),
('230','NEUROG','Ouverture des yeux','Glasgow test ouverture des yeux','dropdown','1'),
('240','NEUROG','Rponse verbale','Glasgow test rponse verbale','dropdown','1'),
('250','NEUROG','Rponse motrice','Glasgow test rponse motrice','dropdown','1'),
('260','NEUROG','Score glasgow','Score glasgow entre 3 (coma profond ou mort) et 15 (tout va bien)','readonlytext','1'),
('300','RESPI','Ventilation','Ventilation active','radio','0'),
('310','RESPI','Frquence /mn','Mouvements respiratoires par minute','numeric','0'),
('320','RESPI','Facile','Respiration facile','radio','0'),
('330','RESPI','Ample','Respiration ample','radio','0'),
('340','RESPI','Rgulire','Respiration rgulire','radio','0'),
('350','RESPI','Bruyante','Respiration bruyante','radio','0'),
('360','RESPI','Pauses','Respiration avec pauses','radio','0'),
('370','RESPI','Sueurs','Cochez si sueurs','checkbox','0'),
('380','RESPI','Cyanoses','Cochez si Cyanoses','checkbox','0'),
('390','RESPI','Sp O2 %','Saturation du sang en Oxygne','numeric','0'),
('400','CIRCU','Pouls carotidien','Prsence de pouls au niveau carotidien','radio','0'),
('410','CIRCU','Frquence /mn','Frquence cardiaque par minute','numeric','0'),
('420','CIRCU','Pouls radial','Prsence de pouls au niveau des membres','radio','0'),
('430','CIRCU','Pouls rgulier','Pouls rgulier','radio','0'),
('440','CIRCU','Pouls bien frapp','Pouls bien frapp','radio','0'),
('450','CIRCU','Pression artrielle','pression systolique / diastolique','text','0'),
('460','CIRCU','T.R.C','tension rgulirement constate','text','0'),
('470','CIRCU','Pleur muqueuses','Cochez si vous constatez une pleur des muqueuses','checkbox','0'),
('480','CIRCU','Etat de la peau','Indiquez ici l\'tat de la peau de la victime','dropdown','0'),
('500','LESIO','Traumatisme principal','Type de traumatisme','dropdown','0'),
('510','LESIO','Localisation','partie du corps affecte par le traumatisme','dropdown','0'),
('520','LESIO','Ct','ct du corps affecte par le traumatisme','dropdown','0'),
('530','LESIO','Douleur','Echelle de la douleur','dropdown','0'),
('531','LESIO','Traumatisme secondaire','Type de traumatisme','dropdown','0'),
('532','LESIO','Localisation','partie du corps affecte par le traumatisme','dropdown','0'),
('533','LESIO','Ct','ct du corps affecte par le traumatisme','dropdown','0'),
('534','LESIO','Douleur','Echelle de la douleur','dropdown','0'),
('535','LESIO','Traumatisme additionnel','Type de traumatisme','dropdown','0'),
('536','LESIO','Localisation','partie du corps affecte par le traumatisme','dropdown','0'),
('537','LESIO','Ct','ct du corps affecte par le traumatisme','dropdown','0'),
('538','LESIO','Douleur','Echelle de la douleur','dropdown','0'),
('540','LESIO','Maladies ou Plaintes','M.H.T.A (maladies, hospitalisations, traitements, allergies) ou P.Q.R.S.T','textarea','0'),
('610','GESTES','Collier cervical','Pose d\'un collier','checkbox','0'),
('620','GESTES','Attelle','pose d\'une attelle','checkbox','0'),
('630','GESTES','M.I.D.','Utilisation matelas  dpression','checkbox','0'),
('635','GESTES','Autres moyens','Autres moyens utiliss','text','0'),
('640','GESTES','P.L.S.','position latrale de scurit','checkbox','0'),
('650','GESTES','Allong','mise en position allong','checkbox','0'),
('660','GESTES','Assis','mise en position assis','checkbox','0'),
('670','GESTES','1/2 assis','mise en position demi-assis','checkbox','0'),
('680','GESTES','Retrait du casque','Le casque a t retir','checkbox','0'),
('685','GESTES','Autres gestes','Autres gestes utiliss','text','0'),
('687','GESTES','Dsinfection','dsinfection d\'une plaie','checkbox','0'),
('688','GESTES','Poche de froid','pose d\'une poche de froid','checkbox','0'),
('690','GESTES','Pansement compressif/CHU','pose d\'un pansement compressif','checkbox','0'),
('700','GESTES','Garrot','pose d\'un garrot, prciser  quelle heure','checkbox','0'),
('705','GESTES','Heure Garrot','heure prcise','time','0'),
('710','GESTES','Aspiration','utilisation aspirateur  mucosits','checkbox','0'),
('720','GESTES','Inhalation O2','utilisation masque  oxygne','checkbox','0'),
('722','GESTES','Insufflateur BAVU','utilisation BAVU','checkbox','0'),
('725','GESTES','O2 L/mn','dbit oxygne en litres par minute','numeric','0'),
('730','GESTES','Canule O.P','utilisation d\'une canule','checkbox','0'),
('740','GESTES','RCP (MCE)','ranimation cardio pulmonaire','checkbox','0'),
('750','GESTES','DAE','utilisation du dfibrillateur automatique externe','checkbox','0'),
('760','GESTES','Heure DAE','heure dbut utilisation du dfibrillateur automatique externe','time','0'),
('770','GESTES','Chocs dlivrs','Nombre de chocs dlivrs avec le DAE','numeric','0'),
('780','GESTES','Aide prise mdicaments','Aide prise mdicaments','checkbox','0'),
('790','GESTES','Nature mdicaments','liste des mdicaments et quantit','text','0'),
('800','GESTES','Temprature','Temprature en C','float','0'),
('810','GESTES','Glycmie','Mesure de glycmie','float','1'),
('1000','DEVENIR','Mdecin','Cochez si un mdecin est prsent','checkbox','1'),
('1010','DEVENIR','Infirmier','Cochez si un infirmier est prsent','checkbox','1'),
('1020','DEVENIR','SAMU','Cochez si le SAMU est prsent','checkbox','1'),
('1030','DEVENIR','Sapeurs-Pompiers','Cochez si les sapeurs pompiers sont prsents','checkbox','0'),
('1040','DEVENIR','Police','Cochez si la police ou Gendarmerie sont prsents','checkbox','0'),
('1050','DEVENIR','Transport','Prcisez si la victime a t transporte, vacue','checkbox','0'),
('1060','DEVENIR','Evacuation par','Prcisez qui a transport la victime','dropdown','0'),
('1070','DEVENIR','Destination','Prcisez o la victime a t transporte, vacue','dropdown','0'),
('1075','DEVENIR','Prcision destination','dtail sur la destination de la victime','text','0'),
('1080','DEVENIR','Laiss sur place','Prcisez si la victime a t transporte, vacue','checkbox','0'),
('1090','DEVENIR','Refus de prise en charge','Si coch, faire signer l\'attestation de refus','checkbox','0'),
('1110','DEVENIR','DCD','Victime dcde','checkbox','1'),
('1200','BILAN','Heure Bilan pass au PC','Indiquer  quelle heure le bilan a t pass au PC','time','0'),
('1210','BILAN','Heure Contact SAMU 15','Indiquer  quelle heure le SAMU 15 a t contact','time','0'),
('1220','BILAN','Observations','Indiquer ici les antcdents, traitements, allergies','textarea','0'),
('1100','DEVENIR','Repartie par ses propres moyens','La victime est partie seule ou accompagne par ses proches.','checkbox','0'),
('1072','DEVENIR','Heure arrive','Heure arrive  l\'hpital','time','0'),
('1900','CONTACT','Tlphone',NULL,'text','0'),
('1910','CONTACT','Personne  prvenir',NULL,'text','0'),
('2000','SIGREP','Agitation',NULL,'checkbox','0'),
('2001','SIGREP','Confusion',NULL,'checkbox','0'),
('2002','SIGREP','Euphorie',NULL,'checkbox','0'),
('2003','SIGREP','Mfiance',NULL,'checkbox','0'),
('2004','SIGREP','Prostration',NULL,'checkbox','0'),
('2005','SIGREP','Fuite Panique',NULL,'checkbox','1'),
('2006','SIGREP','Colre',NULL,'checkbox','0'),
('2010','SIGREP','Culpabilit',NULL,'checkbox','0'),
('2008','SIGREP','Sidration',NULL,'checkbox','1'),
('2011','SIGREP','Gestes Automatiques',NULL,'checkbox','1'),
('2012','SIGREP','Tristesse',NULL,'checkbox','0'),
('2013','SIGREP','Dralisation',NULL,'checkbox','1'),
('2014','SIGREP','Agressivit',NULL,'checkbox','0'),
('2015','SIGREP','Angoisse',NULL,'checkbox','0'),
('2016','SIGREP','Pleurs',NULL,'checkbox','0'),
('2030','SIGREP','Contact Relationnel','indiquer ici le niveau du contact relationnel','dropdown','0'),
('2035','SIGREP','Verbalisation','indiquer la verbalisation','dropdown','0'),
('2040','SIGREP','Rcit de l\'venement','indiquer comment la personne rqconte l\'venement','dropdown','0'),
('2100','EVOLUT','Evolution',NULL,'dropdown','0'),
('2103','EVOLUT','Observation',NULL,'textarea','0'),
('2120','SUITE','Avis mdical',NULL,'checkbox','0'),
('2121','SUITE','Avis CUMP',NULL,'checkbox','0'),
('2125','SUITE','Evacuation',NULL,'checkbox','0'),
('2126','SUITE','Heure','heure vacuation','time','0'),
('2128','SUITE','Hpital',NULL,'checkbox','0'),
('2129','SUITE','Domicile seul',NULL,'checkbox','0'),
('2130','SUITE','Accompagn',NULL,'checkbox','0'),
('2200','BILAN2','Pouls++',NULL,'numeric','0');

# ------------------------------------
# structure for table 'bilan_victime_values'
# ------------------------------------

DROP TABLE IF EXISTS bilan_victime_values ;
CREATE TABLE bilan_victime_values (
BVP_ID smallint(6) NOT NULL,
BVP_INDEX smallint(6) NOT NULL,
BVP_TEXT varchar(60),
BVP_SPECIAL varchar(10),
PRIMARY KEY (BVP_ID, BVP_INDEX)
);
# ------------------------------------
# data for table 'bilan_victime_values'
# ------------------------------------

INSERT INTO bilan_victime_values (BVP_ID,BVP_INDEX,BVP_TEXT,BVP_SPECIAL) VALUES
('10','1','Public',NULL),
('10','2','Priv',NULL),
('10','3','Travail',NULL),
('10','4','DPS',NULL),
('10','5','Autre',NULL),
('20','1','Accident',NULL),
('20','2','Maladie',NULL),
('20','3','Malaise',NULL),
('20','4','Intoxication',NULL),
('20','5','Noyade',NULL),
('20','6','Autre',NULL),
('40','1','Alcool',NULL),
('40','2','CO',NULL),
('40','3','Mdicament',NULL),
('40','4','Drogue',NULL),
('140','1','Pas de PCI',NULL),
('140','2','1 minute ou moins',NULL),
('140','3','2 minutes',NULL),
('140','4','3 minutes',NULL),
('140','5','4 minutes',NULL),
('140','6','5 minutes',NULL),
('140','7','10 minutes',NULL),
('140','8','15 minutes',NULL),
('140','9','20 minutes',NULL),
('140','10','30 minutes',NULL),
('140','11','45 minutes',NULL),
('140','12','1 heure',NULL),
('140','13','Plusieurs heures',NULL),
('200','1','Bien Symtriques',NULL),
('200','2','Ingales D < G',NULL),
('200','3','Ingales D > G',NULL),
('220','1','Aucun trouble',NULL),
('220','2','Membre suprieur D',NULL),
('220','3','Membre suprieur G',NULL),
('220','4','Membre infrieur D',NULL),
('220','5','Membre infrieur G',NULL),
('220','6','Les 2 membres infrieurs',NULL),
('220','7','Les 2 membres suprieurs',NULL),
('220','8','Les 4 membres',NULL),
('230','1','1 : Jamais',NULL),
('230','2','2 : A la douleur',NULL),
('230','3','3 : Bruit',NULL),
('230','4','4 : Spontane',NULL),
('240','1','1 : Pas de rponse',NULL),
('240','2','2 : Incomprhensible (bruits, grognements)',NULL),
('240','3','3 : Inapproprie (propos incohrents)',NULL),
('240','4','4 : Confusion (dsoriente)',NULL),
('240','5','5 : Normale',NULL),
('250','1','1 : Absence',NULL),
('250','2','2 : Raction en extension  la douleur',NULL),
('250','3','3 : Raction de flexion  la douleur',NULL),
('250','4','4 : Evitement rponse pincement inadapte',NULL),
('250','5','5 : Rponse adapte  la douleur',NULL),
('250','6','6 : Obit aux ordres',NULL),
('480','1','Normale',NULL),
('480','2','Ple',NULL),
('480','3','Marbre',NULL),
('480','4','Violace',NULL),
('500','1','Plaie',NULL),
('500','2','Brlure',NULL),
('500','3','Hmorragie',NULL),
('500','4','Dformation',NULL),
('500','5','Douleur',NULL),
('500','6','Fracture ouverte','doc'),
('500','7','Fracture ferme','doc'),
('510','1','Tte',NULL),
('510','2','Crane',NULL),
('510','3','Oeil',NULL),
('510','4','Oreille',NULL),
('510','5','Cou',NULL),
('510','20','Poitrine',NULL),
('510','21','Ventre',NULL),
('510','22','Dos',NULL),
('510','23','Fesses',NULL),
('510','24','Bassin',NULL),
('510','25','Sexe',NULL),
('510','30','Epaule',NULL),
('510','31','Avant-bras',NULL),
('510','32','Bras',NULL),
('510','33','Coude',NULL),
('510','34','Poignet',NULL),
('510','35','Main',NULL),
('510','40','Cuisse',NULL),
('510','41','Jambe',NULL),
('510','42','Genou',NULL),
('510','43','Cheville',NULL),
('510','44','Pied',NULL),
('520','1','Droit',NULL),
('520','2','Gauche',NULL),
('520','3','Les 2 cts',NULL),
('520','4','Avant',NULL),
('520','5','Arrire',NULL),
('530','1','0 - aucune',NULL),
('530','2','1 sur 4',NULL),
('530','3','2 sur 4',NULL),
('530','4','3 sur 4',NULL),
('530','5','4 - maximum',NULL),
('1060','1','Notre Association','ASS'),
('1060','2','Sapeurs pompiers','SP'),
('1060','3','SAMU ou SMUR','SAMU'),
('1060','4','Ambulance prive','AP'),
('1060','5','Autre type de transport','AUTR'),
('1060','6','Hlicoptre','HELI'),
('1060','7','Autre Association','AUTASS'),
('1070','1','Non renseign','NR'),
('1070','2','Centre hospitalier','HOSP'),
('1070','3','Accueil de jour/nuit','ACC'),
('1070','4','Douche publique','DOUCH'),
('1070','5','Mission locale','MISS'),
('1070','6','Poste Mdical Avanc','PMA'),
('1070','7','Cabinet Mdical','CM'),
('1070','8','Clinique','CL'),
('40','5','Alimentaire',NULL),
('2030','1','Satisfaisant',NULL),
('2030','2','Peu Satisfaisant',NULL),
('2030','3','Insatisfaisant',NULL),
('2035','1','Spontane',NULL),
('2035','2','Provoquee',NULL),
('2035','3','Absente',NULL),
('2040','1','Factuel Exclusif',NULL),
('2040','2','Emotionnel Exclusif',NULL),
('2040','3','Factuel et motionnel',NULL),
('2040','4','Amnsie',NULL),
('2100','1','Sans Changement',NULL),
('2100','2','Amlioration',NULL),
('2100','3','Aggravation',NULL);

# ------------------------------------
# structure for table 'categorie_agrement'
# ------------------------------------

DROP TABLE IF EXISTS categorie_agrement ;
CREATE TABLE categorie_agrement (
CA_CODE varchar(5) NOT NULL,
CA_DESCRIPTION varchar(40) NOT NULL,
CA_FLAG tinyint(4) DEFAULT '0' NOT NULL,
PRIMARY KEY (CA_CODE)
);
# ------------------------------------
# data for table 'categorie_agrement'
# ------------------------------------

INSERT INTO categorie_agrement (CA_CODE,CA_DESCRIPTION,CA_FLAG) VALUES
('ASS','Informations lies  l\'association','0'),
('CON','Conventions de missions','0'),
('CONSP','Conventions spcifiques','1'),
('ENT','Formation Entreprise','0'),
('FOR','Formations au secourisme','0'),
('SEC','Agrments de scurit civile','0'),
('_MED','Mdailles collectives','1'),
('SPE','Formations spcifiques','0');

# ------------------------------------
# structure for table 'categorie_consommable'
# ------------------------------------

DROP TABLE IF EXISTS categorie_consommable ;
CREATE TABLE categorie_consommable (
CC_CODE varchar(12) NOT NULL,
CC_NAME varchar(60) NOT NULL,
CC_DESCRIPTION varchar(120) NOT NULL,
CC_IMAGE varchar(50) NOT NULL,
CC_ORDER tinyint(4) NOT NULL,
PRIMARY KEY (CC_CODE)
);
# ------------------------------------
# data for table 'categorie_consommable'
# ------------------------------------

INSERT INTO categorie_consommable (CC_CODE,CC_NAME,CC_DESCRIPTION,CC_IMAGE,CC_ORDER) VALUES
('ALIMENTATION','Alimentation','aliments, boissons, denres prissables ou non','cutlery','10'),
('BUREAU','Bureautique, administratif, informatique','Papier, encre, ...','pencil-square','50'),
('ENTRETIEN','Produits d\'entretien','Produits de nettoyage et de dsinfection','wrench','40'),
('HEBERGEMENT','Hbergement d\'urgence','couvertures ...','bed','60'),
('PHARMACIE','Pharmacie','matriel mdical consommable ou jetable','medkit','20'),
('VEHICULES','Pour les vhicules','carburants, lubrifiants, liquide de frein, lave glaces','truck','30');

# ------------------------------------
# structure for table 'categorie_evenement'
# ------------------------------------

DROP TABLE IF EXISTS categorie_evenement ;
CREATE TABLE categorie_evenement (
CEV_CODE varchar(5) NOT NULL,
CEV_DESCRIPTION varchar(40) NOT NULL,
PRIMARY KEY (CEV_CODE)
);
# ------------------------------------
# data for table 'categorie_evenement'
# ------------------------------------

INSERT INTO categorie_evenement (CEV_CODE,CEV_DESCRIPTION) VALUES
('C_DIV','divers'),
('C_FOR','activits de formation'),
('C_OPE','autres activits oprationnelles'),
('C_SEC','oprations de secours');

# ------------------------------------
# structure for table 'categorie_evenement_affichage'
# ------------------------------------

DROP TABLE IF EXISTS categorie_evenement_affichage ;
CREATE TABLE categorie_evenement_affichage (
CEV_CODE varchar(5) NOT NULL,
EQ_ID smallint(6) NOT NULL,
FLAG1 tinyint(4) DEFAULT '1' NOT NULL,
PRIMARY KEY (CEV_CODE, EQ_ID)
);
# ------------------------------------
# data for table 'categorie_evenement_affichage'
# ------------------------------------

INSERT INTO categorie_evenement_affichage (CEV_CODE,EQ_ID,FLAG1) VALUES
('C_DIV','1','1'),
('C_DIV','2','1'),
('C_DIV','3','1'),
('C_DIV','4','1'),
('C_FOR','1','1'),
('C_FOR','2','1'),
('C_FOR','3','1'),
('C_FOR','4','1'),
('C_OPE','1','1'),
('C_OPE','2','1'),
('C_OPE','3','1'),
('C_OPE','4','1'),
('C_SEC','1','1'),
('C_SEC','2','1'),
('C_SEC','3','1'),
('C_SEC','4','1');

# ------------------------------------
# structure for table 'categorie_grade'
# ------------------------------------

DROP TABLE IF EXISTS categorie_grade ;
CREATE TABLE categorie_grade (
CG_CODE varchar(5) NOT NULL,
CG_DESCRIPTION varchar(40) NOT NULL,
PRIMARY KEY (CG_CODE)
);
# ------------------------------------
# data for table 'categorie_grade'
# ------------------------------------

INSERT INTO categorie_grade (CG_CODE,CG_DESCRIPTION) VALUES
('ALL','Sans catgorie'),
('PATS','Agents territoriaux'),
('SP','Sapeurs pompiers'),
('SC','Scurit Civile'),
('ARMY','Arme de Terre');

# ------------------------------------
# structure for table 'categorie_intervention'
# ------------------------------------

DROP TABLE IF EXISTS categorie_intervention ;
CREATE TABLE categorie_intervention (
CI_CODE varchar(5) NOT NULL,
CI_DESCRIPTION varchar(30) NOT NULL,
PRIMARY KEY (CI_CODE)
);
# ------------------------------------
# data for table 'categorie_intervention'
# ------------------------------------

INSERT INTO categorie_intervention (CI_CODE,CI_DESCRIPTION) VALUES
('MSPS','Mission SPS'),
('PS','Prompt secours');

# ------------------------------------
# structure for table 'categorie_materiel'
# ------------------------------------

DROP TABLE IF EXISTS categorie_materiel ;
CREATE TABLE categorie_materiel (
TM_USAGE varchar(15) NOT NULL,
CM_DESCRIPTION varchar(50) NOT NULL,
PICTURE varchar(30) DEFAULT 'cog' NOT NULL,
PRIMARY KEY (TM_USAGE)
);
# ------------------------------------
# data for table 'categorie_materiel'
# ------------------------------------

INSERT INTO categorie_materiel (TM_USAGE,CM_DESCRIPTION,PICTURE) VALUES
('ALL','tous types de matriel','cog'),
('Aquatique','matriel aquatique','anchor'),
('Dblais','matriel de dblaiement','cube'),
('Divers','matriel divers','cubes'),
('Eclairage','matriel d\'clairage','lightbulb'),
('Elagage','matriel d\'lagage','cut'),
('Elctrique','matriel lctrique','plug'),
('Formation','matriel de formation','book'),
('Habillement','tenues vestimentaires','male'),
('Hbergement','matriel d\'hbergement','bed'),
('Incendie','matriel d\'incendie','fire-extinguisher'),
('Informatique','matriel informatique','keyboard'),
('Logistique','matriel de logistique','utensils'),
('Pompage','matriel de pompage','external-link-square-alt'),
('Promo-Com','Promotion Communication','bullhorn'),
('Sanitaire','matriel mdical','medkit'),
('Sauvetage','Lots de sauvetage','life-ring'),
('Scurit','Equipement Scurit - EPI','shield-alt'),
('Transmission','matriel d\'mission/transmission','phone-square');

# ------------------------------------
# structure for table 'centre_accueil_victime'
# ------------------------------------

DROP TABLE IF EXISTS centre_accueil_victime ;
CREATE TABLE centre_accueil_victime (
CAV_ID int(11) NOT NULL auto_increment,
E_CODE int(11) NOT NULL,
CAV_NAME varchar(30) NOT NULL,
CAV_ADDRESS varchar(300),
CAV_COMMENTAIRE varchar(500),
CAV_RESPONSABLE int(11),
CAV_OUVERT tinyint(4) DEFAULT '1' NOT NULL,
PRIMARY KEY (CAV_ID),
KEY E_CODE (E_CODE)
);
# ------------------------------------
# data for table 'centre_accueil_victime'
# ------------------------------------



# ------------------------------------
# structure for table 'chat'
# ------------------------------------

DROP TABLE IF EXISTS chat ;
CREATE TABLE chat (
C_ID int(11) NOT NULL auto_increment,
P_ID int(11) NOT NULL,
C_MSG varchar(500) NOT NULL,
C_DATE datetime NOT NULL,
C_COLOR varchar(20) NOT NULL,
PRIMARY KEY (C_ID)
);
# ------------------------------------
# data for table 'chat'
# ------------------------------------



# ------------------------------------
# structure for table 'company'
# ------------------------------------

DROP TABLE IF EXISTS company ;
CREATE TABLE company (
C_ID int(11) NOT NULL,
TC_CODE varchar(8) NOT NULL,
C_NAME varchar(50) NOT NULL,
S_ID int(11) NOT NULL,
C_DESCRIPTION varchar(80),
C_ADDRESS varchar(150),
C_ZIP_CODE varchar(150),
C_CITY varchar(30),
C_EMAIL varchar(60),
C_PHONE varchar(60),
C_FAX varchar(20),
C_CONTACT_NAME varchar(50),
C_CREATED_BY int(11),
C_CREATE_DATE date,
C_PARENT int(11),
C_SIRET varchar(20),
PRIMARY KEY (C_ID),
   UNIQUE S_ID (S_ID, C_NAME),
KEY TC_CODE (TC_CODE),
KEY C_PARENT (C_PARENT)
);
# ------------------------------------
# data for table 'company'
# ------------------------------------

INSERT INTO company (C_ID,TC_CODE,C_NAME,S_ID,C_DESCRIPTION,C_ADDRESS,C_ZIP_CODE,C_CITY,C_EMAIL,C_PHONE,C_FAX,C_CONTACT_NAME,C_CREATED_BY,C_CREATE_DATE,C_PARENT,C_SIRET) VALUES
('0','PARTIC','Particulier','0','Ne fait pas partie d\'une entreprise',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);

# ------------------------------------
# structure for table 'company_role'
# ------------------------------------

DROP TABLE IF EXISTS company_role ;
CREATE TABLE company_role (
C_ID int(11) NOT NULL,
TCR_CODE varchar(5) NOT NULL,
P_ID int(11) NOT NULL,
PRIMARY KEY (C_ID, TCR_CODE),
KEY TC_CODE (P_ID)
);
# ------------------------------------
# data for table 'company_role'
# ------------------------------------



# ------------------------------------
# structure for table 'compte_bancaire'
# ------------------------------------

DROP TABLE IF EXISTS compte_bancaire ;
CREATE TABLE compte_bancaire (
CB_TYPE varchar(1) DEFAULT 'P' NOT NULL,
CB_ID int(11) NOT NULL,
ETABLISSEMENT varchar(5) NOT NULL,
GUICHET varchar(5) NOT NULL,
COMPTE varchar(11) NOT NULL,
CLE_RIB varchar(2),
CODE_BANQUE varchar(30),
BIC varchar(11),
IBAN varchar(34),
UPDATE_DATE datetime NOT NULL,
PRIMARY KEY (CB_TYPE, CB_ID)
);
# ------------------------------------
# data for table 'compte_bancaire'
# ------------------------------------



# ------------------------------------
# structure for table 'configuration'
# ------------------------------------

DROP TABLE IF EXISTS configuration ;
CREATE TABLE configuration (
ID int(11) DEFAULT '0' NOT NULL,
NAME varchar(30) NOT NULL,
VALUE varchar(255),
DESCRIPTION varchar(255),
ORDERING smallint(6) DEFAULT '100' NOT NULL,
HIDDEN tinyint(4) DEFAULT '0' NOT NULL,
TAB tinyint(4) DEFAULT '1' NOT NULL,
YESNO tinyint(4) DEFAULT '0' NOT NULL,
IS_FILE tinyint(4) DEFAULT '0' NOT NULL,
PRIMARY KEY (ID)
);
# ------------------------------------
# data for table 'configuration'
# ------------------------------------

INSERT INTO configuration (ID,NAME,VALUE,DESCRIPTION,ORDERING,HIDDEN,TAB,YESNO,IS_FILE) VALUES
('-1','already_configured','1','Application dj configure','100','1','1','0','0'),
('1','version','5.2','version installe','101','0','1','0','0'),
('2','nbsections','3','type d\'organisation','102','0','1','0','0'),
('3','gardes','1','activer la gestion de tableaux de gardes par mois avec vnements de gardes quotidiens','108','0','1','1','0'),
('4','vehicules','1','activer la gestion des vhicules','111','0','1','1','0'),
('5','grades','1','activer la notion de grades','110','0','1','1','0'),
('6','cisname','eBrigade','nom court de l\'organisation','103','0','4','0','0'),
('7','cisurl','ebrigade.fr','adresse du site web','104','0','4','0','0'),
('8','admin_email','admin@ebrigade.fr','adresse mail de l\'administrateur','217','0','4','0','0'),
('9','sms_provider','','fournisseur SMS','218','0','2','0','0'),
('10','sms_user','','utilisateur du compte SMS, email pour smsgateway.me, inutile dans le cas de SMS Gateway Android','219','0','2','0','0'),
('11','sms_password','','mot de passe du compte SMS, ou API token pour smsgateway.me','220','0','2','0','0'),
('12','sms_api_id','','api_id SMS pour clickatell, ou address:port pour SMS Gateway Android ou SMSEagle, ou Device ID pour smsgateway.me, inutile dans les autres cas.','221','0','2','0','0'),
('13','auto_backup','1','sauvegarde quotidienne (possible pour bases de maximum 3Mo)','211','0','2','1','0'),
('14','auto_optimize','1','optimisation quotidienne des indexes et donnes de la base','212','0','2','1','0'),
('15','password_quality','1','interdiction des mots de passes trop simples','313','0','3','0','0'),
('16','password_length','8','longueur minimum des mots de passes','314','0','3','0','0'),
('17','password_failure','5','bloquage temporaire du compte aprs checs d\'authentification','315','0','3','0','0'),
('18','materiel','1','Activer la gestion du matriel et des tenues (vhicules requis)','112','0','1','1','0'),
('19','chat','1','activer la communication par chat - messagerie instantane entre les membres','115','0','1','1','0'),
('20','identpage','index.php','URL de la page d\'identification','225','0','2','0','0'),
('21','filesdir','user-data','rpertoire secret contenant les documents, peut tre hors de la racine du site si le chemin est absolu.','324','0','3','0','0'),
('22','evenements','1','activer gestion des vnements et calendrier','114','0','1','1','0'),
('23','competences','1','activer gestion des comptences','110','0','1','1','0'),
('24','disponibilites','1','activer gestion des disponibilits','119','0','1','1','0'),
('25','log_actions','1','Garder un historique des actions ralises','312','0','3','1','0'),
('26','cron_allowed','0','permettre les fonctions ncessitant un tche cron (rappel inscription: executer reminder.sh chaque jour, changements de responsables - astreintes_updates.sh )','212','0','2','1','0'),
('27','theme','blue','choix du theme de couleurs','5','0','4','0','0'),
('28','mail_allowed','1','Permet l\'envoi de tous les mails (parfois utile de dsactiver pour environnements de test)','212','0','2','1','0'),
('29','syndicate','0','association de type syndicat, gestion des adhrents','1','1','1','1','0'),
('30','externes','0','Gestion du personnel externe et des entreprises (par exemple les stagiaires des formations)','116','0','1','1','0'),
('31','cotisations','0','Gestion des cotisations des membres ou des adhrents','117','0','1','1','0'),
('32','bank_accounts','0','Enregistrement des comptes bancaires des adhrents - RIB','118','0','1','1','0'),
('33','store_confidential_data','0','Permet l\'enregistrement de donnes confidentielles (dossier mdical), suppose que toutes les prcautions de scurit et contraintes CNIL ont t prises en compte. Sinon seules les initiales des victimes pourront tre sauves','312','0','3','1','0'),
('34','days_audit','100','Nombre de jours pendant lesquels on conserve les enregistrements de connexion des utilisateurs','315','0','3','0','0'),
('35','geolocalize_enabled','0','Activer la golocalisation, requiert un accs internet','119','0','2','1','0'),
('36','days_log','100','Nombre de jours pendant lesquels on conserve les historiques utilisateurs','315','0','3','0','0'),
('37','maintenance_mode','0','Mode maintenance, Seul admin peut se connecter','216','0','2','1','0'),
('38','application_title','eBrigade','nom personnalis de l\'application','223','0','4','0','0'),
('39','organisation_name','eBrigade','nom long de l\'organisation','222','0','4','0','0'),
('40','association_dept_name','l\'Association de Secourisme','Nom complet du niveau dpartemental, imprim sur les conventions','224','0','4','0','0'),
('41','maintenance_text','Le serveur est actuellement inaccessible.<br>Une opration de maintenance est en cours.','Texte affich aux utilisateurs si le mode maintenance est activ','216','0','2','0','0'),
('42','document_security','1','Possibilit de restreindre l\'accs  chaque document avec un niveau de scurit','312','0','3','1','0'),
('43','defaultsectionorder','hierarchique','Ordre par dfaut des sections dans les listes droulantes','300','0','2','0','0'),
('44','encryption_method','md5','Mthode d\'encryption pour les mots de passes','313','0','3','0','0'),
('45','consommables','0','Gestion du stock de produits consommables','113','0','1','1','0'),
('47','dispo_periodes','2','Nombre de priodes de disponibilits sur 24h','121','0','1','0','0'),
('48','charte_active','0','Des conditions d\'utilisations doivent tre acceptes une fois par chaque utilisateur','312','0','3','1','0'),
('49','session_expiration','30','Les sessions utilisateurs expirent automatiquement aprs un certain temps d\'inactivit.','401','0','3','0','0'),
('50','webservice_key','','Cl secrte permettant d\'utiliser les webservices. Si la cl n\'est pas dfinie, les webservices ne peuvent pas tre utiliss.','402','0','3','0','0'),
('51','deconnect_redirect','index.php','URL de la page charge aprs une dconnexion.','226','0','2','0','0'),
('52','sdis','0','groupement de casernes (SDIS ou GT)','1','1','1','1','0'),
('53','donotreply','1','Les mails sont envoys par une adresse  laquelle on ne peut pas rpondre, a vite le blocage spam','212','0','2','1','0'),
('54','error_reporting','0','Affichage des exceptions (aucune, erreurs seules, toutes)','320','0','3','0','0'),
('55','snow','0','Des flocons de neige bleue tombent sur la page, un peu kitch mais c\'est pour Nol!','212','0','2','1','0'),
('56','assoc','0','Configuration association de secourisme','212','1','1','1','0'),
('57','api_key','','Google API key pour les cartes Google Maps - <a href=https://developers.google.com/maps/documentation/javascript/get-api-key target=_blank>Voir doc</a>','120','0','2','0','0'),
('58','remplacements','1','Possibilit de grer les demandes de remplacements sur les vnements','109','0','1','1','0'),
('59','army','0','Configuration organisation militaire','1','1','1','1','0'),
('60','api_provider','google','Service de golocalisation, google ou osm (open street map)','120','0','2','0','0'),
('61','notes','0','Activer les notes de frais','118','0','1','1','0'),
('62','licences','0','Gestion des licenses pour les adhrents ou bnvoles, avec numro et date expiration','116','0','1','1','0'),
('63','block_personnel','0','Bloquer les changements sur les principaux champs de la fiche personnel. Une API doit tre utilise pour les mises  jour.','212','0','2','1','0'),
('64','import_api','0','activer une API personalise pour importer des donnes depuis une source externe','214','0','2','1','0'),
('65','import_api_url',NULL,'URL de base de l\'API utilise pour les imports de donnes personnaliss','215','0','2','0','0'),
('66','import_api_token',NULL,'token pour se connecter  l\'API d\'import','216','0','2','0','0'),
('67','lock_mailer','0','Si une crontab de mailing est active, est ce qu\'elle est locke car en cours d\'utilisation','213','0','2','1','0'),
('68','photo_obligatoire','0','Le personnel doit obligatoirement  mettre une photo, sinon il ne pourra plus s\'inscrire aux vnements','212','0','2','1','0'),
('69','info_connexion','0','Activer l\'affichage d\'un message spcifique  la premire connexion,  dfinir dans le fichier specific_info.php','312','0','3','1','0'),
('70','password_expiry_days','0','Expiration des mots de passes aprs un certain nombre de jours.','316','0','3','0','0'),
('71','logo','','logo de l\'organisation, visible sur les PDFs gnrs (taille recommande environ 100 px de large et 120 px de hauteur recommands) ','501','0','4','0','1'),
('72','banniere','','bannire de la page d\'accueil (taille recommande environ 120px de hauteur et 600 px de largeur)','500','0','4','0','1'),
('73','favicon','','icone de l\'onglet web (taille recommande environ 60 px de large et 60 px de hauteur recommands) ','503','0','4','0','1'),
('74','apple_icon','','icone pour cran d\'accueil iOS (taille recommande environ 100px de hauteur et 100 px de largeur)','502','0','4','0','1'),
('75','splash_screen','','fond d\'cran pour la page de login (taille recommande environ 800px de hauteur et 1400 px de largeur)','504','0','4','0','1');

# ------------------------------------
# structure for table 'consommable'
# ------------------------------------

DROP TABLE IF EXISTS consommable ;
CREATE TABLE consommable (
C_ID int(11) NOT NULL auto_increment,
S_ID int(11) NOT NULL,
TC_ID int(11) NOT NULL,
C_DESCRIPTION varchar(60) NOT NULL,
C_NOMBRE int(11) DEFAULT '0' NOT NULL,
C_MINIMUM int(11) DEFAULT '0',
C_DATE_ACHAT date,
C_DATE_PEREMPTION date,
C_LIEU_STOCKAGE varchar(200),
PRIMARY KEY (C_ID),
KEY TC_ID (TC_ID),
KEY S_ID (S_ID),
KEY C_DATE_ACHAT (C_DATE_ACHAT),
KEY C_DATE_PEREMPTION (C_DATE_PEREMPTION)
);
# ------------------------------------
# data for table 'consommable'
# ------------------------------------



# ------------------------------------
# structure for table 'contact_type'
# ------------------------------------

DROP TABLE IF EXISTS contact_type ;
CREATE TABLE contact_type (
CT_ID tinyint(4) NOT NULL,
CONTACT_TYPE varchar(20) NOT NULL,
CT_ICON varchar(40) NOT NULL,
PRIMARY KEY (CT_ID),
   UNIQUE CONTACT_TYPE (CONTACT_TYPE)
);
# ------------------------------------
# data for table 'contact_type'
# ------------------------------------

INSERT INTO contact_type (CT_ID,CONTACT_TYPE,CT_ICON) VALUES
('1','Skype','fab fa-skype'),
('2','Zello','fas fa-broadcast-tower'),
('3','WhatsApp','fab fa-whatsapp');

# ------------------------------------
# structure for table 'custom_field'
# ------------------------------------

DROP TABLE IF EXISTS custom_field ;
CREATE TABLE custom_field (
CF_ID int(11) NOT NULL auto_increment,
CF_TITLE varchar(30) NOT NULL,
CF_COMMENT varchar(60),
CF_USER_VISIBLE tinyint(4) DEFAULT '1' NOT NULL,
CF_USER_MODIFIABLE tinyint(4) DEFAULT '1' NOT NULL,
CF_TYPE varchar(15) NOT NULL,
CF_MAXLENGTH smallint(6) DEFAULT '0',
CF_NUMERIC tinyint(4) DEFAULT '0' NOT NULL,
CF_ORDER smallint(6),
PRIMARY KEY (CF_ID)
);
# ------------------------------------
# data for table 'custom_field'
# ------------------------------------



# ------------------------------------
# structure for table 'custom_field_personnel'
# ------------------------------------

DROP TABLE IF EXISTS custom_field_personnel ;
CREATE TABLE custom_field_personnel (
P_ID int(11) NOT NULL,
CF_ID int(11) NOT NULL,
CFP_VALUE varchar(1000) NOT NULL,
CFP_DATE datetime NOT NULL,
PRIMARY KEY (P_ID, CF_ID)
);
# ------------------------------------
# data for table 'custom_field_personnel'
# ------------------------------------



# ------------------------------------
# structure for table 'defaut_bancaire'
# ------------------------------------

DROP TABLE IF EXISTS defaut_bancaire ;
CREATE TABLE defaut_bancaire (
D_ID tinyint(4) NOT NULL,
D_DESCRIPTION varchar(50) NOT NULL,
PRIMARY KEY (D_ID)
);
# ------------------------------------
# data for table 'defaut_bancaire'
# ------------------------------------

INSERT INTO defaut_bancaire (D_ID,D_DESCRIPTION) VALUES
('0','non renseign'),
('1','compte sold'),
('2','provision insuffisante'),
('3','opposition sur compte'),
('4','pas d\'ordre  payer'),
('5','opration prsume errone'),
('6','demande de prorogation'),
('7','tirage contest'),
('8','coordonnes bancaires inexploitables'),
('9','rgularisation d\'autorisation de prlvement'),
('10','chque rejet'),
('11','contestation dbiteur'),
('12','sur ordre du bnficiaire'),
('13','opration non admise'),
('14','motif rglementaire'),
('16','compte sold clture vire'),
('17','destinataire non reconnu'),
('18','emetteur non reconnu'),
('19','titulaire dcd'),
('20','code opration incorrect'),
('21','adresse invalide'),
('22','format invalide'),
('23','raison non communique'),
('24','code banque incorrect'),
('25','doublon'),
('26','reu  tort / dj rgl'),
('27','rclamation tardive'),
('28','banque hors changes'),
('29','pas d\'autorisation'),
('30','dcision judiciaire'),
('31','service spcifique'),
('32','donne mandat incorrecte'),
('33','sur ordre du client');

# ------------------------------------
# structure for table 'demande'
# ------------------------------------

DROP TABLE IF EXISTS demande ;
CREATE TABLE demande (
P_ID int(11) NOT NULL,
P_CODE varchar(20),
D_TYPE varchar(20) NOT NULL,
D_DATE datetime NOT NULL,
D_BY int(11),
D_SECRET varchar(30) NOT NULL,
PRIMARY KEY (P_ID, D_TYPE)
);
# ------------------------------------
# data for table 'demande'
# ------------------------------------



# ------------------------------------
# structure for table 'demande_renfort_materiel'
# ------------------------------------

DROP TABLE IF EXISTS demande_renfort_materiel ;
CREATE TABLE demande_renfort_materiel (
E_CODE int(11) NOT NULL,
TYPE_MATERIEL varchar(15) NOT NULL,
PRIMARY KEY (E_CODE, TYPE_MATERIEL)
);
# ------------------------------------
# data for table 'demande_renfort_materiel'
# ------------------------------------



# ------------------------------------
# structure for table 'demande_renfort_vehicule'
# ------------------------------------

DROP TABLE IF EXISTS demande_renfort_vehicule ;
CREATE TABLE demande_renfort_vehicule (
E_CODE int(11) NOT NULL,
TV_CODE varchar(10) DEFAULT 'ALL' NOT NULL,
NB_VEHICULES int(11) DEFAULT '0' NOT NULL,
POINT_REGROUPEMENT varchar(250),
DEMANDE_SPECIFIQUE varchar(600),
PRIMARY KEY (E_CODE, TV_CODE)
);
# ------------------------------------
# data for table 'demande_renfort_vehicule'
# ------------------------------------



# ------------------------------------
# structure for table 'destination'
# ------------------------------------

DROP TABLE IF EXISTS destination ;
CREATE TABLE destination (
D_CODE varchar(6) NOT NULL,
D_NAME varchar(30) NOT NULL,
PRIMARY KEY (D_CODE)
);
# ------------------------------------
# data for table 'destination'
# ------------------------------------

INSERT INTO destination (D_CODE,D_NAME) VALUES
('ACC','Accueil de jour/nuit'),
('CL','Clinique'),
('CM','Cabinet Mdical'),
('DOUCH','Douche publique'),
('HOSP','Centre hospitalier'),
('MISS','Mission locale'),
('NR','Non renseign'),
('PMA','Poste Mdical Avanc');

# ------------------------------------
# structure for table 'diplome_param'
# ------------------------------------

DROP TABLE IF EXISTS diplome_param ;
CREATE TABLE diplome_param (
PS_ID int(11) NOT NULL,
S_ID int(11) DEFAULT '0' NOT NULL,
FIELD tinyint(4) NOT NULL,
AFFICHAGE tinyint(4) NOT NULL,
ACTIF tinyint(4) DEFAULT '0' NOT NULL,
TAILLE tinyint(4) NOT NULL,
STYLE tinyint(4) NOT NULL,
POLICE tinyint(4) NOT NULL,
POS_X float NOT NULL,
POS_Y float NOT NULL,
ANNEXE varchar(50),
PRIMARY KEY (S_ID, PS_ID, FIELD)
);
# ------------------------------------
# data for table 'diplome_param'
# ------------------------------------

INSERT INTO diplome_param (PS_ID,S_ID,FIELD,AFFICHAGE,ACTIF,TAILLE,STYLE,POLICE,POS_X,POS_Y,ANNEXE) VALUES
('12','0','1','8','1','4','0','1','70','117',''),
('12','0','2','10','1','4','0','1','160','117',''),
('12','0','3','0','1','4','1','1','45','126',''),
('12','0','4','6','1','4','0','1','150','126',''),
('12','0','5','5','1','4','0','1','210','126',''),
('12','0','6','0','1','6','1','1','80','153',''),
('12','0','7','11','1','4','0','1','175','168',''),
('12','0','8','3','1','4','0','1','240','168',''),
('12','0','9','7','1','7','0','0','65','199',''),
('13','0','1','8','1','4','0','1','70','117',''),
('13','0','2','10','1','4','0','1','160','117',''),
('13','0','3','0','1','4','1','1','45','126',''),
('13','0','4','6','1','4','0','1','150','126',''),
('13','0','5','5','1','4','0','1','210','126',''),
('13','0','6','0','1','6','1','1','80','153',''),
('13','0','7','11','1','4','0','1','175','168',''),
('13','0','8','3','1','4','0','1','240','168',''),
('13','0','9','7','1','7','0','0','65','199','');

# ------------------------------------
# structure for table 'diplome_param_field'
# ------------------------------------

DROP TABLE IF EXISTS diplome_param_field ;
CREATE TABLE diplome_param_field (
FIELD tinyint(4) NOT NULL,
FIELD_NAME varchar(40) NOT NULL,
CATEGORY varchar(40) NOT NULL,
DISPLAY_ORDER tinyint(4) NOT NULL,
PRIMARY KEY (FIELD)
);
# ------------------------------------
# data for table 'diplome_param_field'
# ------------------------------------

INSERT INTO diplome_param_field (FIELD,FIELD_NAME,CATEGORY,DISPLAY_ORDER) VALUES
('0','Prnom NOM','Stagiaire','1'),
('1','PRENOM NOM','Stagiaire','2'),
('2','Prnom Nom','Stagiaire','3'),
('3','Date diplme','Diplme','1'),
('4','Priode formation','Formation','3'),
('5','Lieu naissance','Stagiaire','6'),
('6','Date de naissance','Stagiaire','5'),
('7','N diplme','Diplme','2'),
('8','Date fin de cours','Formation','2'),
('9','Personnalis','Divers','2'),
('10','Organisateur formation','Organisation','1'),
('11','Ville organisateur','Organisation','2'),
('12','Signature prsident National','Divers','1'),
('13','Date dbut des cours','Formation','1'),
('14','Noms des formateurs','Formation','5'),
('15','Civilit Prnom NOM','Stagiaire','4'),
('16','Lieu de la formation','Formation','4'),
('17','Anne et N Diplme','Diplme','3'),
('18','Numro vnement','Divers','3'),
('19','Nom du prsident National','Divers','1');

# ------------------------------------
# structure for table 'disponibilite'
# ------------------------------------

DROP TABLE IF EXISTS disponibilite ;
CREATE TABLE disponibilite (
P_ID int(11) DEFAULT '0' NOT NULL,
D_DATE date NOT NULL,
PERIOD_ID tinyint(4) DEFAULT '0' NOT NULL,
PRIMARY KEY (P_ID, D_DATE, PERIOD_ID),
KEY D_DATE (D_DATE),
KEY D_DATE_2 (D_DATE, PERIOD_ID)
);
# ------------------------------------
# data for table 'disponibilite'
# ------------------------------------



# ------------------------------------
# structure for table 'disponibilite_comment'
# ------------------------------------

DROP TABLE IF EXISTS disponibilite_comment ;
CREATE TABLE disponibilite_comment (
P_ID int(11) NOT NULL,
DC_YEAR smallint(6) NOT NULL,
DC_MONTH smallint(6) NOT NULL,
DC_COMMENT varchar(300) NOT NULL,
PRIMARY KEY (P_ID, DC_YEAR, DC_MONTH)
);
# ------------------------------------
# data for table 'disponibilite_comment'
# ------------------------------------



# ------------------------------------
# structure for table 'disponibilite_periode'
# ------------------------------------

DROP TABLE IF EXISTS disponibilite_periode ;
CREATE TABLE disponibilite_periode (
DP_ID tinyint(4) NOT NULL,
DP_CODE varchar(2) NOT NULL,
DP_NAME varchar(20) NOT NULL,
DP_DUREE tinyint(4) NOT NULL,
DP_DEBUT time NOT NULL,
DP_FIN time NOT NULL,
PRIMARY KEY (DP_ID),
   UNIQUE DP_NAME (DP_NAME)
);
# ------------------------------------
# data for table 'disponibilite_periode'
# ------------------------------------

INSERT INTO disponibilite_periode (DP_ID,DP_CODE,DP_NAME,DP_DUREE,DP_DEBUT,DP_FIN) VALUES
('1','M','Matin','6','06:00:00','12:00:00'),
('2','AM','Aprs-midi','6','12:00:00','18:00:00'),
('3','S','Soir','6','18:00:00','24:00:00'),
('4','N','Nuit','6','00:00:00','06:00:00');

# ------------------------------------
# structure for table 'document'
# ------------------------------------

DROP TABLE IF EXISTS document ;
CREATE TABLE document (
D_ID int(11) NOT NULL auto_increment,
S_ID int(11) NOT NULL,
E_CODE int(11) DEFAULT '0' NOT NULL,
P_ID int(11) DEFAULT '0' NOT NULL,
V_ID int(11) DEFAULT '0' NOT NULL,
M_ID int(11) DEFAULT '0' NOT NULL,
NF_ID int(11) DEFAULT '0' NOT NULL,
VI_ID int(11) DEFAULT '0' NOT NULL,
TD_CODE varchar(5),
D_NAME varchar(120) NOT NULL,
DS_ID tinyint(4) DEFAULT '1' NOT NULL,
D_CREATED_BY int(11) NOT NULL,
D_CREATED_DATE datetime,
DF_ID int(11) DEFAULT '0' NOT NULL,
PRIMARY KEY (D_ID),
   UNIQUE S_ID (S_ID, D_NAME, E_CODE, P_ID, V_ID, NF_ID, DF_ID),
KEY TD_CODE (TD_CODE),
KEY E_CODE (E_CODE),
KEY P_ID (P_ID),
KEY NF_ID (NF_ID),
KEY D_CREATED_DATE (D_CREATED_DATE)
);
# ------------------------------------
# data for table 'document'
# ------------------------------------



# ------------------------------------
# structure for table 'document_folder'
# ------------------------------------

DROP TABLE IF EXISTS document_folder ;
CREATE TABLE document_folder (
DF_ID int(11) NOT NULL auto_increment,
S_ID int(11) NOT NULL,
DF_PARENT int(11) DEFAULT '0' NOT NULL,
DF_NAME varchar(50) NOT NULL,
TD_CODE varchar(5),
DF_CREATED_BY int(11) NOT NULL,
DF_CREATED_DATE datetime NOT NULL,
PRIMARY KEY (DF_ID),
   UNIQUE S_ID (S_ID, DF_PARENT, DF_NAME),
KEY DF_PARENT (DF_PARENT)
);
# ------------------------------------
# data for table 'document_folder'
# ------------------------------------



# ------------------------------------
# structure for table 'document_security'
# ------------------------------------

DROP TABLE IF EXISTS document_security ;
CREATE TABLE document_security (
DS_ID tinyint(4) NOT NULL,
DS_LIBELLE varchar(50) NOT NULL,
F_ID tinyint(4) DEFAULT '0' NOT NULL,
PRIMARY KEY (DS_ID)
);
# ------------------------------------
# data for table 'document_security'
# ------------------------------------

INSERT INTO document_security (DS_ID,DS_LIBELLE,F_ID) VALUES
('1','public visible de tous','0'),
('2','accs restreint (15 - Gestion des vnements)','15'),
('3','accs restreint (29 - Comptabilit)','29'),
('4','accs restreint (36 - Gestion des agrments)','36'),
('5','accs restreint (25 - Scurit)','25'),
('6','accs restreint (2 - personnel)','2'),
('7','visible seulement par le personnel de la section.','52'),
('9','accs restreint (70 - Gestion du matriel)','70');

# ------------------------------------
# structure for table 'element_facturable'
# ------------------------------------

DROP TABLE IF EXISTS element_facturable ;
CREATE TABLE element_facturable (
EF_ID int(11) NOT NULL auto_increment,
TEF_CODE varchar(6) NOT NULL,
S_ID smallint(6) NOT NULL,
EF_NAME varchar(60) NOT NULL,
EF_PRICE float DEFAULT '0' NOT NULL,
PRIMARY KEY (EF_ID),
KEY S_ID (S_ID),
KEY EF_NAME (EF_NAME)
);
# ------------------------------------
# data for table 'element_facturable'
# ------------------------------------



# ------------------------------------
# structure for table 'equipage'
# ------------------------------------

DROP TABLE IF EXISTS equipage ;
CREATE TABLE equipage (
V_ID int(11) DEFAULT '0' NOT NULL,
ROLE_ID tinyint(4) DEFAULT '1' NOT NULL,
PS_ID int(11) DEFAULT '0' NOT NULL,
PRIMARY KEY (V_ID, ROLE_ID)
);
# ------------------------------------
# data for table 'equipage'
# ------------------------------------



# ------------------------------------
# structure for table 'equipe'
# ------------------------------------

DROP TABLE IF EXISTS equipe ;
CREATE TABLE equipe (
EQ_ID smallint(6) DEFAULT '0' NOT NULL,
EQ_NOM varchar(30) NOT NULL,
EQ_ORDER tinyint(4) DEFAULT '0' NOT NULL,
PRIMARY KEY (EQ_ID),
KEY EQ_ID (EQ_ID)
);
# ------------------------------------
# data for table 'equipe'
# ------------------------------------

INSERT INTO equipe (EQ_ID,EQ_NOM,EQ_ORDER) VALUES
('3','Secourisme','3'),
('4','Permis','4'),
('5','Pompier','5');

# ------------------------------------
# structure for table 'evenement'
# ------------------------------------

DROP TABLE IF EXISTS evenement ;
CREATE TABLE evenement (
E_CODE int(11) DEFAULT '0' NOT NULL,
TE_CODE varchar(5) NOT NULL,
S_ID smallint(6) DEFAULT '0' NOT NULL,
E_CHEF int(11),
E_LIBELLE varchar(60) NOT NULL,
E_LIEU varchar(50) NOT NULL,
E_NB tinyint(4),
E_NB_STAGIAIRES tinyint(4),
E_NB_DPS smallint(6) DEFAULT '0' NOT NULL,
E_COMMENT text,
E_COMMENT2 varchar(800),
E_CONVENTION varchar(30),
E_OPEN_TO_EXT tinyint(4) DEFAULT '0' NOT NULL,
E_CLOSED tinyint(4) DEFAULT '0' NOT NULL,
E_CANCELED tinyint(4) DEFAULT '0' NOT NULL,
E_CANCEL_DETAIL varchar(50),
E_MAIL1 tinyint(4) DEFAULT '0' NOT NULL,
E_MAIL2 tinyint(4) DEFAULT '0' NOT NULL,
E_MAIL3 tinyint(4) DEFAULT '0' NOT NULL,
E_PARENT int(11),
E_CREATED_BY int(11),
E_CREATE_DATE datetime,
E_ALLOW_REINFORCEMENT tinyint(4) DEFAULT '0' NOT NULL,
TF_CODE varchar(1),
PS_ID smallint(6),
F_COMMENT varchar(100),
C_ID int(11),
E_CONTACT_LOCAL varchar(50),
E_CONTACT_TEL varchar(20),
TAV_ID tinyint(4) DEFAULT '1',
E_FLAG1 tinyint(4) DEFAULT '0' NOT NULL,
E_VISIBLE_OUTSIDE tinyint(4) DEFAULT '0' NOT NULL,
E_ADDRESS varchar(255),
E_CONSIGNES varchar(500),
E_MOYENS_INSTALLATION varchar(600),
E_NB_VPSP tinyint(4),
E_NB_AUTRES_VEHICULES tinyint(4),
E_CLAUSES_PARTICULIERES varchar(500),
E_CLAUSES_PARTICULIERES2 varchar(500),
E_REPAS tinyint(4) DEFAULT '0' NOT NULL,
E_TRANSPORT tinyint(4) DEFAULT '0' NOT NULL,
E_PARTIES tinyint(4) DEFAULT '1' NOT NULL,
E_TARIF float,
E_EQUIPE smallint(6) DEFAULT '0' NOT NULL,
E_VISIBLE_INSIDE tinyint(4) DEFAULT '1' NOT NULL,
E_CUSTOM_HORAIRE varchar(400),
E_REPRESENTANT_LEGAL varchar(200),
E_DATE_ENVOI_CONVENTION date,
E_EXTERIEUR tinyint(4) DEFAULT '0' NOT NULL,
E_URL varchar(500),
E_COLONNE_RENFORT tinyint(4) DEFAULT '0' NOT NULL,
E_ANOMALIE tinyint(4) DEFAULT '0' NOT NULL,
E_HEURE_RDV time,
E_LIEU_RDV varchar(150),
E_TEL varchar(15),
E_WHATSAPP varchar(30),
E_WEBEX_URL varchar(500),
E_WEBEX_PIN varchar(20),
E_WEBEX_START time,
PRIMARY KEY (E_CODE),
KEY S_ID (S_ID),
KEY E_PARENT (E_PARENT),
KEY TE_CODE (TE_CODE),
KEY PS_ID (PS_ID),
KEY C_ID (C_ID),
KEY E_CANCELED (E_CANCELED),
KEY E_CLOSED (E_CLOSED),
KEY E_OPEN_TO_EXT (E_OPEN_TO_EXT),
KEY TAV_ID (TAV_ID),
KEY E_TARIF (E_TARIF),
KEY E_EQUIPE (E_EQUIPE),
KEY E_VISIBLE_INSIDE (E_VISIBLE_INSIDE),
KEY E_VISIBLE_OUTSIDE (E_VISIBLE_OUTSIDE),
KEY E_COLONNE_RENFORT (E_COLONNE_RENFORT)
);
# ------------------------------------
# data for table 'evenement'
# ------------------------------------



# ------------------------------------
# structure for table 'evenement_chef'
# ------------------------------------

DROP TABLE IF EXISTS evenement_chef ;
CREATE TABLE evenement_chef (
E_CODE int(11) NOT NULL,
E_CHEF int(11) NOT NULL,
PRIMARY KEY (E_CODE, E_CHEF)
);
# ------------------------------------
# data for table 'evenement_chef'
# ------------------------------------



# ------------------------------------
# structure for table 'evenement_competences'
# ------------------------------------

DROP TABLE IF EXISTS evenement_competences ;
CREATE TABLE evenement_competences (
E_CODE int(11) NOT NULL,
EH_ID smallint(6) NOT NULL,
PS_ID int(11) DEFAULT '0' NOT NULL,
NB smallint(6) DEFAULT '1' NOT NULL,
PRIMARY KEY (E_CODE, EH_ID, PS_ID),
KEY PS_ID (PS_ID)
);
# ------------------------------------
# data for table 'evenement_competences'
# ------------------------------------



# ------------------------------------
# structure for table 'evenement_consommable'
# ------------------------------------

DROP TABLE IF EXISTS evenement_consommable ;
CREATE TABLE evenement_consommable (
EC_ID int(11) NOT NULL auto_increment,
E_CODE int(11) NOT NULL,
TC_ID int(11) NOT NULL,
C_ID int(11) DEFAULT '0' NOT NULL,
EC_NOMBRE int(11) DEFAULT '0' NOT NULL,
EC_DATE_CONSO date,
PRIMARY KEY (EC_ID),
KEY E_CODE (E_CODE),
KEY TC_ID (TC_ID),
KEY C_ID (C_ID),
KEY EC_DATE_CONSO (EC_DATE_CONSO)
);
# ------------------------------------
# data for table 'evenement_consommable'
# ------------------------------------



# ------------------------------------
# structure for table 'evenement_equipe'
# ------------------------------------

DROP TABLE IF EXISTS evenement_equipe ;
CREATE TABLE evenement_equipe (
E_CODE int(11) NOT NULL,
EE_ID int(11) NOT NULL,
EE_NAME varchar(30) NOT NULL,
EE_ORDER tinyint(4) DEFAULT '1' NOT NULL,
EE_DESCRIPTION varchar(300),
EE_SIGNATURE tinyint(4) DEFAULT '0' NOT NULL,
EE_ADDRESS varchar(150),
EE_ICON varchar(100),
IS_ID tinyint(4) DEFAULT '1' NOT NULL,
EE_ID_RADIO varchar(12),
PRIMARY KEY (E_CODE, EE_ID)
);
# ------------------------------------
# data for table 'evenement_equipe'
# ------------------------------------



# ------------------------------------
# structure for table 'evenement_facturation'
# ------------------------------------

DROP TABLE IF EXISTS evenement_facturation ;
CREATE TABLE evenement_facturation (
E_ID bigint(11) DEFAULT '0' NOT NULL,
dimP int(5),
dimP1 int(5),
dimP2 float,
dimE1 float,
dimE2 float,
dimNbISActeurs int(5),
dimNbISActeursCom varchar(250),
dimRIS decimal(20,4),
dimRISCalc decimal(20,4),
dimI decimal(20,4),
dimNbIS int(5),
dimTypeDPS varchar(100),
dimTypeDPSComment varchar(250),
dimSecteurs int(5),
dimPostes int(5),
dimEquipes int(5),
dimBinomes int(5),
devis_lieu varchar(50),
devis_date_heure varchar(500),
devis_date date,
devis_numero varchar(20),
devis_montant float,
devis_acompte float,
devis_orga varchar(200),
devis_civilite varchar(20),
devis_contact varchar(200),
devis_adresse varchar(250),
devis_cp varchar(10),
devis_ville varchar(100),
devis_tel1 varchar(20),
devis_tel2 varchar(20),
devis_fax varchar(20),
devis_email varchar(50),
devis_url varchar(250),
devis_comment varchar(250),
devis_accepte int(1),
facture_lieu varchar(50),
facture_date_heure varchar(500),
facture_date date,
facture_numero varchar(20),
facture_montant float,
facture_acompte float,
facture_comment varchar(250),
facture_orga varchar(200),
facture_civilite varchar(20),
facture_contact varchar(200),
facture_adresse varchar(250),
facture_cp varchar(10),
facture_ville varchar(100),
facture_tel1 varchar(20),
facture_tel2 varchar(20),
facture_fax varchar(20),
facture_email varchar(50),
relance_num int(1),
relance_date date,
relance_comment varchar(250),
paiement_date date,
paiement_comment varchar(250),
PRIMARY KEY (E_ID)
);
# ------------------------------------
# data for table 'evenement_facturation'
# ------------------------------------



# ------------------------------------
# structure for table 'evenement_facturation_detail'
# ------------------------------------

DROP TABLE IF EXISTS evenement_facturation_detail ;
CREATE TABLE evenement_facturation_detail (
e_id int(11) NOT NULL,
ef_type varchar(20) NOT NULL,
ef_lig int(11) NOT NULL,
ef_txt varchar(250) NOT NULL,
ef_qte int(11) DEFAULT '0' NOT NULL,
ef_pu float DEFAULT '0' NOT NULL,
ef_rem float DEFAULT '0' NOT NULL,
ef_comment varchar(250),
ef_frais varchar(10) DEFAULT 'PRE' NOT NULL,
PRIMARY KEY (e_id, ef_type, ef_lig)
);
# ------------------------------------
# data for table 'evenement_facturation_detail'
# ------------------------------------



# ------------------------------------
# structure for table 'evenement_horaire'
# ------------------------------------

DROP TABLE IF EXISTS evenement_horaire ;
CREATE TABLE evenement_horaire (
E_CODE int(11) NOT NULL,
EH_ID smallint(6) NOT NULL,
EH_DATE_DEBUT date NOT NULL,
EH_DATE_FIN date NOT NULL,
EH_DEBUT time NOT NULL,
EH_FIN time NOT NULL,
EH_DUREE float NOT NULL,
EH_DESCRIPTION varchar(20),
SECTION_GARDE int(11) DEFAULT '0' NOT NULL,
PRIMARY KEY (E_CODE, EH_ID),
KEY EH_DATE_DEBUT (EH_DATE_DEBUT),
KEY EH_DATE_FIN (EH_DATE_FIN),
KEY E_CODE (E_CODE, EH_DATE_DEBUT)
);
# ------------------------------------
# data for table 'evenement_horaire'
# ------------------------------------



# ------------------------------------
# structure for table 'evenement_log'
# ------------------------------------

DROP TABLE IF EXISTS evenement_log ;
CREATE TABLE evenement_log (
EL_ID int(11) NOT NULL auto_increment,
E_CODE int(11) NOT NULL,
TEL_CODE varchar(2) NOT NULL,
EL_IMPORTANT tinyint(4) DEFAULT '0' NOT NULL,
EL_IMPRIMER tinyint(4) DEFAULT '1' NOT NULL,
EL_DEBUT datetime NOT NULL,
EL_SLL time,
EL_FIN datetime,
EL_ADDRESS varchar(150),
EL_ORIGINE varchar(50),
EL_DESTINATAIRE varchar(50),
EL_TITLE varchar(50),
EL_COMMENTAIRE varchar(3000),
EL_RESPONSABLE int(11),
EL_DATE_ADD datetime NOT NULL,
EL_AUTHOR int(11),
EL_DATE_UPDATE datetime,
EL_UPDATED_BY int(11),
PRIMARY KEY (EL_ID),
KEY E_CODE (E_CODE),
KEY EL_RESPONSABLE (EL_RESPONSABLE),
KEY EL_DEBUT (EL_DEBUT),
KEY TEL_CODE (TEL_CODE)
);
# ------------------------------------
# data for table 'evenement_log'
# ------------------------------------



# ------------------------------------
# structure for table 'evenement_materiel'
# ------------------------------------

DROP TABLE IF EXISTS evenement_materiel ;
CREATE TABLE evenement_materiel (
E_CODE int(11) NOT NULL,
MA_ID int(11) NOT NULL,
EM_NB int(11) DEFAULT '1' NOT NULL,
EE_ID smallint(6),
PRIMARY KEY (E_CODE, MA_ID),
KEY MA_ID (MA_ID)
);
# ------------------------------------
# data for table 'evenement_materiel'
# ------------------------------------



# ------------------------------------
# structure for table 'evenement_option'
# ------------------------------------

DROP TABLE IF EXISTS evenement_option ;
CREATE TABLE evenement_option (
EO_ID int(11) NOT NULL auto_increment,
E_CODE int(11) NOT NULL,
EO_TITLE varchar(40) NOT NULL,
EO_COMMENT varchar(150) NOT NULL,
EO_TYPE varchar(15) DEFAULT 'checkbox' NOT NULL,
EO_ORDER tinyint(4) NOT NULL,
EOG_ID int(11) DEFAULT '0' NOT NULL,
PRIMARY KEY (EO_ID),
KEY E_CODE (E_CODE)
);
# ------------------------------------
# data for table 'evenement_option'
# ------------------------------------



# ------------------------------------
# structure for table 'evenement_option_choix'
# ------------------------------------

DROP TABLE IF EXISTS evenement_option_choix ;
CREATE TABLE evenement_option_choix (
EO_ID int(11) NOT NULL,
P_ID int(11) NOT NULL,
E_CODE int(11) NOT NULL,
EOC_VALUE varchar(100) NOT NULL,
PRIMARY KEY (EO_ID, P_ID),
KEY E_CODE (E_CODE, P_ID)
);
# ------------------------------------
# data for table 'evenement_option_choix'
# ------------------------------------



# ------------------------------------
# structure for table 'evenement_option_dropdown'
# ------------------------------------

DROP TABLE IF EXISTS evenement_option_dropdown ;
CREATE TABLE evenement_option_dropdown (
EOD_ID int(11) NOT NULL auto_increment,
EO_ID int(11) NOT NULL,
EOD_ORDER tinyint(4) NOT NULL,
EOD_TEXTE varchar(50) NOT NULL,
PRIMARY KEY (EOD_ID),
   UNIQUE EO_ID (EO_ID, EOD_TEXTE)
);
# ------------------------------------
# data for table 'evenement_option_dropdown'
# ------------------------------------



# ------------------------------------
# structure for table 'evenement_option_group'
# ------------------------------------

DROP TABLE IF EXISTS evenement_option_group ;
CREATE TABLE evenement_option_group (
EOG_ID int(11) NOT NULL auto_increment,
E_CODE int(11) NOT NULL,
EOG_TITLE varchar(60) NOT NULL,
EOG_ORDER tinyint(4) NOT NULL,
PRIMARY KEY (EOG_ID),
KEY E_CODE (E_CODE)
);
# ------------------------------------
# data for table 'evenement_option_group'
# ------------------------------------



# ------------------------------------
# structure for table 'evenement_participation'
# ------------------------------------

DROP TABLE IF EXISTS evenement_participation ;
CREATE TABLE evenement_participation (
E_CODE int(11) DEFAULT '0' NOT NULL,
EH_ID smallint(6) DEFAULT '1' NOT NULL,
P_ID int(11) DEFAULT '0' NOT NULL,
EP_DATE datetime,
EP_BY int(11),
TP_ID smallint(6) DEFAULT '0' NOT NULL,
EP_COMMENT varchar(150),
EP_DATE_DEBUT date,
EP_DATE_FIN date,
EP_DEBUT time,
EP_FIN time,
EP_DUREE float,
EP_FLAG1 tinyint(4) DEFAULT '0' NOT NULL,
EP_KM smallint(6),
EE_ID smallint(6),
EP_REMINDER tinyint(4) DEFAULT '0' NOT NULL,
EP_ABSENT tinyint(4) DEFAULT '0' NOT NULL,
EP_EXCUSE tinyint(4) DEFAULT '0' NOT NULL,
EP_TARIF float,
EP_PAID tinyint(1),
EP_ASA tinyint(4) DEFAULT '0' NOT NULL,
EP_DAS tinyint(4) DEFAULT '0' NOT NULL,
EP_ASTREINTE tinyint(4) DEFAULT '0' NOT NULL,
TSP_ID tinyint(4) DEFAULT '0' NOT NULL,
MODE_PAIEMENT tinyint(4),
NUM_CHEQUE varchar(20),
NOM_PAYEUR varchar(40),
PRIMARY KEY (E_CODE, EH_ID, P_ID),
   UNIQUE P_ID (P_ID, E_CODE, EH_ID),
KEY TP_ID (TP_ID),
KEY EP_REMINDER (EP_REMINDER),
KEY EP_ABSENT (EP_ABSENT),
KEY EP_TARIF (EP_TARIF),
KEY EP_PAID (EP_PAID),
KEY EP_FLAG1 (EP_FLAG1),
KEY EP_ASTREINTE (EP_ASTREINTE)
);
# ------------------------------------
# data for table 'evenement_participation'
# ------------------------------------



# ------------------------------------
# structure for table 'evenement_piquets_feu'
# ------------------------------------

DROP TABLE IF EXISTS evenement_piquets_feu ;
CREATE TABLE evenement_piquets_feu (
E_CODE int(11) NOT NULL,
EH_ID smallint(6) NOT NULL,
V_ID int(11) NOT NULL,
ROLE_ID tinyint(4) NOT NULL,
P_ID int(11),
PRIMARY KEY (E_CODE, EH_ID, V_ID, ROLE_ID),
KEY P_ID (P_ID)
);
# ------------------------------------
# data for table 'evenement_piquets_feu'
# ------------------------------------



# ------------------------------------
# structure for table 'evenement_vehicule'
# ------------------------------------

DROP TABLE IF EXISTS evenement_vehicule ;
CREATE TABLE evenement_vehicule (
E_CODE int(11) DEFAULT '0' NOT NULL,
EH_ID smallint(6) DEFAULT '1' NOT NULL,
V_ID int(11) DEFAULT '0' NOT NULL,
EV_KM smallint(6),
EV_DATE_DEBUT date,
EV_DATE_FIN date,
EV_DEBUT time,
EV_FIN time,
EV_DUREE float,
EE_ID smallint(6),
TFV_ID smallint(6),
PRIMARY KEY (E_CODE, EH_ID, V_ID),
KEY V_ID (V_ID)
);
# ------------------------------------
# data for table 'evenement_vehicule'
# ------------------------------------



# ------------------------------------
# structure for table 'fonctionnalite'
# ------------------------------------

DROP TABLE IF EXISTS fonctionnalite ;
CREATE TABLE fonctionnalite (
F_ID int(11) DEFAULT '0' NOT NULL,
F_LIBELLE varchar(30) NOT NULL,
F_TYPE tinyint(4) DEFAULT '0' NOT NULL,
TF_ID smallint(6) DEFAULT '0' NOT NULL,
F_FLAG tinyint(4) DEFAULT '0' NOT NULL,
F_DESCRIPTION varchar(500),
PRIMARY KEY (F_ID)
);
# ------------------------------------
# data for table 'fonctionnalite'
# ------------------------------------

INSERT INTO fonctionnalite (F_ID,F_LIBELLE,F_TYPE,TF_ID,F_FLAG,F_DESCRIPTION) VALUES
('0','Se connecter','0','0','0','Se connecter  eBrigade.  Tous les groupes d\'habilitation doivent avoir cette permission, sauf \'accs interdit\''),
('1','Ajouter personnel','0','4','0','Ajouter du personnel dans l\'application. Un mot de passe alatoire est gnr et un mail est envoy au nouvel utilisateur  pour lui indiquer que son compte a t cr.  Seul le personnel interne est concern ici. L\'habilitation 37 est requise pour le personnel externe.'),
('2','Modifier le personnel','0','4','0','Modifier les informations du personnel sous sa responsabilit,  sauf le mot de passe. Seul le personnel interne est concern ici.  L\'habilitation 37 est requise pour le personnel externe.'),
('3','Supprimer le personnel','0','4','1','Supprimer les fiches personnel. <i class=\'fa fa-warning fa-lg\' style=\'color:orange\'></i> Attention seuls les administrateurs devraient tre habilits pour utiliser cette fonctionnalit.'),
('4','Comptences du personnel','0','5','1','Modifier les comptence et dates d\'expiration des comptences du personnel  sous sa responsabilit.'),
('5','Crer tableau de garde','1','8','0','Crer un nouveau tableau ou le supprimer.'),
('6','Modifier le tableau de garde','1','8','0','Modifier la liste de personnel de garde un jour donn.'),
('8','Ajout/Suppression consignes','1','8','0','Ajouter ou supprimer des consignes pour la garde oprationnelle.'),
('9','Scurit/habilitations','2','2','1','Changer les mots de passes de tout le personnel. Crer, modifier et supprimer des groupes de permissions et des rles dans l\'organigramme. <i class=\'fa fa-warning fa-lg\' style=\'color:orange\'></i> Attention seuls les administrateurs devraient tre habilits pour utiliser cette fonctionnalit.'),
('10','Modifier les disponibilits','0','4','0','Modifier les disponibilits du personnel sous sa responsabilit. Inscrire le personnel sous sa responsabilit sur des vnements.'),
('11','Saisir ses absences','0','0','0','Saisir ses absences personnelles, demandes de congs pays (pour le personnel professionnel ou salari), absences pour raisons personnelles ou autres.Dans le cas d\'une demande de congs, une demande de validation est envoye au responsable du demandeur.'),
('12','Saisie toutes absences','0','4','0','Enregistrer des absences pour les autres personnes.'),
('13','Horaires et Congs','0','4','0','Valider les horaires de travail saisis, les demandes de congs pays et de RTT du personnel professionnel ou salari. Recevoir un mail de notification si une demande de CP doit tre valide. Recevoir un mail de notification en cas d\'inscription de personnel salari, prcisant  le statut bnvole ou salari.'),
('14','Admin technique','2','1','1','Configuration de l\'application eBrigade, gestion des sauvegardes  de la base de donnes. Supprimer des sections. Supprimer des messages sur  la messagerie instantane. <i class=\'fa fa-warning fa-lg\' style=\'color:orange\'></i> Attention seuls les administrateurs devraient tre habilits pour utiliser cette fonctionnalit.'),
('15','Gestion des vnements','0','6','0','Crer de nouveaux vnements, modifier les vnements existants, inscrire du personnel  et du matriel sur les vnements.'),
('16','Ajout infos diverses','0','9','0','Ajouter des informations visibles par les autres utilisateurs sur la pages infos diverses. Ces informations sont aussi visibles sur la page d\'accueil.'),
('17','Vhicules','0','7','0','Ajouter ou modifier des vhicules  Permet d\'engager des vhicules sur les vnements.'),
('70','Matriel et tenues','0','7','0','Ajouter ou modifier le matriel ou les tenues  Permet d\'engager du matriel sur les vnements.'),
('18','Paramtrage application','0','3','0','Paramtrage de l\'application: Comptences, Fonctions, Types de matriel <i class=\'fa fa-warning fa-lg\' style=\'color:orange\'></i> Attention seuls les administrateurs devraient tre habilits pour utiliser cette fonctionnalit.'),
('19','Supprimer donnes','0','7','1','Supprimer des vnements, des vhicules, du matriel ou des entreprises clientes.  Modifier des vnements dans le pass <i class=\'fa fa-warning\' fa-lg style=\'color:orange\'></i> Attention seuls les administrateurs devraient tre habilits pour utiliser cette fonctionnalit.'),
('20','Audit','0','9','0','Voir l\'historique des connexions  l\'application.'),
('21','Notifications vnement','0','10','0','Recevoir un email de notification lorsqu\'un vnement est cr,  ou lorsqu\'il y a une demande de remplacement sur cet vnement.'),
('22','Gestion des sections','0','3','0','Modifier l\'adresse, les coordonnes et le paramtrage  d\'une section de l\'organigramme. Ne permet pas de renommer ou dplacer.'),
('23','Envoyer des SMS','0','9','0','Envoyer des SMS (c\'est un service qui a un cot).'),
('24','Permissions globales','2','1','0','Etendre les permissions d\'une personne  toutes les sections ou  toutes les zones gographiques.'),
('25','Scurit locale','0','2','0','Permissions de modifier le statut du personnel (actif, radi),  les mots de passes ou de modifier les permissions des autres utilisateurs.  Ces droits sont cependant limits au personnel sous sa responsabilit,  et ne permettent pas de donner les permissions les plus leves (9, 14 et 24).'),
('26','Gestion des permanences','0','7','0','Permissions du cadre de permanence. Donne aussi des droits de cration  et de modification sur les vnements, d\'inscription du personnel ou d\'engagement  des vhicule et du matriel.  Permet aussi de changer le cadre de permanence.'),
('27','Statistiques et reporting','0','9','0','Voir les graphiques montrant les statistiques oprationnelles et sur le personnel Utiliser les fonctionnalits de reporting. Voir les cartes de France (si le module france map est install).'),
('76','Cartes Google Maps','0','9','0','Permission de voir les cartes Google Maps. Cette fonctionnalit tant payante, on peut restreindre l\'accs  certains groupes d\'utilisateurs seulement.'),
('28','Inscriptions extrieures','0','6','0','S\'inscrire ou inscrire du personnel sur les vnements de toutes les sections  ou de toutes les zones gographiques.'),
('29','Comptabilit','0','7','0','Utiliser la fonctionnalit de comptabilit permettant de visualiser,  de crer ou de modifier des devis ou des factures pour les DPS, les formations  ou les autres activits facturables. Modifier les paramtrage des devis et factures sur la page section'),
('30','Gestion des badges','0','7','0','Editer et imprimer des badges pour le personnel. Paramtrer le format des badges sur la page section.'),
('31','Gestion des comptences leve','0','5','1','Permet d\'attribuer ou de modifier des comptences considres comme leves.  Dans la page de paramtrage des comptences,  on peut dfinir si une comptence requiret cette habilitation pour pouvoir tre attribue   une personne.'),
('32','Notifications personnel','0','10','0','Recevoir une notification par email lorsque une nouvelle fiche personnel  est cre ou lorsque une personne change de statut (actif <-> ancien).'),
('33','Notifications comptences','0','10','0','Recevoir une notification par email lorsque certaines comptences  (ayant la proprit \'Alerter si modification\' sont attribues  du personnel.'),
('34','Notifications vhicules','0','10','0','Recevoir une notification par email lorsque le statut  d\'un vhicule est modifi (utilisable <-> rform).'),
('35','Notifications comptabilit','0','10','0','Recevoir une notification par email lorsque un devis a t cr.'),
('36','Gestion des agrments','0','7','1','Permettre de modifier les agrments des sections.'),
('37','Gestion des externes','0','7','0','Ajouter et modifier le personnel externe.  Ajouter, modifier les entreprises ou associations clientes, lies  une section.  Attention, la suppression d\'une entreprise requiert en plus l\'habilitation 19'),
('38','Saisir ses disponibilits','0','0','0','Permettre de saisir ses propres disponibilits,  et de voir les disponibilits saisies par le personnel.  Tous les membres peuvent avoir cette permission.'),
('39','S\'inscrire','0','0','0','Permet  une personne de s\'inscrire sur des vnements lorsque  ceux ci sont ouverts aux inscriptions pour le personnel de sa section.  Tous les membres peuvent avoir cette permission.'),
('40','Accs en lecture total','0','0','0','Voir toutes les fiches du personnel interne, les vnements, les vhicules et le matriel, quel que soit leur niveau dans l\'organigramme,  l\'exclusion ventuelle des informations protges.  Donner en complment la permission 56 - Voir le personnel local.  Attention, pour voir les fiches du personnel externe, les permissions 37 ou 45 sont requises.'),
('41','Voir les vnements','0','0','0','Voir tous les vnements qui ont t crs. Sans cette permission on ne peut voir que les vnements o l\'on est inscrit. Le personnel externe possdant cette habilitation a une restriction gographique.  Tous le personnel interne devrait avoir cette permission.'),
('42','Voir vhicules/matriel','0','0','0','Accs en lecture aux menus vhicules et matriel,  permet d\'afficher l\'inventaire et l\'tat de chaque vhicule ou pice de matriel.'),
('43','Messagerie','0','0','0','Utiliser les outils de messagerie: mails et alertes.   Tous les membres peuvent avoir cette permission.'),
('44','Voir les infos - basique','0','0','0','Voir les infos au niveau de sa section.  Tous les membres peuvent avoir cette permission.'),
('45','Voir mon entreprise','3','0','0','Permet  un utilisateur faisant partie du personnel d\'une entreprise de voir les informations relatives  cette entreprise, le personnel externe attach  une entreprise et aussi les vnements organiss pour le compte de cette entreprise. Cette fonctionnalit n\'a aucun effet sur les utilisateurs qui ne font pas partie d\'une entreprise.'),
('46','Habilitations des externes','2','2','1','Permettre de donner un accs tendu  l\'application au personnel externe.  Les permissions donnant les droits sur la fonctionnalit 45 sont concernes. L\'accs  cette fonctionnalit doit tre restreint.'),
('47','Gestion des documents','0','7','0','Ajouter des documents sur la page section. Dfinir des restrictions d\'accs  ces documents.'),
('48','Imprimer les diplmes','0','5','0','Imprimer les diplmes  l\'issue des formations.'),
('49','Historique','0','2','0','Voir l\'historique des modifications faites sur les fiches personnels les vhicules ou matriels et les vnements'),
('50','Notification changement fiche','0','10','0','Recevoir une notification en cas de  changement sur une fiche personnel'),
('51','Messagerie instantane','0','0','0','Utiliser la messagerie instantane, chat - aide en ligne.  Tous les membres peuvent avoir cette permission.'),
('52','Voir les infos - avanc','0','0','0','Permet  une personne de voir tous les messages d\'information et l\'organigramme.  Tous les membres peuvent avoir cette permission, mais pas les externes.'),
('53','Cotisations','0','7','0','Dfinir les montants des cotisations au niveau de sa section. Enregistrer les cotisations des membres'),
('73','Valider Notes de frais','0','7','0','Modifier et faire la premire validation des notes de frais.  Recevoir les notifications par mail si une note est envoye pour validation. <b>Attention:</b> on ne peut cependant pas valider compltement ses propres notes de frais.'),
('54','Param. impression diplmes','0','3','1','Paramtrage impression des diplmes. Choix des images  pour les diplmes primprims et choix des champs devant tre imprims,  avec leur emplacement'),
('55','Gestion organigramme','0','3','1','Ajouter, dplacer, renommer des sections Pour supprimer une section il faut la permission 19.'),
('56','Voir le personnel','0','0','0','Voir la liste du personnel et les fiches du personnel de ma section Tous les membres peuvent avoir cette permission. Pour voir tout le personnel, il faut la permission 40.'),
('57','Notifications disponibilits','0','10','0','Recevoir une notification par mail quand une personne modifie  ses disponibilits ou enregistre une absence.'),
('58','Notifications messages','0','10','0','Recevoir une notification par mail quand une consigne ou un message d\'information est enregistr.'),
('59','Voir cotisations et notes','0','7','0','Voir les informations relatives aux cotisations et notes de frais.'),
('60','Notification Garde','1','10','0','Recevoir une notification par mail quand une personne est inscrite sur une garde aprs publication du tableau.'),
('61','Voir le tableau de garde','1','8','0','Permet de voir le tableau de garde, la composition de la garde du jour.'),
('71','Consommables','0','7','0','Ajouter ou modifier des produits consommables  Permet d\'enregistrer les consommations sur les vnements.'),
('72','Notification participation','0','10','0','Permet de recevoir un rappel la veille de la participation  un vnement'),
('74','Valider 2 Notes de frais','0','7','0','Modifier et faire la deuxime validation notes de frais.  Recevoir les notifications par mail si une note est valide une premire fois. <b>Attention:</b> on ne peut cependant pas valider compltement ses propres notes de frais.'),
('75','Rembourser Notes de frais','0','7','0','Modifier et rembourser les notes de frais.  Recevoir les notifications par mail si une note est valide.'),
('77','Saisir ses notes de frais','0','0','0','Crer des notes de frais pour soi-mme. Voir ses cotisations et remboursements');

# ------------------------------------
# structure for table 'garde_competences'
# ------------------------------------

DROP TABLE IF EXISTS garde_competences ;
CREATE TABLE garde_competences (
GC_ID int(11) NOT NULL auto_increment,
EQ_ID int(11) NOT NULL,
EH_ID tinyint(4) NOT NULL,
PS_ID int(11) NOT NULL,
NB tinyint(4) NOT NULL,
PRIMARY KEY (GC_ID),
   UNIQUE EQ_ID (EQ_ID, EH_ID, PS_ID)
);
# ------------------------------------
# data for table 'garde_competences'
# ------------------------------------

INSERT INTO garde_competences (GC_ID,EQ_ID,EH_ID,PS_ID,NB) VALUES
('2','1','1','29','1'),
('6','1','1','31','1'),
('4','1','1','28','2'),
('5','1','1','27','2'),
('7','1','2','31','1'),
('8','1','2','29','1'),
('9','1','2','28','2'),
('10','1','2','27','2'),
('11','2','1','31','1'),
('12','2','1','22','1'),
('13','2','1','21','2');

# ------------------------------------
# structure for table 'geolocalisation'
# ------------------------------------

DROP TABLE IF EXISTS geolocalisation ;
CREATE TABLE geolocalisation (
ID int(11) NOT NULL auto_increment,
TYPE char(1) DEFAULT 'E' NOT NULL,
CODE int(11) NOT NULL,
CODE2 int(11) DEFAULT '0' NOT NULL,
LAT float(10,6) NOT NULL,
LNG float(10,6) NOT NULL,
ZOOMLEVEL smallint(6),
MAPTYPEID varchar(25),
COMMENT varchar(300),
PRIMARY KEY (ID),
   UNIQUE TYPE (TYPE, CODE, CODE2)
);
# ------------------------------------
# data for table 'geolocalisation'
# ------------------------------------



# ------------------------------------
# structure for table 'gps'
# ------------------------------------

DROP TABLE IF EXISTS gps ;
CREATE TABLE gps (
P_ID int(11) NOT NULL,
DATE_LOC datetime NOT NULL,
LAT float NOT NULL,
LNG float NOT NULL,
ADDRESS varchar(500) NOT NULL,
PRIMARY KEY (P_ID)
);
# ------------------------------------
# data for table 'gps'
# ------------------------------------



# ------------------------------------
# structure for table 'grade'
# ------------------------------------

DROP TABLE IF EXISTS grade ;
CREATE TABLE grade (
G_GRADE varchar(6) NOT NULL,
G_DESCRIPTION varchar(50) NOT NULL,
G_LEVEL smallint(6) DEFAULT '0' NOT NULL,
G_TYPE varchar(25) NOT NULL,
G_CATEGORY varchar(5) DEFAULT 'SP' NOT NULL,
PRIMARY KEY (G_GRADE)
);
# ------------------------------------
# data for table 'grade'
# ------------------------------------

INSERT INTO grade (G_GRADE,G_DESCRIPTION,G_LEVEL,G_TYPE,G_CATEGORY) VALUES
('-','non renseign','0','tous','ALL'),
('AA1','adjoint administratif 1re classe','3','adjoints administratifs','PATS'),
('AA2','adjoint administratif 2me classe','2','adjoints administratifs','PATS'),
('AA2NT','adjoint administratif 2me classe non titulaire','1','adjoints administratifs','PATS'),
('AAP1','adjoint administratif principal de 1re classe','5','adjoints administratifs','PATS'),
('AAP2','adjoint administratif principal de 2me classe','4','adjoints administratifs','PATS'),
('ADC','adjudant-chef','108','sous-officiers','SP'),
('ADJ','adjudant','107','sous-officiers','SP'),
('AM','agent de matrise','25','agents de matrise','PATS'),
('AMP','agent de matrise principal','26','agents de matrise','PATS'),
('AT1','adjoint technique de 1re classe','22','adjoints technique','PATS'),
('AT2','adjoint technique de 2me classe','21','adjoints technique','PATS'),
('AT2NT','adjoint technique de 2me classe non titulaire','20','adjoints technique','PATS'),
('ATP','attach principal','10','adjoints administratifs','PATS'),
('ATP1','adjoint technique principal de 1re classe','24','adjoints technique','PATS'),
('ATP2','adjoint technique principal de 2me classe','23','adjoints technique','PATS'),
('ATT','attach','9','attachs','PATS'),
('CCH','caporal-chef','104','caporaux et sapeurs','SP'),
('CDT','commandant','114','officiers','SP'),
('COL','colonel','116','officiers','SP'),
('COT','contrleur de travaux','30','adjoints technique','PATS'),
('COTC','contrleur de travaux en chef','32','adjoints technique','PATS'),
('COTP','contrleur principal de travaux','31','adjoints technique','PATS'),
('CPL','caporal','103','caporaux et sapeurs','SP'),
('CPT','capitaine','113','officiers','SP'),
('DT','directeur territorial','11','cadres administratifs','PATS'),
('ICCE','ingnieur en chef de classe exceptionnelle','35','cadres technique','PATS'),
('ICCNC','ingnieur en chef de classe normale','36','cadres technique','PATS'),
('IG','ingnieur','33','cadres technique','PATS'),
('IGP','ingnieur principal','34','cadres technique','PATS'),
('ISPC','Infirmier Chef Capitaine','122','SSSM','SP'),
('ICS','Infirmier classe suprieure','121','SSSM','SP'),
('JSP1','jeune sapeur pompier 1','-10','Jeunes Sapeurs Pompiers','SP'),
('JSP2','jeune sapeur pompier 2','-9','Jeunes Sapeurs Pompiers','SP'),
('JSP3','jeune sapeur pompier 3','-8','Jeunes Sapeurs Pompiers','SP'),
('JSP4','jeune sapeur pompier 4','-7','Jeunes Sapeurs Pompiers','SP'),
('LCL','lieutenant-colonel','115','officiers','SP'),
('LTN1','lieutenant 1re classe','112','officiers','SP'),
('LTN2','lieutenant 2me classe','111','officiers','SP'),
('MAJ','major','109','officiers','SP'),
('ISPP','Infirmier Principal','121','SSSM','SP'),
('ICN','Infirmier classe normale','120','SSSM','SP'),
('ISP','Infirmier','120','SSSM','SP'),
('RED','rdacteur','6','rdacteurs','PATS'),
('REDC','rdacteur chef','8','rdacteurs','PATS'),
('REDP','rdacteur principal','7','rdacteurs','PATS'),
('SAP1','sapeur 1re classe','102','caporaux et sapeurs','SP'),
('SAP2','sapeur 2me classe','101','caporaux et sapeurs','SP'),
('SCH','sergent-chef','106','sous-officiers','SP'),
('SGT','sergent','105','sous-officiers','SP'),
('TS','technicien suprieur','27','adjoints technique','PATS'),
('TSC','technicien suprieur chef','29','adjoints technique','PATS'),
('TSP','technicien suprieur principal','28','adjoints technique','PATS'),
('JSPB','jeune sapeur pompier brevet','-6','Jeunes Sapeurs Pompiers','SP'),
('ADM','administrateur','12','cadres administratifs','PATS'),
('ADMHC','administrateur hors classe','13','cadres administratifs','PATS'),
('EQ','Equipier','1','secouriste','SC'),
('CE','Chef d\'Equipe','2','secouriste','SC'),
('CS','Chef de Secteur','3','secouriste','SC'),
('CD','Chef de Dispositif','4','secouriste','SC'),
('AA','Adjoint Administratif','1','adjoints administratifs','PATS'),
('REDP1','rdacteur principal de 1re classe','7','rdacteurs','PATS'),
('REDP2','rdacteur principal de 2me classe','7','rdacteurs','PATS'),
('TEC','technicien','26','adjoints technique','PATS'),
('TECP1','technicien principal de 1re classe','26','adjoints technique','PATS'),
('TECP2','technicien principal de 2me classe','26','adjoints technique','PATS'),
('IHC','Infirmier hors classe','122','SSSM','SP'),
('ISPE','Infirmier d\'encadrement ','123','SSSM','SP'),
('MASP','Mdecin Aspirant','124','SSSM','SP'),
('MLTN','Mdecin Lieutenant','125','SSSM','SP'),
('MCPT','Mdecin Capitaine','126','SSSM','SP'),
('MCDT','Mdecin Commandant','127','SSSM','SP'),
('MHC','Mdecin hors classe','127','SSSM','SP'),
('MLCL','Mdecin Lieutenant Colonel','128','SSSM','SP'),
('MCOL','Mdecin Colonel','129','SSSM','SP'),
('PPH','Prparateur Pharmacie','130','SSSM','SP'),
('PPHS','Prparateur Pharmacie cl sup','130','SSSM','SP'),
('PHCPT','Pharmacien Capitaine','132','SSSM','SP'),
('PHCDT','Pharmacien Commandant','133','SSSM','SP'),
('PHLCL','Pharmacien Lieutenant Colonel','135','SSSM','SP'),
('PHCOL','Pharmacien Colonel','136','SSSM','SP'),
('VETCPT','Vtrinaire Capitaine','140','SSSM','SP'),
('VETCDT','Vtrinaire Commandant','142','SSSM','SP'),
('VETLCL','Vtrinaire Lieutenant Colonel','145','SSSM','SP'),
('VETCOL','Vtrinaire Colonel','146','SSSM','SP'),
('CSAN2','Cadre de sant 2me classe','150','SSSM','SP'),
('CSAN1','Cadre de sant 1re classe','151','SSSM','SP'),
('CSANSU','Cadre suprieur de sant','152','SSSM','SP'),
('MCN','Mdecin Classe Normale','126','SSSM','SP'),
('SDT','Soldat de 2me classe','1','Hommes du rang','ARMY'),
('SDT1','Soldat de 1re classe','2','Hommes du rang','ARMY'),
('DRA2','Dragon de 2me classe','1','Hommes du rang','ARMY'),
('DRA1','Dragon de 1re classe','2','Hommes du rang','ARMY'),
('BG','Brigadier','5','Hommes du rang','ARMY'),
('BGC','Brigadier Chef','6','Hommes du rang','ARMY'),
('CA','Caporal','5','Hommes du rang','ARMY'),
('CAC','Caporal Chef','6','Hommes du rang','ARMY'),
('SG1','Sergent appel','10','Sous-Officiers','ARMY'),
('SG','Sergent','11','Sous-Officiers','ARMY'),
('SC','Sergent Chef','12','Sous-Officiers','ARMY'),
('MDL','Marchal des Logis','11','Sous-Officiers','ARMY'),
('MCH','Marchal des Logis Chef','12','Sous-Officiers','ARMY'),
('AJ','Adjudant','15','Sous-Officiers','ARMY'),
('AC','Adjudant Chef','16','Sous-Officiers','ARMY'),
('MJ','Major','17','Sous-Officiers','ARMY'),
('AS','Aspirant','30','Officiers','ARMY'),
('SL','Sous Lieutenant','31','Officiers','ARMY'),
('LT','Lieutenant','32','Officiers','ARMY'),
('CP','Capitaine','33','Officiers','ARMY'),
('CT','Commandant','34','Officiers','ARMY'),
('LC','Lieutenant Colonel','35','Officiers','ARMY'),
('CL','Colonel','36','Officiers','ARMY'),
('GLBR','Gnral de Brigade','100','Officiers Gnraux','ARMY'),
('GLDIV','Gnral de Division','105','Officiers Gnraux','ARMY'),
('GLCA','Gnral de Corps d\'arme','110','Officiers Gnraux','ARMY'),
('GLA','Gnral d\'arme ','120','Officiers Gnraux','ARMY'),
('CG1','Contrleur gnral','117','officiers','SP'),
('LTNHC','lieutenant hors classe','113','officiers','SP');

# ------------------------------------
# structure for table 'groupe'
# ------------------------------------

DROP TABLE IF EXISTS groupe ;
CREATE TABLE groupe (
GP_ID smallint(6) DEFAULT '0' NOT NULL,
GP_DESCRIPTION varchar(30) NOT NULL,
TR_CONFIG tinyint(4),
TR_SUB_POSSIBLE tinyint(4) DEFAULT '0' NOT NULL,
TR_ALL_POSSIBLE tinyint(4) DEFAULT '0' NOT NULL,
TR_WIDGET tinyint(4) DEFAULT '0' NOT NULL,
GP_USAGE varchar(10) DEFAULT 'internes' NOT NULL,
GP_ASTREINTE tinyint(4) DEFAULT '0' NOT NULL,
GP_ORDER tinyint(4) DEFAULT '50' NOT NULL,
PRIMARY KEY (GP_ID)
);
# ------------------------------------
# data for table 'groupe'
# ------------------------------------

INSERT INTO groupe (GP_ID,GP_DESCRIPTION,TR_CONFIG,TR_SUB_POSSIBLE,TR_ALL_POSSIBLE,TR_WIDGET,GP_USAGE,GP_ASTREINTE,GP_ORDER) VALUES
('-1','accs interdit','1','0','0','0','all','0','50'),
('0','public','1','0','0','0','internes','0','5'),
('1','bureau oprations','1','0','0','0','internes','0','50'),
('2','chef de section','1','0','0','0','internes','0','50'),
('3','chef de centre','1','0','0','0','internes','0','50'),
('4','admin','1','0','0','0','internes','0','1'),
('5','Externe','1','0','0','0','externes','0','50'),
('102','Chef','2','0','0','0','internes','0','50'),
('103','Adjoint','2','0','0','0','internes','0','50'),
('104','Trsorier','2','1','0','0','internes','0','50'),
('105','Secrtaire gnral','2','0','0','0','internes','0','50'),
('106','Directeur','2','0','0','0','internes','0','50'),
('107','Responsable oprationnel','3','1','0','1','internes','1','50'),
('108','Webmaster','3','1','0','0','internes','0','50'),
('109','Responsable vhicules/matriel','3','1','0','0','internes','0','50'),
('110','Secrtariat','3','1','0','0','internes','0','50');

# ------------------------------------
# structure for table 'habilitation'
# ------------------------------------

DROP TABLE IF EXISTS habilitation ;
CREATE TABLE habilitation (
GP_ID smallint(6) DEFAULT '0' NOT NULL,
F_ID int(11) DEFAULT '0' NOT NULL,
PRIMARY KEY (GP_ID, F_ID),
KEY F_ID (F_ID)
);
# ------------------------------------
# data for table 'habilitation'
# ------------------------------------

INSERT INTO habilitation (GP_ID,F_ID) VALUES
('0','0'),
('0','11'),
('0','16'),
('0','38'),
('0','39'),
('0','40'),
('0','41'),
('0','42'),
('0','43'),
('0','44'),
('0','51'),
('0','52'),
('0','56'),
('0','58'),
('0','61'),
('0','77'),
('1','0'),
('1','1'),
('1','2'),
('1','3'),
('1','4'),
('1','5'),
('1','6'),
('1','8'),
('1','10'),
('1','11'),
('1','12'),
('1','13'),
('1','15'),
('1','16'),
('1','17'),
('1','18'),
('1','26'),
('1','27'),
('1','38'),
('1','39'),
('1','40'),
('1','41'),
('1','42'),
('1','43'),
('1','44'),
('1','51'),
('1','52'),
('1','54'),
('1','56'),
('1','58'),
('1','60'),
('1','61'),
('1','70'),
('1','71'),
('1','76'),
('1','77'),
('2','0'),
('2','4'),
('2','6'),
('2','8'),
('2','10'),
('2','11'),
('2','16'),
('2','17'),
('2','27'),
('2','38'),
('2','39'),
('2','40'),
('2','41'),
('2','42'),
('2','43'),
('2','44'),
('2','51'),
('2','52'),
('2','56'),
('2','58'),
('2','60'),
('2','61'),
('2','70'),
('2','71'),
('2','76'),
('2','77'),
('3','0'),
('3','1'),
('3','2'),
('3','3'),
('3','4'),
('3','8'),
('3','11'),
('3','12'),
('3','13'),
('3','16'),
('3','17'),
('3','27'),
('3','38'),
('3','39'),
('3','40'),
('3','41'),
('3','42'),
('3','43'),
('3','44'),
('3','51'),
('3','52'),
('3','56'),
('3','58'),
('3','61'),
('3','70'),
('3','71'),
('3','76'),
('3','77'),
('4','0'),
('4','1'),
('4','2'),
('4','3'),
('4','4'),
('4','5'),
('4','6'),
('4','8'),
('4','9'),
('4','10'),
('4','11'),
('4','12'),
('4','13'),
('4','14'),
('4','15'),
('4','16'),
('4','17'),
('4','18'),
('4','19'),
('4','20'),
('4','21'),
('4','22'),
('4','23'),
('4','24'),
('4','25'),
('4','26'),
('4','27'),
('4','28'),
('4','29'),
('4','30'),
('4','31'),
('4','36'),
('4','37'),
('4','38'),
('4','39'),
('4','40'),
('4','41'),
('4','42'),
('4','43'),
('4','44'),
('4','46'),
('4','47'),
('4','48'),
('4','49'),
('4','51'),
('4','52'),
('4','53'),
('4','54'),
('4','55'),
('4','56'),
('4','58'),
('4','59'),
('4','60'),
('4','61'),
('4','70'),
('4','71'),
('4','73'),
('4','74'),
('4','75'),
('4','76'),
('4','77'),
('5','0'),
('5','45'),
('102','38'),
('102','39'),
('102','40'),
('102','41'),
('102','42'),
('102','43'),
('102','44'),
('102','51'),
('102','52'),
('102','56'),
('102','58'),
('102','61'),
('103','38'),
('103','39'),
('103','40'),
('103','41'),
('103','42'),
('103','43'),
('103','44'),
('103','51'),
('103','52'),
('103','56'),
('103','58'),
('103','61'),
('104','38'),
('104','39'),
('104','40'),
('104','41'),
('104','42'),
('104','43'),
('104','44');
INSERT INTO habilitation (GP_ID,F_ID) VALUES
('104','51'),
('104','52'),
('104','56'),
('104','58'),
('104','61'),
('105','38'),
('105','39'),
('105','40'),
('105','41'),
('105','42'),
('105','43'),
('105','44'),
('105','51'),
('105','52'),
('105','56'),
('105','58'),
('105','61'),
('106','38'),
('106','39'),
('106','40'),
('106','41'),
('106','42'),
('106','43'),
('106','44'),
('106','51'),
('106','52'),
('106','56'),
('106','58'),
('106','61'),
('107','38'),
('107','39'),
('107','40'),
('107','41'),
('107','42'),
('107','43'),
('107','44'),
('107','51'),
('107','52'),
('107','56'),
('107','58'),
('107','61'),
('108','38'),
('108','39'),
('108','40'),
('108','41'),
('108','42'),
('108','43'),
('108','44'),
('108','51'),
('108','52'),
('108','56'),
('108','58'),
('108','61'),
('109','38'),
('109','39'),
('109','40'),
('109','41'),
('109','42'),
('109','43'),
('109','44'),
('109','51'),
('109','52'),
('109','56'),
('109','58'),
('109','61'),
('110','38'),
('110','39'),
('110','40'),
('110','41'),
('110','42'),
('110','43'),
('110','44'),
('110','51'),
('110','52'),
('110','56'),
('110','58'),
('110','61');

# ------------------------------------
# structure for table 'horaires'
# ------------------------------------

DROP TABLE IF EXISTS horaires ;
CREATE TABLE horaires (
H_ID int(11) NOT NULL auto_increment,
P_ID int(11) NOT NULL,
H_DATE date NOT NULL,
H_DEBUT1 time,
H_FIN1 time,
H_DEBUT2 time,
H_FIN2 time,
H_DUREE_MINUTES smallint(6) NOT NULL,
ASA tinyint(4) DEFAULT '0' NOT NULL,
FORM tinyint(4) DEFAULT '0' NOT NULL,
FORMS tinyint(4) DEFAULT '0' NOT NULL,
H_DUREE_MINUTES2 smallint(6) DEFAULT '0' NOT NULL,
H_COMMENT varchar(1000),
PRIMARY KEY (H_ID),
   UNIQUE ID_DATE (P_ID, H_DATE),
KEY H_DATE (H_DATE)
);
# ------------------------------------
# data for table 'horaires'
# ------------------------------------



# ------------------------------------
# structure for table 'horaires_statut'
# ------------------------------------

DROP TABLE IF EXISTS horaires_statut ;
CREATE TABLE horaires_statut (
HS_CODE varchar(5) NOT NULL,
HS_DESCRIPTION varchar(30) NOT NULL,
HS_CLASS varchar(20) NOT NULL,
HS_ORDER tinyint(4) NOT NULL,
PRIMARY KEY (HS_CODE)
);
# ------------------------------------
# data for table 'horaires_statut'
# ------------------------------------

INSERT INTO horaires_statut (HS_CODE,HS_DESCRIPTION,HS_CLASS,HS_ORDER) VALUES
('ATTV','A valider','orange12','2'),
('REJ','Rejets','red12','3'),
('SEC','Saisie en cours','blue12','1'),
('VAL','Valids','green12','4');

# ------------------------------------
# structure for table 'horaires_validation'
# ------------------------------------

DROP TABLE IF EXISTS horaires_validation ;
CREATE TABLE horaires_validation (
HV_ID int(11) NOT NULL auto_increment,
P_ID int(11) NOT NULL,
ANNEE year(4) NOT NULL,
SEMAINE int(11) NOT NULL,
HS_CODE varchar(5) NOT NULL,
CREATED_BY int(11),
CREATED_DATE datetime NOT NULL,
STATUS_BY int(11),
STATUS_DATE datetime,
PRIMARY KEY (HV_ID),
   UNIQUE ID_DATE (P_ID, ANNEE, SEMAINE),
KEY H_DATE (ANNEE)
);
# ------------------------------------
# data for table 'horaires_validation'
# ------------------------------------



# ------------------------------------
# structure for table 'indisponibilite'
# ------------------------------------

DROP TABLE IF EXISTS indisponibilite ;
CREATE TABLE indisponibilite (
I_CODE int(11) NOT NULL auto_increment,
P_ID int(11) DEFAULT '0' NOT NULL,
TI_CODE varchar(5) DEFAULT 'CP' NOT NULL,
I_STATUS varchar(5) DEFAULT 'ATT' NOT NULL,
I_DEBUT date NOT NULL,
I_FIN date,
IH_DEBUT time DEFAULT '08:00:00' NOT NULL,
IH_FIN time DEFAULT '19:00:00' NOT NULL,
I_JOUR_COMPLET tinyint(4) DEFAULT '1' NOT NULL,
I_TYPE_PERIODE tinyint(4) DEFAULT '1' NOT NULL,
I_ACCEPT datetime,
I_STATUS_BY int(11),
I_CANCEL datetime,
I_COMMENT varchar(50) NOT NULL,
PRIMARY KEY (I_CODE),
KEY P_ID (P_ID),
KEY TI_CODE (TI_CODE),
KEY I_STATUS (I_STATUS),
KEY I_DEBUT (I_DEBUT),
KEY I_TYPE_PERIODE (I_TYPE_PERIODE)
);
# ------------------------------------
# data for table 'indisponibilite'
# ------------------------------------



# ------------------------------------
# structure for table 'indisponibilite_status'
# ------------------------------------

DROP TABLE IF EXISTS indisponibilite_status ;
CREATE TABLE indisponibilite_status (
I_STATUS varchar(5) NOT NULL,
I_STATUS_LIBELLE varchar(20) NOT NULL,
PRIMARY KEY (I_STATUS)
);
# ------------------------------------
# data for table 'indisponibilite_status'
# ------------------------------------

INSERT INTO indisponibilite_status (I_STATUS,I_STATUS_LIBELLE) VALUES
('ANN','Annule'),
('ATT','Attente'),
('PRE','prvisionnel'),
('REF','Refuse'),
('VAL','Valide');

# ------------------------------------
# structure for table 'intervention_equipe'
# ------------------------------------

DROP TABLE IF EXISTS intervention_equipe ;
CREATE TABLE intervention_equipe (
EL_ID int(11) NOT NULL,
E_CODE int(11) NOT NULL,
EE_ID smallint(6) NOT NULL,
PRIMARY KEY (EL_ID, E_CODE, EE_ID),
KEY E_CODE (E_CODE)
);
# ------------------------------------
# data for table 'intervention_equipe'
# ------------------------------------



# ------------------------------------
# structure for table 'intervention_status'
# ------------------------------------

DROP TABLE IF EXISTS intervention_status ;
CREATE TABLE intervention_status (
IS_ID tinyint(4) NOT NULL,
IS_CODE varchar(6) NOT NULL,
IS_DESCRIPTION varchar(50) NOT NULL,
IS_COLOR varchar(12) NOT NULL,
PRIMARY KEY (IS_ID)
);
# ------------------------------------
# data for table 'intervention_status'
# ------------------------------------

INSERT INTO intervention_status (IS_ID,IS_CODE,IS_DESCRIPTION,IS_COLOR) VALUES
('1','DISPO','Disponible','green'),
('2','INDISP','Indisponible','black'),
('3','INTER','Engag en intervention','red'),
('4','RETD','Retour disponible','orange'),
('5','SLL','Sur les lieux','yellow'),
('6','TRANS','Transport','blue'),
('7','PATR','En Patrouille','darkgreen');

# ------------------------------------
# structure for table 'log_category'
# ------------------------------------

DROP TABLE IF EXISTS log_category ;
CREATE TABLE log_category (
LC_CODE varchar(2) NOT NULL,
LC_DESCRIPTION varchar(30) NOT NULL,
PRIMARY KEY (LC_CODE)
);
# ------------------------------------
# data for table 'log_category'
# ------------------------------------

INSERT INTO log_category (LC_CODE,LC_DESCRIPTION) VALUES
('E','vnement'),
('M','matriel'),
('P','personnel'),
('V','vhicule'),
('G','Golocalisation'),
('S','Section'),
('A','Malveillance');

# ------------------------------------
# structure for table 'log_history'
# ------------------------------------

DROP TABLE IF EXISTS log_history ;
CREATE TABLE log_history (
LH_ID int(11) NOT NULL auto_increment,
P_ID int(11) NOT NULL,
LH_STAMP datetime NOT NULL,
LT_CODE varchar(8) NOT NULL,
LH_WHAT int(11) NOT NULL,
LH_COMPLEMENT varchar(150),
COMPLEMENT_CODE int(11),
PRIMARY KEY (LH_ID),
KEY P_ID (P_ID),
KEY LH_STAMP (LH_STAMP),
KEY LT_CODE (LT_CODE),
KEY LH_WHAT (LH_WHAT),
KEY COMPLEMENT_CODE (COMPLEMENT_CODE)
);
# ------------------------------------
# data for table 'log_history'
# ------------------------------------


# ------------------------------------
# structure for table 'log_report'
# ------------------------------------

DROP TABLE IF EXISTS log_report ;
CREATE TABLE log_report (
LR_ID int(11) NOT NULL auto_increment,
LR_DATE datetime NOT NULL,
R_CODE varchar(30) NOT NULL,
P_ID int(11) NOT NULL,
S_ID int(11) NOT NULL,
LR_ROWS int(11) NOT NULL,
LR_PARAMS varchar(100) NOT NULL,
LR_TIME smallint(6) NOT NULL,
PRIMARY KEY (LR_ID),
KEY S_ID (S_ID)
);
# ------------------------------------
# data for table 'log_report'
# ------------------------------------



# ------------------------------------
# structure for table 'log_soap'
# ------------------------------------

DROP TABLE IF EXISTS log_soap ;
CREATE TABLE log_soap (
LS_ID int(11) NOT NULL auto_increment,
LS_DATE datetime NOT NULL,
LS_SERVICE varchar(25) NOT NULL,
LS_PARAM varchar(30),
LS_RET tinyint(4) NOT NULL,
LS_MESSAGE varchar(255),
PRIMARY KEY (LS_ID),
KEY LS_DATE (LS_DATE),
KEY LS_SERVICE (LS_SERVICE)
);
# ------------------------------------
# data for table 'log_soap'
# ------------------------------------



# ------------------------------------
# structure for table 'log_type'
# ------------------------------------

DROP TABLE IF EXISTS log_type ;
CREATE TABLE log_type (
LT_CODE varchar(8) NOT NULL,
LC_CODE varchar(2) NOT NULL,
LT_DESCRIPTION varchar(50) NOT NULL,
PRIMARY KEY (LT_CODE),
KEY LC_CODE (LC_CODE)
);
# ------------------------------------
# data for table 'log_type'
# ------------------------------------

INSERT INTO log_type (LT_CODE,LC_CODE,LT_DESCRIPTION) VALUES
('ACCEPT','P','Acceptation des conditions d\'utilisation'),
('ADDOC','P','Ajout d\'un document'),
('ADDROLE','P','Ajout rle dans organigramme'),
('ADQ','P','Ajout comptence'),
('CLOTEVT','E','cloture vnement'),
('DELABS','P','Suppression demande absence'),
('DELAST','P','Suppression astreinte'),
('DELCOT','P','Suppression cotisation'),
('DELDOC','P','Suppression de document'),
('DELMSG','P','Suppression d\'un message de'),
('DELPHOTO','P','Suppression de photo'),
('DELQ','P','Suppression comptence'),
('DELREJ','P','Suppression rejet'),
('DELREM','P','Suppression remboursement'),
('DELRIB','P','Suppression compte bancaire'),
('DELROLE','P','Suppression rle dans organigramme'),
('DEMBADGE','P','Demande de nouveau badge'),
('DESINSCP','P','Dsinscription'),
('DETINSCP','P','Commentaire sur inscription'),
('DROPP','P','Suppression d\'une fiche personnel'),
('DROPV','V','Suppression d\'une fiche vhicule'),
('EEINSCP','P','Modification Equipe'),
('FNINSCP','P','Modification Fonction'),
('IMPBADGE','P','Impression de badge'),
('INSABS','P','Saisie absence'),
('INSAST','P','Inscription astreinte'),
('INSCOT','P','Ajout cotisation'),
('INSCP','P','Inscription'),
('INSEVT','E','cration vnement'),
('INSMAIN','E','ajout main courante'),
('INSP','P','Ajout d\'une fiche personnel'),
('INSREJ','P','Ajout rejet'),
('INSREM','P','Ajout remboursement'),
('INSV','V','Ajout d\'une fiche vhicule'),
('OUVEVT','E','ouverture vnement'),
('REFABS','P','Refus congs ou RTT'),
('REGENMDP','P','Regnration de mot de passe'),
('SECDOC','P','Scurit de document'),
('UPDADR','P','Changement d\'adresse'),
('UPDAST','P','Modification astreinte'),
('UPDBIC','P','Modification code banque BIC'),
('UPDCOT','P','Mise  jour cotisation'),
('UPDDISPO','P','Modification des disponibilits'),
('UPDEVT','E','modification vnement'),
('UPDGRP','P','Changement de permissions'),
('UPDHAB','P','Modification tenues en dotation'),
('UPDHOR','P','Modification horaires'),
('UPDIBAN','P','Modification compte IBAN'),
('UPDMAIL','P','Changement email'),
('UPDMAIN','E','modification main courante'),
('UPDMDP','P','Modification de mot de passe'),
('UPDP','P','Modification de fiche personnel'),
('UPDP1','P','Modification civilit'),
('UPDP10','P','Modification date de naissance'),
('UPDP11','P','Modification lieu de naissance'),
('UPDP12','P','Modification contact'),
('UPDP13','P','Modification date npai'),
('UPDP14','P','Modification masquage infos'),
('UPDP15','P','Modification notifications'),
('UPDP16','P','Modification grade'),
('UPDP17','P','Modification profession'),
('UPDP18','P','Modification service'),
('UPDP19','P','Modification statut'),
('UPDP2','P','Modification prnom'),
('UPDP20','P','Modification type salari'),
('UPDP21','P','Modification heures salari'),
('UPDP22','P','Modification date dbut suspendu'),
('UPDP23','P','Modification date fin suspendu'),
('UPDP24','P','Modification dtail radiation'),
('UPDP25','P','Modification sexe'),
('UPDP26','P','Modification numro abbrg'),
('UPDP27','P','Modification contact urgence'),
('UPDP28','P','Modification nombre jours CP par an'),
('UPDP29','P','Modification heures annuelles salari'),
('UPDP3','P','Modification nom'),
('UPDP30','P','Modification heures  rcuprer'),
('UPDP4','P','Modification nom de naissance'),
('UPDP5','P','Modification identifiant'),
('UPDP6','P','Modification entreprise'),
('UPDP7','P','Modification droits d\'accs'),
('UPDP8','P','Modification date engagement'),
('UPDP9','P','Modification date fin'),
('UPDPHONE','P','Changement tlphone'),
('UPDPHOTO','P','Modification de photo'),
('UPDQ','P','Modification comptence'),
('UPDREJ','P','Mise  jour rejet'),
('UPDREM','P','Mise  jour remboursement'),
('UPDRIB','P','Modification de compte bancaire'),
('UPDSEC','P','Changement de section'),
('UPDSTP','P','Changement de position'),
('UPDSTV','V','Changement de position vhicule'),
('UPDV','V','Modification de fiche vhicule'),
('VALABS','P','Validation congs ou RTT'),
('UPD31','P','Modification heures par jour'),
('DEMGPS','G','Demande de golocalisation'),
('GPS','G','Golocalisation russie'),
('UPDP32','P','Modification du 2me prnom'),
('INSS','S','Ajout section'),
('INSSS','S','Ajout sous-section'),
('DELSS','S','Suppression de sous-section'),
('MOVES','S','Dplacement de section'),
('UPDS1','S','Modification nom de section'),
('UPDS2','S','Modification description section'),
('UPDS3','S','Modification adresse section'),
('UPDS4','S','Modification ville section'),
('UPDS5','S','Modification code postal section'),
('UPDS6','S','Modification tlphone section'),
('UPDS7','S','Modification tlphone 2 section'),
('UPDS8','S','Modification tlphone formation'),
('UPDS9','S','Modification fax section'),
('UPDS10','S','Modification email section'),
('UPDS11','S','Modification email 2 section'),
('UPDS12','S','Modification email formation'),
('UPDS13','S','Modification URL site Web'),
('UPDS14','S','Modification agrments section'),
('UPDS15','S','Modification cotisation section'),
('UPDS16','S','Modification paramtrage section'),
('UPDS17','S','Modification changements dans le pass'),
('UPDS18','S','Modification masquer vnements '),
('UPDS19','S','Modification paramtrage SMS section'),
('UPDS20','S','Modification modle badge section'),
('UPDS21','S','Modification signature section'),
('UPDS22','S','Modification DPS type maximum section'),
('UPDS23','S','Modification section active/inactive'),
('UPDS24','S','Modification complment adresse section'),
('UPDS25','S','Modification BIC'),
('UPDS26','S','Modification IBAN'),
('UPDP50','P','Changement Nationalit'),
('UPDS27','S','Modification ID Radio'),
('UPDS28','S','Modification affichage tlphone formation'),
('UPDS29','S','Modification affichage email formation'),
('UPDS30','S','Modification affichage Site web formation'),
('UPDP51','P','Changement Dpartement de Naissance'),
('UPDABS','P','Modification absence sur vnement'),
('ATTACK','A','Essaye d\'accder  donnes du systme'),
('DELP','A','Suppression de fiche personnel'),
('ERRP','A','Erreur de permissions'),
('UPDP33','P','Modification numro de licence'),
('UPDP34','P','Modification date de licence'),
('UPDP35','P','Modification date expiration de licence'),
('UPDP36','P','Modification du rgime de travail'),
('UPDS31','S','Modification Code Siret'),
('UPDS32','S','Modification Numro Affiliation'),
('UPDP37','P','Modification ID API'),
('UPDP38','P','Modification Reliquat CP'),
('UPDP39','P','Modification Reliquat RTT'),
('UPDS33','S','Modification Groupe Whatsapp'),
('UPDS34','S','Modification Ordre garde');

# ------------------------------------
# structure for table 'mailer'
# ------------------------------------

DROP TABLE IF EXISTS mailer ;
CREATE TABLE mailer (
ID int(11) NOT NULL auto_increment,
MAILDATE datetime,
MAILTO varchar(120),
SENDERNAME varchar(120),
SENDERMAIL varchar(120),
SUBJECT varchar(250),
MESSAGE varchar(5000),
ATTACHMENT varchar(250),
PRIMARY KEY (ID),
KEY MAILDATE (MAILDATE)
);
# ------------------------------------
# data for table 'mailer'
# ------------------------------------



# ------------------------------------
# structure for table 'materiel'
# ------------------------------------

DROP TABLE IF EXISTS materiel ;
CREATE TABLE materiel (
MA_ID int(11) NOT NULL auto_increment,
TM_ID int(11) NOT NULL,
MA_NUMERO_SERIE varchar(30),
MA_COMMENT varchar(60),
MA_LIEU_STOCKAGE varchar(60),
MA_MODELE varchar(40),
MA_ANNEE year(4),
MA_NB int(11) DEFAULT '1',
S_ID smallint(6) DEFAULT '0' NOT NULL,
VP_ID varchar(5) DEFAULT 'OP' NOT NULL,
MA_EXTERNE tinyint(4),
MA_INVENTAIRE varchar(40),
MA_UPDATE_DATE date,
MA_UPDATE_BY int(11),
AFFECTED_TO int(11),
MA_REV_DATE date,
V_ID int(11),
MA_PARENT int(11),
TV_ID int(11),
MA_ADDED datetime,
PRIMARY KEY (MA_ID),
KEY TM_ID (TM_ID),
KEY S_ID (S_ID),
KEY AFFECTED_TO (AFFECTED_TO),
KEY V_ID (V_ID),
KEY MA_PARENT (MA_PARENT),
KEY VP_ID (VP_ID)
);
# ------------------------------------
# data for table 'materiel'
# ------------------------------------



# ------------------------------------
# structure for table 'menu_condition'
# ------------------------------------

DROP TABLE IF EXISTS menu_condition ;
CREATE TABLE menu_condition (
MC_CODE varchar(10) NOT NULL,
MC_TYPE varchar(30) NOT NULL,
MC_VALUE smallint(6) NOT NULL,
   UNIQUE MC_CODE (MC_CODE, MC_TYPE, MC_VALUE),
KEY MI_CODE (MC_VALUE)
);
# ------------------------------------
# data for table 'menu_condition'
# ------------------------------------

INSERT INTO menu_condition (MC_CODE,MC_TYPE,MC_VALUE) VALUES
('ABSENCES','permission','11'),
('ABSENCES','permission','13'),
('ACTIFS','permission','56'),
('ADDNOTE','notes','1'),
('ADDNOTE','permission','77'),
('ADDP','block_personnel','0'),
('ADDP','permission','1'),
('ALERT','permission','43'),
('ANCIENS','permission','56'),
('ANCIENSEXT','externes','1'),
('ANCIENSEXT','permission','37'),
('ANCIENSEXT','permission','45'),
('ASTREINTE','cron_allowed','1'),
('ASTREINTE','permission','52'),
('ASTREINTE','syndicate','0'),
('ATTACK','permission','14'),
('AUDIT','permission','20'),
('BACKUP','auto_backup','1'),
('BACKUP','permission','14'),
('BILANS','assoc','1'),
('BILANS','permission','27'),
('CHAT','chat','1'),
('CHAT','permission','51'),
('COMP','competences','1'),
('COMP','permission','56'),
('COMPANY','externes','1'),
('COMPANY','permission','37'),
('CONF','permission','14'),
('CONNUSERS','permission','20'),
('CONSIGNES','gardes','1'),
('CONSIGNES','permission','27'),
('CONSO','consommables','1'),
('CONSO','permission','42'),
('COTIS','cotisations','1'),
('COTIS','permission','53'),
('DEPART','nbsections','0'),
('DEPART','permission','52'),
('DEPART','syndicate','1'),
('DISPOHOMME','disponibilites','1'),
('DISPOHOMME','permission','56'),
('DISPOMONTH','disponibilites','1'),
('DISPOMONTH','permission','56'),
('DIVIDERA1','bank_accounts','1'),
('DIVIDERA1','cotisations','1'),
('DOWNLOAD','permission','44'),
('DOWNLOAD','syndicate','0'),
('ELEMFAC','assoc','1'),
('ELEMFAC','evenements','1'),
('ELEMFAC','permission','29'),
('EVENT','evenements','1'),
('EVENT','permission','41'),
('EVENTADD','evenements','1'),
('EVENTADD','permission','15'),
('GARDEJOUR','gardes','1'),
('GARDEJOUR','permission','61'),
('GEOLOC','geolocalize_enabled','1'),
('GEOLOC','permission','76'),
('GRAPHIC','permission','27'),
('HISTO','permission','49'),
('IMPORT','import_api','1'),
('IMPORT','permission','14'),
('INFODIV','permission','44'),
('LISTE','permission','52'),
('MAINCOUR','evenements','1'),
('MAINCOUR','permission','52'),
('MAINCOUR','syndicate','0'),
('MAP','nbsections','0'),
('MAP','permission','27'),
('MAP','sdis','0'),
('MASECTION','permission','44'),
('MAT','materiel','1'),
('MAT','permission','42'),
('MAT_E','materiel','1'),
('MAT_E','permission','70'),
('MESSAGE','permission','43'),
('MYCOMPANY','externes','1'),
('MYCOMPANY','permission','45'),
('MYCOMPANY','SES_COMPANY','1'),
('NOTES','notes','1'),
('NOTES','permission','77'),
('ORGANI','nbsections','0'),
('ORGANI','permission','52'),
('ORGANI','syndicate','0'),
('PARAM','permission','5'),
('PARAM','permission','18'),
('PARAMDIP','assoc','1'),
('PARAMDIP','permission','54'),
('PARAMGAR','gardes','1'),
('PARAMGAR','permission','5'),
('PARTICIP','permission','27'),
('PARTICIP','syndicate','0'),
('PERMISSION','permission','9'),
('PERMISSION','permission','25'),
('PERSODISPO','disponibilites','1'),
('PERSODISPO','permission','56'),
('PERSOEXT','externes','1'),
('PERSOEXT','permission','37'),
('PERSOEXT','permission','45'),
('PHOTO','permission','44'),
('PHOTO','spgm','1'),
('PLANNING','disponibilites','1'),
('PLANNING','permission','56'),
('PRELEV','bank_accounts','1'),
('PRELEV','cotisations','1'),
('PRELEV','permission','53'),
('QRCODE','assoc','1'),
('REMPLACE','gardes','1'),
('REMPLACE','permission','61'),
('REMPLACE','remplacements','1'),
('REMPLACE2','assoc','1'),
('REMPLACE2','permission','15'),
('REMPLACE2','remplacements','1'),
('REPARTI','gardes','1'),
('REPARTI','permission','27'),
('REPORTING','permission','27'),
('SAIABSTBL','permission','11'),
('SAIABSTBL','pompiers','1'),
('SAISEABS','permission','11'),
('SAISIEDISP','disponibilites','1'),
('SAISIEDISP','permission','38'),
('SEARCH','permission','56'),
('SECTIONS','nbsections','3'),
('SECTIONS','permission','52'),
('TABLEAU','gardes','1'),
('TABLEAU','permission','61'),
('VEHI','permission','42'),
('VEHI','vehicules','1'),
('VEHI_E','permission','17'),
('VEHI_E','vehicules','1'),
('VIRE','bank_accounts','1'),
('VIRE','cotisations','1'),
('VIRE','permission','53');

# ------------------------------------
# structure for table 'menu_group'
# ------------------------------------

DROP TABLE IF EXISTS menu_group ;
CREATE TABLE menu_group (
MG_CODE varchar(10) NOT NULL,
MG_NAME varchar(50) NOT NULL,
MG_ICON varchar(20),
MG_ORDER int(11) NOT NULL,
MG_TITLE varchar(100),
PRIMARY KEY (MG_CODE)
);
# ------------------------------------
# data for table 'menu_group'
# ------------------------------------

INSERT INTO menu_group (MG_CODE,MG_NAME,MG_ICON,MG_ORDER,MG_TITLE) VALUES
('ME','','user','1',NULL),
('PERSO','','users','2',NULL),
('PRES','Prsences','','3',NULL),
('INV','Inventaire','','4',NULL),
('GAR','Gardes','','5',NULL),
('INFO','Infos','','7',NULL),
('SESSION','','comments','9','Messagerie'),
('ADMIN','','cogs','10','Configuration de l\'application'),
('HELP','','question-circle','11','Aide et informations sur l\'application'),
('EVE','Evnements',NULL,'6',NULL);

# ------------------------------------
# structure for table 'menu_item'
# ------------------------------------

DROP TABLE IF EXISTS menu_item ;
CREATE TABLE menu_item (
MI_CODE varchar(10) NOT NULL,
MI_NAME varchar(50) NOT NULL,
MI_ICON varchar(20),
MG_CODE varchar(10) NOT NULL,
MI_ORDER int(11) NOT NULL,
MI_TITLE varchar(120) NOT NULL,
MI_URL varchar(120) NOT NULL,
PRIMARY KEY (MI_CODE),
KEY MG_CODE (MG_CODE)
);
# ------------------------------------
# data for table 'menu_item'
# ------------------------------------

INSERT INTO menu_item (MI_CODE,MI_NAME,MI_ICON,MG_CODE,MI_ORDER,MI_TITLE,MI_URL) VALUES
('MAFICHE','Voir ma fiche','user-edit','ME','1','Voir ma fiche','upd_personnel.php?page=1&self=1'),
('MASECTION',' Ma section','home','ME','2','Voir ma section','upd_section.php'),
('DIVIDER01','divider','','ME','3','',''),
('SAISIEDISP','Saisie disponibilits','calendar-check','ME','4','saisir les disponibilits','dispo.php'),
('CALENDAR','Calendrier','calendar','ME','5','Voir mon calendrier','calendar.php'),
('DIVIDER02','divider','','ME','7','',''),
('PASSWD','Mot de passe','key','ME','8','Modifier mon mot de passe','change_password.php'),
('LOGOFF','Deconnexion','power-off','ME','9','','deconnexion.php'),
('ACTIFS','Actifs','users','PERSO','1','Voir les actifs','personnel.php?category=interne&position=actif'),
('ADDP','Ajouter fiche','user-plus','PERSO','2','Ajouter une fiche personnel ou adhrent','ins_personnel.php'),
('ANCIENS','Anciens','ban','PERSO','3','Voir les anciens ou radis','personnel.php?page=1&category=interne&position=ancien'),
('COMP','Comptences','certificate','PERSO','5','Recherche sur les fiches personnel ou adhrent','qualifications.php?page=1&pompier=0&action_comp=default'),
('DIVIDERA1','divider','','PERSO','6','',''),
('COTIS','Cotisations','euro-sign','PERSO','7','Voir et Enregistrer les cotisations','cotisations.php'),
('PRELEV','Prlvements','euro-sign','PERSO','8','Enregistrer rapidement les cotisations par prlvement et Extraire le fichier bancaire','prelevements.php'),
('VIRE','Virements','euro-sign','PERSO','9','Voir les virements et Extraire le fichier bancaire','virements.php'),
('DIVIDERA2','divider','','PERSO','10','',''),
('PERSOEXT','Personnel externe','users','PERSO','11','Voir le personnel externe','personnel.php?page=1&category=EXT&position=actif'),
('COMPANY','Entreprises clientes','building','PERSO','12','Voir les entreprises clientes','company.php?page=1'),
('MYCOMPANY','Mon Entreprise','building','PERSO','13','Voir mon Entreprise','upd_company.php?C_ID='),
('DIVIDERB','divider','','PERSO','16','',''),
('SEARCH','Recherche','search','PERSO','17','Recherche sur les fiches personnel ou adhrent','search_personnel.php'),
('DISPOMONTH','Disponibilites par jour','chart-bar','PRES','2','Voir le nombre de disponibilits saisies pour chaque jour du mois','dispo_month.php'),
('DISPOHOMME','Disponibilites par personne','chart-area','PRES','3','Voir les disponibilits saisies par personne','dispo_homme.php'),
('PERSODISPO','Personnel disponible','users','PRES','4','voir le personnel disponible pour un jour donn','dispo_view.php'),
('DIVIDER4','divider','','PRES','5','',''),
('ABSENCES','Liste des absences','list-alt','PRES','6','Voir les absences du personnel','indispo_choice.php?page=1'),
('SAISEABS','Saisie absence','calendar-plus','PRES','7','Saisie une absence','indispo.php'),
('PLANNING','Planning du personnel','calendar','PRES','8','voir les disponibilits et le planning du personnel','planning.php'),
('VEHI','Vhicules','car','INV','1','','vehicule.php?page=1'),
('VEHI_E','Engagement Vhicules','','INV','2','','evenement_vehicule.php?page=1'),
('DIVIDER1','divider','','INV','3','',''),
('MAT','Matriel','cog','INV','4','','materiel.php?page=1'),
('MAT_E','Engagement Matriel','','INV','5','','evenement_materiel.php?page=1'),
('CONSO','Consommables','coffee','INV','6','','consommable.php?page=1'),
('CONSIGNES','Consignes','sticky-note','GAR','1','Consignes pour la garde','message.php?catmessage=consigne'),
('TABLEAU','Tableau de garde','table','GAR','2','Voir le tableau de garde','tableau_garde.php'),
('REPARTI','Rpartition','chart-line','GAR','3','Voir le nombre de gardes attribues par personne','bilan_participation.php?mode_garde=1'),
('GARDEJOUR','Garde du jour','sun','GAR','3','Voir la garde du jour si elle a t cre','feuille_garde.php?evenement=0&from=gardes'),
('EVENT','Voir les vnements','calendar-alt','EVE','1','Voir tous les vnements','evenement_choice.php?ec_mode=default&page=1'),
('INFODIV','Infos diverses','info-circle','INFO','2','Voir les Evnements','message.php?catmessage=amicale'),
('DIVIDERD','divider','','INFO','3','',''),
('ORGANI','Organigramme','sitemap','INFO','5','Voir organigramme','section.php'),
('DEPART','Dpartements','sitemap','INFO','5','Voir les dpartements','section.php'),
('SECTIONS','Sections','sitemap','INFO','5','Voir les sections','section.php'),
('ASTREINTE','Astreintes','phone-square','INFO','6','Voir le tableau d\'astreintes','astreintes.php'),
('MAINCOUR','Main Courante','file-alt','INFO','7','Voir les mains courantes','evenement_choice.php?ec_mode=MC&page=1'),
('DIVIDERE','divider','','INFO','8','',''),
('DOWNLOAD','Tlchargement','cloud-download-alt','INFO','9','Voir les documents  tlcharger','documents.php?td=ALL&page=1&yeardoc=all&dossier=0'),
('REMPLACE2','Remplacements','user-times','EVE','4','Voir les remplacements','remplacements.php'),
('GRAPHIC','Graphiques','chart-pie','INFO','20','Voir les Graphiques','repo_events.php'),
('MAP','Carte de France','map','INFO','21','Cartes de france de membres et des activits','jvectormap.php'),
('PARTICIP','Participations','chart-area','INFO','22','Bilan des participations','bilan_participation.php'),
('REPORTING','Reporting','list-alt','INFO','23','Bilan des participations','export.php'),
('CHAT','Messagerie instantane','comment','SESSION','1','Communication par messagerie instantane avec les autres personnes connectes','chat.php'),
('PHOTO','Album photos','images','SESSION','2','Album photos','spgm/index.php'),
('MESSAGE','Envoyer Message','comments','SESSION','3','Envoyer un message','mail_create.php'),
('ALERT','Alerte','bell','SESSION','4','Alerter une partie du personnel','alerte_create.php'),
('CONF','Configuration','wrench','ADMIN','1','Configuration application','configuration.php'),
('BACKUP','Backup','database','ADMIN','2','Sauvegardes de la base de donnes','restore.php'),
('PARAM','Paramtrage','tasks','ADMIN','3','Paramtrage application','parametrage.php'),
('PERMISSION','Habilitations','users-cog','ADMIN','4','Voir les permissions par groupe ou par rle','habilitations.php'),
('DIVIDER10','divider','','ADMIN','5','',''),
('AUDIT','Audit','eye','ADMIN','6','Voir historique des connexions','audit.php?page=1'),
('HISTO','Historique','history','ADMIN','7','Voir historique des modifications','history.php?ltcode=ALL&lccode=P&lcid=0'),
('ABOUT','A propos','info-circle','HELP','1','A propos de cette application','about.php'),
('DOC','Aide et Documentation','life-ring','HELP','2','Documentation sur cette application','doc.php'),
('SAIABSTBL','Saisie Repos SPP','calendar-plus','PRES','8','Saisie Repos SPP - rgime de travail','repos_saisie.php'),
('QRCODE','Mon QR-Code','qrcode','ME','7','Voir mon QR-Code','qrcode.php'),
('BILANS','Bilans annuels','file-pdf','INFO','24','Voir les bilans annuelse','bilans.php'),
('DIVIDERM','divider','','INFO','26','',''),
('GEOLOC','Geolocalisation','map-marker','INFO','27','Geolocaliser le personnel','gps.php'),
('REMPLACE','Remplacements','user-times','GAR','4','Voir les remplacements','remplacements.php'),
('EVENTADD','Ajouter','calendar-plus','EVE','2','Ajouter un vnement','evenement_edit.php?action=create'),
('ELEMFAC','Elments facturables','euro-sign','ADMIN','3','Configuration des lments facturables','element_facturable.php?page=1&from=top'),
('PARAMDIP','Impression diplmes','print','ADMIN','2','Paramtrage de l\'impression des diplmes','diplome_edit.php?aml=1'),
('ADDNOTE','Ajout note de frais','plus','ME','6','Ajout note de frais pour moi','note_frais_edit.php?from=menu'),
('NOTES','Mes note de frais','money-bill-alt','ME','6','Mes notes de frais','upd_personnel.php?tab=9&from=menu&self=1'),
('ATTACK','Activits suspectes','bomb','ADMIN','8','Voir les activits suspectes, tentatives d\'intrusions','history.php?ltcode=ALL&lccode=A'),
('ANCIENSEXT','Anciens externes','ban','PERSO','12','Personnel externe ancien','personnel.php?page=1&category=EXT&position=ancien'),
('LISTE','Liste des sections','list-ol','INFO','4','Liste des sections de l\'organigramme','departement.php'),
('PARAMGAR','Paramtrage','cog','GAR','5','Paramtrage des types de gardes','type_garde.php'),
('CONNUSERS','Utilisateurs en ligne','users','ADMIN','6','Voir les utilisateurs actuellement connects','connected_users.php'),
('IMPORT','Import API','file-import','ADMIN','10','Importer des donnes en utilisant l\'API','import_api.php'),
('DIVIDER11','divider',NULL,'ADMIN','9','','');

# ------------------------------------
# structure for table 'message'
# ------------------------------------

DROP TABLE IF EXISTS message ;
CREATE TABLE message (
M_ID int(11) NOT NULL,
S_ID smallint(6) DEFAULT '0' NOT NULL,
M_DATE datetime NOT NULL,
P_ID int(11) DEFAULT '0' NOT NULL,
M_TEXTE varchar(2000),
M_OBJET varchar(50) NOT NULL,
M_DUREE smallint(6),
M_TYPE varchar(10) DEFAULT 'consigne' NOT NULL,
M_FILE varchar(100),
TM_ID tinyint(4) DEFAULT '0' NOT NULL,
PRIMARY KEY (M_ID),
KEY M_DATE (M_DATE),
KEY P_ID (P_ID),
KEY S_ID (S_ID),
KEY M_TYPE (M_TYPE),
KEY TM_ID (TM_ID)
);
# ------------------------------------
# data for table 'message'
# ------------------------------------

INSERT INTO message (M_ID,S_ID,M_DATE,P_ID,M_TEXTE,M_OBJET,M_DUREE,M_TYPE,M_FILE,TM_ID) VALUES
('1','0','2016-03-04 14:10:04','1','Voici le site de votre Organisation. Commencer par choisir la Configuration.','Bienvenue','100','consigne','','0'),
('2','0','2016-03-04 14:10:06','1','En cas de problmes techniques, demander Nicolas MARCHE (nmarche@users.sourceforge.net)','Questions','100','consigne','','0');

# ------------------------------------
# structure for table 'migration_bic'
# ------------------------------------

DROP TABLE IF EXISTS migration_bic ;
CREATE TABLE migration_bic (
ETABLISSEMENT varchar(5) NOT NULL,
NOM varchar(150) NOT NULL,
BIC varchar(11) NOT NULL,
PRIMARY KEY (ETABLISSEMENT),
KEY BIC (BIC)
);
# ------------------------------------
# data for table 'migration_bic'
# ------------------------------------

INSERT INTO migration_bic (ETABLISSEMENT,NOM,BIC) VALUES
('10011','LA BANQUE POSTALE','PSSTFRPPXXX'),
('10057','Socit bordelaise de crdit industriel et commercial  Socit bordelaise de C.I.C.','CMCIFRPPXXX'),
('10096','CIC Lyonnaise de banque','CMCIFRPPXXX'),
('10107','BRED  Banque populaire','BREDFRPPXXX'),
('10178','Banque Chaix','CHAIFR2AXXX'),
('10206','Caisse rgionale de crdit agricole mutuel du Nord Est','AGRIFRPPXXX'),
('10207','Banque populaire Rives de Paris','CCBPFRPPMTG'),
('10228','Banque Laydernier','LAYDFR2WXXX'),
('10268','Banque Courtois  successeurs de lancienne maison Courtois et Cie depuis 1760','COURFR2TXXX'),
('10278','Caisse fdrale de crdit mutuel','CEPAFRPP831'),
('10468','Banque Rhne-Alpes  Groupe Crdit du Nord','RALPFR2GXXX'),
('10558','Banque Tarneaud','TARNFR2LXXX'),
('10807','Banque populaire Bourgogne Franche-Comt','CCBPFRPPDJN'),
('10907','Banque populaire du Sud-Ouest','CCBPFRPPBDX'),
('11006','Caisse rgionale de crdit agricole mutuel de Champagne-Bourgogne','AGRIFRPPXXX'),
('11206','Caisse rgionale de crdit agricole mutuel Nord Midi-Pyrnes','AGRIFRPPXXX'),
('11306','Caisse rgionale de crdit agricole mutuel dAlpes-Provence','AGRIFRPPXXX'),
('11315','Caisse dpargne et de prvoyance Provence-Alpes-Corse','CEPAFRPP131'),
('11425','Caisse dpargne et de prvoyance Normandie','CEPAFRPP142'),
('11706','Caisse rgionale de crdit agricole mutuel Charente-Maritime Deux-Svres','AGRIFRPPXXX'),
('11907','Banque populaire du Massif central','CCBPFRPPCFD'),
('12006','Caisse rgionale de crdit agricole mutuel de la Corse','AGRIFRPPXXX'),
('12135','Caisse dpargne et de prvoyance de Bourgogne Franche-Comt','CEPAFRPP213'),
('12169','Banque de la Runion','REUBRERXXXX'),
('12206','Caisse rgionale de crdit agricole mutuel des Ctes-dArmor','AGRIFRPPXXX'),
('12406','Caisse rgionale de crdit agricole mutuel Charente-Prigord (Crdit agricole Charente-Prigord)','AGRIFRPPXXX'),
('12506','Caisse rgionale de crdit agricole mutuel de Franche-Comt','AGRIFRPPXXX'),
('12548','Axa banque','AXABFRPPXXX'),
('12906','Caisse rgionale de crdit agricole mutuel du Finistre','AGRIFRPPXXX'),
('12939','Banque Dupuy de Parseval','BDUPFR2SXXX'),
('13106','Caisse rgionale de crdit agricole mutuel Toulouse 31','AGRIFRPPXXX'),
('13135','Caisse dpargne et de prvoyance de Midi-Pyrnes','CEPAFRPP313'),
('13259','Banque Kolb','KOLBFR21XXX'),
('13306','Caisse rgionale de crdit agricole mutuel dAquitaine','AGRIFRPPXXX'),
('13335','Caisse dpargne et de prvoyance Aquitaine Poitou-Charentes','CEPAFRPP864'),
('13485','Caisse dpargne et de prvoyance du Languedoc Roussillon','CEPAFRPP348'),
('13506','Caisse rgionale de crdit agricole mutuel du Languedoc','AGRIFRPP835'),
('13507','Banque populaire du Nord','CCBPFRPPLIL'),
('13606','Caisse rgionale de crdit agricole mutuel dIlle-et-Vilaine','AGRIFRPPXXX'),
('13825','Caisse dpargne et de prvoyance de Rhne Alpes','CEPAFRPP382'),
('13906','Caisse rgionale de crdit agricole mutuel Sud Rhne-Alpes','AGRIFRPPXXX'),
('13907','Banque populaire Loire et Lyonnais','CCBPFRPPLYO'),
('14265','Caisse dpargne et de prvoyance Loire Drme Ardche','CEPAFRPP426'),
('14406','Caisse rgionale de crdit agricole mutuel Val de France','AGRIFRPPXXX'),
('14445','Caisse dpargne et de prvoyance Bretagne-Pays de Loire','CEPAFRPP444'),
('14505','Caisse dpargne et de prvoyance Loire-Centre','CEPAFRPP450'),
('14506','Caisse rgionale de crdit agricole mutuel Loire  Haute-Loire','AGRIFRPPXXX'),
('14518','Fortuneo','FTNOFRP1XXX'),
('14559','ING Direct N.V','IIDFFR21XXX'),
('14607','Banque populaire provenale et Corse','CCBPFRPPMAR'),
('14706','Caisse rgionale de crdit agricole mutuel Atlantique Vende','AGRIFRPPXXX'),
('14707','Banque populaire Lorraine Champagne','CCBPFRPPMTZ'),
('14806','Caisse rgionale de crdit agricole mutuel Centre Loire','AGRIFRPPXXX'),
('15135','Caisse dpargne et de prvoyance de Lorraine Champagne-Ardenne','CEPAFRPP513'),
('15489','Caisse fdrale du crdit mutuel de Maine-Anjou et Basse-Normandie','CMCIFRPAXXX'),
('15519','Caisse fdrale du crdit mutuel Ocan','CMCIFRPAXXX'),
('15589','Crdit mutuel Arka','CMBRFR2BXXX'),
('15607','Banque populaire Cte dAzur','CCBPFRPPNCE'),
('15629','Caisse fdrale du crdit mutuel Nord Europe','CMCIFRPAXXX'),
('16006','Caisse rgionale de crdit agricole mutuel du Morbihan','AGRIFRPPXXX'),
('16106','Caisse rgionale de crdit agricole mutuel de Lorraine','AGRIFRPPXXX'),
('16275','Caisse dpargne et de prvoyance Nord France Europe','CEPAFRPP627'),
('16606','Caisse rgionale de crdit agricole mutuel de Normandie','AGRIFRPPXXX'),
('16607','Banque populaire du Sud','CCBPFRPPPPG'),
('16705','Caisse dpargne et de prvoyance dAlsace','CEPAFRPP670'),
('16706','Caisse rgionale de crdit agricole mutuel Nord de France','AGRIFRPPXXX'),
('16707','Banque populaire de lOuest','CCBPFRPPREN'),
('16806','Caisse rgionale de crdit agricole mutuel de Centre France  Crdit agricole Centre France (3me du nom)','AGRIFRPPXXX'),
('16807','Banque populaire des Alpes','CCBPFRPPGRE'),
('16906','Caisse rgionale de crdit agricole mutuel Pyrnes-Gascogne','AGRIFRPPXXX'),
('17106','Caisse rgionale de crdit agricole mutuel Sud-Mditerrane (Arige et Pyrnes-Orientales)','AGRIFRPPXXX'),
('17150','Caisse de crdit municipal de Toulon','CCUTFR21XXX'),
('17179','Caisse rgionale de crdit maritime mutuel de la Mditerrane','CMCIFRPAXXX'),
('17206','Caisse rgionale de crdit agricole mutuel Alsace Vosges','AGRIFRPPXXX'),
('17510','Cratis','CRTAFR21XXX'),
('17515','Caisse dpargne et de prvoyance Ile-de-France','CEPAFRPP751'),
('17607','Banque populaire dAlsace','CCBPFRPPSTR'),
('17806','Caisse rgionale de crdit agricole mutuel Centre-Est','AGRIFRPPXXX'),
('17807','Banque populaire Occitane','CCBPFRPPTLS'),
('17906','Caisse rgionale de crdit agricole mutuel de lAnjou et du Maine','AGRIFRPPXXX'),
('18025','Caisse dpargne et de prvoyance de Picardie','CEPAFRPP802'),
('18106','Caisse rgionale de crdit agricole mutuel des Savoie  Crdit agricole des Savoie','AGRIFRPPXXX'),
('18206','Caisse rgionale de crdit agricole mutuel de Paris et dIle-de-France','AGRIFRPPXXX'),
('18306','Caisse rgionale de crdit agricole mutuel Normandie-Seine','AGRIFRPPXXX'),
('18315','Caisse dpargne et de prvoyance Cte dAzur','CEPAFRPP831'),
('18370','Groupama banque (2me du nom)','GPBAFRPPXXX'),
('18706','Caisse rgionale de crdit agricole mutuel Brie Picardie','AGRIFRPP887'),
('18707','Banque populaire Val de France (2me du nom)','CCBPFRPPVER'),
('18715','Caisse dpargne et de prvoyance dAuvergne et du Limousin','CEPAFRPP871'),
('18719','Banque franaise commerciale Ocan Indien  B.F.C. Ocan Indien','BFCOFRPPXXX'),
('18950','Caisse de crdit municipal dAvignon','CSCAFR21XXX'),
('19106','Caisse rgionale de crdit agricole mutuel Provence-Cte dAzur','AGRIFRPP891'),
('19406','Caisse rgionale de crdit agricole mutuel de la Touraine et du Poitou','AGRIFRPPXXX'),
('19506','Caisse rgionale de crdit agricole mutuel du Centre Ouest','AGRIFRPPXXX'),
('19906','Caisse rgionale de crdit agricole mutuel de la Runion','AGRIFRPPXXX'),
('20041','La Banque Postale','PSSTFRPPXXX'),
('28570','Caisse de crdit municipal de Dijon','CMDIFR21XXX'),
('30002','Crdit lyonnais','CRLYFRPPXXX'),
('30003','Socit gnrale','SOGEFRPPXXX'),
('30004','BNP Paribas','BNPAFRPPXXX'),
('30027','Banque CIC Nord Ouest','CMCIFRPPXXX'),
('30047','Banque CIC Ouest','CMCIFRPPXXX'),
('30056','HSBC France','CCFRFRPPXXX'),
('30066','Crdit industriel et commercial  CIC','CMCIFRPPXXX'),
('30076','Crdit du Nord','NORDFRPPXXX'),
('30077','Socit marseillaise de crdit','SMCTFR2AXXX'),
('30087','Banque CIC Est','CMCIFRPPXXX'),
('40618','Boursorama','BOUSFRPPXXX'),
('40978','Banque Palatine','BSPFFRPPXXX'),
('42559','Crdit coopratif','CCOPFRPPXXX'),
('44319','Banque prive europenne','PREUFRP1XXX'),
('30588','BARCLAYS BANK','BARCFRPPXXX'),
('13807','BANQUE POPULAIRE ATLANTIQUE','CCBPFRPPNAN'),
('16560','CREDIT MUNICIPAL','CCMOFR21XXX'),
('30438','ING DIRECT','INGBFRPPXXX');

# ------------------------------------
# structure for table 'note_de_frais'
# ------------------------------------

DROP TABLE IF EXISTS note_de_frais ;
CREATE TABLE note_de_frais (
NF_ID int(11) NOT NULL auto_increment,
NF_CODE1 smallint(4),
NF_CODE2 tinyint(2),
NF_CODE3 int(11),
NF_CREATE_DATE datetime NOT NULL,
NF_CREATE_BY int(11) NOT NULL,
P_ID int(11) NOT NULL,
S_ID int(11) DEFAULT '0' NOT NULL,
E_CODE int(11),
NF_NATIONAL tinyint(4) DEFAULT '0' NOT NULL,
NF_DEPARTEMENTAL tinyint(4) DEFAULT '0' NOT NULL,
TOTAL_AMOUNT float NOT NULL,
FS_CODE varchar(5) NOT NULL,
TM_CODE varchar(5) NOT NULL,
NF_STATUT_DATE datetime,
NF_STATUT_BY int(11),
NF_VALIDATED_DATE datetime,
NF_VALIDATED_BY int(11),
NF_VALIDATED2_DATE datetime,
NF_VALIDATED2_BY int(11),
NF_REMBOURSE_DATE datetime,
NF_REMBOURSE_BY int(11),
COMMENT varchar(255),
NF_DON tinyint(4) DEFAULT '0' NOT NULL,
NF_FRAIS_DEP tinyint(4) DEFAULT '0' NOT NULL,
NF_JUSTIF_RECUS tinyint(4) DEFAULT '0' NOT NULL,
NF_VERIFIED tinyint(4) DEFAULT '0' NOT NULL,
NF_VERIFIED_BY int(11),
NF_VERIFIED_DATE datetime,
PRIMARY KEY (NF_ID),
KEY P_ID (P_ID),
KEY FS_CODE (FS_CODE),
KEY NF_CREATE_DATE (NF_CREATE_DATE),
KEY E_CODE (E_CODE),
KEY NF_DEPARTEMENTAL (NF_DEPARTEMENTAL),
KEY NF_DON (NF_DON),
KEY S_ID (S_ID)
);
# ------------------------------------
# data for table 'note_de_frais'
# ------------------------------------



# ------------------------------------
# structure for table 'note_de_frais_detail'
# ------------------------------------

DROP TABLE IF EXISTS note_de_frais_detail ;
CREATE TABLE note_de_frais_detail (
NFD_ID int(11) NOT NULL auto_increment,
NF_ID int(11) NOT NULL,
QUANTITE smallint(6),
AMOUNT float NOT NULL,
LIEU varchar(100) NOT NULL,
NFD_DATE_FRAIS date,
TF_CODE varchar(5) NOT NULL,
NFD_DESCRIPTION varchar(200) NOT NULL,
NFD_ORDER tinyint(4) DEFAULT '1',
PRIMARY KEY (NFD_ID),
KEY NF_ID (NF_ID),
KEY TF_CODE (TF_CODE)
);
# ------------------------------------
# data for table 'note_de_frais_detail'
# ------------------------------------



# ------------------------------------
# structure for table 'note_de_frais_type_frais'
# ------------------------------------

DROP TABLE IF EXISTS note_de_frais_type_frais ;
CREATE TABLE note_de_frais_type_frais (
TF_CODE varchar(5) NOT NULL,
TF_DESCRIPTION varchar(40) NOT NULL,
TF_CATEGORIE varchar(30) NOT NULL,
TF_PRIX_UNITAIRE float,
TF_UNITE varchar(6),
TF_COMMENT varchar(300),
PRIMARY KEY (TF_CODE)
);
# ------------------------------------
# data for table 'note_de_frais_type_frais'
# ------------------------------------

INSERT INTO note_de_frais_type_frais (TF_CODE,TF_DESCRIPTION,TF_CATEGORIE,TF_PRIX_UNITAIRE,TF_UNITE,TF_COMMENT) VALUES
('ACHAT','Achat divers','Divers',NULL,NULL,NULL),
('AUTRE','Autres type de frais','Divers',NULL,NULL,NULL),
('AVION','Billets d\'avion','Dplacement',NULL,NULL,NULL),
('DEP','Autres Frais de dplacement','Dplacement',NULL,NULL,NULL),
('HOTEL','Frais d\'htel','Hbergement',NULL,NULL,NULL),
('KM','Frais kilomtriques','Dplacement','0.32','km',NULL),
('LOCA','Location de vhicule','Dplacement',NULL,NULL,NULL),
('METRO','Mtro','Dplacement',NULL,NULL,NULL),
('PARK','Frais de parking','Dplacement',NULL,NULL,NULL),
('PEAGE','Frais de page','Dplacement',NULL,NULL,NULL),
('REPAS','Frais de repas','Hbergement',NULL,NULL,NULL),
('SNCF','Billets de train','Dplacement',NULL,NULL,NULL),
('KM2','Frais kilomtriques (prix libre)','Dplacement',NULL,NULL,NULL);

# ------------------------------------
# structure for table 'note_de_frais_type_motif'
# ------------------------------------

DROP TABLE IF EXISTS note_de_frais_type_motif ;
CREATE TABLE note_de_frais_type_motif (
TM_CODE varchar(5) NOT NULL,
TM_DESCRIPTION varchar(50) NOT NULL,
TM_SYNDICATE tinyint(4) DEFAULT '0' NOT NULL,
MOTIF_LEVEL varchar(1),
PRIMARY KEY (TM_CODE),
KEY TM_SYNDICATE (TM_SYNDICATE)
);
# ------------------------------------
# data for table 'note_de_frais_type_motif'
# ------------------------------------

INSERT INTO note_de_frais_type_motif (TM_CODE,TM_DESCRIPTION,TM_SYNDICATE,MOTIF_LEVEL) VALUES
('AUT','Autre','0',NULL),
('DG','Direction gnrale','0',NULL),
('FE','Formation entreprises','0',NULL),
('FG','Formation gnrale','0',NULL),
('OP','Oprationnel','0',NULL),
('FOS','Formation Syndicale','1','A'),
('S04','Congrs Fdral','1','A'),
('GTS','Gestion Trsorerie','1','A'),
('MLAS','Mission Logistique et Administrative','1','A'),
('MA','Manifestations','1','A'),
('ELE','Elections','1','A'),
('ND','Non Dfini','1','A'),
('S03','Assemble Gnrale ','1','A'),
('S05','Bureau Dpartemental','1','D'),
('S15','Runion Instance','1','D'),
('S24','Runion Information','1','D'),
('S08','Dplacement Prsident','1','D'),
('S23','Assemble Gnrale dpartement','1','D'),
('S01','Bureau National','1','N'),
('S02','Bureau Excutif','1','N'),
('S06','Runions Diverses','1','N'),
('S07','Dplacement Prsident Fdral','1','N'),
('S09','Gestion Sige','1','N'),
('GJS','Gestion Juridique','1','N'),
('S13','Runion Info pour les Dpartements','1','N'),
('S14','Runion Ministre de l\'intrieur','1','N'),
('S20','Runion Snat','1','N'),
('BNF','Bureau National FA/SPP-PATS','1','A'),
('INFS','Information syndicale','1','A'),
('REPS','Reprsentation nationale FA/SPP-PATS','1','A'),
('REUT','Runion de travail','1','D'),
('REUD','Runion technique dossiers','1','D'),
('CORE','Commission de rforme','1','D'),
('COAS','Commission action sociale','1','D'),
('COAD','Commission adhoc','1','D'),
('RENPF','Rencontre Prfet','1','D'),
('RENPC','Rencontre PDT CASDIS','1','D'),
('REND','Rencontre DDSIS','1','D'),
('GSSA','Gestion siege SA','1','D'),
('REASN','Runion Assemble Nationale','1','N'),
('RESET','Runion services de l\'Etat','1','N'),
('REMIN','Runion ministres','1','N'),
('GESTF','Gestion trsorerie fdrale','1','N'),
('REVC','Rviseurs aux comptes','1','N');

# ------------------------------------
# structure for table 'note_de_frais_type_statut'
# ------------------------------------

DROP TABLE IF EXISTS note_de_frais_type_statut ;
CREATE TABLE note_de_frais_type_statut (
FS_CODE varchar(5) NOT NULL,
FS_DESCRIPTION varchar(30) NOT NULL,
FS_CLASS varchar(20) NOT NULL,
FS_ORDER tinyint(4) NOT NULL,
PRIMARY KEY (FS_CODE)
);
# ------------------------------------
# data for table 'note_de_frais_type_statut'
# ------------------------------------

INSERT INTO note_de_frais_type_statut (FS_CODE,FS_DESCRIPTION,FS_CLASS,FS_ORDER) VALUES
('ANN','Annule','black12','1'),
('ATTV','Attente validation','orange12','2'),
('REJ','Rejete','red12','3'),
('REMB','Rembourse','purple12','7'),
('VAL','Valide','green12','4'),
('CRE','En cours de cration','blue12','0'),
('VAL2','Valide deux fois','darkcyan12','6'),
('VAL1','Valide','green12','5');

# ------------------------------------
# structure for table 'notification_block'
# ------------------------------------

DROP TABLE IF EXISTS notification_block ;
CREATE TABLE notification_block (
P_ID int(6) NOT NULL,
F_ID int(6) NOT NULL,
PRIMARY KEY (P_ID, F_ID)
);
# ------------------------------------
# data for table 'notification_block'
# ------------------------------------



# ------------------------------------
# structure for table 'pays'
# ------------------------------------

DROP TABLE IF EXISTS pays ;
CREATE TABLE pays (
ID smallint(6) NOT NULL,
NAME varchar(50) NOT NULL,
PRIMARY KEY (ID)
);
# ------------------------------------
# data for table 'pays'
# ------------------------------------

INSERT INTO pays (ID,NAME) VALUES
('1','Afghanistan'),
('2','Afrique du Sud'),
('3','Albanie'),
('4','Algrie'),
('5','Allemagne'),
('6','Andorre'),
('7','Angola'),
('8','Antigua-et-Barbuda'),
('9','Arabie saoudite'),
('10','Argentine'),
('11','Armnie'),
('12','Australie'),
('13','Autriche'),
('14','Azerbadjan'),
('15','Bahamas'),
('16','Bahren'),
('17','Bangladesh'),
('18','Barbade'),
('19','Belau'),
('20','Belgique'),
('21','Belize'),
('22','Bnin'),
('23','Bhoutan'),
('24','Bilorussie'),
('25','Birmanie'),
('26','Bolivie'),
('27','Bosnie-Herzgovine'),
('28','Botswana'),
('29','Brsil'),
('30','Brunei'),
('31','Bulgarie'),
('32','Burkina'),
('33','Burundi'),
('34','Cambodge'),
('35','Cameroun'),
('36','Canada'),
('37','Cap-Vert'),
('38','Chili'),
('39','Chine'),
('40','Chypre'),
('41','Colombie'),
('42','Comores'),
('43','Congo'),
('44','Congo'),
('45','Cook'),
('46','Core du Nord'),
('47','Core du Sud'),
('48','Costa Rica'),
('49','Cte d\'Ivoire'),
('50','Croatie'),
('51','Cuba'),
('52','Danemark'),
('53','Djibouti'),
('54','Dominique'),
('55','gypte'),
('56','mirats arabes unis'),
('57','quateur'),
('58','rythre'),
('59','Espagne'),
('60','Estonie'),
('61','tats-Unis'),
('62','thiopie'),
('63','Fidji'),
('64','Finlande'),
('65','France'),
('66','Gabon'),
('67','Gambie'),
('68','Gorgie'),
('69','Ghana'),
('70','Grce'),
('71','Grenade'),
('72','Guatemala'),
('73','Guine'),
('74','Guine-Bissao'),
('75','Guine quatoriale'),
('76','Guyana'),
('77','Hati'),
('78','Honduras'),
('79','Hongrie'),
('80','Inde'),
('81','Indonsie'),
('82','Iran'),
('83','Iraq'),
('84','Irlande'),
('85','Islande'),
('86','Isral'),
('87','Italie'),
('88','Jamaque'),
('89','Japon'),
('90','Jordanie'),
('91','Kazakhstan'),
('92','Kenya'),
('93','Kirghizistan'),
('94','Kiribati'),
('95','Kowet'),
('96','Laos'),
('97','Lesotho'),
('98','Lettonie'),
('99','Liban'),
('100','Liberia'),
('101','Libye'),
('102','Liechtenstein'),
('103','Lituanie'),
('104','Luxembourg'),
('105','Macdoine'),
('106','Madagascar'),
('107','Malaisie'),
('108','Malawi'),
('109','Maldives'),
('110','Mali'),
('111','Malte'),
('112','Maroc'),
('113','Marshall'),
('114','Maurice'),
('115','Mauritanie'),
('116','Mexique'),
('117','Micronsie'),
('118','Moldavie'),
('119','Monaco'),
('120','Mongolie'),
('121','Mozambique'),
('122','Namibie'),
('123','Nauru'),
('124','Npal'),
('125','Nicaragua'),
('126','Niger'),
('127','Nigeria'),
('128','Niue'),
('129','Norvge'),
('130','Nouvelle-Zlande'),
('131','Oman'),
('132','Ouganda'),
('133','Ouzbkistan'),
('134','Pakistan'),
('135','Panama'),
('136','Papouasie - Nouvelle Guine'),
('137','Paraguay'),
('138','Pays-Bas'),
('139','Prou'),
('140','Philippines'),
('141','Pologne'),
('142','Portugal'),
('143','Qatar'),
('144','Rpublique centrafricaine'),
('145','Rpublique dominicaine'),
('146','Rpublique tchque'),
('147','Roumanie'),
('148','Royaume-Uni'),
('149','Russie'),
('150','Rwanda'),
('151','Saint-Christophe-et-Nivs'),
('152','Sainte-Lucie'),
('153','Saint-Marin'),
('154','Saint-Sige'),
('155','Saint-Vincent-et-les Grenadine'),
('156','Salomon'),
('157','Salvador'),
('158','Samoa occidentales'),
('159','Sao Tom-et-Principe'),
('160','Sngal'),
('161','Seychelles'),
('162','Sierra Leone'),
('163','Singapour'),
('164','Slovaquie'),
('165','Slovnie'),
('166','Somalie'),
('167','Soudan'),
('168','Sri Lanka'),
('169','Sude'),
('170','Suisse'),
('171','Suriname'),
('172','Swaziland'),
('173','Syrie'),
('174','Tadjikistan'),
('175','Tanzanie'),
('176','Tchad'),
('177','Thalande'),
('178','Togo'),
('179','Tonga'),
('180','Trinit-et-Tobago'),
('181','Tunisie'),
('182','Turkmnistan'),
('183','Turquie'),
('184','Tuvalu'),
('185','Ukraine'),
('186','Uruguay'),
('187','Vanuatu'),
('188','Venezuela'),
('189','Vit Nam'),
('190','Ymen'),
('191','Yougoslavie'),
('192','Zare'),
('193','Zambie'),
('194','Zimbabwe');

# ------------------------------------
# structure for table 'periode'
# ------------------------------------

DROP TABLE IF EXISTS periode ;
CREATE TABLE periode (
P_CODE varchar(4) NOT NULL,
P_DESCRIPTION varchar(30) NOT NULL,
P_ORDER tinyint(4) DEFAULT '1' NOT NULL,
P_DATE varchar(7),
P_FRACTION smallint(6) NOT NULL,
PRIMARY KEY (P_CODE)
);
# ------------------------------------
# data for table 'periode'
# ------------------------------------

INSERT INTO periode (P_CODE,P_DESCRIPTION,P_ORDER,P_DATE,P_FRACTION) VALUES
('A','anne complte','1',NULL,'1'),
('APR','avril','11','04','12'),
('AUG','aot','15','08','12'),
('DEC','dcembre','19','12','12'),
('FEV','fvrier','9','02','12'),
('JAN','janvier','8','01','12'),
('JUL','juillet','14','07','12'),
('JUN','juin','13','06','12'),
('MAI','mai','12','05','12'),
('MAR','mars','10','03','12'),
('NOV','novembre','18','11','12'),
('OCT','octobre','17','10','12'),
('S1','premier semestre','2',NULL,'2'),
('S2','deuxime semestre','3',NULL,'2'),
('SEP','septembre','16','09','12'),
('T1','premier trimestre','4',NULL,'4'),
('T2','deuxime trimestre','5',NULL,'4'),
('T3','troisime trimestre','6',NULL,'4'),
('T4','quatrime trimestre','7',NULL,'4');

# ------------------------------------
# structure for table 'personnel_contact'
# ------------------------------------

DROP TABLE IF EXISTS personnel_contact ;
CREATE TABLE personnel_contact (
P_ID int(11) NOT NULL,
CT_ID tinyint(4) NOT NULL,
CONTACT_VALUE varchar(60) NOT NULL,
CONTACT_DATE datetime NOT NULL,
PRIMARY KEY (P_ID, CT_ID)
);
# ------------------------------------
# data for table 'personnel_contact'
# ------------------------------------



# ------------------------------------
# structure for table 'personnel_cotisation'
# ------------------------------------

DROP TABLE IF EXISTS personnel_cotisation ;
CREATE TABLE personnel_cotisation (
PC_ID int(11) NOT NULL auto_increment,
P_ID int(11) NOT NULL,
ANNEE year(4) NOT NULL,
PERIODE_CODE varchar(4),
PC_DATE date NOT NULL,
MONTANT float NOT NULL,
TP_ID tinyint(1) DEFAULT '0' NOT NULL,
REMBOURSEMENT tinyint(1) DEFAULT '0' NOT NULL,
COMMENTAIRE varchar(100),
NUM_CHEQUE varchar(50),
ETABLISSEMENT varchar(5),
GUICHET varchar(5),
COMPTE varchar(11),
CODE_BANQUE varchar(30),
COMPTE_DEBITE int(11),
IBAN varchar(34),
BIC varchar(11),
PRIMARY KEY (PC_ID),
KEY NUM_CHEQUE (NUM_CHEQUE),
KEY ANNEE (ANNEE, PERIODE_CODE),
KEY TP_ID (TP_ID),
KEY P_ID (P_ID, ANNEE, PERIODE_CODE),
KEY REMBOURSEMENT (REMBOURSEMENT),
KEY COMPTE_DEBITE (COMPTE_DEBITE)
);
# ------------------------------------
# data for table 'personnel_cotisation'
# ------------------------------------



# ------------------------------------
# structure for table 'personnel_formation'
# ------------------------------------

DROP TABLE IF EXISTS personnel_formation ;
CREATE TABLE personnel_formation (
PF_ID int(11) NOT NULL auto_increment,
P_ID int(11) NOT NULL,
PS_ID smallint(6) NOT NULL,
TF_CODE varchar(1) NOT NULL,
PF_DIPLOME varchar(20),
PF_COMMENT varchar(100),
PF_ADMIS tinyint(4) DEFAULT '1' NOT NULL,
PF_DATE date,
PF_RESPONSABLE varchar(60),
PF_LIEU varchar(40),
E_CODE int(11),
PF_UPDATE_BY int(11),
PF_UPDATE_DATE datetime,
PF_PRINT_BY int(11),
PF_PRINT_DATE datetime,
PF_EXPIRATION date,
PRIMARY KEY (PF_ID),
KEY P_ID (P_ID, PS_ID),
KEY E_CODE (E_CODE)
);
# ------------------------------------
# data for table 'personnel_formation'
# ------------------------------------



# ------------------------------------
# structure for table 'planning_garde_status'
# ------------------------------------

DROP TABLE IF EXISTS planning_garde_status ;
CREATE TABLE planning_garde_status (
S_ID smallint(6) DEFAULT '2' NOT NULL,
PGS_YEAR smallint(6) DEFAULT '0' NOT NULL,
PGS_MONTH tinyint(4) DEFAULT '0' NOT NULL,
EQ_ID tinyint(4) DEFAULT '1' NOT NULL,
PGS_STATUS varchar(5) NOT NULL,
PRIMARY KEY (S_ID, PGS_YEAR, PGS_MONTH, EQ_ID)
);
# ------------------------------------
# data for table 'planning_garde_status'
# ------------------------------------



# ------------------------------------
# structure for table 'pompier'
# ------------------------------------

DROP TABLE IF EXISTS pompier ;
CREATE TABLE pompier (
P_ID int(11) NOT NULL auto_increment,
P_CODE varchar(20) NOT NULL,
P_PRENOM varchar(25) NOT NULL,
P_PRENOM2 varchar(25),
P_NOM varchar(30) NOT NULL,
P_NOM_NAISSANCE varchar(30),
P_SEXE varchar(1) DEFAULT 'M' NOT NULL,
P_CIVILITE tinyint(1) DEFAULT '1' NOT NULL,
P_OLD_MEMBER tinyint(1) DEFAULT '0' NOT NULL,
P_GRADE varchar(6) NOT NULL,
P_PROFESSION varchar(6) DEFAULT 'SPP' NOT NULL,
P_STATUT varchar(5) DEFAULT 'SPV' NOT NULL,
P_REGIME varchar(5),
P_MDP varchar(255) NOT NULL,
P_PASSWORD_FAILURE tinyint(4),
P_MDP_EXPIRY date,
P_DATE_ENGAGEMENT date,
P_FIN date,
P_SECTION smallint(6),
C_ID int(11) DEFAULT '0' NOT NULL,
GP_ID smallint(6) DEFAULT '0' NOT NULL,
GP_ID2 smallint(6) DEFAULT '0' NOT NULL,
P_BIRTHDATE date,
P_BIRTHPLACE varchar(40),
P_BIRTH_DEP varchar(3),
P_EMAIL varchar(60),
P_HORAIRE smallint(6),
P_PHONE varchar(20),
P_PHONE2 varchar(20),
P_ABBREGE varchar(5),
P_ADDRESS varchar(150),
P_ZIP_CODE varchar(6),
P_CITY varchar(30),
P_RELATION_PRENOM varchar(20),
P_RELATION_NOM varchar(30),
P_RELATION_PHONE varchar(20),
P_RELATION_MAIL varchar(60),
P_HIDE tinyint(4) DEFAULT '1' NOT NULL,
P_PHOTO varchar(50),
P_LAST_CONNECT datetime,
P_NB_CONNECT int(11) DEFAULT '0' NOT NULL,
GP_FLAG1 tinyint(4) DEFAULT '0' NOT NULL,
GP_FLAG2 tinyint(4) DEFAULT '0' NOT NULL,
TS_CODE varchar(5),
TS_HEURES float,
TS_JOURS_CP_PAR_AN float,
TS_HEURES_PAR_AN float,
TS_HEURES_A_RECUPERER float,
TS_RELIQUAT_CP float,
TS_RELIQUAT_RTT float,
P_NOSPAM tinyint(4) DEFAULT '0' NOT NULL,
P_CREATE_DATE date,
SERVICE varchar(60),
TP_ID tinyint(1) DEFAULT '0' NOT NULL,
MOTIF_RADIATION varchar(100),
NPAI tinyint(1) DEFAULT '0' NOT NULL,
DATE_NPAI date,
OBSERVATION varchar(255),
SUSPENDU tinyint(1) DEFAULT '0' NOT NULL,
DATE_SUSPENDU date,
DATE_FIN_SUSPENDU date,
MONTANT_REGUL float DEFAULT '0',
P_CALENDAR varchar(100),
P_ACCEPT_DATE datetime,
P_ACCEPT_DATE2 datetime,
TS_HEURES_PAR_JOUR float,
P_MAITRE int(11) DEFAULT '0' NOT NULL,
P_PAYS smallint(6),
P_LICENCE varchar(25),
P_LICENCE_DATE date,
P_LICENCE_EXPIRY date,
ID_API int(11),
P_FAVORITE_SECTION int(11),
PRIMARY KEY (P_ID),
   UNIQUE P_CODE (P_CODE),
   UNIQUE ID_API (ID_API),
KEY GP_ID (GP_ID),
KEY P_OLD_MEMBER (P_OLD_MEMBER),
KEY P_STATUT (P_STATUT),
KEY C_ID (C_ID),
KEY GP_ID2 (GP_ID2),
KEY P_ZIP_CODE (P_ZIP_CODE),
KEY P_NOM (P_NOM),
KEY P_CITY (P_CITY),
KEY P_BIRTHDATE (P_BIRTHDATE),
KEY P_LAST_CONNECT (P_LAST_CONNECT),
KEY P_DATE_ENGAGEMENT (P_DATE_ENGAGEMENT),
KEY P_FIN (P_FIN),
KEY P_NOM_NAISSANCE (P_NOM_NAISSANCE),
KEY TP_ID (TP_ID),
KEY NPAI (NPAI),
KEY SUSPENDU (SUSPENDU),
KEY P_HOMONYM (P_SECTION, P_NOM, P_PRENOM, P_BIRTHDATE),
KEY P_MDP_EXPIRY (P_MDP_EXPIRY)
);
# ------------------------------------
# data for table 'pompier'
# ------------------------------------

INSERT INTO pompier (P_ID,P_CODE,P_PRENOM,P_PRENOM2,P_NOM,P_NOM_NAISSANCE,P_SEXE,P_CIVILITE,P_OLD_MEMBER,P_GRADE,P_PROFESSION,P_STATUT,P_REGIME,P_MDP,P_PASSWORD_FAILURE,P_MDP_EXPIRY,P_DATE_ENGAGEMENT,P_FIN,P_SECTION,C_ID,GP_ID,GP_ID2,P_BIRTHDATE,P_BIRTHPLACE,P_BIRTH_DEP,P_EMAIL,P_HORAIRE,P_PHONE,P_PHONE2,P_ABBREGE,P_ADDRESS,P_ZIP_CODE,P_CITY,P_RELATION_PRENOM,P_RELATION_NOM,P_RELATION_PHONE,P_RELATION_MAIL,P_HIDE,P_PHOTO,P_LAST_CONNECT,P_NB_CONNECT,GP_FLAG1,GP_FLAG2,TS_CODE,TS_HEURES,TS_JOURS_CP_PAR_AN,TS_HEURES_PAR_AN,TS_HEURES_A_RECUPERER,TS_RELIQUAT_CP,TS_RELIQUAT_RTT,P_NOSPAM,P_CREATE_DATE,SERVICE,TP_ID,MOTIF_RADIATION,NPAI,DATE_NPAI,OBSERVATION,SUSPENDU,DATE_SUSPENDU,DATE_FIN_SUSPENDU,MONTANT_REGUL,P_CALENDAR,P_ACCEPT_DATE,P_ACCEPT_DATE2,TS_HEURES_PAR_JOUR,P_MAITRE,P_PAYS,P_LICENCE,P_LICENCE_DATE,P_LICENCE_EXPIRY,ID_API,P_FAVORITE_SECTION) VALUES
('1','admin','admin',NULL,'admin',NULL,'M','1','0','SAP2','SPP','SPV','24h','29218f75bd57a2ff0fd1d3ca1442c2e4',NULL,NULL,'2020-01-01',NULL,'0','0','4','0',NULL,NULL,NULL,'admin@mybrigade.org',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0',NULL,'2020-08-19 17:57:36','0','0','0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0','2020-01-01',NULL,'4',NULL,'0',NULL,NULL,'0',NULL,NULL,'0',NULL,NULL,NULL,NULL,'0',NULL,NULL,NULL,NULL,NULL,NULL);

# ------------------------------------
# structure for table 'poste'
# ------------------------------------

DROP TABLE IF EXISTS poste ;
CREATE TABLE poste (
PS_ID int(11) NOT NULL auto_increment,
PS_ORDER int(11),
EQ_ID smallint(6) DEFAULT '1' NOT NULL,
TYPE varchar(8) NOT NULL,
DESCRIPTION varchar(80) NOT NULL,
PS_FORMATION tinyint(4) DEFAULT '1' NOT NULL,
PS_EXPIRABLE tinyint(4) DEFAULT '0' NOT NULL,
PS_AUDIT tinyint(4) DEFAULT '0' NOT NULL,
PS_DIPLOMA tinyint(4) DEFAULT '0' NOT NULL,
PS_NUMERO tinyint(4) DEFAULT '0' NOT NULL,
PS_RECYCLE tinyint(4) DEFAULT '0' NOT NULL,
PS_USER_MODIFIABLE tinyint(4) DEFAULT '0' NOT NULL,
PS_PRINTABLE tinyint(4) DEFAULT '0' NOT NULL,
PS_PRINT_IMAGE tinyint(4) DEFAULT '0' NOT NULL,
PS_NATIONAL tinyint(4) DEFAULT '0' NOT NULL,
PS_SECOURISME tinyint(4) DEFAULT '0' NOT NULL,
F_ID int(11) DEFAULT '4' NOT NULL,
PH_CODE varchar(15),
PH_LEVEL tinyint(4),
PRIMARY KEY (PS_ID),
KEY EQ_ID (EQ_ID),
KEY PH_CODE (PH_CODE)
);
# ------------------------------------
# data for table 'poste'
# ------------------------------------

INSERT INTO poste (PS_ID,PS_ORDER,EQ_ID,TYPE,DESCRIPTION,PS_FORMATION,PS_EXPIRABLE,PS_AUDIT,PS_DIPLOMA,PS_NUMERO,PS_RECYCLE,PS_USER_MODIFIABLE,PS_PRINTABLE,PS_PRINT_IMAGE,PS_NATIONAL,PS_SECOURISME,F_ID,PH_CODE,PH_LEVEL) VALUES
('12','12','3','PSE1','Equipier secouriste PSE1','1','1','0','1','1','1','0','1','0','0','1','4','Secourisme','1'),
('13','13','3','PSE2','Equipier secouriste PSE2','1','1','0','1','1','1','0','1','0','0','1','4','Secourisme','2'),
('14','14','3','PAE PSC','Formateur en Prvention et Secours Civiques','1','1','0','1','1','1','0','0','0','0','1','4',NULL,NULL),
('15','15','3','PAE PS','Formateur aux Premiers Secours','1','1','0','1','1','1','0','0','0','0','1','4',NULL,NULL),
('16','16','3','FDF PSE','Formateur de Formateurs aux Premiers Secours','1','1','0','1','1','1','0','0','0','0','1','4',NULL,NULL),
('17','17','4','VL','Permis voiture','0','0','0','1','1','0','0','0','0','0','0','4',NULL,NULL),
('18','18','4','PB','Permis blanc','0','0','0','1','1','0','0','0','0','0','0','4',NULL,NULL),
('19','19','4','PL','Permis poids lourd','0','0','0','1','1','0','0','0','0','0','0','4','COD','0'),
('20','11','3','PSC1','Premiers secours civique','1','0','0','1','1','0','0','1','0','0','1','4','Secourisme','0'),
('21','20','5','FDF1','Feux de fort niveau 1','0','0','0','0','0','0','0','0','0','0','0','4','FDF','1'),
('22','21','5','FDF2','Feux de fort niveau 2','0','0','0','0','0','0','0','0','0','0','0','4','FDF','2'),
('23','22','5','FDF3','Feux de fort niveau 3','0','1','0','1','0','0','0','0','0','0','0','4','FDF','3'),
('24','23','5','FDF4','Feux de fort niveau 4','0','0','0','0','0','0','0','0','0','0','0','4','FDF','4'),
('25','24','5','SAP2','Chef d\'agrs ambulance','0','0','0','0','0','0','0','0','0','0','0','4',NULL,NULL),
('26','25','5','DIV2','Chef d\'agrs divers','0','0','0','0','0','0','0','0','0','0','0','4','DIV','2'),
('27','1','5','INC1','Equipier incendie','1','0','0','0','0','0','0','0','0','0','0','4','INC','1'),
('28','1','5','CE','Chef d\'quipe incendie','1','0','0','0','0','0','0','0','0','0','0','4','INC','2'),
('29','1','5','INC2','Chef d\'agrs incendie','1','0','0','0','0','0','0','0','0','0','0','4','INC','3'),
('30','1','4','COD1','Conducteur engin pompe','0','0','0','0','0','0','0','0','0','0','0','4','COD','1'),
('31','1','4','COD2','Conducteur CCF','0','0','0','0','0','0','0','0','0','0','0','4','COD','2'),
('32','1','5','DIV1','Equipier divers','1','0','0','0','0','0','0','0','0','0','0','4','DIV','1');

# ------------------------------------
# structure for table 'poste_hierarchie'
# ------------------------------------

DROP TABLE IF EXISTS poste_hierarchie ;
CREATE TABLE poste_hierarchie (
PH_CODE varchar(15) NOT NULL,
PH_NAME varchar(30) NOT NULL,
PH_HIDE_LOWER tinyint(4) NOT NULL,
PH_UPDATE_LOWER_EXPIRY tinyint(4) NOT NULL,
PH_UPDATE_MANDATORY tinyint(4) DEFAULT '0' NOT NULL,
PRIMARY KEY (PH_CODE)
);
# ------------------------------------
# data for table 'poste_hierarchie'
# ------------------------------------

INSERT INTO poste_hierarchie (PH_CODE,PH_NAME,PH_HIDE_LOWER,PH_UPDATE_LOWER_EXPIRY,PH_UPDATE_MANDATORY) VALUES
('FDF','Feux de fort','1','0','0'),
('Secourisme','Premiers secours','1','1','0'),
('INC','Incendie','0','0','0'),
('COD','Conducteur engins incendie','0','0','0'),
('DIV','Interventions Diverses','1','0','0');

# ------------------------------------
# structure for table 'qualification'
# ------------------------------------

DROP TABLE IF EXISTS qualification ;
CREATE TABLE qualification (
P_ID int(11) DEFAULT '0' NOT NULL,
PS_ID int(11) DEFAULT '0' NOT NULL,
Q_VAL tinyint(4) DEFAULT '1' NOT NULL,
Q_EXPIRATION date,
Q_UPDATED_BY int(11),
Q_UPDATE_DATE datetime,
PRIMARY KEY (P_ID, PS_ID),
KEY PS_ID (PS_ID),
KEY Q_EXPIRATION (Q_EXPIRATION)
);
# ------------------------------------
# data for table 'qualification'
# ------------------------------------



# ------------------------------------
# structure for table 'rejet'
# ------------------------------------

DROP TABLE IF EXISTS rejet ;
CREATE TABLE rejet (
R_ID int(11) NOT NULL auto_increment,
P_ID int(11) NOT NULL,
ANNEE varchar(4) NOT NULL,
PERIODE_CODE varchar(4) NOT NULL,
DATE_REJET date,
DEFAUT_ID tinyint(4) NOT NULL,
MONTANT_REJET float,
REPRESENTER tinyint(4) DEFAULT '0' NOT NULL,
REGULARISE tinyint(4) DEFAULT '0' NOT NULL,
DATE_REGUL date,
MONTANT_REGUL float,
OBSERVATION varchar(150),
REGUL_ID tinyint(4) DEFAULT '0' NOT NULL,
PRIMARY KEY (R_ID),
KEY P_ID (P_ID),
KEY DEFAUT_ID (DEFAUT_ID),
KEY ANNEE (ANNEE, PERIODE_CODE),
KEY REGUL_ID (REGUL_ID)
);
# ------------------------------------
# data for table 'rejet'
# ------------------------------------



# ------------------------------------
# structure for table 'remplacement'
# ------------------------------------

DROP TABLE IF EXISTS remplacement ;
CREATE TABLE remplacement (
R_ID int(11) NOT NULL auto_increment,
E_CODE int(11) NOT NULL,
EH_ID tinyint(4) DEFAULT '1' NOT NULL,
REPLACED int(11) NOT NULL,
SUBSTITUTE int(11) DEFAULT '0',
REQUEST_DATE datetime NOT NULL,
REQUEST_BY int(11) NOT NULL,
ACCEPTED tinyint(4) DEFAULT '0' NOT NULL,
ACCEPT_DATE datetime,
ACCEPT_BY int(11),
APPROVED tinyint(4) DEFAULT '0' NOT NULL,
APPROVED_DATE datetime,
APPROVED_BY int(11),
REJECTED tinyint(4) DEFAULT '0' NOT NULL,
REJECT_DATE datetime,
REJECT_BY int(11),
PRIMARY KEY (R_ID),
KEY REPLACED (REPLACED),
KEY APPROVED (APPROVED),
KEY E_CODE (E_CODE),
KEY SUBSTITUTE (SUBSTITUTE)
);
# ------------------------------------
# data for table 'remplacement'
# ------------------------------------



# ------------------------------------
# structure for table 'report_list'
# ------------------------------------

DROP TABLE IF EXISTS report_list ;
CREATE TABLE report_list (
R_CODE varchar(40) NOT NULL,
R_NAME varchar(100) NOT NULL,
PRIMARY KEY (R_CODE)
);
# ------------------------------------
# data for table 'report_list'
# ------------------------------------

INSERT INTO report_list (R_CODE,R_NAME) VALUES
('1nbparticipants','Nombre de participants'),
('1evenement_annule_liste','Evnements Annuls (justificatifs)'),
('1evenement_annule','Evnements Annuls par type'),
('1tcd_activite_annee','Evnements par type et par section'),
('1renforts','Evnements Renforts'),
('1conventions','Etat des Conventions - COA'),
('1conventionsmanquantes','Conventions manquantes - COA'),
('1statsmanquantes','Statistiques manquantes'),
('1dps','DPS raliss'),
('1dpsre','DPS raliss (renforts exclus)'),
('1maraudes','Maraudes ralises'),
('1heb','Hbergements d\'urgence raliss'),
('1asigcs','Actions de Sensibilisation Initiation aux Gestes et Comportements qui Sauvent'),
('1accueilRefugies','Accueils des rfugis'),
('1vacci','Vaccinations'),
('1horairesdouteux','Horaires douteux  corriger'),
('1datecre','Dates de cration des vnements'),
('1promocom','Evnements Promotion - Communication'),
('1horsdep','Evnements hors dpartement'),
('1Tevtpardep','Nombre vnements par dpartement - type au choix'),
('1alsan','Alertes sanitaires'),
('1alsanre','Alertes sanitaires (hors renforts)'),
('1kmalsan','Alertes sanitaires - Kilomtrage ralis'),
('1alsanpardep','Statistiques Alertes sanitaires par dpartement'),
('1mkalsanpardep','Kilomtrage Alertes sanitaires par dpartement'),
('formations','Formations ralises'),
('1formations_sd','Formations: nombres de stagiaires et de valids'),
('1formationsnontraitees','Formations non traites'),
('1sst','Formations SST ralises'),
('1gqs','Formations GQS ralises'),
('1formationsCE','Formations chef d\'quipe ou chef de poste ralises'),
('sstexpiration','Expiration des Diplmes SST'),
('2Cforpardep','Nombre de formations par dpartement et par an pour une comptence'),
('1facturation','Suivi commercial'),
('1facturationRecap','Dtail du suivi commercial'),
('fafacturer','Evnements termins a facturer'),
('1tnonpaye','Evenements termins non pays'),
('1fnonpaye','Evnements facturs non pays'),
('1paye','Evnements pays'),
('1facturestoutes','Listes des factures'),
('1cadps','Chiffre d\'affaire DPS'),
('1cadps_sansR','Chiffre d\'affaire DPS hors renforts'),
('1cafor','Chiffre d\'affaire Formations'),
('1facturepayeedps','Factures de DPS payes'),
('1facturepayeefor','Factures de Formations payes'),
('1evenement_annule_liste2','Evnements annuls'),
('code_conducteur','Codes conducteurs'),
('vehicule','Liste des vhicules'),
('1vehicule_km','Kilomtrage ralis par vhicule (bilan)'),
('1associat_km','Kilomtrage raliss par les vhicules (dtail)'),
('1perso_km','Kilomtrage dtaill en vhicule personnel'),
('1perso_km_total','Kilomtrage total en avec vhicule personnel'),
('1missing_km','Kilomtrage non renseigns'),
('1evenement_km','Kilomtrage par type d\'vnement'),
('vehicule_a_dispo','Vhicules mis  disposition'),
('materiel_a_dispo','Matriel mis  disposition'),
('1consommation_produits','Consommation de produits'),
('stock_consommables','Stock de produits consommables'),
('tenues_personnel','Tenues du personnel'),
('nbadherentspardep','Nombre de personnel bnvoles et salaris par dpartement'),
('effectif','Liste du personnel'),
('salarie','Liste du personnel salari'),
('1civique','Liste du personnel en service civique par date'),
('1snu','Liste du personnel en service national universel par date'),
('chiens','Chiens de recherche avec comptences valides'),
('creationfiches','Cration des fiches personnel'),
('provenantautres','Personnel ayant chang de section'),
('adresses','Liste des adresses du personnel'),
('adresses2','Liste des adresses des adhrents'),
('1anniversaires','Anniversaires des membres'),
('1heuressections','Heures ralises / section'),
('1absences','Absences sur les vnements '),
('1nombreabsences','Nombre d\'absences / personne'),
('1anciens','Anciens membres avec date de sortie'),
('engagement','Annes d\'engagement du personnel '),
('1inactif2','Personnel inactif'),
('skype','Identifiants de contact Skype '),
('zello','Identifiants de contact Zello '),
('whatsapp','Identifiants de contact Whatsapp '),
('typeemail','Rpartition par type d\'email'),
('sans2emeprenom','Personnel actif sans deuxime prnom renseign'),
('sansdatenaissance','Personnel actif sans date de naissance renseigne'),
('sanslieunaissance','Personnel actif sans lieu de naissance renseign'),
('sansphoto','Personnel actif sans photo d\'identit'),
('sansemail','Personnel sans email valide'),
('sansadresse','Personnel sans adresse valide'),
('sanstel','Personnel sans numro de tlphone valide'),
('homonymes','Liste des homonymes (nom, prnom)'),
('doublons','Liste des fiches personnel en double (nom,prnom,date de naissance)'),
('doubleaffect','Liste personnes avec plusieurs affectations'),
('doublonlicence','Liste des numros de licences affects  plusieurs fiches actives'),
('infolue','Suivi lecture note d\'information importante'),
('effectif2','Liste des utilisateurs dpartementaux (accs admin seul)'),
('effectif3','Liste des administrateurs dpartementaux (accs admin seul)'),
('1heurespersonne','Participations / personne'),
('1heurespersonnetous','Participations / personne (avec les externes)'),
('1participations','Nombre de participations sur la priode'),
('1participationsformateurs','Participations des formateurs'),
('1participationsadresses','Adresses du personnel ayant particip'),
('1participationssalaries','Participations des salaris'),
('1participationsprompcom','Participations aux Evnements Promotion - Communication'),
('1participationsnautique','Participations aux Evnements Activit nautique'),
('tempsconnexion','Temps de connexion \".$application_title.\" par personne'),
('tempconnexionparsection','Temps de connexion \".$application_title.\" par dpartement'),
('1participationsannules','Participations aux Evnements Annuls'),
('1participationsparjour','Nombre de participations par jour des bnvoles'),
('1heurespersonneSNU','Participations du personnel Service National Universel'),
('1heurespersonneMineur','Participations du personnel mineur'),
('adressesext','Liste des adresses des externes'),
('telext','Liste des externes ayant un numro de tlphone renseign'),
('mailext','Liste des externes ayant un email renseign'),
('1participationsext','Participations des externes par dates'),
('1heurespersonneexternes','Participations / personne externe'),
('1participationsadressesext','Adresses des externes ayant particip entre deux dates'),
('groupes','Permissions du personnel'),
('roles','Rles dans l\'organigramme du personnel'),
('secouristesPSE','Liste des secouristes PSE1 ou PSE2'),
('secouristesparsection','Nombre de secouristes PSE2 ou PSE1 seulement'),
('secouristesPSE1','Liste des secouristes seulement PSE1'),
('moniteurs','Liste des moniteurs de secourisme'),
('moniteursPSC','Liste des moniteurs seulement PSC'),
('moniteursparsection','Nombre de moniteurs de secourisme'),
('formateurs','Liste des formateurs'),
('personnelsante','Liste du personnel de sant'),
('competence_expire','Comptences expires'),
('diplomesPSC1','Liste des diplmes PSC1'),
('1diplomesPSC1','Liste des diplmes PSC1 par dates'),
('diplomesPSE1','Liste des diplmes PSE1'),
('diplomesPSE2','Liste des diplmes PSE2'),
('sectionannuaire','Annuaire des sections'),
('departementannuaire','Annuaire des dpartements'),
('sectionannuaire2','Annuaire des dpartements et antennes'),
('sectionannuaire3','Adresses des lieux de formation'),
('IDRadio','Codes ID Radio des dpartements et antennes'),
('agrements','Liste des agrments'),
('agrements_dps','Liste des agrments DPS'),
('SMSsections','Comptes SMS'),
('1updateorganigramme','Nouveaux lus dpartementaux'),
('1interdictions','Interdictions de crer certains vnements'),
('entreprisesannuaire','Annuaire des entreprises'),
('medecinsreferents','Mdecins rfrents'),
('1entreprisesDPS','Entreprises bnficiant de DPS'),
('1entreprisesFOR','Entreprises bnficiant de Formations'),
('1garde','Gardes ralises'),
('1gardere','Gardes ralises (hors renforts)'),
('1ah','Bilan actions humanitaires'),
('1soutienpopulations','Bilan aide aux populations'),
('1heuresparticipations','Bilan participations tous vnements'),
('1heuresparticipationspartype','Bilan heures participations par type d\'vnement'),
('2cotisationsPayees','Cotisations payes pour une anne'),
('montantactuel','Montant actuel des cotisations'),
('cotisationspayees','Cotisations payes par dpartement pour l\'anne en cours'),
('cotisationspayeesparpers','Cotisations payes par personne pour l\'anne en cours'),
('1cotisationspayees','Cotisations payes entre deux dates'),
('2cotisationsimpayees','Cotisations non payes pour l\'anne'),
('1intervictime','Nombre d\'interventions par jour'),
('1intervictimeparevt','Nombre d\'interventions par vnement'),
('1victimenationalite','Nombre de personnes prises en charge par nationalit'),
('1victimeage','Nombre de personnes prises en charge par ge'),
('1victimesexe','Nombre de personnes prises en charge par sexe'),
('1statdetailvictime','Statistiques personnes prises en charge et actions ralises par jour'),
('1statdetailvictimeparevt','Statistiques personnes prises en charge et actions ralises par vnement'),
('1transportdest','Nombre de Transports de victimes selon destination'),
('1transportpar','Nombre de Transports de victimes selon transporteur'),
('1listevictime','Liste des personnes prises en charge'),
('1listevictimeCAV','Liste des Victimes au Centre d\'Accueil'),
('pointdujour','Point de situation du jour'),
('1activite','Point de situation par date'),
('maincourantejour','Rapports d\'interventions renseigns ce jour'),
('maincourantehier','Rapports d\'interventions renseigns hier'),
('compterendujour','Rapports de comptes rendus renseigns ce jour'),
('compterenduhier','Rapports de comptes rendus renseigns hier'),
('personneldisponiblea','Personnel disponible aujourd\'hui'),
('personneldisponibled','Personnel disponible demain'),
('veille','Personnel de veille oprationnelle '),
('presidents','Prsidents dpartementaux '),
('responsablesformations','Directeur des Formations dpartementaux '),
('responsablesoperationnels','Directeur des Oprations dpartementaux '),
('1note_ATTV','Notes de frais en attente de validation'),
('1note_ANN','Notes de frais annules'),
('1note_REF','Notes de frais refuses'),
('1note_VAL','Notes de frais valides'),
('1note_VAL2','Notes de frais valides deux fois'),
('1note_REMB','Notes de frais rembourses (ou dons  l\'association)'),
('1note_toutes','Notes de frais (toutes)'),
('1notN_ATTV','Notes de frais nationales en attente de validation'),
('1notN_ANN','Notes de frais nationales annules'),
('1notN_REF','Notes de frais nationales refuses'),
('1notN_VAL','Notes de frais nationales valides'),
('1notN_VAL2','Notes de frais nationales valides deux fois'),
('1notN_REMB','Notes de frais nationales rembourses'),
('1notN_toutes','Notes de frais nationales (toutes)'),
('horairesavalider','Horaires  valider'),
('1horaires','Horaires entre 2 dates (tous)'),
('competencesope','Comptences oprationnelles du personnel'),
('competencesfor','Comptences formation du personnel'),
('1soapcallsj','Nombre appels Webservice par jour'),
('1soaperrorsj','Nombre erreurs appels Webservice par jour'),
('1soapcalls','Accs Webservice'),
('1soaperrors','Erreurs Webservice');
INSERT INTO report_list (R_CODE,R_NAME) VALUES
('1heurespersonneforco','Maintien des acquis / personne (tous)'),
('adhmodepaiement','Liste des adhrents actifs avec le mode de paiement'),
('adhpayantparcheque','Liste des adhrents payant par chque'),
('adhpayantparvirement','Liste des adhrents payant par virement'),
('adhpayantparprelevement','Liste des adhrents payant par prlvement'),
('adhsuspendus','Liste des adhrents suspendus'),
('adhretraites','Liste des adhrents retraits'),
('adhactifsretraites','Liste des adhrents non retraits dans les sections Retraite'),
('1radiations','Liste des radiations d\'adhrents pour suppression identifiants site internet'),
('1nouveauxadherents','Liste des nouveaux adhrents pour cration identifiants site internet'),
('nbadherentspardepS','Nombre d\'adhrents par dpartement'),
('0nbadherentspardep','Nombre d\'adhrents par dpartement actifs  une date donne'),
('nbtotaladhparprof','Nombre total d\'adhrents'),
('0nbtotaladhparprof','Nombre total d\'adhrents actifs  une date donne'),
('nbadherents','Nombre d\'adhrents par centre et par profession'),
('adhNPAI','Liste des adhrents en NPAI'),
('cordonneesAdherents','Coordonnes des adhrents non suspendus'),
('adhdistribution','Liste des adhrents pour distribution agendas - stylos'),
('adhcarte','Liste des adhrents pour imprimeurs pour cartes adhrents'),
('1changementmail','Liste des changements d\'adresses email'),
('1changementtel','Liste des changements de numro de tlphone'),
('1ribmodifie','Liste des changements de coordonnes bancaires pour adhrents existants'),
('1changementcentre','Liste des changements d\'affectation ou de SDIS'),
('1changementgrade','Liste des changements de grades'),
('adherentsajourcotisation','Liste des adhrents actifs  jour de leurs cotisations'),
('1cotisationCheque','Liste des cotisations payes par chque entre deux dates'),
('1cotisationVirPrev','Liste des cotisations payes par virement ou prlvement entre deux dates'),
('adressesEnvoiColis','Liste des adresses pour envoi colis'),
('nombrePrelevementParDep','NOMBRE DADHERENTS EN DATE DAUJOURDHUI EN PRELEVEMENT OU VIREMENT'),
('1nombrePrelevementParDep','NOMBRE DADHERENTS EN PRELEVEMENT OU VIREMENT ENTRE DEUX DATES'),
('nombrePrelevementParDeptt','NOMBRE DADHERENTS EN DATE DAUJOURDHUI TOUS TYPES DE PAIEMENT'),
('1rejetsetregul','REJETS ET REGUL PAR DATE'),
('rejetsencours','REJETS EN COURS DE REGULARISATION'),
('nbsuspendupardep','NB DE SUSPENDU EN PRELEVEMENT PAR DEPARTEMENT'),
('nomssuspendupardep','NOM DES ADHERENTS SUSPENDUS EN PRELEVEMENT PAR DEPARTEMENT'),
('adhtournee','Liste des adhrents pour tournes syndicales'),
('nbadherentsparcentre','Nombre d\'adhrents par centre'),
('cordonneesAdherentsparcentre','Coordonnes des adhrents par centre'),
('cordonneesAdherentsparGTetService','Coordonnes des adhrents par GT et Service (pour AG, Formation)'),
('cordonneesAdherentsparGTetServicesansNPA','Coordonnes des adhrents par GT et Service (pour AG, Formation) pour les courriers sans les N'),
('adhtournee_off','Liste des adhrents Officiers pour tournes syndicales'),
('adhtournee_non_off','Liste des adhrents non Officiers pour tournes syndicales'),
('adhtournee_pats','Liste des adhrents PATS pour tournes syndicales'),
('1majchgtadresse','Pour MAJ changement d\'adresse'),
('1majradiation','Pour MAJ radiations'),
('nbadherentspardep2','Nombre d\'adhrents par dpartement'),
('1adherentsradies06','Dtail des radiations du Syndicat 06'),
('1nouveauxadherents2','Nombre de nouveaux adhrents par dpartement'),
('1adherentsradies2','Nombre de radiations par dpartement'),
('adherentsradies3','Nombre de radiations au 31/12 anne dernire'),
('adherentsradies4','Nombre de radiations au 31/12 anne en cours'),
('1nbNouveauxAdherentsParDep','Nombre de nouveaux adhrents par dpartement'),
('1nouveauxadherentsPres','Nouveaux adhrents'),
('1nbRadiationsAdherentsParDep','Nombre de radiations par dpartement et par motif'),
('1radiationsmotifPres','Radiations'),
('1verifmontants','ATTESTATION - vrification montant en fonction date adhsion'),
('2attestationsImpots','ATTESTATION  - Cotisations payes pour une anne'),
('2attestationsImpotsRejets','ATTESTATION  Cotisations avec rejets payes pour une anne'),
('impayesN-1','ATTESTATION  Rejets de l\'anne dernire non rgulariss ou prlevs cette anne.'),
('president_syndicate','rsidents dpartementaux '),
('effectifadherents','Liste des adhrents'),
('1abonnejournal','Bnficiaires Echos Syndicat'),
('1demandejournal','Souhaitent recevoir Echos Syndicat'),
('droitBureauDE','Droits daccs Bureau Dpartemental par Dpartement'),
('2sommecotisations','Somme des cotisations par dpartement et profession pour l\'anne'),
('2sommecotisationsprevues','Somme des cotisations par dpartement et profession pour l\'anne'),
('rejets','Liste des rejets des prlvement'),
('fichierExtractionSG','Fichier dextraction pour Socit Gnrale '),
('1fichierExtractionSG','Fichier dextraction pour Socit Gnrale selon date adhsion'),
('SEPAcourrierRUM','SEPA  Liste des adhrents pour courrier RUM'),
('1reports','Reportings extraits, audit'),
('1topreports','Reportings les plus utiliss'),
('1fonctionsparpers','Fonctions attribues pour chaque personne sur les gardes'),
('1ajoutscompetences', 'Comptences du personnel ajoutes par date');

# ------------------------------------
# structure for table 'section'
# ------------------------------------

DROP TABLE IF EXISTS section ;
CREATE TABLE section (
S_ID smallint(6) DEFAULT '0' NOT NULL,
S_PARENT smallint(6) DEFAULT '0' NOT NULL,
S_CODE varchar(25) DEFAULT 'MON CODE' NOT NULL,
S_DESCRIPTION varchar(50),
S_URL varchar(60),
S_PHONE varchar(20),
S_PHONE2 varchar(20),
S_PHONE3 varchar(20),
S_FAX varchar(20),
S_ADDRESS varchar(150),
S_ADDRESS_COMPLEMENT varchar(150),
S_ZIP_CODE varchar(6),
S_CITY varchar(30),
S_EMAIL varchar(60),
S_EMAIL2 varchar(60),
S_EMAIL3 varchar(60),
S_PDF_PAGE varchar(250),
S_PDF_MARGE_TOP float DEFAULT '15',
S_PDF_MARGE_LEFT float DEFAULT '15',
S_PDF_TEXTE_TOP float DEFAULT '40',
S_PDF_TEXTE_BOTTOM float DEFAULT '25',
S_PDF_BADGE varchar(250),
S_PDF_SIGNATURE varchar(250),
S_IMAGE_SIGNATURE varchar(250),
s_devis_debut tinytext,
s_devis_fin tinytext,
s_facture_debut text,
s_facture_fin text,
DPS_MAX_TYPE tinyint(4),
NB_DAYS_BEFORE_BLOCK smallint(6) DEFAULT '0' NOT NULL,
SMS_LOCAL_PROVIDER tinyint(4) DEFAULT '0' NOT NULL,
SMS_LOCAL_USER varchar(40),
SMS_LOCAL_PASSWORD varchar(255),
SMS_LOCAL_API_ID varchar(40),
S_HIDE tinyint(4) DEFAULT '0' NOT NULL,
S_INACTIVE tinyint(4) DEFAULT '0' NOT NULL,
WEBSERVICE_KEY varchar(40),
S_ORDER int(11) DEFAULT '0' NOT NULL,
S_ID_RADIO varchar(5),
SHOW_PHONE3 tinyint(4) DEFAULT '1' NOT NULL,
SHOW_EMAIL3 tinyint(4) DEFAULT '1' NOT NULL,
SHOW_URL tinyint(4) DEFAULT '1' NOT NULL,
S_SIRET varchar(20),
S_AFFILIATION varchar(20),
S_WHATSAPP varchar(30),
PRIMARY KEY (S_ID),
   UNIQUE S_CODE (S_CODE),
   UNIQUE WEBSERVICE_KEY (WEBSERVICE_KEY),
   UNIQUE S_ID_RADIO (S_ID_RADIO),
KEY S_PARENT (S_PARENT)
);
# ------------------------------------
# data for table 'section'
# ------------------------------------

INSERT INTO section (S_ID,S_PARENT,S_CODE,S_DESCRIPTION,S_URL,S_PHONE,S_PHONE2,S_PHONE3,S_FAX,S_ADDRESS,S_ADDRESS_COMPLEMENT,S_ZIP_CODE,S_CITY,S_EMAIL,S_EMAIL2,S_EMAIL3,S_PDF_PAGE,S_PDF_MARGE_TOP,S_PDF_MARGE_LEFT,S_PDF_TEXTE_TOP,S_PDF_TEXTE_BOTTOM,S_PDF_BADGE,S_PDF_SIGNATURE,S_IMAGE_SIGNATURE,s_devis_debut,s_devis_fin,s_facture_debut,s_facture_fin,DPS_MAX_TYPE,NB_DAYS_BEFORE_BLOCK,SMS_LOCAL_PROVIDER,SMS_LOCAL_USER,SMS_LOCAL_PASSWORD,SMS_LOCAL_API_ID,S_HIDE,S_INACTIVE,WEBSERVICE_KEY,S_ORDER,S_ID_RADIO,SHOW_PHONE3,SHOW_EMAIL3,SHOW_URL,S_SIRET,S_AFFILIATION,S_WHATSAPP) VALUES
('0','-1','eBrigade','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'15','15','40','25',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0','0',NULL,NULL,NULL,'0','0',NULL,'0',NULL,'0','0','0',NULL,NULL,NULL),
('1','0','section 1','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'15','15','40','25',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0','0',NULL,NULL,NULL,'0','0',NULL,'1',NULL,'0','0','0',NULL,NULL,NULL),
('2','0','section 2','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'15','15','40','25',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0','0',NULL,NULL,NULL,'0','0',NULL,'2',NULL,'0','0','0',NULL,NULL,NULL),
('3','0','section 3','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'15','15','40','25',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0','0',NULL,NULL,NULL,'0','0',NULL,'3',NULL,'0','0','0',NULL,NULL,NULL),
('4','0','section 4','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'15','15','40','25',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0','0',NULL,NULL,NULL,'0','0',NULL,'4',NULL,'0','0','0',NULL,NULL,NULL);

# ------------------------------------
# structure for table 'section_cotisation'
# ------------------------------------

DROP TABLE IF EXISTS section_cotisation ;
CREATE TABLE section_cotisation (
S_ID int(11) NOT NULL,
TP_CODE varchar(6) NOT NULL,
MONTANT float NOT NULL,
IDEM tinyint(4) DEFAULT '0' NOT NULL,
COMMENTAIRE varchar(150),
PRIMARY KEY (S_ID, TP_CODE),
KEY TP_CODE (TP_CODE, IDEM)
);
# ------------------------------------
# data for table 'section_cotisation'
# ------------------------------------



# ------------------------------------
# structure for table 'section_flat'
# ------------------------------------

DROP TABLE IF EXISTS section_flat ;
CREATE TABLE section_flat (
LIG int(11) NOT NULL auto_increment,
NIV tinyint(4) NOT NULL,
S_ID int(11) NOT NULL,
S_PARENT int(11) NOT NULL,
S_CODE varchar(25) NOT NULL,
S_DESCRIPTION varchar(50),
PRIMARY KEY (LIG),
   UNIQUE S_ID (S_ID),
KEY NIV (NIV),
KEY S_CODE (S_CODE),
KEY S_DESCRIPTION (S_DESCRIPTION)
);
# ------------------------------------
# data for table 'section_flat'
# ------------------------------------

INSERT INTO section_flat (LIG,NIV,S_ID,S_PARENT,S_CODE,S_DESCRIPTION) VALUES
('1','0','0','-1','eBrigade',''),
('2','1','1','0','section 1',''),
('3','1','2','0','section 2',''),
('4','1','3','0','section 3',''),
('5','1','4','0','section 4','');

# ------------------------------------
# structure for table 'section_role'
# ------------------------------------

DROP TABLE IF EXISTS section_role ;
CREATE TABLE section_role (
S_ID int(11) NOT NULL,
GP_ID smallint(6) DEFAULT '0' NOT NULL,
P_ID int(11) NOT NULL,
UPDATE_DATE date,
PRIMARY KEY (S_ID, GP_ID, P_ID),
KEY P_ID (P_ID),
KEY GP_ID (GP_ID)
);
# ------------------------------------
# data for table 'section_role'
# ------------------------------------



# ------------------------------------
# structure for table 'section_stop_evenement'
# ------------------------------------

DROP TABLE IF EXISTS section_stop_evenement ;
CREATE TABLE section_stop_evenement (
SSE_ID int(11) NOT NULL auto_increment,
S_ID int(11) NOT NULL,
TE_CODE varchar(6) NOT NULL,
START_DATE date NOT NULL,
END_DATE date NOT NULL,
SSE_COMMENT varchar(300),
SSE_ACTIVE tinyint(4) DEFAULT '1' NOT NULL,
SSE_BY int(11),
SSE_WHEN datetime,
PRIMARY KEY (SSE_ID)
);
# ------------------------------------
# data for table 'section_stop_evenement'
# ------------------------------------



# ------------------------------------
# structure for table 'smslog'
# ------------------------------------

DROP TABLE IF EXISTS smslog ;
CREATE TABLE smslog (
P_ID int(11) DEFAULT '0' NOT NULL,
S_DATE datetime NOT NULL,
S_TEXTE varchar(200) NOT NULL,
S_NB int(11) DEFAULT '0' NOT NULL,
S_ID int(11) DEFAULT '0' NOT NULL,
S_PROVIDER varchar(100) NOT NULL,
PRIMARY KEY (P_ID, S_DATE)
);
# ------------------------------------
# data for table 'smslog'
# ------------------------------------



# ------------------------------------
# structure for table 'statut'
# ------------------------------------

DROP TABLE IF EXISTS statut ;
CREATE TABLE statut (
S_STATUT varchar(5) NOT NULL,
S_DESCRIPTION varchar(50) NOT NULL,
S_CONTEXT tinyint(4) NOT NULL,
PRIMARY KEY (S_CONTEXT, S_STATUT)
);
# ------------------------------------
# data for table 'statut'
# ------------------------------------

INSERT INTO statut (S_STATUT,S_DESCRIPTION,S_CONTEXT) VALUES
('ADH','Adhrent','0'),
('BEN','Personnel bnvole','0'),
('EXT','Personnel externe','0'),
('SAL','Personnel salari','0'),
('FONC','Fonctionnaire','0'),
('JSP','Jeune Sapeur Pompier','3'),
('PATS','Personnel Administratif Technique et Spcialis','3'),
('SPP','Sapeur Pompier Professionnel','3'),
('SPV','Sapeur Pompier Volontaire','3'),
('ACT','Militaire d\'active','0'),
('RES','Militaire de rserve','0'),
('CIV','Personnel civil','0');

# ------------------------------------
# structure for table 'taille_vetement'
# ------------------------------------

DROP TABLE IF EXISTS taille_vetement ;
CREATE TABLE taille_vetement (
TV_ID int(11) NOT NULL auto_increment,
TT_CODE varchar(6) NOT NULL,
TV_NAME varchar(10) NOT NULL,
TV_ORDER smallint(6),
   UNIQUE TV_ID (TV_ID),
KEY TT_CODE (TT_CODE, TV_NAME)
);
# ------------------------------------
# data for table 'taille_vetement'
# ------------------------------------

INSERT INTO taille_vetement (TV_ID,TT_CODE,TV_NAME,TV_ORDER) VALUES
('1','US','XS','10'),
('2','US','S','20'),
('3','US','M','30'),
('4','US','L','40'),
('5','US','XL','50'),
('6','US','XXL','60'),
('7','US','XXXL','70'),
('8','VESTE','36','10'),
('9','VESTE','38','20'),
('10','VESTE','40','30'),
('11','VESTE','42','40'),
('12','VESTE','44','50'),
('13','VESTE','46','60'),
('14','VESTE','48','70'),
('15','VESTE','50','80'),
('16','VESTE','52','90'),
('17','VESTE','54','100'),
('18','VESTE','56','110'),
('19','VESTE','58','120'),
('20','VESTE','60','130'),
('21','VESTE','62','140'),
('22','VESTE','64','150'),
('23','VESTE','66','160'),
('24','VESTE','68','170'),
('25','VESTE','70','180'),
('26','VESTE','72','190'),
('27','VESTE','74','200'),
('28','PT','36','10'),
('29','PT','38','20'),
('30','PT','40','30'),
('31','PT','42','40'),
('32','PT','44','50'),
('33','PT','46','60'),
('34','PT','48','70'),
('35','PT','50','80'),
('36','PT','52','90'),
('37','PT','54','100'),
('38','PT','56','110'),
('39','PT','58','120'),
('40','PT','60','130'),
('41','PT','62','140'),
('42','PT','64','150'),
('43','PT','66','160'),
('44','SPT','T1M','10'),
('45','SPT','T1L','20'),
('46','SPT','T2M','30'),
('47','SPT','T2L','40'),
('48','SPT','T3M','50'),
('49','SPT','T3L','60'),
('50','TTL','72M','10'),
('51','TTL','72L','20'),
('52','TTL','76M','30'),
('53','TTL','76L','40'),
('54','TTL','80M','50'),
('55','TTL','80L','60'),
('56','TTL','84M','70'),
('57','TTL','84L','80'),
('58','TTL','88M','90'),
('59','TTL','88L','100'),
('60','TTL','92M','110'),
('61','TTL','92L','120'),
('62','TTL','96M','130'),
('63','TTL','96L','140'),
('64','TTL','100M','150'),
('65','TTL','100L','160'),
('66','TTL','104M','170'),
('67','TTL','104L','180'),
('68','TTL','108M','190'),
('69','TTL','108L','200'),
('70','TTL','112M','210'),
('71','TTL','112L','220'),
('72','TTL','116M','230'),
('73','TTL','126L','240'),
('74','PIED','30','10'),
('75','PIED','31','20'),
('76','PIED','32','30'),
('77','PIED','33','40'),
('78','PIED','34','50'),
('79','PIED','35','60'),
('80','PIED','36','70'),
('81','PIED','37','80'),
('82','PIED','38','90'),
('83','PIED','39','100'),
('84','PIED','40','110'),
('85','PIED','41','120'),
('86','PIED','42','130'),
('87','PIED','43','140'),
('88','PIED','44','150'),
('89','PIED','45','160'),
('90','PIED','46','170'),
('91','PIED','47','180'),
('92','PIED','48','190'),
('93','TETE','52','10'),
('94','TETE','53','20'),
('95','TETE','54','30'),
('96','TETE','55','40'),
('97','TETE','56','50'),
('98','TETE','57','60'),
('99','TETE','58','70'),
('100','TETE','59','80'),
('101','TETE','60','90'),
('102','TETE','61','100'),
('103','TETE','62','110'),
('104','TETE','63','120'),
('105','TETE','63','130'),
('106','GANT','5.5','10'),
('107','GANT','6','20'),
('108','GANT','6.5','30'),
('109','GANT','7','40'),
('110','GANT','7.5','50'),
('111','GANT','8','60'),
('112','GANT','8.5','70'),
('113','GANT','9','80'),
('114','GANT','9.5','90'),
('115','GANT','10','100'),
('116','GANT','10.5','110');

# ------------------------------------
# structure for table 'theme'
# ------------------------------------

DROP TABLE IF EXISTS theme ;
CREATE TABLE theme (
NAME varchar(12) NOT NULL,
COLOR varchar(6) NOT NULL,
COLOR2 varchar(6) NOT NULL,
COLOR3 varchar(6) NOT NULL,
PRIMARY KEY (NAME)
);
# ------------------------------------
# data for table 'theme'
# ------------------------------------

INSERT INTO theme (NAME,COLOR,COLOR2,COLOR3) VALUES
('azure','AFEEEE','BDBDBD','AAAAAA'),
('blue','B7D8FB','5CB8E6','4486A7'),
('cofee','DEB887','BDBDBD','AAAAAA'),
('cream','FFFACD','BDBDBD','AAAAAA'),
('gold','FFCC66','BDBDBD','AAAAAA'),
('green','D4FFAA','BFE699','ACCF8A'),
('kaki','F0E68C','BDBDBD','AAAAAA'),
('lavande','E6E6FA','BDBDBD','AAAAAA'),
('marine','99D6D6','BDBDBD','AAAAAA'),
('olive','B2E673','BDBDBD','AAAAAA'),
('orange','FF9933','FFBC79','FFA347'),
('peach','FF9966','BDBDBD','AAAAAA'),
('pink','FFCCFF','BDBDBD','AAAAAA'),
('plum','CC66FF','BDBDBD','AAAAAA'),
('purple','D4AAFF','BF99E6','AC8ACF'),
('red','FF6666','EEADAD','D69C9C'),
('salmon','FFCC99','BDBDBD','AAAAAA'),
('sand','F5DEB3','BDBDBD','AAAAAA'),
('silver','C8C8C8','BDBDBD','AAAAAA'),
('smoke','E6E6B8','BDBDBD','AAAAAA'),
('steel','B0C4DE','BDBDBD','AAAAAA'),
('yellow','FFFF66','E6E68A','CFCF7C'),
('army','cccc99','bbbb77','aaaa55');

# ------------------------------------
# structure for table 'transporteur'
# ------------------------------------

DROP TABLE IF EXISTS transporteur ;
CREATE TABLE transporteur (
T_CODE varchar(6) NOT NULL,
T_NAME varchar(30) NOT NULL,
PRIMARY KEY (T_CODE)
);
# ------------------------------------
# data for table 'transporteur'
# ------------------------------------

INSERT INTO transporteur (T_CODE,T_NAME) VALUES
('AP','Ambulance prive'),
('ASS','Notre Association'),
('AUTASS','Autre Association'),
('AUTR','Autre type de transport'),
('HELI','Hlicoptre'),
('SAMU','SAMU ou SMUR'),
('SP','Sapeurs pompiers');

# ------------------------------------
# structure for table 'type_agrement'
# ------------------------------------

DROP TABLE IF EXISTS type_agrement ;
CREATE TABLE type_agrement (
TA_CODE varchar(7) NOT NULL,
CA_CODE varchar(5) NOT NULL,
TA_DESCRIPTION varchar(75) NOT NULL,
TA_FLAG tinyint(4) DEFAULT '0' NOT NULL,
PRIMARY KEY (TA_CODE)
);
# ------------------------------------
# data for table 'type_agrement'
# ------------------------------------

INSERT INTO type_agrement (TA_CODE,CA_CODE,TA_DESCRIPTION,TA_FLAG) VALUES
('37','CON','Missions de secours durgence aux personnes','0'),
('38','CON','Actions de soutien aux populations et de formation','0'),
('A1','SEC','Oprations de secours  personnes et sauvetage','0'),
('A2','SEC','Recherche cynophile','0'),
('A-Aqua','SEC','Sauvetage aquatique','0'),
('AUT','ASS','Autorisation d\'exercice','0'),
('AUTRE','CONSP','Convention Spcifique autre','1'),
('B','SEC','Actions de soutien aux populations sinistres','0'),
('BNSSA','FOR','Formations au B.N.S.S.A','0'),
('C','SEC','Encadrement des bnvoles lors des actions de soutien','0'),
('CONTR','ASS','Contribution fdrale','0'),
('COTIS','ASS','Cotisation fdrale','0'),
('APS-ASD','ENT','Acteur Prvention Secours / Aide et soins  domicile','0'),
('CUMP','CONSP','Convention CUMP','1'),
('D','SEC','Dispositif prvisionnel de secours','0'),
('ERDF','CONSP','Convention avec ERDF','1'),
('PCS','CONSP','Convention Plans Communaux de Sauvegarde','1'),
('PRAP','ENT','Formation Prvention des Risques lis  l\'Activit Physique','0'),
('PREF','CONSP','Convention avec la Prfecture','1'),
('GQS','FOR','Sensibilisation aux Gestes Qui Sauvent','0'),
('SNCF','CONSP','Convention avec la SNCF','1'),
('SST','ENT','Formation Sauveteur Secouriste du Travail','0'),
('TRIP','CONSP','Convention tripartite','1'),
('CD','_MED','Acte de Courage et de Dvouement','2'),
('GO','_MED','Mdaille Grand Or de la Scurit Civile','2'),
('SC','SPE','Secourisme canin','0'),
('PSSP','SPE','Premiers Secours Socio-psychologiques','0'),
('CE','SPE','Chef d\'quipe','0'),
('CP','SPE','Chef de poste','0'),
('PSC1','FOR','Formation Prvention et Secours Civiques de niveau 1','0'),
('PAE-PSC','FOR','Formation de formateur en Prvention et Secours Civiques de niveau 1','0'),
('PAE-PS','FOR','Formation de formateur aux Premiers Secours','0'),
('PS','FOR','Formation de formateur aux Premiers Secours','0'),
('D-Aqua','SEC','Scurit de la pratique des activits aquatiques','0');

# ------------------------------------
# structure for table 'type_agrement_valeur'
# ------------------------------------

DROP TABLE IF EXISTS type_agrement_valeur ;
CREATE TABLE type_agrement_valeur (
TAV_ID smallint(6) NOT NULL,
TA_CODE varchar(5) NOT NULL,
TA_SHORT varchar(8),
TA_VALEUR varchar(40) NOT NULL,
TA_FLAG smallint(6) NOT NULL,
PRIMARY KEY (TAV_ID),
KEY TA_CODE (TA_CODE)
);
# ------------------------------------
# data for table 'type_agrement_valeur'
# ------------------------------------

INSERT INTO type_agrement_valeur (TAV_ID,TA_CODE,TA_SHORT,TA_VALEUR,TA_FLAG) VALUES
('1','D','-','Aucun DPS possible','0'),
('2','D','PAPS','Point alerte et premiers secours (max 2)','2'),
('3','D','DPS-PE','Petite envergure (max 12)','12'),
('4','D','DPS-ME','Moyenne envergure (max 36)','36'),
('5','D','DPS-GE','Grande envergure (plus de 36)','999');

# ------------------------------------
# structure for table 'type_bilan'
# ------------------------------------

DROP TABLE IF EXISTS type_bilan ;
CREATE TABLE type_bilan (
TB_ID smallint(6) NOT NULL auto_increment,
TE_CODE varchar(5) NOT NULL,
TB_NUM tinyint(4) NOT NULL,
TB_LIBELLE varchar(40) NOT NULL,
VICTIME_DETAIL varchar(50),
VICTIME_DETAIL2 varchar(50),
PRIMARY KEY (TB_ID),
KEY TE_CODE (TE_CODE)
);
# ------------------------------------
# data for table 'type_bilan'
# ------------------------------------

INSERT INTO type_bilan (TB_ID,TE_CODE,TB_NUM,TB_LIBELLE,VICTIME_DETAIL,VICTIME_DETAIL2) VALUES
('1','DPS','1','secours  personnes','VI_SOINS','VI_MALAISE'),
('2','DPS','2','vacuations ralises','VI_TRANSPORT',NULL),
('3','GAR','1','interventions','INTERVENTIONS',NULL),
('4','GAR','2','vacuations ralises','VI_TRANSPORT',NULL),
('5','MAR','1','personnes rencontres','VICTIMES',NULL),
('6','MAR','2','transports','VI_TRANSPORT',NULL),
('7','DPS','3','personnes assistes','VI_INFORMATION',NULL),
('8','VACCI','1','secours  personnes','VI_SOINS','VI_MALAISE'),
('9','VACCI','2','vacuations ralises','VI_TRANSPORT',NULL),
('14','NAUT','1','secours  personnes','VI_SOINS','VI_MALAISE'),
('15','NAUT','2','vacuations ralises','VI_TRANSPORT',NULL),
('16','NAUT','3','personnes assistes','VI_INFORMATION',NULL),
('17','COOP','1','personnes transportes','VI_TRANSPORT',NULL),
('18','AIP','1','secours  personnes','VI_SOINS','VI_MALAISE'),
('19','AIP','2','vacuations ralises','VI_TRANSPORT',NULL),
('20','AIP','3','personnes assistes','VI_INFORMATION',NULL),
('21','DPS','4','personnes dcdes','VI_DECEDE',NULL),
('22','AH','1','Personnes assistes','VI_INFORMATION','VI_SOINS');

# ------------------------------------
# structure for table 'type_civilite'
# ------------------------------------

DROP TABLE IF EXISTS type_civilite ;
CREATE TABLE type_civilite (
TC_ID tinyint(1) NOT NULL,
TC_LIBELLE varchar(25) NOT NULL,
TC_SHORT varchar(5),
PRIMARY KEY (TC_ID),
   UNIQUE TC_LIBELLE (TC_LIBELLE)
);
# ------------------------------------
# data for table 'type_civilite'
# ------------------------------------

INSERT INTO type_civilite (TC_ID,TC_LIBELLE,TC_SHORT) VALUES
('5','Animal - femelle',NULL),
('4','Animal - mle',NULL),
('2','Madame','Mme.'),
('3','Mademoiselle','Mle.'),
('1','Monsieur','M.');

# ------------------------------------
# structure for table 'type_company'
# ------------------------------------

DROP TABLE IF EXISTS type_company ;
CREATE TABLE type_company (
TC_CODE varchar(8) NOT NULL,
TC_LIBELLE varchar(30) NOT NULL,
PRIMARY KEY (TC_CODE)
);
# ------------------------------------
# data for table 'type_company'
# ------------------------------------

INSERT INTO type_company (TC_CODE,TC_LIBELLE) VALUES
('ASSOC','Association'),
('COLLEGE','Collge'),
('ECOLE','Ecole'),
('ENTPRIV','Entreprise prive'),
('ENTPUB','Entreprise publique'),
('LYCEE','Lyce'),
('MAIRIE','Mairie');

# ------------------------------------
# structure for table 'type_company_role'
# ------------------------------------

DROP TABLE IF EXISTS type_company_role ;
CREATE TABLE type_company_role (
TCR_CODE varchar(5) NOT NULL,
TCR_DESCRIPTION varchar(40) NOT NULL,
TCR_FLAG tinyint(4),
PRIMARY KEY (TCR_CODE)
);
# ------------------------------------
# data for table 'type_company_role'
# ------------------------------------

INSERT INTO type_company_role (TCR_CODE,TCR_DESCRIPTION,TCR_FLAG) VALUES
('MED','Mdecin rfrent',NULL),
('MED2','Mdecin supplmentaire','0'),
('MED3','Mdecin supplmentaire','0'),
('RF','Responsable formations',NULL),
('RO','Responsable oprationnel',NULL);

# ------------------------------------
# structure for table 'type_conditionnement'
# ------------------------------------

DROP TABLE IF EXISTS type_conditionnement ;
CREATE TABLE type_conditionnement (
TCO_CODE char(2) NOT NULL,
TCO_DESCRIPTION varchar(60) NOT NULL,
TCO_ORDER tinyint(4) NOT NULL,
PRIMARY KEY (TCO_CODE)
);
# ------------------------------------
# data for table 'type_conditionnement'
# ------------------------------------

INSERT INTO type_conditionnement (TCO_CODE,TCO_DESCRIPTION,TCO_ORDER) VALUES
('BI','Bidon','60'),
('BN','Bonbonne','70'),
('BO','Bouteille','60'),
('BR','Brique','46'),
('BT','Bote','10'),
('CA','Caisse','20'),
('CG','Cageot','30'),
('DO','Dosette','40'),
('EI','Emballage individuel','90'),
('FL','Flacon','50'),
('JC','Jerrican','80'),
('PE','Pas emball','100'),
('RL','Rouleau','44'),
('SA','Sachet','45');

# ------------------------------------
# structure for table 'type_consommable'
# ------------------------------------

DROP TABLE IF EXISTS type_consommable ;
CREATE TABLE type_consommable (
TC_ID int(11) NOT NULL auto_increment,
CC_CODE varchar(12) NOT NULL,
TC_DESCRIPTION varchar(60) NOT NULL,
TC_CONDITIONNEMENT char(2) NOT NULL,
TC_UNITE_MESURE char(2) NOT NULL,
TC_QUANTITE_PAR_UNITE float NOT NULL,
TC_PEREMPTION tinyint(4) DEFAULT '0' NOT NULL,
PRIMARY KEY (TC_ID),
KEY CC_CODE (CC_CODE)
);
# ------------------------------------
# data for table 'type_consommable'
# ------------------------------------

INSERT INTO type_consommable (TC_ID,CC_CODE,TC_DESCRIPTION,TC_CONDITIONNEMENT,TC_UNITE_MESURE,TC_QUANTITE_PAR_UNITE,TC_PEREMPTION) VALUES
('1','ALIMENTATION','Eau','BO','cl','150','0'),
('2','ALIMENTATION','Eau','BN','li','10','0'),
('3','ALIMENTATION','Soupe','BR','li','1','1'),
('4','ALIMENTATION','Sucre en morceaux','BT','kg','1','1'),
('5','ALIMENTATION','dosette caf soluble','EI','un','1','1'),
('6','ALIMENTATION','dosette boisson chocolate','EI','un','1','1'),
('7','ALIMENTATION','gobelet','PE','un','1','0'),
('8','ALIMENTATION','cuillre en plastique / touillette','PE','un','1','0'),
('9','PHARMACIE','Dosiseptine','DO','ml','10','0'),
('10','PHARMACIE','Chlorure de sodium / srum physiologique','DO','ml','10','0'),
('11','PHARMACIE','Dakin stabilis','DO','ml','10','0'),
('12','PHARMACIE','Compresses striles','EI','un','1','0'),
('13','PHARMACIE','Collier cervical adulte','EI','un','1','0'),
('14','PHARMACIE','Collier cervical enfant','EI','un','1','0'),
('15','PHARMACIE','Masque haute concentration adulte','EI','un','1','0'),
('16','PHARMACIE','Masque haute concentration enfant','EI','un','1','0'),
('17','PHARMACIE','gants  usage unique S','BT','un','100','0'),
('18','PHARMACIE','gants  usage unique M','BT','un','100','0'),
('19','PHARMACIE','gants  usage unique L','BT','un','100','0'),
('20','PHARMACIE','gants  usage unique XL','BT','un','100','0'),
('21','PHARMACIE','solution hydro-alcoolique','FL','cl','1','0'),
('22','VEHICULES','Essence groupe lectrogne','JC','li','10','0'),
('23','VEHICULES','Essence groupe lectrogne','JC','li','20','0'),
('24','VEHICULES','Gasoil groupe lectrogne','JC','li','20','0'),
('25','VEHICULES','Huile moteur','BI','li','5','0'),
('26','VEHICULES','Liquide lave glace','BI','li','5','0'),
('27','VEHICULES','Liquide de freins','BI','li','5','0'),
('28','ENTRETIEN','Dsinfectant surface','FL','cl','50','0'),
('29','ENTRETIEN','Alkidiol','FL','cl','50','0'),
('30','ENTRETIEN','Solution hydro-alcoolique','FL','cl','50','0'),
('31','ENTRETIEN','Spray dsinfectant de surface','FL','cl','50','0'),
('32','ENTRETIEN','Liquide vaisselle','FL','cl','100','0'),
('33','ENTRETIEN','Papier toilette rouleau','PE','un','1','0'),
('34','BUREAU','Ramette Papier A4','EI','un','500','1'),
('35','BUREAU','Cartouche encre pour imprimante','EI','un','1','0'),
('36','BUREAU','main courante','EI','un','1','0'),
('37','BUREAU','fiche d\'intervention','EI','un','1','0'),
('38','BUREAU','bracelet d\'identification adulte','EI','un','1','0'),
('39','BUREAU','bracelet d\'identification enfant','EI','un','1','0'),
('40','PHARMACIE','protection de sonde pour thermomtre tympanique','EI','un','1','0'),
('41','PHARMACIE','coussin Hmostatique d\'urgence','EI','un','1','0'),
('42','PHARMACIE','antiseptique','DO','ml','5','0'),
('43','PHARMACIE','champs strile','EI','un','1','0'),
('44','PHARMACIE','bande extensible','EI','un','1','0'),
('45','PHARMACIE','pansements pr-dcoups','EI','un','1','0'),
('46','PHARMACIE','sparadrap rouleau','EI','un','1','0'),
('47','PHARMACIE','pansement absorbant, amricain','EI','un','1','0'),
('48','PHARMACIE','gants striles','EI','un','1','0'),
('49','PHARMACIE','compresses brulure','EI','un','1','0'),
('50','PHARMACIE','couverture de survie','EI','un','1','0'),
('51','PHARMACIE','couverture de survie strile','EI','un','1','0'),
('52','PHARMACIE','charpe triangulaire','EI','un','1','0'),
('53','PHARMACIE','poche de froid','EI','un','1','0'),
('54','PHARMACIE','tuyau patient pour aspirateur de mucosits','EI','un','1','0'),
('55','PHARMACIE','masque insufflateur adulte','EI','un','1','0'),
('56','PHARMACIE','masque insufflateur enfant','EI','un','1','0'),
('57','PHARMACIE','masque insufflateur nourisson','EI','un','1','0'),
('58','PHARMACIE','tubulure  oxygne','EI','un','1','0'),
('59','PHARMACIE','raccord biconique','EI','un','1','0'),
('60','PHARMACIE','sonde d\'aspiration adulte','EI','un','1','0'),
('61','PHARMACIE','sonde d\'aspiration pdiatrique','EI','un','1','0'),
('62','PHARMACIE','stop vide','EI','un','1','0'),
('63','PHARMACIE','canule de Gudel taille 00','EI','un','1','0'),
('64','PHARMACIE','canule de Gudel taille 0','EI','un','1','0'),
('65','PHARMACIE','canule de Gudel taille 1','EI','un','1','0'),
('66','PHARMACIE','canule de Gudel taille 2','EI','un','1','0'),
('67','PHARMACIE','canule de Gudel taille 3','EI','un','1','0'),
('68','PHARMACIE','canule de Gudel taille 4','EI','un','1','0'),
('69','PHARMACIE','canule de Gudel taille 5','EI','un','1','0'),
('70','PHARMACIE','masque FFP2','EI','un','1','0'),
('71','PHARMACIE','masque chirurgical','EI','un','1','0'),
('72','PHARMACIE','drap d\'hpital','PE','un','1','0'),
('73','VEHICULES','Gasoil','PE','li','1','0'),
('74','VEHICULES','Essence SP','PE','li','1','0');

# ------------------------------------
# structure for table 'type_document'
# ------------------------------------

DROP TABLE IF EXISTS type_document ;
CREATE TABLE type_document (
TD_CODE varchar(5) NOT NULL,
TD_LIBELLE varchar(50) NOT NULL,
TD_SECURITY tinyint(4) DEFAULT '0' NOT NULL,
TD_SYNDICATE tinyint(4) DEFAULT '0' NOT NULL,
PRIMARY KEY (TD_CODE)
);
# ------------------------------------
# data for table 'type_document'
# ------------------------------------

INSERT INTO type_document (TD_CODE,TD_LIBELLE,TD_SECURITY,TD_SYNDICATE) VALUES
('AC','Aucune catgorie','0','0'),
('CACH','Centrale d\'achat','0','0'),
('COMM','Communication','0','1'),
('CRAG','Compte rendu assemble gnrale','0','0'),
('CRR','Compte rendu de runion','0','0'),
('CRSS','Compte Rendus Runions Statutaires','52','1'),
('DIV','Documents divers','0','0'),
('DOCAD','Documentation administrative','0','0'),
('DOCOP','Procdures oprationnelles','0','0'),
('DPS','D.P.S.','0','0'),
('FOR','Formation','0','0'),
('GADH','Guide de l\'adhrent','0','1'),
('MAT','Matriel','0','0'),
('MODEL','Modle de document','0','0'),
('NS','Note de service','0','0'),
('REVP','Revue de Presse','0','1'),
('TRANS','Transmission','0','0'),
('VEHI','Vhicules','0','0'),
('OUAD','Outils adhrents','0','1');

# ------------------------------------
# structure for table 'type_element_facturable'
# ------------------------------------

DROP TABLE IF EXISTS type_element_facturable ;
CREATE TABLE type_element_facturable (
TEF_CODE varchar(6) NOT NULL,
TEF_NAME varchar(60) NOT NULL,
PRIMARY KEY (TEF_CODE)
);
# ------------------------------------
# data for table 'type_element_facturable'
# ------------------------------------

INSERT INTO type_element_facturable (TEF_CODE,TEF_NAME) VALUES
('PRE','Prestation'),
('KM','Frais Km'),
('DIV','Frais Divers'),
('PREF','Prestation Formation'),
('PREO','Prestation Oprationnelle'),
('PRED','Prestation Divers');

# ------------------------------------
# structure for table 'type_evenement'
# ------------------------------------

DROP TABLE IF EXISTS type_evenement ;
CREATE TABLE type_evenement (
TE_CODE varchar(5) NOT NULL,
TE_LIBELLE varchar(40) NOT NULL,
CEV_CODE varchar(5) DEFAULT 'C_DIV' NOT NULL,
TE_MAIN_COURANTE tinyint(4) DEFAULT '0' NOT NULL,
TE_VICTIMES tinyint(4) DEFAULT '0' NOT NULL,
TE_MULTI_DUPLI tinyint(4) DEFAULT '0' NOT NULL,
TE_ICON varchar(60),
EVAL_PAR_STAGIAIRES tinyint(4) DEFAULT '0' NOT NULL,
PROCES_VERBAL tinyint(4) DEFAULT '0' NOT NULL,
FICHE_PRESENCE tinyint(4) DEFAULT '0' NOT NULL,
ORDRE_MISSION tinyint(4) DEFAULT '1' NOT NULL,
CONVENTION tinyint(4) DEFAULT '0' NOT NULL,
EVAL_RISQUE tinyint(4) DEFAULT '0' NOT NULL,
CONVOCATIONS tinyint(4) DEFAULT '1' NOT NULL,
FACTURE_INDIV tinyint(4) DEFAULT '0' NOT NULL,
ACCES_RESTREINT tinyint(4) DEFAULT '0' NOT NULL,
TE_PERSONNEL tinyint(4) DEFAULT '1' NOT NULL,
TE_VEHICULES tinyint(4) DEFAULT '1' NOT NULL,
TE_MATERIEL tinyint(4) DEFAULT '1' NOT NULL,
TE_CONSOMMABLES tinyint(4) DEFAULT '1' NOT NULL,
COLONNE_RENFORT tinyint(4) DEFAULT '0' NOT NULL,
PRIMARY KEY (TE_CODE)
);
# ------------------------------------
# data for table 'type_evenement'
# ------------------------------------

INSERT INTO type_evenement (TE_CODE,TE_LIBELLE,CEV_CODE,TE_MAIN_COURANTE,TE_VICTIMES,TE_MULTI_DUPLI,TE_ICON,EVAL_PAR_STAGIAIRES,PROCES_VERBAL,FICHE_PRESENCE,ORDRE_MISSION,CONVENTION,EVAL_RISQUE,CONVOCATIONS,FACTURE_INDIV,ACCES_RESTREINT,TE_PERSONNEL,TE_VEHICULES,TE_MATERIEL,TE_CONSOMMABLES,COLONNE_RENFORT) VALUES
('AH','Autres actions humanitaires','C_OPE','1','0','1','AH.png','0','0','0','1','0','0','1','0','0','1','1','1','1','1'),
('AIP','Aide aux populations','C_OPE','1','1','0','AIP.png','0','0','0','1','0','0','1','0','0','1','1','1','1','1'),
('CER','Crmonie','C_DIV','0','0','0','CER.png','0','0','1','1','0','0','1','0','0','1','1','1','1','0'),
('COM','Communication - Promotion','C_DIV','0','0','0','COM.png','0','0','0','1','0','0','1','0','0','1','1','1','1','0'),
('COOP','Coopration tat-sdis-samu','C_SEC','1','1','0','COOP.png','0','0','0','1','0','0','1','0','0','1','1','1','1','1'),
('DIV','Evnement divers','C_DIV','0','0','1','DIV.png','0','0','0','1','0','0','1','0','0','1','1','1','1','0'),
('DPS','Dispositif Prvisionnel de Secours','C_SEC','1','1','0','DPS.png','0','0','0','1','1','1','1','0','0','1','1','1','1','1'),
('EXE','Participation  exercice tat-sdis-samu','C_FOR','1','1','0','EXE.png','0','0','1','1','0','0','1','0','0','1','1','1','1','0'),
('FOR','Formation','C_FOR','0','0','0','FOR.png','1','1','1','1','1','0','1','1','0','1','1','1','1','0'),
('GAR','Garde','C_SEC','1','1','1','GAR.png','0','0','0','1','0','0','1','0','0','1','1','1','1','0'),
('HEB','Hbergement d\'urgence','C_OPE','1','1','0','HEB.png','0','0','0','1','0','0','1','0','0','1','1','1','1','1'),
('MAN','Manoeuvre','C_FOR','0','0','1','MAN.png','0','0','1','1','0','0','1','0','0','1','1','1','1','0'),
('MAR','Maraude','C_SEC','1','1','1','MAR.png','0','0','0','1','0','0','1','0','0','1','1','1','1','1'),
('MC','Main courante','C_DIV','1','0','0','MC.png','0','0','0','1','0','0','1','0','1','1','0','0','0','0'),
('MED','Mdicalisation, quipe mdicale','C_SEC','0','0','0','MED.png','0','0','0','1','0','0','1','0','0','1','1','1','1','1'),
('ALERT','Alerte des bnvoles','C_OPE','1','1','0','MET.png','0','0','0','1','0','0','1','0','0','1','1','1','1','1'),
('MLA','Mission Logistique et Administrative','C_DIV','0','0','0','MLA.png','0','0','0','1','0','0','1','0','0','1','1','1','1','0'),
('NAUT','Activit nautique','C_SEC','1','1','0','NAUT.png','0','0','0','1','0','0','1','0','0','1','1','1','1','1'),
('REU','Runion','C_DIV','1','0','0','REU.png','0','0','1','1','0','0','1','0','0','1','1','1','1','0'),
('SPO','Comptition sportive','C_DIV','0','0','0','SPO.png','0','0','0','1','0','0','1','0','0','1','1','1','1','0'),
('TEC','Entretien, oprations techniques','C_DIV','0','0','0','TEC.png','0','0','0','1','0','0','1','0','0','1','1','1','1','0'),
('WEB','Visio confrence','C_DIV','1','0','0','WEB.png','0','0','0','1','0','0','1','0','0','1','1','1','1','0');

# ------------------------------------
# structure for table 'type_evenement_log'
# ------------------------------------

DROP TABLE IF EXISTS type_evenement_log ;
CREATE TABLE type_evenement_log (
TEL_CODE varchar(2) NOT NULL,
TEL_DESCRIPTION varchar(30) NOT NULL,
PRIMARY KEY (TEL_CODE)
);
# ------------------------------------
# data for table 'type_evenement_log'
# ------------------------------------

INSERT INTO type_evenement_log (TEL_CODE,TEL_DESCRIPTION) VALUES
('I','Intervention'),
('M','Message');

# ------------------------------------
# structure for table 'type_fonction_vehicule'
# ------------------------------------

DROP TABLE IF EXISTS type_fonction_vehicule ;
CREATE TABLE type_fonction_vehicule (
TFV_ID smallint(6) NOT NULL auto_increment,
TFV_NAME varchar(40) NOT NULL,
TFV_ORDER smallint(6) NOT NULL,
TFV_DESCRIPTION varchar(200),
PRIMARY KEY (TFV_ID)
);
# ------------------------------------
# data for table 'type_fonction_vehicule'
# ------------------------------------

INSERT INTO type_fonction_vehicule (TFV_ID,TFV_NAME,TFV_ORDER,TFV_DESCRIPTION) VALUES
('1','Groupe lectrogne','1',NULL),
('2','Reconnaissance','2',NULL),
('3','PC','3',NULL),
('4','Soutien Sanitaire','4',NULL),
('5','Commandement','5',NULL),
('6','Pompage','6',NULL),
('7','Nettoyage','7',NULL),
('8','Cyno','8',NULL),
('9','Communication','9',NULL),
('10','Logistique','10',NULL),
('11','Transport de personnels','11',NULL);

# ------------------------------------
# structure for table 'type_fonctionnalite'
# ------------------------------------

DROP TABLE IF EXISTS type_fonctionnalite ;
CREATE TABLE type_fonctionnalite (
TF_ID tinyint(4) NOT NULL,
TF_DESCRIPTION varchar(40) NOT NULL,
PRIMARY KEY (TF_ID)
);
# ------------------------------------
# data for table 'type_fonctionnalite'
# ------------------------------------

INSERT INTO type_fonctionnalite (TF_ID,TF_DESCRIPTION) VALUES
('0','gnral'),
('1','configuration'),
('2','scurit'),
('3','paramtrage'),
('4','personnel'),
('5','comptences'),
('6','vnements'),
('7','administratif'),
('8','gardes'),
('9','information'),
('10','notifications');

# ------------------------------------
# structure for table 'type_formation'
# ------------------------------------

DROP TABLE IF EXISTS type_formation ;
CREATE TABLE type_formation (
TF_CODE varchar(1) NOT NULL,
TF_LIBELLE varchar(45) NOT NULL,
PRIMARY KEY (TF_CODE)
);
# ------------------------------------
# data for table 'type_formation'
# ------------------------------------

INSERT INTO type_formation (TF_CODE,TF_LIBELLE) VALUES
('C','formation complmentaire'),
('I','formation initiale/diplme'),
('P','prrequis  une formation'),
('R','formation continue'),
('S','Sminaire'),
('T','initiation'),
('M','Maintien et Actualisation des Comptences');

# ------------------------------------
# structure for table 'type_garde'
# ------------------------------------

DROP TABLE IF EXISTS type_garde ;
CREATE TABLE type_garde (
EQ_ID smallint(6) NOT NULL,
EQ_NOM varchar(30) NOT NULL,
EQ_JOUR tinyint(4) DEFAULT '0' NOT NULL,
EQ_NUIT tinyint(4) DEFAULT '0' NOT NULL,
S_ID smallint(6) DEFAULT '0' NOT NULL,
EQ_PERSONNEL1 smallint(6) DEFAULT '0' NOT NULL,
EQ_PERSONNEL2 smallint(6) DEFAULT '0' NOT NULL,
EQ_VEHICULES tinyint(4) DEFAULT '0' NOT NULL,
EQ_SPP tinyint(4) DEFAULT '0' NOT NULL,
EQ_DEBUT1 time,
EQ_FIN1 time,
EQ_DUREE1 float,
EQ_DEBUT2 time,
EQ_FIN2 time,
EQ_DUREE2 float,
EQ_ICON varchar(150),
ASSURE_PAR1 smallint(6) DEFAULT '0' NOT NULL,
ASSURE_PAR2 smallint(6) DEFAULT '0' NOT NULL,
ASSURE_PAR_DATE datetime,
EQ_REGIME_TRAVAIL tinyint(4) DEFAULT '0' NOT NULL,
EQ_ADDRESS varchar(200),
EQ_LIEU varchar(60),
PRIMARY KEY (EQ_ID),
KEY S_ID (S_ID)
);
# ------------------------------------
# data for table 'type_garde'
# ------------------------------------

INSERT INTO type_garde (EQ_ID,EQ_NOM,EQ_JOUR,EQ_NUIT,S_ID,EQ_PERSONNEL1,EQ_PERSONNEL2,EQ_VEHICULES,EQ_SPP,EQ_DEBUT1,EQ_FIN1,EQ_DUREE1,EQ_DEBUT2,EQ_FIN2,EQ_DUREE2,EQ_ICON,ASSURE_PAR1,ASSURE_PAR2,ASSURE_PAR_DATE,EQ_REGIME_TRAVAIL,EQ_ADDRESS,EQ_LIEU) VALUES
('1','Garde en caserne','1','1','0','6','6','1','0','07:30:00','19:30:00','12','19:30:00','07:30:00','12','images/gardes/GAR.png','2','2','2018-06-09 15:20:27','3','',NULL),
('2','Feux de forts','1','0','0','4','0','1','0','12:00:00','20:00:00','8',NULL,NULL,NULL,'images/gardes/FDF.png','1','1','2007-11-19 00:00:00','0',NULL,NULL);

# ------------------------------------
# structure for table 'type_indisponibilite'
# ------------------------------------

DROP TABLE IF EXISTS type_indisponibilite ;
CREATE TABLE type_indisponibilite (
TI_CODE varchar(5) NOT NULL,
TI_LIBELLE varchar(40) NOT NULL,
TI_FLAG tinyint(4) DEFAULT '0' NOT NULL,
PRIMARY KEY (TI_CODE)
);
# ------------------------------------
# data for table 'type_indisponibilite'
# ------------------------------------

INSERT INTO type_indisponibilite (TI_CODE,TI_LIBELLE,TI_FLAG) VALUES
('PRO','raison professionnelle','0'),
('MAL','maladie / blessure','0'),
('FOR','formation','0'),
('FAM','raison familiale','0'),
('DIV','Autre Raison','0'),
('CA','Cong Annuel','1'),
('CP','Congs pays','1'),
('RTT','Rduction du temps de travail','1'),
('RT','Repos rgime de travail mixte','1'),
('REC','Rcupration','1'),
('RECFO','Rcupration lie  une formation','1'),
('CET','Compte pargne Temps','1'),
('ASA','Autorisation spciale absence','1'),
('NAI','Cong Naissance','1'),
('PAT','Cong Paternit','1'),
('ENFM','Enfant Malade','1'),
('ENFH','Enfant Hospitalis','1'),
('AT','Accident en service command','1'),
('MAT','Cong Maternit','1'),
('ASYND','Activit Syndicale','1'),
('ELEC','Elections','1'),
('DISPO','Disponibilit','1'),
('SUSP','Suspension activit','0');

# ------------------------------------
# structure for table 'type_intervention'
# ------------------------------------

DROP TABLE IF EXISTS type_intervention ;
CREATE TABLE type_intervention (
TI_CODE varchar(5) NOT NULL,
TI_DESCRIPTION varchar(50) NOT NULL,
CI_CODE varchar(5) NOT NULL,
PRIMARY KEY (TI_CODE),
KEY CI_CODE (CI_CODE)
);
# ------------------------------------
# data for table 'type_intervention'
# ------------------------------------

INSERT INTO type_intervention (TI_CODE,TI_DESCRIPTION,CI_CODE) VALUES
('AP','alerte aux populations','MSPS'),
('ASSB','asschement / puisement dans un autre btiment','MSPS'),
('ASSH','asschement / puisement dans une habitation','MSPS'),
('AVP2R','AVP 2 roues seul','PS'),
('AVPPV','AVP piton / vhicule','PS'),
('BACH','bachage de toiture','MSPS'),
('BLDOM','blss  domicile avec / sans dgagement','PS'),
('BLESR','bless suite  une rixe','PS'),
('BLLP','bless lieu public avec / sans dgagement','PS'),
('BRULG','brlure grave','PS'),
('BRULS','brlure simple','PS'),
('CHUT','chute','PS'),
('CHUTA','chute / menace de chute d\'arbre','MSPS'),
('CHUTO','chute / menace de chute autres objets','MSPS'),
('CONVU','convulsions sur LP/NP ou VP','PS'),
('DETRR','dtresse respiratoire sur LP/NP ou VP','PS'),
('DOULT','douleur thoracique sur LP / NP ou VP','PS'),
('ERDF','dclenchement ERDF','MSPS'),
('FNPC','dclenchement FNPC','MSPS'),
('GLISS','glissement de terrain / coule de boue','MSPS'),
('INCO','inconscient ou PCI sur LP/NP ou VP','PS'),
('INNO1','inondations / crues sauvetage ou mise en scurit','MSPS'),
('INNO2','inondations / crues reconnaissance','MSPS'),
('INNO3','inondations / crues rondes','MSPS'),
('INTOX','Intoxication CO ou alimentaire','PS'),
('IVRED','personne en tat d\'brit  domicile','PS'),
('IVREL','personne en tat d\'brit sur LP / NP ou VP','PS'),
('MAL','malaise sur LP/NP ou VP','PS'),
('MALC','malaise cardiaque sur LP / NP ou VP','PS'),
('MALDO','malaise  domicile - bilan secouriste','PS'),
('MALLP','malaise sur lieu public - bilan secouriste','PS'),
('MALSP','malaise li  une activit sportive LP/NP ou VP','PS'),
('MANOE','manoeuvre ( formation de maintien des acquis)','MSPS'),
('MEP','mise en place CAI / CEHU / PRI','MSPS'),
('NETTO','nettoyage de chause urgente','MSPS'),
('ORSEC','dclenchement ORSEC','PS'),
('PNRPA','personne ne rpondant pas aux appels','PS'),
('PREF','dclenchement prfecture - activation COD','MSPS'),
('PROTB','protection de biens','MSPS'),
('RECHP','recherche de personne','MSPS'),
('REQUI','rquisition','MSPS'),
('RUPTB','rupture de barrage ou digue','MSPS'),
('SDIS','dclenchement SDIS','MSPS'),
('SNCF','dclenchement SNCF','MSPS'),
('TS','tentative de suicide','PS');

# ------------------------------------
# structure for table 'type_materiel'
# ------------------------------------

DROP TABLE IF EXISTS type_materiel ;
CREATE TABLE type_materiel (
TM_ID int(11) NOT NULL auto_increment,
TM_CODE varchar(25) NOT NULL,
TM_DESCRIPTION varchar(60) NOT NULL,
TM_USAGE varchar(15) DEFAULT 'DIVERS' NOT NULL,
TM_LOT tinyint(4) DEFAULT '0' NOT NULL,
TT_CODE varchar(6),
PRIMARY KEY (TM_ID),
   UNIQUE TM_CODE (TM_USAGE, TM_CODE)
);
# ------------------------------------
# data for table 'type_materiel'
# ------------------------------------

INSERT INTO type_materiel (TM_ID,TM_CODE,TM_DESCRIPTION,TM_USAGE,TM_LOT,TT_CODE) VALUES
('2','LOT A','Sac de secours avec quipement lot A','Sanitaire','0',NULL),
('3','LOT B','Sac de secours avec quipement lot B','Sanitaire','0',NULL),
('4','LOT C','Sac de secours avec quipement lot C (Hors VPS)','Sanitaire','0',NULL),
('5','Lits Picots','','Hbergement','0',NULL),
('6','DAE','Dfibrillateur automatique externe','Sanitaire','0',NULL),
('7','Oxygne','','Sanitaire','0',NULL),
('8','Radios 450 Mhz','','Transmission','0',NULL),
('10','Radios 150 MHz','','Transmission','0',NULL),
('13','Valise P.C.','150 MHz','Transmission','0',NULL),
('14','Pantalons','','Habillement','0','PT'),
('15','Mannequins','','Formation','0',NULL),
('16','Groupes lectognes','','Elctrique','0',NULL),
('17','D.A.E.','','Formation','0',NULL),
('18','Portables','','Informatique','0',NULL),
('19','Fixes','','Informatique','0',NULL),
('20','Tentes','','Hbergement','0',NULL),
('21','Immobilisateurs de tte','','Sanitaire','0',NULL),
('24','Vestes','','Habillement','0','US'),
('25','Parkas','','Habillement','0','US'),
('26','Polos','','Habillement','0','US'),
('27','Polaires','','Habillement','0','US'),
('28','Eclairages','','Elctrique','0',NULL),
('29','Rallonges','','Elctrique','0',NULL),
('30','Classeurs','','Formation','0',NULL),
('31','CD ROM','','Formation','0',NULL),
('32','Couvertures','','Hbergement','0',NULL),
('33','Sacs de Couchage','','Hbergement','0',NULL),
('34','Vidos Projecteurs','','Informatique','0',NULL),
('35','Imprimantes','','Informatique','0',NULL),
('36','tee-shirts','','Habillement','0','US'),
('37','Valise P.C','450 MHz','Transmission','0',NULL),
('38','Antennes','','Transmission','0',NULL),
('39','Trononneuses','','Elagage','0',NULL),
('40','Thermos','','Logistique','0',NULL),
('41','Jerricanes Alimentaires','','Logistique','0',NULL),
('42','Claies de Portage','','Logistique','0',NULL),
('43','Nons','','Eclairage','0',NULL),
('44','Trpieds Hallognes','','Eclairage','0',NULL),
('45','Brancards','','Hbergement','0',NULL),
('46','Jerricanes','','Divers','0',NULL),
('47','Brancards Pliants','','Sanitaire','0',NULL),
('48','Chaises Porteurs','','Sanitaire','0',NULL),
('49','Brancards Cuillres','','Sanitaire','0',NULL),
('50','Chauffages Electriques','','Hbergement','0',NULL),
('51','Aspirateurs  eau','','Pompage','0',NULL),
('52','Motos Pompes','','Pompage','0',NULL),
('53','Seaux','','Pompage','0',NULL),
('54','Raclettes','','Pompage','0',NULL),
('55','Serpillires','','Pompage','0',NULL),
('56','Vides Caves','','Pompage','0',NULL),
('57','Tlphones Portables','','Transmission','0',NULL),
('58','Extincteur  poudre','','Incendie','0',NULL),
('59','Extincteur  eau','','Incendie','0',NULL);

# ------------------------------------
# structure for table 'type_membre'
# ------------------------------------

DROP TABLE IF EXISTS type_membre ;
CREATE TABLE type_membre (
TM_ID tinyint(4) NOT NULL,
TM_SYNDICAT tinyint(4) DEFAULT '0' NOT NULL,
TM_CODE varchar(30) NOT NULL,
PRIMARY KEY (TM_ID, TM_SYNDICAT)
);
# ------------------------------------
# data for table 'type_membre'
# ------------------------------------

INSERT INTO type_membre (TM_ID,TM_SYNDICAT,TM_CODE) VALUES
('0','0','actif'),
('0','1','actif'),
('1','0','ancien - n\'a plus d\'activit'),
('1','1','radi -  sa demande'),
('2','0','ancien - a dmissionn'),
('2','1','radi - dpart retraite'),
('3','0','ancien - dcd'),
('3','1','radi - impays'),
('4','0','ancien - radi'),
('4','1','radi - dmission'),
('5','0','ancien - suspendu(e)'),
('5','1','radi - dcd'),
('6','1','radi - mutation'),
('7','1','radi - prsident'),
('8','1','radi - disponibilit'),
('9','1','radi - exclusion'),
('10','1','radi - autre motif');

# ------------------------------------
# structure for table 'type_message'
# ------------------------------------

DROP TABLE IF EXISTS type_message ;
CREATE TABLE type_message (
TM_ID tinyint(4) NOT NULL,
TM_LIBELLE varchar(30) NOT NULL,
TM_COLOR varchar(20) NOT NULL,
TM_ICON varchar(20),
PRIMARY KEY (TM_ID)
);
# ------------------------------------
# data for table 'type_message'
# ------------------------------------

INSERT INTO type_message (TM_ID,TM_LIBELLE,TM_COLOR,TM_ICON) VALUES
('0','normal','#000099','sticky-note'),
('1','informatique','#04520E','laptop'),
('2','urgent','#BC0803','exclamation-triangle');

# ------------------------------------
# structure for table 'type_paiement'
# ------------------------------------

DROP TABLE IF EXISTS type_paiement ;
CREATE TABLE type_paiement (
TP_ID tinyint(1) NOT NULL,
TP_DESCRIPTION varchar(25) NOT NULL,
PRIMARY KEY (TP_ID)
);
# ------------------------------------
# data for table 'type_paiement'
# ------------------------------------

INSERT INTO type_paiement (TP_ID,TP_DESCRIPTION) VALUES
('0','non renseign'),
('1','prlvement'),
('2','virement'),
('3','carte bancaire'),
('4','chque'),
('5','espces');

# ------------------------------------
# structure for table 'type_participation'
# ------------------------------------

DROP TABLE IF EXISTS type_participation ;
CREATE TABLE type_participation (
TP_ID smallint(6) NOT NULL auto_increment,
TE_CODE varchar(5) NOT NULL,
TP_NUM smallint(6) NOT NULL,
TP_LIBELLE varchar(40) NOT NULL,
PS_ID int(11) DEFAULT '0' NOT NULL,
PS_ID2 int(11) DEFAULT '0' NOT NULL,
INSTRUCTOR tinyint(4) DEFAULT '0' NOT NULL,
EQ_ID smallint(6) DEFAULT '0' NOT NULL,
PRIMARY KEY (TP_ID),
KEY TE_CODE (TE_CODE),
KEY EQ_ID (EQ_ID)
);
# ------------------------------------
# data for table 'type_participation'
# ------------------------------------

INSERT INTO type_participation (TP_ID,TE_CODE,TP_NUM,TP_LIBELLE,PS_ID,PS_ID2,INSTRUCTOR,EQ_ID) VALUES
('1','FOR','1','Responsable pdagogique','0','0','1','0'),
('2','FOR','2','Instructeur','0','0','1','0'),
('3','FOR','3','Aide moniteur','0','0','1','0'),
('4','FOR','4','Plastron','0','0','0','0'),
('5','DPS','1','Chef de dispositif','0','0','0','0'),
('6','DPS','2','Chef de secteur','0','0','0','0'),
('7','DPS','3','Chef de poste','0','0','0','0'),
('8','DPS','4','Conducteur','0','0','0','0'),
('9','GAR','1','Chef d\'agrs fourgon','0','0','0','1'),
('10','GAR','2','Conducteur fourgon','0','0','0','1'),
('11','GAR','3','Chef BAL','0','0','0','1'),
('12','GAR','4','Equipier BAL','0','0','0','1'),
('13','GAR','5','Chef BAT','0','0','0','1'),
('14','GAR','6','Equipier BAT','0','0','0','1'),
('15','GAR','7','Chef d\'agrs chelle','0','0','0','1'),
('16','GAR','8','Conducteur chelle','0','0','0','1'),
('17','GAR','9','Chef d\'agrs VSAV','0','0','0','1'),
('18','GAR','9','Conducteur VSAV','0','0','0','1'),
('19','GAR','10','Brancardier','0','0','0','1'),
('20','GAR','1','Chef d\'agrs CCF','0','0','0','2'),
('21','GAR','2','Conducteur CCF','0','0','0','2'),
('22','GAR','3','Equipier CCF','0','0','0','2'),
('23','GAR','4','Chef de GIFF','0','0','0','2'),
('24','GAR','5','Conducteur VLHR','0','0','0','2'),
('25','MC','1','Rdacteur','0','0','0','0');

# ------------------------------------
# structure for table 'type_profession'
# ------------------------------------

DROP TABLE IF EXISTS type_profession ;
CREATE TABLE type_profession (
TP_CODE varchar(6) NOT NULL,
TP_DESCRIPTION varchar(50) NOT NULL,
PRIMARY KEY (TP_CODE)
);
# ------------------------------------
# data for table 'type_profession'
# ------------------------------------

INSERT INTO type_profession (TP_CODE,TP_DESCRIPTION) VALUES
('PATS','Personnel Administratif Technique et Spcialis'),
('SPP','Sapeur-Pompier Professionnel');

# ------------------------------------
# structure for table 'type_regime_travail'
# ------------------------------------

DROP TABLE IF EXISTS type_regime_travail ;
CREATE TABLE type_regime_travail (
TRT_CODE varchar(5) NOT NULL,
TRT_DESC varchar(80) NOT NULL,
TRT_ORDER tinyint(4) NOT NULL,
PRIMARY KEY (TRT_CODE)
);
# ------------------------------------
# data for table 'type_regime_travail'
# ------------------------------------

INSERT INTO type_regime_travail (TRT_CODE,TRT_DESC,TRT_ORDER) VALUES
('24h','Service oprationnel en gardes de 24h','1'),
('12h','Service oprationnel en gardes de 12h, principalement le jour','2'),
('SHR','Service hors rangs','3');

# ------------------------------------
# structure for table 'type_regularisation'
# ------------------------------------

DROP TABLE IF EXISTS type_regularisation ;
CREATE TABLE type_regularisation (
TR_ID tinyint(4) NOT NULL,
TR_DESCRIPTION varchar(40) NOT NULL,
PRIMARY KEY (TR_ID)
);
# ------------------------------------
# data for table 'type_regularisation'
# ------------------------------------

INSERT INTO type_regularisation (TR_ID,TR_DESCRIPTION) VALUES
('0','non renseign'),
('1','chque'),
('2','virement'),
('3','ajout sur le prlvement suivant');

# ------------------------------------
# structure for table 'type_salarie'
# ------------------------------------

DROP TABLE IF EXISTS type_salarie ;
CREATE TABLE type_salarie (
TS_CODE varchar(5) NOT NULL,
TS_LIBELLE varchar(40) NOT NULL,
PRIMARY KEY (TS_CODE)
);
# ------------------------------------
# data for table 'type_salarie'
# ------------------------------------

INSERT INTO type_salarie (TS_CODE,TS_LIBELLE) VALUES
('SC','service civique'),
('TC','temps complet'),
('TP','temps partiel'),
('VNP','vacataire non permanent'),
('CAD','cadre'),
('SNU','service national universel');

# ------------------------------------
# structure for table 'type_statut_participation'
# ------------------------------------

DROP TABLE IF EXISTS type_statut_participation ;
CREATE TABLE type_statut_participation (
TSP_ID tinyint(4) NOT NULL,
TSP_CODE varchar(20) NOT NULL,
TSP_COLOR varchar(20) NOT NULL,
PRIMARY KEY (TSP_ID)
);
# ------------------------------------
# data for table 'type_statut_participation'
# ------------------------------------

INSERT INTO type_statut_participation (TSP_ID,TSP_CODE,TSP_COLOR) VALUES
('0','Engag','red'),
('1','Dispo Base','green'),
('2','Dispo Domicile','blue'),
('3','En repos','white');

# ------------------------------------
# structure for table 'type_taille'
# ------------------------------------

DROP TABLE IF EXISTS type_taille ;
CREATE TABLE type_taille (
TT_CODE varchar(6) NOT NULL,
TT_NAME varchar(30) NOT NULL,
TT_DESCRIPTION varchar(60) NOT NULL,
TT_ORDER tinyint(4),
PRIMARY KEY (TT_CODE)
);
# ------------------------------------
# data for table 'type_taille'
# ------------------------------------

INSERT INTO type_taille (TT_CODE,TT_NAME,TT_DESCRIPTION,TT_ORDER) VALUES
('GANT','Taille des gants','4, 5, 6, ... 12','80'),
('NONE','Pas de mesure possible','sans taille ou taille unique','0'),
('PIED','Pointure','Pointure de chaussures ex: 41, 42','60'),
('PT','Taille pantalon','taille de pantalon 38, 40, 42, ','30'),
('SPT','Taille Surpantalon','Taille et longueur ex T3L, T2M','50'),
('TETE','Tour de tete','Tour de tete en cm ex: 56, 60 ...','70'),
('TTL','Tour de taille et longueur','Taille pantalon F1 ex: 88L, 92M','40'),
('US','Taille US','Taille t-shirt S, M, L, XL ...','10'),
('VESTE','Taille veste','Taille de veste 50, 52 ...','20');

# ------------------------------------
# structure for table 'type_unite_mesure'
# ------------------------------------

DROP TABLE IF EXISTS type_unite_mesure ;
CREATE TABLE type_unite_mesure (
TUM_CODE char(2) NOT NULL,
TUM_DESCRIPTION varchar(60) NOT NULL,
TUM_ORDER tinyint(4) NOT NULL,
PRIMARY KEY (TUM_CODE)
);
# ------------------------------------
# data for table 'type_unite_mesure'
# ------------------------------------

INSERT INTO type_unite_mesure (TUM_CODE,TUM_DESCRIPTION,TUM_ORDER) VALUES
('cl','Centilitre','30'),
('g','Gramme','60'),
('kg','Kilogramme','50'),
('li','Litre','20'),
('mg','Milligramme','70'),
('ml','Millilitre','40'),
('un','Unit','10');

# ------------------------------------
# structure for table 'type_vehicule'
# ------------------------------------

DROP TABLE IF EXISTS type_vehicule ;
CREATE TABLE type_vehicule (
TV_CODE varchar(10) NOT NULL,
TV_LIBELLE varchar(60) NOT NULL,
TV_NB tinyint(4) DEFAULT '3' NOT NULL,
TV_USAGE varchar(12) DEFAULT 'SECOURS' NOT NULL,
TV_ICON varchar(150),
PRIMARY KEY (TV_CODE)
);
# ------------------------------------
# data for table 'type_vehicule'
# ------------------------------------

INSERT INTO type_vehicule (TV_CODE,TV_LIBELLE,TV_NB,TV_USAGE,TV_ICON) VALUES
('ASSU','Ambulance de secours et de soins d\'urgence','3','SECOURS','images/vehicules/VSAV.png'),
('CCFL','Camion citerne Fort lger','2','FEU','images/vehicules/CCF.png'),
('CCFM','Camion citerne Fort moyen','4','FEU','images/vehicules/CCF.png'),
('CCFS','Camion citerne Fort super','4','FEU','images/vehicules/CCGC.png'),
('CCGC','Camion citerne grande capacit','3','FEU','images/vehicules/CCGC.png'),
('CTU','Camionnette tous usages','3','DIVERS','images/vehicules/VTU.png'),
('EPA','Echelle pivotante automatique','3','FEU','images/vehicules/EPA.png'),
('ERS','Embarcation de Reconnaissance et de Sauvetage','3','SECOURS','images/vehicules/BOAT1.png'),
('FPT','Fourgon pompe tonne','8','FEU','images/vehicules/FPT.png'),
('FPTL','Fourgon pompe tonne lger','6','FEU','images/vehicules/FPT.png'),
('FPTLHR','Fourgon pompe tonne lger hors route','6','FEU','images/vehicules/FMOGP.png'),
('GER','Groupe Electrogne Remorquable','0','DIVERS',NULL),
('MOTO','Motocyclette','1','DIVERS','images/vehicules/MOTO.png'),
('MPS','Moto de premiers secours','1','SECOURS','images/vehicules/MOTO.png'),
('PCM','Poste de Commandement Mobile','2','DIVERS','images/vehicules/PC.png'),
('QUAD','Vhicule quad','1','DIVERS','images/vehicules/QUAD.png'),
('REM','Remorque','0','DIVERS','images/vehicules/REM.png'),
('VCYN','Vhicule Cynotechnique','1','DIVERS','images/vehicules/CYNO.png'),
('VELO','Vlo tout terrain','1','DIVERS','images/vehicules/VELO.png'),
('VL','Vhicule lger','3','DIVERS','images/vehicules/VL.png'),
('VLC','Vhicule Lger de Commandement','2','DIVERS','images/vehicules/VLCG.png'),
('VLHR','Vhicule lger hors route','2','DIVERS','images/vehicules/VLHR.png'),
('VPI','Vhicule polyvalent d\'intervention','3','DIVERS','images/vehicules/VPI.png'),
('VPS','Vhicule de premier secours','3','SECOURS','images/vehicules/AMBULANCE1.png'),
('VSAV','Vhicule de secours aux blesss','3','SECOURS','images/vehicules/VSAV.png'),
('VSR','Vhicule de secours routier','3','SECOURS','images/vehicules/VSR.png'),
('VTD','Vhicule technique dblaiement','2','DIVERS','images/vehicules/VSD.png'),
('VTH','Vhicule technique hbergement','2','LOGISTIQUE','images/vehicules/CMIC.png'),
('VTI','Vhicule technique soutien intendance','2','LOGISTIQUE','images/vehicules/VIRT.png'),
('VTP','Vhicule de transport de personnel','9','DIVERS','images/vehicules/BUS.png'),
('VTU','Vhicule tous usages','2','DIVERS','images/vehicules/VTU.png');

# ------------------------------------
# structure for table 'type_vehicule_role'
# ------------------------------------

DROP TABLE IF EXISTS type_vehicule_role ;
CREATE TABLE type_vehicule_role (
TV_CODE varchar(10) NOT NULL,
ROLE_ID tinyint(4) DEFAULT '0' NOT NULL,
ROLE_NAME varchar(25) NOT NULL,
PS_ID int(11) DEFAULT '0' NOT NULL,
PRIMARY KEY (TV_CODE, ROLE_ID)
);
# ------------------------------------
# data for table 'type_vehicule_role'
# ------------------------------------

INSERT INTO type_vehicule_role (TV_CODE,ROLE_ID,ROLE_NAME,PS_ID) VALUES
('CCFL','1','chef d\'agrs','0'),
('CCFL','2','conducteur','0'),
('CCFM','1','chef d\'agrs','0'),
('CCFM','2','conducteur','0'),
('CCFM','3','quipier 1','0'),
('CCFM','4','quipier 2','0'),
('CCFS','1','chef d\'agrs','0'),
('CCFS','2','conducteur','0'),
('CCFS','3','quipier 1','0'),
('CCFS','4','quipier 2','0'),
('CCGC','1','chef d\'agrs','0'),
('CCGC','2','conducteur','0'),
('EPA','1','chef d\'agrs','0'),
('EPA','2','conducteur','0'),
('EPA','3','quipier','0'),
('ERS','1','pilote','0'),
('ERS','2','plongeur 1','0'),
('ERS','3','plongeur 2','0'),
('FPT','1','chef d\'agrs','0'),
('FPT','2','conducteur','0'),
('FPT','3','chef BAT','0'),
('FPT','4','quipier BAT','0'),
('FPT','5','chef BAL','0'),
('FPT','6','quipier BAL','0'),
('FPT','7','chef ATT','0'),
('FPT','8','quipier ATT','0'),
('FPTL','1','chef d\'agrs','0'),
('FPTL','2','conducteur','0'),
('FPTL','3','chef BAT','0'),
('FPTL','4','quipier BAT','0'),
('FPTL','5','chef BAL','0'),
('FPTL','6','quipier BAL','0'),
('FPTLHR','1','chef d\'agrs','0'),
('FPTLHR','2','conducteur','0'),
('FPTLHR','3','chef BAT','0'),
('FPTLHR','4','quipier BAT','0'),
('FPTLHR','5','chef BAL','0'),
('FPTLHR','6','quipier BAL','0'),
('PCM','1','chef d\'agrs','0'),
('PCM','2','conducteur','0'),
('QUAD','1','conducteur','0'),
('VCYN','1','conducteur','0'),
('VL','1','chef d\'agrs','0'),
('VL','2','conducteur','0'),
('VLC','1','chef d\'agrs','0'),
('VLC','2','conducteur','0'),
('VLHR','1','chef d\'agrs','0'),
('VLHR','2','conducteur','0'),
('VPI','1','chef d\'agrs','0'),
('VPI','2','conducteur','0'),
('VPI','3','quipier','0'),
('VSAV','1','chef d\'agrs','0'),
('VSAV','2','conducteur','0'),
('VSAV','3','quipier','0'),
('VSR','1','chef d\'agrs','0'),
('VSR','2','conducteur','0'),
('VSR','3','quipier','0'),
('VTD','1','chef d\'agrs','0'),
('VTD','2','conducteur','0'),
('VTH','1','chef d\'agrs','0'),
('VTH','2','conducteur','0'),
('VTI','1','chef d\'agrs','0'),
('VTI','2','conducteur','0'),
('VTU','1','chef d\'agrs','0'),
('VTU','2','conducteur','0'),
('VTU','3','quipier','0');

# ------------------------------------
# structure for table 'vehicule'
# ------------------------------------

DROP TABLE IF EXISTS vehicule ;
CREATE TABLE vehicule (
V_ID int(11) DEFAULT '0' NOT NULL,
TV_CODE varchar(10) NOT NULL,
V_IMMATRICULATION varchar(15),
V_COMMENT varchar(600),
VP_ID varchar(5) DEFAULT 'OP' NOT NULL,
V_MODELE varchar(20),
V_KM int(11),
V_KM_REVISION int(11),
EQ_ID tinyint(4) DEFAULT '1' NOT NULL,
V_ANNEE year(4),
S_ID smallint(6) DEFAULT '4' NOT NULL,
V_ASS_DATE date,
V_CT_DATE date,
V_REV_DATE date,
V_EXTERNE tinyint(4),
V_INVENTAIRE varchar(40),
V_UPDATE_DATE date,
V_UPDATE_BY int(11),
V_INDICATIF varchar(20),
V_FLAG1 tinyint(4) DEFAULT '0' NOT NULL,
V_FLAG2 tinyint(4) DEFAULT '0' NOT NULL,
V_FLAG3 tinyint(4) DEFAULT '0' NOT NULL,
V_FLAG4 tinyint(4) DEFAULT '0' NOT NULL,
AFFECTED_TO int(11),
PRIMARY KEY (V_ID),
KEY S_ID (S_ID),
KEY AFFECTED_TO (AFFECTED_TO),
KEY VP_ID (VP_ID),
KEY V_ANNEE (V_ANNEE)
);
# ------------------------------------
# data for table 'vehicule'
# ------------------------------------

INSERT INTO vehicule (V_ID,TV_CODE,V_IMMATRICULATION,V_COMMENT,VP_ID,V_MODELE,V_KM,V_KM_REVISION,EQ_ID,V_ANNEE,S_ID,V_ASS_DATE,V_CT_DATE,V_REV_DATE,V_EXTERNE,V_INVENTAIRE,V_UPDATE_DATE,V_UPDATE_BY,V_INDICATIF,V_FLAG1,V_FLAG2,V_FLAG3,V_FLAG4,AFFECTED_TO) VALUES
('1','VSAV','1234-XX-YY','','OP','Renault Master','10000','0','1','2018','0',NULL,NULL,NULL,'0','',NULL,NULL,'VSAV 1','0','0','0','0',NULL),
('2','CCFM','7890-WW-ZZ','','OP','Renaut CAMIVA','24000','0','2','2015','0',NULL,NULL,NULL,'0','',NULL,NULL,'Moyen 1','0','0','0','0',NULL),
('3','FPTL','DFGH-11-88','','OP','Renault Midlum 200','45600','0','1','2010','0',NULL,NULL,NULL,'0','',NULL,NULL,'FPTL 1','0','0','0','0',NULL);

# ------------------------------------
# structure for table 'vehicule_position'
# ------------------------------------

DROP TABLE IF EXISTS vehicule_position ;
CREATE TABLE vehicule_position (
VP_ID varchar(5) NOT NULL,
VP_LIBELLE varchar(40) NOT NULL,
VP_OPERATIONNEL tinyint(4) DEFAULT '0' NOT NULL,
PRIMARY KEY (VP_ID)
);
# ------------------------------------
# data for table 'vehicule_position'
# ------------------------------------

INSERT INTO vehicule_position (VP_ID,VP_LIBELLE,VP_OPERATIONNEL) VALUES
('ARM','armement  complter','0'),
('CAR','plein de carburant','0'),
('DET','dtruit','-1'),
('EAU','remplissage tonne','0'),
('HUI','niveau d\'huile','0'),
('IND','autre indisponibilit','1'),
('LIM','usage limit','2'),
('OP','oprationnel','3'),
('PAN','en panne','1'),
('PNE','pression des pneumatiques','0'),
('PRE','en prt','2'),
('REF','rform','-1'),
('REP','en rparation','1'),
('REV','en rvision','1'),
('VEN','vendu','-1'),
('VOL','vol','-1'),
('PER','perdu','-1'),
('RENDU','rendu','-1');

# ------------------------------------
# structure for table 'victime'
# ------------------------------------

DROP TABLE IF EXISTS victime ;
CREATE TABLE victime (
VI_ID int(11) NOT NULL auto_increment,
EL_ID int(11) DEFAULT '0' NOT NULL,
CAV_ID int(11) DEFAULT '0' NOT NULL,
VI_NUMEROTATION smallint(6),
VI_NOM varchar(30),
VI_PRENOM varchar(20),
VI_ADDRESS varchar(150),
VI_BIRTHDATE date,
VI_AGE tinyint(4),
VI_SEXE char(1) DEFAULT 'M' NOT NULL,
VI_PAYS smallint(6) DEFAULT '65' NOT NULL,
VI_DETRESSE_VITALE tinyint(4) DEFAULT '0' NOT NULL,
VI_DECEDE tinyint(4) DEFAULT '0' NOT NULL,
VI_MALAISE tinyint(4) DEFAULT '0' NOT NULL,
VI_INFORMATION tinyint(4) DEFAULT '0' NOT NULL,
VI_SOINS tinyint(4) DEFAULT '0' NOT NULL,
VI_MEDICALISE tinyint(4) DEFAULT '0' NOT NULL,
VI_REFUS tinyint(4) DEFAULT '0' NOT NULL,
VI_IMPLIQUE tinyint(4) DEFAULT '0' NOT NULL,
VI_TRANSPORT tinyint(4) DEFAULT '0' NOT NULL,
VI_VETEMENT tinyint(4) DEFAULT '0' NOT NULL,
VI_ALIMENTATION tinyint(4) DEFAULT '0' NOT NULL,
VI_REPOS tinyint(4) DEFAULT '0' NOT NULL,
VI_REPARTI tinyint(4) DEFAULT '0' NOT NULL,
VI_TRAUMATISME tinyint(4) DEFAULT '0' NOT NULL,
D_CODE varchar(6) DEFAULT 'NR' NOT NULL,
T_CODE varchar(6) DEFAULT 'ASS' NOT NULL,
VI_COMMENTAIRE varchar(1000),
CAV_ENTREE datetime,
CAV_SORTIE datetime,
CAV_RAISON varchar(50),
CAV_REGULATED tinyint(4) DEFAULT '0' NOT NULL,
IDENTIFICATION varchar(40),
HEURE_HOPITAL time,
PRIMARY KEY (VI_ID),
KEY EL_ID (EL_ID),
KEY VI_DETRESSE_VITALE (VI_DETRESSE_VITALE),
KEY VI_DECEDE (VI_DECEDE),
KEY VI_INFORMATION (VI_INFORMATION),
KEY VI_MALAISE (VI_MALAISE),
KEY VI_TRANSPORT (VI_TRANSPORT),
KEY VI_SOINS (VI_SOINS),
KEY VI_VETEMENT (VI_VETEMENT),
KEY VI_ALIMENTATION (VI_ALIMENTATION),
KEY VI_REFUS (VI_REFUS),
KEY D_CODE (D_CODE),
KEY T_CODE (T_CODE),
KEY VI_PAYS (VI_PAYS),
KEY VI_MEDICALISE (VI_MEDICALISE),
KEY CAV_ID (CAV_ID),
KEY CAV_REGULATED (CAV_REGULATED),
KEY CAV_ENTREE (CAV_ENTREE),
KEY VI_REPOS (VI_REPOS),
KEY VI_IMPLIQUE (VI_IMPLIQUE)
);
# ------------------------------------
# data for table 'victime'
# ------------------------------------



# ------------------------------------
# structure for table 'widget'
# ------------------------------------

DROP TABLE IF EXISTS widget ;
CREATE TABLE widget (
W_ID smallint(6) NOT NULL,
W_TYPE varchar(40) DEFAULT 'box' NOT NULL,
W_FUNCTION varchar(50),
W_TITLE varchar(60) NOT NULL,
W_LINK varchar(200),
W_LINK_COMMENT varchar(200),
W_ICON varchar(25),
W_COLUMN tinyint(4) DEFAULT '1' NOT NULL,
W_ORDER tinyint(4) DEFAULT '1' NOT NULL,
PRIMARY KEY (W_ID)
);
# ------------------------------------
# data for table 'widget'
# ------------------------------------

INSERT INTO widget (W_ID,W_TYPE,W_FUNCTION,W_TITLE,W_LINK,W_LINK_COMMENT,W_ICON,W_COLUMN,W_ORDER) VALUES
('1','button',NULL,'Recherche','search_personnel.php','Rechercher personne','fa-search','1','1'),
('2','button',NULL,'Evenements','evenement_choice.php?ec_mode=default','Voir les vnements','fa-info-circle','1','2'),
('3','button',NULL,'Disponibilits','dispo.php','Saisir ses disponibilits','fa-calendar-check','1','3'),
('4','button',NULL,'Calendrier','calendar.php','Voir mon calendrier','fa-calendar','1','4'),
('5','button',NULL,'Tableau de garde','tableau_garde.php','Voir le tableau de garde','fa-table','1','5'),
('6','button',NULL,'Garde du jour','feuille_garde.php?evenement=0&from=gardes','Voir la garde du jour','fa-sun-o','1','6'),
('7','box','welcome','curdate',NULL,NULL,NULL,'1','1'),
('8','box','show_duty','La veille Oprationnelle est assure par',NULL,NULL,NULL,'1','2'),
('9','box','show_birthdays','Anniversaires  souhaiter',NULL,NULL,NULL,'1','3'),
('10','box','show_alerts_horaires','Horaires du personnel salari  valider (100 jours)',NULL,NULL,NULL,'1','4'),
('11','box','show_factures','Evenements termins non pays (100 jours)','factures','Voir les vnements termins non pays',NULL,'1','5'),
('12','box','show_stats_manquantes','Statistiques manquantes (30 derniers jours)',NULL,NULL,NULL,'1','6'),
('13','box','show_participations','Mes participations en cours ou futures','calendar.php','Voir mon calendrier',NULL,'2','1'),
('14','box','show_alerts_cp','Demandes de congs  valider',NULL,NULL,NULL,'2','2'),
('15','box','show_alerts_vehicules','Gestion des vhicules','vehicule.php?page=1','Voir les vhicules',NULL,'2','3'),
('16','box','show_alerts_consommables','Gestion des produits consommables','consommable.php?page=1','Voir les produits consommables',NULL,'2','4'),
('17','box','show_alerts_remplacements','Remplacements pour la garde','remplacements.php','Voir tous les remplacements',NULL,'2','5'),
('23','box','show_alerts_remplacements','Remplacements de personnel','remplacements.php','Voir tous les remplacements',NULL,'2','5'),
('24','box','show_proposed_remplacements','Recherche remplaant',NULL,NULL,NULL,'2','5'),
('25','box','show_proposed_remplacements','Recherche remplaant',NULL,NULL,NULL,'2','5'),
('18','box','show_infos','Informations','message.php?catmessage=amicale','Voir la page informations',NULL,'2','6'),
('19','box','show_participations_mc','Mains courantes',NULL,NULL,NULL,'3','1'),
('20','box','show_notes','Notes de frais  valider ou rembourser',NULL,NULL,NULL,'3','2'),
('21','box','show_events','Calendrier des activits','evenement_choice.php?ec_mode=default','Voir tous les vnements',NULL,'3','3'),
('22','box','show_about','A propos de cette application','about.php','Voir les informations relatives  cette application',NULL,'3','6'),
('26','box','show_tblo_formation','Heures de formation',NULL,'Rcapitulatif des heures de formation',NULL,'3','5'),
('27','box','show_attestation_fiscale','attestations fiscales','upd_personnel.php?tab=6&self=1','Voir toutes mes attestation fiscale',NULL,'1','2'),
('28','box','show_documentation','documentation','documents.php?filter=1&td=ALL&dossier=0&status=documents&yeardoc=all','Voir toute la documentation',NULL,'1','2');

# ------------------------------------
# structure for table 'widget_condition'
# ------------------------------------

DROP TABLE IF EXISTS widget_condition ;
CREATE TABLE widget_condition (
W_ID smallint(6) NOT NULL,
WC_TYPE varchar(40) DEFAULT 'permission' NOT NULL,
WC_VALUE varchar(50) DEFAULT '1' NOT NULL,
PRIMARY KEY (W_ID, WC_TYPE)
);
# ------------------------------------
# data for table 'widget_condition'
# ------------------------------------

INSERT INTO widget_condition (W_ID,WC_TYPE,WC_VALUE) VALUES
('1','permission','56'),
('2','evenements','1'),
('2','gardes','0'),
('2','permission','41'),
('3','disponibilites','1'),
('5','gardes','1'),
('5','permission','61'),
('6','gardes','1'),
('6','permission','61'),
('8','assoc','1'),
('8','permission','41'),
('10','permission','13'),
('11','assoc','1'),
('11','evenements','1'),
('11','permission','29'),
('12','evenements','1'),
('12','assoc','1'),
('12','permission','15'),
('13','evenements','1'),
('14','permission','13'),
('15','vehicules','1'),
('15','permission','17'),
('16','consommables','1'),
('16','permission','71'),
('17','remplacements','1'),
('17','gardes','1'),
('17','permission','61'),
('19','evenements','1'),
('19','assoc','1'),
('20','multi_check_rights_notes','1'),
('21','evenements','1'),
('21','permission','41'),
('23','remplacements','1'),
('23','gardes','0'),
('23','permission','41'),
('24','remplacements','1'),
('24','gardes','1'),
('24','permission','61'),
('25','remplacements','1'),
('25','gardes','0'),
('25','permission','41'),
('10','army','0'),
('26','pompiers','1'),
('26','evenements','1'),
('9','permission','40'),
('27','syndicate','1'),
('28','syndicate','1');

# ------------------------------------
# structure for table 'widget_user'
# ------------------------------------

DROP TABLE IF EXISTS widget_user ;
CREATE TABLE widget_user (
P_ID int(11) NOT NULL,
W_ID smallint(6) NOT NULL,
WU_VISIBLE tinyint(4) DEFAULT '1' NOT NULL,
WU_COLUMN tinyint(4) DEFAULT '1' NOT NULL,
WU_ORDER tinyint(4) DEFAULT '1' NOT NULL,
PRIMARY KEY (P_ID, W_ID)
);
# ------------------------------------
# data for table 'widget_user'
# ------------------------------------



# ------------------------------------
# structure for table 'zipcode'
# ------------------------------------

DROP TABLE IF EXISTS zipcode ;
CREATE TABLE zipcode (
CODE int(11) NOT NULL,
CITY varchar(100) NOT NULL,
DEP varchar(60) NOT NULL,
PRIMARY KEY (CITY, CODE),
KEY CODE (CODE),
KEY DEP (DEP)
);
# ------------------------------------
# data for table 'zipcode'
# ------------------------------------

INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('1000','BOURG EN BRESSE','AIN'),
('1000','ST DENIS LES BOURG','AIN'),
('1000','BROU','AIN'),
('1090','AMAREINS','AIN'),
('1090','CESSEINS','AIN'),
('1090','AMAREINS FRANCHELEINS CES','AIN'),
('1090','GENOUILLEUX','AIN'),
('1090','GUEREINS','AIN'),
('1090','LURCY','AIN'),
('1090','MONTCEAUX','AIN'),
('1090','MONTMERLE SUR SAONE','AIN'),
('1100','APREMONT','AIN'),
('1100','ARBENT','AIN'),
('1100','BOUVENT','AIN'),
('1100','GEOVREISSET','AIN'),
('1100','OYONNAX','AIN'),
('1100','VEYZIAT','AIN'),
('1110','ARANC','AIN'),
('1110','BRENOD','AIN'),
('1110','CHAMPDOR','AIN'),
('1110','CORCELLES','AIN'),
('1110','CORLIER','AIN'),
('1110','CORMARANCHE EN BUGEY','AIN'),
('1110','HAUTEVILLE LOMPNES','AIN'),
('1110','HOSTIAS','AIN'),
('1110','THEZILLIEU','AIN'),
('1120','LA BOISSE','AIN'),
('1120','CORDIEUX','AIN'),
('1120','DAGNEUX','AIN'),
('1120','MONTLUEL','AIN'),
('1120','NIEVROZ','AIN'),
('1120','PIZAY','AIN'),
('1120','STE CROIX','AIN'),
('1120','THIL','AIN'),
('1120','JAILLEUX','AIN'),
('1120','LA LECHERE','AIN'),
('1120','RAPAN','AIN'),
('1120','CHANES','AIN'),
('1130','BELLEYDOUX','AIN'),
('1130','CHARIX','AIN'),
('1130','ECHALLON','AIN'),
('1130','GIRON','AIN'),
('1130','LALLEYRIAT','AIN'),
('1130','NANTUA','AIN'),
('1130','LES NEYROLLES','AIN'),
('1130','PLAGNE','AIN'),
('1130','LE POIZAT','AIN'),
('1130','ST GERMAIN DE JOUX','AIN'),
('1140','GARNERANS','AIN'),
('1140','ILLIAT','AIN'),
('1140','MOGNENEINS','AIN'),
('1140','PEYZIEUX SUR SAONE','AIN'),
('1140','ST DIDIER SUR CHALARONNE','AIN'),
('1140','ST ETIENNE SUR CHALARONNE','AIN'),
('1140','THOISSEY','AIN'),
('1140','VALEINS','AIN'),
('1150','BLYES','AIN'),
('1150','CHAZEY SUR AIN','AIN'),
('1150','LAGNIEU','AIN'),
('1150','LEYMENT','AIN'),
('1150','STE JULIE','AIN'),
('1150','ST SORLIN EN BUGEY','AIN'),
('1150','ST VULBAS','AIN'),
('1150','SAULT BRENAZ','AIN'),
('1150','SOUCLIN','AIN'),
('1150','VAUX EN BUGEY','AIN'),
('1150','VILLEBOIS','AIN'),
('1160','DRUILLAT','AIN'),
('1160','NEUVILLE SUR AIN','AIN'),
('1160','PONT D AIN','AIN'),
('1160','PRIAY','AIN'),
('1160','ST MARTIN DU MONT','AIN'),
('1160','LA TRANCLIERE','AIN'),
('1160','VARAMBON','AIN'),
('1170','CESSY','AIN'),
('1170','CHEVRY','AIN'),
('1170','CROZET','AIN'),
('1170','ECHENEVEX','AIN'),
('1170','GEX','AIN'),
('1170','MIJOUX','AIN'),
('1170','SEGNY','AIN'),
('1170','VESANCY','AIN'),
('1190','ARBIGNY','AIN'),
('1190','BOISSEY','AIN'),
('1190','BOZ','AIN'),
('1190','CHAVANNES SUR REYSSOUZE','AIN'),
('1190','CHEVROUX','AIN'),
('1190','GORREVOD','AIN'),
('1190','OZAN','AIN'),
('1190','PONT DE VAUX','AIN'),
('1190','REYSSOUZE','AIN'),
('1190','ST BENIGNE','AIN'),
('1190','ST ETIENNE SUR REYSSOUZE','AIN'),
('1190','SERMOYER','AIN'),
('1200','BELLEGARDE SUR VALSERINE','AIN'),
('1200','BILLIAT','AIN'),
('1200','CHATILLON EN MICHAILLE','AIN'),
('1200','CHEZERY FORENS','AIN'),
('1200','CONFORT','AIN'),
('1200','CRAZ EN MICHAILLE','AIN'),
('1200','INJOUX GENISSIAT','AIN'),
('1200','LANCRANS','AIN'),
('1200','LEAZ','AIN'),
('1200','MONTANGES','AIN'),
('1200','OCHIAZ','AIN'),
('1200','VILLES','AIN'),
('1200','VOUVRAY','AIN'),
('1200','ELOISE','AIN'),
('1200','ST GERMAIN SUR RHONE','AIN'),
('1210','FERNEY VOLTAIRE','AIN'),
('1210','ORNEX','AIN'),
('1210','VERSONNEX','AIN'),
('1220','DIVONNE LES BAINS','AIN'),
('1220','GRILLY','AIN'),
('1220','SAUVERNY','AIN'),
('1230','ARANDAS','AIN'),
('1230','ARGIS','AIN'),
('1230','CHALEY','AIN'),
('1230','CLEYZIEU','AIN'),
('1230','CONAND','AIN'),
('1230','EVOSGES','AIN'),
('1230','NIVOLLET MONTGRIFFON','AIN'),
('1230','ONCIEU','AIN'),
('1230','ST RAMBERT EN BUGEY','AIN'),
('1230','TENAY','AIN'),
('1230','TORCIEU','AIN'),
('1240','CERTINES','AIN'),
('1240','LA CHAPELLE DU CHATELARD','AIN'),
('1240','DOMPIERRE SUR VEYLE','AIN'),
('1240','LENT','AIN'),
('1240','MARLIEUX','AIN'),
('1240','ST ANDRE LE BOUCHOUX','AIN'),
('1240','ST ANDRE SUR VIEUX JONC','AIN'),
('1240','ST GERMAIN SUR RENON','AIN'),
('1240','ST PAUL DE VARAX','AIN'),
('1240','SERVAS','AIN'),
('1250','BOHAS','AIN'),
('1250','CEYZERIAT','AIN'),
('1250','CHAVANNES SUR SURAN','AIN'),
('1250','CIZE','AIN'),
('1250','CORVEISSIAT','AIN'),
('1250','DROM','AIN'),
('1250','GERMAGNAT','AIN'),
('1250','GRAND CORENT','AIN'),
('1250','HAUTECOURT ROMANECHE','AIN'),
('1250','JASSERON','AIN'),
('1250','JOURNANS','AIN'),
('1250','BOHAS MEYRIAT RIGNAT','AIN'),
('1250','MONTAGNAT','AIN'),
('1250','POUILLAT','AIN'),
('1250','RAMASSE','AIN'),
('1250','REVONNAS','AIN'),
('1250','RIGNAT','AIN'),
('1250','ROMANECHE','AIN'),
('1250','ST JUST','AIN'),
('1250','SIMANDRE SUR SURAN','AIN'),
('1250','TOSSIAT','AIN'),
('1250','VILLEREVERSURE','AIN'),
('1260','BELMONT LUTHEZIEU','AIN'),
('1260','BRENAZ','AIN'),
('1260','CHAMPAGNE EN VALROMEY','AIN'),
('1260','CHARANCIN','AIN'),
('1260','FITIGNIEU','AIN'),
('1260','LE GRAND ABERGEMENT','AIN'),
('1260','HOTONNES','AIN'),
('1260','LILIGNOD','AIN'),
('1260','LOCHIEU','AIN'),
('1260','LOMPNIEU','AIN'),
('1260','LUTHEZIEU','AIN'),
('1260','PASSIN','AIN'),
('1260','LE PETIT ABERGEMENT','AIN'),
('1260','RUFFIEU','AIN'),
('1260','SONGIEU','AIN'),
('1260','SUTRIEU','AIN'),
('1260','VIEU','AIN'),
('1260','VIRIEU LE PETIT','AIN'),
('1270','BEAUPONT','AIN'),
('1270','COLIGNY','AIN'),
('1270','DOMSURE','AIN'),
('1270','PIRAJOUX','AIN'),
('1270','SALAVRE','AIN'),
('1270','VERJON','AIN'),
('1270','VILLEMOTIER','AIN'),
('1280','MOENS','AIN'),
('1280','PREVESSIN MOENS','AIN'),
('1290','BEY','AIN'),
('1290','BIZIAT','AIN'),
('1290','CORMORANCHE SUR SAONE','AIN'),
('1290','CRUZILLES LES MEPILLAT','AIN'),
('1290','GRIEGES','AIN'),
('1290','LAIZ','AIN'),
('1290','PONT DE VEYLE','AIN'),
('1290','ST ANDRE D HUIRIAT','AIN'),
('1290','ST JEAN SUR VEYLE','AIN'),
('1300','AMBLEON','AIN'),
('1300','ANDERT ET CONDON','AIN'),
('1300','ARBIGNIEU','AIN'),
('1300','BELLEY','AIN'),
('1300','BREGNIER CORDON','AIN'),
('1300','BRENS','AIN');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('1300','CHAZEY BONS','AIN'),
('1300','COLOMIEU','AIN'),
('1300','CONTREVOZ','AIN'),
('1300','CONZIEU','AIN'),
('1300','CUZIEU','AIN'),
('1300','IZIEU','AIN'),
('1300','MAGNIEU','AIN'),
('1300','MARIGNIEU','AIN'),
('1300','MASSIGNIEU DE RIVES','AIN'),
('1300','MURS ET GELIGNIEUX','AIN'),
('1300','NATTAGES','AIN'),
('1300','PARVES','AIN'),
('1300','PEYRIEU','AIN'),
('1300','PREMEYZEL','AIN'),
('1300','ST BENOIT','AIN'),
('1300','ST BOIS','AIN'),
('1300','ST CHAMP','AIN'),
('1300','ST GERMAIN LES PAROISSES','AIN'),
('1300','VIRIGNIN','AIN'),
('1310','BUELLAS','AIN'),
('1310','CONFRANCON','AIN'),
('1310','CURTAFOND','AIN'),
('1310','MONTCET','AIN'),
('1310','MONTRACOL','AIN'),
('1310','POLLIAT','AIN'),
('1310','ST MARTIN LE CHATEL','AIN'),
('1310','ST REMY','AIN'),
('1310','CORGENON','AIN'),
('1320','CHALAMONT','AIN'),
('1320','CHATENAY','AIN'),
('1320','CHATILLON LA PALUD','AIN'),
('1320','CRANS','AIN'),
('1320','ST NIZIER LE DESERT','AIN'),
('1320','VILLETTE SUR AIN','AIN'),
('1330','AMBERIEUX EN DOMBES','AIN'),
('1330','BIRIEUX','AIN'),
('1330','BOULIGNEUX','AIN'),
('1330','LAPEYROUSE','AIN'),
('1330','LE PLANTAY','AIN'),
('1330','STE OLIVE','AIN'),
('1330','VERSAILLEUX','AIN'),
('1330','VILLARS LES DOMBES','AIN'),
('1340','ATTIGNAT','AIN'),
('1340','BEREZIAT','AIN'),
('1340','CRAS SUR REYSSOUZE','AIN'),
('1340','ETREZ','AIN'),
('1340','FOISSIAT','AIN'),
('1340','JAYAT','AIN'),
('1340','MALAFRETAZ','AIN'),
('1340','MARSONNAS','AIN'),
('1340','MONTREVEL EN BRESSE','AIN'),
('1340','ST DIDIER D AUSSIAT','AIN'),
('1340','ST SULPICE','AIN'),
('1350','ANGLEFORT','AIN'),
('1350','BEON','AIN'),
('1350','CEYZERIEU','AIN'),
('1350','CRESSIN ROCHEFORT','AIN'),
('1350','CULOZ','AIN'),
('1350','FLAXIEU','AIN'),
('1350','LAVOURS','AIN'),
('1350','POLLIEU','AIN'),
('1350','VONGNES','AIN'),
('1360','BALAN','AIN'),
('1360','BELIGNEUX','AIN'),
('1360','BRESSOLLES','AIN'),
('1360','LOYETTES','AIN'),
('1360','CAMP DE LA VALBONNE','AIN'),
('1360','LA VALBONNE','AIN'),
('1370','BENY','AIN'),
('1370','COURMANGOUX','AIN'),
('1370','CUISIAT','AIN'),
('1370','MEILLONNAS','AIN'),
('1370','PRESSIAT','AIN'),
('1370','ST ETIENNE DU BOIS','AIN'),
('1370','TREFFORT CUISIAT','AIN'),
('1380','BAGE LA VILLE','AIN'),
('1380','BAGE LE CHATEL','AIN'),
('1380','DOMMARTIN','AIN'),
('1380','ST ANDRE DE BAGE','AIN'),
('1380','ST CYR SUR MENTHON','AIN'),
('1380','ST GENIS SUR MENTHON','AIN'),
('1390','CIVRIEUX','AIN'),
('1390','MIONNAY','AIN'),
('1390','MONTHIEUX','AIN'),
('1390','RANCE','AIN'),
('1390','ST ANDRE DE CORCY','AIN'),
('1390','ST JEAN DE THURIGNEUX','AIN'),
('1390','ST MARCEL','AIN'),
('1390','TRAMOYES','AIN'),
('1400','L ABERGEMENT CLEMENCIAT','AIN'),
('1400','CHANOZ CHATENAY','AIN'),
('1400','CHATILLON SUR CHALARONNE','AIN'),
('1400','CONDEISSIAT','AIN'),
('1400','DOMPIERRE SUR CHALARONNE','AIN'),
('1400','NEUVILLE LES DAMES','AIN'),
('1400','ROMANS','AIN'),
('1400','ST GEORGES SUR RENON','AIN'),
('1400','SANDRANS','AIN'),
('1400','SULIGNAT','AIN'),
('1410','CHAMPFROMIER','AIN'),
('1410','LELEX','AIN'),
('1420','CHANAY','AIN'),
('1420','CORBONOD','AIN'),
('1420','LHOPITAL','AIN'),
('1420','SEYSSEL','AIN'),
('1420','SURJOUX','AIN'),
('1430','CEIGNES','AIN'),
('1430','CHEVILLARD','AIN'),
('1430','CONDAMINE','AIN'),
('1430','IZENAVE','AIN'),
('1430','LANTENAY','AIN'),
('1430','MAILLAT','AIN'),
('1430','OUTRIAZ','AIN'),
('1430','PEYRIAT','AIN'),
('1430','ST MARTIN DU FRENE','AIN'),
('1430','VIEU D IZENAVE','AIN'),
('1440','VIRIAT','AIN'),
('1450','BOLOZON','AIN'),
('1450','CERDON','AIN'),
('1450','CHALLES','AIN'),
('1450','LABALME','AIN'),
('1450','LEYSSARD','AIN'),
('1450','MERIGNAT','AIN'),
('1450','PONCIN','AIN'),
('1450','ST ALBAN','AIN'),
('1450','SERRIERES SUR AIN','AIN'),
('1460','BRION','AIN'),
('1460','GEOVREISSIAT','AIN'),
('1460','MONTREAL LA CLUSE','AIN'),
('1460','NURIEUX VOLOGNAT','AIN'),
('1460','PORT','AIN'),
('1460','VOLOGNAT','AIN'),
('1470','BENONCES','AIN'),
('1470','BRIORD','AIN'),
('1470','MONTAGNIEU','AIN'),
('1470','SEILLONNAZ','AIN'),
('1470','SERRIERES DE BRIORD','AIN'),
('1480','ARS SUR FORMANS','AIN'),
('1480','BEAUREGARD','AIN'),
('1480','CHALEINS','AIN'),
('1480','FAREINS','AIN'),
('1480','FRANS','AIN'),
('1480','JASSANS RIOTTIER','AIN'),
('1480','MESSIMY SUR SAONE','AIN'),
('1480','SAVIGNEUX','AIN'),
('1480','VILLENEUVE','AIN'),
('1500','AMBERIEU EN BUGEY','AIN'),
('1500','AMBRONAY','AIN'),
('1500','AMBUTRIX','AIN'),
('1500','BETTANT','AIN'),
('1500','CHATEAU GAILLARD','AIN'),
('1500','DOUVRES','AIN'),
('1500','ST DENIS EN BUGEY','AIN'),
('1500','ST MAURICE DE REMENS','AIN'),
('1510','ARMIX','AIN'),
('1510','ARTEMARE','AIN'),
('1510','LA BURBANCHE','AIN'),
('1510','CHAVORNAY','AIN'),
('1510','CHEIGNIEU LA BALME','AIN'),
('1510','ORDONNAZ','AIN'),
('1510','PREMILLIEU','AIN'),
('1510','PUGIEU','AIN'),
('1510','ROSSILLON','AIN'),
('1510','ST MARTIN DE BAVEL','AIN'),
('1510','TALISSIEU','AIN'),
('1510','VIRIEU LE GRAND','AIN'),
('1540','PERREX','AIN'),
('1540','ST JULIEN SUR VEYLE','AIN'),
('1540','VONNAS','AIN'),
('1550','COLLONGES','AIN'),
('1550','FARGES','AIN'),
('1550','POUGNY','AIN'),
('1560','CORMOZ','AIN'),
('1560','COURTES','AIN'),
('1560','CURCIAT DONGALON','AIN'),
('1560','LESCHEROUX','AIN'),
('1560','MANTENAY MONTLIN','AIN'),
('1560','ST JEAN SUR REYSSOUZE','AIN'),
('1560','ST JULIEN SUR REYSSOUZE','AIN'),
('1560','ST NIZIER LE BOUCHOUX','AIN'),
('1560','ST TRIVIER DE COURTES','AIN'),
('1560','SERVIGNAT','AIN'),
('1560','VERNOUX','AIN'),
('1560','VESCOURS','AIN'),
('1570','ASNIERES SUR SAONE','AIN'),
('1570','FEILLENS','AIN'),
('1570','MANZIAT','AIN'),
('1570','VESINES','AIN'),
('1580','GRANGES','AIN'),
('1580','IZERNORE','AIN'),
('1580','MATAFELON GRANGES','AIN'),
('1580','NAPT','AIN'),
('1580','SAMOGNAT','AIN'),
('1580','SONTHONNAX LA MONTAGNE','AIN'),
('1590','DORTAN','AIN'),
('1590','CHANCIA','AIN'),
('1590','LAVANCIA EPERCY','AIN'),
('1600','MASSIEUX','AIN'),
('1600','MISERIEUX','AIN'),
('1600','PARCIEUX','AIN');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('1600','REYRIEUX','AIN'),
('1600','ST BERNARD','AIN'),
('1600','ST DIDIER DE FORMANS','AIN'),
('1600','STE EUPHEMIE','AIN'),
('1600','TOUSSIEUX','AIN'),
('1600','TREVOUX','AIN'),
('1620','CROTTET','AIN'),
('1620','REPLONGES','AIN'),
('1620','ST LAURENT SUR SAONE','AIN'),
('1630','CHALLEX','AIN'),
('1630','PERON','AIN'),
('1630','ST GENIS POUILLY','AIN'),
('1630','ST JEAN DE GONVILLE','AIN'),
('1630','SERGY','AIN'),
('1630','CERN SITE DE PREVESSIN','AIN'),
('1640','L ABERGEMENT DE VAREY','AIN'),
('1640','BOYEUX ST JEROME','AIN'),
('1640','JUJURIEUX','AIN'),
('1640','ST JEAN LE VIEUX','AIN'),
('1660','CHAVEYRIAT','AIN'),
('1660','MEZERIAT','AIN'),
('1660','VANDEINS','AIN'),
('1680','GROSLEE','AIN'),
('1680','INNIMOND','AIN'),
('1680','LHUIS','AIN'),
('1680','LOMPNAS','AIN'),
('1680','MARCHAMP','AIN'),
('1700','BEYNOST','AIN'),
('1700','MIRIBEL','AIN'),
('1700','NEYRON','AIN'),
('1700','ST MAURICE DE BEYNOST','AIN'),
('1700','LE MAS RILLIER','AIN'),
('1700','LES ECHETS','AIN'),
('1710','THOIRY','AIN'),
('1800','BOURG ST CHRISTOPHE','AIN'),
('1800','CHARNOZ SUR AIN','AIN'),
('1800','FARAMANS','AIN'),
('1800','JOYEUX','AIN'),
('1800','LOYES','AIN'),
('1800','MEXIMIEUX','AIN'),
('1800','MOLLON','AIN'),
('1800','LE MONTELLIER','AIN'),
('1800','PEROUGES','AIN'),
('1800','RIGNIEUX LE FRANC','AIN'),
('1800','ST ELOI','AIN'),
('1800','ST JEAN DE NIOST','AIN'),
('1800','ST MAURICE DE GOURDANS','AIN'),
('1800','VILLIEU LOYES MOLLON','AIN'),
('1800','MARFOZ','AIN'),
('1810','BELLIGNAT','AIN'),
('1810','GROISSIAT','AIN'),
('1810','MARTIGNAT','AIN'),
('1851','MARBOZ','AIN'),
('1960','PERONNAS','AIN'),
('1990','BANEINS','AIN'),
('1990','CHANEINS','AIN'),
('1990','RELEVANT','AIN'),
('1990','ST TRIVIER SUR MOIGNANS','AIN'),
('2000','AULNOIS SOUS LAON','AISNE'),
('2000','BARENTON BUGNY','AISNE'),
('2000','BARENTON CEL','AISNE'),
('2000','BOURGIGNON SOUS MONTBAVIN','AISNE'),
('2000','BRAYE EN LAONNOIS','AISNE'),
('2000','CHAILLEVOIS','AISNE'),
('2000','CHAMBRY','AISNE'),
('2000','CHAVIGNON','AISNE'),
('2000','CHERY LES POUILLY','AISNE'),
('2000','CHEVREGNY','AISNE'),
('2000','CHIVY LES ETOUVELLES','AISNE'),
('2000','CLACY ET THIERRET','AISNE'),
('2000','ETOUVELLES','AISNE'),
('2000','FILAIN','AISNE'),
('2000','LANISCOURT','AISNE'),
('2000','LAON','AISNE'),
('2000','MERLIEUX ET FOUQUEROLLES','AISNE'),
('2000','MOLINCHART','AISNE'),
('2000','MONAMPTEUIL','AISNE'),
('2000','MONS EN LAONNOIS','AISNE'),
('2000','MONTBAVIN','AISNE'),
('2000','PARGNY FILAIN','AISNE'),
('2000','ROYAUCOURT ET CHAILVET','AISNE'),
('2000','URCEL','AISNE'),
('2000','VAUCELLES ET BEFFECOURT','AISNE'),
('2000','VERNEUIL SUR SERRE','AISNE'),
('2100','ESSIGNY LE PETIT','AISNE'),
('2100','FAYET','AISNE'),
('2100','GRICOURT','AISNE'),
('2100','HARLY','AISNE'),
('2100','LESDINS','AISNE'),
('2100','MORCOURT','AISNE'),
('2100','NEUVILLE ST AMAND','AISNE'),
('2100','OMISSY','AISNE'),
('2100','REMAUCOURT','AISNE'),
('2100','ROUVROY','AISNE'),
('2100','ST QUENTIN','AISNE'),
('2110','AISONVILLE ET BERNOVILLE','AISNE'),
('2110','BEAUREVOIR','AISNE'),
('2110','BECQUIGNY','AISNE'),
('2110','BOHAIN EN VERMANDOIS','AISNE'),
('2110','BRANCOURT LE GRAND','AISNE'),
('2110','CROIX FONSOMMES','AISNE'),
('2110','ETAVES ET BOCQUIAUX','AISNE'),
('2110','FIEULAINE','AISNE'),
('2110','FONSOMMES','AISNE'),
('2110','FONTAINE NOTRE DAME','AISNE'),
('2110','FONTAINE UTERTE','AISNE'),
('2110','GROUGIS','AISNE'),
('2110','MOLAIN','AISNE'),
('2110','MONTBREHAIN','AISNE'),
('2110','MONTIGNY EN ARROUAISE','AISNE'),
('2110','PREMONT','AISNE'),
('2110','RAMICOURT','AISNE'),
('2110','RIBEAUVILLE','AISNE'),
('2110','ST MARTIN RIVIERE','AISNE'),
('2110','SEBONCOURT','AISNE'),
('2110','SERAIN','AISNE'),
('2110','LA VALLEE MULATRE','AISNE'),
('2110','VAUX ANDIGNY','AISNE'),
('2120','AUDIGNY','AISNE'),
('2120','BERNOT','AISNE'),
('2120','CHIGNY','AISNE'),
('2120','COLONFAY','AISNE'),
('2120','CRUPILLY','AISNE'),
('2120','FLAVIGNY LE GRAND ET BEAU','AISNE'),
('2120','GUISE','AISNE'),
('2120','HAUTEVILLE','AISNE'),
('2120','LE HERIE LA VIEVILLE','AISNE'),
('2120','LANDIFAY ET BERTAIGNEMONT','AISNE'),
('2120','LESQUIELLES ST GERMAIN','AISNE'),
('2120','LONGCHAMPS','AISNE'),
('2120','MACQUIGNY','AISNE'),
('2120','MALZY','AISNE'),
('2120','MARLY GOMONT','AISNE'),
('2120','MONCEAU SUR OISE','AISNE'),
('2120','NOYALES','AISNE'),
('2120','PROISY','AISNE'),
('2120','PROIX','AISNE'),
('2120','PUISIEUX ET CLANLIEU','AISNE'),
('2120','ROMERY','AISNE'),
('2120','SAINS RICHAUMONT','AISNE'),
('2120','TUPIGNY','AISNE'),
('2120','VADENCOURT','AISNE'),
('2120','GRAND VERLY','AISNE'),
('2120','VILLERS LES GUISE','AISNE'),
('2120','WIEGE FATY','AISNE'),
('2130','ARCY STE RESTITUE','AISNE'),
('2130','BEUVARDES','AISNE'),
('2130','BRANGES','AISNE'),
('2130','BRUYERES SUR FERE','AISNE'),
('2130','CIERGES','AISNE'),
('2130','COHAN','AISNE'),
('2130','COULONGES COHAN','AISNE'),
('2130','COURMONT','AISNE'),
('2130','CRAMAILLE','AISNE'),
('2130','DRAVEGNY','AISNE'),
('2130','FERE EN TARDENOIS','AISNE'),
('2130','FRESNES EN TARDENOIS','AISNE'),
('2130','GOUSSANCOURT','AISNE'),
('2130','LOUPEIGNE','AISNE'),
('2130','MAREUIL EN DOLE','AISNE'),
('2130','RONCHERES','AISNE'),
('2130','SAPONAY','AISNE'),
('2130','SERGY','AISNE'),
('2130','SERINGES ET NESLES','AISNE'),
('2130','VEZILLY','AISNE'),
('2130','VILLENEUVE SUR FERE','AISNE'),
('2130','VILLERS AGRON AIGUIZY','AISNE'),
('2130','VILLERS SUR FERE','AISNE'),
('2140','BANCIGNY','AISNE'),
('2140','LA BOUTEILLE','AISNE'),
('2140','BRAYE EN THIERACHE','AISNE'),
('2140','BURELLES','AISNE'),
('2140','DAGNY LAMBERCY','AISNE'),
('2140','FONTAINE LES VERVINS','AISNE'),
('2140','FRANQUEVILLE','AISNE'),
('2140','GERCY','AISNE'),
('2140','GRONARD','AISNE'),
('2140','HARCIGNY','AISNE'),
('2140','HARY','AISNE'),
('2140','HAUTION','AISNE'),
('2140','HOURY','AISNE'),
('2140','JEANTES','AISNE'),
('2140','LAIGNY','AISNE'),
('2140','LANDOUZY LA COUR','AISNE'),
('2140','LANDOUZY LA VILLE','AISNE'),
('2140','LEME','AISNE'),
('2140','LUGNY','AISNE'),
('2140','MARFONTAINE','AISNE'),
('2140','NAMPCELLES LA COUR','AISNE'),
('2140','PLOMION','AISNE'),
('2140','PRISCES','AISNE'),
('2140','ROGNY','AISNE'),
('2140','ROUGERIES','AISNE'),
('2140','ST GOBERT','AISNE'),
('2140','ST PIERRE LES FRANQUEVILL','AISNE'),
('2140','LE SOURD','AISNE'),
('2140','THENAILLES','AISNE'),
('2140','LA VALLEE AU BLE','AISNE'),
('2140','VERVINS','AISNE'),
('2140','VOHARIES','AISNE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('2140','VOULPAIX','AISNE'),
('2150','LAPPION','AISNE'),
('2150','NIZY LE COMTE','AISNE'),
('2150','LA SELVE','AISNE'),
('2150','SISSONNE','AISNE'),
('2160','BARBONVAL','AISNE'),
('2160','BEAURIEUX','AISNE'),
('2160','BLANZY LES FISMES','AISNE'),
('2160','BOUFFIGNEREUX','AISNE'),
('2160','BOURG ET COMIN','AISNE'),
('2160','CHAUDARDES','AISNE'),
('2160','CONCEVREUX','AISNE'),
('2160','CRAONNE','AISNE'),
('2160','CRAONNELLE','AISNE'),
('2160','CUIRY LES CHAUDARDES','AISNE'),
('2160','CUISSY ET GENY','AISNE'),
('2160','GERNICOURT','AISNE'),
('2160','GLENNES','AISNE'),
('2160','GUYENCOURT','AISNE'),
('2160','JUMIGNY','AISNE'),
('2160','LONGUEVAL BARBONVAL','AISNE'),
('2160','MAIZY','AISNE'),
('2160','MERVAL','AISNE'),
('2160','MEURIVAL','AISNE'),
('2160','MOULINS','AISNE'),
('2160','MOUSSY VERNEUIL','AISNE'),
('2160','MUSCOURT','AISNE'),
('2160','OEUILLY','AISNE'),
('2160','OULCHES LA VALLEE FOULON','AISNE'),
('2160','PAISSY','AISNE'),
('2160','PARGNAN','AISNE'),
('2160','PERLES','AISNE'),
('2160','PONT ARCY','AISNE'),
('2160','PONTAVERT','AISNE'),
('2160','REVILLON','AISNE'),
('2160','ROUCY','AISNE'),
('2160','SERVAL','AISNE'),
('2160','SOUPIR','AISNE'),
('2160','VASSOGNE','AISNE'),
('2160','VAUXCERE','AISNE'),
('2160','VENDRESSE BEAULNE','AISNE'),
('2160','VIEL ARCY','AISNE'),
('2160','LA VILLE AUX BOIS LES PON','AISNE'),
('2160','VILLERS EN PRAYERES','AISNE'),
('2170','BARZY EN THIERACHE','AISNE'),
('2170','ESQUEHERIES','AISNE'),
('2170','FONTENELLE','AISNE'),
('2170','LESCHELLES','AISNE'),
('2170','LE NOUVION EN THIERACHE','AISNE'),
('2190','AGUILCOURT','AISNE'),
('2190','AMIFONTAINE','AISNE'),
('2190','BERRY AU BAC','AISNE'),
('2190','BERTRICOURT','AISNE'),
('2190','CONDE SUR SUIPPE','AISNE'),
('2190','EVERGNICOURT','AISNE'),
('2190','GUIGNICOURT','AISNE'),
('2190','JUVINCOURT ET DAMARY','AISNE'),
('2190','LOR','AISNE'),
('2190','LA MALMAISON','AISNE'),
('2190','MENNEVILLE','AISNE'),
('2190','NEUFCHATEL SUR AISNE','AISNE'),
('2190','ORAINVILLE','AISNE'),
('2190','PIGNICOURT','AISNE'),
('2190','PROUVAIS','AISNE'),
('2190','PROVISEUX ET PLESNOY','AISNE'),
('2190','VARISCOURT','AISNE'),
('2200','ACY','AISNE'),
('2200','AMBRIEF','AISNE'),
('2200','BELLEU','AISNE'),
('2200','BERZY LE SEC','AISNE'),
('2200','BILLY SUR AISNE','AISNE'),
('2200','BUZANCY','AISNE'),
('2200','CHACRISE','AISNE'),
('2200','CHAUDUN','AISNE'),
('2200','COURMELLES','AISNE'),
('2200','CUISY EN ALMONT','AISNE'),
('2200','MERCIN ET VAUX','AISNE'),
('2200','MISSY AUX BOIS','AISNE'),
('2200','NAMPTEUIL SOUS MURET','AISNE'),
('2200','NOYANT ET ACONIN','AISNE'),
('2200','PASLY','AISNE'),
('2200','PERNANT','AISNE'),
('2200','PLOISY','AISNE'),
('2200','POMMIERS','AISNE'),
('2200','ROZIERES SUR CRISE','AISNE'),
('2200','SACONIN ET BREUIL','AISNE'),
('2200','SEPTMONTS','AISNE'),
('2200','SOISSONS','AISNE'),
('2200','VAUREZIS','AISNE'),
('2200','VAUXBUIN','AISNE'),
('2200','VENIZEL','AISNE'),
('2200','VILLENEUVE ST GERMAIN','AISNE'),
('2210','ARMENTIERES SUR OURCQ','AISNE'),
('2210','BEUGNEUX','AISNE'),
('2210','BILLY SUR OURCQ','AISNE'),
('2210','BRECY','AISNE'),
('2210','BRENY','AISNE'),
('2210','CHOUY','AISNE'),
('2210','COINCY','AISNE'),
('2210','LA CROIX SUR OURCQ','AISNE'),
('2210','CUGNY LES CROUTTES','AISNE'),
('2210','DROIZY','AISNE'),
('2210','GRISOLLES','AISNE'),
('2210','HARTENNES ET TAUX','AISNE'),
('2210','LATILLY','AISNE'),
('2210','LAUNOY','AISNE'),
('2210','MONTGRU ST HILAIRE','AISNE'),
('2210','MURET ET CROUTTES','AISNE'),
('2210','NANTEUIL NOTRE DAME','AISNE'),
('2210','OULCHY LA VILLE','AISNE'),
('2210','OULCHY LE CHATEAU','AISNE'),
('2210','PARCY ET TIGNY','AISNE'),
('2210','LE PLESSIER HULEU','AISNE'),
('2210','ROCOURT ST MARTIN','AISNE'),
('2210','ROZET ST ALBIN','AISNE'),
('2210','GRAND ROZOY','AISNE'),
('2210','ST REMY BLANZY','AISNE'),
('2210','VICHEL NANTEUIL','AISNE'),
('2210','VIERZY','AISNE'),
('2210','VILLEMONTOIRE','AISNE'),
('2220','AUGY','AISNE'),
('2220','BAZOCHES SUR VESLES','AISNE'),
('2220','BRAINE','AISNE'),
('2220','BRENELLE','AISNE'),
('2220','BRUYS','AISNE'),
('2220','CERSEUIL','AISNE'),
('2220','CHERY CHARTREUVE','AISNE'),
('2220','CIRY SALSOGNE','AISNE'),
('2220','COURCELLES SUR VESLES','AISNE'),
('2220','COUVRELLES','AISNE'),
('2220','CUIRY HOUSSE','AISNE'),
('2220','CYS LA COMMUNE','AISNE'),
('2220','DHUIZEL','AISNE'),
('2220','JOUAIGNES','AISNE'),
('2220','LESGES','AISNE'),
('2220','LHUYS','AISNE'),
('2220','LIME','AISNE'),
('2220','MAAST ET VIOLAINE','AISNE'),
('2220','MONT NOTRE DAME','AISNE'),
('2220','MONT ST MARTIN','AISNE'),
('2220','PAARS','AISNE'),
('2220','QUINCY SOUS LE MONT','AISNE'),
('2220','ST MARD','AISNE'),
('2220','ST THIBAUT','AISNE'),
('2220','SERCHES','AISNE'),
('2220','SERMOISE','AISNE'),
('2220','TANNIERES','AISNE'),
('2220','VASSENY','AISNE'),
('2220','VAUXTIN','AISNE'),
('2220','VILLE SAVOYE','AISNE'),
('2230','FRESNOY LE GRAND','AISNE'),
('2240','ALAINCOURT','AISNE'),
('2240','BERTHENICOURT','AISNE'),
('2240','BRISSAY CHOIGNY','AISNE'),
('2240','BRISSY HAMEGICOURT','AISNE'),
('2240','CERIZY','AISNE'),
('2240','CHATILLON SUR OISE','AISNE'),
('2240','ITANCOURT','AISNE'),
('2240','MEZIERES SUR OISE','AISNE'),
('2240','PARPEVILLE','AISNE'),
('2240','PLEINE SELVE','AISNE'),
('2240','REGNY','AISNE'),
('2240','RENANSART','AISNE'),
('2240','RIBEMONT','AISNE'),
('2240','SERY LES MEZIERES','AISNE'),
('2240','SISSY','AISNE'),
('2240','SURFONTAINE','AISNE'),
('2240','VILLERS LE SEC','AISNE'),
('2250','AUTREMENCOURT','AISNE'),
('2250','BERLANCOURT','AISNE'),
('2250','BOSMONT SUR SERRE','AISNE'),
('2250','CHEVENNES','AISNE'),
('2250','CILLY','AISNE'),
('2250','ERLON','AISNE'),
('2250','HOUSSET','AISNE'),
('2250','MARCY SOUS MARLE','AISNE'),
('2250','MARLE','AISNE'),
('2250','MONTIGNY LE FRANC','AISNE'),
('2250','MONTIGNY SOUS MARLE','AISNE'),
('2250','LA NEUVILLE BOSMONT','AISNE'),
('2250','LA NEUVILLE HOUSSET','AISNE'),
('2250','ST PIERREMONT','AISNE'),
('2250','TAVAUX ET PONTSERICOURT','AISNE'),
('2250','THIERNU','AISNE'),
('2250','TOULIS ET ATTENCOURT','AISNE'),
('2250','VOYENNE','AISNE'),
('2260','LA CAPELLE','AISNE'),
('2260','CLAIRFONTAINE','AISNE'),
('2260','ENGLANCOURT','AISNE'),
('2260','ERLOY','AISNE'),
('2260','LA FLAMENGRIE','AISNE'),
('2260','FROIDESTREES','AISNE'),
('2260','GERGNY','AISNE'),
('2260','LERZY','AISNE'),
('2260','PAPLEUX','AISNE'),
('2260','ROCQUIGNY','AISNE'),
('2260','ST ALGIS','AISNE'),
('2260','SOMMERON','AISNE'),
('2270','ASSIS SUR SERRE','AISNE'),
('2270','BARENTON SUR SERRE','AISNE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('2270','BOIS LES PARGNY','AISNE'),
('2270','CHALANDRY','AISNE'),
('2270','CHATILLON LES SONS','AISNE'),
('2270','CHEVRESIS MONCEAU','AISNE'),
('2270','COUVRON ET AUMENCOURT','AISNE'),
('2270','CRECY SUR SERRE','AISNE'),
('2270','DERCY','AISNE'),
('2270','LA FERTE CHEVRESIS','AISNE'),
('2270','FROIDMONT COHARTILLE','AISNE'),
('2270','MESBRECOURT RICHECOURT','AISNE'),
('2270','MONCEAU LE NEUF ET FAUCOU','AISNE'),
('2270','MONCEAU LES LEUPS','AISNE'),
('2270','MONTIGNY SUR CRECY','AISNE'),
('2270','MORTIERS','AISNE'),
('2270','NOUVION ET CATILLON','AISNE'),
('2270','PARGNY LES BOIS','AISNE'),
('2270','PONT A BUCY','AISNE'),
('2270','POUILLY SUR SERRE','AISNE'),
('2270','REMIES','AISNE'),
('2270','SONS ET RONCHERES','AISNE'),
('2290','AMBLENY','AISNE'),
('2290','BAGNEUX','AISNE'),
('2290','BERNY RIVIERE','AISNE'),
('2290','BIEUXY','AISNE'),
('2290','EPAGNY','AISNE'),
('2290','FONTENOY','AISNE'),
('2290','MONTIGNY LENGRAIN','AISNE'),
('2290','MORSAIN','AISNE'),
('2290','NOUVRON VINGRE','AISNE'),
('2290','OSLY COURTIL','AISNE'),
('2290','RESSONS LE LONG','AISNE'),
('2290','ST BANDRY','AISNE'),
('2290','ST CHRISTOPHE A BERRY','AISNE'),
('2290','TARTIERS','AISNE'),
('2290','VASSENS','AISNE'),
('2290','VEZAPONIN','AISNE'),
('2290','VIC SUR AISNE','AISNE'),
('2300','ABBECOURT','AISNE'),
('2300','AUDIGNICOURT','AISNE'),
('2300','AUTREVILLE','AISNE'),
('2300','BEAUMONT EN BEINE','AISNE'),
('2300','BESME','AISNE'),
('2300','BETHANCOURT EN VAUX','AISNE'),
('2300','BICHANCOURT','AISNE'),
('2300','BLERANCOURT','AISNE'),
('2300','BOURGUIGNON SOUS COUCY','AISNE'),
('2300','CAILLOUEL CREPIGNY','AISNE'),
('2300','CAMELIN','AISNE'),
('2300','CAUMONT','AISNE'),
('2300','CHAUNY','AISNE'),
('2300','COMMENCHON','AISNE'),
('2300','GUIVRY','AISNE'),
('2300','GUNY','AISNE'),
('2300','LOMBRAY','AISNE'),
('2300','MANICAMP','AISNE'),
('2300','MAREST DAMPCOURT','AISNE'),
('2300','NEUFLIEUX','AISNE'),
('2300','LA NEUVILLE EN BEINE','AISNE'),
('2300','OGNES','AISNE'),
('2300','PIERREMANDE','AISNE'),
('2300','QUIERZY','AISNE'),
('2300','ST AUBIN','AISNE'),
('2300','ST PAUL AUX BOIS','AISNE'),
('2300','SELENS','AISNE'),
('2300','SINCENY','AISNE'),
('2300','TROSLY LOIRE','AISNE'),
('2300','UGNY LE GAY','AISNE'),
('2300','VILLEQUIER AUMONT','AISNE'),
('2300','VIRY NOUREUIL','AISNE'),
('2310','BEZU LE GUERY','AISNE'),
('2310','CHARLY','AISNE'),
('2310','COUPRU','AISNE'),
('2310','CROUTTES SUR MARNE','AISNE'),
('2310','DOMPTIN','AISNE'),
('2310','MONTREUIL AUX LIONS','AISNE'),
('2310','NOGENT L ARTAUD','AISNE'),
('2310','PAVANT','AISNE'),
('2310','ROMENY SUR MARNE','AISNE'),
('2310','SAULCHERY','AISNE'),
('2310','VILLIERS ST DENIS','AISNE'),
('2320','ALLEMANT','AISNE'),
('2320','ANIZY LE CHATEAU','AISNE'),
('2320','BRANCOURT EN LAONNOIS','AISNE'),
('2320','CESSIERES','AISNE'),
('2320','FAUCOUCOURT','AISNE'),
('2320','LIZY','AISNE'),
('2320','PINON','AISNE'),
('2320','PREMONTRE','AISNE'),
('2320','SUZY','AISNE'),
('2320','VAUDESSON','AISNE'),
('2320','VAUXAILLON','AISNE'),
('2320','WISSIGNICOURT','AISNE'),
('2330','ARTONGES','AISNE'),
('2330','BAULNE EN BRIE','AISNE'),
('2330','CELLES LES CONDE','AISNE'),
('2330','LA CHAPELLE MONTHODON','AISNE'),
('2330','CONDE EN BRIE','AISNE'),
('2330','CONNIGIS','AISNE'),
('2330','COURBOIN','AISNE'),
('2330','MONTHUREL','AISNE'),
('2330','MONTIGNY LES CONDE','AISNE'),
('2330','MONTLEVON','AISNE'),
('2330','PARGNY LA DHUYS','AISNE'),
('2330','ST AGNAN','AISNE'),
('2330','ST EUGENE','AISNE'),
('2340','AGNICOURT ET SECHELLES','AISNE'),
('2340','BERLISE','AISNE'),
('2340','CHAOURSE','AISNE'),
('2340','CLERMONT LES FERMES','AISNE'),
('2340','DIZY LE GROS','AISNE'),
('2340','LISLET','AISNE'),
('2340','MONTCORNET','AISNE'),
('2340','MONTLOUE','AISNE'),
('2340','NOIRCOURT','AISNE'),
('2340','RENNEVAL','AISNE'),
('2340','STE GENEVIEVE','AISNE'),
('2340','SOIZE','AISNE'),
('2340','LE THUEL','AISNE'),
('2340','VIGNEUX HOCQUET','AISNE'),
('2340','LA VILLE AUX BOIS LES DIZ','AISNE'),
('2340','VINCY REUIL ET MAGNY','AISNE'),
('2350','BONCOURT','AISNE'),
('2350','BUCY LES PIERREPONT','AISNE'),
('2350','CHIVRES EN LAONNOIS','AISNE'),
('2350','CUIRIEUX','AISNE'),
('2350','EBOULEAU','AISNE'),
('2350','GIZY','AISNE'),
('2350','GOUDELANCOURT LES PIERREP','AISNE'),
('2350','GRANDLUP ET FAY','AISNE'),
('2350','LIESSE NOTRE DAME','AISNE'),
('2350','MACHECOURT','AISNE'),
('2350','MARCHAIS','AISNE'),
('2350','MISSY LES PIERREPONT','AISNE'),
('2350','PIERREPONT','AISNE'),
('2350','STE PREUVE','AISNE'),
('2350','VESLES ET CAUMONT','AISNE'),
('2360','ARCHON','AISNE'),
('2360','LES AUTELS','AISNE'),
('2360','BRUNEHAMEL','AISNE'),
('2360','CHERY LES ROZOY','AISNE'),
('2360','COINGT','AISNE'),
('2360','CUIRY LES IVIERS','AISNE'),
('2360','DOHIS','AISNE'),
('2360','DOLIGNON','AISNE'),
('2360','GRANDRIEUX','AISNE'),
('2360','IVIERS','AISNE'),
('2360','MONT ST JEAN','AISNE'),
('2360','MORGNY EN THIERACHE','AISNE'),
('2360','PARFONDEVAL','AISNE'),
('2360','RAILLIMONT','AISNE'),
('2360','RESIGNY','AISNE'),
('2360','ROUVROY SUR SERRE','AISNE'),
('2360','ROZOY SUR SERRE','AISNE'),
('2360','ST CLEMENT','AISNE'),
('2370','AIZY JOUY','AISNE'),
('2370','CELLES SUR AISNE','AISNE'),
('2370','CHASSEMY','AISNE'),
('2370','CHAVONNE','AISNE'),
('2370','CONDE SUR AISNE','AISNE'),
('2370','JOUY','AISNE'),
('2370','OSTEL','AISNE'),
('2370','PRESLES ET BOVES','AISNE'),
('2370','VAILLY SUR AISNE','AISNE'),
('2380','BASSOLES AULERS','AISNE'),
('2380','COUCY LE CHATEAU AUFFRIQU','AISNE'),
('2380','COUCY LA VILLE','AISNE'),
('2380','CRECY AU MONT','AISNE'),
('2380','FRESNES','AISNE'),
('2380','JUMENCOURT','AISNE'),
('2380','LANDRICOURT','AISNE'),
('2380','LEUILLY SOUS COUCY','AISNE'),
('2380','PONT ST MARD','AISNE'),
('2380','QUINCY BASSE','AISNE'),
('2380','VERNEUIL SOUS COUCY','AISNE'),
('2390','MONT D ORIGNY','AISNE'),
('2390','NEUVILLETTE','AISNE'),
('2390','ORIGNY STE BENOITE','AISNE'),
('2390','THENELLES','AISNE'),
('2400','AZY SUR MARNE','AISNE'),
('2400','BELLEAU','AISNE'),
('2400','BEZU ST GERMAIN','AISNE'),
('2400','BLESMES','AISNE'),
('2400','BONNEIL','AISNE'),
('2400','BONNESVALYN','AISNE'),
('2400','BOURESCHES','AISNE'),
('2400','BRASLES','AISNE'),
('2400','CHARTEVES','AISNE'),
('2400','CHATEAU THIERRY','AISNE'),
('2400','CHIERRY','AISNE'),
('2400','EPAUX BEZU','AISNE'),
('2400','EPIEDS','AISNE'),
('2400','ESSOMES SUR MARNE','AISNE'),
('2400','ETAMPES SUR MARNE','AISNE'),
('2400','ETREPILLY','AISNE'),
('2400','GLAND','AISNE'),
('2400','LUCY LE BOCAGE','AISNE'),
('2400','MONTHIERS','AISNE'),
('2400','MONT ST PERE','AISNE'),
('2400','NESLES LA MONTAGNE','AISNE'),
('2400','NOGENTEL','AISNE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('2400','VERDILLY','AISNE'),
('2410','ST GOBAIN','AISNE'),
('2410','ST NICOLAS AUX BOIS','AISNE'),
('2410','SEPTVAUX','AISNE'),
('2420','AUBENCHEUL AUX BOIS','AISNE'),
('2420','BELLENGLISE','AISNE'),
('2420','BELLICOURT','AISNE'),
('2420','BONY','AISNE'),
('2420','LE CATELET','AISNE'),
('2420','ESTREES','AISNE'),
('2420','GOUY','AISNE'),
('2420','HARGICOURT','AISNE'),
('2420','LE HAUCOURT','AISNE'),
('2420','JONCOURT','AISNE'),
('2420','LEMPIRE','AISNE'),
('2420','LEVERGIES','AISNE'),
('2420','MAGNY LA FOSSE','AISNE'),
('2420','NAUROY','AISNE'),
('2420','SEQUEHART','AISNE'),
('2420','VENDHUILE','AISNE'),
('2420','VILLERET','AISNE'),
('2430','GAUCHY','AISNE'),
('2440','BENAY','AISNE'),
('2440','CLASTRES','AISNE'),
('2440','GIBERCOURT','AISNE'),
('2440','HINACOURT','AISNE'),
('2440','LY FONTAINE','AISNE'),
('2440','MONTESCOURT LIZEROL','AISNE'),
('2440','REMIGNY','AISNE'),
('2450','BERGUES SUR SAMBRE','AISNE'),
('2450','BOUE','AISNE'),
('2450','DORENGT','AISNE'),
('2450','FESMY-LE-SART','AISNE'),
('2450','LAVAQUERESSE','AISNE'),
('2450','LA NEUVILLE LES DORENGT','AISNE'),
('2450','OISY','AISNE'),
('2450','LE SART','AISNE'),
('2460','LA FERTE MILON','AISNE'),
('2460','SILLY LA POTERIE','AISNE'),
('2460','TROESNES','AISNE'),
('2460','MOSLOY','AISNE'),
('2470','DAMMARD','AISNE'),
('2470','MACOGNY','AISNE'),
('2470','MARIZY STE GENEVIEVE','AISNE'),
('2470','MARIZY ST MARD','AISNE'),
('2470','MONNES','AISNE'),
('2470','NEUILLY ST FRONT','AISNE'),
('2470','PASSY EN VALOIS','AISNE'),
('2470','PRIEZ','AISNE'),
('2470','SOMMELANS','AISNE'),
('2480','ANNOIS','AISNE'),
('2480','ARTEMPS','AISNE'),
('2480','BRAY ST CHRISTOPHE','AISNE'),
('2480','CUGNY','AISNE'),
('2480','DURY','AISNE'),
('2480','HAPPENCOURT','AISNE'),
('2480','JUSSY','AISNE'),
('2480','OLLEZY','AISNE'),
('2480','PITHON','AISNE'),
('2480','SOMMETTE EAUCOURT','AISNE'),
('2490','ATTILLY','AISNE'),
('2490','CAULAINCOURT','AISNE'),
('2490','JEANCOURT','AISNE'),
('2490','MAISSEMY','AISNE'),
('2490','PONTRU','AISNE'),
('2490','PONTRUET','AISNE'),
('2490','TREFCON','AISNE'),
('2490','VENDELLES','AISNE'),
('2490','LE VERGUIER','AISNE'),
('2490','VERMAND','AISNE'),
('2500','ANY MARTIN RIEUX','AISNE'),
('2500','AUBENTON','AISNE'),
('2500','BEAUME','AISNE'),
('2500','BESMONT','AISNE'),
('2500','BUCILLY','AISNE'),
('2500','BUIRE','AISNE'),
('2500','EFFRY','AISNE'),
('2500','EPARCY','AISNE'),
('2500','LA HERIE','AISNE'),
('2500','HIRSON','AISNE'),
('2500','LEUZE','AISNE'),
('2500','LOGNY LES AUBENTON','AISNE'),
('2500','LUZOIR','AISNE'),
('2500','MARTIGNY','AISNE'),
('2500','MONDREPUIS','AISNE'),
('2500','NEUVE MAISON','AISNE'),
('2500','OHIS','AISNE'),
('2500','WIMY','AISNE'),
('2510','ETREUX','AISNE'),
('2510','HANNAPES','AISNE'),
('2510','IRON','AISNE'),
('2510','VENEROLLES','AISNE'),
('2520','FLAVY LE MARTEL','AISNE'),
('2540','CELLE SOUS MONTMIRAIL','AISNE'),
('2540','L EPINE AUX BOIS','AISNE'),
('2540','FONTENELLE EN BRIE','AISNE'),
('2540','MARCHAIS EN BRIE','AISNE'),
('2540','MONTFAUCON','AISNE'),
('2540','ROZOY BELLEVALLE','AISNE'),
('2540','VENDIERES','AISNE'),
('2540','VIELS MAISONS','AISNE'),
('2540','VIFFORT','AISNE'),
('2550','ORIGNY EN THIERACHE','AISNE'),
('2570','LA CHAPELLE SUR CHEZY','AISNE'),
('2570','CHEZY SUR MARNE','AISNE'),
('2570','ESSISES','AISNE'),
('2580','AUTREPPES','AISNE'),
('2580','ETREAUPONT','AISNE'),
('2580','SORBAIS','AISNE'),
('2590','AUBIGNY AUX KAISNES','AISNE'),
('2590','BEAUVOIS EN VERMANDOIS','AISNE'),
('2590','DOUCHY','AISNE'),
('2590','ETREILLERS','AISNE'),
('2590','FLUQUIERES','AISNE'),
('2590','FORESTE','AISNE'),
('2590','GERMAINE','AISNE'),
('2590','LANCHY','AISNE'),
('2590','ROUPY','AISNE'),
('2590','SAVY','AISNE'),
('2590','VAUX EN VERMANDOIS','AISNE'),
('2590','VILLERS ST CHRISTOPHE','AISNE'),
('2600','ANCIENVILLE','AISNE'),
('2600','COEUVRES ET VALSERY','AISNE'),
('2600','CORCY','AISNE'),
('2600','COYOLLES','AISNE'),
('2600','CUTRY','AISNE'),
('2600','DAMPLEUX','AISNE'),
('2600','DOMMIERS','AISNE'),
('2600','FAVEROLLES','AISNE'),
('2600','FLEURY','AISNE'),
('2600','HARAMONT','AISNE'),
('2600','LARGNY SUR AUTOMNE','AISNE'),
('2600','LAVERSINE','AISNE'),
('2600','LONGPONT','AISNE'),
('2600','LOUATRE','AISNE'),
('2600','MONTGOBERT','AISNE'),
('2600','MORTEFONTAINE','AISNE'),
('2600','NOROY SUR OURCQ','AISNE'),
('2600','OIGNY EN VALOIS','AISNE'),
('2600','PISSELEUX','AISNE'),
('2600','PUISEUX EN RETZ','AISNE'),
('2600','RETHEUIL','AISNE'),
('2600','ST PIERRE AIGLE','AISNE'),
('2600','SOUCY','AISNE'),
('2600','TAILLEFONTAINE','AISNE'),
('2600','VILLERS COTTERETS','AISNE'),
('2600','VILLERS HELON','AISNE'),
('2600','VIVIERES','AISNE'),
('2610','MOY DE L AISNE','AISNE'),
('2620','BUIRONFOSSE','AISNE'),
('2630','MENNEVRET','AISNE'),
('2630','PETIT VERLY','AISNE'),
('2630','WASSIGNY','AISNE'),
('2640','ST SIMON','AISNE'),
('2640','TUGNY ET PONT','AISNE'),
('2650','CREZANCY','AISNE'),
('2650','FOSSOY','AISNE'),
('2650','MEZY MOULINS','AISNE'),
('2670','CHAMPS','AISNE'),
('2670','FOLEMBRAY','AISNE'),
('2680','CASTRES','AISNE'),
('2680','CONTESCOURT','AISNE'),
('2680','DALLON','AISNE'),
('2680','FONTAINE LES CLERCS','AISNE'),
('2680','GRUGIES','AISNE'),
('2690','ESSIGNY LE GRAND','AISNE'),
('2690','URVILLERS','AISNE'),
('2700','AMIGNY ROUY','AISNE'),
('2700','BARISIS','AISNE'),
('2700','CONDREN','AISNE'),
('2700','DEUILLET','AISNE'),
('2700','FARGNIERS','AISNE'),
('2700','FRIERES FAILLOUEL','AISNE'),
('2700','LIEZ','AISNE'),
('2700','MENNESSIS','AISNE'),
('2700','QUESSY','AISNE'),
('2700','SERVAIS','AISNE'),
('2700','TERGNIER','AISNE'),
('2700','VOUEL','AISNE'),
('2720','HOMBLIERES','AISNE'),
('2720','MARCY','AISNE'),
('2720','MESNIL ST LAURENT','AISNE'),
('2760','FRANCILLY SELENCY','AISNE'),
('2760','HOLNON','AISNE'),
('2790','SERAUCOURT LE GRAND','AISNE'),
('2800','ACHERY','AISNE'),
('2800','ANDELAIN','AISNE'),
('2800','ANGUILCOURT LE SART','AISNE'),
('2800','BEAUTOR','AISNE'),
('2800','BERTAUCOURT EPOURDON','AISNE'),
('2800','CHARMES','AISNE'),
('2800','COURBES','AISNE'),
('2800','DANIZY','AISNE'),
('2800','LA FERE','AISNE'),
('2800','FRESSANCOURT','AISNE'),
('2800','MAYOT','AISNE'),
('2800','NOUVION LE COMTE','AISNE'),
('2800','ROGECOURT','AISNE'),
('2800','TRAVECY','AISNE'),
('2800','VENDEUIL','AISNE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('2800','VERSIGNY','AISNE'),
('2810','BRUMETZ','AISNE'),
('2810','BUSSIARES','AISNE'),
('2810','CHEZY EN ORXOIS','AISNE'),
('2810','COURCHAMPS','AISNE'),
('2810','GANDELU','AISNE'),
('2810','HAUTEVESNES','AISNE'),
('2810','LICY CLIGNON','AISNE'),
('2810','MARIGNY EN ORXOIS','AISNE'),
('2810','MONTIGNY L ALLIER','AISNE'),
('2810','ST GENGOULPH','AISNE'),
('2810','TORCY EN VALOIS','AISNE'),
('2810','VEUILLY LA POTERIE','AISNE'),
('2820','AIZELLES','AISNE'),
('2820','AUBIGNY EN LAONNOIS','AISNE'),
('2820','BERRIEUX','AISNE'),
('2820','CORBENY','AISNE'),
('2820','COURTRIZY ET FUSSIGNY','AISNE'),
('2820','GOUDELANCOURT LES BERRIEU','AISNE'),
('2820','MAUREGNY EN HAYE','AISNE'),
('2820','MONTAIGU','AISNE'),
('2820','STE CROIX','AISNE'),
('2820','ST ERME OUTRE ET RAMECOUR','AISNE'),
('2820','ST THOMAS','AISNE'),
('2830','ST MICHEL','AISNE'),
('2830','WATIGNY','AISNE'),
('2840','ATHIES SOUS LAON','AISNE'),
('2840','COUCY LES EPPES','AISNE'),
('2840','EPPES','AISNE'),
('2840','FESTIEUX','AISNE'),
('2840','MONCEAU LE WAAST','AISNE'),
('2840','PARFONDRU','AISNE'),
('2840','SAMOUSSY','AISNE'),
('2840','VESLUD','AISNE'),
('2850','BARZY SUR MARNE','AISNE'),
('2850','LE CHARMEL','AISNE'),
('2850','COURTEMONT VARENNES','AISNE'),
('2850','JAULGONNE','AISNE'),
('2850','PASSY SUR MARNE','AISNE'),
('2850','REUILLY SAUVIGNY','AISNE'),
('2850','TRELOU SUR MARNE','AISNE'),
('2860','ARRANCY','AISNE'),
('2860','BIEVRES','AISNE'),
('2860','BOUCONVILLE VAUCLAIR','AISNE'),
('2860','BRUYERES ET MONTBERAULT','AISNE'),
('2860','CERNY EN LAONNOIS','AISNE'),
('2860','CHAMOUILLE','AISNE'),
('2860','CHERET','AISNE'),
('2860','CHERMIZY AILLES','AISNE'),
('2860','COLLIGIS CRANDELAIN','AISNE'),
('2860','LAVAL EN LAONNOIS','AISNE'),
('2860','LIERVAL','AISNE'),
('2860','MARTIGNY COURPIERRE','AISNE'),
('2860','MONTCHALONS','AISNE'),
('2860','MONTHENAULT','AISNE'),
('2860','NEUVILLE SUR AILETTE','AISNE'),
('2860','NOUVION LE VINEUX','AISNE'),
('2860','ORGEVAL','AISNE'),
('2860','PANCY COURTECON','AISNE'),
('2860','PLOYART VAURSEINE','AISNE'),
('2860','PRESLES ET THIERNY','AISNE'),
('2860','TRUCY','AISNE'),
('2860','VORGES','AISNE'),
('2870','BESNY ET LOIZY','AISNE'),
('2870','BRIE','AISNE'),
('2870','BUCY LES CERNY','AISNE'),
('2870','CERNY LES BUCY','AISNE'),
('2870','CREPY','AISNE'),
('2870','FOURDRAIN','AISNE'),
('2870','VIVAISE','AISNE'),
('2880','BRAYE','AISNE'),
('2880','BUCY LE LONG','AISNE'),
('2880','CHAVIGNY','AISNE'),
('2880','CHIVRES VAL','AISNE'),
('2880','CLAMECY','AISNE'),
('2880','CROUY','AISNE'),
('2880','CUFFIES','AISNE'),
('2880','JUVIGNY','AISNE'),
('2880','LAFFAUX','AISNE'),
('2880','LEURY','AISNE'),
('2880','MARGIVAL','AISNE'),
('2880','MISSY SUR AISNE','AISNE'),
('2880','NANTEUIL LA FOSSE','AISNE'),
('2880','NEUVILLE SUR MARGIVAL','AISNE'),
('2880','SANCY LES CHEMINOTS','AISNE'),
('2880','TERNY SORNY','AISNE'),
('2880','VREGNY','AISNE'),
('2880','VUILLERY','AISNE'),
('3000','AVERMES','ALLIER'),
('3000','BRESSOLLES','ALLIER'),
('3000','COULANDON','ALLIER'),
('3000','MONTILLY','ALLIER'),
('3000','MOULINS','ALLIER'),
('3000','NEUVY','ALLIER'),
('3100','MONTLUCON','ALLIER'),
('3110','BROUT VERNET','ALLIER'),
('3110','CHARMEIL','ALLIER'),
('3110','COGNAT LYONNE','ALLIER'),
('3110','ESCUROLLES','ALLIER'),
('3110','ESPINASSE VOZELLE','ALLIER'),
('3110','ST DIDIER LA FORET','ALLIER'),
('3110','ST PONT','ALLIER'),
('3110','ST REMY EN ROLLAT','ALLIER'),
('3110','SERBANNES','ALLIER'),
('3110','VENDAT','ALLIER'),
('3120','ANDELAROCHE','ALLIER'),
('3120','BARRAIS BUSSOLLES','ALLIER'),
('3120','BILLEZOIS','ALLIER'),
('3120','LE BREUIL','ALLIER'),
('3120','DROITURIER','ALLIER'),
('3120','ISSERPENT','ALLIER'),
('3120','LAPALISSE','ALLIER'),
('3120','PERIGNY','ALLIER'),
('3120','ST CHRISTOPHE','ALLIER'),
('3120','ST PRIX','ALLIER'),
('3120','SERVILLY','ALLIER'),
('3130','AVRILLY','ALLIER'),
('3130','BERT','ALLIER'),
('3130','LE BOUCHAUD','ALLIER'),
('3130','LE DONJON','ALLIER'),
('3130','LENAX','ALLIER'),
('3130','LIERNOLLES','ALLIER'),
('3130','LODDES','ALLIER'),
('3130','LUNEAU','ALLIER'),
('3130','MONTAIGUET EN FOREZ','ALLIER'),
('3130','MONTCOMBROUX LES MINES','ALLIER'),
('3130','NEUILLY EN DONJON','ALLIER'),
('3130','LE PIN','ALLIER'),
('3130','ST DIDIER EN DONJON','ALLIER'),
('3130','ST LEGER SUR VOUZANCE','ALLIER'),
('3140','BARBERIER','ALLIER'),
('3140','CHANTELLE','ALLIER'),
('3140','CHAREIL CINTRAT','ALLIER'),
('3140','CHARROUX','ALLIER'),
('3140','CHEZELLE','ALLIER'),
('3140','DENEUILLE LES CHANTELLE','ALLIER'),
('3140','ETROUSSAT','ALLIER'),
('3140','FLEURIEL','ALLIER'),
('3140','FOURILLES','ALLIER'),
('3140','MONESTIER','ALLIER'),
('3140','ST GERMAIN DE SALLES','ALLIER'),
('3140','TARGET','ALLIER'),
('3140','TAXAT SENAT','ALLIER'),
('3140','USSEL D ALLIER','ALLIER'),
('3140','VOUSSAC','ALLIER'),
('3150','BOUCE','ALLIER'),
('3150','CRECHY','ALLIER'),
('3150','LANGY','ALLIER'),
('3150','MONTAIGU LE BLIN','ALLIER'),
('3150','MONTOLDRE','ALLIER'),
('3150','RONGERES','ALLIER'),
('3150','ST GERAND LE PUY','ALLIER'),
('3150','ST LOUP','ALLIER'),
('3150','SANSSAT','ALLIER'),
('3150','VARENNES SUR ALLIER','ALLIER'),
('3160','BOURBON L ARCHAMBAULT','ALLIER'),
('3160','COUZON','ALLIER'),
('3160','FRANCHESSE','ALLIER'),
('3160','ST AUBIN LE MONIAL','ALLIER'),
('3160','ST LEOPARDIN D AUGY','ALLIER'),
('3160','ST PLAISIR','ALLIER'),
('3160','YGRANDE','ALLIER'),
('3170','BEZENET','ALLIER'),
('3170','BIZENEUILLE','ALLIER'),
('3170','CHAMBLET','ALLIER'),
('3170','DENEUILLE LES MINES','ALLIER'),
('3170','DOYET','ALLIER'),
('3170','MONTVICQ','ALLIER'),
('3170','ST ANGEL','ALLIER'),
('3190','AUDES','ALLIER'),
('3190','ESTIVAREILLES','ALLIER'),
('3190','GIVARLAIS','ALLIER'),
('3190','HERISSON','ALLIER'),
('3190','LOUROUX HODEMENT','ALLIER'),
('3190','MAILLET','ALLIER'),
('3190','NASSIGNY','ALLIER'),
('3190','REUGNY','ALLIER'),
('3190','ST CAPRAIS','ALLIER'),
('3190','VALLON EN SULLY','ALLIER'),
('3190','VAUX','ALLIER'),
('3190','VENAS','ALLIER'),
('3190','VERNEIX','ALLIER'),
('3200','ABREST','ALLIER'),
('3200','LE VERNET','ALLIER'),
('3200','VICHY','ALLIER'),
('3210','AGONGES','ALLIER'),
('3210','AUTRY ISSARDS','ALLIER'),
('3210','BESSON','ALLIER'),
('3210','BRESNAY','ALLIER'),
('3210','CHATILLON','ALLIER'),
('3210','CHEMILLY','ALLIER'),
('3210','GIPCY','ALLIER'),
('3210','MARIGNY','ALLIER'),
('3210','MEILLERS','ALLIER'),
('3210','NOYANT D ALLIER','ALLIER'),
('3210','ST MENOUX','ALLIER'),
('3210','SOUVIGNY','ALLIER'),
('3220','CHATELPERRON','ALLIER'),
('3220','CHAVROCHES','ALLIER'),
('3220','CINDRE','ALLIER');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('3220','JALIGNY SUR BESBRE','ALLIER'),
('3220','ST LEON','ALLIER'),
('3220','ST VOIR','ALLIER'),
('3220','SORBIER','ALLIER'),
('3220','THIONNE','ALLIER'),
('3220','TRETEAU','ALLIER'),
('3220','TREZELLES','ALLIER'),
('3220','VARENNES SUR TECHE','ALLIER'),
('3220','VAUMAS','ALLIER'),
('3230','BEAULON','ALLIER'),
('3230','LA CHAPELLE AUX CHASSES','ALLIER'),
('3230','CHEVAGNES','ALLIER'),
('3230','CHEZY','ALLIER'),
('3230','GANNAY SUR LOIRE','ALLIER'),
('3230','GARNAT SUR ENGIEVRE','ALLIER'),
('3230','LUSIGNY','ALLIER'),
('3230','PARAY LE FRESIL','ALLIER'),
('3230','ST MARTIN DES LAIS','ALLIER'),
('3230','THIEL SUR ACOLIN','ALLIER'),
('3240','CRESSANGES','ALLIER'),
('3240','DEUX CHAISES','ALLIER'),
('3240','LE MONTET','ALLIER'),
('3240','ROCLES','ALLIER'),
('3240','ST SORNIN','ALLIER'),
('3240','LE THEIL','ALLIER'),
('3240','TREBAN','ALLIER'),
('3240','TRONGET','ALLIER'),
('3250','ARRONNES','ALLIER'),
('3250','LA CHABANNE','ALLIER'),
('3250','CHATEL MONTAGNE','ALLIER'),
('3250','FERRIERES SUR SICHON','ALLIER'),
('3250','LA GUILLERMIE','ALLIER'),
('3250','LAPRUGNE','ALLIER'),
('3250','LAVOINE','ALLIER'),
('3250','LE MAYET DE MONTAGNE','ALLIER'),
('3250','NIZEROLLES','ALLIER'),
('3250','ST CLEMENT','ALLIER'),
('3250','ST NICOLAS DES BIEFS','ALLIER'),
('3260','BILLY','ALLIER'),
('3260','MAGNET','ALLIER'),
('3260','MARCENAT','ALLIER'),
('3260','ST FELIX','ALLIER'),
('3260','ST GERMAIN DES FOSSES','ALLIER'),
('3260','SEUILLET','ALLIER'),
('3270','BUSSET','ALLIER'),
('3270','HAUTERIVE','ALLIER'),
('3270','MARIOL','ALLIER'),
('3270','ST YORRE','ALLIER'),
('3290','DIOU','ALLIER'),
('3290','DOMPIERRE SUR BESBRE','ALLIER'),
('3290','ST POURCAIN SUR BESBRE','ALLIER'),
('3300','BOST','ALLIER'),
('3300','LA CHAPELLE','ALLIER'),
('3300','CREUZIER LE NEUF','ALLIER'),
('3300','CREUZIER LE VIEUX','ALLIER'),
('3300','CUSSET','ALLIER'),
('3300','MOLLES','ALLIER'),
('3300','ST ETIENNE DE VICQ','ALLIER'),
('3310','DURDAT LAREQUILLE','ALLIER'),
('3310','LAVAULT STE ANNE','ALLIER'),
('3310','NERIS LES BAINS','ALLIER'),
('3310','ST GENEST','ALLIER'),
('3310','VILLEBRET','ALLIER'),
('3320','CHATEAU SUR ALLIER','ALLIER'),
('3320','COULEUVRE','ALLIER'),
('3320','LIMOISE','ALLIER'),
('3320','LURCY LEVIS','ALLIER'),
('3320','NEURE','ALLIER'),
('3320','POUZY MESANGY','ALLIER'),
('3320','LE VEURDRE','ALLIER'),
('3330','BELLENAVES','ALLIER'),
('3330','CHIRAT L EGLISE','ALLIER'),
('3330','COUTANSOUZE','ALLIER'),
('3330','ECHASSIERES','ALLIER'),
('3330','LOUROUX DE BOUBLE','ALLIER'),
('3330','NAVES','ALLIER'),
('3330','VALIGNAT','ALLIER'),
('3340','BESSAY SUR ALLIER','ALLIER'),
('3340','CHAPEAU','ALLIER'),
('3340','LA FERTE HAUTERIVE','ALLIER'),
('3340','GOUISE','ALLIER'),
('3340','MERCY','ALLIER'),
('3340','MONTBEUGNY','ALLIER'),
('3340','NEUILLY LE REAL','ALLIER'),
('3340','ST GERAND DE VAUX','ALLIER'),
('3350','LE BRETHON','ALLIER'),
('3350','CERILLY','ALLIER'),
('3350','LOUROUX BOURBONNAIS','ALLIER'),
('3350','THENEUILLE','ALLIER'),
('3350','LE VILHAIN','ALLIER'),
('3360','AINAY LE CHATEAU','ALLIER'),
('3360','BRAIZE','ALLIER'),
('3360','ISLE ET BARDAIS','ALLIER'),
('3360','LETELON','ALLIER'),
('3360','MEAULNE','ALLIER'),
('3360','ST BONNET DE TRONCAIS','ALLIER'),
('3360','URCAY','ALLIER'),
('3360','VALIGNY','ALLIER'),
('3360','VITRAY','ALLIER'),
('3370','CHAMBERAT','ALLIER'),
('3370','CHAZEMAIS','ALLIER'),
('3370','COURCAIS','ALLIER'),
('3370','MESPLES','ALLIER'),
('3370','ST DESIRE','ALLIER'),
('3370','ST ELOY D ALLIER','ALLIER'),
('3370','ST PALAIS','ALLIER'),
('3370','ST SAUVIER','ALLIER'),
('3370','VIPLAIX','ALLIER'),
('3380','ARCHIGNAT','ALLIER'),
('3380','LA CHAPELAUDE','ALLIER'),
('3380','HURIEL','ALLIER'),
('3380','LAMAIDS','ALLIER'),
('3380','QUINSSAINES','ALLIER'),
('3380','ST MARTINIEN','ALLIER'),
('3380','TREIGNAT','ALLIER'),
('3390','BEAUNE D ALLIER','ALLIER'),
('3390','BLOMARD','ALLIER'),
('3390','CHAPPES','ALLIER'),
('3390','MONTMARAULT','ALLIER'),
('3390','MURAT','ALLIER'),
('3390','ST BONNET DE FOUR','ALLIER'),
('3390','ST MARCEL EN MURAT','ALLIER'),
('3390','ST PRIEST EN MURAT','ALLIER'),
('3390','SAZERET','ALLIER'),
('3390','VERNUSSE','ALLIER'),
('3400','GENNETINES','ALLIER'),
('3400','ST ENNEMOND','ALLIER'),
('3400','TOULON SUR ALLIER','ALLIER'),
('3400','YZEURE','ALLIER'),
('3410','DOMERAT','ALLIER'),
('3410','LIGNEROLLES','ALLIER'),
('3410','PREMILHAT','ALLIER'),
('3410','ST VICTOR','ALLIER'),
('3410','TEILLET ARGENTY','ALLIER'),
('3420','ARPHEUILLES ST PRIEST','ALLIER'),
('3420','MARCILLAT EN COMBRAILLE','ALLIER'),
('3420','MAZIRAT','ALLIER'),
('3420','LA PETITE MARCHE','ALLIER'),
('3420','RONNET','ALLIER'),
('3420','ST FARGEOL','ALLIER'),
('3420','ST MARCEL EN MARCILLAT','ALLIER'),
('3420','STE THERENCE','ALLIER'),
('3420','TERJAT','ALLIER'),
('3430','COSNE D ALLIER','ALLIER'),
('3430','NEUVILLE','ALLIER'),
('3430','SAUVAGNY','ALLIER'),
('3430','TORTEZAIS','ALLIER'),
('3430','VIEURE','ALLIER'),
('3430','VILLEFRANCHE D ALLIER','ALLIER'),
('3440','BUXIERES LES MINES','ALLIER'),
('3440','CHAVENON','ALLIER'),
('3440','ST HILAIRE','ALLIER'),
('3450','CHOUVIGNY','ALLIER'),
('3450','EBREUIL','ALLIER'),
('3450','LALIZOLLE','ALLIER'),
('3450','NADES','ALLIER'),
('3450','SUSSAT','ALLIER'),
('3450','VEAUCE','ALLIER'),
('3450','VICQ','ALLIER'),
('3460','AUBIGNY','ALLIER'),
('3460','AUROUER','ALLIER'),
('3460','BAGNEUX','ALLIER'),
('3460','TREVOL','ALLIER'),
('3460','VILLENEUVE SUR ALLIER','ALLIER'),
('3470','COULANGES','ALLIER'),
('3470','MONETAY SUR LOIRE','ALLIER'),
('3470','PIERREFITTE SUR LOIRE','ALLIER'),
('3470','SALIGNY SUR ROUDON','ALLIER'),
('3500','BAYET','ALLIER'),
('3500','BRANSAT','ALLIER'),
('3500','CESSET','ALLIER'),
('3500','CHATEL DE NEUVRE','ALLIER'),
('3500','CONTIGNY','ALLIER'),
('3500','LAFELINE','ALLIER'),
('3500','LORIGES','ALLIER'),
('3500','LOUCHY MONTFAND','ALLIER'),
('3500','MEILLARD','ALLIER'),
('3500','MONETAY SUR ALLIER','ALLIER'),
('3500','MONTORD','ALLIER'),
('3500','PARAY SOUS BRIAILLES','ALLIER'),
('3500','ST POURCAIN SUR SIOULE','ALLIER'),
('3500','SAULCET','ALLIER'),
('3500','VERNEUIL EN BOURBONNAIS','ALLIER'),
('3510','CHASSENARD','ALLIER'),
('3510','MOLINET','ALLIER'),
('3600','LA CELLE','ALLIER'),
('3600','COLOMBIER','ALLIER'),
('3600','COMMENTRY','ALLIER'),
('3600','HYDS','ALLIER'),
('3600','LOUROUX DE BEAUNE','ALLIER'),
('3600','MALICORNE','ALLIER'),
('3630','DESERTINES','ALLIER'),
('3640','ARFEUILLES','ALLIER'),
('3640','CHATELUS','ALLIER'),
('3700','BELLERIVE SUR ALLIER','ALLIER'),
('3700','BRUGHEAS','ALLIER'),
('3800','BEGUES','ALLIER'),
('3800','BIOZAT','ALLIER'),
('3800','CHARMES','ALLIER'),
('3800','GANNAT','ALLIER');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('3800','JENZAT','ALLIER'),
('3800','LE MAYET D ECOLE','ALLIER'),
('3800','MAZERIER','ALLIER'),
('3800','MONTEIGNET SUR L ANDELOT','ALLIER'),
('3800','POEZAT','ALLIER'),
('3800','ST BONNET DE ROCHEFORT','ALLIER'),
('3800','ST PRIEST D ANDELOT','ALLIER'),
('3800','SAULZET','ALLIER'),
('4000','AINAC','ALPES DE HAUTE PROVENCE'),
('4000','DIGNE LES BAINS','ALPES DE HAUTE PROVENCE'),
('4000','LES DOURBES','ALPES DE HAUTE PROVENCE'),
('4000','ENTRAGES','ALPES DE HAUTE PROVENCE'),
('4000','ESCLANGON','ALPES DE HAUTE PROVENCE'),
('4000','LAMBERT','ALPES DE HAUTE PROVENCE'),
('4000','LA ROBINE SUR GALABRE','ALPES DE HAUTE PROVENCE'),
('4000','TANARON','ALPES DE HAUTE PROVENCE'),
('4100','MANOSQUE','ALPES DE HAUTE PROVENCE'),
('4110','AUBENAS LES ALPES','ALPES DE HAUTE PROVENCE'),
('4110','MONTFURON','ALPES DE HAUTE PROVENCE'),
('4110','MONTJUSTIN','ALPES DE HAUTE PROVENCE'),
('4110','OPPEDETTE','ALPES DE HAUTE PROVENCE'),
('4110','REILLANNE','ALPES DE HAUTE PROVENCE'),
('4110','STE CROIX A LAUZE','ALPES DE HAUTE PROVENCE'),
('4110','VACHERES','ALPES DE HAUTE PROVENCE'),
('4110','VILLEMUS','ALPES DE HAUTE PROVENCE'),
('4120','CASTELLANE','ALPES DE HAUTE PROVENCE'),
('4120','CHASTEUIL','ALPES DE HAUTE PROVENCE'),
('4120','CHATEAUNEUF LES MOUSTIERS','ALPES DE HAUTE PROVENCE'),
('4120','DEMANDOLX','ALPES DE HAUTE PROVENCE'),
('4120','EOULX','ALPES DE HAUTE PROVENCE'),
('4120','LA GARDE','ALPES DE HAUTE PROVENCE'),
('4120','LA PALUD SUR VERDON','ALPES DE HAUTE PROVENCE'),
('4120','PEYROULES','ALPES DE HAUTE PROVENCE'),
('4120','ROBION','ALPES DE HAUTE PROVENCE'),
('4120','ROUGON','ALPES DE HAUTE PROVENCE'),
('4120','SOLEILHAS','ALPES DE HAUTE PROVENCE'),
('4120','TALOIRE','ALPES DE HAUTE PROVENCE'),
('4120','TAULANNE','ALPES DE HAUTE PROVENCE'),
('4130','VOLX','ALPES DE HAUTE PROVENCE'),
('4140','AUZET','ALPES DE HAUTE PROVENCE'),
('4140','BARLES','ALPES DE HAUTE PROVENCE'),
('4140','MONTCLAR','ALPES DE HAUTE PROVENCE'),
('4140','SEYNE','ALPES DE HAUTE PROVENCE'),
('4140','VERDACHES','ALPES DE HAUTE PROVENCE'),
('4140','LE VERNET','ALPES DE HAUTE PROVENCE'),
('4150','BANON','ALPES DE HAUTE PROVENCE'),
('4150','CARNIOL','ALPES DE HAUTE PROVENCE'),
('4150','L HOSPITALET','ALPES DE HAUTE PROVENCE'),
('4150','MONTSALIER','ALPES DE HAUTE PROVENCE'),
('4150','REDORTIERS','ALPES DE HAUTE PROVENCE'),
('4150','REVEST DES BROUSSES','ALPES DE HAUTE PROVENCE'),
('4150','REVEST DU BION','ALPES DE HAUTE PROVENCE'),
('4150','LA ROCHEGIRON','ALPES DE HAUTE PROVENCE'),
('4150','SAUMANE','ALPES DE HAUTE PROVENCE'),
('4150','SIMIANE LA ROTONDE','ALPES DE HAUTE PROVENCE'),
('4150','VALSAINTES','ALPES DE HAUTE PROVENCE'),
('4160','CHATEAU ARNOUX ST AUBAN','ALPES DE HAUTE PROVENCE'),
('4160','L ESCALE','ALPES DE HAUTE PROVENCE'),
('4170','ALLONS','ALPES DE HAUTE PROVENCE'),
('4170','ANGLES','ALPES DE HAUTE PROVENCE'),
('4170','ARGENS','ALPES DE HAUTE PROVENCE'),
('4170','ST MICHEL PEYRESQ','ALPES DE HAUTE PROVENCE'),
('4170','LAMBRUISSE','ALPES DE HAUTE PROVENCE'),
('4170','MORIEZ','ALPES DE HAUTE PROVENCE'),
('4170','LA MURE ARGENS','ALPES DE HAUTE PROVENCE'),
('4170','ST ANDRE LES ALPES','ALPES DE HAUTE PROVENCE'),
('4170','ST JULIEN DU VERDON','ALPES DE HAUTE PROVENCE'),
('4170','THORAME BASSE','ALPES DE HAUTE PROVENCE'),
('4170','THORAME HAUTE','ALPES DE HAUTE PROVENCE'),
('4170','VERGONS','ALPES DE HAUTE PROVENCE'),
('4180','VILLENEUVE','ALPES DE HAUTE PROVENCE'),
('4190','LES MEES','ALPES DE HAUTE PROVENCE'),
('4200','AUBIGNOSC','ALPES DE HAUTE PROVENCE'),
('4200','AUTHON','ALPES DE HAUTE PROVENCE'),
('4200','BEVONS','ALPES DE HAUTE PROVENCE'),
('4200','CHATEAUNEUF MIRAVAIL','ALPES DE HAUTE PROVENCE'),
('4200','CHATEAUNEUF VAL ST DONAT','ALPES DE HAUTE PROVENCE'),
('4200','CUREL','ALPES DE HAUTE PROVENCE'),
('4200','ENTREPIERRES','ALPES DE HAUTE PROVENCE'),
('4200','MISON','ALPES DE HAUTE PROVENCE'),
('4200','NOYERS SUR JABRON','ALPES DE HAUTE PROVENCE'),
('4200','LES OMERGUES','ALPES DE HAUTE PROVENCE'),
('4200','PEIPIN','ALPES DE HAUTE PROVENCE'),
('4200','ST GENIEZ','ALPES DE HAUTE PROVENCE'),
('4200','ST SYMPHORIEN','ALPES DE HAUTE PROVENCE'),
('4200','ST VINCENT SUR JABRON','ALPES DE HAUTE PROVENCE'),
('4200','SIGOYER','ALPES DE HAUTE PROVENCE'),
('4200','SISTERON','ALPES DE HAUTE PROVENCE'),
('4200','THEZE','ALPES DE HAUTE PROVENCE'),
('4200','VALBELLE','ALPES DE HAUTE PROVENCE'),
('4200','VALERNES','ALPES DE HAUTE PROVENCE'),
('4200','VAUMEILH','ALPES DE HAUTE PROVENCE'),
('4200','VILHOSC','ALPES DE HAUTE PROVENCE'),
('4200','LES BONS ENFANTS','ALPES DE HAUTE PROVENCE'),
('4210','BRUNET','ALPES DE HAUTE PROVENCE'),
('4210','VALENSOLE','ALPES DE HAUTE PROVENCE'),
('4220','CORBIERES','ALPES DE HAUTE PROVENCE'),
('4220','STE TULLE','ALPES DE HAUTE PROVENCE'),
('4230','CRUIS','ALPES DE HAUTE PROVENCE'),
('4230','FONTIENNE','ALPES DE HAUTE PROVENCE'),
('4230','LARDIERS','ALPES DE HAUTE PROVENCE'),
('4230','MALLEFOUGASSE AUGES','ALPES DE HAUTE PROVENCE'),
('4230','MONTLAUX','ALPES DE HAUTE PROVENCE'),
('4230','ONGLES','ALPES DE HAUTE PROVENCE'),
('4230','REVEST ST MARTIN','ALPES DE HAUTE PROVENCE'),
('4230','ST ETIENNE LES ORGUES','ALPES DE HAUTE PROVENCE'),
('4240','ANNOT','ALPES DE HAUTE PROVENCE'),
('4240','BRAUX','ALPES DE HAUTE PROVENCE'),
('4240','LE FUGERET','ALPES DE HAUTE PROVENCE'),
('4240','MEAILLES','ALPES DE HAUTE PROVENCE'),
('4240','ST BENOIT','ALPES DE HAUTE PROVENCE'),
('4240','UBRAYE','ALPES DE HAUTE PROVENCE'),
('4250','ASTOIN','ALPES DE HAUTE PROVENCE'),
('4250','BAYONS','ALPES DE HAUTE PROVENCE'),
('4250','BELLAFFAIRE','ALPES DE HAUTE PROVENCE'),
('4250','LE CAIRE','ALPES DE HAUTE PROVENCE'),
('4250','CHATEAUFORT','ALPES DE HAUTE PROVENCE'),
('4250','CLAMENSANE','ALPES DE HAUTE PROVENCE'),
('4250','ESPARRON LA BATIE','ALPES DE HAUTE PROVENCE'),
('4250','FAUCON DU CAIRE','ALPES DE HAUTE PROVENCE'),
('4250','GIGORS','ALPES DE HAUTE PROVENCE'),
('4250','MELVE','ALPES DE HAUTE PROVENCE'),
('4250','LA MOTTE DU CAIRE','ALPES DE HAUTE PROVENCE'),
('4250','NIBLES','ALPES DE HAUTE PROVENCE'),
('4250','REYNIER','ALPES DE HAUTE PROVENCE'),
('4250','TURRIERS','ALPES DE HAUTE PROVENCE'),
('4250','VALAVOIRE','ALPES DE HAUTE PROVENCE'),
('4260','ALLOS','ALPES DE HAUTE PROVENCE'),
('4260','LA FOUX D ALLOS','ALPES DE HAUTE PROVENCE'),
('4270','BEYNES','ALPES DE HAUTE PROVENCE'),
('4270','BRAS D ASSE','ALPES DE HAUTE PROVENCE'),
('4270','CHATEAUREDON','ALPES DE HAUTE PROVENCE'),
('4270','ESTOUBLON','ALPES DE HAUTE PROVENCE'),
('4270','MAJASTRES','ALPES DE HAUTE PROVENCE'),
('4270','MEZEL','ALPES DE HAUTE PROVENCE'),
('4270','LE POIL','ALPES DE HAUTE PROVENCE'),
('4270','ST JEANNET','ALPES DE HAUTE PROVENCE'),
('4270','ST JULIEN D ASSE','ALPES DE HAUTE PROVENCE'),
('4270','TREVANS','ALPES DE HAUTE PROVENCE'),
('4270','CHABRIERES','ALPES DE HAUTE PROVENCE'),
('4280','CERESTE','ALPES DE HAUTE PROVENCE'),
('4290','SALIGNAC','ALPES DE HAUTE PROVENCE'),
('4290','SOURRIBES','ALPES DE HAUTE PROVENCE'),
('4290','VOLONNE','ALPES DE HAUTE PROVENCE'),
('4300','DAUPHIN','ALPES DE HAUTE PROVENCE'),
('4300','FORCALQUIER','ALPES DE HAUTE PROVENCE'),
('4300','LIMANS','ALPES DE HAUTE PROVENCE'),
('4300','MANE','ALPES DE HAUTE PROVENCE'),
('4300','NIOZELLES','ALPES DE HAUTE PROVENCE'),
('4300','PIERRERUE','ALPES DE HAUTE PROVENCE'),
('4300','ST MAIME','ALPES DE HAUTE PROVENCE'),
('4300','SIGONCE','ALPES DE HAUTE PROVENCE'),
('4310','AUGES','ALPES DE HAUTE PROVENCE'),
('4310','GANAGOBIE','ALPES DE HAUTE PROVENCE'),
('4310','PEYRUIS','ALPES DE HAUTE PROVENCE'),
('4320','CASTELLET LES SAUSSES','ALPES DE HAUTE PROVENCE'),
('4320','VAL DE CHALVAGNE','ALPES DE HAUTE PROVENCE'),
('4320','ENTREVAUX','ALPES DE HAUTE PROVENCE'),
('4320','MONTBLANC','ALPES DE HAUTE PROVENCE'),
('4320','SAUSSES','ALPES DE HAUTE PROVENCE'),
('4320','VILLEVIEILLE','ALPES DE HAUTE PROVENCE'),
('4330','BARREME','ALPES DE HAUTE PROVENCE'),
('4330','BLIEUX','ALPES DE HAUTE PROVENCE'),
('4330','CHAUDON NORANTE','ALPES DE HAUTE PROVENCE'),
('4330','CLUMANC','ALPES DE HAUTE PROVENCE'),
('4330','ST JACQUES','ALPES DE HAUTE PROVENCE'),
('4330','ST LIONS','ALPES DE HAUTE PROVENCE'),
('4330','SENEZ','ALPES DE HAUTE PROVENCE'),
('4330','TARTONNE','ALPES DE HAUTE PROVENCE'),
('4340','LA BREOLE','ALPES DE HAUTE PROVENCE'),
('4340','LE LAUZET UBAYE','ALPES DE HAUTE PROVENCE'),
('4340','MEOLANS','ALPES DE HAUTE PROVENCE'),
('4340','MEOLANS REVEL','ALPES DE HAUTE PROVENCE'),
('4340','ST VINCENT LES FORTS','ALPES DE HAUTE PROVENCE'),
('4340','REVEL','ALPES DE HAUTE PROVENCE'),
('4350','MALIJAI','ALPES DE HAUTE PROVENCE'),
('4360','MOUSTIERS STE MARIE','ALPES DE HAUTE PROVENCE'),
('4370','BEAUVEZER','ALPES DE HAUTE PROVENCE'),
('4370','COLMARS','ALPES DE HAUTE PROVENCE'),
('4380','AURIBEAU','ALPES DE HAUTE PROVENCE'),
('4380','BARRAS','ALPES DE HAUTE PROVENCE'),
('4380','LE CASTELLARD MELAN','ALPES DE HAUTE PROVENCE'),
('4380','MELAN','ALPES DE HAUTE PROVENCE'),
('4380','LA PERRUSSE','ALPES DE HAUTE PROVENCE'),
('4380','HAUTES DUVES','ALPES DE HAUTE PROVENCE'),
('4380','THOARD','ALPES DE HAUTE PROVENCE'),
('4400','BARCELONNETTE','ALPES DE HAUTE PROVENCE'),
('4400','ENCHASTRAYES','ALPES DE HAUTE PROVENCE'),
('4400','FAUCON DE BARCELONNETTE','ALPES DE HAUTE PROVENCE'),
('4400','FOURS','ALPES DE HAUTE PROVENCE'),
('4400','ST PONS','ALPES DE HAUTE PROVENCE'),
('4400','LES THUILES','ALPES DE HAUTE PROVENCE'),
('4400','UVERNET FOURS','ALPES DE HAUTE PROVENCE'),
('4400','LE SAUZE','ALPES DE HAUTE PROVENCE'),
('4400','PRA LOUP','ALPES DE HAUTE PROVENCE'),
('4410','PUIMOISSON','ALPES DE HAUTE PROVENCE'),
('4410','ST JURS','ALPES DE HAUTE PROVENCE'),
('4420','ARCHAIL','ALPES DE HAUTE PROVENCE'),
('4420','BEAUJEU','ALPES DE HAUTE PROVENCE'),
('4420','BLEGIERS','ALPES DE HAUTE PROVENCE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('4420','LE BRUSQUET','ALPES DE HAUTE PROVENCE'),
('4420','DRAIX','ALPES DE HAUTE PROVENCE'),
('4420','LA JAVIE','ALPES DE HAUTE PROVENCE'),
('4420','MARCOUX','ALPES DE HAUTE PROVENCE'),
('4420','MARIAUD','ALPES DE HAUTE PROVENCE'),
('4420','PRADS HAUTE BLEONE','ALPES DE HAUTE PROVENCE'),
('4460','ST MARTIN LES SEYNES','ALPES DE HAUTE PROVENCE'),
('4460','SELONNET','ALPES DE HAUTE PROVENCE'),
('4500','MONTAGNAC MONTPEZAT','ALPES DE HAUTE PROVENCE'),
('4500','MONTPEZAT','ALPES DE HAUTE PROVENCE'),
('4500','QUINSON','ALPES DE HAUTE PROVENCE'),
('4500','RIEZ','ALPES DE HAUTE PROVENCE'),
('4500','ROUMOULES','ALPES DE HAUTE PROVENCE'),
('4500','ST CROIX DU VERDON','ALPES DE HAUTE PROVENCE'),
('4500','ST LAURENT DU VERDON','ALPES DE HAUTE PROVENCE'),
('4510','AIGLUN','ALPES DE HAUTE PROVENCE'),
('4510','LE CHAFFAUT ST JURSON','ALPES DE HAUTE PROVENCE'),
('4510','CHENERILLES','ALPES DE HAUTE PROVENCE'),
('4510','ESPINOUSE','ALPES DE HAUTE PROVENCE'),
('4510','MALLEMOISSON','ALPES DE HAUTE PROVENCE'),
('4510','MIRABEAU','ALPES DE HAUTE PROVENCE'),
('4530','LA CONDAMINE CHATELARD','ALPES DE HAUTE PROVENCE'),
('4530','ST PAUL','ALPES DE HAUTE PROVENCE'),
('4530','STE ANNE','ALPES DE HAUTE PROVENCE'),
('4540','LARCHE','ALPES DE HAUTE PROVENCE'),
('4540','MEYRONNES','ALPES DE HAUTE PROVENCE'),
('4550','ALBIOSC','ALPES DE HAUTE PROVENCE'),
('4550','ALLEMAGNE EN PROVENCE','ALPES DE HAUTE PROVENCE'),
('4550','ESPARRON DE VERDON','ALPES DE HAUTE PROVENCE'),
('4600','MONTFORT','ALPES DE HAUTE PROVENCE'),
('4600','ST AUBAN','ALPES DE HAUTE PROVENCE'),
('4640','VILLARS COLMARS','ALPES DE HAUTE PROVENCE'),
('4660','CHAMPTERCIER','ALPES DE HAUTE PROVENCE'),
('4700','LA BRILLANNE','ALPES DE HAUTE PROVENCE'),
('4700','LE CASTELLET','ALPES DE HAUTE PROVENCE'),
('4700','ENTREVENNES','ALPES DE HAUTE PROVENCE'),
('4700','LURS','ALPES DE HAUTE PROVENCE'),
('4700','ORAISON','ALPES DE HAUTE PROVENCE'),
('4700','PUIMICHEL','ALPES DE HAUTE PROVENCE'),
('4800','GREOUX LES BAINS','ALPES DE HAUTE PROVENCE'),
('4800','ST MARTIN DE BROMES','ALPES DE HAUTE PROVENCE'),
('4850','JAUSIERS','ALPES DE HAUTE PROVENCE'),
('4860','PIERREVERT','ALPES DE HAUTE PROVENCE'),
('4870','LINCEL','ALPES DE HAUTE PROVENCE'),
('4870','ST MARTIN LES EAUX','ALPES DE HAUTE PROVENCE'),
('4870','ST MICHEL L OBSERVATOIRE','ALPES DE HAUTE PROVENCE'),
('5000','LA BATIE VIEILLE','HAUTES ALPES'),
('5000','CHATEAUVIEUX','HAUTES ALPES'),
('5000','LA FREISSINOUSE','HAUTES ALPES'),
('5000','GAP','HAUTES ALPES'),
('5000','NEFFES','HAUTES ALPES'),
('5000','PELLEAUTIER','HAUTES ALPES'),
('5000','RAMBAUD','HAUTES ALPES'),
('5000','LA ROCHETTE','HAUTES ALPES'),
('5000','ROMETTE','HAUTES ALPES'),
('5100','BRIANCON','HAUTES ALPES'),
('5100','CERVIERES','HAUTES ALPES'),
('5100','MONTGENEVRE','HAUTES ALPES'),
('5100','NEVACHE','HAUTES ALPES'),
('5100','PUY ST ANDRE','HAUTES ALPES'),
('5100','PUY ST PIERRE','HAUTES ALPES'),
('5100','VAL DES PRES','HAUTES ALPES'),
('5100','VILLAR ST PANCRACE','HAUTES ALPES'),
('5110','CLARET','HAUTES ALPES'),
('5110','CURBANS','HAUTES ALPES'),
('5110','BARCILLONNETTE','HAUTES ALPES'),
('5110','ESPARRON','HAUTES ALPES'),
('5110','LARDIER ET VALENCA','HAUTES ALPES'),
('5110','MONETIER ALLEMONT','HAUTES ALPES'),
('5110','LA SAULCE','HAUTES ALPES'),
('5110','VITROLLES','HAUTES ALPES'),
('5120','L ARGENTIERE LA BESSEE','HAUTES ALPES'),
('5120','ST MARTIN DE QUEYRIERE','HAUTES ALPES'),
('5120','LES VIGNEAUX','HAUTES ALPES'),
('5130','PIEGUT','HAUTES ALPES'),
('5130','VENTEROL','HAUTES ALPES'),
('5130','FOUILLOUSE','HAUTES ALPES'),
('5130','JARJAYES','HAUTES ALPES'),
('5130','LETTRET','HAUTES ALPES'),
('5130','ST ETIENNE LE LAUS','HAUTES ALPES'),
('5130','SIGOYER','HAUTES ALPES'),
('5130','TALLARD','HAUTES ALPES'),
('5130','VALSERRES','HAUTES ALPES'),
('5140','ASPREMONT','HAUTES ALPES'),
('5140','ASPRES SUR BUECH','HAUTES ALPES'),
('5140','LA BEAUME','HAUTES ALPES'),
('5140','LA FAURIE','HAUTES ALPES'),
('5140','LA HAUTE BEAUME','HAUTES ALPES'),
('5140','MONTBRAND','HAUTES ALPES'),
('5140','ST JULIEN EN BEAUCHENE','HAUTES ALPES'),
('5140','ST PIERRE D ARGENCON','HAUTES ALPES'),
('5150','BRUIS','HAUTES ALPES'),
('5150','MONTJAY','HAUTES ALPES'),
('5150','MONTMORIN','HAUTES ALPES'),
('5150','MOYDANS','HAUTES ALPES'),
('5150','RIBEYRET','HAUTES ALPES'),
('5150','ROSANS','HAUTES ALPES'),
('5150','ST ANDRE DE ROSANS','HAUTES ALPES'),
('5150','STE MARIE','HAUTES ALPES'),
('5150','SORBIERS','HAUTES ALPES'),
('5160','PONTIS','HAUTES ALPES'),
('5160','REALLON','HAUTES ALPES'),
('5160','ST APOLLINAIRE','HAUTES ALPES'),
('5160','LE SAUZE DU LAC','HAUTES ALPES'),
('5160','SAVINES LE LAC','HAUTES ALPES'),
('5170','ORCIERES','HAUTES ALPES'),
('5170','MERLETTE','HAUTES ALPES'),
('5190','BREZIERS','HAUTES ALPES'),
('5190','ESPINASSES','HAUTES ALPES'),
('5190','REMOLLON','HAUTES ALPES'),
('5190','ROCHEBRUNE','HAUTES ALPES'),
('5190','ROUSSET','HAUTES ALPES'),
('5190','THEUS','HAUTES ALPES'),
('5200','BARATIER','HAUTES ALPES'),
('5200','CREVOUX','HAUTES ALPES'),
('5200','CROTS','HAUTES ALPES'),
('5200','EMBRUN','HAUTES ALPES'),
('5200','LES ORRES','HAUTES ALPES'),
('5200','PUY ST EUSEBE','HAUTES ALPES'),
('5200','PUY SANIERES','HAUTES ALPES'),
('5200','ST ANDRE D EMBRUN','HAUTES ALPES'),
('5200','ST SAUVEUR','HAUTES ALPES'),
('5220','LE MONETIER LES BAINS','HAUTES ALPES'),
('5230','AVANCON','HAUTES ALPES'),
('5230','LA BATIE NEUVE','HAUTES ALPES'),
('5230','CHORGES','HAUTES ALPES'),
('5230','MONTGARDIN','HAUTES ALPES'),
('5230','PRUNIERES','HAUTES ALPES'),
('5240','LA SALLE LES ALPES','HAUTES ALPES'),
('5240','SERRE CHEVALIER','HAUTES ALPES'),
('5250','AGNIERES EN DEVOLUY','HAUTES ALPES'),
('5250','LA CLUSE','HAUTES ALPES'),
('5250','ST DISDIER','HAUTES ALPES'),
('5250','ST ETIENNE EN DEVOLUY','HAUTES ALPES'),
('5250','SUPERDEVOLUY','HAUTES ALPES'),
('5260','ANCELLE','HAUTES ALPES'),
('5260','CHABOTTES','HAUTES ALPES'),
('5260','CHAMPOLEON','HAUTES ALPES'),
('5260','FOREST ST JULIEN','HAUTES ALPES'),
('5260','ST JEAN ST NICOLAS','HAUTES ALPES'),
('5260','ST LEGER LES MELEZES','HAUTES ALPES'),
('5260','ST MICHEL DE CHAILLOL','HAUTES ALPES'),
('5260','LE PONT DU FOSSE','HAUTES ALPES'),
('5290','PUY ST VINCENT','HAUTES ALPES'),
('5290','VALLOUISE','HAUTES ALPES'),
('5300','ANTONAVES','HAUTES ALPES'),
('5300','BARRET LE BAS','HAUTES ALPES'),
('5300','CHATEAUNEUF DE CHABRE','HAUTES ALPES'),
('5300','EYGUIANS','HAUTES ALPES'),
('5300','LAGRAND','HAUTES ALPES'),
('5300','LARAGNE MONTEGLIN','HAUTES ALPES'),
('5300','LAZER','HAUTES ALPES'),
('5300','LE POET','HAUTES ALPES'),
('5300','RIBIERS','HAUTES ALPES'),
('5300','ST GENIS','HAUTES ALPES'),
('5300','ST PIERRE AVEZ','HAUTES ALPES'),
('5300','SALEON','HAUTES ALPES'),
('5300','SALERANS','HAUTES ALPES'),
('5300','UPAIX','HAUTES ALPES'),
('5300','VENTAVON','HAUTES ALPES'),
('5310','CHAMPCELLA','HAUTES ALPES'),
('5310','FREISSINIERES','HAUTES ALPES'),
('5310','LA ROCHE DE RAME','HAUTES ALPES'),
('5320','LA GRAVE','HAUTES ALPES'),
('5330','ST CHAFFREY','HAUTES ALPES'),
('5340','PELVOUX','HAUTES ALPES'),
('5340','AILEFROIDE','HAUTES ALPES'),
('5350','ARVIEUX','HAUTES ALPES'),
('5350','MOLINES EN QUEYRAS','HAUTES ALPES'),
('5350','ST VERAN','HAUTES ALPES'),
('5350','CHATEAU QUEYRAS','HAUTES ALPES'),
('5380','CHATEAUROUX','HAUTES ALPES'),
('5400','CHABESTAN','HAUTES ALPES'),
('5400','CHATEAUNEUF D OZE','HAUTES ALPES'),
('5400','FURMEYER','HAUTES ALPES'),
('5400','MANTEYER','HAUTES ALPES'),
('5400','MONTMAUR','HAUTES ALPES'),
('5400','OZE','HAUTES ALPES'),
('5400','RABOU','HAUTES ALPES'),
('5400','LA ROCHE DES ARNAUDS','HAUTES ALPES'),
('5400','ST AUBAN D OZE','HAUTES ALPES'),
('5400','LE SAIX','HAUTES ALPES'),
('5400','VEYNES','HAUTES ALPES'),
('5460','ABRIES','HAUTES ALPES'),
('5460','CHATEAU VILLE VIEILLE','HAUTES ALPES'),
('5460','RISTOLAS','HAUTES ALPES'),
('5470','AIGUILLES','HAUTES ALPES'),
('5480','VILLAR D ARENE','HAUTES ALPES'),
('5500','BENEVENT ET CHARBILLAC','HAUTES ALPES'),
('5500','BUISSARD','HAUTES ALPES'),
('5500','LES COSTES','HAUTES ALPES'),
('5500','LA FARE EN CHAMPSAUR','HAUTES ALPES'),
('5500','LES INFOURNAS','HAUTES ALPES'),
('5500','LAYE','HAUTES ALPES'),
('5500','LA MOTTE EN CHAMPSAUR','HAUTES ALPES'),
('5500','LE NOYER','HAUTES ALPES'),
('5500','POLIGNY','HAUTES ALPES'),
('5500','ST BONNET EN CHAMPSAUR','HAUTES ALPES'),
('5500','ST EUSEBE EN CHAMPSAUR','HAUTES ALPES'),
('5500','ST JULIEN EN CHAMPSAUR','HAUTES ALPES');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('5500','ST LAURENT DU CROS','HAUTES ALPES'),
('5560','VARS','HAUTES ALPES'),
('5600','CEILLAC','HAUTES ALPES'),
('5600','EYGLIERS','HAUTES ALPES'),
('5600','GUILLESTRE','HAUTES ALPES'),
('5600','MONT DAUPHIN','HAUTES ALPES'),
('5600','REOTIER','HAUTES ALPES'),
('5600','RISOUL','HAUTES ALPES'),
('5600','ST CLEMENT SUR DURANCE','HAUTES ALPES'),
('5600','ST CREPIN','HAUTES ALPES'),
('5700','LA BATIE MONTSALEON','HAUTES ALPES'),
('5700','LE BERSAC','HAUTES ALPES'),
('5700','CHANOUSSE','HAUTES ALPES'),
('5700','L EPINE','HAUTES ALPES'),
('5700','ETOILE ST CYRICE','HAUTES ALPES'),
('5700','MEREUIL','HAUTES ALPES'),
('5700','MONTCLUS','HAUTES ALPES'),
('5700','MONTROND','HAUTES ALPES'),
('5700','NOSSAGE ET BENEVENT','HAUTES ALPES'),
('5700','ORPIERRE','HAUTES ALPES'),
('5700','LA PIARRE','HAUTES ALPES'),
('5700','ST COLOMBE','HAUTES ALPES'),
('5700','SAVOURNON','HAUTES ALPES'),
('5700','SERRES','HAUTES ALPES'),
('5700','SIGOTTIER','HAUTES ALPES'),
('5700','TRESCLEOUX','HAUTES ALPES'),
('5700','VILLEBOIS LES PINS','HAUTES ALPES'),
('5800','ASPRES LES CORPS','HAUTES ALPES'),
('5800','CHAUFFAYER','HAUTES ALPES'),
('5800','LE GLAIZIL','HAUTES ALPES'),
('5800','CHAPELLE EN VALGAUDEMAR','HAUTES ALPES'),
('5800','ST FIRMIN','HAUTES ALPES'),
('5800','ST JACQUES EN VALGODEMARD','HAUTES ALPES'),
('5800','ST MAURICE EN VALGODEMARD','HAUTES ALPES'),
('5800','VILLAR LOUBIERE','HAUTES ALPES'),
('6000','NICE','ALPES MARITIMES'),
('6110','LE CANNET','ALPES MARITIMES'),
('6110','ROCHEVILLE','ALPES MARITIMES'),
('6130','GRASSE','ALPES MARITIMES'),
('6130','LE PLAN DE GRASSE','ALPES MARITIMES'),
('6130','PLASCASSIER','ALPES MARITIMES'),
('6140','COURSEGOULES','ALPES MARITIMES'),
('6140','TOURETTE SUR LOUP','ALPES MARITIMES'),
('6140','VENCE','ALPES MARITIMES'),
('6150','CANNES LA BOCCA','ALPES MARITIMES'),
('6160','CAP D ANTIBES','ALPES MARITIMES'),
('6160','JUAN LES PINS','ALPES MARITIMES'),
('6190','ROQUEBRUNE CAP MARTIN','ALPES MARITIMES'),
('6190','CARNOLES','ALPES MARITIMES'),
('6200','ST ROMAN DE BELLET','ALPES MARITIMES'),
('6200','ST ISIDORE','ALPES MARITIMES'),
('6210','MANDELIEU LA NAPOULE','ALPES MARITIMES'),
('6210','LA NAPOULE','ALPES MARITIMES'),
('6220','VALLAURIS','ALPES MARITIMES'),
('6220','LE GOLFE JUAN','ALPES MARITIMES'),
('6230','ST JEAN CAP FERRAT','ALPES MARITIMES'),
('6230','VILLEFRANCHE SUR MER','ALPES MARITIMES'),
('6240','BEAUSOLEIL','ALPES MARITIMES'),
('6250','MOUGINS','ALPES MARITIMES'),
('6260','LA ROCHETTE','ALPES MARITIMES'),
('6260','ST PIERRE','ALPES MARITIMES'),
('6260','ASCROS','ALPES MARITIMES'),
('6260','AUVARE','ALPES MARITIMES'),
('6260','LA CROIX SUR ROUDOULE','ALPES MARITIMES'),
('6260','LIEUCHE','ALPES MARITIMES'),
('6260','LA PENNE','ALPES MARITIMES'),
('6260','PIERLAS','ALPES MARITIMES'),
('6260','PUGET ROSTANG','ALPES MARITIMES'),
('6260','PUGET THENIERS','ALPES MARITIMES'),
('6260','RIGAUD','ALPES MARITIMES'),
('6260','ST ANTONIN','ALPES MARITIMES'),
('6260','ST LEGER','ALPES MARITIMES'),
('6270','VILLENEUVE LOUBET','ALPES MARITIMES'),
('6310','BEAULIEU SUR MER','ALPES MARITIMES'),
('6320','CAP D AIL','ALPES MARITIMES'),
('6320','LA TURBIE','ALPES MARITIMES'),
('6330','ROQUEFORT LES PINS','ALPES MARITIMES'),
('6340','CANTARON','ALPES MARITIMES'),
('6340','DRAP','ALPES MARITIMES'),
('6340','LA TRINITE','ALPES MARITIMES'),
('6360','EZE','ALPES MARITIMES'),
('6370','MOUANS SARTOUX','ALPES MARITIMES'),
('6380','MOULINET','ALPES MARITIMES'),
('6380','SOSPEL','ALPES MARITIMES'),
('6390','BENDEJUN','ALPES MARITIMES'),
('6390','BERRE LES ALPES','ALPES MARITIMES'),
('6390','CHATEAUNEUF VILLEVIEILLE','ALPES MARITIMES'),
('6390','COARAZE','ALPES MARITIMES'),
('6390','CONTES','ALPES MARITIMES'),
('6400','CANNES','ALPES MARITIMES'),
('6410','BIOT','ALPES MARITIMES'),
('6420','BAIROLS','ALPES MARITIMES'),
('6420','CLANS','ALPES MARITIMES'),
('6420','ILONSE','ALPES MARITIMES'),
('6420','ISOLA','ALPES MARITIMES'),
('6420','MARIE','ALPES MARITIMES'),
('6420','RIMPLAS','ALPES MARITIMES'),
('6420','ROUBION','ALPES MARITIMES'),
('6420','ROURE','ALPES MARITIMES'),
('6420','ST SAUVEUR SUR TINEE','ALPES MARITIMES'),
('6420','VALDEBLORE','ALPES MARITIMES'),
('6430','LA BRIGUE','ALPES MARITIMES'),
('6430','TENDE','ALPES MARITIMES'),
('6430','ST DALMAS DE TENDE','ALPES MARITIMES'),
('6440','BLAUSASC','ALPES MARITIMES'),
('6440','L ESCARENE','ALPES MARITIMES'),
('6440','LUCERAM','ALPES MARITIMES'),
('6440','PEILLE','ALPES MARITIMES'),
('6440','PEILLON','ALPES MARITIMES'),
('6440','TOUET DE L ESCARENE','ALPES MARITIMES'),
('6440','PEIRA CAVA','ALPES MARITIMES'),
('6440','LA GRAVE DE PEILLE','ALPES MARITIMES'),
('6450','BELVEDERE','ALPES MARITIMES'),
('6450','LA BOLLENE VESUBIE','ALPES MARITIMES'),
('6450','LANTOSQUE','ALPES MARITIMES'),
('6450','ROQUEBILLIERE','ALPES MARITIMES'),
('6450','ST MARTIN VESUBIE','ALPES MARITIMES'),
('6450','UTELLE','ALPES MARITIMES'),
('6450','VENANSON','ALPES MARITIMES'),
('6450','LE BOREON','ALPES MARITIMES'),
('6450','ST JEAN LA RIVIERE','ALPES MARITIMES'),
('6460','CAUSSOLS','ALPES MARITIMES'),
('6460','ESCRAGNOLLES','ALPES MARITIMES'),
('6460','ST VALLIER DE THIEY','ALPES MARITIMES'),
('6470','BEUIL','ALPES MARITIMES'),
('6470','CHATEAUNEUF D ENTRAUNES','ALPES MARITIMES'),
('6470','DALUIS','ALPES MARITIMES'),
('6470','ENTRAUNES','ALPES MARITIMES'),
('6470','GUILLAUMES','ALPES MARITIMES'),
('6470','PEONE','ALPES MARITIMES'),
('6470','ST MARTIN D ENTRAUNES','ALPES MARITIMES'),
('6470','SAUZE','ALPES MARITIMES'),
('6470','VILLENEUVE D ENTRAUNE','ALPES MARITIMES'),
('6470','VALBERG','ALPES MARITIMES'),
('6470','ESTENG','ALPES MARITIMES'),
('6480','LA COLLE SUR LOUP','ALPES MARITIMES'),
('6500','CASTELLAR','ALPES MARITIMES'),
('6500','CASTILLON','ALPES MARITIMES'),
('6500','GORBIO','ALPES MARITIMES'),
('6500','MENTON','ALPES MARITIMES'),
('6500','STE AGNES','ALPES MARITIMES'),
('6510','BEZAUDUN LES ALPES','ALPES MARITIMES'),
('6510','BOUYON','ALPES MARITIMES'),
('6510','LE BROC','ALPES MARITIMES'),
('6510','CARROS','ALPES MARITIMES'),
('6510','CONSEGUDES','ALPES MARITIMES'),
('6510','LES FERRES','ALPES MARITIMES'),
('6510','GATTIERES','ALPES MARITIMES'),
('6520','MAGAGNOSC','ALPES MARITIMES'),
('6530','CABRIS','ALPES MARITIMES'),
('6530','PEYMEINADE','ALPES MARITIMES'),
('6530','SPERACEDES','ALPES MARITIMES'),
('6530','LE TIGNET','ALPES MARITIMES'),
('6540','BREIL SUR ROYA','ALPES MARITIMES'),
('6540','FONTAN','ALPES MARITIMES'),
('6540','SAORGE','ALPES MARITIMES'),
('6550','LA ROQUETTE SUR SIAGNE','ALPES MARITIMES'),
('6560','VALBONNE','ALPES MARITIMES'),
('6560','SOPHIA ANTIPOLIS','ALPES MARITIMES'),
('6570','ST PAUL','ALPES MARITIMES'),
('6580','PEGOMAS','ALPES MARITIMES'),
('6590','THEOULE SUR MER','ALPES MARITIMES'),
('6590','MIRAMAR','ALPES MARITIMES'),
('6600','ANTIBES','ALPES MARITIMES'),
('6600','LA FONTONNE','ALPES MARITIMES'),
('6610','LA GAUDE','ALPES MARITIMES'),
('6620','LE BAR SUR LOUP','ALPES MARITIMES'),
('6620','CIPIERES','ALPES MARITIMES'),
('6620','COURMES','ALPES MARITIMES'),
('6620','GOURDON','ALPES MARITIMES'),
('6620','GREOLIERES','ALPES MARITIMES'),
('6640','ST JEANNET','ALPES MARITIMES'),
('6650','OPIO','ALPES MARITIMES'),
('6650','LE ROURET','ALPES MARITIMES'),
('6660','ST DALMAS LE SELVAGE','ALPES MARITIMES'),
('6660','ST ETIENNE DE TINEE','ALPES MARITIMES'),
('6660','AURON','ALPES MARITIMES'),
('6670','CASTAGNIERS','ALPES MARITIMES'),
('6670','COLOMARS','ALPES MARITIMES'),
('6670','DURANUS','ALPES MARITIMES'),
('6670','LEVENS','ALPES MARITIMES'),
('6670','LA ROQUETTE SUR VAR','ALPES MARITIMES'),
('6670','ST BLAISE','ALPES MARITIMES'),
('6670','ST MARTIN DU VAR','ALPES MARITIMES'),
('6670','PLAN DU VAR','ALPES MARITIMES'),
('6690','TOURRETTE LEVENS','ALPES MARITIMES'),
('6700','ST LAURENT DU VAR','ALPES MARITIMES'),
('6710','MALAUSSENE','ALPES MARITIMES'),
('6710','MASSOINS','ALPES MARITIMES'),
('6710','THIERY','ALPES MARITIMES'),
('6710','TOUET SUR VAR','ALPES MARITIMES'),
('6710','LA TOUR','ALPES MARITIMES'),
('6710','TOURNEFORT','ALPES MARITIMES'),
('6710','VILLARS SUR VAR','ALPES MARITIMES'),
('6730','ST ANDRE','ALPES MARITIMES'),
('6740','CHATEAUNEUF GRASSE','ALPES MARITIMES'),
('6750','ANDON','ALPES MARITIMES'),
('6750','CAILLE','ALPES MARITIMES'),
('6750','SERANON','ALPES MARITIMES'),
('6750','VALDEROURE','ALPES MARITIMES');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('6750','THORENC','ALPES MARITIMES'),
('6750','LE LOGIS DU PIN','ALPES MARITIMES'),
('6780','ST CEZAIRE SUR SIAGNE','ALPES MARITIMES'),
('6790','ASPREMONT','ALPES MARITIMES'),
('6800','CAGNES SUR MER','ALPES MARITIMES'),
('6800','CROS DE CAGNES','ALPES MARITIMES'),
('6810','AURIBEAU SUR SIAGNE','ALPES MARITIMES'),
('6830','BONSON','ALPES MARITIMES'),
('6830','GILETTE','ALPES MARITIMES'),
('6830','REVEST LES ROCHES','ALPES MARITIMES'),
('6830','TOUDON','ALPES MARITIMES'),
('6830','TOURETTE DU CHATEAU','ALPES MARITIMES'),
('6850','BRIANCONNET','ALPES MARITIMES'),
('6850','GARS','ALPES MARITIMES'),
('6850','ST AUBAN','ALPES MARITIMES'),
('6910','AIGLUN','ALPES MARITIMES'),
('6910','AMIRAT','ALPES MARITIMES'),
('6910','COLLONGUES','ALPES MARITIMES'),
('6910','CUEBRIS','ALPES MARITIMES'),
('6910','LE MAS','ALPES MARITIMES'),
('6910','LES MUJOULS','ALPES MARITIMES'),
('6910','PIERREFEU','ALPES MARITIMES'),
('6910','ROQUESTERON','ALPES MARITIMES'),
('6910','ROQUESTERON GRASSE','ALPES MARITIMES'),
('6910','SALAGRIFFON','ALPES MARITIMES'),
('6910','SIGALE','ALPES MARITIMES'),
('6950','FALICON','ALPES MARITIMES'),
('7000','AJOUX','ARDECHE'),
('7000','COUX','ARDECHE'),
('7000','CREYSSEILLES','ARDECHE'),
('7000','FLAVIAC','ARDECHE'),
('7000','FREYSSENET','ARDECHE'),
('7000','GOURDON','ARDECHE'),
('7000','LYAS','ARDECHE'),
('7000','POURCHERES','ARDECHE'),
('7000','PRANLES','ARDECHE'),
('7000','PRIVAS','ARDECHE'),
('7000','ST JULIEN EN ST ALBAN','ARDECHE'),
('7000','ST PRIEST','ARDECHE'),
('7000','VEYRAS','ARDECHE'),
('7100','ANNONAY','ARDECHE'),
('7100','BOULIEU LES ANNONAY','ARDECHE'),
('7100','ROIFFIEUX','ARDECHE'),
('7100','ST MARCEL LES ANNONAY','ARDECHE'),
('7110','BEAUMONT','ARDECHE'),
('7110','CHASSIERS','ARDECHE'),
('7110','CHAZEAUX','ARDECHE'),
('7110','JOANNAS','ARDECHE'),
('7110','LABOULE','ARDECHE'),
('7110','LARGENTIERE','ARDECHE'),
('7110','LAURAC EN VIVARAIS','ARDECHE'),
('7110','LOUBARESSE','ARDECHE'),
('7110','MONTREAL','ARDECHE'),
('7110','PRUNET','ARDECHE'),
('7110','ROCHER','ARDECHE'),
('7110','ROCLES','ARDECHE'),
('7110','SANILHAC','ARDECHE'),
('7110','TAURIERS','ARDECHE'),
('7110','UZER','ARDECHE'),
('7110','VALGORGE','ARDECHE'),
('7110','VINEZAC','ARDECHE'),
('7120','AURIOLLES','ARDECHE'),
('7120','BALAZUC','ARDECHE'),
('7120','CHAUZON','ARDECHE'),
('7120','GROSPIERRES','ARDECHE'),
('7120','LABEAUME','ARDECHE'),
('7120','PRADONS','ARDECHE'),
('7120','RUOMS','ARDECHE'),
('7120','ST ALBAN AURIOLLES','ARDECHE'),
('7120','SAMPZON','ARDECHE'),
('7130','CHATEAUBOURG','ARDECHE'),
('7130','CORNAS','ARDECHE'),
('7130','ST PERAY','ARDECHE'),
('7130','ST ROMAIN DE LERPS','ARDECHE'),
('7130','SOYONS','ARDECHE'),
('7130','TOULAUD','ARDECHE'),
('7140','LES ASSIONS','ARDECHE'),
('7140','BRAHIC','ARDECHE'),
('7140','CHAMBONAS','ARDECHE'),
('7140','CHASSAGNES','ARDECHE'),
('7140','GRAVIERES','ARDECHE'),
('7140','LAFIGERE','ARDECHE'),
('7140','MALARCE SUR LA THINES','ARDECHE'),
('7140','MALBOSC','ARDECHE'),
('7140','MONTSELGUES','ARDECHE'),
('7140','NAVES','ARDECHE'),
('7140','ST JEAN DE POURCHARESSE','ARDECHE'),
('7140','STE MARGUERITE LAFIGERE','ARDECHE'),
('7140','ST PIERRE ST JEAN','ARDECHE'),
('7140','LES SALELLES','ARDECHE'),
('7140','THINES','ARDECHE'),
('7140','LES VANS','ARDECHE'),
('7150','BESSAS','ARDECHE'),
('7150','LABASTIDE DE VIRAC','ARDECHE'),
('7150','LAGORCE','ARDECHE'),
('7150','ORGNAC L AVEN','ARDECHE'),
('7150','SALAVAS','ARDECHE'),
('7150','VAGNAS','ARDECHE'),
('7150','VALLON PONT D ARC','ARDECHE'),
('7160','ACCONS','ARDECHE'),
('7160','LE CHAMBON','ARDECHE'),
('7160','LE CHEYLARD','ARDECHE'),
('7160','DORNAS','ARDECHE'),
('7160','JAUNAC','ARDECHE'),
('7160','MARIAC','ARDECHE'),
('7160','NONIERES','ARDECHE'),
('7160','ST ANDEOL DE FOURCHADES','ARDECHE'),
('7160','ST BARTHELEMY LE MEIL','ARDECHE'),
('7160','ST CHRISTOL','ARDECHE'),
('7160','ST CIERGE SOUS LE CHEYLAR','ARDECHE'),
('7160','ST GENEST LACHAMP','ARDECHE'),
('7160','ST JEAN ROURE','ARDECHE'),
('7160','ST JULIEN LABROUSSE','ARDECHE'),
('7160','ST MICHEL D AURANCE','ARDECHE'),
('7170','DARBRES','ARDECHE'),
('7170','LAVILLEDIEU','ARDECHE'),
('7170','LUSSAS','ARDECHE'),
('7170','MIRABEL','ARDECHE'),
('7170','ST ANDEOL DE BERG','ARDECHE'),
('7170','ST GERMAIN','ARDECHE'),
('7170','ST LAURENT SOUS COIRON','ARDECHE'),
('7170','ST MAURICE D IBIE','ARDECHE'),
('7170','VILLENEUVE DE BERG','ARDECHE'),
('7190','ALBON','ARDECHE'),
('7190','BEAUVENE','ARDECHE'),
('7190','GLUIRAS','ARDECHE'),
('7190','ISSAMOULENC','ARDECHE'),
('7190','MARCOLS LES EAUX','ARDECHE'),
('7190','ST ETIENNE DE SERRE','ARDECHE'),
('7190','ST JULIEN DU GUA','ARDECHE'),
('7190','ST MAURICE EN CHALENCON','ARDECHE'),
('7190','ST PIERREVILLE','ARDECHE'),
('7190','ST SAUVEUR DE MONTAGUT','ARDECHE'),
('7200','AILHON','ARDECHE'),
('7200','AUBENAS','ARDECHE'),
('7200','FONS','ARDECHE'),
('7200','LABEGUDE','ARDECHE'),
('7200','LACHAPELLE SOUS AUBENAS','ARDECHE'),
('7200','LANAS','ARDECHE'),
('7200','LENTILLERES','ARDECHE'),
('7200','MERCUER','ARDECHE'),
('7200','ROCHECOLOMBE','ARDECHE'),
('7200','ST DIDIER SOUS AUBENAS','ARDECHE'),
('7200','ST ETIENNE DE BOULOGNE','ARDECHE'),
('7200','ST ETIENNE DE FONTBELLON','ARDECHE'),
('7200','ST JULIEN DU SERRE','ARDECHE'),
('7200','ST MAURICE D ARDECHE','ARDECHE'),
('7200','ST MICHEL DE BOULOGNE','ARDECHE'),
('7200','ST PRIVAT','ARDECHE'),
('7200','ST SERNIN','ARDECHE'),
('7200','UCEL','ARDECHE'),
('7200','VESSEAUX','ARDECHE'),
('7200','VOGUE','ARDECHE'),
('7210','ALISSAS','ARDECHE'),
('7210','BAIX','ARDECHE'),
('7210','CHOMERAC','ARDECHE'),
('7210','ROCHESSAUVE','ARDECHE'),
('7210','ST BAUZILE','ARDECHE'),
('7210','ST LAGER BRESSAC','ARDECHE'),
('7210','ST SYMPHORIEN SOUS CHOMER','ARDECHE'),
('7210','ST VINCENT DE BARRES','ARDECHE'),
('7220','LARNAS','ARDECHE'),
('7220','ST MONTANT','ARDECHE'),
('7220','ST THOME','ARDECHE'),
('7220','VIVIERS','ARDECHE'),
('7230','CHANDOLAS','ARDECHE'),
('7230','FAUGERES','ARDECHE'),
('7230','LABLACHERE','ARDECHE'),
('7230','PAYZAC','ARDECHE'),
('7230','PLANZOLLES','ARDECHE'),
('7230','ST ANDRE LACHAMP','ARDECHE'),
('7230','ST GENEST DE BEAUZON','ARDECHE'),
('7240','CHALENCON','ARDECHE'),
('7240','CHATEAUNEUF DE VERNOUX','ARDECHE'),
('7240','ST APPOLINAIRE DE RIAS','ARDECHE'),
('7240','ST JEAN CHAMBRE','ARDECHE'),
('7240','ST JULIEN LE ROUX','ARDECHE'),
('7240','SILHAC','ARDECHE'),
('7240','VERNOUX EN VIVARAIS','ARDECHE'),
('7250','LE POUZIN','ARDECHE'),
('7250','ROMPON','ARDECHE'),
('7260','DOMPNAC','ARDECHE'),
('7260','JOYEUSE','ARDECHE'),
('7260','RIBES','ARDECHE'),
('7260','ROSIERES','ARDECHE'),
('7260','SABLIERES','ARDECHE'),
('7260','ST MELANY','ARDECHE'),
('7260','VERNON','ARDECHE'),
('7270','BOUCIEU LE ROI','ARDECHE'),
('7270','COLOMBIER LE JEUNE','ARDECHE'),
('7270','LE CRESTET','ARDECHE'),
('7270','EMPURANY','ARDECHE'),
('7270','GILHOC SUR ORMEZE','ARDECHE'),
('7270','LAMASTRE','ARDECHE'),
('7270','NOZIERES','ARDECHE'),
('7270','ST BARTHELEMY GROZON','ARDECHE'),
('7270','ST BASILE','ARDECHE'),
('7270','ST PRIX','ARDECHE'),
('7290','ARDOIX','ARDECHE'),
('7290','PREAUX','ARDECHE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('7290','QUINTENAS','ARDECHE'),
('7290','ST JEURE D AY','ARDECHE'),
('7290','ST ROMAIN D AY','ARDECHE'),
('7290','ST SYMPHORIEN DE MAHUN','ARDECHE'),
('7290','SATILLIEU','ARDECHE'),
('7300','CHEMINAS','ARDECHE'),
('7300','ETABLES','ARDECHE'),
('7300','GLUN','ARDECHE'),
('7300','LEMPS','ARDECHE'),
('7300','MAUVES','ARDECHE'),
('7300','PLATS','ARDECHE'),
('7300','ST BARTHELEMY LE PLAIN','ARDECHE'),
('7300','ST JEAN DE MUZOLS','ARDECHE'),
('7300','TOURNON SUR RHONE','ARDECHE'),
('7310','ARCENS','ARDECHE'),
('7310','BOREE','ARDECHE'),
('7310','CHANEAC','ARDECHE'),
('7310','INTRES','ARDECHE'),
('7310','LACHAPELLE SOUS CHANEAC','ARDECHE'),
('7310','LA ROCHETTE','ARDECHE'),
('7310','ST CLEMENT','ARDECHE'),
('7310','ST JULIEN BOUTIERES','ARDECHE'),
('7310','ST MARTIAL','ARDECHE'),
('7310','ST MARTIN DE VALAMAS','ARDECHE'),
('7320','DEVESSET','ARDECHE'),
('7320','MARS','ARDECHE'),
('7320','LE POUZAT','ARDECHE'),
('7320','ROCHEPAULE','ARDECHE'),
('7320','ST AGREVE','ARDECHE'),
('7320','ST JEURE D ANDAURE','ARDECHE'),
('7330','ASTET','ARDECHE'),
('7330','BARNAS','ARDECHE'),
('7330','MAYRES','ARDECHE'),
('7330','THUEYTS','ARDECHE'),
('7340','ANDANCE','ARDECHE'),
('7340','BOGY','ARDECHE'),
('7340','BROSSAINC','ARDECHE'),
('7340','CHAMPAGNE','ARDECHE'),
('7340','CHARNAS','ARDECHE'),
('7340','FELINES','ARDECHE'),
('7340','LIMONY','ARDECHE'),
('7340','PEAUGRES','ARDECHE'),
('7340','PEYRAUD','ARDECHE'),
('7340','ST DESIRAT','ARDECHE'),
('7340','ST ETIENNE DE VALOUX','ARDECHE'),
('7340','ST JACQUES D ATTICIEUX','ARDECHE'),
('7340','SERRIERES','ARDECHE'),
('7340','TALENCIEUX','ARDECHE'),
('7340','THORRENC','ARDECHE'),
('7340','VINZIEUX','ARDECHE'),
('7350','CRUAS','ARDECHE'),
('7360','DUNIERES SUR EYRIEUX','ARDECHE'),
('7360','LES OLLIERES SUR EYRIEUX','ARDECHE'),
('7360','ST FORTUNAT SUR EYRIEUX','ARDECHE'),
('7360','ST MICHEL CHABRILLANOUX','ARDECHE'),
('7360','ST VINCENT DE DURFORT','ARDECHE'),
('7370','ARRAS SUR RHONE','ARDECHE'),
('7370','ECLASSAN','ARDECHE'),
('7370','OZON','ARDECHE'),
('7370','SARRAS','ARDECHE'),
('7380','CHIROLS','ARDECHE'),
('7380','FABRAS','ARDECHE'),
('7380','JAUJAC','ARDECHE'),
('7380','LALEVADE D ARDECHE','ARDECHE'),
('7380','MEYRAS','ARDECHE'),
('7380','PONT DE LABEAUME','ARDECHE'),
('7380','PRADES','ARDECHE'),
('7380','ST CIRGUES DE PRADES','ARDECHE'),
('7380','LA SOUCHE','ARDECHE'),
('7400','ALBA LA ROMAINE','ARDECHE'),
('7400','AUBIGNAS','ARDECHE'),
('7400','MEYSSE','ARDECHE'),
('7400','ROCHEMAURE','ARDECHE'),
('7400','ST MARTIN SUR LAVEZON','ARDECHE'),
('7400','ST MARTIN L INFERIEUR','ARDECHE'),
('7400','ST PIERRE LA ROCHE','ARDECHE'),
('7400','SCEAUTRES','ARDECHE'),
('7400','LE TEIL','ARDECHE'),
('7400','VALVIGNERES','ARDECHE'),
('7410','ARLEBOSC','ARDECHE'),
('7410','BOZAS','ARDECHE'),
('7410','COLOMBIER LE VIEUX','ARDECHE'),
('7410','PAILHARES','ARDECHE'),
('7410','ST FELICIEN','ARDECHE'),
('7410','ST VICTOR','ARDECHE'),
('7410','VAUDEVANT','ARDECHE'),
('7430','COLOMBIER LE CARDINAL','ARDECHE'),
('7430','DAVEZIEUX','ARDECHE'),
('7430','ST CLAIR','ARDECHE'),
('7430','ST CYR','ARDECHE'),
('7430','SAVAS','ARDECHE'),
('7430','VERNOSC LES ANNONAY','ARDECHE'),
('7440','ALBOUSSIERE','ARDECHE'),
('7440','BOFFRES','ARDECHE'),
('7440','CHAMPIS','ARDECHE'),
('7440','ST SYLVESTRE','ARDECHE'),
('7450','BURZET','ARDECHE'),
('7450','PEREYRES','ARDECHE'),
('7450','SAGNES ET GOUDOULET','ARDECHE'),
('7450','ST PIERRE DE COLOMBIER','ARDECHE'),
('7460','BANNE','ARDECHE'),
('7460','BEAULIEU','ARDECHE'),
('7460','BERRIAS ET CASTELJAU','ARDECHE'),
('7460','CASTELJAU','ARDECHE'),
('7460','ST ANDRE DE CRUZIERES','ARDECHE'),
('7460','ST PAUL LE JEUNE','ARDECHE'),
('7460','ST SAUVEUR DE CRUZIERES','ARDECHE'),
('7470','COUCOURON','ARDECHE'),
('7470','ISSARLES','ARDECHE'),
('7470','LE LAC D ISSARLES','ARDECHE'),
('7470','LACHAPELLE GRAILLOUSE','ARDECHE'),
('7500','GUILHERAND GRANGES','ARDECHE'),
('7510','CROS DE GEORAND','ARDECHE'),
('7510','ISSANLAS','ARDECHE'),
('7510','MAZAN L ABBAYE','ARDECHE'),
('7510','ST CIRGUES EN MONTAGNE','ARDECHE'),
('7510','STE EULALIE','ARDECHE'),
('7510','USCLADES ET RIEUTORD','ARDECHE'),
('7520','LAFARRE','ARDECHE'),
('7520','LALOUVESC','ARDECHE'),
('7520','ST PIERRE SUR DOUX','ARDECHE'),
('7530','AIZAC','ARDECHE'),
('7530','ANTRAIGUES SUR VOLANE','ARDECHE'),
('7530','GENESTELLE','ARDECHE'),
('7530','LACHAMP RAPHAEL','ARDECHE'),
('7530','LAVIOLLE','ARDECHE'),
('7530','MEZILHAC','ARDECHE'),
('7530','ST JOSEPH DES BANCS','ARDECHE'),
('7560','MONTPEZAT SOUS BAUZON','ARDECHE'),
('7560','LE ROUX','ARDECHE'),
('7570','DESAIGNES','ARDECHE'),
('7570','LABATIE D ANDAURE','ARDECHE'),
('7580','BERZEME','ARDECHE'),
('7580','ST GINEYS EN COIRON','ARDECHE'),
('7580','ST JEAN LE CENTENIER','ARDECHE'),
('7580','ST PONS','ARDECHE'),
('7590','BORNE','ARDECHE'),
('7590','CELLIER DU LUC','ARDECHE'),
('7590','LAVAL D AURELLE','ARDECHE'),
('7590','LE PLAGNAL','ARDECHE'),
('7590','ST ALBAN EN MONTAGNE','ARDECHE'),
('7590','ST ETIENNE DE LUGDARES','ARDECHE'),
('7590','ST LAURENT LES BAINS','ARDECHE'),
('7600','ASPERJOC','ARDECHE'),
('7600','JUVINAS','ARDECHE'),
('7600','LABASTIDE SUR BESORGUES','ARDECHE'),
('7600','ST ANDEOL DE VALS','ARDECHE'),
('7600','VALS LES BAINS','ARDECHE'),
('7610','SECHERAS','ARDECHE'),
('7610','VION','ARDECHE'),
('7630','LE BEAGE','ARDECHE'),
('7660','LANARCE','ARDECHE'),
('7660','LAVILLATTE','ARDECHE'),
('7660','LESPERON','ARDECHE'),
('7690','MONESTIER','ARDECHE'),
('7690','ST ANDRE EN VIVARAIS','ARDECHE'),
('7690','ST JULIEN VOCANCE','ARDECHE'),
('7690','VANOSC','ARDECHE'),
('7690','VILLEVOCANCE','ARDECHE'),
('7690','VOCANCE','ARDECHE'),
('7700','BIDON','ARDECHE'),
('7700','BOURG ST ANDEOL','ARDECHE'),
('7700','GRAS','ARDECHE'),
('7700','ST JUST','ARDECHE'),
('7700','ST MARCEL D ARDECHE','ARDECHE'),
('7700','ST MARTIN D ARDECHE','ARDECHE'),
('7700','ST REMEZE','ARDECHE'),
('7790','ST ALBAN D AY','ARDECHE'),
('7800','BEAUCHASTEL','ARDECHE'),
('7800','CHARMES SUR RHONE','ARDECHE'),
('7800','GILHAC ET BRUZAC','ARDECHE'),
('7800','ST CIERGE LA SERRE','ARDECHE'),
('7800','ST GEORGES LES BAINS','ARDECHE'),
('7800','ST LAURENT DU PAPE','ARDECHE'),
('7800','LA VOULTE SUR RHONE','ARDECHE'),
('8000','LES AYVELLES','ARDENNES'),
('8000','CHARLEVILLE MEZIERES','ARDENNES'),
('8000','LA FRANCHEVILLE','ARDENNES'),
('8000','PRIX LES MEZIERES','ARDENNES'),
('8000','VILLERS SEMEUSE','ARDENNES'),
('8000','WARCQ','ARDENNES'),
('8090','AIGLEMONT','ARDENNES'),
('8090','ARREUX','ARDENNES'),
('8090','BELVAL','ARDENNES'),
('8090','MONTCORNET EN ARDENNE','ARDENNES'),
('8090','DAMOUZY','ARDENNES'),
('8090','EVIGNY','ARDENNES'),
('8090','FAGNON','ARDENNES'),
('8090','HAM LES MOINES','ARDENNES'),
('8090','HAUDRECY','ARDENNES'),
('8090','HOULDIZY','ARDENNES'),
('8090','MONTCORNET','ARDENNES'),
('8090','MONTCY NOTRE DAME','ARDENNES'),
('8090','NEUVILLE LES THIS','ARDENNES'),
('8090','ST LAURENT','ARDENNES'),
('8090','SURY','ARDENNES'),
('8090','THIS','ARDENNES'),
('8090','TOURNES','ARDENNES'),
('8090','WARNECOURT','ARDENNES'),
('8110','BLAGNY','ARDENNES');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('8110','CARIGNAN','ARDENNES'),
('8110','LES DEUX VILLES','ARDENNES'),
('8110','ESCOMBRES ET LE CHESNOIS','ARDENNES'),
('8110','LINAY','ARDENNES'),
('8110','MATTON ET CLEMENCY','ARDENNES'),
('8110','MESSINCOURT','ARDENNES'),
('8110','MOGUES','ARDENNES'),
('8110','OSNES','ARDENNES'),
('8110','PURE','ARDENNES'),
('8110','SACHY','ARDENNES'),
('8110','SAILLY','ARDENNES'),
('8110','TETAIGNE','ARDENNES'),
('8110','TREMBLOIS LES CARIGNAN','ARDENNES'),
('8110','WILLIERS','ARDENNES'),
('8110','WE','ARDENNES'),
('8120','BOGNY SUR MEUSE','ARDENNES'),
('8130','ALLAND HUY ET SAUSSEUIL','ARDENNES'),
('8130','AMBLY FLEURY','ARDENNES'),
('8130','ATTIGNY','ARDENNES'),
('8130','CHARBOGNE','ARDENNES'),
('8130','CHUFFILLY ROCHE','ARDENNES'),
('8130','COULOMMES ET MARQUENY','ARDENNES'),
('8130','ECORDAL','ARDENNES'),
('8130','GIVRY','ARDENNES'),
('8130','GUINCOURT','ARDENNES'),
('8130','JONVAL','ARDENNES'),
('8130','LAMETZ','ARDENNES'),
('8130','MONT LAURENT','ARDENNES'),
('8130','NEUVILLE DAY','ARDENNES'),
('8130','RILLY SUR AISNE','ARDENNES'),
('8130','LA SABOTTERIE','ARDENNES'),
('8130','ST LAMBERT ET MONT DE JEU','ARDENNES'),
('8130','ST LOUP TERRIER','ARDENNES'),
('8130','STE VAUBOURG','ARDENNES'),
('8130','SAULCES CHAMPENOISES','ARDENNES'),
('8130','SEMUY','ARDENNES'),
('8130','SUZANNE','ARDENNES'),
('8130','TOURTERON','ARDENNES'),
('8130','VAUX CHAMPAGNE','ARDENNES'),
('8140','BAZEILLES','ARDENNES'),
('8140','BREVILLY','ARDENNES'),
('8140','DAIGNY','ARDENNES'),
('8140','DOUZY','ARDENNES'),
('8140','FRANCHEVAL','ARDENNES'),
('8140','MAIRY','ARDENNES'),
('8140','LA MONCELLE','ARDENNES'),
('8140','POURU AUX BOIS','ARDENNES'),
('8140','POURU ST REMY','ARDENNES'),
('8140','RUBECOURT ET LAMECOURT','ARDENNES'),
('8140','VILLERS CERNAY','ARDENNES'),
('8150','AUBIGNY LES POTHEES','ARDENNES'),
('8150','LE CHATELET SUR SORMONNE','ARDENNES'),
('8150','L ECHELLE','ARDENNES'),
('8150','HARCY','ARDENNES'),
('8150','LAVAL MORENCY','ARDENNES'),
('8150','LEPRON LES VALLEES','ARDENNES'),
('8150','LOGNY BOGNY','ARDENNES'),
('8150','LONNY','ARDENNES'),
('8150','MURTIN ET BOGNY','ARDENNES'),
('8150','REMILLY LES POTHEES','ARDENNES'),
('8150','RENWEZ','ARDENNES'),
('8150','RIMOGNE','ARDENNES'),
('8150','ROUVROY SUR AUDRY','ARDENNES'),
('8150','SECHEVAL','ARDENNES'),
('8150','SERVION','ARDENNES'),
('8150','SORMONNE','ARDENNES'),
('8150','TREMBLOIS LES ROCROI','ARDENNES'),
('8150','VAUX VILLAINE','ARDENNES'),
('8160','BALAIVES ET BUTZ','ARDENNES'),
('8160','BOUTANCOURT','ARDENNES'),
('8160','LA CASSINE','ARDENNES'),
('8160','CHALANDRY ELAIRE','ARDENNES'),
('8160','DOM LE MESNIL','ARDENNES'),
('8160','ELAN','ARDENNES'),
('8160','ETREPIGNY','ARDENNES'),
('8160','FLIZE','ARDENNES'),
('8160','HANNOGNE ST MARTIN','ARDENNES'),
('8160','NOUVION SUR MEUSE','ARDENNES'),
('8160','ST MARCEAU','ARDENNES'),
('8160','SAPOGNE ET FEUCHERES','ARDENNES'),
('8160','VENDRESSE','ARDENNES'),
('8160','PONT A BAR','ARDENNES'),
('8170','FEPIN','ARDENNES'),
('8170','FUMAY','ARDENNES'),
('8170','HARGNIES','ARDENNES'),
('8170','HAYBES SUR MEUSE','ARDENNES'),
('8170','MONTIGNY SUR MEUSE','ARDENNES'),
('8190','AIRE','ARDENNES'),
('8190','ASFELD','ARDENNES'),
('8190','AVAUX','ARDENNES'),
('8190','BALHAM','ARDENNES'),
('8190','BLANZY LA SALONNAISE','ARDENNES'),
('8190','BRIENNE SUR AISNE','ARDENNES'),
('8190','GOMONT','ARDENNES'),
('8190','HOUDILCOURT','ARDENNES'),
('8190','POILCOURT SYDNEY','ARDENNES'),
('8190','ROIZY','ARDENNES'),
('8190','ST GERMAINMONT','ARDENNES'),
('8190','SAULT ST REMY','ARDENNES'),
('8190','LE THOUR','ARDENNES'),
('8190','VIEUX LES ASFELD','ARDENNES'),
('8190','VILLERS DEVANT LE THOUR','ARDENNES'),
('8200','BALAN','ARDENNES'),
('8200','LA CHAPELLE','ARDENNES'),
('8200','FLEIGNEUX','ARDENNES'),
('8200','FLOING','ARDENNES'),
('8200','GIVONNE','ARDENNES'),
('8200','GLAIRE','ARDENNES'),
('8200','ILLY','ARDENNES'),
('8200','ST MENGES','ARDENNES'),
('8200','SEDAN','ARDENNES'),
('8200','WADELINCOURT','ARDENNES'),
('8210','AMBLIMONT','ARDENNES'),
('8210','AUTRECOURT ET POURRON','ARDENNES'),
('8210','BEAUMONT EN ARGONNE','ARDENNES'),
('8210','EUILLY ET LOMBUT','ARDENNES'),
('8210','LETANNE','ARDENNES'),
('8210','MOUZON','ARDENNES'),
('8210','VAUX LES MOUZON','ARDENNES'),
('8210','VILLERS DEVANT MOUZON','ARDENNES'),
('8210','YONCQ','ARDENNES'),
('8220','BANOGNE RECOUVRANCE','ARDENNES'),
('8220','CHAPPES','ARDENNES'),
('8220','CHAUMONT PORCIEN','ARDENNES'),
('8220','DOUMELY BEGNY','ARDENNES'),
('8220','DRAIZE','ARDENNES'),
('8220','FRAILLICOURT','ARDENNES'),
('8220','GIVRON','ARDENNES'),
('8220','HANNOGNE ST REMY','ARDENNES'),
('8220','LA HARDOYE','ARDENNES'),
('8220','LOGNY LES CHAUMONT','ARDENNES'),
('8220','MAINBRESSON','ARDENNES'),
('8220','MAINBRESSY','ARDENNES'),
('8220','MONTMEILLANT','ARDENNES'),
('8220','REMAUCOURT','ARDENNES'),
('8220','RENNEVILLE','ARDENNES'),
('8220','ROCQUIGNY','ARDENNES'),
('8220','LA ROMAGNE','ARDENNES'),
('8220','RUBIGNY','ARDENNES'),
('8220','ST JEAN AUX BOIS','ARDENNES'),
('8220','ST QUENTIN LE PETIT','ARDENNES'),
('8220','SERAINCOURT','ARDENNES'),
('8220','SEVIGNY WALEPPE','ARDENNES'),
('8220','VAUX LES RUBIGNY','ARDENNES'),
('8220','WADIMONT','ARDENNES'),
('8220','FOREST','ARDENNES'),
('8230','BOURG FIDELE','ARDENNES'),
('8230','GUE D HOSSUS','ARDENNES'),
('8230','REGNIOWEZ','ARDENNES'),
('8230','ROCROI','ARDENNES'),
('8230','SEVIGNY LA FORET','ARDENNES'),
('8230','TAILLETTE','ARDENNES'),
('8230','HIRAUMONT','ARDENNES'),
('8230','HONGREAU','ARDENNES'),
('8240','ANDEVANNE','ARDENNES'),
('8240','AUTHE','ARDENNES'),
('8240','AUTRUCHE','ARDENNES'),
('8240','BAR LES BUZANCY','ARDENNES'),
('8240','BARRICOURT','ARDENNES'),
('8240','BAYONVILLE','ARDENNES'),
('8240','BELLEVILLE ET CHATILLON S','ARDENNES'),
('8240','BELVAL BOIS DES DAMES','ARDENNES'),
('8240','LA BERLIERE','ARDENNES'),
('8240','BOULT AUX BOIS','ARDENNES'),
('8240','BRIEULLES SUR BAR','ARDENNES'),
('8240','BRIQUENAY','ARDENNES'),
('8240','BUZANCY','ARDENNES'),
('8240','CHATILLON SUR BAR','ARDENNES'),
('8240','FOSSE','ARDENNES'),
('8240','GERMONT','ARDENNES'),
('8240','HARRICOURT','ARDENNES'),
('8240','IMECOURT','ARDENNES'),
('8240','LANDRES ET ST GEORGES','ARDENNES'),
('8240','NOUART','ARDENNES'),
('8240','OCHES','ARDENNES'),
('8240','REMONVILLE','ARDENNES'),
('8240','ST PIERREMONT','ARDENNES'),
('8240','SIVRY LES BUZANCY','ARDENNES'),
('8240','SOMMAUTHE','ARDENNES'),
('8240','TAILLY','ARDENNES'),
('8240','THENORGUES','ARDENNES'),
('8240','VAUX EN DIEULET','ARDENNES'),
('8240','VERPEL','ARDENNES'),
('8240','LE CHAMPY','ARDENNES'),
('8250','APREMONT','ARDENNES'),
('8250','AUTRY','ARDENNES'),
('8250','BEFU ET LE MORTHOMME','ARDENNES'),
('8250','BOUCONVILLE','ARDENNES'),
('8250','CHAMPIGNEULLE','ARDENNES'),
('8250','CHATEL CHEHERY','ARDENNES'),
('8250','CHEVIERES','ARDENNES'),
('8250','CONDE LES AUTRY','ARDENNES'),
('8250','CORNAY','ARDENNES'),
('8250','EXERMONT','ARDENNES'),
('8250','FLEVILLE','ARDENNES'),
('8250','GRANDHAM','ARDENNES'),
('8250','GRANDPRE','ARDENNES'),
('8250','LANCON','ARDENNES'),
('8250','MARCQ','ARDENNES'),
('8250','MONTCHEUTIN','ARDENNES');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('8250','MOURON','ARDENNES'),
('8250','OLIZY PRIMAT','ARDENNES'),
('8250','PRIMAT','ARDENNES'),
('8250','ST JUVIN','ARDENNES'),
('8250','SECHAULT','ARDENNES'),
('8250','SENUC','ARDENNES'),
('8250','SOMMERANCE','ARDENNES'),
('8250','TERMES','ARDENNES'),
('8250','VAUX LES MOURON','ARDENNES'),
('8260','ANTHENY','ARDENNES'),
('8260','AUVILLERS LES FORGES','ARDENNES'),
('8260','BLOMBAY','ARDENNES'),
('8260','CERNION','ARDENNES'),
('8260','CHAMPLIN','ARDENNES'),
('8260','CHILLY','ARDENNES'),
('8260','ESTREBAY','ARDENNES'),
('8260','ETALLE','ARDENNES'),
('8260','ETEIGNIERES','ARDENNES'),
('8260','FLAIGNES HAVYS','ARDENNES'),
('8260','FOULZY','ARDENNES'),
('8260','GIRONDELLE','ARDENNES'),
('8260','HAVYS','ARDENNES'),
('8260','MARBY','ARDENNES'),
('8260','MAUBERT FONTAINE','ARDENNES'),
('8260','MON IDEE','ARDENNES'),
('8270','AUBONCOURT VAUZELLES','ARDENNES'),
('8270','CHESNOIS AUBONCOURT','ARDENNES'),
('8270','CORNY MACHEROMENIL','ARDENNES'),
('8270','FAISSAULT','ARDENNES'),
('8270','FAUX','ARDENNES'),
('8270','GRANDCHAMP','ARDENNES'),
('8270','JUSTINE HERBIGNY','ARDENNES'),
('8270','MESMONT','ARDENNES'),
('8270','LA NEUVILLE LES WASIGNY','ARDENNES'),
('8270','NOVION PORCIEN','ARDENNES'),
('8270','PUISEUX','ARDENNES'),
('8270','SAULCES MONCLIN','ARDENNES'),
('8270','SERY','ARDENNES'),
('8270','SORCY BAUTHEMONT','ARDENNES'),
('8270','VAUX MONTREUIL','ARDENNES'),
('8270','VIEL ST REMY','ARDENNES'),
('8270','WAGNON','ARDENNES'),
('8270','WASIGNY','ARDENNES'),
('8270','WIGNICOURT','ARDENNES'),
('8270','MARGY','ARDENNES'),
('8270','PROVISY','ARDENNES'),
('8290','AOUSTE','ARDENNES'),
('8290','BAY','ARDENNES'),
('8290','BLANCHEFOSSE ET BAY','ARDENNES'),
('8290','BOSSUS LES RUMIGNY','ARDENNES'),
('8290','LA CERLEAU','ARDENNES'),
('8290','LA FEREE','ARDENNES'),
('8290','LE FRETY','ARDENNES'),
('8290','HANNAPPES','ARDENNES'),
('8290','LIART','ARDENNES'),
('8290','MARLEMONT','ARDENNES'),
('8290','PREZ','ARDENNES'),
('8290','RUMIGNY','ARDENNES'),
('8300','ACY ROMANCE','ARDENNES'),
('8300','AMAGNE','ARDENNES'),
('8300','ARNICOURT','ARDENNES'),
('8300','AVANCON','ARDENNES'),
('8300','BARBY','ARDENNES'),
('8300','BERGNICOURT','ARDENNES'),
('8300','BERTONCOURT','ARDENNES'),
('8300','BIERMES','ARDENNES'),
('8300','LE CHATELET SUR RETOURNE','ARDENNES'),
('8300','COUCY','ARDENNES'),
('8300','DOUX','ARDENNES'),
('8300','L ECAILLE','ARDENNES'),
('8300','ECLY','ARDENNES'),
('8300','HAUTEVILLE','ARDENNES'),
('8300','INAUMONT','ARDENNES'),
('8300','LUCQUY','ARDENNES'),
('8300','NANTEUIL SUR AISNE','ARDENNES'),
('8300','NEUFLIZE','ARDENNES'),
('8300','NOVY CHEVRIERES','ARDENNES'),
('8300','PARGNY RESSON','ARDENNES'),
('8300','PERTHES','ARDENNES'),
('8300','RETHEL','ARDENNES'),
('8300','ST LOUP CHAMPAGNE','ARDENNES'),
('8300','ST REMY LE PETIT','ARDENNES'),
('8300','SAULT LES RETHEL','ARDENNES'),
('8300','SEUIL','ARDENNES'),
('8300','SON','ARDENNES'),
('8300','SORBON','ARDENNES'),
('8300','TAGNON','ARDENNES'),
('8300','THUGNY TRUGNY','ARDENNES'),
('8310','ALINCOURT','ARDENNES'),
('8310','ANNELLES','ARDENNES'),
('8310','AUSSONCE','ARDENNES'),
('8310','BIGNICOURT','ARDENNES'),
('8310','CAUROY','ARDENNES'),
('8310','DRICOURT','ARDENNES'),
('8310','HAUVINE','ARDENNES'),
('8310','JUNIVILLE','ARDENNES'),
('8310','LEFFINCOURT','ARDENNES'),
('8310','MACHAULT','ARDENNES'),
('8310','MENIL ANNELLES','ARDENNES'),
('8310','MENIL LEPINOIS','ARDENNES'),
('8310','MONT ST REMY','ARDENNES'),
('8310','LA NEUVILLE EN TOURNE A F','ARDENNES'),
('8310','PAUVRES','ARDENNES'),
('8310','ST CLEMENT A ARNES','ARDENNES'),
('8310','ST ETIENNE A ARNES','ARDENNES'),
('8310','ST PIERRE A ARNES','ARDENNES'),
('8310','VILLE SUR RETOURNE','ARDENNES'),
('8320','AUBRIVES','ARDENNES'),
('8320','HIERGES','ARDENNES'),
('8320','VIREUX MOLHAIN','ARDENNES'),
('8320','VIREUX WALLERAND','ARDENNES'),
('8330','VRIGNE AUX BOIS','ARDENNES'),
('8350','BOSSEVAL ET BRIANCOURT','ARDENNES'),
('8350','CHEHERY','ARDENNES'),
('8350','CHEVEUGES','ARDENNES'),
('8350','DONCHERY','ARDENNES'),
('8350','NOYERS PONT MAUGIS','ARDENNES'),
('8350','ST AIGNAN','ARDENNES'),
('8350','THELONNE','ARDENNES'),
('8350','VILLERS SUR BAR','ARDENNES'),
('8350','VRIGNE MEUSE','ARDENNES'),
('8360','CHATEAU PORCIEN','ARDENNES'),
('8360','CONDE LES HERPY','ARDENNES'),
('8360','HERPY L ARLESIENNE','ARDENNES'),
('8360','ST FERGEUX','ARDENNES'),
('8360','TAIZY','ARDENNES'),
('8360','CHAUDION','ARDENNES'),
('8370','AUFLANCE','ARDENNES'),
('8370','BIEVRES','ARDENNES'),
('8370','LA FERTE SUR CHIERS','ARDENNES'),
('8370','FROMY','ARDENNES'),
('8370','HERBEUVAL','ARDENNES'),
('8370','MALANDRY','ARDENNES'),
('8370','MARGNY','ARDENNES'),
('8370','MARGUT','ARDENNES'),
('8370','MOIRY','ARDENNES'),
('8370','PUILLY ET CHARBEAUX','ARDENNES'),
('8370','SAPOGNE SUR MARCHE','ARDENNES'),
('8370','SIGNY MONTLIBERT','ARDENNES'),
('8370','VILLY','ARDENNES'),
('8380','AUGE','ARDENNES'),
('8380','BEAULIEU','ARDENNES'),
('8380','BROGNON','ARDENNES'),
('8380','FLIGNY','ARDENNES'),
('8380','LA NEUVILLE AUX JOUTES','ARDENNES'),
('8380','NEUVILLE LEZ BEAULIEU','ARDENNES'),
('8380','SIGNY LE PETIT','ARDENNES'),
('8380','TARZY','ARDENNES'),
('8380','LA GRUERIE','ARDENNES'),
('8390','LES GRANDES ARMOISES','ARDENNES'),
('8390','LES PETITES ARMOISES','ARDENNES'),
('8390','ARTAISE LE VIVIER','ARDENNES'),
('8390','LE CHESNE','ARDENNES'),
('8390','LOUVERGNY','ARDENNES'),
('8390','MARQUIGNY','ARDENNES'),
('8390','LE MONT DIEU','ARDENNES'),
('8390','MONTGON','ARDENNES'),
('8390','SAUVILLE','ARDENNES'),
('8390','STONNE','ARDENNES'),
('8390','SY','ARDENNES'),
('8390','TANNAY','ARDENNES'),
('8390','VERRIERES','ARDENNES'),
('8400','LES ALLEUX','ARDENNES'),
('8400','ARDEUIL ET MONTFAUXELLES','ARDENNES'),
('8400','AURE','ARDENNES'),
('8400','BALLAY','ARDENNES'),
('8400','BLAISE','ARDENNES'),
('8400','BOURCQ','ARDENNES'),
('8400','BRECY BRIERES','ARDENNES'),
('8400','CHALLERANGE','ARDENNES'),
('8400','CHARDENY','ARDENNES'),
('8400','CONTREUVE','ARDENNES'),
('8400','LA CROIX AUX BOIS','ARDENNES'),
('8400','FALAISE','ARDENNES'),
('8400','GRIVY LOISY','ARDENNES'),
('8400','LIRY','ARDENNES'),
('8400','LONGWE','ARDENNES'),
('8400','MANRE','ARDENNES'),
('8400','MARS SOUS BOURCQ','ARDENNES'),
('8400','MARVAUX VIEUX','ARDENNES'),
('8400','MONTHOIS','ARDENNES'),
('8400','MONT ST MARTIN','ARDENNES'),
('8400','NOIRVAL','ARDENNES'),
('8400','QUATRE CHAMPS','ARDENNES'),
('8400','QUILLY','ARDENNES'),
('8400','STE MARIE','ARDENNES'),
('8400','ST MOREL','ARDENNES'),
('8400','SAVIGNY SUR AISNE','ARDENNES'),
('8400','SEMIDE','ARDENNES'),
('8400','SUGNY','ARDENNES'),
('8400','TERRON SUR AISNE','ARDENNES'),
('8400','TOGES','ARDENNES'),
('8400','TOURCELLES CHAUMONT','ARDENNES'),
('8400','VANDY','ARDENNES'),
('8400','VONCQ','ARDENNES'),
('8400','VOUZIERS','ARDENNES'),
('8400','VRIZY','ARDENNES'),
('8410','BOULZICOURT','ARDENNES'),
('8430','BAALONS','ARDENNES'),
('8430','BARBAISE','ARDENNES');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('8430','BOUVELLEMONT','ARDENNES'),
('8430','CHAGNY','ARDENNES'),
('8430','CHAMPIGNEUL SUR VENCE','ARDENNES'),
('8430','GRUYERES','ARDENNES'),
('8430','GUIGNICOURT SUR VENCE','ARDENNES'),
('8430','HAGNICOURT','ARDENNES'),
('8430','LA HORGNE','ARDENNES'),
('8430','JANDUN','ARDENNES'),
('8430','LAUNOIS SUR VENCE','ARDENNES'),
('8430','MAZERNY','ARDENNES'),
('8430','MONDIGNY','ARDENNES'),
('8430','MONTIGNY SUR VENCE','ARDENNES'),
('8430','NEUVIZY','ARDENNES'),
('8430','OMONT','ARDENNES'),
('8430','POIX TERRON','ARDENNES'),
('8430','RAILLICOURT','ARDENNES'),
('8430','ST PIERRE SUR VENCE','ARDENNES'),
('8430','SINGLY','ARDENNES'),
('8430','TOULIGNY','ARDENNES'),
('8430','VILLERS LE TILLEUL','ARDENNES'),
('8430','VILLERS LE TOURNEUR','ARDENNES'),
('8430','VILLERS SUR LE MONT','ARDENNES'),
('8430','YVERNAUMONT','ARDENNES'),
('8440','GERNELLE','ARDENNES'),
('8440','ISSANCOURT ET RUMEL','ARDENNES'),
('8440','LUMES','ARDENNES'),
('8440','VILLE SUR LUMES','ARDENNES'),
('8440','VIVIER AU COURT','ARDENNES'),
('8450','ANGECOURT','ARDENNES'),
('8450','LA BESACE','ARDENNES'),
('8450','BULSON','ARDENNES'),
('8450','CHEMERY SUR BAR','ARDENNES'),
('8450','CONNAGE','ARDENNES'),
('8450','HARAUCOURT','ARDENNES'),
('8450','MAISONCELLE ET VILLERS','ARDENNES'),
('8450','MALMY','ARDENNES'),
('8450','LA NEUVILLE A MAIRE','ARDENNES'),
('8450','OMICOURT','ARDENNES'),
('8450','RAUCOURT ET FLABA','ARDENNES'),
('8450','REMILLY AILLICOURT','ARDENNES'),
('8460','DOMMERY','ARDENNES'),
('8460','LALOBBE','ARDENNES'),
('8460','MARANWEZ','ARDENNES'),
('8460','SIGNY L ABBAYE','ARDENNES'),
('8460','THIN LE MOUTIER','ARDENNES'),
('8460','LIBRECY','ARDENNES'),
('8500','ANCHAMPS','ARDENNES'),
('8500','LES MAZURES','ARDENNES'),
('8500','REVIN','ARDENNES'),
('8560','CLAVY WARBY','ARDENNES'),
('8560','NEUFMAISON','ARDENNES'),
('8560','ST MARCEL','ARDENNES'),
('8600','CHARNOIS','ARDENNES'),
('8600','CHOOZ','ARDENNES'),
('8600','FOISCHES','ARDENNES'),
('8600','FROMELENNES','ARDENNES'),
('8600','GIVET','ARDENNES'),
('8600','HAM SUR MEUSE','ARDENNES'),
('8600','LANDRICHAMPS','ARDENNES'),
('8600','RANCENNES','ARDENNES'),
('8600','FLOHIMONT','ARDENNES'),
('8700','GESPUNSART','ARDENNES'),
('8700','LA GRANDVILLE','ARDENNES'),
('8700','JOIGNY SUR MEUSE','ARDENNES'),
('8700','MEILLIER FONTAINE','ARDENNES'),
('8700','NEUFMANIL','ARDENNES'),
('8700','NOUZONVILLE','ARDENNES'),
('8800','DEVILLE','ARDENNES'),
('8800','HAULME','ARDENNES'),
('8800','LES HAUTES RIVIERES','ARDENNES'),
('8800','LAIFOUR','ARDENNES'),
('8800','MONTHERME','ARDENNES'),
('8800','THILAY','ARDENNES'),
('8800','TOURNAVAUX','ARDENNES'),
('8800','LA PETITE COMMUNE','ARDENNES'),
('8800','LES HAUTS BUTTES','ARDENNES'),
('8800','LINCHAMPS','ARDENNES'),
('8800','NOHAN','ARDENNES'),
('8800','PHADE','ARDENNES'),
('9000','ARABAUX','ARIEGE'),
('9000','BAULOU','ARIEGE'),
('9000','BENAC','ARIEGE'),
('9000','LE BOSC','ARIEGE'),
('9000','BRASSAC','ARIEGE'),
('9000','BURRET','ARIEGE'),
('9000','CELLES','ARIEGE'),
('9000','COS','ARIEGE'),
('9000','FERRIERES SUR ARIEGE','ARIEGE'),
('9000','FOIX','ARIEGE'),
('9000','GANAC','ARIEGE'),
('9000','L HERM','ARIEGE'),
('9000','LOUBIERES','ARIEGE'),
('9000','MONTOULIEU','ARIEGE'),
('9000','PRADIERES','ARIEGE'),
('9000','PRAYOLS','ARIEGE'),
('9000','ST JEAN DE VERGES','ARIEGE'),
('9000','ST MARTIN DE CARALP','ARIEGE'),
('9000','ST PAUL DE JARRAT','ARIEGE'),
('9000','ST PIERRE DE RIVIERE','ARIEGE'),
('9000','SERRES SUR ARGET','ARIEGE'),
('9000','SOULA','ARIEGE'),
('9000','VERNAJOUL','ARIEGE'),
('9000','VILLENEUVE DU BOSC','ARIEGE'),
('9100','ARVIGNA','ARIEGE'),
('9100','BENAGUES','ARIEGE'),
('9100','BEZAC','ARIEGE'),
('9100','BONNAC','ARIEGE'),
('9100','LE CARLARET','ARIEGE'),
('9100','ESCOSSE','ARIEGE'),
('9100','LES ISSARDS','ARIEGE'),
('9100','LESCOUSSE','ARIEGE'),
('9100','LUDIES','ARIEGE'),
('9100','MADIERE','ARIEGE'),
('9100','PAMIERS','ARIEGE'),
('9100','LES PUJOLS','ARIEGE'),
('9100','ST AMADOU','ARIEGE'),
('9100','ST AMANS','ARIEGE'),
('9100','ST JEAN DU FALGA','ARIEGE'),
('9100','ST MARTIN D OYDES','ARIEGE'),
('9100','ST MICHEL','ARIEGE'),
('9100','ST VICTOR ROUZAUD','ARIEGE'),
('9100','LA TOUR DU CRIEU','ARIEGE'),
('9100','UNZENT','ARIEGE'),
('9100','VILLENEUVE DU PAREAGE','ARIEGE'),
('9110','ASCOU','ARIEGE'),
('9110','AX LES THERMES','ARIEGE'),
('9110','IGNAUX','ARIEGE'),
('9110','MERENS LES VALS','ARIEGE'),
('9110','MONTAILLOU','ARIEGE'),
('9110','ORGEIX','ARIEGE'),
('9110','ORLU','ARIEGE'),
('9110','PERLES ET CASTELET','ARIEGE'),
('9110','PRADES','ARIEGE'),
('9110','SAVIGNAC LES ORMEAUX','ARIEGE'),
('9110','SORGEAT','ARIEGE'),
('9110','TIGNAC','ARIEGE'),
('9110','VAYCHIS','ARIEGE'),
('9120','ARTIX','ARIEGE'),
('9120','CALZAN','ARIEGE'),
('9120','CAZAUX','ARIEGE'),
('9120','COUSSA','ARIEGE'),
('9120','CRAMPAGNA','ARIEGE'),
('9120','DALOU','ARIEGE'),
('9120','GUDAS','ARIEGE'),
('9120','LOUBENS','ARIEGE'),
('9120','MALLEON','ARIEGE'),
('9120','MONTEGUT PLANTAUREL','ARIEGE'),
('9120','RIEUX DE PELLEPORT','ARIEGE'),
('9120','ST BAUZEIL','ARIEGE'),
('9120','ST FELIX DE RIEUTORD','ARIEGE'),
('9120','SEGURA','ARIEGE'),
('9120','VARILHES','ARIEGE'),
('9120','VENTENAC','ARIEGE'),
('9120','VIRA','ARIEGE'),
('9130','ARTIGAT','ARIEGE'),
('9130','CARLA BAYLE','ARIEGE'),
('9130','CASTERAS','ARIEGE'),
('9130','DURFORT','ARIEGE'),
('9130','LE FOSSAT','ARIEGE'),
('9130','LANOUX','ARIEGE'),
('9130','MONESPLE','ARIEGE'),
('9130','PAILHES','ARIEGE'),
('9130','SIEURAS','ARIEGE'),
('9130','VILLENEUVE DU LATOU','ARIEGE'),
('9130','STE SUZANNE','ARIEGE'),
('9140','AULUS LES BAINS','ARIEGE'),
('9140','COUFLENS','ARIEGE'),
('9140','ERCE','ARIEGE'),
('9140','OUST','ARIEGE'),
('9140','ROGALLE','ARIEGE'),
('9140','SEIX','ARIEGE'),
('9140','SENTENAC D OUST','ARIEGE'),
('9140','SOUEIX ROGALLE','ARIEGE'),
('9140','USTOU','ARIEGE'),
('9140','SALAU','ARIEGE'),
('9140','TREIN D USTOU','ARIEGE'),
('9160','BAGERT','ARIEGE'),
('9160','LA BASTIDE DU SALAT','ARIEGE'),
('9160','BETCHAT','ARIEGE'),
('9160','CAUMONT','ARIEGE'),
('9160','CAZAVET','ARIEGE'),
('9160','LACAVE','ARIEGE'),
('9160','MAUVEZIN DE PRAT','ARIEGE'),
('9160','MERCENAC','ARIEGE'),
('9160','MONTGAUCH','ARIEGE'),
('9160','PRAT BONREPAUX','ARIEGE'),
('9160','TAURIGNAN CASTET','ARIEGE'),
('9190','BARJAC','ARIEGE'),
('9190','GAJAN','ARIEGE'),
('9190','ST LIZIER','ARIEGE'),
('9190','LORP SENTARAILLE','ARIEGE'),
('9190','TAURIGNAN VIEUX','ARIEGE'),
('9200','ALOS','ARIEGE'),
('9200','ENCOURTIECH','ARIEGE'),
('9200','ERP','ARIEGE'),
('9200','EYCHEIL','ARIEGE'),
('9200','LACOURT','ARIEGE'),
('9200','MONTEGUT EN COUSERANS','ARIEGE'),
('9200','MONTESQUIEU AVANTES','ARIEGE'),
('9200','MONTJOIE EN COUSERANS','ARIEGE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('9200','MOULIS','ARIEGE'),
('9200','RIVERENERT','ARIEGE'),
('9200','ST GIRONS','ARIEGE'),
('9200','AUDINAC LES BAINS','ARIEGE'),
('9210','LEZAT SUR LEZE','ARIEGE'),
('9210','ST YBARS','ARIEGE'),
('9220','AUZAT','ARIEGE'),
('9220','GESTIES','ARIEGE'),
('9220','GOULIER','ARIEGE'),
('9220','ILLIER ET LARAMADE','ARIEGE'),
('9220','LERCOUL','ARIEGE'),
('9220','ORUS','ARIEGE'),
('9220','SEM','ARIEGE'),
('9220','SIGUER','ARIEGE'),
('9220','SUC ET SENTENAC','ARIEGE'),
('9220','VICDESSOS','ARIEGE'),
('9230','BEDEILLE','ARIEGE'),
('9230','CERIZOLS','ARIEGE'),
('9230','CONTRAZY','ARIEGE'),
('9230','FABAS','ARIEGE'),
('9230','LASSERRE','ARIEGE'),
('9230','MAUVEZIN DE STE CROIX','ARIEGE'),
('9230','MERIGON','ARIEGE'),
('9230','MONTARDIT','ARIEGE'),
('9230','STE CROIX VOLVESTRE','ARIEGE'),
('9230','TOURTOUSE','ARIEGE'),
('9240','AIGUES JUNTES','ARIEGE'),
('9240','ALLIERES','ARIEGE'),
('9240','ALZEN','ARIEGE'),
('9240','LA BASTIDE DE SEROU','ARIEGE'),
('9240','CADARCET','ARIEGE'),
('9240','DURBAN SUR ARIZE','ARIEGE'),
('9240','LARBONT','ARIEGE'),
('9240','MONTAGAGNE','ARIEGE'),
('9240','MONTELS','ARIEGE'),
('9240','MONTSERON','ARIEGE'),
('9240','NESCUS','ARIEGE'),
('9240','SENTENAC DE SEROU','ARIEGE'),
('9240','SUZAN','ARIEGE'),
('9250','APPY','ARIEGE'),
('9250','AXIAT','ARIEGE'),
('9250','BESTIAC','ARIEGE'),
('9250','CAUSSOU','ARIEGE'),
('9250','CAYCHAX','ARIEGE'),
('9250','GARANOU','ARIEGE'),
('9250','LORDAT','ARIEGE'),
('9250','LUZENAC','ARIEGE'),
('9250','SENCONAC','ARIEGE'),
('9250','UNAC','ARIEGE'),
('9250','VERNAUX','ARIEGE'),
('9270','MAZERES','ARIEGE'),
('9290','CAMARADE','ARIEGE'),
('9290','GABRE','ARIEGE'),
('9290','LE MAS D AZIL','ARIEGE'),
('9300','L AIGUILLON','ARIEGE'),
('9300','BELESTA','ARIEGE'),
('9300','BENAIX','ARIEGE'),
('9300','CARLA DE ROQUEFORT','ARIEGE'),
('9300','DREUILHE','ARIEGE'),
('9300','FOUGAX ET BARRINEUF','ARIEGE'),
('9300','FREYCHENET','ARIEGE'),
('9300','ILHAT','ARIEGE'),
('9300','LAVELANET','ARIEGE'),
('9300','LESPARROU','ARIEGE'),
('9300','LEYCHERT','ARIEGE'),
('9300','LIEURAC','ARIEGE'),
('9300','MONTFERRIER','ARIEGE'),
('9300','MONTSEGUR','ARIEGE'),
('9300','NALZEN','ARIEGE'),
('9300','PEREILLE','ARIEGE'),
('9300','RAISSAC','ARIEGE'),
('9300','ROQUEFIXADE','ARIEGE'),
('9300','ROQUEFORT LES CASCADES','ARIEGE'),
('9300','ST JEAN D AIGUES VIVES','ARIEGE'),
('9300','SAUTEL','ARIEGE'),
('9300','VILLENEUVE D OLMES','ARIEGE'),
('9310','ALBIES','ARIEGE'),
('9310','ASTON','ARIEGE'),
('9310','AULOS','ARIEGE'),
('9310','BOUAN','ARIEGE'),
('9310','LES CABANNES','ARIEGE'),
('9310','CHATEAU VERDUN','ARIEGE'),
('9310','LARCAT','ARIEGE'),
('9310','LARNAT','ARIEGE'),
('9310','LASSUR','ARIEGE'),
('9310','PECH','ARIEGE'),
('9310','SINSAT','ARIEGE'),
('9310','URS','ARIEGE'),
('9310','VEBRE','ARIEGE'),
('9310','VERDUN','ARIEGE'),
('9320','ALEU','ARIEGE'),
('9320','BIERT','ARIEGE'),
('9320','BOUSSENAC','ARIEGE'),
('9320','MASSAT','ARIEGE'),
('9320','LE PORT','ARIEGE'),
('9320','SOULAN','ARIEGE'),
('9330','MONTGAILHARD','ARIEGE'),
('9340','VERNIOLLE','ARIEGE'),
('9350','LA BASTIDE DE BESPLAS','ARIEGE'),
('9350','LES BORDES SUR ARIZE','ARIEGE'),
('9350','CAMPAGNE SUR ARIZE','ARIEGE'),
('9350','CASTEX','ARIEGE'),
('9350','DAUMAZAN SUR ARIZE','ARIEGE'),
('9350','FORNEX','ARIEGE'),
('9350','LOUBAUT','ARIEGE'),
('9350','MERAS','ARIEGE'),
('9350','MONTFA','ARIEGE'),
('9350','SABARAT','ARIEGE'),
('9350','THOUARS SUR ARIZE','ARIEGE'),
('9390','L HOSPITALET PRES L ANDOR','ARIEGE'),
('9400','ALLIAT','ARIEGE'),
('9400','AMPLAING','ARIEGE'),
('9400','ARIGNAC','ARIEGE'),
('9400','ARNAVE','ARIEGE'),
('9400','BANAT','ARIEGE'),
('9400','BEDEILHAC ET AYNAT','ARIEGE'),
('9400','BOMPAS','ARIEGE'),
('9400','CAPOULET ET JUNAC','ARIEGE'),
('9400','CAZENAVE SERRES ET ALLENS','ARIEGE'),
('9400','GENAT','ARIEGE'),
('9400','GOURBIT','ARIEGE'),
('9400','LAPEGE','ARIEGE'),
('9400','MERCUS GARRABET','ARIEGE'),
('9400','MIGLOS','ARIEGE'),
('9400','NIAUX','ARIEGE'),
('9400','ORNOLAC USSAT LES BAINS','ARIEGE'),
('9400','QUIE','ARIEGE'),
('9400','RABAT LES TROIS SEIGNEURS','ARIEGE'),
('9400','SAURAT','ARIEGE'),
('9400','SURBA','ARIEGE'),
('9400','TARASCON SUR ARIEGE','ARIEGE'),
('9400','USSAT','ARIEGE'),
('9400','PRAT COMMUNAL','ARIEGE'),
('9420','CASTELNAU DURBAN','ARIEGE'),
('9420','CLERMONT','ARIEGE'),
('9420','ESPLAS DE SEROU','ARIEGE'),
('9420','LESCURE','ARIEGE'),
('9420','RIMONT','ARIEGE'),
('9460','ARTIGUES','ARIEGE'),
('9460','CARCANIERES','ARIEGE'),
('9460','MIJANES','ARIEGE'),
('9460','LE PLA','ARIEGE'),
('9460','LE PUCH','ARIEGE'),
('9460','QUERIGUT','ARIEGE'),
('9460','ROUZE','ARIEGE'),
('9500','LA BASTIDE DE BOUSIGNAC','ARIEGE'),
('9500','BESSET','ARIEGE'),
('9500','CAMON','ARIEGE'),
('9500','CAZALS DES BAYLES','ARIEGE'),
('9500','COUTENS','ARIEGE'),
('9500','LAGARDE','ARIEGE'),
('9500','LAPENNE','ARIEGE'),
('9500','MALEGOUDE','ARIEGE'),
('9500','MANSES','ARIEGE'),
('9500','MIREPOIX','ARIEGE'),
('9500','MOULIN NEUF','ARIEGE'),
('9500','RIEUCROS','ARIEGE'),
('9500','ROUMENGOUX','ARIEGE'),
('9500','ST FELIX DE TOURNEGAT','ARIEGE'),
('9500','STE FOI','ARIEGE'),
('9500','ST JULIEN DE GRAS CAPOU','ARIEGE'),
('9500','ST QUENTIN LA TOUR','ARIEGE'),
('9500','TEILHET','ARIEGE'),
('9500','TOURTROL','ARIEGE'),
('9500','TROYE D ARIEGE','ARIEGE'),
('9500','VALS','ARIEGE'),
('9500','VIVIES','ARIEGE'),
('9600','AIGUES VIVES','ARIEGE'),
('9600','LA BASTIDE SUR L HERS','ARIEGE'),
('9600','BELLOC','ARIEGE'),
('9600','DUN','ARIEGE'),
('9600','ENGRAVIES','ARIEGE'),
('9600','ESCLAGNE','ARIEGE'),
('9600','LAROQUE D OLMES','ARIEGE'),
('9600','LERAN','ARIEGE'),
('9600','LIMBRASSAC','ARIEGE'),
('9600','LE MERVIEL','ARIEGE'),
('9600','MONTBEL','ARIEGE'),
('9600','LE PEYRAT','ARIEGE'),
('9600','PRADETTES','ARIEGE'),
('9600','REGAT','ARIEGE'),
('9600','SENESSE DE SENABUGUE','ARIEGE'),
('9600','TABRE','ARIEGE'),
('9700','LA BASTIDE DE LORDAT','ARIEGE'),
('9700','BRIE','ARIEGE'),
('9700','CANTE','ARIEGE'),
('9700','ESPLAS','ARIEGE'),
('9700','GAUDIES','ARIEGE'),
('9700','JUSTINIAC','ARIEGE'),
('9700','LABATUT','ARIEGE'),
('9700','LISSAC','ARIEGE'),
('9700','MONTAUT','ARIEGE'),
('9700','ST QUIRC','ARIEGE'),
('9700','SAVERDUN','ARIEGE'),
('9700','TREMOULET','ARIEGE'),
('9700','LE VERNET','ARIEGE'),
('9800','ANTRAS','ARIEGE'),
('9800','ARGEIN','ARIEGE'),
('9800','ARRIEN EN BETHMALE','ARIEGE'),
('9800','ARROUT','ARIEGE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('9800','AUCAZEIN','ARIEGE'),
('9800','AUDRESSEIN','ARIEGE'),
('9800','AUGIREIN','ARIEGE'),
('9800','BALACET','ARIEGE'),
('9800','BALAGUERES','ARIEGE'),
('9800','BETHMALE','ARIEGE'),
('9800','BONAC IRAZEIN','ARIEGE'),
('9800','LES BORDES SUR LEZ','ARIEGE'),
('9800','BUZAN','ARIEGE'),
('9800','CASTILLON EN COUSERANS','ARIEGE'),
('9800','CESCAU','ARIEGE'),
('9800','ENGOMER','ARIEGE'),
('9800','GALEY','ARIEGE'),
('9800','ILLARTEIN','ARIEGE'),
('9800','ORGIBET','ARIEGE'),
('9800','ST JEAN DU CASTILLONNAIS','ARIEGE'),
('9800','ST LARY','ARIEGE'),
('9800','SALSEIN','ARIEGE'),
('9800','SENTEIN','ARIEGE'),
('9800','SOR','ARIEGE'),
('9800','UCHENTEIN','ARIEGE'),
('9800','VILLENEUVE','ARIEGE'),
('9800','BALAGUE','ARIEGE'),
('10000','TROYES','AUBE'),
('10100','CRANCEY','AUBE'),
('10100','LA FOSSE CORDUAN','AUBE'),
('10100','GELANNES','AUBE'),
('10100','OSSEY LES TROIS MAISONS','AUBE'),
('10100','PARS LES ROMILLY','AUBE'),
('10100','ROMILLY SUR SEINE','AUBE'),
('10100','ST HILAIRE SOUS ROMILLY','AUBE'),
('10100','ST LOUP DE BUFFIGNY','AUBE'),
('10100','ST MARTIN DE BOSSENAY','AUBE'),
('10100','LES GRANGES','AUBE'),
('10110','BALNOT SUR LAIGNES','AUBE'),
('10110','BAR SUR SEINE','AUBE'),
('10110','BERTIGNOLLES','AUBE'),
('10110','BOURGUIGNONS','AUBE'),
('10110','BUXEUIL','AUBE'),
('10110','BUXIERES SUR ARCE','AUBE'),
('10110','CELLES SUR OURCE','AUBE'),
('10110','CHACENAY','AUBE'),
('10110','CHAUFFOUR LES BAILLY','AUBE'),
('10110','CHERVEY','AUBE'),
('10110','EGUILLY SOUS BOIS','AUBE'),
('10110','FRALIGNES','AUBE'),
('10110','LANDREVILLE','AUBE'),
('10110','LOCHES SUR OURCE','AUBE'),
('10110','MAGNANT','AUBE'),
('10110','MAROLLES LES BAILLY','AUBE'),
('10110','MERREY SUR ARCE','AUBE'),
('10110','POLIGNY','AUBE'),
('10110','POLISOT','AUBE'),
('10110','POLISY','AUBE'),
('10110','VILLEMORIEN','AUBE'),
('10110','VILLE SUR ARCE','AUBE'),
('10110','VITRY LE CROISE','AUBE'),
('10110','VIVIERS SUR ARTAUT','AUBE'),
('10120','LAINES AUX BOIS','AUBE'),
('10120','ST ANDRE LES VERGERS','AUBE'),
('10120','ST GERMAIN','AUBE'),
('10120','ST POUANGE','AUBE'),
('10120','CHEVILLELE','AUBE'),
('10120','LEPINE','AUBE'),
('10130','AUXON','AUBE'),
('10130','AVREUIL','AUBE'),
('10130','BERNON','AUBE'),
('10130','CHAMOY','AUBE'),
('10130','CHESSY LES PRES','AUBE'),
('10130','COURSAN EN OTHE','AUBE'),
('10130','COURTAOULT','AUBE'),
('10130','LES CROUTES','AUBE'),
('10130','DAVREY','AUBE'),
('10130','EAUX PUISEAUX','AUBE'),
('10130','ERVY LE CHATEL','AUBE'),
('10130','LIGNIERES','AUBE'),
('10130','MAROLLES SOUS LIGNIERES','AUBE'),
('10130','MONTFEY','AUBE'),
('10130','MONTIGNY LES MONTS','AUBE'),
('10130','RACINES','AUBE'),
('10130','ST PHAL','AUBE'),
('10130','VILLENEUVE AU CHEMIN','AUBE'),
('10130','VOSNON','AUBE'),
('10140','AMANCE','AUBE'),
('10140','ARGANCON','AUBE'),
('10140','BEUREY','AUBE'),
('10140','BOSSANCOURT','AUBE'),
('10140','BRIEL SUR BARSE','AUBE'),
('10140','CHAMP SUR BARSE','AUBE'),
('10140','JESSAINS','AUBE'),
('10140','JUVANZE','AUBE'),
('10140','LA LOGE AUX CHEVRES','AUBE'),
('10140','LONGPRE LE SEC','AUBE'),
('10140','MAGNY FOUCHARD','AUBE'),
('10140','MAISON DES CHAMPS','AUBE'),
('10140','MESNIL ST PERE','AUBE'),
('10140','MONTMARTIN LE HAUT','AUBE'),
('10140','PUITS ET NUISEMENT','AUBE'),
('10140','THIEFFRAIN','AUBE'),
('10140','TRANNES','AUBE'),
('10140','UNIENVILLE','AUBE'),
('10140','VAUCHONVILLIERS','AUBE'),
('10140','VENDEUVRE SUR BARSE','AUBE'),
('10140','LA VILLENEUVE AU CHENE','AUBE'),
('10140','VILLY EN TRODES','AUBE'),
('10150','AUBETERRE','AUBE'),
('10150','CHARMONT SOUS BARBUISE','AUBE'),
('10150','CRENEY PRES TROYES','AUBE'),
('10150','FEUGES','AUBE'),
('10150','FONTAINE LUYERES','AUBE'),
('10150','LAVAU','AUBE'),
('10150','LUYERES','AUBE'),
('10150','MONTSUZAIN','AUBE'),
('10150','PONT STE MARIE','AUBE'),
('10150','STE MAURE','AUBE'),
('10150','VAILLY','AUBE'),
('10150','VOUE','AUBE'),
('10150','ARGENTOLLES','AUBE'),
('10150','CULOISON','AUBE'),
('10150','LA VALLOTE','AUBE'),
('10160','AIX EN OTHE','AUBE'),
('10160','BERULLE','AUBE'),
('10160','MARAYE EN OTHE','AUBE'),
('10160','NOGENT EN OTHE','AUBE'),
('10160','PAISY COSDON','AUBE'),
('10160','PLANTY','AUBE'),
('10160','RIGNY LE FERRON','AUBE'),
('10160','ST BENOIST SUR VANNE','AUBE'),
('10160','ST MARDS EN OTHE','AUBE'),
('10160','VILLEMOIRON EN OTHE','AUBE'),
('10160','VULAINES','AUBE'),
('10170','BESSY','AUBE'),
('10170','CHAUCHIGNY','AUBE'),
('10170','DROUPT ST BASLE','AUBE'),
('10170','DROUPT STE MARIE','AUBE'),
('10170','ETRELLES SUR AUBE','AUBE'),
('10170','LES GRANDES CHAPELLES','AUBE'),
('10170','LONGUEVILLE SUR AUBE','AUBE'),
('10170','MERY SUR SEINE','AUBE'),
('10170','MESGRIGNY','AUBE'),
('10170','ORVILLIERS ST JULIEN','AUBE'),
('10170','PREMIERFAIT','AUBE'),
('10170','RHEGES','AUBE'),
('10170','ST OULPH','AUBE'),
('10170','VALLANT ST GEORGES','AUBE'),
('10190','BERCENAY EN OTHE','AUBE'),
('10190','BUCEY EN OTHE','AUBE'),
('10190','CHENNEGY','AUBE'),
('10190','DIERREY ST JULIEN','AUBE'),
('10190','DIERREY ST PIERRE','AUBE'),
('10190','ESTISSAC','AUBE'),
('10190','FONTVANNES','AUBE'),
('10190','MESNIL ST LOUP','AUBE'),
('10190','MESSON','AUBE'),
('10190','NEUVILLE SUR VANNES','AUBE'),
('10190','PALIS','AUBE'),
('10190','PRUGNY','AUBE'),
('10190','VAUCHASSIS','AUBE'),
('10190','VILLEMAUR SUR VANNE','AUBE'),
('10190','THUISY','AUBE'),
('10200','AILLEVILLE','AUBE'),
('10200','ARCONVILLE','AUBE'),
('10200','ARRENTIERES','AUBE'),
('10200','ARSONVAL','AUBE'),
('10200','BAROVILLE','AUBE'),
('10200','BAR SUR AUBE','AUBE'),
('10200','BERGERES','AUBE'),
('10200','BLIGNY','AUBE'),
('10200','CHAMPIGNOL LEZ MONDEVILLE','AUBE'),
('10200','COLOMBE LA FOSSE','AUBE'),
('10200','COLOMBE LE SEC','AUBE'),
('10200','COUVIGNON','AUBE'),
('10200','DOLANCOURT','AUBE'),
('10200','ECLANCE','AUBE'),
('10200','ENGENTE','AUBE'),
('10200','FONTAINE','AUBE'),
('10200','FRAVAUX','AUBE'),
('10200','FRESNAY','AUBE'),
('10200','FULIGNY','AUBE'),
('10200','JAUCOURT','AUBE'),
('10200','LEVIGNY','AUBE'),
('10200','LIGNOL LE CHATEAU','AUBE'),
('10200','MAISONS LES SOULAINES','AUBE'),
('10200','MEURVILLE','AUBE'),
('10200','MONTIER EN L ISLE','AUBE'),
('10200','PROVERVILLE','AUBE'),
('10200','ROUVRES LES VIGNES','AUBE'),
('10200','SAULCY','AUBE'),
('10200','SOULAINES DHUYS','AUBE'),
('10200','SPOY','AUBE'),
('10200','THIL','AUBE'),
('10200','THORS','AUBE'),
('10200','URVILLE','AUBE'),
('10200','VERNONVILLIERS','AUBE'),
('10200','VILLE SUR TERRE','AUBE'),
('10200','VOIGNY','AUBE'),
('10200','VAL PERDU','AUBE'),
('10210','BALNOT LA GRANGE','AUBE'),
('10210','CHAOURCE','AUBE'),
('10210','CHASSEREY','AUBE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('10210','CHESLEY','AUBE'),
('10210','COUSSEGREY','AUBE'),
('10210','CUSSANGY','AUBE'),
('10210','ETOURVY','AUBE'),
('10210','LES GRANGES','AUBE'),
('10210','LAGESSE','AUBE'),
('10210','LANTAGES','AUBE'),
('10210','LA LOGE POMBLIN','AUBE'),
('10210','LES LOGES MARGUERON','AUBE'),
('10210','MAISONS LES CHAOURCE','AUBE'),
('10210','METZ ROBERT','AUBE'),
('10210','PARGUES','AUBE'),
('10210','PRASLIN','AUBE'),
('10210','PRUSY','AUBE'),
('10210','TURGY','AUBE'),
('10210','VALLIERES','AUBE'),
('10210','VANLAY','AUBE'),
('10210','VILLIERS LE BOIS','AUBE'),
('10210','VILLIERS SOUS PRASLIN','AUBE'),
('10210','VOUGREY','AUBE'),
('10220','ASSENCIERES','AUBE'),
('10220','VAL D\'AUZON','AUBE'),
('10220','BOUY LUXEMBOURG','AUBE'),
('10220','BREVONNES','AUBE'),
('10220','DOSCHES','AUBE'),
('10220','GERAUDOT','AUBE'),
('10220','MESNIL SELLIERES','AUBE'),
('10220','MONTANGON','AUBE'),
('10220','ONJON','AUBE'),
('10220','PINEY','AUBE'),
('10220','ROUILLY SACEY','AUBE'),
('10220','VILLEHARDOUIN','AUBE'),
('10230','MAILLY LE CAMP','AUBE'),
('10240','AULNAY','AUBE'),
('10240','AVANT LES RAMERUPT','AUBE'),
('10240','BRILLECOURT','AUBE'),
('10240','CHAUDREY','AUBE'),
('10240','COCLOIS','AUBE'),
('10240','DAMPIERRE','AUBE'),
('10240','DOMMARTIN LE COQ','AUBE'),
('10240','ISLE AUBIGNY','AUBE'),
('10240','LONGSOLS','AUBE'),
('10240','MAGNICOURT','AUBE'),
('10240','MESNIL LETTRE','AUBE'),
('10240','MOREMBERT','AUBE'),
('10240','NOGENT SUR AUBE','AUBE'),
('10240','POUGY','AUBE'),
('10240','RAMERUPT','AUBE'),
('10240','ROMAINES','AUBE'),
('10240','VAUCOGNE','AUBE'),
('10240','VERRICOURT','AUBE'),
('10250','COURTERON','AUBE'),
('10250','GYE SUR SEINE','AUBE'),
('10250','MUSSY SUR SEINE','AUBE'),
('10250','NEUVILLE SUR SEINE','AUBE'),
('10250','PLAINES ST LANGE','AUBE'),
('10260','CHAPPES','AUBE'),
('10260','COURTENOT','AUBE'),
('10260','FOUCHERES','AUBE'),
('10260','JULLY SUR SARCE','AUBE'),
('10260','MONTCEAUX LES VAUDES','AUBE'),
('10260','RUMILLY LES VAUDES','AUBE'),
('10260','ST PARRES LES VAUDES','AUBE'),
('10260','VAUDES','AUBE'),
('10260','VILLEMOYENNE','AUBE'),
('10260','VIREY SOUS BAR','AUBE'),
('10270','BOURANTON','AUBE'),
('10270','COURTERANGES','AUBE'),
('10270','FRESNOY LE CHATEAU','AUBE'),
('10270','LAUBRESSEL','AUBE'),
('10270','LUSIGNY SUR BARSE','AUBE'),
('10270','MONTAULIN','AUBE'),
('10270','MONTIERAMEY','AUBE'),
('10270','MONTREUIL SUR BARSE','AUBE'),
('10270','DAUDES','AUBE'),
('10280','FONTAINE LES GRES','AUBE'),
('10280','RILLY STE SYRE','AUBE'),
('10280','ST MESMIN','AUBE'),
('10290','AVON LA PEZE','AUBE'),
('10290','BERCENAY LE HAYER','AUBE'),
('10290','VAL D ORVIN','AUBE'),
('10290','CHARMOY','AUBE'),
('10290','FAUX VILLECERF','AUBE'),
('10290','FAY LES MARCILLY','AUBE'),
('10290','MARCILLY LE HAYER','AUBE'),
('10290','POUY SUR VANNES','AUBE'),
('10290','RIGNY LA NONNEUSE','AUBE'),
('10290','TRANCAULT','AUBE'),
('10290','VILLADIN','AUBE'),
('10300','MACEY','AUBE'),
('10300','MONTGUEUX','AUBE'),
('10300','STE SAVINE','AUBE'),
('10300','GRANGE L EVEQUE','AUBE'),
('10310','BAYEL','AUBE'),
('10310','JUVANCOURT','AUBE'),
('10310','LONGCHAMP SUR AUJON','AUBE'),
('10310','VILLE SOUS LA FERTE','AUBE'),
('10310','CLAIRVAUX SUR AUBE','AUBE'),
('10320','ASSENAY','AUBE'),
('10320','BOUILLY','AUBE'),
('10320','CRESANTIGNES','AUBE'),
('10320','FAYS LA CHAPELLE','AUBE'),
('10320','JAVERNANT','AUBE'),
('10320','JEUGNY','AUBE'),
('10320','LIREY','AUBE'),
('10320','LONGEVILLE SUR MOGNE','AUBE'),
('10320','MACHY','AUBE'),
('10320','MAUPAS','AUBE'),
('10320','RONCENAY','AUBE'),
('10320','ST JEAN DE BONNEVAL','AUBE'),
('10320','SOMMEVAL','AUBE'),
('10320','SOULIGNY','AUBE'),
('10320','VILLERY','AUBE'),
('10330','ARREMBECOURT','AUBE'),
('10330','BAILLY LE FRANC','AUBE'),
('10330','BALIGNICOURT','AUBE'),
('10330','CHAVANGES','AUBE'),
('10330','DONNEMENT','AUBE'),
('10330','JASSEINES','AUBE'),
('10330','JONCREUIL','AUBE'),
('10330','LENTILLES','AUBE'),
('10330','MONTMORENCY BEAUFORT','AUBE'),
('10330','PARS LES CHAVANGES','AUBE'),
('10330','ST LEGER SOUS MARGERIE','AUBE'),
('10330','VILLERET','AUBE'),
('10340','ARRELLES','AUBE'),
('10340','AVIREY LINGEY','AUBE'),
('10340','BAGNEUX LA FOSSE','AUBE'),
('10340','BEAUVOIR SUR SARCE','AUBE'),
('10340','BRAGELOGNE BEAUVOIR','AUBE'),
('10340','CHANNES','AUBE'),
('10340','LES RICEYS','AUBE'),
('10350','ECHEMINES','AUBE'),
('10350','MARIGNY LE CHATEL','AUBE'),
('10350','LE PAVILLON STE JULIE','AUBE'),
('10350','PRUNAY BELLEVILLE','AUBE'),
('10350','ST FLAVY','AUBE'),
('10350','ST LUPIEN','AUBE'),
('10350','VILLELOUP','AUBE'),
('10360','CUNFIN','AUBE'),
('10360','ESSOYES','AUBE'),
('10360','FONTETTE','AUBE'),
('10360','NOE LES MALLETS','AUBE'),
('10360','ST USAGE','AUBE'),
('10360','VERPILLIERES SUR OURCE','AUBE'),
('10370','VILLENAUXE LA GRANDE','AUBE'),
('10370','DIVAL','AUBE'),
('10380','BOULAGES','AUBE'),
('10380','CHARNY LE BACHOT','AUBE'),
('10380','PLANCY L ABBAYE','AUBE'),
('10380','VIAPRES LE GRAND','AUBE'),
('10380','VIAPRES LE PETIT','AUBE'),
('10390','CLEREY','AUBE'),
('10390','VERRIERES','AUBE'),
('10400','AVANT LES MARCILLY','AUBE'),
('10400','BARBUISE','AUBE'),
('10400','BOUY SUR ORVIN','AUBE'),
('10400','COURCEROY','AUBE'),
('10400','FERREUX QUINCEY','AUBE'),
('10400','FONTAINE MACON','AUBE'),
('10400','FONTENAY DE BOSSERY','AUBE'),
('10400','GUMERY','AUBE'),
('10400','LA LOUPTIERE THENARD','AUBE'),
('10400','MARNAY SUR SEINE','AUBE'),
('10400','LE MERIOT','AUBE'),
('10400','MONTPOTHIER','AUBE'),
('10400','LA MOTTE TILLY','AUBE'),
('10400','NOGENT SUR SEINE','AUBE'),
('10400','PERIGNY LA ROSE','AUBE'),
('10400','PLESSIS BARBUISE','AUBE'),
('10400','PONT SUR SEINE','AUBE'),
('10400','QUINCEY','AUBE'),
('10400','ST AUBIN','AUBE'),
('10400','ST NICOLAS LA CHAPELLE','AUBE'),
('10400','LA SAULSOTTE','AUBE'),
('10400','SOLIGNY LES ETANGS','AUBE'),
('10400','TRAINEL','AUBE'),
('10400','LA VILLENEUVE CHATELOT','AUBE'),
('10400','COURTAVANT','AUBE'),
('10410','RUVIGNY','AUBE'),
('10410','ST PARRES AUX TERTRES','AUBE'),
('10410','THENNELIERES','AUBE'),
('10410','VILLECHETIF','AUBE'),
('10410','BELLEY','AUBE'),
('10420','LES NOES PRES TROYES','AUBE'),
('10430','ROSIERES PRES TROYES','AUBE'),
('10430','VIELAINES','AUBE'),
('10440','LA RIVIERE DE CORPS','AUBE'),
('10440','TORVILLIERS','AUBE'),
('10500','BETIGNICOURT','AUBE'),
('10500','BLAINCOURT SUR AUBE','AUBE'),
('10500','BLIGNICOURT','AUBE'),
('10500','BRAUX','AUBE'),
('10500','BRIENNE LA VIEILLE','AUBE'),
('10500','BRIENNE LE CHATEAU','AUBE'),
('10500','LA CHAISE','AUBE'),
('10500','CHALETTE SUR VOIRE','AUBE'),
('10500','CHAUMESNIL','AUBE'),
('10500','COURCELLES SUR VOIRE','AUBE'),
('10500','CRESPY LE NEUF','AUBE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('10500','DIENVILLE','AUBE'),
('10500','EPAGNE','AUBE'),
('10500','EPOTHEMONT','AUBE'),
('10500','HAMPIGNY','AUBE'),
('10500','JUZANVIGNY','AUBE'),
('10500','LASSICOURT','AUBE'),
('10500','LESMONT','AUBE'),
('10500','MAIZIERES LES BRIENNE','AUBE'),
('10500','MATHAUX','AUBE'),
('10500','MOLINS SUR AUBE','AUBE'),
('10500','MORVILLIERS','AUBE'),
('10500','PEL ET DER','AUBE'),
('10500','PERTHES LES BRIENNE','AUBE'),
('10500','PETIT MESNIL','AUBE'),
('10500','PRECY NOTRE DAME','AUBE'),
('10500','PRECY ST MARTIN','AUBE'),
('10500','RADONVILLIERS','AUBE'),
('10500','RANCES','AUBE'),
('10500','ROSNAY L HOPITAL','AUBE'),
('10500','LA ROTHIERE','AUBE'),
('10500','ST CHRISTOPHE DODINICOURT','AUBE'),
('10500','ST LEGER SOUS BRIENNE','AUBE'),
('10500','VALLENTIGNY','AUBE'),
('10500','LA VILLE AUX BOIS','AUBE'),
('10500','YEVRES LE PETIT','AUBE'),
('10510','CHATRES','AUBE'),
('10510','MAIZIERES LA GRANDE PAROI','AUBE'),
('10510','ORIGNY LE SEC','AUBE'),
('10600','BARBEREY ST SULPICE','AUBE'),
('10600','LA CHAPELLE ST LUC','AUBE'),
('10600','MERGEY','AUBE'),
('10600','PAYNS','AUBE'),
('10600','ST BENOIT SUR SEINE','AUBE'),
('10600','ST LYE','AUBE'),
('10600','SAVIERES','AUBE'),
('10600','VILLACERF','AUBE'),
('10600','BARBEREY AUX MOINES','AUBE'),
('10700','ALLIBAUDIERES','AUBE'),
('10700','ARCIS SUR AUBE','AUBE'),
('10700','CHAMPFLEURY','AUBE'),
('10700','CHAMPIGNY SUR AUBE','AUBE'),
('10700','CHAPELLE VALLON','AUBE'),
('10700','LE CHENE','AUBE'),
('10700','DOSNON','AUBE'),
('10700','GRANDVILLE','AUBE'),
('10700','HERBISSE','AUBE'),
('10700','LHUITRE','AUBE'),
('10700','MESNIL LA COMTESSE','AUBE'),
('10700','NOZAY','AUBE'),
('10700','ORMES','AUBE'),
('10700','ORTILLON','AUBE'),
('10700','POIVRES','AUBE'),
('10700','POUAN LES VALLEES','AUBE'),
('10700','ST ETIENNE SOUS BARBUISE','AUBE'),
('10700','ST NABORD SUR AUBE','AUBE'),
('10700','ST REMY SOUS BARBUISE','AUBE'),
('10700','SALON','AUBE'),
('10700','SEMOINE','AUBE'),
('10700','TORCY LE GRAND','AUBE'),
('10700','TORCY LE PETIT','AUBE'),
('10700','TROUAN LE GRAND','AUBE'),
('10700','TROUANS','AUBE'),
('10700','VAUPOISSON','AUBE'),
('10700','VILLETTE SUR AUBE','AUBE'),
('10700','VILLIERS HERBISSE','AUBE'),
('10700','VINETS','AUBE'),
('10800','LES BORDES AUMONT','AUBE'),
('10800','BREVIANDES','AUBE'),
('10800','BUCHERES','AUBE'),
('10800','CORMOST','AUBE'),
('10800','ISLE AUMONT','AUBE'),
('10800','MOUSSEY','AUBE'),
('10800','ROUILLY ST LOUP','AUBE'),
('10800','ST JULIEN LES VILLAS','AUBE'),
('10800','ST LEGER PRES TROYES','AUBE'),
('10800','ST THIBAULT','AUBE'),
('10800','LA VENDUE MIGNOT','AUBE'),
('10800','VILLEMEREUIL','AUBE'),
('10800','VILLY LE BOIS','AUBE'),
('10800','VILLY LE MARECHAL','AUBE'),
('10800','COURGERENNES','AUBE'),
('10800','ROUILLEROT','AUBE'),
('10800','VILLEPART','AUBE'),
('11000','CARCASSONNE','AUDE'),
('11090','BERRIAC','AUDE'),
('11090','MONTREDON','AUDE'),
('11090','MONTLEGUN','AUDE'),
('11090','GREZES HERMINIS','AUDE'),
('11090','MAQUENS','AUDE'),
('11090','VILLALBE','AUDE'),
('11100','BAGES','AUDE'),
('11100','MONTREDON DES CORBIERES','AUDE'),
('11100','NARBONNE','AUDE'),
('11100','NARBONNE PLAGE','AUDE'),
('11110','ARMISSAN','AUDE'),
('11110','COURSAN','AUDE'),
('11110','SALLES D AUDE','AUDE'),
('11110','VINASSAN','AUDE'),
('11120','ARGELIERS','AUDE'),
('11120','BIZE MINERVOIS','AUDE'),
('11120','GINESTAS','AUDE'),
('11120','MAILHAC','AUDE'),
('11120','MARCORIGNAN','AUDE'),
('11120','MIREPEISSET','AUDE'),
('11120','MOUSSAN','AUDE'),
('11120','POUZOLS MINERVOIS','AUDE'),
('11120','ST MARCEL SUR AUDE','AUDE'),
('11120','ST NAZAIRE D AUDE','AUDE'),
('11120','STE VALIERE','AUDE'),
('11120','VENTENAC EN MINERVOIS','AUDE'),
('11130','SIGEAN','AUDE'),
('11140','ARTIGUES','AUDE'),
('11140','AUNAT','AUDE'),
('11140','AXAT','AUDE'),
('11140','BELFORT SUR REBENTY','AUDE'),
('11140','BESSEDE DE SAULT','AUDE'),
('11140','LE BOUSQUET','AUDE'),
('11140','CAILLA','AUDE'),
('11140','CAMPAGNA DE SAULT','AUDE'),
('11140','LE CLAT','AUDE'),
('11140','COUNOZOULS','AUDE'),
('11140','ESCOULOUBRE','AUDE'),
('11140','LA FAJOLLE','AUDE'),
('11140','FONTANES DE SAULT','AUDE'),
('11140','GALINAGUES','AUDE'),
('11140','GINCLA','AUDE'),
('11140','JOUCOU','AUDE'),
('11140','MARSA','AUDE'),
('11140','MAZUBY','AUDE'),
('11140','MERIAL','AUDE'),
('11140','MONTFORT SUR BOULZANE','AUDE'),
('11140','NIORT DE SAULT','AUDE'),
('11140','PUILAURENS','AUDE'),
('11140','RODOME','AUDE'),
('11140','ROQUEFORT DE SAULT','AUDE'),
('11140','STE COLOMBE SUR GUETTE','AUDE'),
('11140','SALVEZINES','AUDE'),
('11140','LAPRADELLE','AUDE'),
('11150','BRAM','AUDE'),
('11150','PEXIORA','AUDE'),
('11150','VILLASAVARY','AUDE'),
('11150','VILLEPINTE','AUDE'),
('11150','VILLESISCLE','AUDE'),
('11160','CABRESPINE','AUDE'),
('11160','CASTANS','AUDE'),
('11160','CAUNES MINERVOIS','AUDE'),
('11160','CITOU','AUDE'),
('11160','LESPINASSIERE','AUDE'),
('11160','PEYRIAC MINERVOIS','AUDE'),
('11160','RIEUX MINERVOIS','AUDE'),
('11160','TRASSANEL','AUDE'),
('11160','TRAUSSE','AUDE'),
('11160','VILLENEUVE MINERVOIS','AUDE'),
('11170','ALZONNE','AUDE'),
('11170','CARLIPA','AUDE'),
('11170','CAUX ET SAUZENS','AUDE'),
('11170','CENNE MONESTIES','AUDE'),
('11170','MONTOLIEU','AUDE'),
('11170','MOUSSOULENS','AUDE'),
('11170','PEZENS','AUDE'),
('11170','RAISSAC SUR LAMPY','AUDE'),
('11170','STE EULALIE','AUDE'),
('11170','ST MARTIN LE VIEIL','AUDE'),
('11170','VILLESEQUELANDE','AUDE'),
('11170','VILLESPY','AUDE'),
('11190','ANTUGNAC','AUDE'),
('11190','ARQUES','AUDE'),
('11190','BOUISSE','AUDE'),
('11190','BUGARACH','AUDE'),
('11190','CAMPS SUR L AGLY','AUDE'),
('11190','CASSAIGNES','AUDE'),
('11190','CONILHAC DE LA MONTAGNE','AUDE'),
('11190','COUIZA','AUDE'),
('11190','COUSTAUSSA','AUDE'),
('11190','CUBIERES SUR CINOBLE','AUDE'),
('11190','FOURTOU','AUDE'),
('11190','LUC SUR AUDE','AUDE'),
('11190','MONTAZELS','AUDE'),
('11190','PEYROLLES','AUDE'),
('11190','RENNES LE CHATEAU','AUDE'),
('11190','RENNES LES BAINS','AUDE'),
('11190','LA SERPENT','AUDE'),
('11190','SERRES','AUDE'),
('11190','SOUGRAIGNE','AUDE'),
('11200','ARGENS MINERVOIS','AUDE'),
('11200','BIZANET','AUDE'),
('11200','BOUTENAC','AUDE'),
('11200','CAMPLONG D AUDE','AUDE'),
('11200','CANET','AUDE'),
('11200','CONILHAC CORBIERES','AUDE'),
('11200','CRUSCADES','AUDE'),
('11200','ESCALES','AUDE'),
('11200','FABREZAN','AUDE'),
('11200','FERRALS LES CORBIERES','AUDE'),
('11200','HOMPS','AUDE'),
('11200','LEZIGNAN CORBIERES','AUDE'),
('11200','LUC SUR ORBIEU','AUDE'),
('11200','MONTSERET','AUDE'),
('11200','NEVIAN','AUDE'),
('11200','ORNAISONS','AUDE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('11200','PARAZA','AUDE'),
('11200','RAISSAC D AUDE','AUDE'),
('11200','ROUBIA','AUDE'),
('11200','ST ANDRE DE ROQUELONGUE','AUDE'),
('11200','THEZAN DES CORBIERES','AUDE'),
('11200','TOUROUZELLE','AUDE'),
('11200','VILLEDAIGNE','AUDE'),
('11210','PORT LA NOUVELLE','AUDE'),
('11220','ARQUETTES EN VAL','AUDE'),
('11220','CAUNETTES EN VAL','AUDE'),
('11220','COUSTOUGE','AUDE'),
('11220','FAJAC EN VAL','AUDE'),
('11220','JONQUIERES','AUDE'),
('11220','LABASTIDE EN VAL','AUDE'),
('11220','LAGRASSE','AUDE'),
('11220','MAYRONNES','AUDE'),
('11220','MONTLAUR','AUDE'),
('11220','PRADELLES EN VAL','AUDE'),
('11220','RIBAUTE','AUDE'),
('11220','RIEUX EN VAL','AUDE'),
('11220','ST LAURENT DE LA CABRERIS','AUDE'),
('11220','ST MARTIN DES PUITS','AUDE'),
('11220','ST PIERRE DES CHAMPS','AUDE'),
('11220','SERVIES EN VAL','AUDE'),
('11220','TALAIRAN','AUDE'),
('11220','TAURIZE','AUDE'),
('11220','TOURNISSAN','AUDE'),
('11220','VILLAR EN VAL','AUDE'),
('11220','VILLETRITOULS','AUDE'),
('11230','CAUDEVAL','AUDE'),
('11230','CHALABRE','AUDE'),
('11230','CORBIERES','AUDE'),
('11230','COURTAULY','AUDE'),
('11230','GUEYTES ET LABASTIDE','AUDE'),
('11230','MONTJARDIN','AUDE'),
('11230','PEYREFITTE DU RAZES','AUDE'),
('11230','PUIVERT','AUDE'),
('11230','RIVEL','AUDE'),
('11230','ST BENOIT','AUDE'),
('11230','STE COLOMBE SUR L HERS','AUDE'),
('11230','SONNAC SUR L HERS','AUDE'),
('11230','TREZIERS','AUDE'),
('11230','VILLEFORT','AUDE'),
('11240','ALAIGNE','AUDE'),
('11240','BELLEGARDE DU RAZES','AUDE'),
('11240','BELVEZE DU RAZES','AUDE'),
('11240','CAILHAU','AUDE'),
('11240','CAILHAVEL','AUDE'),
('11240','CAMBIEURE','AUDE'),
('11240','LA COURTETE','AUDE'),
('11240','DONAZAC','AUDE'),
('11240','ESCUEILLENS','AUDE'),
('11240','FENOUILLET DU RAZES','AUDE'),
('11240','FERRAN','AUDE'),
('11240','GRAMAZIE','AUDE'),
('11240','HOUNOUX','AUDE'),
('11240','LIGNAIROLLES','AUDE'),
('11240','MAZEROLLES DU RAZES','AUDE'),
('11240','MONTGRADAIL','AUDE'),
('11240','MONTHAUT','AUDE'),
('11240','ROUTIER','AUDE'),
('11240','ST JUST DE BELENGARD','AUDE'),
('11240','SEIGNALENS','AUDE'),
('11250','CAUNETTE SUR LAUQUET','AUDE'),
('11250','CLERMONT SUR LAUQUET','AUDE'),
('11250','COUFFOULENS','AUDE'),
('11250','GARDIE','AUDE'),
('11250','GREFFEIL','AUDE'),
('11250','LADERN SUR LAUQUET','AUDE'),
('11250','LEUC','AUDE'),
('11250','MONTCLAR','AUDE'),
('11250','POMAS','AUDE'),
('11250','PREIXAN','AUDE'),
('11250','ROUFFIAC D AUDE','AUDE'),
('11250','ST HILAIRE','AUDE'),
('11250','VERZEILLE','AUDE'),
('11250','VILLAR ST ANSELME','AUDE'),
('11250','VILLEBAZY','AUDE'),
('11260','CAMPAGNE SUR AUDE','AUDE'),
('11260','ESPERAZA','AUDE'),
('11260','FA','AUDE'),
('11260','ROUVENAC','AUDE'),
('11260','ST JEAN DE PARACOL','AUDE'),
('11270','BREZILHAC','AUDE'),
('11270','LA CASSAIGNE','AUDE'),
('11270','CAZALRENOUX','AUDE'),
('11270','FANJEAUX','AUDE'),
('11270','LA FORCE','AUDE'),
('11270','GAJA LA SELVE','AUDE'),
('11270','GENERVILLE','AUDE'),
('11270','LASSERRE DE PROUILLE','AUDE'),
('11270','LAURAC','AUDE'),
('11270','ORSANS','AUDE'),
('11270','PLAVILLA','AUDE'),
('11270','RIBOUISSE','AUDE'),
('11270','ST AMANS','AUDE'),
('11270','ST GAUDERIC','AUDE'),
('11270','ST JULIEN DE BRIOLA','AUDE'),
('11290','ALAIRAC','AUDE'),
('11290','ARZENS','AUDE'),
('11290','LAVALETTE','AUDE'),
('11290','MONTREAL','AUDE'),
('11290','ROULLENS','AUDE'),
('11290','VILLENEUVE LES MONTREAL','AUDE'),
('11300','AJAC','AUDE'),
('11300','LA BEZOLE','AUDE'),
('11300','BOURIEGE','AUDE'),
('11300','BOURIGEOLE','AUDE'),
('11300','BRUGAIROLLES','AUDE'),
('11300','CASTELRENG','AUDE'),
('11300','CEPIE','AUDE'),
('11300','COURNANEL','AUDE'),
('11300','LA DIGNE D AMONT','AUDE'),
('11300','LA DIGNE D AVAL','AUDE'),
('11300','FESTES ET ST ANDRE','AUDE'),
('11300','GAJA ET VILLEDIEU','AUDE'),
('11300','LAURAGUEL','AUDE'),
('11300','LIMOUX','AUDE'),
('11300','LOUPIA','AUDE'),
('11300','MAGRIE','AUDE'),
('11300','MALRAS','AUDE'),
('11300','MALVIES','AUDE'),
('11300','PAULIGNE','AUDE'),
('11300','PIEUSSE','AUDE'),
('11300','POMY','AUDE'),
('11300','ROQUETAILLADE','AUDE'),
('11300','ST COUAT DU RAZES','AUDE'),
('11300','ST MARTIN DE VILLEREGLAN','AUDE'),
('11300','ST POLYCARPE','AUDE'),
('11300','TOURREILLES','AUDE'),
('11300','VILLARZEL DU RAZES','AUDE'),
('11300','VILLELONGUE D AUDE','AUDE'),
('11310','FONTIERS CABARDES','AUDE'),
('11310','LACOMBE','AUDE'),
('11310','ST DENIS','AUDE'),
('11310','SAISSAC','AUDE'),
('11310','VILLEMAGNE','AUDE'),
('11320','AIROUX','AUDE'),
('11320','LES CASSES','AUDE'),
('11320','LABASTIDE D ANJOU','AUDE'),
('11320','MONTFERRAND','AUDE'),
('11320','MONTMAUR','AUDE'),
('11320','ST PAULET','AUDE'),
('11320','SOUPEX','AUDE'),
('11330','ALBIERES','AUDE'),
('11330','AURIAC','AUDE'),
('11330','DAVEJEAN','AUDE'),
('11330','DERNACUEILLETTE','AUDE'),
('11330','FELINES TERMENES','AUDE'),
('11330','LAIRIERE','AUDE'),
('11330','LANET','AUDE'),
('11330','LAROQUE DE FA','AUDE'),
('11330','MAISONS','AUDE'),
('11330','MASSAC','AUDE'),
('11330','MONTGAILLARD','AUDE'),
('11330','MONTJOI','AUDE'),
('11330','MOUTHOUMET','AUDE'),
('11330','PALAIRAC','AUDE'),
('11330','SALZA','AUDE'),
('11330','TERMES','AUDE'),
('11330','VIGNEVIEILLE','AUDE'),
('11330','VILLEROUGE TERMENES','AUDE'),
('11340','BELCAIRE','AUDE'),
('11340','BELVIS','AUDE'),
('11340','CAMURAC','AUDE'),
('11340','COMUS','AUDE'),
('11340','ESPEZEL','AUDE'),
('11340','ROQUEFEUIL','AUDE'),
('11350','CUCUGNAN','AUDE'),
('11350','DUILHAC SOUS PEYREPERTUSE','AUDE'),
('11350','PADERN','AUDE'),
('11350','PAZIOLS','AUDE'),
('11350','ROUFFIAC DES CORBIERES','AUDE'),
('11350','SOULATGE','AUDE'),
('11350','TUCHAN','AUDE'),
('11360','ALBAS','AUDE'),
('11360','CASCASTEL DES CORBIERES','AUDE'),
('11360','DURBAN CORBIERES','AUDE'),
('11360','EMBRES ET CASTELMAURE','AUDE'),
('11360','FONTJONCOUSE','AUDE'),
('11360','FRAISSE DES CORBIERES','AUDE'),
('11360','QUINTILLAN','AUDE'),
('11360','ST JEAN DE BARROU','AUDE'),
('11360','VILLENEUVE LES CORBIERES','AUDE'),
('11360','VILLESEQUE DES CORBIERES','AUDE'),
('11370','LEUCATE','AUDE'),
('11370','LA FRANQUI','AUDE'),
('11370','PORT LEUCATE','AUDE'),
('11380','LES ILHES','AUDE'),
('11380','LABASTIDE ESPARBAIRENQUE','AUDE'),
('11380','MAS CABARDES','AUDE'),
('11380','MIRAVAL CABARDES','AUDE'),
('11380','PRADELLES CABARDES','AUDE'),
('11380','ROQUEFERE','AUDE'),
('11380','LA TOURETTE CABARDES','AUDE'),
('11390','BROUSSES ET VILLARET','AUDE'),
('11390','CAUDEBRONDE','AUDE'),
('11390','CUXAC CABARDES','AUDE'),
('11390','LAPRADE','AUDE'),
('11390','LES MARTYS','AUDE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('11400','LES BRUNELS','AUDE'),
('11400','CASTELNAUDARY','AUDE'),
('11400','FENDEILLE','AUDE'),
('11400','FONTERS DU RAZES','AUDE'),
('11400','ISSEL','AUDE'),
('11400','LABECEDE LAURAGAIS','AUDE'),
('11400','LASBORDES','AUDE'),
('11400','LAURABUC','AUDE'),
('11400','MAS STES PUELLES','AUDE'),
('11400','MIREVAL LAURAGAIS','AUDE'),
('11400','PEYRENS','AUDE'),
('11400','LA POMAREDE','AUDE'),
('11400','PUGINIER','AUDE'),
('11400','RICAUD','AUDE'),
('11400','ST MARTIN LALANDE','AUDE'),
('11400','ST PAPOUL','AUDE'),
('11400','SOUILHANELS','AUDE'),
('11400','SOUILHE','AUDE'),
('11400','TREVILLE','AUDE'),
('11400','VERDUN EN LAURAGAIS','AUDE'),
('11400','VILLENEUVE LA COMPTAL','AUDE'),
('11410','BARAIGNE','AUDE'),
('11410','BELFLOU','AUDE'),
('11410','CUMIES','AUDE'),
('11410','FAJAC LA RELENQUE','AUDE'),
('11410','GOURVIEILLE','AUDE'),
('11410','LA LOUVIERE LAURAGAIS','AUDE'),
('11410','MARQUEIN','AUDE'),
('11410','MEZERVILLE','AUDE'),
('11410','MOLLEVILLE','AUDE'),
('11410','MONTAURIOL','AUDE'),
('11410','PAYRA SUR L HERS','AUDE'),
('11410','PEYREFITTE SUR L HERS','AUDE'),
('11410','STE CAMELLE','AUDE'),
('11410','ST MICHEL DE LANES','AUDE'),
('11410','SALLES SUR L HERS','AUDE'),
('11420','BELPECH','AUDE'),
('11420','CAHUZAC','AUDE'),
('11420','LAFAGE','AUDE'),
('11420','MAYREVILLE','AUDE'),
('11420','MOLANDIER','AUDE'),
('11420','PECHARIC ET LE PY','AUDE'),
('11420','PECH LUNA','AUDE'),
('11420','PLAIGNE','AUDE'),
('11420','ST SERNIN','AUDE'),
('11420','VILLAUTOU','AUDE'),
('11430','GRUISSAN','AUDE'),
('11430','GRUISSAN PLAGE','AUDE'),
('11440','PEYRIAC DE MER','AUDE'),
('11480','LA PALME','AUDE'),
('11490','PORTEL DES CORBIERES','AUDE'),
('11500','BELVIANES ET CAVIRAC','AUDE'),
('11500','BRENAC','AUDE'),
('11500','COUDONS','AUDE'),
('11500','GINOLES','AUDE'),
('11500','GRANES','AUDE'),
('11500','NEBIAS','AUDE'),
('11500','QUILLAN','AUDE'),
('11500','QUIRBAJOU','AUDE'),
('11500','ST FERRIOL','AUDE'),
('11500','ST JULIA DE BEC','AUDE'),
('11500','ST JUST ET LE BEZU','AUDE'),
('11500','ST LOUIS ET PARAHOU','AUDE'),
('11500','ST MARTIN LYS','AUDE'),
('11510','CAVES','AUDE'),
('11510','FEUILLA','AUDE'),
('11510','FITOU','AUDE'),
('11510','TREILLES','AUDE'),
('11510','CABANES DE FITOU','AUDE'),
('11540','ROQUEFORT DES CORBIERES','AUDE'),
('11560','FLEURY','AUDE'),
('11560','ST PIERRE LA MER','AUDE'),
('11570','CAVANAC','AUDE'),
('11570','CAZILHAC','AUDE'),
('11570','MAS DES COURS','AUDE'),
('11570','PALAJA','AUDE'),
('11570','VILLEFLOURE','AUDE'),
('11580','ALET LES BAINS','AUDE'),
('11580','BELCASTEL ET BUC','AUDE'),
('11580','MISSEGRE','AUDE'),
('11580','TERROLES','AUDE'),
('11580','VALMIGERE','AUDE'),
('11580','VERAZA','AUDE'),
('11580','VILLARDEBELLE','AUDE'),
('11590','CUXAC D AUDE','AUDE'),
('11590','OUVEILLAN','AUDE'),
('11590','SALLELES D AUDE','AUDE'),
('11600','ARAGON','AUDE'),
('11600','BAGNOLES','AUDE'),
('11600','CONQUES SUR ORBIEL','AUDE'),
('11600','FOURNES CABARDES','AUDE'),
('11600','FRAISSE CABARDES','AUDE'),
('11600','LASTOURS','AUDE'),
('11600','LIMOUSIS','AUDE'),
('11600','MALVES EN MINERVOIS','AUDE'),
('11600','SALLELES CABARDES','AUDE'),
('11600','SALSIGNE','AUDE'),
('11600','VILLALIER','AUDE'),
('11600','VILLANIERE','AUDE'),
('11600','VILLARDONNEL','AUDE'),
('11600','VILLARZEL CABARDES','AUDE'),
('11600','VILLEGAILHENC','AUDE'),
('11600','VILLEGLY','AUDE'),
('11610','PENNAUTIER','AUDE'),
('11610','VENTENAC CABARDES','AUDE'),
('11620','VILLEMOUSTAUSSOU','AUDE'),
('11700','AZILLE','AUDE'),
('11700','BLOMAC','AUDE'),
('11700','CAPENDU','AUDE'),
('11700','CASTELNAU D AUDE','AUDE'),
('11700','COMIGNE','AUDE'),
('11700','DOUZENS','AUDE'),
('11700','FONTCOUVERTE','AUDE'),
('11700','LA REDORTE','AUDE'),
('11700','MONTBRUN DES CORBIERES','AUDE'),
('11700','MOUX','AUDE'),
('11700','PEPIEUX','AUDE'),
('11700','PUICHERIC','AUDE'),
('11700','ROQUECOURBE MINERVOIS','AUDE'),
('11700','ST COUAT D AUDE','AUDE'),
('11800','AIGUES VIVES','AUDE'),
('11800','BADENS','AUDE'),
('11800','BARBAIRA','AUDE'),
('11800','BOUILHONNAC','AUDE'),
('11800','FLOURE','AUDE'),
('11800','FONTIES D AUDE','AUDE'),
('11800','LAURE MINERVOIS','AUDE'),
('11800','MARSEILLETTE','AUDE'),
('11800','MONTIRAT','AUDE'),
('11800','MONZE','AUDE'),
('11800','RUSTIQUES','AUDE'),
('11800','ST FRICHOUX','AUDE'),
('11800','TREBES','AUDE'),
('11800','VILLEDUBERT','AUDE'),
('12000','LE MONASTERE','AVEYRON'),
('12000','RODEZ','AVEYRON'),
('12000','AMPIAC','AVEYRON'),
('12100','COMPREGNAC','AVEYRON'),
('12100','CREISSELS','AVEYRON'),
('12100','MILLAU','AVEYRON'),
('12100','LA ROQUE STE MARGUERITE','AVEYRON'),
('12100','ST GEORGES DE LUZENCON','AVEYRON'),
('12110','AUBIN','AVEYRON'),
('12110','CRANSAC','AVEYRON'),
('12110','VIVIEZ','AVEYRON'),
('12110','COMBES','AVEYRON'),
('12110','LE GUA','AVEYRON'),
('12120','ARVIEU','AVEYRON'),
('12120','AURIAC LAGAST','AVEYRON'),
('12120','CASSAGNES BEGONHES','AVEYRON'),
('12120','CENTRES','AVEYRON'),
('12120','COMPS LA GRAND VILLE','AVEYRON'),
('12120','MELJAC','AVEYRON'),
('12120','RULLAC ST CIRQ','AVEYRON'),
('12120','STE JULIETTE SUR VIAUR','AVEYRON'),
('12120','SALMIECH','AVEYRON'),
('12130','AURELLE VERLAC','AVEYRON'),
('12130','LA CAPELLE BONANCE','AVEYRON'),
('12130','PIERREFICHE','AVEYRON'),
('12130','POMAYROLS','AVEYRON'),
('12130','STE EULALIE D OLT','AVEYRON'),
('12130','ST GENIEZ D OLT','AVEYRON'),
('12130','ST MARTIN DE LENNE','AVEYRON'),
('12140','CAMPOURIEZ','AVEYRON'),
('12140','ENGUIALES','AVEYRON'),
('12140','ENTRAYGUES SUR TRUYERE','AVEYRON'),
('12140','ESPEYRAC','AVEYRON'),
('12140','FLORENTIN LA CAPELLE','AVEYRON'),
('12140','GOLINHAC','AVEYRON'),
('12140','ST HIPPOLYTE','AVEYRON'),
('12140','BANHARS','AVEYRON'),
('12140','PONS','AVEYRON'),
('12150','BUZEINS','AVEYRON'),
('12150','LAPANOUSE','AVEYRON'),
('12150','LAVERNHE','AVEYRON'),
('12150','RECOULES PREVINQUIERES','AVEYRON'),
('12150','SEVERAC LE CHATEAU','AVEYRON'),
('12160','BOUSSAC','AVEYRON'),
('12160','CAMBOULAZET','AVEYRON'),
('12160','BARAQUEVILLE','AVEYRON'),
('12160','GRAMOND','AVEYRON'),
('12160','MANHAC','AVEYRON'),
('12160','MOYRAZES','AVEYRON'),
('12160','VORS','AVEYRON'),
('12170','CONNAC','AVEYRON'),
('12170','DURENQUE','AVEYRON'),
('12170','LEDERGUES','AVEYRON'),
('12170','REQUISTA','AVEYRON'),
('12170','ST JEAN DELNOUS','AVEYRON'),
('12170','ST JUST SUR VIAUR','AVEYRON'),
('12170','LA SELVE','AVEYRON'),
('12190','COUBISOU','AVEYRON'),
('12190','ESTAING','AVEYRON'),
('12190','LE NAYRAC','AVEYRON'),
('12190','SEBRAZAC','AVEYRON'),
('12200','LA BASTIDE L EVEQUE','AVEYRON'),
('12200','MARTIEL','AVEYRON'),
('12200','MONTEILS','AVEYRON'),
('12200','MORLHON LE HAUT','AVEYRON'),
('12200','LA ROUQUETTE','AVEYRON');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('12200','ST REMY','AVEYRON'),
('12200','ST SALVADOU','AVEYRON'),
('12200','SANVENSA','AVEYRON'),
('12200','SAVIGNAC','AVEYRON'),
('12200','TOULONJAC','AVEYRON'),
('12200','VAILHOURLES','AVEYRON'),
('12200','VILLEFRANCHE DE ROUERGUE','AVEYRON'),
('12210','ALPUECH','AVEYRON'),
('12210','CASSUEJOULS','AVEYRON'),
('12210','CURIERES','AVEYRON'),
('12210','LACALM','AVEYRON'),
('12210','LAGUIOLE','AVEYRON'),
('12210','MONTPEYROUX','AVEYRON'),
('12210','SOULAGES BONNEVAL','AVEYRON'),
('12210','LA TERRISSE','AVEYRON'),
('12220','LES ALBRES','AVEYRON'),
('12220','GALGAN','AVEYRON'),
('12220','LUGAN','AVEYRON'),
('12220','MONTBAZENS','AVEYRON'),
('12220','PEYRUSSE LE ROC','AVEYRON'),
('12220','ROUSSENNAC','AVEYRON'),
('12220','VALZERGUES','AVEYRON'),
('12220','VAUREILLES','AVEYRON'),
('12230','LA CAVALERIE','AVEYRON'),
('12230','LA COUVERTOIRADE','AVEYRON'),
('12230','L HOSPITALET DU LARZAC','AVEYRON'),
('12230','LAPANOUSE DE CERNON','AVEYRON'),
('12230','NANT','AVEYRON'),
('12230','STE EULALIE DE CERNON','AVEYRON'),
('12230','ST JEAN DU BRUEL','AVEYRON'),
('12230','SAUCLIERES','AVEYRON'),
('12240','LA CAPELLE BLEYS','AVEYRON'),
('12240','CASTANET','AVEYRON'),
('12240','COLOMBIES','AVEYRON'),
('12240','PRADINAS','AVEYRON'),
('12240','RIEUPEYROUX','AVEYRON'),
('12240','VABRE TIZAC','AVEYRON'),
('12250','ROQUEFORT SUR SOULZON','AVEYRON'),
('12250','ST JEAN D ALCAPIES','AVEYRON'),
('12250','ST JEAN ET ST PAUL','AVEYRON'),
('12250','TOURNEMIRE','AVEYRON'),
('12250','VIALA DU PAS DE JAUX','AVEYRON'),
('12260','AMBEYRAC','AVEYRON'),
('12260','BALAGUIER D OLT','AVEYRON'),
('12260','LA CAPELLE BALAGUIER','AVEYRON'),
('12260','FOISSAC','AVEYRON'),
('12260','MONTSALES','AVEYRON'),
('12260','OLS ET RINHODES','AVEYRON'),
('12260','STE CROIX','AVEYRON'),
('12260','ST IGEST','AVEYRON'),
('12260','SALLES COURBATIES','AVEYRON'),
('12260','SALVAGNAC CAJARC','AVEYRON'),
('12260','SAUJAC','AVEYRON'),
('12260','VILLENEUVE','AVEYRON'),
('12270','BOR ET BAR','AVEYRON'),
('12270','LA FOUILLADE','AVEYRON'),
('12270','LUNAC','AVEYRON'),
('12270','NAJAC','AVEYRON'),
('12270','ST ANDRE DE NAJAC','AVEYRON'),
('12290','ARQUES','AVEYRON'),
('12290','CANET DE SALARS','AVEYRON'),
('12290','PONT DE SALARS','AVEYRON'),
('12290','PRADES SALARS','AVEYRON'),
('12290','SEGUR','AVEYRON'),
('12290','TREMOUILLES','AVEYRON'),
('12290','LE VIBAL','AVEYRON'),
('12300','ALMONT LES JUNIES','AVEYRON'),
('12300','BOISSE PENCHOT','AVEYRON'),
('12300','BOUILLAC','AVEYRON'),
('12300','DECAZEVILLE','AVEYRON'),
('12300','FIRMI','AVEYRON'),
('12300','FLAGNAC','AVEYRON'),
('12300','LIVINHAC LE HAUT','AVEYRON'),
('12300','ST PARTHEM','AVEYRON'),
('12300','ST SANTIN','AVEYRON'),
('12310','BERTHOLENE','AVEYRON'),
('12310','COUSSERGUES','AVEYRON'),
('12310','GAILLAC D AVEYRON','AVEYRON'),
('12310','LAISSAC','AVEYRON'),
('12310','PALMAS','AVEYRON'),
('12310','SEVERAC L EGLISE','AVEYRON'),
('12310','VIMENET','AVEYRON'),
('12320','CONQUES','AVEYRON'),
('12320','GRAND VABRE','AVEYRON'),
('12320','NOAILHAC','AVEYRON'),
('12320','PRUINES','AVEYRON'),
('12320','ST CYPRIEN SUR DOURDOU','AVEYRON'),
('12320','ST FELIX DE LUNEL','AVEYRON'),
('12320','SENERGUES','AVEYRON'),
('12330','CLAIRVAUX D AVEYRON','AVEYRON'),
('12330','MARCILLAC VALLON','AVEYRON'),
('12330','MOURET','AVEYRON'),
('12330','MURET LE CHATEAU','AVEYRON'),
('12330','NAUVIALE','AVEYRON'),
('12330','ST CHRISTOPHE VALLON','AVEYRON'),
('12330','SALLES LA SOURCE','AVEYRON'),
('12330','VALADY','AVEYRON'),
('12330','NUCES','AVEYRON'),
('12340','BOZOULS','AVEYRON'),
('12340','CRUEJOULS','AVEYRON'),
('12340','GABRIAC','AVEYRON'),
('12340','RODELLE','AVEYRON'),
('12350','BRANDONNET','AVEYRON'),
('12350','COMPOLIBAT','AVEYRON'),
('12350','DRULHE','AVEYRON'),
('12350','LANUEJOULS','AVEYRON'),
('12350','MALEVILLE','AVEYRON'),
('12350','PREVINQUIERES','AVEYRON'),
('12350','PRIVEZAC','AVEYRON'),
('12360','ARNAC SUR DOURDOU','AVEYRON'),
('12360','BRUSQUE','AVEYRON'),
('12360','CAMARES','AVEYRON'),
('12360','FAYET','AVEYRON'),
('12360','GISSAC','AVEYRON'),
('12360','MELAGUES','AVEYRON'),
('12360','MONTAGNOL','AVEYRON'),
('12360','PEUX ET COUFFOULEUX','AVEYRON'),
('12360','SYLVANES','AVEYRON'),
('12360','TAURIAC DE CAMARES','AVEYRON'),
('12360','CENOMES','AVEYRON'),
('12370','BELMONT SUR RANCE','AVEYRON'),
('12370','COMBRET','AVEYRON'),
('12370','MURASSON','AVEYRON'),
('12370','MOUNES PROHENCOUX','AVEYRON'),
('12370','ST SEVER DU MOUSTIER','AVEYRON'),
('12380','BALAGUIER SUR RANCE','AVEYRON'),
('12380','LAVAL ROQUECEZIERE','AVEYRON'),
('12380','MONTFRANC','AVEYRON'),
('12380','POUSTHOMY','AVEYRON'),
('12380','ST SERNIN SUR RANCE','AVEYRON'),
('12380','LA SERRE','AVEYRON'),
('12390','ANGLARS ST FELIX','AVEYRON'),
('12390','AUZITS','AVEYRON'),
('12390','BELCASTEL','AVEYRON'),
('12390','BOURNAZEL','AVEYRON'),
('12390','ESCANDOLIERES','AVEYRON'),
('12390','GOUTRENS','AVEYRON'),
('12390','MAYRAN','AVEYRON'),
('12390','RIGNAC','AVEYRON'),
('12400','CALMELS ET LE VIALA','AVEYRON'),
('12400','LES COSTES GOZON','AVEYRON'),
('12400','MONTLAUR','AVEYRON'),
('12400','REBOURGUIL','AVEYRON'),
('12400','ST AFFRIQUE','AVEYRON'),
('12400','ST FELIX DE SORGUES','AVEYRON'),
('12400','ST VICTOR ET MELVIEU','AVEYRON'),
('12400','VABRES L ABBAYE','AVEYRON'),
('12400','VERSOLS ET LAPEYRE','AVEYRON'),
('12400','MELVIEU','AVEYRON'),
('12410','SALLES CURAN','AVEYRON'),
('12410','CURAN','AVEYRON'),
('12420','CANTOIN','AVEYRON'),
('12420','GRAISSAC','AVEYRON'),
('12420','STE GENEVIEVE SUR ARGENCE','AVEYRON'),
('12420','VITRAC EN VIADENE','AVEYRON'),
('12430','ALRANCE','AVEYRON'),
('12430','AYSSENES','AVEYRON'),
('12430','LESTRADE ET THOUELS','AVEYRON'),
('12430','LE TRUEL','AVEYRON'),
('12430','VILLEFRANCHE DE PANAT','AVEYRON'),
('12440','LESCURE JAOUL','AVEYRON'),
('12440','LA SALVETAT PEYRALES','AVEYRON'),
('12440','TAYRAC','AVEYRON'),
('12450','CALMONT','AVEYRON'),
('12450','FLAVIN','AVEYRON'),
('12450','LUC','AVEYRON'),
('12450','CEIGNAC','AVEYRON'),
('12450','LA PRIMAUBE','AVEYRON'),
('12460','HUPARLAC','AVEYRON'),
('12460','MONTEZIC','AVEYRON'),
('12460','ST AMANS DES COTS','AVEYRON'),
('12460','ST SYMPHORIEN DE THENIERE','AVEYRON'),
('12460','ST GERVAIS','AVEYRON'),
('12470','CONDOM D AUBRAC','AVEYRON'),
('12470','PRADES D AUBRAC','AVEYRON'),
('12470','ST CHELY D AUBRAC','AVEYRON'),
('12470','AUBRAC','AVEYRON'),
('12480','BROQUIES','AVEYRON'),
('12480','BROUSSE LE CHATEAU','AVEYRON'),
('12480','ST IZAIRE','AVEYRON'),
('12490','LA BASTIDE PRADINES','AVEYRON'),
('12490','MONTJAUX','AVEYRON'),
('12490','ST ROME DE CERNON','AVEYRON'),
('12490','ST ROME DE TARN','AVEYRON'),
('12490','VIALA DU TARN','AVEYRON'),
('12500','BESSUEJOULS','AVEYRON'),
('12500','CASTELNAU DE MANDAILLES','AVEYRON'),
('12500','LE CAYROL','AVEYRON'),
('12500','ESPALION','AVEYRON'),
('12500','LASSOUTS','AVEYRON'),
('12500','ST COME D OLT','AVEYRON'),
('12510','BALSAC','AVEYRON'),
('12510','DRUELLE','AVEYRON'),
('12510','OLEMPS','AVEYRON'),
('12520','AGUESSAC','AVEYRON'),
('12520','COMPEYRE','AVEYRON'),
('12520','PAULHE','AVEYRON'),
('12520','VERRIERES','AVEYRON'),
('12540','LE CLAPIER','AVEYRON'),
('12540','CORNUS','AVEYRON');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('12540','MARNHAGUES ET LATOUR','AVEYRON'),
('12540','FONDAMENTE','AVEYRON'),
('12540','ST BEAULIZE','AVEYRON'),
('12550','LA BASTIDE SOLAGES','AVEYRON'),
('12550','BRASC','AVEYRON'),
('12550','COUPIAC','AVEYRON'),
('12550','MARTRIN','AVEYRON'),
('12550','MONTCLAR','AVEYRON'),
('12550','PLAISANCE','AVEYRON'),
('12550','ST JUERY','AVEYRON'),
('12560','CAMPAGNAC','AVEYRON'),
('12560','ST LAURENT D OLT','AVEYRON'),
('12560','ST SATURNIN DE LENNE','AVEYRON'),
('12580','CAMPUAC','AVEYRON'),
('12580','VILLECOMTAL','AVEYRON'),
('12600','BROMMAT','AVEYRON'),
('12600','LACROIX BARREZ','AVEYRON'),
('12600','MUR DE BARREZ','AVEYRON'),
('12600','MUROLS','AVEYRON'),
('12600','TAUSSAC','AVEYRON'),
('12600','THERONDELS','AVEYRON'),
('12620','CASTELNAU PEGAYROLS','AVEYRON'),
('12620','ST BEAUZELY','AVEYRON'),
('12620','ST LAURENT DE LEVEZOU','AVEYRON'),
('12630','AGEN D AVEYRON','AVEYRON'),
('12630','MONTROZIER','AVEYRON'),
('12630','GAGES','AVEYRON'),
('12640','LA CRESSE','AVEYRON'),
('12640','RIVIERE SUR TARN','AVEYRON'),
('12640','BOYNE','AVEYRON'),
('12700','ASPRIERES','AVEYRON'),
('12700','CAPDENAC GARE','AVEYRON'),
('12700','LOUPIAC','AVEYRON'),
('12700','NAUSSAC','AVEYRON'),
('12700','CAUSSE ET DIEGE','AVEYRON'),
('12700','SONNAC','AVEYRON'),
('12700','GELLE','AVEYRON'),
('12720','MOSTUEJOULS','AVEYRON'),
('12720','PEYRELEAU','AVEYRON'),
('12720','ST ANDRE DE VEZINES','AVEYRON'),
('12720','VEYREAU','AVEYRON'),
('12740','LA LOUBIERE','AVEYRON'),
('12740','SEBAZAC CONCOURES','AVEYRON'),
('12780','ST LEONS','AVEYRON'),
('12780','VEZINS DE LEVEZOU','AVEYRON'),
('12800','CABANES','AVEYRON'),
('12800','CAMJAC','AVEYRON'),
('12800','CASTELMARY','AVEYRON'),
('12800','CRESPIN','AVEYRON'),
('12800','NAUCELLE','AVEYRON'),
('12800','QUINS','AVEYRON'),
('12800','SAUVETERRE DE ROUERGUE','AVEYRON'),
('12800','TAURIAC DE NAUCELLE','AVEYRON'),
('12800','LA MOTHE','AVEYRON'),
('12850','ONET LE CHATEAU','AVEYRON'),
('12850','STE RADEGONDE','AVEYRON'),
('12850','QUATRE SAISONS','AVEYRON'),
('13000','MARSEILLE','BOUCHES DU RHONE'),
('13001','MARSEILLE 1ER ARRONDISSEM','BOUCHES DU RHONE'),
('13002','MARSEILLE 2EME ARRONDISSE','BOUCHES DU RHONE'),
('13003','MARSEILLE 3EME ARRONDISSE','BOUCHES DU RHONE'),
('13004','MARSEILLE 4EME ARRONDISSE','BOUCHES DU RHONE'),
('13005','MARSEILLE 5EME ARRONDISSE','BOUCHES DU RHONE'),
('13006','MARSEILLE 6EME ARRONDISSE','BOUCHES DU RHONE'),
('13007','MARSEILLE 7EME ARRONDISSE','BOUCHES DU RHONE'),
('13008','MARSEILLE 8EME ARRONDISSE','BOUCHES DU RHONE'),
('13008','LA PANOUSE','BOUCHES DU RHONE'),
('13008','LES GOUDES','BOUCHES DU RHONE'),
('13008','CALLELONGUE','BOUCHES DU RHONE'),
('13009','MARSEILLE 9EME ARRONDISSE','BOUCHES DU RHONE'),
('13009','VAUFREGE','BOUCHES DU RHONE'),
('13009','LES BAUMETTES','BOUCHES DU RHONE'),
('13010','MARSEILLE 10EME ARRONDISS','BOUCHES DU RHONE'),
('13011','MARSEILLE 11EME ARRONDISS','BOUCHES DU RHONE'),
('13011','LA VALENTINE','BOUCHES DU RHONE'),
('13012','MARSEILLE 12EME ARRONDISS','BOUCHES DU RHONE'),
('13013','MARSEILLE 13EME ARRONDISS','BOUCHES DU RHONE'),
('13013','ST GERMAIN','BOUCHES DU RHONE'),
('13013','LA BATARELLE','BOUCHES DU RHONE'),
('13013','CHATEAU GOMBERT','BOUCHES DU RHONE'),
('13013','CROIX ROUGE','BOUCHES DU RHONE'),
('13013','LES OLIVES','BOUCHES DU RHONE'),
('13014','MARSEILLE 14EME ARRONDISS','BOUCHES DU RHONE'),
('13015','MARSEILLE 15EME ARRONDISS','BOUCHES DU RHONE'),
('13016','MARSEILLE 16EME ARRONDISS','BOUCHES DU RHONE'),
('13016','L ESTAQUE','BOUCHES DU RHONE'),
('13080','LES PUICHINIADES','BOUCHES DU RHONE'),
('13090','AIX EN PROVENCE','BOUCHES DU RHONE'),
('13100','BEAURECUEIL','BOUCHES DU RHONE'),
('13100','ST ANTONIN SUR BAYON','BOUCHES DU RHONE'),
('13100','ST MARC JAUMEGARDE','BOUCHES DU RHONE'),
('13100','LE THOLONET','BOUCHES DU RHONE'),
('13103','MAS BLANC DES ALPILLES','BOUCHES DU RHONE'),
('13103','ST ETIENNE DU GRES','BOUCHES DU RHONE'),
('13104','LA MILLIERE','BOUCHES DU RHONE'),
('13105','MIMET','BOUCHES DU RHONE'),
('13109','SIMIANE COLLONGUE','BOUCHES DU RHONE'),
('13110','PORT DE BOUC','BOUCHES DU RHONE'),
('13111','COUDOUX','BOUCHES DU RHONE'),
('13112','LA DESTROUSSE','BOUCHES DU RHONE'),
('13113','LAMANON','BOUCHES DU RHONE'),
('13114','PUYLOUBIER','BOUCHES DU RHONE'),
('13114','LES CAYOLS','BOUCHES DU RHONE'),
('13115','ST PAUL LEZ DURANCE','BOUCHES DU RHONE'),
('13116','VERNEGUES','BOUCHES DU RHONE'),
('13117','LAVERA','BOUCHES DU RHONE'),
('13118','ENTRESSEN','BOUCHES DU RHONE'),
('13119','ST SAVOURNIN','BOUCHES DU RHONE'),
('13120','GARDANNE','BOUCHES DU RHONE'),
('13120','LES FRERES','BOUCHES DU RHONE'),
('13120','NOTRE DAME','BOUCHES DU RHONE'),
('13121','AURONS','BOUCHES DU RHONE'),
('13122','VENTABREN','BOUCHES DU RHONE'),
('13122','LE PIGEONNIER','BOUCHES DU RHONE'),
('13123','L ALBARON','BOUCHES DU RHONE'),
('13124','PEYPIN','BOUCHES DU RHONE'),
('13126','VAUVENARGUES','BOUCHES DU RHONE'),
('13127','VITROLLES','BOUCHES DU RHONE'),
('13129','LA TOUR D ARBOIS','BOUCHES DU RHONE'),
('13130','BERRE L ETANG','BOUCHES DU RHONE'),
('13140','MIRAMAS','BOUCHES DU RHONE'),
('13150','BOULBON','BOUCHES DU RHONE'),
('13150','SAINT PIERRE DE MEZOARGUE','BOUCHES DU RHONE'),
('13150','TARASCON','BOUCHES DU RHONE'),
('13160','CHATEAURENARD','BOUCHES DU RHONE'),
('13170','LES PENNES MIRABEAU','BOUCHES DU RHONE'),
('13170','PLAN DE CAMPAGNE','BOUCHES DU RHONE'),
('13170','LES CADENEAUX','BOUCHES DU RHONE'),
('13170','LA GAVOTTE','BOUCHES DU RHONE'),
('13180','GIGNAC LA NERTHE','BOUCHES DU RHONE'),
('13180','LAURE','BOUCHES DU RHONE'),
('13190','ALLAUCH','BOUCHES DU RHONE'),
('13190','LE LOGIS NEUF','BOUCHES DU RHONE'),
('13200','ARLES','BOUCHES DU RHONE'),
('13200','LE SAMBUC','BOUCHES DU RHONE'),
('13210','ST REMY DE PROVENCE','BOUCHES DU RHONE'),
('13220','CHATEAUNEUF LES MARTIGUES','BOUCHES DU RHONE'),
('13220','LES PEYRETS','BOUCHES DU RHONE'),
('13230','PORT ST LOUIS DU RHONE','BOUCHES DU RHONE'),
('13240','SEPTEMES LES VALLONS','BOUCHES DU RHONE'),
('13240','LA ROUGIERE','BOUCHES DU RHONE'),
('13250','CORNILLON CONFOUX','BOUCHES DU RHONE'),
('13250','ST CHAMAS','BOUCHES DU RHONE'),
('13260','CASSIS','BOUCHES DU RHONE'),
('13270','FOS SUR MER','BOUCHES DU RHONE'),
('13280','LA MERINDOLE','BOUCHES DU RHONE'),
('13280','MOULES','BOUCHES DU RHONE'),
('13290','LES MILLES','BOUCHES DU RHONE'),
('13300','SALON DE PROVENCE','BOUCHES DU RHONE'),
('13310','ST MARTIN DE CRAU','BOUCHES DU RHONE'),
('13320','BOUC BEL AIR','BOUCHES DU RHONE'),
('13330','LA BARBEN','BOUCHES DU RHONE'),
('13330','PELISSANNE','BOUCHES DU RHONE'),
('13340','ROGNAC','BOUCHES DU RHONE'),
('13350','CHARLEVAL','BOUCHES DU RHONE'),
('13360','ROQUEVAIRE','BOUCHES DU RHONE'),
('13360','LA BEGUDE','BOUCHES DU RHONE'),
('13360','PONT DE L ETOILE','BOUCHES DU RHONE'),
('13370','MALLEMORT','BOUCHES DU RHONE'),
('13370','NOTRE DAME','BOUCHES DU RHONE'),
('13380','PLAN DE CUQUES','BOUCHES DU RHONE'),
('13390','AURIOL','BOUCHES DU RHONE'),
('13400','AUBAGNE','BOUCHES DU RHONE'),
('13400','CHARREL','BOUCHES DU RHONE'),
('13410','LAMBESC','BOUCHES DU RHONE'),
('13420','GEMENOS','BOUCHES DU RHONE'),
('13430','EYGUIERES','BOUCHES DU RHONE'),
('13440','CABANNES','BOUCHES DU RHONE'),
('13450','GRANS','BOUCHES DU RHONE'),
('13460','STES MARIES DE LA MER','BOUCHES DU RHONE'),
('13470','CARNOUX EN PROVENCE','BOUCHES DU RHONE'),
('13480','CABRIES','BOUCHES DU RHONE'),
('13480','CALAS','BOUCHES DU RHONE'),
('13490','JOUQUES','BOUCHES DU RHONE'),
('13500','MARTIGUES','BOUCHES DU RHONE'),
('13500','CARRO','BOUCHES DU RHONE'),
('13500','LE VERGER','BOUCHES DU RHONE'),
('13500','LE GRAND PIN','BOUCHES DU RHONE'),
('13510','EGUILLES','BOUCHES DU RHONE'),
('13520','LES BAUX DE PROVENCE','BOUCHES DU RHONE'),
('13520','MAUSSANNE LES ALPILLES','BOUCHES DU RHONE'),
('13520','PARADOU','BOUCHES DU RHONE'),
('13530','TRETS','BOUCHES DU RHONE'),
('13530','LA MALLE','BOUCHES DU RHONE'),
('13540','PUYRICARD','BOUCHES DU RHONE'),
('13550','NOVES','BOUCHES DU RHONE'),
('13550','PALUD DES NOVES','BOUCHES DU RHONE'),
('13560','SENAS','BOUCHES DU RHONE'),
('13570','BARBENTANE','BOUCHES DU RHONE'),
('13580','LA FARE LES OLIVIERS','BOUCHES DU RHONE'),
('13590','MEYREUIL','BOUCHES DU RHONE'),
('13600','CEYRESTE','BOUCHES DU RHONE'),
('13600','LA CIOTAT','BOUCHES DU RHONE'),
('13610','LE PUY STE REPARADE','BOUCHES DU RHONE'),
('13610','ST ESTEVE JANSON','BOUCHES DU RHONE'),
('13620','CARRY LE ROUET','BOUCHES DU RHONE'),
('13620','LE ROUET','BOUCHES DU RHONE'),
('13630','EYRAGUES','BOUCHES DU RHONE'),
('13640','LA ROQUE D ANTHERON','BOUCHES DU RHONE'),
('13650','MEYRARGUES','BOUCHES DU RHONE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('13660','ORGON','BOUCHES DU RHONE'),
('13670','ST ANDIOL','BOUCHES DU RHONE'),
('13670','VERQUIERES','BOUCHES DU RHONE'),
('13680','LANCON PROVENCE','BOUCHES DU RHONE'),
('13690','GRAVESON','BOUCHES DU RHONE'),
('13700','MARIGNANE','BOUCHES DU RHONE'),
('13700','PAS DES LANCIERS','BOUCHES DU RHONE'),
('13710','FUVEAU','BOUCHES DU RHONE'),
('13710','LA BEGUDE','BOUCHES DU RHONE'),
('13710','LA BARQUE','BOUCHES DU RHONE'),
('13720','BELCODENE','BOUCHES DU RHONE'),
('13720','LA BOUILLADISSE','BOUCHES DU RHONE'),
('13720','LA POMME','BOUCHES DU RHONE'),
('13720','LES GORGUETTES','BOUCHES DU RHONE'),
('13720','LE PIGEONNIER','BOUCHES DU RHONE'),
('13720','LES BOYERS','BOUCHES DU RHONE'),
('13730','ST VICTORET','BOUCHES DU RHONE'),
('13740','LE ROVE','BOUCHES DU RHONE'),
('13740','LE DOUARD','BOUCHES DU RHONE'),
('13740','LE PIGEONNIER','BOUCHES DU RHONE'),
('13750','PLAN D ORGON','BOUCHES DU RHONE'),
('13760','ST CANNAT','BOUCHES DU RHONE'),
('13770','VENELLES','BOUCHES DU RHONE'),
('13780','CUGES LES PINS','BOUCHES DU RHONE'),
('13780','RIBOUX','BOUCHES DU RHONE'),
('13790','CHATEAUNEUF LE ROUGE','BOUCHES DU RHONE'),
('13790','PEYNIER','BOUCHES DU RHONE'),
('13790','ROUSSET','BOUCHES DU RHONE'),
('13790','LES MICHELS','BOUCHES DU RHONE'),
('13800','ISTRES','BOUCHES DU RHONE'),
('13810','EYGALIERES','BOUCHES DU RHONE'),
('13820','ENSUES LA REDONNE','BOUCHES DU RHONE'),
('13820','LA REDONNE','BOUCHES DU RHONE'),
('13821','LA PENNE SUR HUVEAUNE','BOUCHES DU RHONE'),
('13821','BASTIDONNE','BOUCHES DU RHONE'),
('13830','ROQUEFORT LA BEDOULE','BOUCHES DU RHONE'),
('13830','VALABRE','BOUCHES DU RHONE'),
('13840','ROGNES','BOUCHES DU RHONE'),
('13850','GREASQUE','BOUCHES DU RHONE'),
('13860','PEYROLLES EN PROVENCE','BOUCHES DU RHONE'),
('13870','ROGNONAS','BOUCHES DU RHONE'),
('13880','VELAUX','BOUCHES DU RHONE'),
('13890','MOURIES','BOUCHES DU RHONE'),
('13910','MAILLANE','BOUCHES DU RHONE'),
('13920','ST MITRE LES REMPARTS','BOUCHES DU RHONE'),
('13930','AUREILLE','BOUCHES DU RHONE'),
('13940','MOLLEGES','BOUCHES DU RHONE'),
('13950','CADOLIVE','BOUCHES DU RHONE'),
('13960','SAUSSET LES PINS','BOUCHES DU RHONE'),
('13980','ALLEINS','BOUCHES DU RHONE'),
('13980','PLAN MARSEILLAIS','BOUCHES DU RHONE'),
('13990','FONTVIEILLE','BOUCHES DU RHONE'),
('14000','CAEN','CALVADOS'),
('14100','BEUVILLERS','CALVADOS'),
('14100','CORDEBUGLE','CALVADOS'),
('14100','COURTONNE LA MEURDRAC','CALVADOS'),
('14100','FAUGUERNON','CALVADOS'),
('14100','FIRFOL','CALVADOS'),
('14100','GLOS','CALVADOS'),
('14100','HERMIVAL LES VAUX','CALVADOS'),
('14100','L HOTELLERIE','CALVADOS'),
('14100','LISIEUX','CALVADOS'),
('14100','MAROLLES','CALVADOS'),
('14100','LE MESNIL EUDES','CALVADOS'),
('14100','LE MESNIL GUILLAUME','CALVADOS'),
('14100','LES MONCEAUX','CALVADOS'),
('14100','NOROLLES','CALVADOS'),
('14100','OUILLY LE VICOMTE','CALVADOS'),
('14100','ROCQUES','CALVADOS'),
('14100','ST DENIS DE MAILLOC','CALVADOS'),
('14100','ST DESIR','CALVADOS'),
('14100','ST GERMAIN DE LIVET','CALVADOS'),
('14100','ST JEAN DE LIVET','CALVADOS'),
('14100','ST MARTIN DE LA LIEUE','CALVADOS'),
('14100','ST MARTIN DE MAILLOC','CALVADOS'),
('14100','ST PIERRE DES IFS','CALVADOS'),
('14110','CONDE SUR NOIREAU','CALVADOS'),
('14110','PONTECOULANT','CALVADOS'),
('14110','PROUSSY','CALVADOS'),
('14110','ST DENIS DE MERE','CALVADOS'),
('14110','ST GERMAIN DU CRIOULT','CALVADOS'),
('14111','LOUVIGNY','CALVADOS'),
('14112','BIEVILLE BEUVILLE','CALVADOS'),
('14112','BIEVILLE SUR ORNE','CALVADOS'),
('14112','PERIERS SUR LE DAN','CALVADOS'),
('14113','CRICQUEBOEUF','CALVADOS'),
('14113','VILLERVILLE','CALVADOS'),
('14114','VER SUR MER','CALVADOS'),
('14117','ARROMANCHES LES BAINS','CALVADOS'),
('14117','MANVIEUX','CALVADOS'),
('14117','TRACY SUR MER','CALVADOS'),
('14120','MONDEVILLE','CALVADOS'),
('14121','SALLENELLES','CALVADOS'),
('14123','CORMELLES LE ROYAL','CALVADOS'),
('14123','FLEURY SUR ORNE','CALVADOS'),
('14123','IFS','CALVADOS'),
('14130','LES AUTHIEUX SUR CALONNE','CALVADOS'),
('14130','BLANGY LE CHATEAU','CALVADOS'),
('14130','BONNEVILLE LA LOUVET','CALVADOS'),
('14130','LE BREUIL EN AUGE','CALVADOS'),
('14130','LE BREVEDENT','CALVADOS'),
('14130','CLARBEC','CALVADOS'),
('14130','COQUAINVILLIERS','CALVADOS'),
('14130','COUDRAY RABUT','CALVADOS'),
('14130','DRUBEC','CALVADOS'),
('14130','LE FAULQ','CALVADOS'),
('14130','FIERVILLE LES PARCS','CALVADOS'),
('14130','MANNEVILLE LA PIPARD','CALVADOS'),
('14130','LE MESNIL SUR BLANGY','CALVADOS'),
('14130','PIERREFITE EN AUGE','CALVADOS'),
('14130','PONT L EVEQUE','CALVADOS'),
('14130','QUETTEVILLE','CALVADOS'),
('14130','REUX','CALVADOS'),
('14130','ST ANDRE D HEBERTOT','CALVADOS'),
('14130','ST BENOIT D HEBERTOT','CALVADOS'),
('14130','ST GATIEN DES BOIS','CALVADOS'),
('14130','ST HYMER','CALVADOS'),
('14130','ST JULIEN SUR CALONNE','CALVADOS'),
('14130','ST MARTIN AUX CHARTRAINS','CALVADOS'),
('14130','ST PHILIBERT DES CHAMPS','CALVADOS'),
('14130','SURVILLE','CALVADOS'),
('14130','LE THEIL EN AUGE','CALVADOS'),
('14130','LE TORQUESNE','CALVADOS'),
('14130','TOURVILLE EN AUGE','CALVADOS'),
('14130','VIEUX BOURG','CALVADOS'),
('14140','AUQUAINVILLE','CALVADOS'),
('14140','LES AUTELS ST BAZILE','CALVADOS'),
('14140','LES AUTHIEUX PAPION','CALVADOS'),
('14140','BELLOU','CALVADOS'),
('14140','LA BREVIERE','CALVADOS'),
('14140','CASTILLON EN AUGE','CALVADOS'),
('14140','LA CHAPELLE HAUTE GRUE','CALVADOS'),
('14140','CHEFFREVILLE TONNENCOURT','CALVADOS'),
('14140','COUPESARTE','CALVADOS'),
('14140','LA CROUPTE','CALVADOS'),
('14140','FERVAQUES','CALVADOS'),
('14140','GRANDCHAMP LE CHATEAU','CALVADOS'),
('14140','HEURTEVENT','CALVADOS'),
('14140','LECAUDE','CALVADOS'),
('14140','LESSARD ET LE CHENE','CALVADOS'),
('14140','LISORES','CALVADOS'),
('14140','LIVAROT','CALVADOS'),
('14140','LE MESNIL BACLEY','CALVADOS'),
('14140','LE MESNIL DURAND','CALVADOS'),
('14140','LE MESNIL GERMAIN','CALVADOS'),
('14140','LE MESNIL SIMON','CALVADOS'),
('14140','MONTVIETTE','CALVADOS'),
('14140','LES MOUTIERS HUBERT','CALVADOS'),
('14140','NOTRE DAME DE COURSON','CALVADOS'),
('14140','PRETREVILLE','CALVADOS'),
('14140','STE FOY DE MONTGOMMERY','CALVADOS'),
('14140','ST GEORGES EN AUGE','CALVADOS'),
('14140','ST GERMAIN MONTGOMMERY','CALVADOS'),
('14140','ST JULIEN LE FAUCON','CALVADOS'),
('14140','STE MARGUERITE DES LOGES','CALVADOS'),
('14140','STE MARGUERITE DE VIETTE','CALVADOS'),
('14140','ST MARTIN DU MESNIL OURY','CALVADOS'),
('14140','ST MICHEL DE LIVET','CALVADOS'),
('14140','ST OUEN LE HOUX','CALVADOS'),
('14140','TORTISAMBERT','CALVADOS'),
('14140','VIEUX PONT','CALVADOS'),
('14150','OUISTREHAM','CALVADOS'),
('14160','BRUCOURT','CALVADOS'),
('14160','DIVES SUR MER','CALVADOS'),
('14160','GRANGUES','CALVADOS'),
('14160','PERIERS EN AUGE','CALVADOS'),
('14170','AMMEVILLE','CALVADOS'),
('14170','BERNIERES D AILLY','CALVADOS'),
('14170','BERVILLE','CALVADOS'),
('14170','BOISSEY','CALVADOS'),
('14170','BRETTEVILLE SUR DIVES','CALVADOS'),
('14170','COURCY','CALVADOS'),
('14170','ECOTS','CALVADOS'),
('14170','EPANEY','CALVADOS'),
('14170','ESCURES SUR FAVIERES','CALVADOS'),
('14170','GARNETOT','CALVADOS'),
('14170','GRANDMESNIL','CALVADOS'),
('14170','GRISY','CALVADOS'),
('14170','HIEVILLE','CALVADOS'),
('14170','JORT','CALVADOS'),
('14170','LIEURY','CALVADOS'),
('14170','LOUVAGNY','CALVADOS'),
('14170','MITTOIS','CALVADOS'),
('14170','MONTPINCON','CALVADOS'),
('14170','NOTRE DAME DE FRESNAY','CALVADOS'),
('14170','OLENDON','CALVADOS'),
('14170','OUVILLE LA BIEN TOURNEE','CALVADOS'),
('14170','PERRIERES','CALVADOS'),
('14170','ST MARTIN DE FRESNAY','CALVADOS'),
('14170','ST PIERRE SUR DIVES','CALVADOS'),
('14170','SASSY','CALVADOS'),
('14170','THIEVILLE','CALVADOS'),
('14170','L OUDON','CALVADOS'),
('14170','VAUDELOGES','CALVADOS'),
('14170','VENDEUVRE','CALVADOS'),
('14170','VICQUES','CALVADOS'),
('14190','BRAY LA CAMPAGNE','CALVADOS'),
('14190','BRETTEVILLE LE RABET','CALVADOS'),
('14190','LE BU SUR ROUVRES','CALVADOS'),
('14190','CAUVICOURT','CALVADOS');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('14190','ESTREES LA CAMPAGNE','CALVADOS'),
('14190','FIERVILLE BRAY','CALVADOS'),
('14190','FONTAINE LE PIN','CALVADOS'),
('14190','GRAINVILLE LANGANNERIE','CALVADOS'),
('14190','MAIZIERES','CALVADOS'),
('14190','OUILLY LE TESSON','CALVADOS'),
('14190','ROUVRES','CALVADOS'),
('14190','ST GERMAIN LE VASSON','CALVADOS'),
('14190','ST SYLVAIN','CALVADOS'),
('14190','SOIGNOLLES','CALVADOS'),
('14190','URVILLE','CALVADOS'),
('14200','HEROUVILLE ST CLAIR','CALVADOS'),
('14210','AMAYE SUR ORNE','CALVADOS'),
('14210','AVENAY','CALVADOS'),
('14210','BARON SUR ODON','CALVADOS'),
('14210','BOUGY','CALVADOS'),
('14210','LA CAINE','CALVADOS'),
('14210','CHEUX','CALVADOS'),
('14210','ESQUAY NOTRE DAME','CALVADOS'),
('14210','EVRECY','CALVADOS'),
('14210','GAVRUS','CALVADOS'),
('14210','GOUPILLIERES','CALVADOS'),
('14210','GRAINVILLE SUR ODON','CALVADOS'),
('14210','LE LOCHEUR','CALVADOS'),
('14210','MAISONCELLES SUR AJON','CALVADOS'),
('14210','MAIZET','CALVADOS'),
('14210','MISSY','CALVADOS'),
('14210','MONDRAINVILLE','CALVADOS'),
('14210','MONTIGNY','CALVADOS'),
('14210','NEUILLY LE MALHERBE','CALVADOS'),
('14210','NOYERS BOCAGE','CALVADOS'),
('14210','PREAUX BOCAGE','CALVADOS'),
('14210','STE HONORINE DU FAY','CALVADOS'),
('14210','TOURVILLE SUR ODON','CALVADOS'),
('14210','TROIS MONTS','CALVADOS'),
('14210','VACOGNES-NEUILLY','CALVADOS'),
('14220','ACQUEVILLE','CALVADOS'),
('14220','ANGOVILLE','CALVADOS'),
('14220','BARBERY','CALVADOS'),
('14220','BOULON','CALVADOS'),
('14220','CAUMONT','CALVADOS'),
('14220','CESNY BOIS HALBOUT','CALVADOS'),
('14220','COMBRAY','CALVADOS'),
('14220','CROISILLES','CALVADOS'),
('14220','CULEY LE PATRY','CALVADOS'),
('14220','CURCY SUR ORNE','CALVADOS'),
('14220','DONNAY','CALVADOS'),
('14220','ESPINS','CALVADOS'),
('14220','ESSON','CALVADOS'),
('14220','FRESNEY LE VIEUX','CALVADOS'),
('14220','GRIMBOSQ','CALVADOS'),
('14220','HAMARS','CALVADOS'),
('14220','MARTAINVILLE','CALVADOS'),
('14220','MESLAY','CALVADOS'),
('14220','MOULINES','CALVADOS'),
('14220','MOUTIERS EN CINGLAIS','CALVADOS'),
('14220','MUTRECY','CALVADOS'),
('14220','OUFFIERES','CALVADOS'),
('14220','PLACY','CALVADOS'),
('14220','ST LAURENT DE CONDEL','CALVADOS'),
('14220','ST MARTIN DE SALLEN','CALVADOS'),
('14220','ST OMER','CALVADOS'),
('14220','THURY HARCOURT','CALVADOS'),
('14220','TOURNEBU','CALVADOS'),
('14230','LA CAMBE','CALVADOS'),
('14230','CANCHY','CALVADOS'),
('14230','CARDONVILLE','CALVADOS'),
('14230','DEUX JUMEAUX','CALVADOS'),
('14230','GEFOSSE FONTENAY','CALVADOS'),
('14230','ISIGNY SUR MER','CALVADOS'),
('14230','LONGUEVILLE','CALVADOS'),
('14230','MONFREVILLE','CALVADOS'),
('14230','NEUILLY LA FORET','CALVADOS'),
('14230','OSMANVILLE','CALVADOS'),
('14230','LES OUBEAUX','CALVADOS'),
('14230','ST GERMAIN DU PERT','CALVADOS'),
('14230','VOUILLY','CALVADOS'),
('14240','ANCTOVILLE','CALVADOS'),
('14240','CAHAGNES','CALVADOS'),
('14240','CAUMONT L EVENTE','CALVADOS'),
('14240','CORMOLAIN','CALVADOS'),
('14240','FEUGUEROLLES SUR SEULLES','CALVADOS'),
('14240','FOULOGNES','CALVADOS'),
('14240','LA LANDE SUR DROME','CALVADOS'),
('14240','LIVRY','CALVADOS'),
('14240','LES LOGES','CALVADOS'),
('14240','ORBOIS','CALVADOS'),
('14240','PARFOURU L ECLIN','CALVADOS'),
('14240','QUESNAY GUESNON','CALVADOS'),
('14240','ST GERMAIN D ECTOT','CALVADOS'),
('14240','STE HONORINE DE DUCY','CALVADOS'),
('14240','SALLEN','CALVADOS'),
('14240','SEPT VENTS','CALVADOS'),
('14240','SERMENTOT','CALVADOS'),
('14240','TORTEVAL QUESNAY','CALVADOS'),
('14240','LA VACQUERIE','CALVADOS'),
('14250','AUDRIEU','CALVADOS'),
('14250','BROUAY','CALVADOS'),
('14250','BUCEELS','CALVADOS'),
('14250','CHOUAIN','CALVADOS'),
('14250','CRISTOT','CALVADOS'),
('14250','DUCY STE MARGUERITE','CALVADOS'),
('14250','ELLON','CALVADOS'),
('14250','FONTENAY LE PESNEL','CALVADOS'),
('14250','HOTTOT LES BAGUES','CALVADOS'),
('14250','JUAYE MONDAYE','CALVADOS'),
('14250','JUVIGNY SUR SEULLES','CALVADOS'),
('14250','LINGEVRES','CALVADOS'),
('14250','LONGRAYE','CALVADOS'),
('14250','LOUCELLES','CALVADOS'),
('14250','ST VAAST SUR SEULLES','CALVADOS'),
('14250','TESSEL','CALVADOS'),
('14250','TILLY SUR SEULLES','CALVADOS'),
('14250','VENDES','CALVADOS'),
('14260','AUNAY SUR ODON','CALVADOS'),
('14260','BANNEVILLE SUR AJON','CALVADOS'),
('14260','BAUQUAY','CALVADOS'),
('14260','LA BIGNE','CALVADOS'),
('14260','BONNEMAISON','CALVADOS'),
('14260','BREMOY','CALVADOS'),
('14260','CAMPANDRE VALCONGRAIN','CALVADOS'),
('14260','COURVAUDON','CALVADOS'),
('14260','JURQUES','CALVADOS'),
('14260','LE MESNIL AU GRAIN','CALVADOS'),
('14260','LE MESNIL AUZOUF','CALVADOS'),
('14260','MONTAMY','CALVADOS'),
('14260','ONDEFONTAINE','CALVADOS'),
('14260','ROUCAMPS','CALVADOS'),
('14260','ST AGNAN LE MALHERBE','CALVADOS'),
('14260','ST GEORGES D AUNAY','CALVADOS'),
('14260','ST PIERRE DU FRESNE','CALVADOS'),
('14270','BIEVILLE EN AUGE','CALVADOS'),
('14270','CANON','CALVADOS'),
('14270','CESNY AUX VIGNES OUEZY','CALVADOS'),
('14270','CONDE SUR IFS','CALVADOS'),
('14270','ECAJEUL','CALVADOS'),
('14270','ERNES','CALVADOS'),
('14270','MAGNY LA CAMPAGNE','CALVADOS'),
('14270','MAGNY LE FREULE','CALVADOS'),
('14270','LE MESNIL MAUGER','CALVADOS'),
('14270','MEZIDON CANON','CALVADOS'),
('14270','MONTEILLE','CALVADOS'),
('14270','OUEZY','CALVADOS'),
('14270','PERCY EN AUGE','CALVADOS'),
('14270','BIEVILLE QUETIEVILLE','CALVADOS'),
('14270','ST CRESPIN','CALVADOS'),
('14270','STE MARIE AUX ANGLAIS','CALVADOS'),
('14270','VIEUX FUME','CALVADOS'),
('14270','QUETIEVILLE','CALVADOS'),
('14280','AUTHIE','CALVADOS'),
('14280','ST CONTEST','CALVADOS'),
('14280','ST GERMAIN LA BLANCHE HER','CALVADOS'),
('14290','CERNAY','CALVADOS'),
('14290','CERQUEUX','CALVADOS'),
('14290','LA CHAPELLE YVON','CALVADOS'),
('14290','COURTONNE DEUX EGLISES','CALVADOS'),
('14290','LA CRESSONNIERE','CALVADOS'),
('14290','FAMILLY','CALVADOS'),
('14290','LA FOLLETIERE ABENON','CALVADOS'),
('14290','FRIARDEL','CALVADOS'),
('14290','MEULLES','CALVADOS'),
('14290','ORBEC','CALVADOS'),
('14290','PREAUX ST SEBASTIEN','CALVADOS'),
('14290','ST CYR DU RONCERAY','CALVADOS'),
('14290','ST JULIEN DE MAILLOC','CALVADOS'),
('14290','ST MARTIN DE BIENFAITE LA','CALVADOS'),
('14290','ST PAUL DE COURTONNE','CALVADOS'),
('14290','ST PIERRE DE MAILLOC','CALVADOS'),
('14290','TORDOUET','CALVADOS'),
('14290','LA VESPIERE','CALVADOS'),
('14310','AMAYE SUR SEULLES','CALVADOS'),
('14310','COULVAIN','CALVADOS'),
('14310','EPINAY SUR ODON','CALVADOS'),
('14310','LANDES SUR AJON','CALVADOS'),
('14310','LONGVILLERS','CALVADOS'),
('14310','MAISONCELLES PELVEY','CALVADOS'),
('14310','MONTS EN BESSIN','CALVADOS'),
('14310','PARFOURU SUR ODON','CALVADOS'),
('14310','ST LOUET SUR SEULLES','CALVADOS'),
('14310','TOURNAY SUR ODON','CALVADOS'),
('14310','TRACY BOCAGE','CALVADOS'),
('14310','VILLERS BOCAGE','CALVADOS'),
('14310','VILLY BOCAGE','CALVADOS'),
('14320','BULLY','CALVADOS'),
('14320','CLINCHAMPS SUR ORNE','CALVADOS'),
('14320','FEUGUEROLLES BULLY','CALVADOS'),
('14320','FONTENAY LE MARMION','CALVADOS'),
('14320','LAIZE LA VILLE','CALVADOS'),
('14320','MAY SUR ORNE','CALVADOS'),
('14320','ST ANDRE SUR ORNE','CALVADOS'),
('14320','ST MARTIN DE FONTENAY','CALVADOS'),
('14330','LE BREUIL EN BESSIN','CALVADOS'),
('14330','CARTIGNY L EPINAY','CALVADOS'),
('14330','CASTILLY','CALVADOS'),
('14330','LISON','CALVADOS'),
('14330','LE MOLAY LITTRY','CALVADOS'),
('14330','LE MOLAY','CALVADOS'),
('14330','ST MARCOUF','CALVADOS'),
('14330','STE MARGUERITE D ELLE','CALVADOS'),
('14330','SAON','CALVADOS');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('14330','SAONNET','CALVADOS'),
('14330','TOURNIERES','CALVADOS'),
('14340','AUVILLARS','CALVADOS'),
('14340','BEAUFOUR','CALVADOS'),
('14340','LA BOISSIERE','CALVADOS'),
('14340','BONNEBOSQ','CALVADOS'),
('14340','CAMBREMER','CALVADOS'),
('14340','CORBON','CALVADOS'),
('14340','CREVECOEUR EN AUGE','CALVADOS'),
('14340','BEAUFOUR DRUVAL','CALVADOS'),
('14340','FORMENTIN','CALVADOS'),
('14340','LE FOURNET','CALVADOS'),
('14340','GRANDOUET','CALVADOS'),
('14340','LA HOUBLONNIERE','CALVADOS'),
('14340','LEAUPARTIE','CALVADOS'),
('14340','MANERBE','CALVADOS'),
('14340','MONTREUIL EN AUGE','CALVADOS'),
('14340','NOTRE DAME DE LIVAYE','CALVADOS'),
('14340','NOTRE DAME D ESTREES','CALVADOS'),
('14340','LE PRE D AUGE','CALVADOS'),
('14340','REPENTIGNY','CALVADOS'),
('14340','LA ROQUE BAIGNARD','CALVADOS'),
('14340','RUMESNIL','CALVADOS'),
('14340','ST AUBIN LEBIZAY','CALVADOS'),
('14340','ST AUBIN SUR ALGOT','CALVADOS'),
('14340','ST LAURENT DU MONT','CALVADOS'),
('14340','ST LOUP DE FRIBOIS','CALVADOS'),
('14340','ST OUEN LE PIN','CALVADOS'),
('14340','ST PAIR DU MONT','CALVADOS'),
('14340','VALSEME','CALVADOS'),
('14350','BEAULIEU','CALVADOS'),
('14350','LE BENY BOCAGE','CALVADOS'),
('14350','BURES LES MONTS','CALVADOS'),
('14350','CAMPEAUX','CALVADOS'),
('14350','CARVILLE','CALVADOS'),
('14350','DAMPIERRE','CALVADOS'),
('14350','LE DESERT','CALVADOS'),
('14350','ETOUVY','CALVADOS'),
('14350','LA FERRIERE AU DOYEN','CALVADOS'),
('14350','LA FERRIERE HARANG','CALVADOS'),
('14350','LA GRAVERIE','CALVADOS'),
('14350','MALLOUE','CALVADOS'),
('14350','MONT BERTRAND','CALVADOS'),
('14350','MONTCHAMP','CALVADOS'),
('14350','MONTCHAUVET','CALVADOS'),
('14350','LE RECULEY','CALVADOS'),
('14350','ST CHARLES DE PERCY','CALVADOS'),
('14350','ST DENIS MAISONCELLES','CALVADOS'),
('14350','ST JEAN DES ESSARTIERS','CALVADOS'),
('14350','STE MARIE LAUMONT','CALVADOS'),
('14350','ST MARTIN DES BESACES','CALVADOS'),
('14350','ST MARTIN DON','CALVADOS'),
('14350','ST OUEN DES BESACES','CALVADOS'),
('14350','ST PIERRE TARENTAINE','CALVADOS'),
('14350','LE TOURNEUR','CALVADOS'),
('14360','TROUVILLE SUR MER','CALVADOS'),
('14370','AIRAN','CALVADOS'),
('14370','ARGENCES','CALVADOS'),
('14370','BELLENGREVILLE','CALVADOS'),
('14370','BILLY','CALVADOS'),
('14370','BISSIERES','CALVADOS'),
('14370','CANTELOUP','CALVADOS'),
('14370','CHICHEBOVILLE','CALVADOS'),
('14370','CLEVILLE','CALVADOS'),
('14370','CROISSANVILLE','CALVADOS'),
('14370','MERY CORBON','CALVADOS'),
('14370','MOULT','CALVADOS'),
('14370','VIMONT','CALVADOS'),
('14380','ANNEBECQ','CALVADOS'),
('14380','BEAUMESNIL','CALVADOS'),
('14380','CHAMP DU BOULT','CALVADOS'),
('14380','COURSON','CALVADOS'),
('14380','FONTENERMONT','CALVADOS'),
('14380','LE GAST','CALVADOS'),
('14380','LANDELLES ET COUPIGNY','CALVADOS'),
('14380','LE MESNIL BENOIST','CALVADOS'),
('14380','LE MESNIL CAUSSOIS','CALVADOS'),
('14380','MESNIL CLINCHAMPS','CALVADOS'),
('14380','LE MESNIL ROBERT','CALVADOS'),
('14380','PLEINES OEUVRES','CALVADOS'),
('14380','PONT BELLANGER','CALVADOS'),
('14380','PONT FARCY','CALVADOS'),
('14380','ST AUBIN DES BOIS','CALVADOS'),
('14380','ST MANVIEU BOCAGE','CALVADOS'),
('14380','STE MARIE OUTRE L EAU','CALVADOS'),
('14380','ST SEVER CALVADOS','CALVADOS'),
('14380','SEPT FRERES','CALVADOS'),
('14390','CABOURG','CALVADOS'),
('14390','PETIVILLE','CALVADOS'),
('14390','VARAVILLE','CALVADOS'),
('14400','AGY','CALVADOS'),
('14400','ARGANCHY','CALVADOS'),
('14400','BARBEVILLE','CALVADOS'),
('14400','BAYEUX','CALVADOS'),
('14400','BLAY','CALVADOS'),
('14400','CONDE SUR SEULLES','CALVADOS'),
('14400','COTTUN','CALVADOS'),
('14400','CROUAY','CALVADOS'),
('14400','CUSSY','CALVADOS'),
('14400','ESQUAY SUR SEULLES','CALVADOS'),
('14400','ETREHAM','CALVADOS'),
('14400','GUERON','CALVADOS'),
('14400','LONGUES SUR MER','CALVADOS'),
('14400','MAGNY EN BESSIN','CALVADOS'),
('14400','MAISONS','CALVADOS'),
('14400','LE MANOIR','CALVADOS'),
('14400','MONCEAUX EN BESSIN','CALVADOS'),
('14400','MOSLES','CALVADOS'),
('14400','NONANT','CALVADOS'),
('14400','RANCHY','CALVADOS'),
('14400','RYES','CALVADOS'),
('14400','ST LOUP HORS','CALVADOS'),
('14400','ST MARTIN DES ENTREES','CALVADOS'),
('14400','ST VIGOR LE GRAND','CALVADOS'),
('14400','SOMMERVIEU','CALVADOS'),
('14400','SUBLES','CALVADOS'),
('14400','SULLY','CALVADOS'),
('14400','TOUR EN BESSIN','CALVADOS'),
('14400','VAUCELLES','CALVADOS'),
('14400','VAUX SUR AURE','CALVADOS'),
('14400','VAUX SUR SEULLES','CALVADOS'),
('14400','VIENNE EN BESSIN','CALVADOS'),
('14410','BERNIERES LE PATRY','CALVADOS'),
('14410','BURCY','CALVADOS'),
('14410','CHENEDOLLE','CALVADOS'),
('14410','ESTRY','CALVADOS'),
('14410','PIERRES','CALVADOS'),
('14410','PRESLES','CALVADOS'),
('14410','LA ROCQUE','CALVADOS'),
('14410','RULLY','CALVADOS'),
('14410','LE THEIL BOCAGE','CALVADOS'),
('14410','VASSY','CALVADOS'),
('14410','VIESSOIX','CALVADOS'),
('14420','BONS TASSILLY','CALVADOS'),
('14420','POTIGNY','CALVADOS'),
('14420','SOUMONT ST QUENTIN','CALVADOS'),
('14420','USSY','CALVADOS'),
('14420','VILLERS CANIVET','CALVADOS'),
('14430','ANGERVILLE','CALVADOS'),
('14430','ANNEBAULT','CALVADOS'),
('14430','BEUVRON EN AUGE','CALVADOS'),
('14430','BOURGEAUVILLE','CALVADOS'),
('14430','BRANVILLE','CALVADOS'),
('14430','BROCOTTES','CALVADOS'),
('14430','CRESSEVEUILLE','CALVADOS'),
('14430','CRICQUEVILLE EN AUGE','CALVADOS'),
('14430','DANESTAL','CALVADOS'),
('14430','DOUVILLE EN AUGE','CALVADOS'),
('14430','DOZULE','CALVADOS'),
('14430','GERROTS','CALVADOS'),
('14430','GOUSTRANVILLE','CALVADOS'),
('14430','LE HAM','CALVADOS'),
('14430','HEULAND','CALVADOS'),
('14430','HOTOT EN AUGE','CALVADOS'),
('14430','PUTOT EN AUGE','CALVADOS'),
('14430','ST JOUIN','CALVADOS'),
('14430','ST LEGER DUBOSQ','CALVADOS'),
('14430','VICTOT PONTFOL','CALVADOS'),
('14440','BENY SUR MER','CALVADOS'),
('14440','CRESSERONS','CALVADOS'),
('14440','DOUVRES LA DELIVRANDE','CALVADOS'),
('14440','PLUMETOT','CALVADOS'),
('14440','TAILLEVILLE','CALVADOS'),
('14450','CRICQUEVILLE EN BESSIN','CALVADOS'),
('14450','GRANDCAMP MAISY','CALVADOS'),
('14450','MAISY','CALVADOS'),
('14450','ST PIERRE DU MONT','CALVADOS'),
('14460','COLOMBELLES','CALVADOS'),
('14470','COURSEULLES SUR MER','CALVADOS'),
('14470','GRAYE SUR MER','CALVADOS'),
('14470','REVIERS','CALVADOS'),
('14480','AMBLIE','CALVADOS'),
('14480','BANVILLE','CALVADOS'),
('14480','BAZENVILLE','CALVADOS'),
('14480','COLOMBIERS SUR SEULLES','CALVADOS'),
('14480','COULOMBS','CALVADOS'),
('14480','CREPON','CALVADOS'),
('14480','CREULLY','CALVADOS'),
('14480','CULLY','CALVADOS'),
('14480','LE FRESNE CAMILLY','CALVADOS'),
('14480','LANTHEUIL','CALVADOS'),
('14480','RUCQUEVILLE','CALVADOS'),
('14480','STE CROIX SUR MER','CALVADOS'),
('14480','ST GABRIEL BRECY','CALVADOS'),
('14480','TIERCEVILLE','CALVADOS'),
('14480','VILLIERS LE SEC','CALVADOS'),
('14490','BALLEROY','CALVADOS'),
('14490','LA BAZOQUE','CALVADOS'),
('14490','CAHAGNOLLES','CALVADOS'),
('14490','CAMPIGNY','CALVADOS'),
('14490','CASTILLON','CALVADOS'),
('14490','LITTEAU','CALVADOS'),
('14490','MONTFIQUET','CALVADOS'),
('14490','NORON LA POTERIE','CALVADOS'),
('14490','PLANQUERY','CALVADOS'),
('14490','ST PAUL DU VERNAY','CALVADOS'),
('14490','LE TRONQUAY','CALVADOS'),
('14490','TRUNGY','CALVADOS'),
('14490','VAUBADON','CALVADOS'),
('14500','CAMPAGNOLLES','CALVADOS');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('14500','COULONCES','CALVADOS'),
('14500','LA LANDE VAUMONT','CALVADOS'),
('14500','MAISONCELLES LA JOURDAN','CALVADOS'),
('14500','ROULLOURS','CALVADOS'),
('14500','ST GERMAIN TALLEVENDE','CALVADOS'),
('14500','ST MARTIN DE TALLEVENDE','CALVADOS'),
('14500','TRUTTEMER LE GRAND','CALVADOS'),
('14500','TRUTTEMER LE PETIT','CALVADOS'),
('14500','VAUDRY','CALVADOS'),
('14500','VIRE','CALVADOS'),
('14510','GONNEVILLE SUR MER','CALVADOS'),
('14510','HOULGATE','CALVADOS'),
('14520','COMMES','CALVADOS'),
('14520','HUPPAIN','CALVADOS'),
('14520','PORT EN BESSIN HUPPAIN','CALVADOS'),
('14520','STE HONORINE DES PERTES','CALVADOS'),
('14530','LUC SUR MER','CALVADOS'),
('14540','BOURGUEBUS','CALVADOS'),
('14540','CONTEVILLE','CALVADOS'),
('14540','GARCELLES SECQUEVILLE','CALVADOS'),
('14540','GRENTHEVILLE','CALVADOS'),
('14540','HUBERT FOLIE','CALVADOS'),
('14540','POUSSY LA CAMPAGNE','CALVADOS'),
('14540','ROCQUANCOURT','CALVADOS'),
('14540','ST AIGNAN DE CRAMESNIL','CALVADOS'),
('14540','SOLIERS','CALVADOS'),
('14540','TILLY LA CAMPAGNE','CALVADOS'),
('14550','BLAINVILLE SUR ORNE','CALVADOS'),
('14570','CLECY','CALVADOS'),
('14570','ST LAMBERT','CALVADOS'),
('14570','ST REMY','CALVADOS'),
('14570','LE VEY','CALVADOS'),
('14570','LA VILLETTE','CALVADOS'),
('14590','FUMICHON','CALVADOS'),
('14590','MOYAUX','CALVADOS'),
('14590','OUILLY DU HOULEY','CALVADOS'),
('14590','LE PIN','CALVADOS'),
('14600','ABLON','CALVADOS'),
('14600','BARNEVILLE LA BERTRAN','CALVADOS'),
('14600','EQUEMAUVILLE','CALVADOS'),
('14600','FOURNEVILLE','CALVADOS'),
('14600','GENNEVILLE','CALVADOS'),
('14600','GONNEVILLE SUR HONFLEUR','CALVADOS'),
('14600','HONFLEUR','CALVADOS'),
('14600','PENNEDEPIE','CALVADOS'),
('14600','LA RIVIERE ST SAUVEUR','CALVADOS'),
('14600','VASOUY','CALVADOS'),
('14610','ANGUERNY','CALVADOS'),
('14610','ANISY','CALVADOS'),
('14610','BASLY','CALVADOS'),
('14610','CAIRON','CALVADOS'),
('14610','CAMBES EN PLAINE','CALVADOS'),
('14610','COLOMBY SUR THAON','CALVADOS'),
('14610','EPRON','CALVADOS'),
('14610','FONTAINE HENRY','CALVADOS'),
('14610','THAON','CALVADOS'),
('14610','VILLONS LES BUISSONS','CALVADOS'),
('14620','BAROU EN AUGE','CALVADOS'),
('14620','BEAUMAIS','CALVADOS'),
('14620','CROCY','CALVADOS'),
('14620','DAMBLAINVILLE','CALVADOS'),
('14620','FOURCHES','CALVADOS'),
('14620','LE MARAIS LA CHAPELLE','CALVADOS'),
('14620','MORTEAUX COULIBOEUF','CALVADOS'),
('14620','LES MOUTIERS EN AUGE','CALVADOS'),
('14620','NORREY EN AUGE','CALVADOS'),
('14630','CAGNY','CALVADOS'),
('14630','EMIEVILLE','CALVADOS'),
('14630','FRENOUVILLE','CALVADOS'),
('14640','AUBERVILLE','CALVADOS'),
('14640','ST VAAST EN AUGE','CALVADOS'),
('14640','VILLERS SUR MER','CALVADOS'),
('14650','CARPIQUET','CALVADOS'),
('14670','BASSENEVILLE','CALVADOS'),
('14670','BURES SUR DIVES','CALVADOS'),
('14670','JANVILLE','CALVADOS'),
('14670','ST OUEN DU MESNIL OGER','CALVADOS'),
('14670','ST PAIR','CALVADOS'),
('14670','ST PIERRE DU JONQUET','CALVADOS'),
('14670','ST SAMSON','CALVADOS'),
('14670','TROARN','CALVADOS'),
('14680','BRETTEVILLE SUR LAIZE','CALVADOS'),
('14680','CINTHEAUX','CALVADOS'),
('14680','FRESNEY LE PUCEUX','CALVADOS'),
('14680','GOUVIX','CALVADOS'),
('14690','LE BO','CALVADOS'),
('14690','COSSESSEVILLE','CALVADOS'),
('14690','LE DETROIT','CALVADOS'),
('14690','LES ISLES BARDEL','CALVADOS'),
('14690','LE MESNIL VILLEMENT','CALVADOS'),
('14690','PIERREFITTE EN CINGLAIS','CALVADOS'),
('14690','PIERREPONT','CALVADOS'),
('14690','LA POMMERAYE','CALVADOS'),
('14690','RAPILLY','CALVADOS'),
('14690','TREPREL','CALVADOS'),
('14690','PONT D OUILLY','CALVADOS'),
('14700','AUBIGNY','CALVADOS'),
('14700','BONNOEIL','CALVADOS'),
('14700','CORDEY','CALVADOS'),
('14700','ERAINES','CALVADOS'),
('14700','FALAISE','CALVADOS'),
('14700','FOURNEAUX LE VAL','CALVADOS'),
('14700','FRESNE LA MERE','CALVADOS'),
('14700','LA HOGUETTE','CALVADOS'),
('14700','LEFFARD','CALVADOS'),
('14700','LES LOGES SAULCES','CALVADOS'),
('14700','MARTIGNY SUR L ANTE','CALVADOS'),
('14700','NORON L ABBAYE','CALVADOS'),
('14700','PERTHEVILLE NERS','CALVADOS'),
('14700','ST GERMAIN LANGOT','CALVADOS'),
('14700','ST MARTIN DE MIEUX','CALVADOS'),
('14700','ST PIERRE CANIVET','CALVADOS'),
('14700','ST PIERRE DU BU','CALVADOS'),
('14700','SOULANGY','CALVADOS'),
('14700','VERSAINVILLE','CALVADOS'),
('14700','VIGNATS','CALVADOS'),
('14700','VILLY LEZ FALAISE','CALVADOS'),
('14710','AIGNERVILLE','CALVADOS'),
('14710','ASNIERES EN BESSIN','CALVADOS'),
('14710','BERNESQ','CALVADOS'),
('14710','BRICQUEVILLE','CALVADOS'),
('14710','COLLEVILLE SUR MER','CALVADOS'),
('14710','COLOMBIERES','CALVADOS'),
('14710','ECRAMMEVILLE','CALVADOS'),
('14710','ENGLESQUEVILLE LA PERCEE','CALVADOS'),
('14710','LA FOLIE','CALVADOS'),
('14710','FORMIGNY','CALVADOS'),
('14710','LOUVIERES','CALVADOS'),
('14710','MANDEVILLE EN BESSIN','CALVADOS'),
('14710','RUBERCY','CALVADOS'),
('14710','RUSSY','CALVADOS'),
('14710','ST LAURENT SUR MER','CALVADOS'),
('14710','ST MARTIN DE BLAGNY','CALVADOS'),
('14710','SURRAIN','CALVADOS'),
('14710','TREVIERES','CALVADOS'),
('14710','VIERVILLE SUR MER','CALVADOS'),
('14730','GIBERVILLE','CALVADOS'),
('14740','BRETTEVILLE L ORGUEILLEUS','CALVADOS'),
('14740','CARCAGNY','CALVADOS'),
('14740','LASSON','CALVADOS'),
('14740','MARTRAGNY','CALVADOS'),
('14740','LE MESNIL PATRY','CALVADOS'),
('14740','NORREY EN BESSIN','CALVADOS'),
('14740','PUTOT EN BESSIN','CALVADOS'),
('14740','ROSEL','CALVADOS'),
('14740','STE CROIX GRAND TONNE','CALVADOS'),
('14740','ST MANVIEU NORREY','CALVADOS'),
('14740','SECQUEVILLE EN BESSIN','CALVADOS'),
('14750','ST AUBIN SUR MER','CALVADOS'),
('14760','BRETTEVILLE SUR ODON','CALVADOS'),
('14770','CAUVILLE','CALVADOS'),
('14770','LA CHAPELLE ENGERBOLD','CALVADOS'),
('14770','DANVOU LA FERRIERE','CALVADOS'),
('14770','LA FERRIERE DUVAL','CALVADOS'),
('14770','LASSY','CALVADOS'),
('14770','LENAULT','CALVADOS'),
('14770','PERIGNY','CALVADOS'),
('14770','LE PLESSIS GRIMOULT','CALVADOS'),
('14770','ST JEAN LE BLANC','CALVADOS'),
('14770','ST PIERRE LA VIEILLE','CALVADOS'),
('14770','ST VIGOR DES MEZERETS','CALVADOS'),
('14780','LION SUR MER','CALVADOS'),
('14790','FONTAINE ETOUPEFOUR','CALVADOS'),
('14790','MOUEN','CALVADOS'),
('14790','VERSON','CALVADOS'),
('14800','BONNEVILLE SUR TOUQUES','CALVADOS'),
('14800','CANAPVILLE','CALVADOS'),
('14800','DEAUVILLE','CALVADOS'),
('14800','ENGLESQUEVILLE EN AUGE','CALVADOS'),
('14800','ST ARNOULT','CALVADOS'),
('14800','TOUQUES','CALVADOS'),
('14800','TOURGEVILLE','CALVADOS'),
('14800','VAUVILLE','CALVADOS'),
('14810','GONNEVILLE EN AUGE','CALVADOS'),
('14810','MERVILLE FRANCEVILLE PLAG','CALVADOS'),
('14830','LANGRUNE SUR MER','CALVADOS'),
('14840','CUVERVILLE','CALVADOS'),
('14840','DEMOUVILLE','CALVADOS'),
('14850','ESCOVILLE','CALVADOS'),
('14850','HEROUVILLETTE','CALVADOS'),
('14860','AMFREVILLE','CALVADOS'),
('14860','BAVENT','CALVADOS'),
('14860','BREVILLE','CALVADOS'),
('14860','RANVILLE','CALVADOS'),
('14860','ROBEHOMME','CALVADOS'),
('14880','COLLEVILLE MONTGOMERY','CALVADOS'),
('14880','HERMANVILLE SUR MER','CALVADOS'),
('14910','BENERVILLE SUR MER','CALVADOS'),
('14910','BLONVILLE SUR MER','CALVADOS'),
('14920','MATHIEU','CALVADOS'),
('14930','ETERVILLE','CALVADOS'),
('14930','MALTOT','CALVADOS'),
('14930','VIEUX','CALVADOS'),
('14940','BANNEVILLE LA CAMPAGNE','CALVADOS'),
('14940','SANNERVILLE','CALVADOS'),
('14940','TOUFFREVILLE','CALVADOS'),
('14950','BEAUMONT EN AUGE','CALVADOS'),
('14950','GLANVILLE','CALVADOS'),
('14950','ST ETIENNE LA THILLAYE','CALVADOS'),
('14950','ST PIERRE AZIF','CALVADOS');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('14960','ASNELLES','CALVADOS'),
('14960','MEUVAINES','CALVADOS'),
('14960','ST COME DE FRESNE','CALVADOS'),
('14970','BENOUVILLE','CALVADOS'),
('14970','ST AUBIN D ARQUENAY','CALVADOS'),
('14980','ROTS','CALVADOS'),
('14990','BERNIERES SUR MER','CALVADOS'),
('15000','AURILLAC','CANTAL'),
('15000','NAUCELLES','CANTAL'),
('15000','YTRAC','CANTAL'),
('15100','ALLEUZE','CANTAL'),
('15100','ANDELAT','CANTAL'),
('15100','ANGLARDS DE ST FLOUR','CANTAL'),
('15100','COREN','CANTAL'),
('15100','MENTIERES','CANTAL'),
('15100','MONTCHAMP','CANTAL'),
('15100','ROFFIAC','CANTAL'),
('15100','ST FLOUR','CANTAL'),
('15100','ST GEORGES','CANTAL'),
('15100','SERIERS','CANTAL'),
('15100','SOULAGES','CANTAL'),
('15100','TANAVELLE','CANTAL'),
('15100','LES TERNES','CANTAL'),
('15100','TIVIERS','CANTAL'),
('15100','VABRES','CANTAL'),
('15100','VEDRINES ST LOUP','CANTAL'),
('15100','VILLEDIEU','CANTAL'),
('15110','ANTERRIEUX','CANTAL'),
('15110','CHAUDES AIGUES','CANTAL'),
('15110','DEUX VERGES','CANTAL'),
('15110','ESPINASSE','CANTAL'),
('15110','FRIDEFONT','CANTAL'),
('15110','JABRUN','CANTAL'),
('15110','LIEUTADES','CANTAL'),
('15110','MAURINES','CANTAL'),
('15110','ST MARTIAL','CANTAL'),
('15110','ST REMY DE CHAUDES AIGUES','CANTAL'),
('15110','ST URCIZE','CANTAL'),
('15110','LA TRINITAT','CANTAL'),
('15120','JUNHAC','CANTAL'),
('15120','LABESSERETTE','CANTAL'),
('15120','LACAPELLE DEL FRAYSSE','CANTAL'),
('15120','LADINHAC','CANTAL'),
('15120','LAPEYRUGUE','CANTAL'),
('15120','LEUCAMP','CANTAL'),
('15120','MONTSALVY','CANTAL'),
('15120','SANSAC VEINAZES','CANTAL'),
('15120','VIEILLEVIE','CANTAL'),
('15130','ARPAJON SUR CERE','CANTAL'),
('15130','CARLAT','CANTAL'),
('15130','CROS DE RONESQUE','CANTAL'),
('15130','GIOU DE MAMOU','CANTAL'),
('15130','LABROUSSE','CANTAL'),
('15130','LAFEUILLADE EN VEZIE','CANTAL'),
('15130','PRUNET','CANTAL'),
('15130','ST ETIENNE DE CARLAT','CANTAL'),
('15130','ST SIMON','CANTAL'),
('15130','SANSAC DE MARMIESSE','CANTAL'),
('15130','TEISSIERE LES BOULIES','CANTAL'),
('15130','VEZAC','CANTAL'),
('15130','VEZELS ROUSSY','CANTAL'),
('15130','YOLET','CANTAL'),
('15140','DRUGEAC','CANTAL'),
('15140','LE FAU','CANTAL'),
('15140','FONTANGES','CANTAL'),
('15140','ST BONNET DE SALERS','CANTAL'),
('15140','ST CHAMANT','CANTAL'),
('15140','ST CIRGUES DE MALBERT','CANTAL'),
('15140','STE EULALIE','CANTAL'),
('15140','ST MARTIN CANTALES','CANTAL'),
('15140','ST MARTIN VALMEROUX','CANTAL'),
('15140','ST PAUL DE SALERS','CANTAL'),
('15140','ST PROJET DE SALERS','CANTAL'),
('15140','ST REMY DE SALERS','CANTAL'),
('15140','SALERS','CANTAL'),
('15140','BESSE','CANTAL'),
('15150','ARNAC','CANTAL'),
('15150','CROS DE MONTVERT','CANTAL'),
('15150','GLENAT','CANTAL'),
('15150','LACAPELLE VIESCAMP','CANTAL'),
('15150','LAROQUEBROU','CANTAL'),
('15150','MONTVERT','CANTAL'),
('15150','NIEUDAN','CANTAL'),
('15150','ROUFFIAC','CANTAL'),
('15150','ST ETIENNE CANTALES','CANTAL'),
('15150','ST GERONS','CANTAL'),
('15150','ST SANTIN CANTALES','CANTAL'),
('15150','ST VICTOR','CANTAL'),
('15150','SIRAN','CANTAL'),
('15160','ALLANCHE','CANTAL'),
('15160','LANDEYRAT','CANTAL'),
('15160','PRADIERS','CANTAL'),
('15160','VERNOLS','CANTAL'),
('15160','VEZE','CANTAL'),
('15170','CELLES','CANTAL'),
('15170','CHALINARGUES','CANTAL'),
('15170','COLTINES','CANTAL'),
('15170','FERRIERES ST MARY','CANTAL'),
('15170','JOURSAC','CANTAL'),
('15170','NEUSSARGUES MOISSAC','CANTAL'),
('15170','PEYRUSSE','CANTAL'),
('15170','REZENTIERES','CANTAL'),
('15170','STE ANASTASIE','CANTAL'),
('15170','TALIZAT','CANTAL'),
('15170','VALJOUZE','CANTAL'),
('15190','CHANTERELLE','CANTAL'),
('15190','CONDAT','CANTAL'),
('15190','LUGARDE','CANTAL'),
('15190','MARCENAT','CANTAL'),
('15190','MONTBOUDIF','CANTAL'),
('15190','MONTGRELEIX','CANTAL'),
('15190','ST AMANDIN','CANTAL'),
('15190','ST BONNET DE CONDAT','CANTAL'),
('15190','ST SATURNIN','CANTAL'),
('15200','ARCHES','CANTAL'),
('15200','CHALVIGNAC','CANTAL'),
('15200','JALEYRAC','CANTAL'),
('15200','MAURIAC','CANTAL'),
('15200','MEALLET','CANTAL'),
('15200','SALINS','CANTAL'),
('15200','SOURNIAC','CANTAL'),
('15200','LE VIGEAN','CANTAL'),
('15210','MADIC','CANTAL'),
('15210','YDES','CANTAL'),
('15220','MARCOLES','CANTAL'),
('15220','ROANNES ST MARY','CANTAL'),
('15220','ST ANTOINE','CANTAL'),
('15220','ST MAMET LA SALVETAT','CANTAL'),
('15220','VITRAC','CANTAL'),
('15230','BREZONS','CANTAL'),
('15230','CEZENS','CANTAL'),
('15230','GOURDIEGES','CANTAL'),
('15230','LACAPELLE BARRES','CANTAL'),
('15230','MALBO','CANTAL'),
('15230','NARNHAC','CANTAL'),
('15230','PAULHENC','CANTAL'),
('15230','PIERREFORT','CANTAL'),
('15230','STE MARIE','CANTAL'),
('15230','ST MARTIN SOUS VIGOUROUX','CANTAL'),
('15240','ANTIGNAC','CANTAL'),
('15240','AUZERS','CANTAL'),
('15240','BASSIGNAC','CANTAL'),
('15240','LA MONSELIE','CANTAL'),
('15240','LE MONTEIL','CANTAL'),
('15240','SAIGNES','CANTAL'),
('15240','SAUVAT','CANTAL'),
('15240','VEBRET','CANTAL'),
('15250','AYRENS','CANTAL'),
('15250','CRANDELLES','CANTAL'),
('15250','JUSSAC','CANTAL'),
('15250','LAROQUEVIEILLE','CANTAL'),
('15250','MARMANHAC','CANTAL'),
('15250','REILHAC','CANTAL'),
('15250','ST PAUL DES LANDES','CANTAL'),
('15250','TEISSIERES DE CORNET','CANTAL'),
('15260','LAVASTRIE','CANTAL'),
('15260','NEUVEGLISE','CANTAL'),
('15260','ORADOUR','CANTAL'),
('15270','BEAULIEU','CANTAL'),
('15270','CHAMPS SUR TARENTAINE MAR','CANTAL'),
('15270','LANOBRE','CANTAL'),
('15270','MARCHAL','CANTAL'),
('15270','TREMOUILLE','CANTAL'),
('15270','GRANGES','CANTAL'),
('15290','CAYROLS','CANTAL'),
('15290','OMPS','CANTAL'),
('15290','PARLAN','CANTAL'),
('15290','PERS','CANTAL'),
('15290','ROUMEGOUX','CANTAL'),
('15290','ST SAURY','CANTAL'),
('15290','LA SEGALASSIERE','CANTAL'),
('15290','LE ROUGET','CANTAL'),
('15300','ALBEPIERRE BREDONS','CANTAL'),
('15300','LA CHAPELLE D ALAGNON','CANTAL'),
('15300','CHASTEL SUR MURAT','CANTAL'),
('15300','CHAVAGNAC','CANTAL'),
('15300','DIENNE','CANTAL'),
('15300','LAVEISSENET','CANTAL'),
('15300','LAVEISSIERE','CANTAL'),
('15300','LAVIGERIE','CANTAL'),
('15300','MURAT','CANTAL'),
('15300','SEGUR LES VILLAS','CANTAL'),
('15300','USSEL','CANTAL'),
('15300','VALUEJOLS','CANTAL'),
('15300','VIRARGUES','CANTAL'),
('15300','LE LIORAN','CANTAL'),
('15300','SUPER LIORAN','CANTAL'),
('15310','FREIX ANGLARDS','CANTAL'),
('15310','GIRGOLS','CANTAL'),
('15310','ST CERNIN','CANTAL'),
('15310','ST ILLIDE','CANTAL'),
('15310','TOURNEMIRE','CANTAL'),
('15320','CHALIERS','CANTAL'),
('15320','CLAVIERES','CANTAL'),
('15320','LORCIERES','CANTAL'),
('15320','RUYNES EN MARGERIDE','CANTAL'),
('15340','CALVINET','CANTAL'),
('15340','CASSANIOUZE','CANTAL'),
('15340','MOURJOU','CANTAL'),
('15340','SENEZERGUES','CANTAL');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('15350','CHAMPAGNAC','CANTAL'),
('15350','ST PIERRE','CANTAL'),
('15350','VEYRIERES','CANTAL'),
('15380','ANGLARDS DE SALERS','CANTAL'),
('15380','LE FALGOUX','CANTAL'),
('15380','MOUSSAGES','CANTAL'),
('15380','ST VINCENT DE SALERS','CANTAL'),
('15380','LE VAULMIER','CANTAL'),
('15390','BOURNONCLES','CANTAL'),
('15390','FAVEROLLES','CANTAL'),
('15390','LOUBARESSE','CANTAL'),
('15390','ST JUST','CANTAL'),
('15390','ST MARC','CANTAL'),
('15400','APCHON','CANTAL'),
('15400','CHEYLADE','CANTAL'),
('15400','LE CLAUX','CANTAL'),
('15400','COLLANDRES','CANTAL'),
('15400','MARCHASTEL','CANTAL'),
('15400','MENET','CANTAL'),
('15400','RIOM ES MONTAGNE','CANTAL'),
('15400','ST ETIENNE DE CHOMEIL','CANTAL'),
('15400','ST HIPPOLYTE','CANTAL'),
('15400','TRIZAC','CANTAL'),
('15400','VALETTE','CANTAL'),
('15430','CUSSAC','CANTAL'),
('15430','PAULHAC','CANTAL'),
('15450','THIEZAC','CANTAL'),
('15500','AURIAC L EGLISE','CANTAL'),
('15500','BONNAC','CANTAL'),
('15500','CELOUX','CANTAL'),
('15500','CHAPELLE LAURENT','CANTAL'),
('15500','CHARMENSAC','CANTAL'),
('15500','CHAZELLES','CANTAL'),
('15500','LASTIC','CANTAL'),
('15500','LAURIE','CANTAL'),
('15500','MASSIAC','CANTAL'),
('15500','MOLEDES','CANTAL'),
('15500','MOLOMPIZE','CANTAL'),
('15500','RAGEADE','CANTAL'),
('15500','ST MARY LE PLAIN','CANTAL'),
('15500','ST PONCY','CANTAL'),
('15500','VIEILLESPESSE','CANTAL'),
('15580','ST JACQUES DES BLATS','CANTAL'),
('15590','LASCELLE','CANTAL'),
('15590','MANDAILLES ST JULIEN','CANTAL'),
('15590','ST CIRGUES DE JORDANNE','CANTAL'),
('15590','ST JULIEN DE JORDANNE','CANTAL'),
('15590','VELZIC','CANTAL'),
('15600','BOISSET','CANTAL'),
('15600','FOURNOULES','CANTAL'),
('15600','LEYNHAC','CANTAL'),
('15600','MAURS','CANTAL'),
('15600','MONTMURAT','CANTAL'),
('15600','QUEZAC','CANTAL'),
('15600','ROUZIERS','CANTAL'),
('15600','ST CONSTANT','CANTAL'),
('15600','ST ETIENNE DE MAURS','CANTAL'),
('15600','ST JULIEN DE TOURSAC','CANTAL'),
('15600','ST SANTIN DE MAURS','CANTAL'),
('15600','LE TRIOULOU','CANTAL'),
('15700','ALLY','CANTAL'),
('15700','BARRIAC LES BOSQUETS','CANTAL'),
('15700','BRAGEAC','CANTAL'),
('15700','CHAUSSENAC','CANTAL'),
('15700','DRIGNAC','CANTAL'),
('15700','ESCORAILLES','CANTAL'),
('15700','LOUPIAC','CANTAL'),
('15700','PLEAUX','CANTAL'),
('15700','ST CHRISTOPHE LES GORGES','CANTAL'),
('15700','TOURNIAC','CANTAL'),
('15800','BADAILHAC','CANTAL'),
('15800','JOU SOUS MONJOU','CANTAL'),
('15800','PAILHEROLS','CANTAL'),
('15800','POLMINHAC','CANTAL'),
('15800','RAULHAC','CANTAL'),
('15800','ST CLEMENT','CANTAL'),
('15800','VIC SUR CERE','CANTAL'),
('16000','ANGOULEME','CHARENTE'),
('16100','BOUTIERS ST TROJAN','CHARENTE'),
('16100','CHATEAU BERNARD','CHARENTE'),
('16100','COGNAC','CHARENTE'),
('16100','JAVREZAC','CHARENTE'),
('16100','LOUZAC ST ANDRE','CHARENTE'),
('16100','MERPINS','CHARENTE'),
('16100','ST ANDRE','CHARENTE'),
('16100','ST BRICE','CHARENTE'),
('16100','ST LAURENT DE COGNAC','CHARENTE'),
('16110','AGRIS','CHARENTE'),
('16110','BUNZAC','CHARENTE'),
('16110','MARILLAC LE FRANC','CHARENTE'),
('16110','PRANZAC','CHARENTE'),
('16110','RANCOGNE','CHARENTE'),
('16110','RIVIERES','CHARENTE'),
('16110','LA ROCHEFOUCAULD','CHARENTE'),
('16110','LA ROCHETTE','CHARENTE'),
('16110','ST PROJET ST CONSTANT','CHARENTE'),
('16110','TAPONNAT FLEURIGNAC','CHARENTE'),
('16110','YVRAC ET MALLEYRAND','CHARENTE'),
('16120','ANGEAC CHARENTE','CHARENTE'),
('16120','BASSAC','CHARENTE'),
('16120','BIRAC','CHARENTE'),
('16120','BONNEUIL','CHARENTE'),
('16120','BOUTEVILLE','CHARENTE'),
('16120','CHATEAUNEUF SUR CHARENTE','CHARENTE'),
('16120','ERAVILLE','CHARENTE'),
('16120','GRAVES','CHARENTE'),
('16120','LADIVILLE','CHARENTE'),
('16120','MALLAVILLE','CHARENTE'),
('16120','MOSNAC','CHARENTE'),
('16120','NONAVILLE','CHARENTE'),
('16120','ST AMAND DE GRAVES','CHARENTE'),
('16120','ST SIMEUX','CHARENTE'),
('16120','ST SIMON','CHARENTE'),
('16120','TOUZAC','CHARENTE'),
('16120','VIBRAC','CHARENTE'),
('16120','VIVILLE','CHARENTE'),
('16130','ANGEAC CHAMPAGNE','CHARENTE'),
('16130','ARS','CHARENTE'),
('16130','GENSAC LA PALLUE','CHARENTE'),
('16130','GENTE','CHARENTE'),
('16130','GIMEUX','CHARENTE'),
('16130','JUILLAC LE COQ','CHARENTE'),
('16130','LIGNIERES SONNEVILLE','CHARENTE'),
('16130','ST FORT SUR LE NE','CHARENTE'),
('16130','ST PREUIL','CHARENTE'),
('16130','SALLES D ANGLES','CHARENTE'),
('16130','SEGONZAC','CHARENTE'),
('16130','VERRIERES','CHARENTE'),
('16140','AIGRE','CHARENTE'),
('16140','AMBERAC','CHARENTE'),
('16140','BARBEZIERES','CHARENTE'),
('16140','BESSE','CHARENTE'),
('16140','LA CHAPELLE','CHARENTE'),
('16140','CHARME','CHARENTE'),
('16140','EBREON','CHARENTE'),
('16140','FOUQUEURE','CHARENTE'),
('16140','LES GOURS','CHARENTE'),
('16140','LIGNE','CHARENTE'),
('16140','LUPSAULT','CHARENTE'),
('16140','MARCILLAC LANVILLE','CHARENTE'),
('16140','MONS','CHARENTE'),
('16140','ORADOUR','CHARENTE'),
('16140','RANVILLE BREUILLAUD','CHARENTE'),
('16140','ST FRAIGNE','CHARENTE'),
('16140','TUSSON','CHARENTE'),
('16140','VERDILLE','CHARENTE'),
('16140','VILLEJESUS','CHARENTE'),
('16150','CHABANAIS','CHARENTE'),
('16150','CHABRAC','CHARENTE'),
('16150','CHASSENON','CHARENTE'),
('16150','CHIRAC','CHARENTE'),
('16150','ETAGNAC','CHARENTE'),
('16150','EXIDEUIL','CHARENTE'),
('16150','PRESSIGNAC','CHARENTE'),
('16150','ST QUENTIN SUR CHARENTE','CHARENTE'),
('16160','GOND PONTOUVRE','CHARENTE'),
('16170','ANVILLE','CHARENTE'),
('16170','AUGE','CHARENTE'),
('16170','BIGNAC','CHARENTE'),
('16170','BONNEVILLE','CHARENTE'),
('16170','ECHALLAT','CHARENTE'),
('16170','GENAC','CHARENTE'),
('16170','GOURVILLE','CHARENTE'),
('16170','MAREUIL','CHARENTE'),
('16170','MONTIGNE','CHARENTE'),
('16170','PLAIZAC','CHARENTE'),
('16170','ROUILLAC','CHARENTE'),
('16170','ST AMANT DE NOUERE','CHARENTE'),
('16170','ST CYBARDEAUX','CHARENTE'),
('16170','AUGE ST MEDARD','CHARENTE'),
('16170','SONNEVILLE','CHARENTE'),
('16170','VAUX ROUILLAC','CHARENTE'),
('16170','ST MEDARD','CHARENTE'),
('16190','AIGNES ET PUYPEROUX','CHARENTE'),
('16190','BORS','CHARENTE'),
('16190','COURGEAC','CHARENTE'),
('16190','DEVIAT','CHARENTE'),
('16190','JUIGNAC','CHARENTE'),
('16190','MONTMOREAU ST CYBARD','CHARENTE'),
('16190','NONAC','CHARENTE'),
('16190','POULLIGNAC','CHARENTE'),
('16190','ST AMANT','CHARENTE'),
('16190','ST EUTROPE','CHARENTE'),
('16190','ST LAURENT DE BELZAGOT','CHARENTE'),
('16190','ST MARTIAL','CHARENTE'),
('16190','SALLES LAVALETTE','CHARENTE'),
('16200','BOURG CHARENTE','CHARENTE'),
('16200','CHASSORS','CHARENTE'),
('16200','COURBILLAC','CHARENTE'),
('16200','FLEURAC','CHARENTE'),
('16200','FOUSSIGNAC','CHARENTE'),
('16200','GONDEVILLE','CHARENTE'),
('16200','HOULETTE','CHARENTE'),
('16200','JARNAC','CHARENTE'),
('16200','JULIENNE','CHARENTE'),
('16200','MAINXE','CHARENTE'),
('16200','MERIGNAC','CHARENTE'),
('16200','LES METAIRIES','CHARENTE'),
('16200','NERCILLAC','CHARENTE'),
('16200','REPARSAC','CHARENTE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('16200','STE SEVERE','CHARENTE'),
('16200','SIGOGNE','CHARENTE'),
('16200','TRIAC LAUTRAIT','CHARENTE'),
('16200','LANTIN','CHARENTE'),
('16210','BARDENAC','CHARENTE'),
('16210','BAZAC','CHARENTE'),
('16210','BELLON','CHARENTE'),
('16210','BRIE SOUS CHALAIS','CHARENTE'),
('16210','CHALAIS','CHARENTE'),
('16210','COURLAC','CHARENTE'),
('16210','CURAC','CHARENTE'),
('16210','LES ESSARDS','CHARENTE'),
('16210','MEDILLAC','CHARENTE'),
('16210','ORIVAL','CHARENTE'),
('16210','RIOUX MARTIN','CHARENTE'),
('16210','ROUFFIAC','CHARENTE'),
('16210','ST AVIT','CHARENTE'),
('16210','STE MARIE','CHARENTE'),
('16210','ST QUENTIN DE CHALAIS','CHARENTE'),
('16210','ST ROMAIN','CHARENTE'),
('16210','SERIGNAC','CHARENTE'),
('16210','YVIERS','CHARENTE'),
('16220','ECURAS','CHARENTE'),
('16220','EYMOUTHIERS','CHARENTE'),
('16220','MONTBRON','CHARENTE'),
('16220','ORGEDEUIL','CHARENTE'),
('16220','ROUZEDE','CHARENTE'),
('16220','ST SORNIN','CHARENTE'),
('16220','VILHONNEUR','CHARENTE'),
('16220','VOUTHON','CHARENTE'),
('16230','CELLETTES','CHARENTE'),
('16230','FONTCLAIREAU','CHARENTE'),
('16230','FONTENILLE','CHARENTE'),
('16230','JUILLE','CHARENTE'),
('16230','LONNES','CHARENTE'),
('16230','LUXE','CHARENTE'),
('16230','MAINE DU BOIXE','CHARENTE'),
('16230','MANSLE','CHARENTE'),
('16230','NANCLARS','CHARENTE'),
('16230','PUYREAUX','CHARENTE'),
('16230','ST AMANT DE BONNIEURE','CHARENTE'),
('16230','ST ANGEAU','CHARENTE'),
('16230','ST CIERS SUR BONNIEURE','CHARENTE'),
('16230','STE COLOMBE','CHARENTE'),
('16230','ST GROUX','CHARENTE'),
('16230','VILLOGNON','CHARENTE'),
('16240','BRETTES','CHARENTE'),
('16240','LA CHEVRERIE','CHARENTE'),
('16240','COURCOME','CHARENTE'),
('16240','EMBOURIE','CHARENTE'),
('16240','EMPURE','CHARENTE'),
('16240','LA FORET DE TESSE','CHARENTE'),
('16240','LONGRE','CHARENTE'),
('16240','LA MAGDELEINE','CHARENTE'),
('16240','MONTJEAN','CHARENTE'),
('16240','PAIZAY NAUDOUIN EMBOURIE','CHARENTE'),
('16240','RAIX','CHARENTE'),
('16240','SOUVIGNE','CHARENTE'),
('16240','THEIL RABIER','CHARENTE'),
('16240','VILLEFAGNAN','CHARENTE'),
('16240','VILLIERS LE ROUX','CHARENTE'),
('16250','AUBEVILLE','CHARENTE'),
('16250','BECHERESSE','CHARENTE'),
('16250','BESSAC','CHARENTE'),
('16250','BLANZAC PORCHERESSE','CHARENTE'),
('16250','CHADURIE','CHARENTE'),
('16250','CHAMPAGNE VIGNY','CHARENTE'),
('16250','CRESSAC ST GENIS','CHARENTE'),
('16250','ETRIAC','CHARENTE'),
('16250','JURIGNAC','CHARENTE'),
('16250','MAINFONDS','CHARENTE'),
('16250','PEREUIL','CHARENTE'),
('16250','PERIGNAC','CHARENTE'),
('16250','PLASSAC ROUFFIAC','CHARENTE'),
('16250','PORCHERESSE','CHARENTE'),
('16250','ST GENIS DE BLANZAC','CHARENTE'),
('16250','ST LEGER','CHARENTE'),
('16250','VOULGEZAC','CHARENTE'),
('16260','CELLEFROUIN','CHARENTE'),
('16260','CHASSENEUIL SUR BONNIEURE','CHARENTE'),
('16260','LES PINS','CHARENTE'),
('16260','ST MARY','CHARENTE'),
('16260','SUAUX','CHARENTE'),
('16260','LA TACHE','CHARENTE'),
('16270','GENOUILLAC','CHARENTE'),
('16270','ROUMAZIERES LOUBERT','CHARENTE'),
('16270','MAZIERES','CHARENTE'),
('16270','NIEUIL','CHARENTE'),
('16270','LA PERUSE','CHARENTE'),
('16270','ROUMAZIERES','CHARENTE'),
('16270','SURIS','CHARENTE'),
('16290','ASNIERES SUR NOUERE','CHARENTE'),
('16290','CHAMPMILLON','CHARENTE'),
('16290','DOUZAT','CHARENTE'),
('16290','HIERSAC','CHARENTE'),
('16290','MOULIDARS','CHARENTE'),
('16290','ST SATURNIN','CHARENTE'),
('16300','AMBLEVILLE','CHARENTE'),
('16300','ANGEDUC','CHARENTE'),
('16300','BARBEZIEUX ST HILAIRE','CHARENTE'),
('16300','BARRET','CHARENTE'),
('16300','BRIE SOUS BARBEZIEUX','CHARENTE'),
('16300','CHALLIGNAC','CHARENTE'),
('16300','CRITEUIL LA MAGDELEINE','CHARENTE'),
('16300','GUIMPS','CHARENTE'),
('16300','LACHAISE','CHARENTE'),
('16300','LAGARDE SUR LE NE','CHARENTE'),
('16300','LAMERAC','CHARENTE'),
('16300','MONTCHAUDE','CHARENTE'),
('16300','ST AULAIS LA CHAPELLE','CHARENTE'),
('16300','ST BONNET','CHARENTE'),
('16300','ST HILAIRE','CHARENTE'),
('16300','ST MEDARD','CHARENTE'),
('16300','ST PALAIS DU NE','CHARENTE'),
('16300','SALLES DE BARBEZIEUX','CHARENTE'),
('16300','VIGNOLLES','CHARENTE'),
('16310','CHERVES CHATELARS','CHARENTE'),
('16310','LEZIGNAC DURAND','CHARENTE'),
('16310','LE LINDOIS','CHARENTE'),
('16310','MASSIGNAC','CHARENTE'),
('16310','MAZEROLLES','CHARENTE'),
('16310','MONTEMBOEUF','CHARENTE'),
('16310','MOUZON','CHARENTE'),
('16310','ROUSSINES','CHARENTE'),
('16310','ST ADJUTORY','CHARENTE'),
('16310','SAUVAGNAC','CHARENTE'),
('16310','VERNEUIL','CHARENTE'),
('16310','VITRAC ST VINCENT','CHARENTE'),
('16320','BLANZAGUET ST CYBARD','CHARENTE'),
('16320','CHARMANT','CHARENTE'),
('16320','CHAVENAT','CHARENTE'),
('16320','COMBIERS','CHARENTE'),
('16320','EDON','CHARENTE'),
('16320','GARDES LE PONTAROUX','CHARENTE'),
('16320','GURAT','CHARENTE'),
('16320','JUILLAGUET','CHARENTE'),
('16320','MAGNAC LAVALETTE VILLARS','CHARENTE'),
('16320','RONSENAC','CHARENTE'),
('16320','ROUGNAC','CHARENTE'),
('16320','VAUX LAVALETTE','CHARENTE'),
('16320','VILLEBOIS LAVALETTE','CHARENTE'),
('16330','COULONGES','CHARENTE'),
('16330','MONTIGNAC CHARENTE','CHARENTE'),
('16330','ST AMANT DE BOIXE','CHARENTE'),
('16330','VARS','CHARENTE'),
('16330','VERVANT','CHARENTE'),
('16330','VOUHARTE','CHARENTE'),
('16330','XAMBES','CHARENTE'),
('16340','L ISLE D ESPAGNAC','CHARENTE'),
('16350','BENEST','CHARENTE'),
('16350','LE BOUCHAGE','CHARENTE'),
('16350','CHAMPAGNE MOUTON','CHARENTE'),
('16350','CHASSIECQ','CHARENTE'),
('16350','ST COUTANT','CHARENTE'),
('16350','TURGON','CHARENTE'),
('16350','LE VIEUX CERIER','CHARENTE'),
('16350','VIEUX RUFFEC','CHARENTE'),
('16360','BAIGNES STE RADEGONDE','CHARENTE'),
('16360','BORS','CHARENTE'),
('16360','CHANTILLAC','CHARENTE'),
('16360','CONDEON','CHARENTE'),
('16360','REIGNAC','CHARENTE'),
('16360','LE TATRE','CHARENTE'),
('16360','TOUVERAC','CHARENTE'),
('16370','BREVILLE','CHARENTE'),
('16370','CHERVES RICHEMONT','CHARENTE'),
('16370','MESNAC','CHARENTE'),
('16370','RICHEMONT','CHARENTE'),
('16370','ST SULPICE DE COGNAC','CHARENTE'),
('16380','CHARRAS','CHARENTE'),
('16380','CHAZELLES','CHARENTE'),
('16380','FEUILLADE','CHARENTE'),
('16380','GRASSAC','CHARENTE'),
('16380','MAINZAC','CHARENTE'),
('16380','MARTHON','CHARENTE'),
('16380','ST GERMAIN DE MONTBRON','CHARENTE'),
('16380','SOUFFRIGNAC','CHARENTE'),
('16390','AUBETERRE SUR DRONNE','CHARENTE'),
('16390','BONNES','CHARENTE'),
('16390','LAPRADE','CHARENTE'),
('16390','MONTIGNAC LE COQ','CHARENTE'),
('16390','NABINAUD','CHARENTE'),
('16390','PALLUAUD','CHARENTE'),
('16390','PILLAC','CHARENTE'),
('16390','ST SEVERIN','CHARENTE'),
('16400','LA COURONNE','CHARENTE'),
('16400','PUYMOYEN','CHARENTE'),
('16400','VOEUIL ET GIGET','CHARENTE'),
('16410','BOUEX','CHARENTE'),
('16410','DIGNAC','CHARENTE'),
('16410','DIRAC','CHARENTE'),
('16410','FOUQUEBRUNE','CHARENTE'),
('16410','GARAT','CHARENTE'),
('16410','SERS','CHARENTE'),
('16410','TORSAC','CHARENTE'),
('16410','VOUZAN','CHARENTE'),
('16420','BRIGUEUIL','CHARENTE'),
('16420','LESTERPS','CHARENTE'),
('16420','MONTROLLET','CHARENTE'),
('16420','ST CHRISTOPHE','CHARENTE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('16420','SAULGOND','CHARENTE'),
('16430','BALZAC','CHARENTE'),
('16430','CHAMPNIERS','CHARENTE'),
('16430','VINDELLE','CHARENTE'),
('16440','CLAIX','CHARENTE'),
('16440','MOUTHIERS SUR BOEME','CHARENTE'),
('16440','NERSAC','CHARENTE'),
('16440','ROULLET ST ESTEPHE','CHARENTE'),
('16440','ST ESTEPHE','CHARENTE'),
('16440','SIREUIL','CHARENTE'),
('16450','BEAULIEU SUR SONNETTE','CHARENTE'),
('16450','LE GRAND MADIEU','CHARENTE'),
('16450','LUSSAC','CHARENTE'),
('16450','PARZAC','CHARENTE'),
('16450','ST CLAUD','CHARENTE'),
('16450','ST LAURENT DE CERIS','CHARENTE'),
('16460','AUNAC','CHARENTE'),
('16460','BAYERS','CHARENTE'),
('16460','CHENOMMET','CHARENTE'),
('16460','CHENON','CHARENTE'),
('16460','COUTURE','CHARENTE'),
('16460','LICHERES','CHARENTE'),
('16460','MOUTON','CHARENTE'),
('16460','MOUTONNEAU','CHARENTE'),
('16460','ST FRONT','CHARENTE'),
('16460','ST SULPICE','CHARENTE'),
('16460','VALENCE','CHARENTE'),
('16460','VENTOUSE','CHARENTE'),
('16470','ST MICHEL','CHARENTE'),
('16480','BERNEUIL','CHARENTE'),
('16480','BOISBRETEAU','CHARENTE'),
('16480','BROSSAC','CHARENTE'),
('16480','CHATIGNAC','CHARENTE'),
('16480','CHILLAC','CHARENTE'),
('16480','GUIZENGEARD','CHARENTE'),
('16480','ORIOLLES','CHARENTE'),
('16480','PASSIRAC','CHARENTE'),
('16480','ST FELIX','CHARENTE'),
('16480','ST LAURENT DES COMBES','CHARENTE'),
('16480','STE SOULINE','CHARENTE'),
('16480','ST VALLIER','CHARENTE'),
('16480','SAUVIGNAC','CHARENTE'),
('16490','ALLOUE','CHARENTE'),
('16490','AMBERNAC','CHARENTE'),
('16490','EPENEDE','CHARENTE'),
('16490','HIESSE','CHARENTE'),
('16490','PLEUVILLE','CHARENTE'),
('16500','ABZAC','CHARENTE'),
('16500','ANSAC SUR VIENNE','CHARENTE'),
('16500','BRILLAC','CHARENTE'),
('16500','CONFOLENS','CHARENTE'),
('16500','ESSE','CHARENTE'),
('16500','LESSAC','CHARENTE'),
('16500','MANOT','CHARENTE'),
('16500','ORADOUR FANAIS','CHARENTE'),
('16500','ST GERMAIN DE CONFOLENS','CHARENTE'),
('16500','ST MAURICE DES LIONS','CHARENTE'),
('16510','VERTEUIL SUR CHARENTE','CHARENTE'),
('16560','ANAIS','CHARENTE'),
('16560','AUSSAC VADALLE','CHARENTE'),
('16560','COULGENS','CHARENTE'),
('16560','JAULDES','CHARENTE'),
('16560','TOURRIERS','CHARENTE'),
('16560','VILLEJOUBERT','CHARENTE'),
('16570','MARSAC','CHARENTE'),
('16570','ST GENIS D HIERSAC','CHARENTE'),
('16590','BRIE','CHARENTE'),
('16600','MAGNAC SUR TOUVRE','CHARENTE'),
('16600','MORNAC','CHARENTE'),
('16600','RUELLE SUR TOUVRE','CHARENTE'),
('16600','TOUVRE','CHARENTE'),
('16620','MONTBOYER','CHARENTE'),
('16700','LES ADJOTS','CHARENTE'),
('16700','AIZECQ','CHARENTE'),
('16700','BARRO','CHARENTE'),
('16700','BERNAC','CHARENTE'),
('16700','BIOUSSAC','CHARENTE'),
('16700','CONDAC','CHARENTE'),
('16700','LA FAYE','CHARENTE'),
('16700','LONDIGNY','CHARENTE'),
('16700','MESSEUX','CHARENTE'),
('16700','MOUTARDON','CHARENTE'),
('16700','NANTEUIL EN VALLEE','CHARENTE'),
('16700','POUGNE','CHARENTE'),
('16700','POURSAC','CHARENTE'),
('16700','RUFFEC','CHARENTE'),
('16700','ST GEORGES','CHARENTE'),
('16700','ST GERVAIS','CHARENTE'),
('16700','ST GOURSON','CHARENTE'),
('16700','ST MARTIN DU CLOCHER','CHARENTE'),
('16700','SALLES DE VILLEFAGNAN','CHARENTE'),
('16700','TAIZE AIZIE','CHARENTE'),
('16700','TUZIE','CHARENTE'),
('16700','VILLEGATS','CHARENTE'),
('16710','ST YRIEIX SUR CHARENTE','CHARENTE'),
('16720','ST MEME LES CARRIERES','CHARENTE'),
('16730','FLEAC','CHARENTE'),
('16730','LINARS','CHARENTE'),
('16730','TROIS PALIS','CHARENTE'),
('16800','SOYAUX','CHARENTE'),
('17000','LA ROCHELLE','CHARENTE MARITIME'),
('17000','LA PALLICE','CHARENTE MARITIME'),
('17000','VILLENEUVE LES SALINES','CHARENTE MARITIME'),
('17100','BUSSAC SUR CHARENTE','CHARENTE MARITIME'),
('17100','LA CHAPELLE DES POTS','CHARENTE MARITIME'),
('17100','COURCOURY','CHARENTE MARITIME'),
('17100','LE DOUHET','CHARENTE MARITIME'),
('17100','FONTCOUVERTE','CHARENTE MARITIME'),
('17100','LES GONDS','CHARENTE MARITIME'),
('17100','ST VAIZE','CHARENTE MARITIME'),
('17100','SAINTES','CHARENTE MARITIME'),
('17100','VENERAND','CHARENTE MARITIME'),
('17110','ST GEORGES DE DIDONNE','CHARENTE MARITIME'),
('17111','LOIX','CHARENTE MARITIME'),
('17113','MORNAC SUR SEUDRE','CHARENTE MARITIME'),
('17120','ARCES','CHARENTE MARITIME'),
('17120','BARZAN','CHARENTE MARITIME'),
('17120','BOUTENAC TOUVENT','CHARENTE MARITIME'),
('17120','BRIE SOUS MORTAGNE','CHARENTE MARITIME'),
('17120','CHENAC ST SEURIN D UZET','CHARENTE MARITIME'),
('17120','COZES','CHARENTE MARITIME'),
('17120','EPARGNES','CHARENTE MARITIME'),
('17120','FLOIRAC','CHARENTE MARITIME'),
('17120','GREZAC','CHARENTE MARITIME'),
('17120','MEURSAC','CHARENTE MARITIME'),
('17120','MORTAGNE SUR GIRONDE','CHARENTE MARITIME'),
('17120','SEMUSSAC','CHARENTE MARITIME'),
('17120','TALMONT','CHARENTE MARITIME'),
('17120','THAIMS','CHARENTE MARITIME'),
('17123','ILE D AIX','CHARENTE MARITIME'),
('17130','CHAMOUILLAC','CHARENTE MARITIME'),
('17130','CHARDES','CHARENTE MARITIME'),
('17130','CHARTUZAC','CHARENTE MARITIME'),
('17130','CHAUNAC','CHARENTE MARITIME'),
('17130','CORIGNAC','CHARENTE MARITIME'),
('17130','COURPIGNAC','CHARENTE MARITIME'),
('17130','COUX','CHARENTE MARITIME'),
('17130','EXPIREMONT','CHARENTE MARITIME'),
('17130','JUSSAS','CHARENTE MARITIME'),
('17130','MESSAC','CHARENTE MARITIME'),
('17130','MONTENDRE','CHARENTE MARITIME'),
('17130','MOULONS','CHARENTE MARITIME'),
('17130','POMMIERS MOULONS','CHARENTE MARITIME'),
('17130','ROUFFIGNAC','CHARENTE MARITIME'),
('17130','ST MAURICE DE LAURENCANNE','CHARENTE MARITIME'),
('17130','SALIGNAC DE MIRAMBEAU','CHARENTE MARITIME'),
('17130','SOUMERAS','CHARENTE MARITIME'),
('17130','SOUSMOULINS','CHARENTE MARITIME'),
('17130','TUGERAS ST MAURICE','CHARENTE MARITIME'),
('17130','VALLET','CHARENTE MARITIME'),
('17130','VIBRAC','CHARENTE MARITIME'),
('17132','MESCHERS SUR GIRONDE','CHARENTE MARITIME'),
('17137','ESNANDES','CHARENTE MARITIME'),
('17137','L HOUMEAU','CHARENTE MARITIME'),
('17137','MARSILLY','CHARENTE MARITIME'),
('17137','NIEUL SUR MER','CHARENTE MARITIME'),
('17137','LAUZIERES','CHARENTE MARITIME'),
('17138','PUILBOREAU','CHARENTE MARITIME'),
('17138','ST XANDRE','CHARENTE MARITIME'),
('17139','DOMPIERRE SUR MER','CHARENTE MARITIME'),
('17139','CHAGNOLET','CHARENTE MARITIME'),
('17140','LAGORD','CHARENTE MARITIME'),
('17150','ALLAS BOCAGE','CHARENTE MARITIME'),
('17150','BOISREDON','CHARENTE MARITIME'),
('17150','CONSAC','CHARENTE MARITIME'),
('17150','MIRAMBEAU','CHARENTE MARITIME'),
('17150','NIEUL LE VIROUIL','CHARENTE MARITIME'),
('17150','ST BONNET SUR GIRONDE','CHARENTE MARITIME'),
('17150','ST DIZANT DU BOIS','CHARENTE MARITIME'),
('17150','ST GEORGES DES AGOUTS','CHARENTE MARITIME'),
('17150','ST MARTIAL DE MIRAMBEAU','CHARENTE MARITIME'),
('17150','ST SORLIN DE CONAC','CHARENTE MARITIME'),
('17150','ST THOMAS DE CONAC','CHARENTE MARITIME'),
('17150','SEMILLAC','CHARENTE MARITIME'),
('17150','SEMOUSSAC','CHARENTE MARITIME'),
('17150','SOUBRAN','CHARENTE MARITIME'),
('17150','PETIT NIORT','CHARENTE MARITIME'),
('17160','BAGNIZEAU','CHARENTE MARITIME'),
('17160','BALLANS','CHARENTE MARITIME'),
('17160','BLANZAC LES MATHA','CHARENTE MARITIME'),
('17160','BRIE SOUS MATHA','CHARENTE MARITIME'),
('17160','LA BROUSSE','CHARENTE MARITIME'),
('17160','COURCERAC','CHARENTE MARITIME'),
('17160','CRESSE','CHARENTE MARITIME'),
('17160','GIBOURNE','CHARENTE MARITIME'),
('17160','LE GICQ','CHARENTE MARITIME'),
('17160','HAIMPS','CHARENTE MARITIME'),
('17160','LOUZIGNAC','CHARENTE MARITIME'),
('17160','MATHA','CHARENTE MARITIME'),
('17160','MONS','CHARENTE MARITIME'),
('17160','PRIGNAC','CHARENTE MARITIME'),
('17160','SONNAC','CHARENTE MARITIME'),
('17160','THORS','CHARENTE MARITIME'),
('17160','LES TOUCHES DE PERIGNY','CHARENTE MARITIME'),
('17170','BENON','CHARENTE MARITIME'),
('17170','COURCON','CHARENTE MARITIME'),
('17170','CRAMCHABAN','CHARENTE MARITIME'),
('17170','FERRIERES','CHARENTE MARITIME'),
('17170','LA GREVE SUR MIGNON','CHARENTE MARITIME'),
('17170','LA LAIGNE','CHARENTE MARITIME');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('17170','LA RONDE','CHARENTE MARITIME'),
('17170','ST CYR DU DORET','CHARENTE MARITIME'),
('17170','ST JEAN DE LIVERSAY','CHARENTE MARITIME'),
('17170','TAUGON','CHARENTE MARITIME'),
('17180','PERIGNY','CHARENTE MARITIME'),
('17190','ST GEORGES D OLERON','CHARENTE MARITIME'),
('17190','BOYARDVILLE','CHARENTE MARITIME'),
('17190','CHAUCRE','CHARENTE MARITIME'),
('17190','CHERAY','CHARENTE MARITIME'),
('17190','DOMINO','CHARENTE MARITIME'),
('17190','SAUZELLE','CHARENTE MARITIME'),
('17200','ROYAN','CHARENTE MARITIME'),
('17200','ST SULPICE DE ROYAN','CHARENTE MARITIME'),
('17210','BEDENAC','CHARENTE MARITIME'),
('17210','BRAN','CHARENTE MARITIME'),
('17210','BUSSAC FORET','CHARENTE MARITIME'),
('17210','CHATENET','CHARENTE MARITIME'),
('17210','CHEPNIERS','CHARENTE MARITIME'),
('17210','CHEVANCEAUX','CHARENTE MARITIME'),
('17210','MERIGNAC','CHARENTE MARITIME'),
('17210','MONTLIEU LA GARDE','CHARENTE MARITIME'),
('17210','ORIGNOLLES','CHARENTE MARITIME'),
('17210','LE PIN','CHARENTE MARITIME'),
('17210','POLIGNAC','CHARENTE MARITIME'),
('17210','POUILLAC','CHARENTE MARITIME'),
('17210','STE COLOMBE','CHARENTE MARITIME'),
('17210','ST PALAIS DE NEGRIGNAC','CHARENTE MARITIME'),
('17220','BOURGNEUF','CHARENTE MARITIME'),
('17220','CLAVETTE','CHARENTE MARITIME'),
('17220','CROIX CHAPEAU','CHARENTE MARITIME'),
('17220','LA JARNE','CHARENTE MARITIME'),
('17220','LA JARRIE','CHARENTE MARITIME'),
('17220','MONTROY','CHARENTE MARITIME'),
('17220','ST CHRISTOPHE','CHARENTE MARITIME'),
('17220','ST MEDARD D AUNIS','CHARENTE MARITIME'),
('17220','ST ROGATIEN','CHARENTE MARITIME'),
('17220','STE SOULLE','CHARENTE MARITIME'),
('17220','ST VIVIEN','CHARENTE MARITIME'),
('17220','SALLES SUR MER','CHARENTE MARITIME'),
('17220','LES GRANDES RIVIERES','CHARENTE MARITIME'),
('17230','ANDILLY','CHARENTE MARITIME'),
('17230','CHARRON','CHARENTE MARITIME'),
('17230','LONGEVES','CHARENTE MARITIME'),
('17230','MARANS','CHARENTE MARITIME'),
('17230','ST OUEN D AUNIS','CHARENTE MARITIME'),
('17230','VILLEDOUX','CHARENTE MARITIME'),
('17230','BOURG CHAPON','CHARENTE MARITIME'),
('17230','SERIGNY','CHARENTE MARITIME'),
('17240','ANTIGNAC','CHARENTE MARITIME'),
('17240','BOIS','CHARENTE MARITIME'),
('17240','CHAMPAGNOLLES','CHARENTE MARITIME'),
('17240','CLION','CHARENTE MARITIME'),
('17240','LORIGNAC','CHARENTE MARITIME'),
('17240','MOSNAC','CHARENTE MARITIME'),
('17240','PLASSAC','CHARENTE MARITIME'),
('17240','ST CIERS DU TAILLON','CHARENTE MARITIME'),
('17240','ST DIZANT DU GUA','CHARENTE MARITIME'),
('17240','ST FORT SUR GIRONDE','CHARENTE MARITIME'),
('17240','ST GENIS DE SAINTONGE','CHARENTE MARITIME'),
('17240','ST GEORGES ANTIGNAC','CHARENTE MARITIME'),
('17240','ST GERMAIN DU SEUDRE','CHARENTE MARITIME'),
('17240','ST GREGOIRE D ARDENNES','CHARENTE MARITIME'),
('17240','STE RAMEE','CHARENTE MARITIME'),
('17240','ST ROMAIN SUR GIRONDE','CHARENTE MARITIME'),
('17240','ST SIGISMOND DE CLERMONT','CHARENTE MARITIME'),
('17250','BEURLAY','CHARENTE MARITIME'),
('17250','LES ESSARDS','CHARENTE MARITIME'),
('17250','GEAY','CHARENTE MARITIME'),
('17250','PLASSAY','CHARENTE MARITIME'),
('17250','PONT L ABBE D ARNOULT','CHARENTE MARITIME'),
('17250','ROMEGOUX','CHARENTE MARITIME'),
('17250','STE GEMME','CHARENTE MARITIME'),
('17250','ST PORCHAIRE','CHARENTE MARITIME'),
('17250','STE RADEGONDE','CHARENTE MARITIME'),
('17250','ST SULPICE D ARNOULT','CHARENTE MARITIME'),
('17250','SOULIGNONNE','CHARENTE MARITIME'),
('17250','TRIZAY','CHARENTE MARITIME'),
('17250','LA VALLEE','CHARENTE MARITIME'),
('17260','CRAVANS','CHARENTE MARITIME'),
('17260','GEMOZAC','CHARENTE MARITIME'),
('17260','GIVREZAC','CHARENTE MARITIME'),
('17260','JAZENNES','CHARENTE MARITIME'),
('17260','MONTPELLIER DE MEDILLAN','CHARENTE MARITIME'),
('17260','ST ANDRE DE LIDON','CHARENTE MARITIME'),
('17260','ST SIMON DE PELLOUAILLE','CHARENTE MARITIME'),
('17260','TANZAC','CHARENTE MARITIME'),
('17260','VILLARS EN PONS','CHARENTE MARITIME'),
('17260','VIROLLET','CHARENTE MARITIME'),
('17270','BORESSE ET MARTRON','CHARENTE MARITIME'),
('17270','CERCOUX','CHARENTE MARITIME'),
('17270','CLERAC','CHARENTE MARITIME'),
('17270','LE FOUILLOUX','CHARENTE MARITIME'),
('17270','MONTGUYON','CHARENTE MARITIME'),
('17270','NEUVICQ','CHARENTE MARITIME'),
('17270','ST MARTIN D ARY','CHARENTE MARITIME'),
('17270','ST PIERRE DU PALAIS','CHARENTE MARITIME'),
('17290','AIGREFEUILLE D AUNIS','CHARENTE MARITIME'),
('17290','ARDILLIERES','CHARENTE MARITIME'),
('17290','BALLON','CHARENTE MARITIME'),
('17290','CHAMBON','CHARENTE MARITIME'),
('17290','CIRE D AUNIS','CHARENTE MARITIME'),
('17290','FORGES','CHARENTE MARITIME'),
('17290','LANDRAIS','CHARENTE MARITIME'),
('17290','THAIRE','CHARENTE MARITIME'),
('17290','LE THOU','CHARENTE MARITIME'),
('17290','VIRSON','CHARENTE MARITIME'),
('17290','PUYDROUARD','CHARENTE MARITIME'),
('17300','ROCHEFORT','CHARENTE MARITIME'),
('17300','VERGEROUX','CHARENTE MARITIME'),
('17310','ST PIERRE D OLERON','CHARENTE MARITIME'),
('17310','LA COTINIERE','CHARENTE MARITIME'),
('17320','HIERS BROUAGE','CHARENTE MARITIME'),
('17320','MARENNES','CHARENTE MARITIME'),
('17320','ST JUST LUZAC','CHARENTE MARITIME'),
('17320','BROUAGE','CHARENTE MARITIME'),
('17320','LUZAC','CHARENTE MARITIME'),
('17330','BERNAY ST MARTIN','CHARENTE MARITIME'),
('17330','COIVERT','CHARENTE MARITIME'),
('17330','COURANT','CHARENTE MARITIME'),
('17330','LA CROIX COMTESSE','CHARENTE MARITIME'),
('17330','DOEUIL SUR LE MIGNON','CHARENTE MARITIME'),
('17330','LA JARRIE AUDOUIN','CHARENTE MARITIME'),
('17330','LOULAY','CHARENTE MARITIME'),
('17330','LOZAY','CHARENTE MARITIME'),
('17330','MIGRE','CHARENTE MARITIME'),
('17330','ST FELIX','CHARENTE MARITIME'),
('17330','ST MARTIAL','CHARENTE MARITIME'),
('17330','ST MARTIN DE LA COUDRE','CHARENTE MARITIME'),
('17330','ST PIERRE DE L ILE','CHARENTE MARITIME'),
('17330','ST SEVERIN SUR BOUTONNE','CHARENTE MARITIME'),
('17330','VERGNE','CHARENTE MARITIME'),
('17330','VILLENEUVE LA COMTESSE','CHARENTE MARITIME'),
('17330','VILLENOUVELLE','CHARENTE MARITIME'),
('17340','CHATELAILLON PLAGE','CHARENTE MARITIME'),
('17340','YVES','CHARENTE MARITIME'),
('17340','LES BOUCHOLEURS','CHARENTE MARITIME'),
('17350','AGONNAY','CHARENTE MARITIME'),
('17350','ANNEPONT','CHARENTE MARITIME'),
('17350','COULONGE SUR CHARENTE','CHARENTE MARITIME'),
('17350','CRAZANNES','CHARENTE MARITIME'),
('17350','FENIOUX','CHARENTE MARITIME'),
('17350','GRANDJEAN','CHARENTE MARITIME'),
('17350','LE MUNG','CHARENTE MARITIME'),
('17350','PORT D ENVAUX','CHARENTE MARITIME'),
('17350','ST SAVINIEN','CHARENTE MARITIME'),
('17350','TAILLANT','CHARENTE MARITIME'),
('17350','TAILLEBOURG','CHARENTE MARITIME'),
('17360','LA BARDE','CHARENTE MARITIME'),
('17360','BOSCAMNANT','CHARENTE MARITIME'),
('17360','LA CLOTTE','CHARENTE MARITIME'),
('17360','LA GENETOUZE','CHARENTE MARITIME'),
('17360','ST AIGULIN','CHARENTE MARITIME'),
('17360','ST MARTIN DE COUX','CHARENTE MARITIME'),
('17370','ST TROJAN LES BAINS','CHARENTE MARITIME'),
('17370','LE GRAND VILLAGE PLAGE','CHARENTE MARITIME'),
('17380','ANNEZAY','CHARENTE MARITIME'),
('17380','ARCHINGEAY','CHARENTE MARITIME'),
('17380','CHANTEMERLE SUR LA SOIE','CHARENTE MARITIME'),
('17380','CHERVETTES','CHARENTE MARITIME'),
('17380','LANDES','CHARENTE MARITIME'),
('17380','NACHAMPS','CHARENTE MARITIME'),
('17380','LES NOUILLERS','CHARENTE MARITIME'),
('17380','PUY DU LAC','CHARENTE MARITIME'),
('17380','PUYROLLAND','CHARENTE MARITIME'),
('17380','ST CREPIN','CHARENTE MARITIME'),
('17380','ST LAURENT DE LA BARRIERE','CHARENTE MARITIME'),
('17380','ST LOUP','CHARENTE MARITIME'),
('17380','TONNAY BOUTONNE','CHARENTE MARITIME'),
('17380','TORXE','CHARENTE MARITIME'),
('17390','LA TREMBLADE','CHARENTE MARITIME'),
('17390','RONCE LES BAINS','CHARENTE MARITIME'),
('17400','ANTEZANT LA CHAPELLE','CHARENTE MARITIME'),
('17400','ASNIERES LA GIRAUD','CHARENTE MARITIME'),
('17400','LA BENATE','CHARENTE MARITIME'),
('17400','BIGNAY','CHARENTE MARITIME'),
('17400','LA CHAPELLE BATON','CHARENTE MARITIME'),
('17400','COURCELLES','CHARENTE MARITIME'),
('17400','LES EGLISES D ARGENTEUIL','CHARENTE MARITIME'),
('17400','FONTENET','CHARENTE MARITIME'),
('17400','MAZERAY','CHARENTE MARITIME'),
('17400','ST DENIS DU PIN','CHARENTE MARITIME'),
('17400','POURSAY GARNAUD','CHARENTE MARITIME'),
('17400','ST JEAN D ANGELY','CHARENTE MARITIME'),
('17400','ST JULIEN DE L ESCAP','CHARENTE MARITIME'),
('17400','ST MARTIN DE JUILLERS','CHARENTE MARITIME'),
('17400','ST PARDOULT','CHARENTE MARITIME'),
('17400','ST PIERRE DE JUILLERS','CHARENTE MARITIME'),
('17400','TERNANT','CHARENTE MARITIME'),
('17400','VARAIZE','CHARENTE MARITIME'),
('17400','LA VERGNE','CHARENTE MARITIME'),
('17400','VERVANT','CHARENTE MARITIME'),
('17400','VOISSAY','CHARENTE MARITIME'),
('17410','ST MARTIN DE RE','CHARENTE MARITIME'),
('17420','ST PALAIS SUR MER','CHARENTE MARITIME'),
('17420','COURLAY SUR MER','CHARENTE MARITIME'),
('17430','BORDS','CHARENTE MARITIME'),
('17430','CABARIOT','CHARENTE MARITIME'),
('17430','CHAMPDOLENT','CHARENTE MARITIME'),
('17430','GENOUILLE','CHARENTE MARITIME'),
('17430','LUSSANT','CHARENTE MARITIME');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('17430','MORAGNE','CHARENTE MARITIME'),
('17430','MURON','CHARENTE MARITIME'),
('17430','ST COUTANT LE GRAND','CHARENTE MARITIME'),
('17430','ST HIPPOLYTE','CHARENTE MARITIME'),
('17430','TONNAY CHARENTE','CHARENTE MARITIME'),
('17440','AYTRE','CHARENTE MARITIME'),
('17450','FOURAS','CHARENTE MARITIME'),
('17450','ST LAURENT DE LA PREE','CHARENTE MARITIME'),
('17460','BERNEUIL','CHARENTE MARITIME'),
('17460','CHERMIGNAC','CHARENTE MARITIME'),
('17460','COLOMBIERS','CHARENTE MARITIME'),
('17460','LA JARD','CHARENTE MARITIME'),
('17460','PREGUILLAC','CHARENTE MARITIME'),
('17460','RETAUD','CHARENTE MARITIME'),
('17460','RIOUX','CHARENTE MARITIME'),
('17460','TESSON','CHARENTE MARITIME'),
('17460','THENAC','CHARENTE MARITIME'),
('17460','VARZAY','CHARENTE MARITIME'),
('17470','AULNAY','CHARENTE MARITIME'),
('17470','BLANZAY SUR BOUTONNE','CHARENTE MARITIME'),
('17470','CHERBONNIERES','CHARENTE MARITIME'),
('17470','CONTRE','CHARENTE MARITIME'),
('17470','DAMPIERRE SUR BOUTONNE','CHARENTE MARITIME'),
('17470','LOIRE SUR NIE','CHARENTE MARITIME'),
('17470','NUAILLE SUR BOUTONNE','CHARENTE MARITIME'),
('17470','PAILLE','CHARENTE MARITIME'),
('17470','ST GEORGES DE LONGUEPIERR','CHARENTE MARITIME'),
('17470','ST MANDE SUR BREDOIRE','CHARENTE MARITIME'),
('17470','SALLES LES AULNAY','CHARENTE MARITIME'),
('17470','LA VILLEDIEU','CHARENTE MARITIME'),
('17470','VILLEMORIN','CHARENTE MARITIME'),
('17480','LE CHATEAU D OLERON','CHARENTE MARITIME'),
('17480','LA CHEVALERIE','CHARENTE MARITIME'),
('17480','LA GACONNIERE','CHARENTE MARITIME'),
('17480','ORS','CHARENTE MARITIME'),
('17490','BAZAUGES','CHARENTE MARITIME'),
('17490','BEAUVAIS SUR MATHA','CHARENTE MARITIME'),
('17490','BRESDON','CHARENTE MARITIME'),
('17490','GOURVILLETTE','CHARENTE MARITIME'),
('17490','MACQUEVILLE','CHARENTE MARITIME'),
('17490','MASSAC','CHARENTE MARITIME'),
('17490','NEUVICQ LE CHATEAU','CHARENTE MARITIME'),
('17490','ST OUEN','CHARENTE MARITIME'),
('17490','SIECQ','CHARENTE MARITIME'),
('17500','AGUDELLE','CHARENTE MARITIME'),
('17500','ALLAS CHAMPAGNE','CHARENTE MARITIME'),
('17500','CHAMPAGNAC','CHARENTE MARITIME'),
('17500','CLAM','CHARENTE MARITIME'),
('17500','FONTAINES D OZILLAC','CHARENTE MARITIME'),
('17500','GUITINIERES','CHARENTE MARITIME'),
('17500','JONZAC','CHARENTE MARITIME'),
('17500','LEOVILLE','CHARENTE MARITIME'),
('17500','LUSSAC','CHARENTE MARITIME'),
('17500','MEUX','CHARENTE MARITIME'),
('17500','MOINGS','CHARENTE MARITIME'),
('17500','MORTIERS','CHARENTE MARITIME'),
('17500','NEULLES','CHARENTE MARITIME'),
('17500','OZILLAC','CHARENTE MARITIME'),
('17500','REAUX','CHARENTE MARITIME'),
('17500','ST GERMAIN DE LUSIGNAN','CHARENTE MARITIME'),
('17500','ST GERMAIN DE VIBRAC','CHARENTE MARITIME'),
('17500','ST HILAIRE DU BOIS','CHARENTE MARITIME'),
('17500','ST MARTIAL DE VITATERNE','CHARENTE MARITIME'),
('17500','ST MAURICE DE TAVERNOLE','CHARENTE MARITIME'),
('17500','ST MEDARD','CHARENTE MARITIME'),
('17500','ST SIMON DE BORDES','CHARENTE MARITIME'),
('17500','VANZAC','CHARENTE MARITIME'),
('17500','VILLEXAVIER','CHARENTE MARITIME'),
('17510','CHIVES','CHARENTE MARITIME'),
('17510','LES EDUTS','CHARENTE MARITIME'),
('17510','FONTAINE CHALENDRAY','CHARENTE MARITIME'),
('17510','NERE','CHARENTE MARITIME'),
('17510','ROMAZIERES','CHARENTE MARITIME'),
('17510','SALEIGNES','CHARENTE MARITIME'),
('17510','SEIGNE','CHARENTE MARITIME'),
('17510','VILLIERS COUTURE','CHARENTE MARITIME'),
('17510','VINAX','CHARENTE MARITIME'),
('17520','ARCHIAC','CHARENTE MARITIME'),
('17520','ARTHENAC','CHARENTE MARITIME'),
('17520','BRIE SOUS ARCHIAC','CHARENTE MARITIME'),
('17520','CELLES','CHARENTE MARITIME'),
('17520','CIERZAC','CHARENTE MARITIME'),
('17520','GERMIGNAC','CHARENTE MARITIME'),
('17520','JARNAC CHAMPAGNE','CHARENTE MARITIME'),
('17520','LONZAC','CHARENTE MARITIME'),
('17520','NEUILLAC','CHARENTE MARITIME'),
('17520','ST CIERS CHAMPAGNE','CHARENTE MARITIME'),
('17520','ST EUGENE','CHARENTE MARITIME'),
('17520','STE LHEURINE','CHARENTE MARITIME'),
('17520','ST MAIGRIN','CHARENTE MARITIME'),
('17520','ST MARTIAL SUR NE','CHARENTE MARITIME'),
('17530','ARVERT','CHARENTE MARITIME'),
('17540','ANAIS','CHARENTE MARITIME'),
('17540','ANGLIERS','CHARENTE MARITIME'),
('17540','BOUHET','CHARENTE MARITIME'),
('17540','LE GUE D ALLERE','CHARENTE MARITIME'),
('17540','NUAILLE D AUNIS','CHARENTE MARITIME'),
('17540','ST SAUVEUR D AUNIS','CHARENTE MARITIME'),
('17540','VERINES','CHARENTE MARITIME'),
('17550','DOLUS D OLERON','CHARENTE MARITIME'),
('17560','BOURCEFRANC LE CHAPUS','CHARENTE MARITIME'),
('17570','LES MATHES','CHARENTE MARITIME'),
('17570','ST AUGUSTIN','CHARENTE MARITIME'),
('17580','LE BOIS PLAGE EN RE','CHARENTE MARITIME'),
('17590','ARS EN RE','CHARENTE MARITIME'),
('17590','ST CLEMENT DES BALEINES','CHARENTE MARITIME'),
('17590','LE GILLIEUX','CHARENTE MARITIME'),
('17600','BALANZAC','CHARENTE MARITIME'),
('17600','LA CHAY','CHARENTE MARITIME'),
('17600','LA CLISSE','CHARENTE MARITIME'),
('17600','CORME ECLUSE','CHARENTE MARITIME'),
('17600','CORME ROYAL','CHARENTE MARITIME'),
('17600','L EGUILLE','CHARENTE MARITIME'),
('17600','LE GUA','CHARENTE MARITIME'),
('17600','LUCHAT','CHARENTE MARITIME'),
('17600','MEDIS','CHARENTE MARITIME'),
('17600','NANCRAS','CHARENTE MARITIME'),
('17600','NIEULLE SUR SEUDRE','CHARENTE MARITIME'),
('17600','PISANY','CHARENTE MARITIME'),
('17600','SABLONCEAUX','CHARENTE MARITIME'),
('17600','ST ROMAIN DE BENET','CHARENTE MARITIME'),
('17600','ST SORNIN','CHARENTE MARITIME'),
('17600','SAUJON','CHARENTE MARITIME'),
('17600','THEZAC','CHARENTE MARITIME'),
('17610','CHANIERS','CHARENTE MARITIME'),
('17610','CHERAC','CHARENTE MARITIME'),
('17610','DOMPIERRE SUR CHARENTE','CHARENTE MARITIME'),
('17610','ST SAUVANT','CHARENTE MARITIME'),
('17620','BEAUGEAY','CHARENTE MARITIME'),
('17620','CHAMPAGNE','CHARENTE MARITIME'),
('17620','ECHILLAIS','CHARENTE MARITIME'),
('17620','LA GRIPPERIE ST SYMPHORIE','CHARENTE MARITIME'),
('17620','ST AGNANT','CHARENTE MARITIME'),
('17620','ST JEAN D ANGLE','CHARENTE MARITIME'),
('17620','LA RENAISSANCE','CHARENTE MARITIME'),
('17630','LA FLOTTE','CHARENTE MARITIME'),
('17640','VAUX SUR MER','CHARENTE MARITIME'),
('17650','ST DENIS D OLERON','CHARENTE MARITIME'),
('17670','LA COUARDE SUR MER','CHARENTE MARITIME'),
('17690','ANGOULINS','CHARENTE MARITIME'),
('17700','BREUIL LA REORTE','CHARENTE MARITIME'),
('17700','MARSAIS','CHARENTE MARITIME'),
('17700','PERE','CHARENTE MARITIME'),
('17700','PUYRAVAULT','CHARENTE MARITIME'),
('17700','ST GEORGES DU BOIS','CHARENTE MARITIME'),
('17700','ST GERMAIN DE MARENCENNES','CHARENTE MARITIME'),
('17700','ST MARD','CHARENTE MARITIME'),
('17700','ST PIERRE D AMILLY','CHARENTE MARITIME'),
('17700','ST SATURNIN DU BOIS','CHARENTE MARITIME'),
('17700','SURGERES','CHARENTE MARITIME'),
('17700','VANDRE','CHARENTE MARITIME'),
('17700','VOUHE','CHARENTE MARITIME'),
('17700','BOISSE','CHARENTE MARITIME'),
('17730','PORT DES BARQUES','CHARENTE MARITIME'),
('17740','STE MARIE DE RE','CHARENTE MARITIME'),
('17750','ETAULES','CHARENTE MARITIME'),
('17770','AUJAC','CHARENTE MARITIME'),
('17770','AUMAGNE','CHARENTE MARITIME'),
('17770','AUTHON EBEON','CHARENTE MARITIME'),
('17770','BERCLOUX','CHARENTE MARITIME'),
('17770','BRIZAMBOURG','CHARENTE MARITIME'),
('17770','BURIE','CHARENTE MARITIME'),
('17770','EBEON','CHARENTE MARITIME'),
('17770','ECOYEUX','CHARENTE MARITIME'),
('17770','LA FREDIERE','CHARENTE MARITIME'),
('17770','JUICQ','CHARENTE MARITIME'),
('17770','MIGRON','CHARENTE MARITIME'),
('17770','NANTILLE','CHARENTE MARITIME'),
('17770','ST BRIS DES BOIS','CHARENTE MARITIME'),
('17770','ST CESAIRE','CHARENTE MARITIME'),
('17770','ST HILAIRE DE VILLEFRANCH','CHARENTE MARITIME'),
('17770','STE MEME','CHARENTE MARITIME'),
('17770','LE SEURE','CHARENTE MARITIME'),
('17770','VILLARS LES BOIS','CHARENTE MARITIME'),
('17770','CHAGNON','CHARENTE MARITIME'),
('17780','MOEZE','CHARENTE MARITIME'),
('17780','ST FROULT','CHARENTE MARITIME'),
('17780','ST NAZAIRE SUR CHARENTE','CHARENTE MARITIME'),
('17780','SOUBISE','CHARENTE MARITIME'),
('17800','AVY','CHARENTE MARITIME'),
('17800','BELLUIRE','CHARENTE MARITIME'),
('17800','BIRON','CHARENTE MARITIME'),
('17800','BOUGNEAU','CHARENTE MARITIME'),
('17800','BRIVES SUR CHARENTE','CHARENTE MARITIME'),
('17800','CHADENAC','CHARENTE MARITIME'),
('17800','COULONGES','CHARENTE MARITIME'),
('17800','ECHEBRUNE','CHARENTE MARITIME'),
('17800','FLEAC SUR SEUGNE','CHARENTE MARITIME'),
('17800','MARIGNAC','CHARENTE MARITIME'),
('17800','MAZEROLLES','CHARENTE MARITIME'),
('17800','MONTILS','CHARENTE MARITIME'),
('17800','PERIGNAC','CHARENTE MARITIME'),
('17800','PONS','CHARENTE MARITIME'),
('17800','ROUFFIAC','CHARENTE MARITIME'),
('17800','ST LEGER','CHARENTE MARITIME'),
('17800','ST PALAIS DE PHIOLIN','CHARENTE MARITIME'),
('17800','ST QUANTIN DE RANCANNE','CHARENTE MARITIME'),
('17800','ST SEURIN DE PALENNE','CHARENTE MARITIME'),
('17800','ST SEVER DE SAINTONGE','CHARENTE MARITIME'),
('17800','SALIGNAC SUR CHARENTE','CHARENTE MARITIME');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('17810','ECURAT','CHARENTE MARITIME'),
('17810','NIEUL LES STE','CHARENTE MARITIME'),
('17810','PESSINES','CHARENTE MARITIME'),
('17810','ST GEORGES DES COTEAUX','CHARENTE MARITIME'),
('17840','LA BREE LES BAINS','CHARENTE MARITIME'),
('17870','BREUIL MAGNE','CHARENTE MARITIME'),
('17870','LOIRE LES MARAIS','CHARENTE MARITIME'),
('17880','LES PORTES EN RE','CHARENTE MARITIME'),
('17890','CHAILLEVETTE','CHARENTE MARITIME'),
('17920','BREUILLET','CHARENTE MARITIME'),
('17940','RIVEDOUX PLAGE','CHARENTE MARITIME'),
('18000','BOURGES','CHER'),
('18100','MERY SUR CHER','CHER'),
('18100','ST GEORGES SUR LA PREE','CHER'),
('18100','ST HILAIRE DE COURT','CHER'),
('18100','THENIOUX','CHER'),
('18100','VIERZON','CHER'),
('18110','ALLOGNY','CHER'),
('18110','FUSSY','CHER'),
('18110','PIGNY','CHER'),
('18110','QUANTILLY','CHER'),
('18110','ST ELOY DE GY','CHER'),
('18110','ST GEORGES SUR MOULON','CHER'),
('18110','ST MARTIN D AUXIGNY','CHER'),
('18110','ST PALAIS','CHER'),
('18110','VASSELAY','CHER'),
('18110','VIGNOUX SOUS LES AIX','CHER'),
('18120','BRINAY','CHER'),
('18120','CERBOIS','CHER'),
('18120','CHERY','CHER'),
('18120','LAZENAY','CHER'),
('18120','LIMEUX','CHER'),
('18120','LURY SUR ARNON','CHER'),
('18120','MASSAY','CHER'),
('18120','MEREAU','CHER'),
('18120','PREUILLY','CHER'),
('18120','QUINCY','CHER'),
('18130','BUSSY','CHER'),
('18130','CHALIVOY MILON','CHER'),
('18130','COGNY','CHER'),
('18130','CONTRES','CHER'),
('18130','DUN SUR AURON','CHER'),
('18130','JUSSY CHAMPAGNE','CHER'),
('18130','LANTAN','CHER'),
('18130','OSMERY','CHER'),
('18130','PARNAY','CHER'),
('18130','RAYMOND','CHER'),
('18130','ST DENIS DE PALIN','CHER'),
('18130','VORNAY','CHER'),
('18140','ARGENVIERES','CHER'),
('18140','LA CHAPELLE MONTLINARD','CHER'),
('18140','CHARENTONNAY','CHER'),
('18140','CHAUMOUX MARCILLY','CHER'),
('18140','COUY','CHER'),
('18140','GARIGNY','CHER'),
('18140','GROISES','CHER'),
('18140','HERRY','CHER'),
('18140','JUSSY LE CHAUDRIER','CHER'),
('18140','LUGNY CHAMPAGNE','CHER'),
('18140','PRECY','CHER'),
('18140','ST LEGER LE PETIT','CHER'),
('18140','ST MARTIN DES CHAMPS','CHER'),
('18140','SANCERGUES','CHER'),
('18140','SEVRY','CHER'),
('18150','APREMONT SUR ALLIER','CHER'),
('18150','LA CHAPELLE HUGON','CHER'),
('18150','LE CHAUTAY','CHER'),
('18150','CUFFY','CHER'),
('18150','GERMIGNY L EXEMPT','CHER'),
('18150','LA GUERCHE SUR L AUBOIS','CHER'),
('18160','LA CELLE CONDE','CHER'),
('18160','CHEZAL BENOIT','CHER'),
('18160','INEUIL','CHER'),
('18160','LIGNIERES','CHER'),
('18160','MONTLOUIS','CHER'),
('18160','ST BAUDEL','CHER'),
('18160','ST HILAIRE EN LIGNIERES','CHER'),
('18160','TOUCHAY','CHER'),
('18160','VILLECELIN','CHER'),
('18170','ARDENAIS','CHER'),
('18170','LE CHATELET','CHER'),
('18170','IDS ST ROCH','CHER'),
('18170','LOYE SUR ARNON','CHER'),
('18170','MAISONNAIS','CHER'),
('18170','MARCAIS','CHER'),
('18170','MORLAC','CHER'),
('18170','REZAY','CHER'),
('18170','ST PIERRE LES BOIS','CHER'),
('18190','CHAMBON','CHER'),
('18190','CHATEAUNEUF SUR CHER','CHER'),
('18190','CHAVANNES','CHER'),
('18190','CORQUOY','CHER'),
('18190','CREZANCAY SUR CHER','CHER'),
('18190','ST LOUP DES CHAUMES','CHER'),
('18190','ST SYMPHORIEN','CHER'),
('18190','SERRUELLES','CHER'),
('18190','UZAY LE VENON','CHER'),
('18190','VALLENAY','CHER'),
('18190','VENESMES','CHER'),
('18190','BIGNY VALLENAY','CHER'),
('18200','AINAY LE VIEIL','CHER'),
('18200','ARCOMPS','CHER'),
('18200','ARPHEUILLES','CHER'),
('18200','BOUZAIS','CHER'),
('18200','BRUERE ALLICHAMPS','CHER'),
('18200','LA CELLE','CHER'),
('18200','COLOMBIERS','CHER'),
('18200','DREVANT','CHER'),
('18200','FARGES ALLICHAMPS','CHER'),
('18200','LA GROUTTE','CHER'),
('18200','MEILLANT','CHER'),
('18200','NOZIERES','CHER'),
('18200','ORCENAIS','CHER'),
('18200','ORVAL','CHER'),
('18200','LA PERCHE','CHER'),
('18200','ST AMAND MONTROND','CHER'),
('18200','ST GEORGES DE POISIEUX','CHER'),
('18200','FOSSE NOUVELLE','CHER'),
('18210','BANNEGON','CHER'),
('18210','BESSAIS LE FROMENTAL','CHER'),
('18210','CHARENTON DU CHER','CHER'),
('18210','COUST','CHER'),
('18210','LE PONDY','CHER'),
('18210','ST PIERRE LES ETIEUX','CHER'),
('18210','THAUMIERS','CHER'),
('18210','VERNAIS','CHER'),
('18210','VERNEUIL','CHER'),
('18220','LES AIX D ANGILLON','CHER'),
('18220','AUBINGES','CHER'),
('18220','AZY','CHER'),
('18220','BRECY','CHER'),
('18220','MOROGUES','CHER'),
('18220','PARASSY','CHER'),
('18220','RIANS','CHER'),
('18220','ST CEOLS','CHER'),
('18220','STE SOLANGE','CHER'),
('18220','SOULANGIS','CHER'),
('18230','ST DOULCHARD','CHER'),
('18240','BELLEVILLE SUR LOIRE','CHER'),
('18240','BOULLERET','CHER'),
('18240','LERE','CHER'),
('18240','STE GEMME EN SANCERROIS','CHER'),
('18240','SANTRANGES','CHER'),
('18240','SAVIGNY EN SANCERRE','CHER'),
('18240','SURY PRES LERE','CHER'),
('18250','ACHERES','CHER'),
('18250','LA CHAPELOTTE','CHER'),
('18250','HENRICHEMONT','CHER'),
('18250','HUMBLIGNY','CHER'),
('18250','MONTIGNY','CHER'),
('18250','NEUILLY EN SANCERRE','CHER'),
('18250','NEUVY DEUX CLOCHERS','CHER'),
('18260','ASSIGNY','CHER'),
('18260','BARLIEU','CHER'),
('18260','CONCRESSAULT','CHER'),
('18260','DAMPIERRE EN CROT','CHER'),
('18260','JARS','CHER'),
('18260','LE NOYER','CHER'),
('18260','SUBLIGNY','CHER'),
('18260','SURY ES BOIS','CHER'),
('18260','THOU','CHER'),
('18260','VAILLY SUR SAULDRE','CHER'),
('18260','VILLEGENON','CHER'),
('18270','CULAN','CHER'),
('18270','REIGNY','CHER'),
('18270','ST CHRISTOPHE LE CHAUDRY','CHER'),
('18270','ST MAUR','CHER'),
('18270','SIDIAILLES','CHER'),
('18290','CHAROST','CHER'),
('18290','CIVRAY','CHER'),
('18290','MAREUIL SUR ARNON','CHER'),
('18290','PLOU','CHER'),
('18290','POISIEUX','CHER'),
('18290','ST AMBROIX','CHER'),
('18290','SAUGY','CHER'),
('18300','BANNAY','CHER'),
('18300','BUE','CHER'),
('18300','COUARGUES','CHER'),
('18300','CREZANCY EN SANCERRE','CHER'),
('18300','FEUX','CHER'),
('18300','GARDEFORT','CHER'),
('18300','JALOGNES','CHER'),
('18300','MENETOU RATEL','CHER'),
('18300','MENETREOL SOUS SANCERRE','CHER'),
('18300','ST BOUIZE','CHER'),
('18300','ST SATUR','CHER'),
('18300','SANCERRE','CHER'),
('18300','SENS BEAUJEU','CHER'),
('18300','SURY EN VAUX','CHER'),
('18300','THAUVENAY','CHER'),
('18300','VEAUGUES','CHER'),
('18300','VERDIGNY','CHER'),
('18300','VINON','CHER'),
('18310','DAMPIERRE EN GRACAY','CHER'),
('18310','GENOUILLY','CHER'),
('18310','GRACAY','CHER'),
('18310','NOHANT EN GRACAY','CHER'),
('18310','ST OUTRILLE','CHER'),
('18320','BEFFES','CHER'),
('18320','COURS LES BARRES','CHER');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('18320','JOUET SUR L AUBOIS','CHER'),
('18320','MARSEILLE LES AUBIGNY','CHER'),
('18320','MENETOU COUTURE','CHER'),
('18320','ST HILAIRE DE GONDILLY','CHER'),
('18320','TORTERON','CHER'),
('18330','NANCAY','CHER'),
('18330','NEUVY SUR BARANGEON','CHER'),
('18330','ST LAURENT','CHER'),
('18330','VOUZERON','CHER'),
('18340','ANNOIX','CHER'),
('18340','ARCAY','CHER'),
('18340','CROSSES','CHER'),
('18340','LAPAN','CHER'),
('18340','LEVET','CHER'),
('18340','LISSAY LOCHY','CHER'),
('18340','PLAIMPIED GIVAUDINS','CHER'),
('18340','ST GERMAIN DES BOIS','CHER'),
('18340','ST JUST','CHER'),
('18340','STE LUNAISE','CHER'),
('18340','SENNECAY','CHER'),
('18340','SOYE EN SEPTAINE','CHER'),
('18340','VORLY','CHER'),
('18350','BLET','CHER'),
('18350','CHARLY','CHER'),
('18350','CHAUMONT','CHER'),
('18350','CORNUSSE','CHER'),
('18350','CROISY','CHER'),
('18350','FLAVIGNY','CHER'),
('18350','IGNOL','CHER'),
('18350','LUGNY BOURBONNAIS','CHER'),
('18350','MORNAY BERRY','CHER'),
('18350','NERONDES','CHER'),
('18350','OUROUER LES BOURDELINS','CHER'),
('18350','TENDRON','CHER'),
('18350','ENTROIS','CHER'),
('18350','LA GRANDE VALLEE','CHER'),
('18360','LA CELETTE','CHER'),
('18360','EPINEUIL LE FLEURIEL','CHER'),
('18360','FAVERDINES','CHER'),
('18360','ST VITTE','CHER'),
('18360','SAULZAIS LE POTIER','CHER'),
('18360','VESDUN','CHER'),
('18370','BEDDES','CHER'),
('18370','CHATEAUMEILLANT','CHER'),
('18370','PREVERANGES','CHER'),
('18370','ST JEANVRIN','CHER'),
('18370','ST PRIEST LA MARCHE','CHER'),
('18370','ST SATURNIN','CHER'),
('18380','LA CHAPELLE D ANGILLON','CHER'),
('18380','ENNORDRES','CHER'),
('18380','IVOY LE PRE','CHER'),
('18380','MERY ES BOIS','CHER'),
('18380','PRESLY','CHER'),
('18390','MOULINS SUR YEVRE','CHER'),
('18390','NOHANT EN GOUT','CHER'),
('18390','OSMOY','CHER'),
('18390','ST GERMAIN DU PUY','CHER'),
('18390','ST MICHEL DE VOLANGIS','CHER'),
('18390','SAVIGNY EN SEPTAINE','CHER'),
('18400','LUNERY','CHER'),
('18400','PRIMELLES','CHER'),
('18400','ST CAPRAIS','CHER'),
('18400','ST FLORENT SUR CHER','CHER'),
('18400','VILLENEUVE SUR CHER','CHER'),
('18410','ARGENT SUR SAULDRE','CHER'),
('18410','BLANCAFORT','CHER'),
('18410','BRINON SUR SAULDRE','CHER'),
('18410','CLEMONT','CHER'),
('18500','ALLOUIS','CHER'),
('18500','BERRY BOUY','CHER'),
('18500','FOECY','CHER'),
('18500','MARMAGNE','CHER'),
('18500','MEHUN SUR YEVRE','CHER'),
('18500','STE THORETTE','CHER'),
('18500','VIGNOUX SUR BARANGEON','CHER'),
('18510','MENETOU SALON','CHER'),
('18520','AVORD','CHER'),
('18520','BENGY SUR CRAON','CHER'),
('18570','LA CHAPELLE ST URSIN','CHER'),
('18570','MORTHOMIERS','CHER'),
('18570','LE SUBDRAY','CHER'),
('18570','TROUY','CHER'),
('18600','AUGY SUR AUBOIS','CHER'),
('18600','GIVARDON','CHER'),
('18600','GROSSOUVRE','CHER'),
('18600','MORNAY SUR ALLIER','CHER'),
('18600','NEUILLY EN DUN','CHER'),
('18600','NEUVY LE BARROIS','CHER'),
('18600','SAGONNE','CHER'),
('18600','ST AIGNAN DES NOYERS','CHER'),
('18600','SANCOINS','CHER'),
('18600','VEREAUX','CHER'),
('18700','AUBIGNY SUR NERE','CHER'),
('18700','MENETREOL SUR SAULDRE','CHER'),
('18700','OIZON','CHER'),
('18700','STE MONTAINE','CHER'),
('18800','BAUGY','CHER'),
('18800','CHASSY','CHER'),
('18800','ETRECHY','CHER'),
('18800','FARGES EN SEPTAINE','CHER'),
('18800','GRON','CHER'),
('18800','LAVERDINES','CHER'),
('18800','SALIGNY LE VIF','CHER'),
('18800','VILLABON','CHER'),
('18800','VILLEQUIERS','CHER'),
('18800','DEJOINTES','CHER'),
('19000','LES ANGLES SUR CORREZE','CORREZE'),
('19000','TULLE','CORREZE'),
('19100','BRIVE LA GAILLARDE','CORREZE'),
('19110','BORT LES ORGUES','CORREZE'),
('19110','MONESTIER PORT DIEU','CORREZE'),
('19110','ST JULIEN PRES BORT','CORREZE'),
('19110','SARROUX','CORREZE'),
('19120','ALTILLAC','CORREZE'),
('19120','ASTAILLAC','CORREZE'),
('19120','BEAULIEU SUR DORDOGNE','CORREZE'),
('19120','BILLAC','CORREZE'),
('19120','BRIVEZAC','CORREZE'),
('19120','LA CHAPELLE AUX ST','CORREZE'),
('19120','CHENAILLER MASCHEIX','CORREZE'),
('19120','LIOURDRES','CORREZE'),
('19120','NONARDS','CORREZE'),
('19120','PUY D ARNAC','CORREZE'),
('19120','QUEYSSAC LES VIGNES','CORREZE'),
('19120','SIONIAC','CORREZE'),
('19120','TUDEILS','CORREZE'),
('19120','VEGENNES','CORREZE'),
('19130','LASCAUX','CORREZE'),
('19130','OBJAT','CORREZE'),
('19130','ST AULAIRE','CORREZE'),
('19130','ST BONNET LA RIVIERE','CORREZE'),
('19130','ST CYPRIEN','CORREZE'),
('19130','ST CYR LA ROCHE','CORREZE'),
('19130','ST SOLVE','CORREZE'),
('19130','VARS SUR ROSEIX','CORREZE'),
('19130','VIGNOLS','CORREZE'),
('19130','VOUTEZAC','CORREZE'),
('19140','CONDAT SUR GANAVEIX','CORREZE'),
('19140','ESPARTIGNAC','CORREZE'),
('19140','EYBURIE','CORREZE'),
('19140','ST YBARD','CORREZE'),
('19140','UZERCHE','CORREZE'),
('19150','CHANAC LES MINES','CORREZE'),
('19150','CORNIL','CORREZE'),
('19150','ESPAGNAC','CORREZE'),
('19150','LADIGNAC SUR RONDELLE','CORREZE'),
('19150','LAGARDE ENVAL','CORREZE'),
('19150','LAGUENNE','CORREZE'),
('19150','MARC LA TOUR','CORREZE'),
('19150','PANDRIGNES','CORREZE'),
('19150','ST BONNET AVALOUZE','CORREZE'),
('19150','ST MARTIAL DE GIMEL','CORREZE'),
('19150','ST PAUL','CORREZE'),
('19160','CHIRAC BELLEVUE','CORREZE'),
('19160','LAMAZIERE BASSE','CORREZE'),
('19160','LATRONCHE','CORREZE'),
('19160','LIGINIAC','CORREZE'),
('19160','NEUVIC','CORREZE'),
('19160','PALISSE','CORREZE'),
('19160','ROCHE LE PEYROUX','CORREZE'),
('19160','ST ETIENNE LA GENESTE','CORREZE'),
('19160','ST HILAIRE LUC','CORREZE'),
('19160','STE MARIE LAPANOUZE','CORREZE'),
('19160','ST PANTALEON DE LAPLEAU','CORREZE'),
('19160','SERANDON','CORREZE'),
('19170','BONNEFOND','CORREZE'),
('19170','BUGEAT','CORREZE'),
('19170','L EGLISE AUX BOIS','CORREZE'),
('19170','GOURDON MURAT','CORREZE'),
('19170','LACELLE','CORREZE'),
('19170','LESTARDS','CORREZE'),
('19170','PEROLS SUR VEZERE','CORREZE'),
('19170','PRADINES','CORREZE'),
('19170','ST HILAIRE LES COURBES','CORREZE'),
('19170','ST MERD LES OUSSINES','CORREZE'),
('19170','TARNAC','CORREZE'),
('19170','TOY VIAM','CORREZE'),
('19170','VIAM','CORREZE'),
('19190','ALBIGNAC','CORREZE'),
('19190','AUBAZINE','CORREZE'),
('19190','BEYNAT','CORREZE'),
('19190','LE CHASTANG','CORREZE'),
('19190','LANTEUIL','CORREZE'),
('19190','MENOIRE','CORREZE'),
('19190','PALAZINGES','CORREZE'),
('19190','LE PESCHER','CORREZE'),
('19190','SERILHAC','CORREZE'),
('19200','AIX','CORREZE'),
('19200','ALLEYRAT','CORREZE'),
('19200','CHAVEROCHE','CORREZE'),
('19200','LIGNAREIX','CORREZE'),
('19200','MARGERIDES','CORREZE'),
('19200','MESTES','CORREZE'),
('19200','CONFOLENT PORT DIEU','CORREZE'),
('19200','ST ANGEL','CORREZE'),
('19200','ST BONNET PRES BORT','CORREZE'),
('19200','ST DEZERY','CORREZE'),
('19200','ST ETIENNE AUX CLOS','CORREZE'),
('19200','ST EXUPERY LES ROCHES','CORREZE'),
('19200','ST FREJOUX','CORREZE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('19200','ST PARDOUX LE NEUF','CORREZE'),
('19200','ST PARDOUX LE VIEUX','CORREZE'),
('19200','ST VICTOUR','CORREZE'),
('19200','THALAMY','CORREZE'),
('19200','LA TOURETTE','CORREZE'),
('19200','USSEL','CORREZE'),
('19200','VALIERGUES','CORREZE'),
('19200','VEYRIERES','CORREZE'),
('19210','LUBERSAC','CORREZE'),
('19210','MONTGIBAUD','CORREZE'),
('19210','ST ELOY LES TUILERIES','CORREZE'),
('19210','ST JULIEN LE VENDOMOIS','CORREZE'),
('19210','ST MARTIN SEPERT','CORREZE'),
('19210','ST PARDOUX CORBIER','CORREZE'),
('19220','AURIAC','CORREZE'),
('19220','BASSIGNAC LE HAUT','CORREZE'),
('19220','DARAZAC','CORREZE'),
('19220','RILHAC XAINTRIE','CORREZE'),
('19220','ST CIRGUES LA LOUTRE','CORREZE'),
('19220','ST GENIEZ O MERLE','CORREZE'),
('19220','ST JULIEN AUX BOIS','CORREZE'),
('19220','ST PRIVAT','CORREZE'),
('19220','SERVIERES LE CHATEAU','CORREZE'),
('19230','ARNAC POMPADOUR','CORREZE'),
('19230','BEYSSAC','CORREZE'),
('19230','BEYSSENAC','CORREZE'),
('19230','ST SORNIN LAVOLPS','CORREZE'),
('19230','SEGUR LE CHATEAU','CORREZE'),
('19230','TROCHE','CORREZE'),
('19240','ALLASSAC','CORREZE'),
('19240','ST VIANCE','CORREZE'),
('19240','VARETZ','CORREZE'),
('19250','AMBRUGEAT','CORREZE'),
('19250','COMBRESSOL','CORREZE'),
('19250','DAVIGNAC','CORREZE'),
('19250','MAUSSAC','CORREZE'),
('19250','MEYMAC','CORREZE'),
('19250','ST SULPICE LES BOIS','CORREZE'),
('19260','AFFIEUX','CORREZE'),
('19260','PEYRISSAC','CORREZE'),
('19260','RILHAC TREIGNAC','CORREZE'),
('19260','TREIGNAC','CORREZE'),
('19260','VEIX','CORREZE'),
('19270','DONZENAC','CORREZE'),
('19270','SADROC','CORREZE'),
('19270','STE FEREOLE','CORREZE'),
('19270','ST PARDOUX L ORTIGIER','CORREZE'),
('19270','USSAC','CORREZE'),
('19290','BELLECHASSAGNE','CORREZE'),
('19290','CHAVANAC','CORREZE'),
('19290','MILLEVACHES','CORREZE'),
('19290','PEYRELEVADE','CORREZE'),
('19290','ST GERMAIN LAVOLPS','CORREZE'),
('19290','ST REMY','CORREZE'),
('19290','ST SETIERS','CORREZE'),
('19290','SORNAC','CORREZE'),
('19300','CHAPELLE SPINASSE','CORREZE'),
('19300','DARNETS','CORREZE'),
('19300','EGLETONS','CORREZE'),
('19300','GRANDSAIGNE','CORREZE'),
('19300','LE JARDIN','CORREZE'),
('19300','MONTAIGNAC ST HIPPOLYTE','CORREZE'),
('19300','MOUSTIER VENTADOUR','CORREZE'),
('19300','PERET BEL AIR','CORREZE'),
('19300','ROSIERS D EGLETONS','CORREZE'),
('19300','ST YRIEIX LE DEJALAT','CORREZE'),
('19300','SOUDEILLES','CORREZE'),
('19310','AYEN','CORREZE'),
('19310','BRIGNAC LA PLAINE','CORREZE'),
('19310','LOUIGNAC','CORREZE'),
('19310','PERPEZAC LE BLANC','CORREZE'),
('19310','ST ROBERT','CORREZE'),
('19310','SEGONZAC','CORREZE'),
('19310','YSSANDON','CORREZE'),
('19320','CHAMPAGNAC LA NOAILLE','CORREZE'),
('19320','CHAMPAGNAC LA PRUNE','CORREZE'),
('19320','CLERGOUX','CORREZE'),
('19320','GROS CHASTANG','CORREZE'),
('19320','GUMOND','CORREZE'),
('19320','LAFAGE SUR SOMBRE','CORREZE'),
('19320','MARCILLAC LA CROISILLE','CORREZE'),
('19320','LA ROCHE CANILLAC','CORREZE'),
('19320','ST BAZILE DE LA ROCHE','CORREZE'),
('19320','ST MARTIN LA MEANNE','CORREZE'),
('19320','ST MERD DE LAPLEAU','CORREZE'),
('19320','ST PARDOUX LA CROISILLE','CORREZE'),
('19330','CHAMEYRAT','CORREZE'),
('19330','CHANTEIX','CORREZE'),
('19330','FAVARS','CORREZE'),
('19330','ST GERMAIN LES VERGNES','CORREZE'),
('19330','ST MEXANT','CORREZE'),
('19340','COUFFY SUR SARSONNE','CORREZE'),
('19340','COURTEIX','CORREZE'),
('19340','EYGURANDE','CORREZE'),
('19340','FEYT','CORREZE'),
('19340','LAMAZIERE HAUTE','CORREZE'),
('19340','LAROCHE PRES FEYT','CORREZE'),
('19340','MERLINES','CORREZE'),
('19340','MONESTIER MERLINES','CORREZE'),
('19350','CHABRIGNAC','CORREZE'),
('19350','CONCEZE','CORREZE'),
('19350','JUILLAC','CORREZE'),
('19350','ROSIERS DE JUILLAC','CORREZE'),
('19360','LA CHAPELLE AUX BROCS','CORREZE'),
('19360','COSNAC','CORREZE'),
('19360','DAMPNIAT','CORREZE'),
('19360','MALEMORT SUR CORREZE','CORREZE'),
('19360','VENARSAL','CORREZE'),
('19370','CHAMBERET','CORREZE'),
('19370','SOUDAINE LAVINADIERE','CORREZE'),
('19380','ALBUSSAC','CORREZE'),
('19380','FORGES','CORREZE'),
('19380','NEUVILLE','CORREZE'),
('19380','ST BONNET ELVERT','CORREZE'),
('19380','ST CHAMANT','CORREZE'),
('19380','ST SYLVAIN','CORREZE'),
('19390','BEAUMONT','CORREZE'),
('19390','CHAUMEIL','CORREZE'),
('19390','ORLIAC DE BAR','CORREZE'),
('19390','ST AUGUSTIN','CORREZE'),
('19400','ARGENTAT','CORREZE'),
('19400','HAUTEFAGE','CORREZE'),
('19400','MONCEAUX SUR DORDOGNE','CORREZE'),
('19400','ST HILAIRE TAURIEUX','CORREZE'),
('19400','ST MARTIAL ENTRAYGUES','CORREZE'),
('19410','ESTIVAUX','CORREZE'),
('19410','ORGNAC SUR VEZERE','CORREZE'),
('19410','PERPEZAC LE NOIR','CORREZE'),
('19410','ST BONNET L ENFANTIER','CORREZE'),
('19410','VIGEOIS','CORREZE'),
('19430','BASSIGNAC LE BAS','CORREZE'),
('19430','CAMPS ST MATHURIN LEOBAZE','CORREZE'),
('19430','LA CHAPELLE ST GERAUD','CORREZE'),
('19430','GOULLES','CORREZE'),
('19430','MERCOEUR','CORREZE'),
('19430','REYGADE','CORREZE'),
('19430','ST BONNET LES TOURS DE ME','CORREZE'),
('19430','ST JULIEN LE PELERIN','CORREZE'),
('19430','ST MATHURIN LEOBAZEL','CORREZE'),
('19430','SEXCLES','CORREZE'),
('19450','CHAMBOULIVE','CORREZE'),
('19450','PIERREFITTE','CORREZE'),
('19460','NAVES','CORREZE'),
('19470','LE LONZAC','CORREZE'),
('19470','MADRANGES','CORREZE'),
('19490','STE FORTUNADE','CORREZE'),
('19500','BRANCEILLES','CORREZE'),
('19500','CHAUFFOUR SUR VELL','CORREZE'),
('19500','COLLONGES LA ROUGE','CORREZE'),
('19500','CUREMONTE','CORREZE'),
('19500','JUGEALS NAZARETH','CORREZE'),
('19500','LAGLEYGEOLLE','CORREZE'),
('19500','LIGNEYRAC','CORREZE'),
('19500','LOSTANGES','CORREZE'),
('19500','MARCILLAC LA CROZE','CORREZE'),
('19500','MEYSSAC','CORREZE'),
('19500','NOAILHAC','CORREZE'),
('19500','SAILLAC','CORREZE'),
('19500','ST BAZILE DE MEYSSAC','CORREZE'),
('19500','ST JULIEN MAUMONT','CORREZE'),
('19500','TURENNE','CORREZE'),
('19510','BENAYES','CORREZE'),
('19510','LAMONGERIE','CORREZE'),
('19510','MASSERET','CORREZE'),
('19510','MEILHARDS','CORREZE'),
('19510','SALON LA TOUR','CORREZE'),
('19520','CUBLAC','CORREZE'),
('19520','MANSAC','CORREZE'),
('19550','LAPLEAU','CORREZE'),
('19550','LAVAL SUR LUZEGE','CORREZE'),
('19550','ST HILAIRE FOISSAC','CORREZE'),
('19550','SOURSAC','CORREZE'),
('19560','ST HILAIRE PEYROUX','CORREZE'),
('19600','CHARTRIER FERRIERE','CORREZE'),
('19600','CHASTEAUX','CORREZE'),
('19600','ESTIVALS','CORREZE'),
('19600','LARCHE','CORREZE'),
('19600','LISSAC SUR COUZE','CORREZE'),
('19600','NESPOULS','CORREZE'),
('19600','NOAILLES','CORREZE'),
('19600','ST CERNIN DE LARCHE','CORREZE'),
('19600','ST PANTALEON DE LARCHE','CORREZE'),
('19600','LA FEUILLADE','CORREZE'),
('19700','LAGRAULIERE','CORREZE'),
('19700','ST CLEMENT','CORREZE'),
('19700','ST JAL','CORREZE'),
('19700','ST SALVADOUR','CORREZE'),
('19700','SEILHAC','CORREZE'),
('19800','BAR','CORREZE'),
('19800','CORREZE','CORREZE'),
('19800','EYREIN','CORREZE'),
('19800','GIMEL LES CASCADES','CORREZE'),
('19800','MEYRIGNAC L EGLISE','CORREZE'),
('19800','ST PRIEST DE GIMEL','CORREZE'),
('19800','SARRAN','CORREZE'),
('19800','VITRAC SUR MONTANE','CORREZE'),
('20000','AJACCIO','CORSE'),
('20100','BILIA','CORSE'),
('20100','FOCE','CORSE'),
('20100','GIUNCHETO','CORSE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('20100','GRANACE','CORSE'),
('20100','GROSSA','CORSE'),
('20100','SARTENE','CORSE'),
('20100','TIVOLAGGIO','CORSE'),
('20110','ARBELLARA','CORSE'),
('20110','BELVEDERE CAMPOMORO','CORSE'),
('20110','PROPRIANO','CORSE'),
('20110','VIGGIANELLO','CORSE'),
('20111','CALCATOGGIO','CORSE'),
('20111','CASAGLIONE','CORSE'),
('20112','ALTAGENE','CORSE'),
('20112','MELA','CORSE'),
('20112','OLMICCIA','CORSE'),
('20112','STE LUCIE DE TALLANO','CORSE'),
('20112','ZOZA','CORSE'),
('20113','OLMETO','CORSE'),
('20114','FIGARI','CORSE'),
('20115','PIANA','CORSE'),
('20116','AULLENE','CORSE'),
('20116','ZERUBIA','CORSE'),
('20117','CAURO','CORSE'),
('20117','ECCICA SUARELLA','CORSE'),
('20117','OCANA','CORSE'),
('20117','TOLLA','CORSE'),
('20118','SAGONE','CORSE'),
('20119','BASTELICA','CORSE'),
('20121','AZZANA','CORSE'),
('20121','PASTRICCIOLA','CORSE'),
('20121','REZZA','CORSE'),
('20121','ROSAZIA','CORSE'),
('20121','SALICE','CORSE'),
('20122','QUENZA','CORSE'),
('20123','COGNOCOLI MONTICHI','CORSE'),
('20123','PILA CANALE','CORSE'),
('20124','ZONZA','CORSE'),
('20125','ORTO','CORSE'),
('20125','POGGIOLO','CORSE'),
('20125','SOCCIA','CORSE'),
('20126','CRISTINACCE','CORSE'),
('20126','EVISA','CORSE'),
('20127','SERRA DI SCOPAMENE','CORSE'),
('20128','ALBITRECCIA','CORSE'),
('20128','GROSSETO PRUGNA','CORSE'),
('20128','GUARGUALE','CORSE'),
('20128','URBALACONE','CORSE'),
('20129','BASTELICACCIA','CORSE'),
('20130','CARGESE','CORSE'),
('20131','PIANOTOLLI CALDARELLO','CORSE'),
('20132','ZICAVO','CORSE'),
('20133','CARBUCCIA','CORSE'),
('20133','UCCIANI','CORSE'),
('20134','CIAMANNACCE','CORSE'),
('20134','PALNECA','CORSE'),
('20134','SAMPOLO','CORSE'),
('20134','TASSO','CORSE'),
('20135','CONCA','CORSE'),
('20136','BOCOGNANO','CORSE'),
('20137','LECCI','CORSE'),
('20137','PORTO VECCHIO','CORSE'),
('20138','COTI CHIAVARI','CORSE'),
('20139','LOPIGNA','CORSE'),
('20140','ARGIUSTA MORICCIO','CORSE'),
('20140','CASALABRIVA','CORSE'),
('20140','MOCA CROCE','CORSE'),
('20140','OLIVESE','CORSE'),
('20140','PETRETO BICCHISANO','CORSE'),
('20140','SERRA DI FERRO','CORSE'),
('20140','SOLLACARO','CORSE'),
('20140','PORTO POLLO','CORSE'),
('20141','MARIGNANA','CORSE'),
('20142','CAMPO','CORSE'),
('20142','QUASQUARA','CORSE'),
('20143','FOZZANO','CORSE'),
('20143','SANTA MARIA FIGANIELLA','CORSE'),
('20144','STE LUCIE DE PORTO VECCHI','CORSE'),
('20145','SARI SOLENZARA','CORSE'),
('20145','SOLENZARA','CORSE'),
('20146','SOTTA','CORSE'),
('20147','OSANI','CORSE'),
('20147','PARTINELLO','CORSE'),
('20147','SERRIERA','CORSE'),
('20148','COZZANO','CORSE'),
('20150','OTA','CORSE'),
('20150','PORTO','CORSE'),
('20151','AMBIEGNA','CORSE'),
('20151','ARRO','CORSE'),
('20151','CANNELLE','CORSE'),
('20151','SARI D ORCINO','CORSE'),
('20151','SANT ANDREA D ORCINO','CORSE'),
('20152','SORBOLLANO','CORSE'),
('20153','GUITERA LES BAINS','CORSE'),
('20157','FRASSETO','CORSE'),
('20160','ARBORI','CORSE'),
('20160','BALOGNA','CORSE'),
('20160','COGGIA','CORSE'),
('20160','GUAGNO','CORSE'),
('20160','LETIA','CORSE'),
('20160','MURZO','CORSE'),
('20160','RENNO','CORSE'),
('20160','VICO','CORSE'),
('20160','GUAGNO LES BAINS','CORSE'),
('20163','TAVERA','CORSE'),
('20164','CARGIACA','CORSE'),
('20165','LORETO DI TALLANO','CORSE'),
('20166','PIETROSELLA','CORSE'),
('20166','PORTICCIO','CORSE'),
('20166','BISINAO','CORSE'),
('20167','AFA','CORSE'),
('20167','ALATA','CORSE'),
('20167','APPIETTO','CORSE'),
('20167','CUTTOLI CORTICCHIATO','CORSE'),
('20167','PERI','CORSE'),
('20167','SARROLA CARCOPINO','CORSE'),
('20167','TAVACO','CORSE'),
('20167','VALLE DI MEZZANA','CORSE'),
('20167','VILLANOVA','CORSE'),
('20167','MEZZAVIA','CORSE'),
('20168','CORRANO','CORSE'),
('20169','BONIFACIO','CORSE'),
('20170','CARBINI','CORSE'),
('20170','LEVIE','CORSE'),
('20170','SAN GAVINO DI CARBINI','CORSE'),
('20171','MONACIA D AULLENE','CORSE'),
('20172','VERO','CORSE'),
('20173','ZEVACO','CORSE'),
('20190','AZILONE AMPAZA','CORSE'),
('20190','CARDO TORGIA','CORSE'),
('20190','FORCIOLO','CORSE'),
('20190','SANTA MARIA SICHE','CORSE'),
('20190','ZIGLIARA','CORSE'),
('20200','BASTIA','CORSE'),
('20200','SAN MARTINO DI LOTA','CORSE'),
('20200','SANTA MARIA DI LOTA','CORSE'),
('20200','VILLE DI PIETRABUGNO','CORSE'),
('20200','CARDO','CORSE'),
('20200','MIOMO','CORSE'),
('20200','PIETRANERA','CORSE'),
('20211','NOVELLA','CORSE'),
('20212','ALANDO','CORSE'),
('20212','ALZI','CORSE'),
('20212','BUSTANICO','CORSE'),
('20212','CASTELLARE DI MERCURIO','CORSE'),
('20212','ERBAJOLO','CORSE'),
('20212','FAVALELLO','CORSE'),
('20212','FOCICCHIA','CORSE'),
('20212','MAZZOLA','CORSE'),
('20212','SERMANO','CORSE'),
('20212','SANT ANDREA DI BOZIO','CORSE'),
('20213','CASTELLARE DI CASINCA','CORSE'),
('20213','PENTA DI CASINCA','CORSE'),
('20213','SORBO OCAGNANO','CORSE'),
('20213','FOLELLI','CORSE'),
('20213','QUERCIOLO','CORSE'),
('20214','CALENZANA','CORSE'),
('20214','CASSANO','CORSE'),
('20214','MONCALE','CORSE'),
('20214','MONTEGROSSO','CORSE'),
('20214','ZILIA','CORSE'),
('20214','MONTEMAGGIORE','CORSE'),
('20214','ST RAINIER DE BALAGNE','CORSE'),
('20214','SUARE','CORSE'),
('20215','CASALTA','CORSE'),
('20215','LORETO DI CASINCA','CORSE'),
('20215','PIANO','CORSE'),
('20215','PORRI','CORSE'),
('20215','SILVARECCIO','CORSE'),
('20215','VENZOLASCA','CORSE'),
('20215','VESCOVATO','CORSE'),
('20217','CANARI','CORSE'),
('20217','NONZA','CORSE'),
('20217','OGLIASTRO','CORSE'),
('20217','OLCANI','CORSE'),
('20217','OLMETA DI CAPOCORSO','CORSE'),
('20217','ST FLORENT','CORSE'),
('20217','CASTA','CORSE'),
('20218','CASTIFAO','CORSE'),
('20218','CASTIGLIONE','CORSE'),
('20218','CASTINETA','CORSE'),
('20218','GAVIGNANO','CORSE'),
('20218','LAMA','CORSE'),
('20218','MOLTIFAO','CORSE'),
('20218','MOROSAGLIA','CORSE'),
('20218','PIEDIGRIGGIO','CORSE'),
('20218','PIETRALBA','CORSE'),
('20218','POPOLASCA','CORSE'),
('20218','PRATO DI GIOVELLINA','CORSE'),
('20218','SALICETO','CORSE'),
('20218','URTACA','CORSE'),
('20218','PONTE LECCIA','CORSE'),
('20219','MURACCIOLE','CORSE'),
('20219','NOCETA','CORSE'),
('20219','ROSPIGLIANI','CORSE'),
('20219','VIVARIO','CORSE'),
('20219','VIZZAVONA','CORSE'),
('20219','TATTONE','CORSE'),
('20220','ALGAJOLA','CORSE'),
('20220','AREGNO','CORSE'),
('20220','CORBARA','CORSE'),
('20220','L ILE ROUSSE','CORSE'),
('20220','MONTICELLO','CORSE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('20220','PIGNA','CORSE'),
('20220','SANT ANTONINO','CORSE'),
('20220','SANTA REPARATA DI BALAGNA','CORSE'),
('20221','CERVIONE','CORSE'),
('20221','SANT ANDREA DI COTONE','CORSE'),
('20221','SANTA MARIA POGGIO','CORSE'),
('20221','VALLE DI CAMPOLORO','CORSE'),
('20221','PRUNETE','CORSE'),
('20222','BRANDO','CORSE'),
('20222','ERBALUNGA','CORSE'),
('20222','LAVASINA','CORSE'),
('20224','ALBERTACCE','CORSE'),
('20224','CALACUCCIA','CORSE'),
('20224','CASAMACCIOLI','CORSE'),
('20224','CORSCIA','CORSE'),
('20224','LOZZI','CORSE'),
('20224','VERGIO','CORSE'),
('20225','AVAPESSA','CORSE'),
('20225','CATERI','CORSE'),
('20225','FELICETO','CORSE'),
('20225','LAVATOGGIO','CORSE'),
('20225','MURO','CORSE'),
('20225','NESSA','CORSE'),
('20226','BELGODERE','CORSE'),
('20226','COSTA','CORSE'),
('20226','OCCHIATANA','CORSE'),
('20226','PALASCA','CORSE'),
('20226','SPELONCATO','CORSE'),
('20226','LOZARI','CORSE'),
('20227','GHISONI','CORSE'),
('20228','BARRETTALI','CORSE'),
('20228','CAGNANO','CORSE'),
('20228','LURI','CORSE'),
('20228','PINO','CORSE'),
('20228','SANTA SEVERA','CORSE'),
('20229','CAMPANA','CORSE'),
('20229','CARCHETO BRUSTICO','CORSE'),
('20229','CARPINETO','CORSE'),
('20229','MONACCIA D OREZZA','CORSE'),
('20229','NOCARIO','CORSE'),
('20229','PARATA','CORSE'),
('20229','PIAZZOLE','CORSE'),
('20229','PIEDICROCE','CORSE'),
('20229','PIEDIPARTINO','CORSE'),
('20229','PIED OREZZA','CORSE'),
('20229','POLVEROSO','CORSE'),
('20229','RAPAGGIO','CORSE'),
('20229','STAZZONA','CORSE'),
('20229','VALLE D OREZZA','CORSE'),
('20229','VERDESE','CORSE'),
('20230','CANALE DI VERDE','CORSE'),
('20230','CHIATRA','CORSE'),
('20230','LINGUIZZETTA','CORSE'),
('20230','PERO CASEVECCHIE','CORSE'),
('20230','PIETRA DI VERDE','CORSE'),
('20230','POGGIO MEZZANA','CORSE'),
('20230','SAN GIOVANNI DI MORIANI','CORSE'),
('20230','SAN GIULIANO','CORSE'),
('20230','SANTA LUCIA DI MORIANI','CORSE'),
('20230','SAN NICOLAO','CORSE'),
('20230','SANTA REPARATA DI MORIANI','CORSE'),
('20230','TAGLIO ISOLACCIO','CORSE'),
('20230','TALASANI','CORSE'),
('20230','VELONE ORNETO','CORSE'),
('20230','MORIANI PLAGE','CORSE'),
('20230','ALISTRO','CORSE'),
('20230','BRAVONE','CORSE'),
('20230','MORIANI','CORSE'),
('20230','FIGARETTO','CORSE'),
('20231','VENACO','CORSE'),
('20232','OLETTA','CORSE'),
('20232','POGGIO D OLETTA','CORSE'),
('20233','PIETRACORBARA','CORSE'),
('20233','SISCO','CORSE'),
('20234','FELCE','CORSE'),
('20234','NOVALE','CORSE'),
('20234','ORTALE','CORSE'),
('20234','PERELLI','CORSE'),
('20234','PIAZZALI','CORSE'),
('20234','PIETRICAGGIO','CORSE'),
('20234','PIOBETTA','CORSE'),
('20234','TARRANO','CORSE'),
('20234','VALLE D ALESANI','CORSE'),
('20235','BISINCHI','CORSE'),
('20235','CANAVAGGIA','CORSE'),
('20235','CASTELLO DI ROSTINO','CORSE'),
('20235','VALLE DI ROSTINO','CORSE'),
('20236','CASTIRLA','CORSE'),
('20236','OMESSA','CORSE'),
('20236','FRANCARDO','CORSE'),
('20237','CASABIANCA','CORSE'),
('20237','CROCE','CORSE'),
('20237','FICAJA','CORSE'),
('20237','GIOCATOJO','CORSE'),
('20237','POGGIO MARINACCIO','CORSE'),
('20237','LA PORTA','CORSE'),
('20237','QUERCITELLO','CORSE'),
('20238','CENTURI','CORSE'),
('20238','MORSIGLIA','CORSE'),
('20239','MURATO','CORSE'),
('20239','RUTALI','CORSE'),
('20240','GHISONACCIA','CORSE'),
('20240','LUGO DI NAZZA','CORSE'),
('20240','POGGIO DI NAZZA','CORSE'),
('20240','SOLARO','CORSE'),
('20240','VENTISERI','CORSE'),
('20240','CHISA','CORSE'),
('20240','ALZITONE','CORSE'),
('20240','MIGNATAJA','CORSE'),
('20240','ST ANTOINE','CORSE'),
('20240','TRAVO','CORSE'),
('20242','PIETROSO','CORSE'),
('20242','VEZZANI','CORSE'),
('20243','ISOLACCIO DI FIUMORBO','CORSE'),
('20243','PRUNELLI DI FIUMORBO','CORSE'),
('20243','SERRA DI FIUMORBO','CORSE'),
('20243','SAN GAVINO DI FIUMORBO','CORSE'),
('20243','ABBAZIA','CORSE'),
('20243','AJIOLA','CORSE'),
('20243','MORTA','CORSE'),
('20243','PIETRAPOLA','CORSE'),
('20244','AITI','CORSE'),
('20244','CAMBIA','CORSE'),
('20244','CARTICASI','CORSE'),
('20244','ERONE','CORSE'),
('20244','LANO','CORSE'),
('20244','RUSIO','CORSE'),
('20244','SAN LORENZO','CORSE'),
('20245','GALERIA','CORSE'),
('20245','MANSO','CORSE'),
('20246','SAN GAVINO DI TENDA','CORSE'),
('20246','SANTO PIETRO DI TENDA','CORSE'),
('20247','ROGLIANO','CORSE'),
('20248','TOMINO','CORSE'),
('20248','MACINAGGIO','CORSE'),
('20250','CASANOVA','CORSE'),
('20250','CORTE','CORSE'),
('20250','POGGIO DE VENACO','CORSE'),
('20250','RIVENTOSA','CORSE'),
('20250','SOVERIA','CORSE'),
('20250','SANTA LUCIA DI MERCURIO','CORSE'),
('20250','SANTO PIETRO DI VENACO','CORSE'),
('20250','TRALONCA','CORSE'),
('20251','ALTIANI','CORSE'),
('20251','GIUNCAGGIO','CORSE'),
('20251','PANCHERACCIA','CORSE'),
('20251','PIEDICORTE DI GAGGIO','CORSE'),
('20251','PIETRASERENA','CORSE'),
('20252','BIGORNO','CORSE'),
('20252','CAMPITELLO','CORSE'),
('20252','LENTO','CORSE'),
('20253','BARBAGGIO','CORSE'),
('20253','FARINOLE','CORSE'),
('20253','PATRIMONIO','CORSE'),
('20258','PIEVE','CORSE'),
('20258','RAPALE','CORSE'),
('20258','SORIO','CORSE'),
('20259','MAUSOLEO','CORSE'),
('20259','OLMI CAPPELLA','CORSE'),
('20259','PIOGGIOLA','CORSE'),
('20259','VALLICA','CORSE'),
('20260','CALVI','CORSE'),
('20260','LUMIO','CORSE'),
('20260','ARGENTELLA','CORSE'),
('20264','PRUNO','CORSE'),
('20264','SCATA','CORSE'),
('20264','SAN DAMIANO','CORSE'),
('20264','SAN GAVINO D AMPUGNANI','CORSE'),
('20264','CHAMPLAN','CORSE'),
('20270','AGHIONE','CORSE'),
('20270','ALERIA','CORSE'),
('20270','ANTISANTI','CORSE'),
('20270','CAMPI','CORSE'),
('20270','CASEVECCHIE','CORSE'),
('20270','MATRA','CORSE'),
('20270','MOITA','CORSE'),
('20270','TALLONE','CORSE'),
('20270','TOX','CORSE'),
('20270','CASAPERTA','CORSE'),
('20270','PIANICCIA','CORSE'),
('20270','VACAJA','CORSE'),
('20272','AMPRIANI','CORSE'),
('20272','PIANELLO','CORSE'),
('20272','ZALANA','CORSE'),
('20272','ZUANI','CORSE'),
('20273','OLMETA DI TUDA','CORSE'),
('20273','VALLECALLE','CORSE'),
('20275','ERSA','CORSE'),
('20276','ASCO','CORSE'),
('20279','VILLE DI PARASO','CORSE'),
('20287','MERIA','CORSE'),
('20290','BORGO','CORSE'),
('20290','CAMPILE','CORSE'),
('20290','CROCICCHIA','CORSE'),
('20290','LUCCIANA','CORSE'),
('20290','MONTE','CORSE'),
('20290','OLMO','CORSE'),
('20290','ORTIPORIO','CORSE'),
('20290','PENTA ACQUATELLA','CORSE'),
('20290','PRUNELLI DI CASACONI','CORSE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('20290','SCOLCA','CORSE'),
('20290','VIGNALE','CORSE'),
('20290','VOLPAJOLA','CORSE'),
('20290','BARCHETTA','CORSE'),
('20290','CASAMOZZA','CORSE'),
('20290','PORETTA','CORSE'),
('20290','VALROSE','CORSE'),
('20600','FURIANI','CORSE'),
('20620','BIGUGLIA','CORSE'),
('20620','CASATORRA','CORSE'),
('21000','DIJON','COTE D\'OR'),
('21110','AISEREY','COTE D\'OR'),
('21110','BEIRE LE FORT','COTE D\'OR'),
('21110','BESSEY LES CITEAUX','COTE D\'OR'),
('21110','BRETENIERES','COTE D\'OR'),
('21110','CESSEY SUR TILLE','COTE D\'OR'),
('21110','CHAMBEIRE','COTE D\'OR'),
('21110','COLLONGES LES PREMIERES','COTE D\'OR'),
('21110','ECHIGEY','COTE D\'OR'),
('21110','FAUVERNEY','COTE D\'OR'),
('21110','GENLIS','COTE D\'OR'),
('21110','IZEURE','COTE D\'OR'),
('21110','IZIER','COTE D\'OR'),
('21110','LABERGEMENT FOIGNEY','COTE D\'OR'),
('21110','LONGCHAMP','COTE D\'OR'),
('21110','LONGEAULT','COTE D\'OR'),
('21110','LONGECOURT EN PLAINE','COTE D\'OR'),
('21110','MAGNY SUR TILLE','COTE D\'OR'),
('21110','MARLIENS','COTE D\'OR'),
('21110','PLUVAULT','COTE D\'OR'),
('21110','PLUVET','COTE D\'OR'),
('21110','PREMIERES','COTE D\'OR'),
('21110','ROUVRES EN PLAINE','COTE D\'OR'),
('21110','SOIRANS','COTE D\'OR'),
('21110','TART L ABBAYE','COTE D\'OR'),
('21110','TART LE BAS','COTE D\'OR'),
('21110','TART LE HAUT','COTE D\'OR'),
('21110','THOREY EN PLAINE','COTE D\'OR'),
('21110','VARANGES','COTE D\'OR'),
('21120','AVELANGES','COTE D\'OR'),
('21120','CHAIGNAY','COTE D\'OR'),
('21120','COURTIVRON','COTE D\'OR'),
('21120','CRECEY SUR TILLE','COTE D\'OR'),
('21120','DIENAY','COTE D\'OR'),
('21120','ECHEVANNES','COTE D\'OR'),
('21120','FRENOIS','COTE D\'OR'),
('21120','GEMEAUX','COTE D\'OR'),
('21120','IS SUR TILLE','COTE D\'OR'),
('21120','LUX','COTE D\'OR'),
('21120','MARCILLY SUR TILLE','COTE D\'OR'),
('21120','MAREY SUR TILLE','COTE D\'OR'),
('21120','MOLOY','COTE D\'OR'),
('21120','PICHANGES','COTE D\'OR'),
('21120','POISEUL LES SAULX','COTE D\'OR'),
('21120','SAULX LE DUC','COTE D\'OR'),
('21120','SPOY','COTE D\'OR'),
('21120','TARSUL','COTE D\'OR'),
('21120','TIL CHATEL','COTE D\'OR'),
('21120','VERNOT','COTE D\'OR'),
('21120','VILLECOMTE','COTE D\'OR'),
('21120','VILLEY SUR TILLE','COTE D\'OR'),
('21121','AHUY','COTE D\'OR'),
('21121','DAIX','COTE D\'OR'),
('21121','DAROIS','COTE D\'OR'),
('21121','ETAULES','COTE D\'OR'),
('21121','FONTAINES LES DIJON','COTE D\'OR'),
('21121','HAUTEVILLE LES DIJON','COTE D\'OR'),
('21121','VAL SUZON','COTE D\'OR'),
('21130','ATHEE','COTE D\'OR'),
('21130','AUXONNE','COTE D\'OR'),
('21130','BILLEY','COTE D\'OR'),
('21130','CHAMPDOTRE','COTE D\'OR'),
('21130','FLAGEY LES AUXONNE','COTE D\'OR'),
('21130','FLAMMERANS','COTE D\'OR'),
('21130','LABERGEMENT LES AUXONNE','COTE D\'OR'),
('21130','MAGNY MONTARLOT','COTE D\'OR'),
('21130','LES MAILLYS','COTE D\'OR'),
('21130','PONCEY LES ATHEE','COTE D\'OR'),
('21130','PONT','COTE D\'OR'),
('21130','ST SEINE EN BACHE','COTE D\'OR'),
('21130','TILLENAY','COTE D\'OR'),
('21130','TRECLUN','COTE D\'OR'),
('21130','VILLERS LES POTS','COTE D\'OR'),
('21130','VILLERS ROTIN','COTE D\'OR'),
('21140','CHARIGNY','COTE D\'OR'),
('21140','COURCELLES LES SEMUR','COTE D\'OR'),
('21140','FLEE','COTE D\'OR'),
('21140','GENAY','COTE D\'OR'),
('21140','JUILLY','COTE D\'OR'),
('21140','LANTILLY','COTE D\'OR'),
('21140','MAGNY LA VILLE','COTE D\'OR'),
('21140','MASSINGY LES SEMUR','COTE D\'OR'),
('21140','MILLERY','COTE D\'OR'),
('21140','MONTIGNY SUR ARMANCON','COTE D\'OR'),
('21140','PONT ET MASSENE','COTE D\'OR'),
('21140','ST EUPHRONE','COTE D\'OR'),
('21140','SEMUR EN AUXOIS','COTE D\'OR'),
('21140','SOUHEY','COTE D\'OR'),
('21140','VIC DE CHASSENAY','COTE D\'OR'),
('21140','VILLARS ET VILLENOTTE','COTE D\'OR'),
('21140','VILLENEUVE SOUS CHARIGNY','COTE D\'OR'),
('21150','ALISE STE REINE','COTE D\'OR'),
('21150','BUSSY LE GRAND','COTE D\'OR'),
('21150','CHASSEY','COTE D\'OR'),
('21150','CORPOYER LA CHAPELLE','COTE D\'OR'),
('21150','DARCEY','COTE D\'OR'),
('21150','FLAVIGNY SUR OZERAIN','COTE D\'OR'),
('21150','FROLOIS','COTE D\'OR'),
('21150','GISSEY SOUS FLAVIGNY','COTE D\'OR'),
('21150','GRESIGNY STE REINE','COTE D\'OR'),
('21150','GRIGNON','COTE D\'OR'),
('21150','HAUTEROCHE','COTE D\'OR'),
('21150','JAILLY LES MOULINS','COTE D\'OR'),
('21150','LUCENAY LE DUC','COTE D\'OR'),
('21150','MARIGNY LE CAHOUET','COTE D\'OR'),
('21150','MENETREUX LE PITOIS','COTE D\'OR'),
('21150','MUSSY LA FOSSE','COTE D\'OR'),
('21150','POUILLENAY','COTE D\'OR'),
('21150','LA ROCHE VANNEAU','COTE D\'OR'),
('21150','SEIGNY','COTE D\'OR'),
('21150','THENISSEY','COTE D\'OR'),
('21150','VENAREY LES LAUMES','COTE D\'OR'),
('21150','LES LAUMES','COTE D\'OR'),
('21160','CORCELLES LES MONTS','COTE D\'OR'),
('21160','COUCHEY','COTE D\'OR'),
('21160','FLAVIGNEROT','COTE D\'OR'),
('21160','MARSANNAY LA COTE','COTE D\'OR'),
('21160','PERRIGNY LES DIJON','COTE D\'OR'),
('21170','AUBIGNY EN PLAINE','COTE D\'OR'),
('21170','CHARREY SUR SAONE','COTE D\'OR'),
('21170','ECHENON','COTE D\'OR'),
('21170','ESBARRES','COTE D\'OR'),
('21170','FRANXAULT','COTE D\'OR'),
('21170','LAPERRIERE SUR SAONE','COTE D\'OR'),
('21170','LOSNE','COTE D\'OR'),
('21170','MAGNY LES AUBIGNY','COTE D\'OR'),
('21170','MONTOT','COTE D\'OR'),
('21170','ST JEAN DE LOSNE','COTE D\'OR'),
('21170','ST SYMPHORIEN SUR SAONE','COTE D\'OR'),
('21170','ST USAGE','COTE D\'OR'),
('21170','SAMEREY','COTE D\'OR'),
('21170','TROUHANS','COTE D\'OR'),
('21190','AUXEY DURESSES','COTE D\'OR'),
('21190','CHASSAGNE MONTRACHET','COTE D\'OR'),
('21190','CORCELLES LES ARTS','COTE D\'OR'),
('21190','CORPEAU','COTE D\'OR'),
('21190','EBATY','COTE D\'OR'),
('21190','MAVILLY MANDELOT','COTE D\'OR'),
('21190','MELOISEY','COTE D\'OR'),
('21190','MERCEUIL','COTE D\'OR'),
('21190','MEURSAULT','COTE D\'OR'),
('21190','MONTHELIE','COTE D\'OR'),
('21190','NANTOUX','COTE D\'OR'),
('21190','PULIGNY MONTRACHET','COTE D\'OR'),
('21190','ST AUBIN','COTE D\'OR'),
('21190','ST ROMAIN','COTE D\'OR'),
('21190','TAILLY','COTE D\'OR'),
('21190','VOLNAY','COTE D\'OR'),
('21200','BEAUNE','COTE D\'OR'),
('21200','BLIGNY LES BEAUNE','COTE D\'OR'),
('21200','BOUZE LES BEAUNE','COTE D\'OR'),
('21200','CHEVIGNY EN VALIERE','COTE D\'OR'),
('21200','CHOREY','COTE D\'OR'),
('21200','COMBERTAULT','COTE D\'OR'),
('21200','LEVERNOIS','COTE D\'OR'),
('21200','MARIGNY LES REULLEE','COTE D\'OR'),
('21200','MEURSANGES','COTE D\'OR'),
('21200','MONTAGNY LES BEAUNE','COTE D\'OR'),
('21200','RUFFEY LES BEAUNE','COTE D\'OR'),
('21200','STE MARIE LA BLANCHE','COTE D\'OR'),
('21200','VIGNOLES','COTE D\'OR'),
('21210','CHAMPEAU EN MORVAN','COTE D\'OR'),
('21210','JUILLENAY','COTE D\'OR'),
('21210','LACOUR D ARCENAY','COTE D\'OR'),
('21210','MISSERY','COTE D\'OR'),
('21210','MOLPHEY','COTE D\'OR'),
('21210','MONTLAY EN AUXOIS','COTE D\'OR'),
('21210','LA MOTTE TERNANT','COTE D\'OR'),
('21210','ST DIDIER','COTE D\'OR'),
('21210','ST MARTIN DE LA MER','COTE D\'OR'),
('21210','SAULIEU','COTE D\'OR'),
('21210','THOISY LA BERCHERE','COTE D\'OR'),
('21210','VILLARGOIX','COTE D\'OR'),
('21220','BEVY','COTE D\'OR'),
('21220','BROCHON','COTE D\'OR'),
('21220','BROINDON','COTE D\'OR'),
('21220','CHAMBOEUF','COTE D\'OR'),
('21220','CHAMBOLLE MUSIGNY','COTE D\'OR'),
('21220','CHEVANNES','COTE D\'OR'),
('21220','CLEMENCEY','COTE D\'OR'),
('21220','COLLONGES LES BEVY','COTE D\'OR'),
('21220','CURLEY','COTE D\'OR'),
('21220','CURTIL VERGY','COTE D\'OR'),
('21220','DETAIN ET BRUANT','COTE D\'OR'),
('21220','EPERNAY SOUS GEVREY','COTE D\'OR'),
('21220','L ETANG VERGY','COTE D\'OR'),
('21220','FIXIN','COTE D\'OR'),
('21220','GEVREY CHAMBERTIN','COTE D\'OR'),
('21220','MESSANGES','COTE D\'OR'),
('21220','MOREY ST DENIS','COTE D\'OR');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('21220','QUEMIGNY POISOT','COTE D\'OR'),
('21220','REULLE VERGY','COTE D\'OR'),
('21220','ST PHILIBERT','COTE D\'OR'),
('21220','SEGROIS','COTE D\'OR'),
('21220','SEMEZANGES','COTE D\'OR'),
('21220','TERNANT','COTE D\'OR'),
('21220','URCY','COTE D\'OR'),
('21230','ALLEREY','COTE D\'OR'),
('21230','ANTIGNY LA VILLE','COTE D\'OR'),
('21230','ARNAY LE DUC','COTE D\'OR'),
('21230','CHAMPIGNOLLES','COTE D\'OR'),
('21230','CLOMOT','COTE D\'OR'),
('21230','CULETRE','COTE D\'OR'),
('21230','CUSSY LE CHATEL','COTE D\'OR'),
('21230','LE FETE','COTE D\'OR'),
('21230','FOISSY','COTE D\'OR'),
('21230','JOUEY','COTE D\'OR'),
('21230','LACANCHE','COTE D\'OR'),
('21230','LONGECOURT LES CULETRE','COTE D\'OR'),
('21230','MAGNIEN','COTE D\'OR'),
('21230','MALIGNY','COTE D\'OR'),
('21230','MIMEURE','COTE D\'OR'),
('21230','MUSIGNY','COTE D\'OR'),
('21230','ST PIERRE EN VAUX','COTE D\'OR'),
('21230','ST PRIX LES ARNAY','COTE D\'OR'),
('21230','VIEVY','COTE D\'OR'),
('21230','VOUDENAY','COTE D\'OR'),
('21240','TALANT','COTE D\'OR'),
('21250','AUVILLARS SUR SAONE','COTE D\'OR'),
('21250','BONNENCONTRE','COTE D\'OR'),
('21250','BOUSSELANGE','COTE D\'OR'),
('21250','BROIN','COTE D\'OR'),
('21250','CHAMBLANC','COTE D\'OR'),
('21250','CORBERON','COTE D\'OR'),
('21250','CORGENGOUX','COTE D\'OR'),
('21250','GLANON','COTE D\'OR'),
('21250','GROSBOIS LES TICHEY','COTE D\'OR'),
('21250','JALLANGES','COTE D\'OR'),
('21250','LABRUYERE','COTE D\'OR'),
('21250','LANTHES','COTE D\'OR'),
('21250','LECHATELET','COTE D\'OR'),
('21250','MONTAGNY LES SEURRE','COTE D\'OR'),
('21250','MONTMAIN','COTE D\'OR'),
('21250','PAGNY LA VILLE','COTE D\'OR'),
('21250','PAGNY LE CHATEAU','COTE D\'OR'),
('21250','POUILLY SUR SAONE','COTE D\'OR'),
('21250','SEURRE','COTE D\'OR'),
('21250','TICHEY','COTE D\'OR'),
('21250','TRUGNY','COTE D\'OR'),
('21250','VILLY LE MOUTIER','COTE D\'OR'),
('21260','BOUSSENOIS','COTE D\'OR'),
('21260','CHAZEUIL','COTE D\'OR'),
('21260','FONCEGRIVE','COTE D\'OR'),
('21260','ORVILLE','COTE D\'OR'),
('21260','SACQUENAY','COTE D\'OR'),
('21260','SELONGEY','COTE D\'OR'),
('21260','VERNOIS LES VESVRES','COTE D\'OR'),
('21260','VERONNES','COTE D\'OR'),
('21260','VERONNES LES PETITES','COTE D\'OR'),
('21270','BINGES','COTE D\'OR'),
('21270','CIREY LES PONTAILLER','COTE D\'OR'),
('21270','CLERY','COTE D\'OR'),
('21270','DRAMBON','COTE D\'OR'),
('21270','ETEVAUX','COTE D\'OR'),
('21270','HEUILLEY SUR SAONE','COTE D\'OR'),
('21270','MARANDEUIL','COTE D\'OR'),
('21270','MAXILLY SUR SAONE','COTE D\'OR'),
('21270','MONTMANCON','COTE D\'OR'),
('21270','PERRIGNY SUR L OGNON','COTE D\'OR'),
('21270','PONTAILLER SUR SAONE','COTE D\'OR'),
('21270','ST LEGER TRIEY','COTE D\'OR'),
('21270','ST SAUVEUR','COTE D\'OR'),
('21270','SOISSONS SUR NACEY','COTE D\'OR'),
('21270','TALMAY','COTE D\'OR'),
('21270','TELLECEY','COTE D\'OR'),
('21270','VIELVERGE','COTE D\'OR'),
('21270','VONGES','COTE D\'OR'),
('21290','BENEUVRE','COTE D\'OR'),
('21290','BURE LES TEMPLIERS','COTE D\'OR'),
('21290','BUXEROLLES','COTE D\'OR'),
('21290','CHAMBAIN','COTE D\'OR'),
('21290','CHAUGEY','COTE D\'OR'),
('21290','ESSAROIS','COTE D\'OR'),
('21290','FAVEROLLES LES LUCEY','COTE D\'OR'),
('21290','GURGY LA VILLE','COTE D\'OR'),
('21290','GURGYLE CHATEAU','COTE D\'OR'),
('21290','LEUGLAY','COTE D\'OR'),
('21290','LUCEY','COTE D\'OR'),
('21290','MENESBLE','COTE D\'OR'),
('21290','MONTMOYEN','COTE D\'OR'),
('21290','RECEY SUR OURCE','COTE D\'OR'),
('21290','ST BROING LES MOINES','COTE D\'OR'),
('21290','TERREFONDREE','COTE D\'OR'),
('21290','VOULAINES LES TEMPLIERS','COTE D\'OR'),
('21300','CHENOVE','COTE D\'OR'),
('21310','ARCEAU','COTE D\'OR'),
('21310','BEAUMONT SUR VINGEANNE','COTE D\'OR'),
('21310','BEIRE LE CHATEL','COTE D\'OR'),
('21310','BELLENEUVE','COTE D\'OR'),
('21310','BEZE','COTE D\'OR'),
('21310','BEZOUOTTE','COTE D\'OR'),
('21310','BLAGNY SUR VINGEANNE','COTE D\'OR'),
('21310','CHAMPAGNE SUR VINGEANNE','COTE D\'OR'),
('21310','CHARMES','COTE D\'OR'),
('21310','CHEUGE','COTE D\'OR'),
('21310','CUISEREY','COTE D\'OR'),
('21310','DAMPIERRE ET FLEE','COTE D\'OR'),
('21310','JANCIGNY','COTE D\'OR'),
('21310','MAGNY ST MEDARD','COTE D\'OR'),
('21310','MIREBEAU SUR BEZE','COTE D\'OR'),
('21310','NOIRON SUR BEZE','COTE D\'OR'),
('21310','OISILLY','COTE D\'OR'),
('21310','RENEVE','COTE D\'OR'),
('21310','SAVOLLES','COTE D\'OR'),
('21310','TANAY','COTE D\'OR'),
('21310','TROCHERES','COTE D\'OR'),
('21310','VIEVIGNE','COTE D\'OR'),
('21320','ARCONCEY','COTE D\'OR'),
('21320','BELLENOT SOUS POUILLY','COTE D\'OR'),
('21320','BEUREY BAUGUAY','COTE D\'OR'),
('21320','BLANCEY','COTE D\'OR'),
('21320','CHAILLY SUR ARMANCON','COTE D\'OR'),
('21320','CHATEAUNEUF','COTE D\'OR'),
('21320','CHATELLENOT','COTE D\'OR'),
('21320','CHAZILLY','COTE D\'OR'),
('21320','CIVRY EN MONTAGNE','COTE D\'OR'),
('21320','COMMARIN','COTE D\'OR'),
('21320','CREANCEY','COTE D\'OR'),
('21320','EGUILLY','COTE D\'OR'),
('21320','ESSEY','COTE D\'OR'),
('21320','MACONGE','COTE D\'OR'),
('21320','MARCILLY OGNY','COTE D\'OR'),
('21320','MARTROIS','COTE D\'OR'),
('21320','MEILLY SUR ROUVRES','COTE D\'OR'),
('21320','MONT ST JEAN','COTE D\'OR'),
('21320','POUILLY EN AUXOIS','COTE D\'OR'),
('21320','ROUVRES SOUS MEILLY','COTE D\'OR'),
('21320','STE SABINE','COTE D\'OR'),
('21320','SEMAREY','COTE D\'OR'),
('21320','THOISY LE DESERT','COTE D\'OR'),
('21320','VANDENESSE EN AUXOIS','COTE D\'OR'),
('21330','BALOT','COTE D\'OR'),
('21330','BISSEY LA PIERRE','COTE D\'OR'),
('21330','BOUIX','COTE D\'OR'),
('21330','CERILLY','COTE D\'OR'),
('21330','CHANNAY','COTE D\'OR'),
('21330','FONTAINES LES SECHES','COTE D\'OR'),
('21330','GRISELLES','COTE D\'OR'),
('21330','LAIGNES','COTE D\'OR'),
('21330','LARREY','COTE D\'OR'),
('21330','MARCENAY','COTE D\'OR'),
('21330','MOLESMES','COTE D\'OR'),
('21330','NESLE ET MASSOULT','COTE D\'OR'),
('21330','NICEY','COTE D\'OR'),
('21330','POINCON LES LARREY','COTE D\'OR'),
('21330','VERDONNET','COTE D\'OR'),
('21330','VERTAULT','COTE D\'OR'),
('21330','VILLEDIEU','COTE D\'OR'),
('21340','AUBIGNY LA RONCE','COTE D\'OR'),
('21340','BAUBIGNY','COTE D\'OR'),
('21340','CIREY LES NOLAY','COTE D\'OR'),
('21340','CORMOT LE GRAND','COTE D\'OR'),
('21340','IVRY EN MONTAGNE','COTE D\'OR'),
('21340','JOURS EN VAUX','COTE D\'OR'),
('21340','MOLINOT','COTE D\'OR'),
('21340','NOLAY','COTE D\'OR'),
('21340','LA ROCHEPOT','COTE D\'OR'),
('21340','SANTOSSE','COTE D\'OR'),
('21340','THURY','COTE D\'OR'),
('21340','VAUCHIGNON','COTE D\'OR'),
('21340','CHANGE','COTE D\'OR'),
('21350','ARNAY SOUS VITTEAUX','COTE D\'OR'),
('21350','AVOSNES','COTE D\'OR'),
('21350','BEURIZOT','COTE D\'OR'),
('21350','BOUSSEY','COTE D\'OR'),
('21350','BRAIN','COTE D\'OR'),
('21350','CHARNY','COTE D\'OR'),
('21350','DAMPIERRE EN MONTAGNE','COTE D\'OR'),
('21350','GISSEY LE VIEIL','COTE D\'OR'),
('21350','MARCELLOIS','COTE D\'OR'),
('21350','MARCILLY LES VITTEAUX','COTE D\'OR'),
('21350','MASSINGY LES VITTEAUX','COTE D\'OR'),
('21350','POSANGES','COTE D\'OR'),
('21350','SAFFRES','COTE D\'OR'),
('21350','STE COLOMBE','COTE D\'OR'),
('21350','ST THIBAULT','COTE D\'OR'),
('21350','SOUSSEY SUR BRIONNE','COTE D\'OR'),
('21350','THOREY SOUS CHARNY','COTE D\'OR'),
('21350','UNCEY LE FRANC','COTE D\'OR'),
('21350','VELOGNY','COTE D\'OR'),
('21350','VESVRES','COTE D\'OR'),
('21350','VILLEBERNY','COTE D\'OR'),
('21350','VILLEFERRY','COTE D\'OR'),
('21350','VILLY EN AUXOIS','COTE D\'OR'),
('21350','VITTEAUX','COTE D\'OR'),
('21360','ANTHEUIL','COTE D\'OR'),
('21360','AUBAINE','COTE D\'OR'),
('21360','AUXANT','COTE D\'OR'),
('21360','BESSEY EN CHAUME','COTE D\'OR'),
('21360','BESSEY LA COUR','COTE D\'OR');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('21360','BLIGNY SUR OUCHE','COTE D\'OR'),
('21360','BOUHEY','COTE D\'OR'),
('21360','LA BUSSIERE SUR OUCHE','COTE D\'OR'),
('21360','CHAUDENAY LA VILLE','COTE D\'OR'),
('21360','CHAUDENAY LE CHATEAU','COTE D\'OR'),
('21360','COLOMBIER','COTE D\'OR'),
('21360','CRUGEY','COTE D\'OR'),
('21360','CUSSY LA COLONNE','COTE D\'OR'),
('21360','ECUTIGNY','COTE D\'OR'),
('21360','LUSIGNY SUR OUCHE','COTE D\'OR'),
('21360','MONTCEAU ET ECHARNANT','COTE D\'OR'),
('21360','PAINBLANC','COTE D\'OR'),
('21360','SAUSSEY','COTE D\'OR'),
('21360','THOMIREY','COTE D\'OR'),
('21360','THOREY SUR OUCHE','COTE D\'OR'),
('21360','VEILLY','COTE D\'OR'),
('21360','VEUVEY SUR OUCHE','COTE D\'OR'),
('21360','VIC DES PRES','COTE D\'OR'),
('21370','LANTENAY','COTE D\'OR'),
('21370','PASQUES','COTE D\'OR'),
('21370','PLOMBIERES LES DIJON','COTE D\'OR'),
('21370','PRENOIS','COTE D\'OR'),
('21370','VELARS SUR OUCHE','COTE D\'OR'),
('21380','ASNIERES LES DIJON','COTE D\'OR'),
('21380','CURTIL ST SEINE','COTE D\'OR'),
('21380','EPAGNY','COTE D\'OR'),
('21380','MARSANNAY LE BOIS','COTE D\'OR'),
('21380','MESSIGNY ET VANTOUX','COTE D\'OR'),
('21380','SAUSSY','COTE D\'OR'),
('21380','SAVIGNY LE SEC','COTE D\'OR'),
('21380','VANTOUX LES DIJON','COTE D\'OR'),
('21390','AISY SOUS THIL','COTE D\'OR'),
('21390','BIERRE LES SEMUR','COTE D\'OR'),
('21390','BRAUX','COTE D\'OR'),
('21390','BRIANNY','COTE D\'OR'),
('21390','CLAMEREY','COTE D\'OR'),
('21390','DOMPIERRE EN MORVAN','COTE D\'OR'),
('21390','FONTANGY','COTE D\'OR'),
('21390','MARCIGNY SOUS THIL','COTE D\'OR'),
('21390','MONTIGNY ST BARTHELEMY','COTE D\'OR'),
('21390','NAN SOUS THIL','COTE D\'OR'),
('21390','NOIDAN','COTE D\'OR'),
('21390','NORMIER','COTE D\'OR'),
('21390','PRECY SOUS THIL','COTE D\'OR'),
('21390','ROILLY','COTE D\'OR'),
('21390','VIC SOUS THIL','COTE D\'OR'),
('21400','AISEY SUR SEINE','COTE D\'OR'),
('21400','AMPILLY LE SEC','COTE D\'OR'),
('21400','BREMUR ET VAUROIS','COTE D\'OR'),
('21400','BUNCEY','COTE D\'OR'),
('21400','CHAMESSON','COTE D\'OR'),
('21400','CHARREY SUR SEINE','COTE D\'OR'),
('21400','CHATILLON SUR SEINE','COTE D\'OR'),
('21400','CHAUMONT LE BOIS','COTE D\'OR'),
('21400','CHEMIN D AISEY','COTE D\'OR'),
('21400','COULMIER LE SEC','COTE D\'OR'),
('21400','ETROCHEY','COTE D\'OR'),
('21400','GOMMEVILLE','COTE D\'OR'),
('21400','MAISEY LE DUC','COTE D\'OR'),
('21400','MASSINGY','COTE D\'OR'),
('21400','MONTLIOT ET COURCELLES','COTE D\'OR'),
('21400','MOSSON','COTE D\'OR'),
('21400','NOD SUR SEINE','COTE D\'OR'),
('21400','NOIRON SUR SEINE','COTE D\'OR'),
('21400','OBTREE','COTE D\'OR'),
('21400','POTHIERES','COTE D\'OR'),
('21400','PRUSLY SUR OURCE','COTE D\'OR'),
('21400','PUITS','COTE D\'OR'),
('21400','STE COLOMBE SUR SEINE','COTE D\'OR'),
('21400','VANNAIRE','COTE D\'OR'),
('21400','VANVEY','COTE D\'OR'),
('21400','VILLERS PATRAS','COTE D\'OR'),
('21400','VILLIERS LE DUC','COTE D\'OR'),
('21400','VILLOTTE SUR OURCE','COTE D\'OR'),
('21400','VIX','COTE D\'OR'),
('21410','AGEY','COTE D\'OR'),
('21410','ANCEY','COTE D\'OR'),
('21410','ARCEY','COTE D\'OR'),
('21410','BARBIREY SUR OUCHE','COTE D\'OR'),
('21410','BAULME LA ROCHE','COTE D\'OR'),
('21410','FLEUREY SUR OUCHE','COTE D\'OR'),
('21410','GERGUEIL','COTE D\'OR'),
('21410','GISSEY SUR OUCHE','COTE D\'OR'),
('21410','MALAIN','COTE D\'OR'),
('21410','PRALON','COTE D\'OR'),
('21410','ST JEAN DE BOEUF','COTE D\'OR'),
('21410','STE MARIE SUR OUCHE','COTE D\'OR'),
('21410','ST VICTOR SUR OUCHE','COTE D\'OR'),
('21410','PONT DE PANY','COTE D\'OR'),
('21420','ALOXE CORTON','COTE D\'OR'),
('21420','BOUILLAND','COTE D\'OR'),
('21420','ECHEVRONNE','COTE D\'OR'),
('21420','PERNAND VERGELESSE','COTE D\'OR'),
('21420','SAVIGNY LES BEAUNE','COTE D\'OR'),
('21430','BARD LE REGULIER','COTE D\'OR'),
('21430','BLANOT','COTE D\'OR'),
('21430','BRAZEY EN MORVAN','COTE D\'OR'),
('21430','CENSEREY','COTE D\'OR'),
('21430','DIANCEY','COTE D\'OR'),
('21430','LIERNAIS','COTE D\'OR'),
('21430','MANLAY','COTE D\'OR'),
('21430','MARCHESEUIL','COTE D\'OR'),
('21430','MENESSAIRE','COTE D\'OR'),
('21430','SAVILLY','COTE D\'OR'),
('21430','SUSSEY','COTE D\'OR'),
('21430','VIANGES','COTE D\'OR'),
('21430','VILLIERS EN MORVAN','COTE D\'OR'),
('21430','MAUPAS','COTE D\'OR'),
('21440','BLIGNY LE SEC','COTE D\'OR'),
('21440','CHAMPAGNY','COTE D\'OR'),
('21440','CHANCEAUX','COTE D\'OR'),
('21440','FRANCHEVILLE','COTE D\'OR'),
('21440','LAMARGELLE','COTE D\'OR'),
('21440','LERY','COTE D\'OR'),
('21440','PELLEREY','COTE D\'OR'),
('21440','POISEUL LA GRANGE','COTE D\'OR'),
('21440','PONCEY SUR L IGNON','COTE D\'OR'),
('21440','ST MARTIN DU MONT','COTE D\'OR'),
('21440','ST SEINE L ABBAYE','COTE D\'OR'),
('21440','TROUHAUT','COTE D\'OR'),
('21440','VAUX SAULES','COTE D\'OR'),
('21450','AMPILLY LES BORDES','COTE D\'OR'),
('21450','BAIGNEUX LES JUIFS','COTE D\'OR'),
('21450','BILLY LES CHANCEAUX','COTE D\'OR'),
('21450','CHAUME LES BAIGNEUX','COTE D\'OR'),
('21450','ETORMAY','COTE D\'OR'),
('21450','FONTAINES EN DUESMOIS','COTE D\'OR'),
('21450','JOURS LES BAIGNEUX','COTE D\'OR'),
('21450','MAGNY LAMBERT','COTE D\'OR'),
('21450','OIGNY','COTE D\'OR'),
('21450','ORRET','COTE D\'OR'),
('21450','POISEUL LA VILLE ET LAPER','COTE D\'OR'),
('21450','ST MARC SUR SEINE','COTE D\'OR'),
('21450','SEMOND','COTE D\'OR'),
('21450','VILLAINES EN DUESMOIS','COTE D\'OR'),
('21450','LA VILLENEUVE LES CONVERS','COTE D\'OR'),
('21460','BARD LES EPOISSES','COTE D\'OR'),
('21460','CORROMBLES','COTE D\'OR'),
('21460','CORSAINT','COTE D\'OR'),
('21460','COURCELLES FREMOY','COTE D\'OR'),
('21460','EPOISSES','COTE D\'OR'),
('21460','FORLEANS','COTE D\'OR'),
('21460','JEUX LES BARD','COTE D\'OR'),
('21460','MONTBERTHAULT','COTE D\'OR'),
('21460','THOSTE','COTE D\'OR'),
('21460','TORCY ET POULIGNY','COTE D\'OR'),
('21460','TOUTRY','COTE D\'OR'),
('21460','VIEUX CHATEAU','COTE D\'OR'),
('21470','BRAZEY EN PLAINE','COTE D\'OR'),
('21490','BELLEFOND','COTE D\'OR'),
('21490','BRETIGNY','COTE D\'OR'),
('21490','BROGNON','COTE D\'OR'),
('21490','CLENAY','COTE D\'OR'),
('21490','FLACEY','COTE D\'OR'),
('21490','NORGES LA VILLE','COTE D\'OR'),
('21490','ORGEUX','COTE D\'OR'),
('21490','RUFFEY LES ECHIREY','COTE D\'OR'),
('21490','ST JULIEN','COTE D\'OR'),
('21490','VAROIS ET CHAIGNOT','COTE D\'OR'),
('21500','ARRANS','COTE D\'OR'),
('21500','ASNIERES EN MONTAGNE','COTE D\'OR'),
('21500','ATHIE','COTE D\'OR'),
('21500','BENOISEY','COTE D\'OR'),
('21500','BUFFON','COTE D\'OR'),
('21500','CHAMP D OISEAU','COTE D\'OR'),
('21500','COURCELLES LES MONTBARD','COTE D\'OR'),
('21500','CREPAND','COTE D\'OR'),
('21500','ERINGES','COTE D\'OR'),
('21500','ETAIS','COTE D\'OR'),
('21500','FAIN LES MONTBARD','COTE D\'OR'),
('21500','FAIN LES MOUTIERS','COTE D\'OR'),
('21500','FRESNES','COTE D\'OR'),
('21500','MARMAGNE','COTE D\'OR'),
('21500','MONTBARD','COTE D\'OR'),
('21500','MONTIGNY MONTFORT','COTE D\'OR'),
('21500','MOUTIERS ST JEAN','COTE D\'OR'),
('21500','NOGENT LES MONBARD','COTE D\'OR'),
('21500','PLANAY','COTE D\'OR'),
('21500','QUINCEROT','COTE D\'OR'),
('21500','QUINCY LE VICOMTE','COTE D\'OR'),
('21500','ROUGEMONT','COTE D\'OR'),
('21500','ST GERMAIN LES SENAILLY','COTE D\'OR'),
('21500','ST REMY','COTE D\'OR'),
('21500','SAVOISY','COTE D\'OR'),
('21500','SENAILLY','COTE D\'OR'),
('21500','TOUILLON','COTE D\'OR'),
('21500','VILLAINES LES PREVOTES','COTE D\'OR'),
('21500','VISERNY','COTE D\'OR'),
('21510','AIGNAY LE DUC','COTE D\'OR'),
('21510','BEAULIEU','COTE D\'OR'),
('21510','BEAUNOTTE','COTE D\'OR'),
('21510','BELLENOD SUR SEINE','COTE D\'OR'),
('21510','BUSSEAUT','COTE D\'OR'),
('21510','DUESME','COTE D\'OR'),
('21510','ECHALOT','COTE D\'OR'),
('21510','ETALANTE','COTE D\'OR'),
('21510','MAUVILLY','COTE D\'OR'),
('21510','MEULSON','COTE D\'OR'),
('21510','MINOT','COTE D\'OR'),
('21510','MOITRON','COTE D\'OR');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('21510','ORIGNY','COTE D\'OR'),
('21510','QUEMIGNY SUR SEINE','COTE D\'OR'),
('21510','ROCHEFORT','COTE D\'OR'),
('21510','ST GERMAIN LE ROCHEUX','COTE D\'OR'),
('21520','BISSEY LA COTE','COTE D\'OR'),
('21520','BOUDREVILLE','COTE D\'OR'),
('21520','LA CHAUME','COTE D\'OR'),
('21520','COURBAN','COTE D\'OR'),
('21520','GEVROLLES','COTE D\'OR'),
('21520','LES GOULLES','COTE D\'OR'),
('21520','LIGNEROLLES','COTE D\'OR'),
('21520','LOUESME','COTE D\'OR'),
('21520','MONTIGNY SUR AUBE','COTE D\'OR'),
('21520','VEUXHAULLES SUR AUBE','COTE D\'OR'),
('21530','LA ROCHE EN BRENIL','COTE D\'OR'),
('21530','ROUVRAY','COTE D\'OR'),
('21530','ST ANDEUX','COTE D\'OR'),
('21530','ST GERMAIN DE MODEON','COTE D\'OR'),
('21530','SINCEY LES ROUVRAY','COTE D\'OR'),
('21540','AUBIGNY LES SOMBERNON','COTE D\'OR'),
('21540','BLAISY BAS','COTE D\'OR'),
('21540','BLAISY HAUT','COTE D\'OR'),
('21540','BUSSY LA PESLE','COTE D\'OR'),
('21540','CHEVANNAY','COTE D\'OR'),
('21540','DREE','COTE D\'OR'),
('21540','ECHANNAY','COTE D\'OR'),
('21540','GRENAND LES SOMBERNON','COTE D\'OR'),
('21540','GROSBOIS EN MONTAGNE','COTE D\'OR'),
('21540','MESMONT','COTE D\'OR'),
('21540','MONTOILLOT','COTE D\'OR'),
('21540','PANGES','COTE D\'OR'),
('21540','REMILLY EN MONTAGNE','COTE D\'OR'),
('21540','ST ANTHOT','COTE D\'OR'),
('21540','ST MESMIN','COTE D\'OR'),
('21540','SAVIGNY SOUS MALAIN','COTE D\'OR'),
('21540','SOMBERNON','COTE D\'OR'),
('21540','TURCEY','COTE D\'OR'),
('21540','VERREY SOUS DREE','COTE D\'OR'),
('21540','VIEILMOULIN','COTE D\'OR'),
('21550','LADOIX SERRIGNY','COTE D\'OR'),
('21560','ARC SUR TILLE','COTE D\'OR'),
('21560','BRESSEY SUR TILLE','COTE D\'OR'),
('21560','COUTERNON','COTE D\'OR'),
('21560','REMILLY SUR TILLE','COTE D\'OR'),
('21570','AUTRICOURT','COTE D\'OR'),
('21570','BELAN SUR OURCE','COTE D\'OR'),
('21570','BRION SUR OURCE','COTE D\'OR'),
('21570','GRANCEY SUR OURCE','COTE D\'OR'),
('21570','RIEL LES EAUX','COTE D\'OR'),
('21570','THOIRES','COTE D\'OR'),
('21580','AVOT','COTE D\'OR'),
('21580','BARJON','COTE D\'OR'),
('21580','BUSSEROTTE MONTENAILLE','COTE D\'OR'),
('21580','BUSSIERES','COTE D\'OR'),
('21580','COURLON','COTE D\'OR'),
('21580','CUSSEY LES FORGES','COTE D\'OR'),
('21580','FRAIGNOT ET VESVROTTE','COTE D\'OR'),
('21580','GRANCEY LE CHATEAU NEUVEL','COTE D\'OR'),
('21580','LE MEIX','COTE D\'OR'),
('21580','NEUVELLE LES GRANCEY','COTE D\'OR'),
('21580','SALIVES','COTE D\'OR'),
('21590','SANTENAY','COTE D\'OR'),
('21600','FENAY','COTE D\'OR'),
('21600','LONGVIC','COTE D\'OR'),
('21600','OUGES','COTE D\'OR'),
('21610','BOURBERAIN','COTE D\'OR'),
('21610','CHAUME ET COURCHAMP','COTE D\'OR'),
('21610','COURCHAMP','COTE D\'OR'),
('21610','FONTAINE FRANCAISE','COTE D\'OR'),
('21610','FONTENELLE','COTE D\'OR'),
('21610','LICEY SUR VINGEANNE','COTE D\'OR'),
('21610','MONTIGNY MORNAY VILLENEUV','COTE D\'OR'),
('21610','MORNAY','COTE D\'OR'),
('21610','ORAIN','COTE D\'OR'),
('21610','POUILLY SUR VINGEANNE','COTE D\'OR'),
('21610','ST MAURICE SUR VINGEANN','COTE D\'OR'),
('21610','ST SEINE SUR VINGEANNE','COTE D\'OR'),
('21610','VILLENEUVE SUR VINGEANNE','COTE D\'OR'),
('21630','POMMARD','COTE D\'OR'),
('21640','FLAGEY ECHEZEAUX','COTE D\'OR'),
('21640','GILLY LES CITEAUX','COTE D\'OR'),
('21640','VOUGEOT','COTE D\'OR'),
('21690','BLESSEY','COTE D\'OR'),
('21690','BOUX SOUS SALMAISE','COTE D\'OR'),
('21690','CHAMPRENAULT','COTE D\'OR'),
('21690','CHARENCEY','COTE D\'OR'),
('21690','ST GERMAIN SOURCE SEINE','COTE D\'OR'),
('21690','ST HELIER','COTE D\'OR'),
('21690','SALMAISE','COTE D\'OR'),
('21690','VERREY SOUS SALMAISE','COTE D\'OR'),
('21690','VILLOTTE ST SEINE','COTE D\'OR'),
('21700','AGENCOURT','COTE D\'OR'),
('21700','ARCENANT','COTE D\'OR'),
('21700','ARGILLY','COTE D\'OR'),
('21700','BAGNOT','COTE D\'OR'),
('21700','BONCOURT LE BOIS','COTE D\'OR'),
('21700','CHAUX','COTE D\'OR'),
('21700','COMBLANCHIEN','COTE D\'OR'),
('21700','CORGOLOIN','COTE D\'OR'),
('21700','FUSSEY','COTE D\'OR'),
('21700','GERLAND','COTE D\'OR'),
('21700','MAGNY LES VILLERS','COTE D\'OR'),
('21700','MAREY LES FUSSEY','COTE D\'OR'),
('21700','MEUILLEY','COTE D\'OR'),
('21700','NUITS ST GEORGES','COTE D\'OR'),
('21700','PREMEAUX PRISSEY','COTE D\'OR'),
('21700','PRISSEY','COTE D\'OR'),
('21700','QUINCEY','COTE D\'OR'),
('21700','ST BERNARD','COTE D\'OR'),
('21700','ST NICOLAS LES CITEAUX','COTE D\'OR'),
('21700','VILLARS FONTAINE','COTE D\'OR'),
('21700','VILLEBICHOT','COTE D\'OR'),
('21700','VILLERS LA FAYE','COTE D\'OR'),
('21700','VOSNE ROMANEE','COTE D\'OR'),
('21760','LAMARCHE SUR SAONE','COTE D\'OR'),
('21800','CHEVIGNY ST SAUVEUR','COTE D\'OR'),
('21800','CRIMOLOIS','COTE D\'OR'),
('21800','NEUILLY LES DIJON','COTE D\'OR'),
('21800','QUETIGNY','COTE D\'OR'),
('21800','SENNECEY LES DIJON','COTE D\'OR'),
('21820','CHIVRES','COTE D\'OR'),
('21820','LABERGEMENT LES SEURRE','COTE D\'OR'),
('21850','ST APOLLINAIRE','COTE D\'OR'),
('21910','BARGES','COTE D\'OR'),
('21910','CORCELLES LES CITEAUX','COTE D\'OR'),
('21910','NOIRON SOUS GEVREY','COTE D\'OR'),
('21910','SAULON LA CHAPELLE','COTE D\'OR'),
('21910','SAULON LA RUE','COTE D\'OR'),
('21910','SAVOUGES','COTE D\'OR'),
('22000','ST BRIEUC','COTES D\'ARMOR'),
('22100','AUCALEUC','COTES D\'ARMOR'),
('22100','BOBITAL','COTES D\'ARMOR'),
('22100','BRUSVILY','COTES D\'ARMOR'),
('22100','CALORGUEN','COTES D\'ARMOR'),
('22100','DINAN','COTES D\'ARMOR'),
('22100','LE HINGLE','COTES D\'ARMOR'),
('22100','LANVALLAY','COTES D\'ARMOR'),
('22100','LEHON','COTES D\'ARMOR'),
('22100','QUEVERT','COTES D\'ARMOR'),
('22100','ST CARNE','COTES D\'ARMOR'),
('22100','ST HELEN','COTES D\'ARMOR'),
('22100','ST SAMSON SUR RANCE','COTES D\'ARMOR'),
('22100','ST SOLEN','COTES D\'ARMOR'),
('22100','TADEN','COTES D\'ARMOR'),
('22100','TRELIVAN','COTES D\'ARMOR'),
('22100','TRESSAINT','COTES D\'ARMOR'),
('22100','TREVRON','COTES D\'ARMOR'),
('22100','L AUBLETTE QUEVERT','COTES D\'ARMOR'),
('22100','LA HISSE ST SAMSON','COTES D\'ARMOR'),
('22110','BONEN','COTES D\'ARMOR'),
('22110','GLOMEL','COTES D\'ARMOR'),
('22110','KERGRIST MOELOU','COTES D\'ARMOR'),
('22110','MELLIONNEC','COTES D\'ARMOR'),
('22110','PLOUGUERNEVEL','COTES D\'ARMOR'),
('22110','PLOUNEVEZ QUINTIN','COTES D\'ARMOR'),
('22110','ROSTRENEN','COTES D\'ARMOR'),
('22110','TREMARGAT','COTES D\'ARMOR'),
('22120','HILLION','COTES D\'ARMOR'),
('22120','POMMERET','COTES D\'ARMOR'),
('22120','QUESSOY','COTES D\'ARMOR'),
('22120','YFFINIAC','COTES D\'ARMOR'),
('22120','L HOPITAL','COTES D\'ARMOR'),
('22120','ST RENE HILLION','COTES D\'ARMOR'),
('22130','BOURSEUL','COTES D\'ARMOR'),
('22130','CORSEUL','COTES D\'ARMOR'),
('22130','CREHEN','COTES D\'ARMOR'),
('22130','LANDEBIA','COTES D\'ARMOR'),
('22130','LANGUENAN','COTES D\'ARMOR'),
('22130','PLANCOET','COTES D\'ARMOR'),
('22130','PLEVEN','COTES D\'ARMOR'),
('22130','PLOREC SUR ARGUENON','COTES D\'ARMOR'),
('22130','PLUDUNO','COTES D\'ARMOR'),
('22130','ST LORMEL','COTES D\'ARMOR'),
('22140','BEGARD','COTES D\'ARMOR'),
('22140','BERHET','COTES D\'ARMOR'),
('22140','BRELIDY','COTES D\'ARMOR'),
('22140','CAVAN','COTES D\'ARMOR'),
('22140','COATASCORN','COTES D\'ARMOR'),
('22140','KERMOROC H','COTES D\'ARMOR'),
('22140','LANDEBAERON','COTES D\'ARMOR'),
('22140','PLUZUNET','COTES D\'ARMOR'),
('22140','PRAT','COTES D\'ARMOR'),
('22140','ST LAURENT','COTES D\'ARMOR'),
('22140','TONQUEDEC','COTES D\'ARMOR'),
('22140','BOTLEZAN','COTES D\'ARMOR'),
('22140','GUENEZAN','COTES D\'ARMOR'),
('22140','TREZELAN','COTES D\'ARMOR'),
('22150','GAUSSON','COTES D\'ARMOR'),
('22150','HENON','COTES D\'ARMOR'),
('22150','L HERMITAGE LORGE','COTES D\'ARMOR'),
('22150','LANGAST','COTES D\'ARMOR'),
('22150','PLEMY','COTES D\'ARMOR'),
('22150','PLOEUC SUR LIE','COTES D\'ARMOR'),
('22150','PLOUGUENAST','COTES D\'ARMOR'),
('22150','ST CARREUC','COTES D\'ARMOR'),
('22160','BULAT PESTIVIEN','COTES D\'ARMOR'),
('22160','CALANHEL','COTES D\'ARMOR'),
('22160','CALLAC','COTES D\'ARMOR'),
('22160','CARNOET','COTES D\'ARMOR'),
('22160','LA CHAPELLE NEUVE','COTES D\'ARMOR');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('22160','DUAULT','COTES D\'ARMOR'),
('22160','LOHUEC','COTES D\'ARMOR'),
('22160','MAEL PESTIVIEN','COTES D\'ARMOR'),
('22160','PLOURAC H','COTES D\'ARMOR'),
('22160','PLUSQUELLEC','COTES D\'ARMOR'),
('22160','ST NICODEME','COTES D\'ARMOR'),
('22160','ST SERVAIS','COTES D\'ARMOR'),
('22170','BOQUEHO','COTES D\'ARMOR'),
('22170','BRINGOLO','COTES D\'ARMOR'),
('22170','CHATELAUDREN','COTES D\'ARMOR'),
('22170','LANRODEC','COTES D\'ARMOR'),
('22170','PLELO','COTES D\'ARMOR'),
('22170','PLERNEUF','COTES D\'ARMOR'),
('22170','PLOUAGAT','COTES D\'ARMOR'),
('22170','PLOUVARA','COTES D\'ARMOR'),
('22170','ST JEAN KERDANIEL','COTES D\'ARMOR'),
('22170','ST JEAN PLELO','COTES D\'ARMOR'),
('22190','PLERIN','COTES D\'ARMOR'),
('22190','LES ROSAIRES','COTES D\'ARMOR'),
('22190','ST LAURENT DE LA MER','COTES D\'ARMOR'),
('22200','GRACES','COTES D\'ARMOR'),
('22200','GUINGAMP','COTES D\'ARMOR'),
('22200','LE MERZER','COTES D\'ARMOR'),
('22200','MOUSTERU','COTES D\'ARMOR'),
('22200','PABU','COTES D\'ARMOR'),
('22200','PLOUISY','COTES D\'ARMOR'),
('22200','POMMERIT LE VICOMTE','COTES D\'ARMOR'),
('22200','ST AGATHON','COTES D\'ARMOR'),
('22200','SQUIFFIEC','COTES D\'ARMOR'),
('22200','TREGONNEAU','COTES D\'ARMOR'),
('22200','GOURLAN GRACES','COTES D\'ARMOR'),
('22210','LE CAMBOUT','COTES D\'ARMOR'),
('22210','LA CHEZE','COTES D\'ARMOR'),
('22210','COETLOGON','COTES D\'ARMOR'),
('22210','LA FERRIERE','COTES D\'ARMOR'),
('22210','PLEMET','COTES D\'ARMOR'),
('22210','PLUMIEUX','COTES D\'ARMOR'),
('22210','LA PRENESSAYE','COTES D\'ARMOR'),
('22210','ST ETIENNE DU GUE DE L IS','COTES D\'ARMOR'),
('22220','MINIHY TREGUIER','COTES D\'ARMOR'),
('22220','PLOUGUIEL','COTES D\'ARMOR'),
('22220','TREDARZEC','COTES D\'ARMOR'),
('22220','TREGUIER','COTES D\'ARMOR'),
('22230','GOMENE','COTES D\'ARMOR'),
('22230','ILLIFAUT','COTES D\'ARMOR'),
('22230','LAURENAN','COTES D\'ARMOR'),
('22230','LOSCOUET SUR MEU','COTES D\'ARMOR'),
('22230','MERDRIGNAC','COTES D\'ARMOR'),
('22230','MERILLAC','COTES D\'ARMOR'),
('22230','ST LAUNEUC','COTES D\'ARMOR'),
('22230','ST VRAN','COTES D\'ARMOR'),
('22230','TREMOREL','COTES D\'ARMOR'),
('22240','LA BOUILLIE','COTES D\'ARMOR'),
('22240','FREHEL','COTES D\'ARMOR'),
('22240','PLEVENON','COTES D\'ARMOR'),
('22240','PLURIEN','COTES D\'ARMOR'),
('22240','SABLES D OR LES PINS','COTES D\'ARMOR'),
('22240','LA CARQUOIS','COTES D\'ARMOR'),
('22250','BROONS','COTES D\'ARMOR'),
('22250','EREAC','COTES D\'ARMOR'),
('22250','LANRELAS','COTES D\'ARMOR'),
('22250','PLUMAUGAT','COTES D\'ARMOR'),
('22250','ROUILLAC','COTES D\'ARMOR'),
('22250','SEVIGNAC','COTES D\'ARMOR'),
('22250','TREDIAS','COTES D\'ARMOR'),
('22250','TREMEUR','COTES D\'ARMOR'),
('22260','PLOEZAL','COTES D\'ARMOR'),
('22260','PLOUEC DU TRIEUX','COTES D\'ARMOR'),
('22260','PONTRIEUX','COTES D\'ARMOR'),
('22260','QUEMPER GUEZENNEC','COTES D\'ARMOR'),
('22260','RUNAN','COTES D\'ARMOR'),
('22260','ST CLET','COTES D\'ARMOR'),
('22270','DOLO','COTES D\'ARMOR'),
('22270','JUGON LES LACS','COTES D\'ARMOR'),
('22270','LESCOUET JUGON','COTES D\'ARMOR'),
('22270','MEGRIT','COTES D\'ARMOR'),
('22270','PLEDELIAC','COTES D\'ARMOR'),
('22270','ST IGNEUC','COTES D\'ARMOR'),
('22270','ST RIEUL','COTES D\'ARMOR'),
('22290','LE FAOUET','COTES D\'ARMOR'),
('22290','GOMMENEC H','COTES D\'ARMOR'),
('22290','GOUDELIN','COTES D\'ARMOR'),
('22290','LANLEFF','COTES D\'ARMOR'),
('22290','LANNEBERT','COTES D\'ARMOR'),
('22290','LANVOLLON','COTES D\'ARMOR'),
('22290','PLEGUIEN','COTES D\'ARMOR'),
('22290','PLEHEDEL','COTES D\'ARMOR'),
('22290','PLUDUAL','COTES D\'ARMOR'),
('22290','ST GILLES LES BOIS','COTES D\'ARMOR'),
('22290','TREGUIDEL','COTES D\'ARMOR'),
('22290','TREMEVEN','COTES D\'ARMOR'),
('22290','TRESSIGNAUX','COTES D\'ARMOR'),
('22290','TREVEREC','COTES D\'ARMOR'),
('22300','CAOUENNEC LANVEZEAC','COTES D\'ARMOR'),
('22300','LANMERIN','COTES D\'ARMOR'),
('22300','LANNION','COTES D\'ARMOR'),
('22300','LANVEZEAC','COTES D\'ARMOR'),
('22300','PLOUBEZRE','COTES D\'ARMOR'),
('22300','PLOULEC H','COTES D\'ARMOR'),
('22300','PLOUMILLIAU','COTES D\'ARMOR'),
('22300','ROSPEZ','COTES D\'ARMOR'),
('22300','ST MICHEL EN GREVE','COTES D\'ARMOR'),
('22300','TREDREZ','COTES D\'ARMOR'),
('22300','BEG LEGUER SERVEL','COTES D\'ARMOR'),
('22300','LOCQUEMEAU','COTES D\'ARMOR'),
('22300','LE YAUDET','COTES D\'ARMOR'),
('22310','PLESTIN LES GREVES','COTES D\'ARMOR'),
('22310','PLUFUR','COTES D\'ARMOR'),
('22310','TREDUDER','COTES D\'ARMOR'),
('22310','TREMEL','COTES D\'ARMOR'),
('22310','ST EFFLAM','COTES D\'ARMOR'),
('22320','LE BODEO','COTES D\'ARMOR'),
('22320','CORLAY','COTES D\'ARMOR'),
('22320','LA HARMOYE','COTES D\'ARMOR'),
('22320','LE HAUT CORLAY','COTES D\'ARMOR'),
('22320','PLUSSULIEN','COTES D\'ARMOR'),
('22320','ST MARTIN DES PRES','COTES D\'ARMOR'),
('22320','ST MAYEUX','COTES D\'ARMOR'),
('22330','COLLINEE','COTES D\'ARMOR'),
('22330','LE GOURAY','COTES D\'ARMOR'),
('22330','LANGOURLA','COTES D\'ARMOR'),
('22330','PLESSALA','COTES D\'ARMOR'),
('22330','ST GILLES DU MENE','COTES D\'ARMOR'),
('22330','ST GOUENO','COTES D\'ARMOR'),
('22330','ST JACUT DU MENE','COTES D\'ARMOR'),
('22340','LOCARN','COTES D\'ARMOR'),
('22340','MAEL CARHAIX','COTES D\'ARMOR'),
('22340','LE MOUSTOIR','COTES D\'ARMOR'),
('22340','PAULE','COTES D\'ARMOR'),
('22340','PLEVIN','COTES D\'ARMOR'),
('22340','TREBRIVAN','COTES D\'ARMOR'),
('22340','TREFFRIN','COTES D\'ARMOR'),
('22340','TREOGAN','COTES D\'ARMOR'),
('22350','CAULNES','COTES D\'ARMOR'),
('22350','LA CHAPELLE BLANCHE','COTES D\'ARMOR'),
('22350','GUENROC','COTES D\'ARMOR'),
('22350','GUITTE','COTES D\'ARMOR'),
('22350','PLUMAUDAN','COTES D\'ARMOR'),
('22350','ST JOUAN DE L ISLE','COTES D\'ARMOR'),
('22350','ST MADEN','COTES D\'ARMOR'),
('22350','YVIGNAC','COTES D\'ARMOR'),
('22360','LANGUEUX','COTES D\'ARMOR'),
('22360','LES GREVES LANGUEUX','COTES D\'ARMOR'),
('22370','PLENEUF VAL ANDRE','COTES D\'ARMOR'),
('22380','NOTRE DAME DU GUILDO','COTES D\'ARMOR'),
('22380','ST CAST LE GUILDO','COTES D\'ARMOR'),
('22390','BOURBRIAC','COTES D\'ARMOR'),
('22390','GURUNHUEL','COTES D\'ARMOR'),
('22390','PONT MELVEZ','COTES D\'ARMOR'),
('22390','ST ADRIEN','COTES D\'ARMOR'),
('22400','ANDEL','COTES D\'ARMOR'),
('22400','COETMIEUX','COTES D\'ARMOR'),
('22400','HENANSAL','COTES D\'ARMOR'),
('22400','LAMBALLE','COTES D\'ARMOR'),
('22400','LANDEHEN','COTES D\'ARMOR'),
('22400','MAROUE','COTES D\'ARMOR'),
('22400','MESLIN','COTES D\'ARMOR'),
('22400','MORIEUX','COTES D\'ARMOR'),
('22400','NOYAL','COTES D\'ARMOR'),
('22400','PLANGUENOUAL','COTES D\'ARMOR'),
('22400','LA POTERIE','COTES D\'ARMOR'),
('22400','QUINTENIC','COTES D\'ARMOR'),
('22400','ST AARON','COTES D\'ARMOR'),
('22400','ST ALBAN','COTES D\'ARMOR'),
('22400','ST DENOUAL','COTES D\'ARMOR'),
('22400','TREGOMAR','COTES D\'ARMOR'),
('22400','LA COTENTIN PLANGUENOUAL','COTES D\'ARMOR'),
('22410','LANTIC','COTES D\'ARMOR'),
('22410','PLOURHAN','COTES D\'ARMOR'),
('22410','ST QUAY PORTRIEUX','COTES D\'ARMOR'),
('22410','TREVENEUC','COTES D\'ARMOR'),
('22410','NOTRE DAME DE LA COUR','COTES D\'ARMOR'),
('22410','KERTUGAL','COTES D\'ARMOR'),
('22420','LANVELLEC','COTES D\'ARMOR'),
('22420','PLOUARET','COTES D\'ARMOR'),
('22420','PLOUZELAMBRE','COTES D\'ARMOR'),
('22420','TREGROM','COTES D\'ARMOR'),
('22420','LE VIEUX MARCHE','COTES D\'ARMOR'),
('22430','ERQUY','COTES D\'ARMOR'),
('22430','CAROUAL','COTES D\'ARMOR'),
('22430','LES HOPITAUX','COTES D\'ARMOR'),
('22440','LA MEAUGON','COTES D\'ARMOR'),
('22440','PLOUFRAGAN','COTES D\'ARMOR'),
('22440','TREMUSON','COTES D\'ARMOR'),
('22440','LES CROIX','COTES D\'ARMOR'),
('22450','CAMLEZ','COTES D\'ARMOR'),
('22450','COATREVEN','COTES D\'ARMOR'),
('22450','HENGOAT','COTES D\'ARMOR'),
('22450','KERMARIA SULARD','COTES D\'ARMOR'),
('22450','LANGOAT','COTES D\'ARMOR'),
('22450','MANTALLOT','COTES D\'ARMOR'),
('22450','POMMERIT JAUDY','COTES D\'ARMOR'),
('22450','POULDOURAN','COTES D\'ARMOR'),
('22450','QUEMPERVEN','COTES D\'ARMOR'),
('22450','LA ROCHE DERRIEN','COTES D\'ARMOR'),
('22450','TREZENY','COTES D\'ARMOR'),
('22450','TROGUERY','COTES D\'ARMOR'),
('22460','ALLINEUC','COTES D\'ARMOR'),
('22460','GRACE UZEL','COTES D\'ARMOR'),
('22460','MERLEAC','COTES D\'ARMOR');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('22460','LE QUILLIO','COTES D\'ARMOR'),
('22460','ST HERVE','COTES D\'ARMOR'),
('22460','ST THELO','COTES D\'ARMOR'),
('22460','UZEL','COTES D\'ARMOR'),
('22470','PLOUEZEC','COTES D\'ARMOR'),
('22470','LE QUESTEL','COTES D\'ARMOR'),
('22480','CANIHUEL','COTES D\'ARMOR'),
('22480','KERIEN','COTES D\'ARMOR'),
('22480','KERPERT','COTES D\'ARMOR'),
('22480','LANRIVAIN','COTES D\'ARMOR'),
('22480','MAGOAR','COTES D\'ARMOR'),
('22480','PEUMERIT QUINTIN','COTES D\'ARMOR'),
('22480','ST CONNAN','COTES D\'ARMOR'),
('22480','ST GILLES PLIGEAUX','COTES D\'ARMOR'),
('22480','ST NICOLAS DU PELEM','COTES D\'ARMOR'),
('22480','STE TREPHINE','COTES D\'ARMOR'),
('22490','LANGROLAY SUR RANCE','COTES D\'ARMOR'),
('22490','PLESLIN TRIGAVOU','COTES D\'ARMOR'),
('22490','PLOUER SUR RANCE','COTES D\'ARMOR'),
('22490','TREMEREUC','COTES D\'ARMOR'),
('22490','TRIGAVOU','COTES D\'ARMOR'),
('22500','KERFOT','COTES D\'ARMOR'),
('22500','PAIMPOL','COTES D\'ARMOR'),
('22510','BREHAND','COTES D\'ARMOR'),
('22510','MONCONTOUR','COTES D\'ARMOR'),
('22510','PENGUILLY','COTES D\'ARMOR'),
('22510','ST GLEN','COTES D\'ARMOR'),
('22510','ST TRIMOEL','COTES D\'ARMOR'),
('22510','TREBRY','COTES D\'ARMOR'),
('22510','TREDANIEL','COTES D\'ARMOR'),
('22520','BINIC','COTES D\'ARMOR'),
('22530','CAUREL','COTES D\'ARMOR'),
('22530','MUR DE BRETAGNE','COTES D\'ARMOR'),
('22530','ST CONNEC','COTES D\'ARMOR'),
('22530','ST GILLES VIEUX MARCHE','COTES D\'ARMOR'),
('22530','ST GUEN','COTES D\'ARMOR'),
('22540','LOUARGAT','COTES D\'ARMOR'),
('22540','PEDERNEC','COTES D\'ARMOR'),
('22540','TREGLAMUS','COTES D\'ARMOR'),
('22540','LE QUINQUIS','COTES D\'ARMOR'),
('22540','ST ELOI','COTES D\'ARMOR'),
('22550','HENANBIHEN','COTES D\'ARMOR'),
('22550','MATIGNON','COTES D\'ARMOR'),
('22550','PLEBOULLE','COTES D\'ARMOR'),
('22550','RUCA','COTES D\'ARMOR'),
('22550','ST POTAN','COTES D\'ARMOR'),
('22560','PLEUMEUR BODOU','COTES D\'ARMOR'),
('22560','TREBEURDEN','COTES D\'ARMOR'),
('22560','LANDRELLEC','COTES D\'ARMOR'),
('22560','ILE GRANDE','COTES D\'ARMOR'),
('22570','GOUAREC','COTES D\'ARMOR'),
('22570','LANISCAT','COTES D\'ARMOR'),
('22570','LESCOUET GOUAREC','COTES D\'ARMOR'),
('22570','PERRET','COTES D\'ARMOR'),
('22570','PLELAUFF','COTES D\'ARMOR'),
('22570','ST GELVEN','COTES D\'ARMOR'),
('22570','ST IGEAUX','COTES D\'ARMOR'),
('22580','LANLOUP','COTES D\'ARMOR'),
('22580','PLOUHA','COTES D\'ARMOR'),
('22580','KEREGAL','COTES D\'ARMOR'),
('22590','PORDIC','COTES D\'ARMOR'),
('22590','TREGOMEUR','COTES D\'ARMOR'),
('22590','TREMELOIR','COTES D\'ARMOR'),
('22590','LA VILLE LOUAIS','COTES D\'ARMOR'),
('22600','HEMONSTOIR','COTES D\'ARMOR'),
('22600','LOUDEAC','COTES D\'ARMOR'),
('22600','LA MOTTE','COTES D\'ARMOR'),
('22600','ST BARNABE','COTES D\'ARMOR'),
('22600','ST CARADEC','COTES D\'ARMOR'),
('22600','ST MAUDAN','COTES D\'ARMOR'),
('22600','TREVE','COTES D\'ARMOR'),
('22610','KERBORS','COTES D\'ARMOR'),
('22610','LANMODEZ','COTES D\'ARMOR'),
('22610','PLEUBIAN','COTES D\'ARMOR'),
('22610','L ARMOR','COTES D\'ARMOR'),
('22620','PLOUBAZLANEC','COTES D\'ARMOR'),
('22620','L ARCOUEST','COTES D\'ARMOR'),
('22620','LOGUIVY DE LA MER','COTES D\'ARMOR'),
('22630','LES CHAMPS GERAUX','COTES D\'ARMOR'),
('22630','EVRAN','COTES D\'ARMOR'),
('22630','LE QUIOU','COTES D\'ARMOR'),
('22630','ST ANDRE DES EAUX','COTES D\'ARMOR'),
('22630','ST JUDOCE','COTES D\'ARMOR'),
('22630','ST JUVAT','COTES D\'ARMOR'),
('22630','TREFUMEL','COTES D\'ARMOR'),
('22640','LA MALHOURE','COTES D\'ARMOR'),
('22640','PLENEE JUGON','COTES D\'ARMOR'),
('22640','PLESTAN','COTES D\'ARMOR'),
('22640','TRAMAIN','COTES D\'ARMOR'),
('22650','PLESSIX BALISSON','COTES D\'ARMOR'),
('22650','PLOUBALAY','COTES D\'ARMOR'),
('22650','TREGON','COTES D\'ARMOR'),
('22660','TRELEVERN','COTES D\'ARMOR'),
('22660','TREVOU TREGUIGNEC','COTES D\'ARMOR'),
('22680','ETABLES SUR MER','COTES D\'ARMOR'),
('22690','PLEUDIHEN SUR RANCE','COTES D\'ARMOR'),
('22690','LA VICOMTE SUR RANCE','COTES D\'ARMOR'),
('22700','LOUANNEC','COTES D\'ARMOR'),
('22700','PERROS GUIREC','COTES D\'ARMOR'),
('22700','ST QUAY PERROS','COTES D\'ARMOR'),
('22700','LA CLARTE','COTES D\'ARMOR'),
('22700','PLOUMANACH','COTES D\'ARMOR'),
('22710','PENVENAN','COTES D\'ARMOR'),
('22710','BUGUELES','COTES D\'ARMOR'),
('22710','PORT BLANC','COTES D\'ARMOR'),
('22720','PLESIDY','COTES D\'ARMOR'),
('22720','ST FIACRE','COTES D\'ARMOR'),
('22720','ST PEVER','COTES D\'ARMOR'),
('22720','SENVEN LEHART','COTES D\'ARMOR'),
('22730','TREGASTEL','COTES D\'ARMOR'),
('22740','LEZARDRIEUX','COTES D\'ARMOR'),
('22740','PLEUDANIEL','COTES D\'ARMOR'),
('22740','PLEUMEUR GAUTIER','COTES D\'ARMOR'),
('22740','KERMOUSTER','COTES D\'ARMOR'),
('22750','ST JACUT DE LA MER','COTES D\'ARMOR'),
('22770','LANCIEUX','COTES D\'ARMOR'),
('22780','LOGUIVY PLOUGRAS','COTES D\'ARMOR'),
('22780','PLOUGRAS','COTES D\'ARMOR'),
('22780','PLOUNERIN','COTES D\'ARMOR'),
('22800','COHINIAC','COTES D\'ARMOR'),
('22800','LE FOEIL','COTES D\'ARMOR'),
('22800','LANFAINS','COTES D\'ARMOR'),
('22800','LE LESLAY','COTES D\'ARMOR'),
('22800','PLAINE HAUTE','COTES D\'ARMOR'),
('22800','QUINTIN','COTES D\'ARMOR'),
('22800','ST BIHY','COTES D\'ARMOR'),
('22800','ST BRANDAN','COTES D\'ARMOR'),
('22800','ST DONAN','COTES D\'ARMOR'),
('22800','ST GILDAS','COTES D\'ARMOR'),
('22800','LE VIEUX BOURG','COTES D\'ARMOR'),
('22810','BELLE ISLE EN TERRE','COTES D\'ARMOR'),
('22810','LOC ENVEL','COTES D\'ARMOR'),
('22810','PLOUGONVER','COTES D\'ARMOR'),
('22810','PLOUNEVEZ MOEDEC','COTES D\'ARMOR'),
('22810','LOCMARIA','COTES D\'ARMOR'),
('22820','PLOUGRESCANT','COTES D\'ARMOR'),
('22830','PLOUASNE','COTES D\'ARMOR'),
('22860','PLOURIVO','COTES D\'ARMOR'),
('22870','ILE DE BREHAT','COTES D\'ARMOR'),
('22930','YVIAS','COTES D\'ARMOR'),
('22940','PLAINTEL','COTES D\'ARMOR'),
('22940','ST JULIEN','COTES D\'ARMOR'),
('22950','TREGUEUX','COTES D\'ARMOR'),
('22950','CREAC H TREGUEUX','COTES D\'ARMOR'),
('22960','PLEDRAN','COTES D\'ARMOR'),
('22970','COADOUT','COTES D\'ARMOR'),
('22970','PLOUMAGOAR','COTES D\'ARMOR'),
('22980','LA LANDEC','COTES D\'ARMOR'),
('22980','LANGUEDIAS','COTES D\'ARMOR'),
('22980','PLELAN LE PETIT','COTES D\'ARMOR'),
('22980','ST MAUDEZ','COTES D\'ARMOR'),
('22980','ST MELOIR','COTES D\'ARMOR'),
('22980','ST MICHEL DE PLELAN','COTES D\'ARMOR'),
('22980','TREBEDAN','COTES D\'ARMOR'),
('22980','VILDE GUINGALAN','COTES D\'ARMOR'),
('23000','ANZEME','CREUSE'),
('23000','LA BRIONNE','CREUSE'),
('23000','LA CHAPELLE TAILLEFERT','CREUSE'),
('23000','GUERET','CREUSE'),
('23000','PEYRABOUT','CREUSE'),
('23000','LA SAUNIERE','CREUSE'),
('23000','SAVENNES','CREUSE'),
('23000','ST CHRISTOPHE','CREUSE'),
('23000','ST ELOI','CREUSE'),
('23000','ST FEYRE','CREUSE'),
('23000','ST FIEL','CREUSE'),
('23000','ST LAURENT','CREUSE'),
('23000','ST LEGER LE GUERETOIS','CREUSE'),
('23000','ST SULPICE LE GUERETOIS','CREUSE'),
('23000','ST VICTOR EN MARCHE','CREUSE'),
('23100','LA COURTINE','CREUSE'),
('23100','FENIERS','CREUSE'),
('23100','LE MAS D ARTIGE','CREUSE'),
('23100','ST MARTIAL LE VIEUX','CREUSE'),
('23100','ST MERD LA BREUILLE','CREUSE'),
('23100','ST ORADOUX DE CHIROUZE','CREUSE'),
('23110','CHAMBONCHARD','CREUSE'),
('23110','EVAUX LES BAINS','CREUSE'),
('23110','FONTANIERES','CREUSE'),
('23110','RETERRE','CREUSE'),
('23110','SANNAT','CREUSE'),
('23110','ST JULIEN LA GENETE','CREUSE'),
('23110','ST PRIEST','CREUSE'),
('23120','BANIZE','CREUSE'),
('23120','VALLIERES','CREUSE'),
('23130','LE CHAUCHET','CREUSE'),
('23130','CHENERAILLES','CREUSE'),
('23130','ISSOUDUN LETRIEIX','CREUSE'),
('23130','PEYRAT LA NONIERE','CREUSE'),
('23130','PIERREFITTE','CREUSE'),
('23130','PUY MALSIGNAT','CREUSE'),
('23130','ST CHABRAIS','CREUSE'),
('23130','ST DIZIER LA TOUR','CREUSE'),
('23130','ST JULIEN LE CHATEL','CREUSE'),
('23130','ST LOUP','CREUSE'),
('23140','BLAUDEIX','CREUSE'),
('23140','CRESSAT','CREUSE'),
('23140','DOMEYROT','CREUSE'),
('23140','JARNAGES','CREUSE'),
('23140','PARSAC','CREUSE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('23140','PIONNAT','CREUSE'),
('23140','RIMONDEIX','CREUSE'),
('23140','ST SILVAIN SOUS TOULX','CREUSE'),
('23140','VIGEVILLE','CREUSE'),
('23150','AHUN','CREUSE'),
('23150','LAVAVEIX LES MINES','CREUSE'),
('23150','LEPINAS','CREUSE'),
('23150','MAISONNISSES','CREUSE'),
('23150','MAZEIRAT','CREUSE'),
('23150','MOUTIER D AHUN','CREUSE'),
('23150','SOUS PARSAT','CREUSE'),
('23150','ST HILAIRE LA PLAINE','CREUSE'),
('23150','ST MARTIAL LE MONT','CREUSE'),
('23150','ST PARDOUX LES CARDS','CREUSE'),
('23150','ST YRIEIX LES BOIS','CREUSE'),
('23160','AZERABLES','CREUSE'),
('23160','BAZELAT','CREUSE'),
('23160','LA CHAPELLE BALOUE','CREUSE'),
('23160','CROZANT','CREUSE'),
('23160','ST GERMAIN BEAUPRE','CREUSE'),
('23160','ST SEBASTIEN','CREUSE'),
('23160','FORGEVIEILLE','CREUSE'),
('23170','AUGE','CREUSE'),
('23170','BUDELIERE','CREUSE'),
('23170','CHAMBON SUR VOUEIZE','CREUSE'),
('23170','LEPAUD','CREUSE'),
('23170','LUSSAT','CREUSE'),
('23170','NOUHANT','CREUSE'),
('23170','TARDES','CREUSE'),
('23170','VERNEIGES','CREUSE'),
('23170','VIERSAT','CREUSE'),
('23190','BELLEGARDE EN MARCHE','CREUSE'),
('23190','CHAMPAGNAT','CREUSE'),
('23190','LUPERSAT','CREUSE'),
('23190','MAUTES','CREUSE'),
('23190','LA SERRE BUSSIERE VIEILLE','CREUSE'),
('23190','ST DOMET','CREUSE'),
('23190','ST SILVAIN BELLEGARDE','CREUSE'),
('23200','ALLEYRAT','CREUSE'),
('23200','AUBUSSON','CREUSE'),
('23200','BLESSAC','CREUSE'),
('23200','BOSROGER','CREUSE'),
('23200','LA CHAUSSADE','CREUSE'),
('23200','MOUTIER ROZEILLE','CREUSE'),
('23200','NEOUX','CREUSE'),
('23200','LA ROCHETTE','CREUSE'),
('23200','ST ALPINIEN','CREUSE'),
('23200','ST AMAND','CREUSE'),
('23200','ST AVIT DE TARDES','CREUSE'),
('23200','ST MAIXANT','CREUSE'),
('23200','ST MARC A FRONGIER','CREUSE'),
('23200','ST MEDARD LA ROCHETTE','CREUSE'),
('23200','ST PARDOUX LE NEUF','CREUSE'),
('23200','FOURNEAUX','CREUSE'),
('23210','ARRENES','CREUSE'),
('23210','AUGERES','CREUSE'),
('23210','AULON','CREUSE'),
('23210','AZAT CHATENET','CREUSE'),
('23210','BENEVENT L ABBAYE','CREUSE'),
('23210','CEYROUX','CREUSE'),
('23210','MARSAC','CREUSE'),
('23210','MOURIOUX VIEILLEVILLE','CREUSE'),
('23220','BONNAT','CREUSE'),
('23220','LE BOURG D HEM','CREUSE'),
('23220','CHAMBON STE CROIX','CREUSE'),
('23220','CHAMPSANGLARD','CREUSE'),
('23220','CHENIERS','CREUSE'),
('23220','JOUILLAT','CREUSE'),
('23220','LINARD','CREUSE'),
('23220','MALVAL','CREUSE'),
('23220','MORTROUX','CREUSE'),
('23220','MOUTIER MALCARD','CREUSE'),
('23230','BORD ST GEORGES','CREUSE'),
('23230','LA CELLE SOUS GOUZON','CREUSE'),
('23230','LES FORGES','CREUSE'),
('23230','GOUZON','CREUSE'),
('23230','GOUZOUGNAT','CREUSE'),
('23230','TROIS FONDS','CREUSE'),
('23240','CHAMBORAND','CREUSE'),
('23240','LE GRAND BOURG','CREUSE'),
('23240','LIZIERES','CREUSE'),
('23240','ST PRIEST LA PLAINE','CREUSE'),
('23250','LA CHAPELLE ST MARTIAL','CREUSE'),
('23250','CHAVANAT','CREUSE'),
('23250','JANAILLAT','CREUSE'),
('23250','PONTARION','CREUSE'),
('23250','LA POUGE','CREUSE'),
('23250','SARDENT','CREUSE'),
('23250','SOUBREBOST','CREUSE'),
('23250','ST GEORGES LA POUGE','CREUSE'),
('23250','ST HILAIRE LE CHATEAU','CREUSE'),
('23250','THAURON','CREUSE'),
('23250','VIDAILLAT','CREUSE'),
('23260','BASVILLE','CREUSE'),
('23260','BEISSAT','CREUSE'),
('23260','CROCQ','CREUSE'),
('23260','FLAYAT','CREUSE'),
('23260','MAGNAT L ETRANGE','CREUSE'),
('23260','MALLERET','CREUSE'),
('23260','LA MAZIERE AUX BONS HOMME','CREUSE'),
('23260','PONTCHARRAUD','CREUSE'),
('23260','ST AGNANT PRES CROCQ','CREUSE'),
('23260','ST BARD','CREUSE'),
('23260','ST MAURICE PRES CROCQ','CREUSE'),
('23260','ST ORADOUX PRES CROCQ','CREUSE'),
('23260','ST PARDOUX D ARNET','CREUSE'),
('23260','LA VILLENEUVE','CREUSE'),
('23260','LA VILLETELLE','CREUSE'),
('23270','BETETE','CREUSE'),
('23270','CHATELUS MALVALEIX','CREUSE'),
('23270','CLUGNAT','CREUSE'),
('23270','JALESCHES','CREUSE'),
('23270','LADAPEYRE','CREUSE'),
('23270','ROCHES','CREUSE'),
('23270','ST DIZIER LES DOMAINES','CREUSE'),
('23290','ST ETIENNE DE FURSAC','CREUSE'),
('23290','ST PIERRE DE FURSAC','CREUSE'),
('23300','NOTH','CREUSE'),
('23300','LA SOUTERRAINE','CREUSE'),
('23300','ST AGNANT DE VERSILLAT','CREUSE'),
('23300','ST LEGER BRIDEREIX','CREUSE'),
('23300','ST MAURICE LA SOUTERRAINE','CREUSE'),
('23300','ST PRIEST LA FEUILLE','CREUSE'),
('23300','VAREILLES','CREUSE'),
('23300','LE DOGNON','CREUSE'),
('23320','BUSSIERE DUNOISE','CREUSE'),
('23320','FLEURAT','CREUSE'),
('23320','GARTEMPE','CREUSE'),
('23320','MONTAIGUT LE BLANC','CREUSE'),
('23320','ST SILVAIN MONTAIGUT','CREUSE'),
('23320','ST VAURY','CREUSE'),
('23340','FAUX LA MONTAGNE','CREUSE'),
('23340','GENTIOUX PIGEROLLES','CREUSE'),
('23340','PIGEROLLES','CREUSE'),
('23340','LA VILLEDIEU','CREUSE'),
('23350','LA CELLETTE','CREUSE'),
('23350','GENOUILLAC','CREUSE'),
('23350','NOUZIERS','CREUSE'),
('23350','TERCILLAT','CREUSE'),
('23360','LA FORET DU TEMPLE','CREUSE'),
('23360','LOURDOUEIX ST PIERRE','CREUSE'),
('23360','MEASNES','CREUSE'),
('23360','NOUZEROLLES','CREUSE'),
('23360','LIGNAUD','CREUSE'),
('23380','AJAIN','CREUSE'),
('23380','GLENIC','CREUSE'),
('23400','AURIAT','CREUSE'),
('23400','BOSMOREAU LES MINES','CREUSE'),
('23400','BOURGANEUF','CREUSE'),
('23400','FAUX MAZURAS','CREUSE'),
('23400','MANSAT LA COURRIERE','CREUSE'),
('23400','MASBARAUD MERIGNAT','CREUSE'),
('23400','MONTBOUCHER','CREUSE'),
('23400','ST AMAND JARTOUDEIX','CREUSE'),
('23400','ST DIZIER LEYRENNE','CREUSE'),
('23400','ST JUNIEN LA BREGERE','CREUSE'),
('23400','ST MOREIL','CREUSE'),
('23400','ST PARDOUX MORTEROLLES','CREUSE'),
('23400','ST PRIEST PALUS','CREUSE'),
('23420','MERINCHAL','CREUSE'),
('23430','CHATELUS LE MARCHEIX','CREUSE'),
('23430','ST GOUSSAUD','CREUSE'),
('23430','ST MARTIN STE CATHERINE','CREUSE'),
('23430','ST PIERRE CHERIQNAT','CREUSE'),
('23430','LE THEIL','CREUSE'),
('23450','FRESSELINES','CREUSE'),
('23460','LE MONTEIL AU VICOMTE','CREUSE'),
('23460','ROYERE DE VASSIVIERE','CREUSE'),
('23460','ST MARC A LOUBAUD','CREUSE'),
('23460','ST MARTIN CHATEAU','CREUSE'),
('23460','ST PIERRE BELLEVUE','CREUSE'),
('23460','ST YRIEIX LA MONTAGNE','CREUSE'),
('23460','LE COMPEIX','CREUSE'),
('23480','ARS','CREUSE'),
('23480','CHAMBERAUD','CREUSE'),
('23480','LE DONZEIL','CREUSE'),
('23480','FRANSECHES','CREUSE'),
('23480','ST AVIT LE PAUVRE','CREUSE'),
('23480','ST MICHEL DE VEISSE','CREUSE'),
('23480','ST SULPICE LES CHAMPS','CREUSE'),
('23500','CLAIRAVAUX','CREUSE'),
('23500','CROZE','CREUSE'),
('23500','FELLETIN','CREUSE'),
('23500','GIOUX','CREUSE'),
('23500','LA NOUAILLE','CREUSE'),
('23500','POUSSANGES','CREUSE'),
('23500','ST FEYRE LA MONTAGNE','CREUSE'),
('23500','ST FRION','CREUSE'),
('23500','ST GEORGES NIGREMONT','CREUSE'),
('23500','ST QUENTIN LA CHABANNE','CREUSE'),
('23600','BOUSSAC','CREUSE'),
('23600','BOUSSAC BOURG','CREUSE'),
('23600','BUSSIERE ST GEORGES','CREUSE'),
('23600','LAVAUFRANCHE','CREUSE'),
('23600','LEYRAT','CREUSE'),
('23600','MALLERET BOUSSAC','CREUSE'),
('23600','NOUZERINES','CREUSE'),
('23600','SOUMANS','CREUSE'),
('23600','ST MARIEN','CREUSE'),
('23600','ST PIERRE LE BOST','CREUSE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('23600','ST SILVAIN BAS LE ROC','CREUSE'),
('23600','TOULX STE CROIX','CREUSE'),
('23700','ARFEUILLE CHATAIN','CREUSE'),
('23700','AUZANCES','CREUSE'),
('23700','BROUSSE','CREUSE'),
('23700','BUSSIERE NOUVELLE','CREUSE'),
('23700','CHARD','CREUSE'),
('23700','CHARRON','CREUSE'),
('23700','CHATELARD','CREUSE'),
('23700','LE COMPAS','CREUSE'),
('23700','DONTREIX','CREUSE'),
('23700','LIOUX LES MONGES','CREUSE'),
('23700','MAINSAT','CREUSE'),
('23700','LES MARS','CREUSE'),
('23700','ROUGNAT','CREUSE'),
('23700','SERMUR','CREUSE'),
('23800','LA CELLE DUNOISE','CREUSE'),
('23800','COLONDANNES','CREUSE'),
('23800','DUN LE PALESTEL','CREUSE'),
('23800','LAFAT','CREUSE'),
('23800','MAISON FEYNE','CREUSE'),
('23800','NAILLAT','CREUSE'),
('23800','SAGNAT','CREUSE'),
('23800','ST SULPICE LE DUNOIS','CREUSE'),
('23800','VILLARD','CREUSE'),
('24000','PERIGUEUX','DORDOGNE'),
('24100','BERGERAC','DORDOGNE'),
('24100','CREYSSE','DORDOGNE'),
('24100','LEMBRAS','DORDOGNE'),
('24100','ST LAURENT DES VIGNES','DORDOGNE'),
('24110','BOURROU','DORDOGNE'),
('24110','GRIGNOLS','DORDOGNE'),
('24110','LEGUILLAC DE L AUCHE','DORDOGNE'),
('24110','MANZAC SUR VERN','DORDOGNE'),
('24110','MONTREM','DORDOGNE'),
('24110','ST AQUILIN','DORDOGNE'),
('24110','ST ASTIER','DORDOGNE'),
('24110','ST LEON SUR L ISLE','DORDOGNE'),
('24120','BEAUREGARD DE TERRASSON','DORDOGNE'),
('24120','LA CASSAGNE','DORDOGNE'),
('24120','CHATRES','DORDOGNE'),
('24120','CHAVAGNAC','DORDOGNE'),
('24120','COLY','DORDOGNE'),
('24120','LA DORNAC','DORDOGNE'),
('24120','GREZES','DORDOGNE'),
('24120','PAZAYAC','DORDOGNE'),
('24120','TERRASSON LA VILLEDIEU','DORDOGNE'),
('24120','VILLAC','DORDOGNE'),
('24130','BOSSET','DORDOGNE'),
('24130','LE FLEIX','DORDOGNE'),
('24130','FRAISSE','DORDOGNE'),
('24130','GINESTET','DORDOGNE'),
('24130','LA FORCE','DORDOGNE'),
('24130','LAVEYSSIERE','DORDOGNE'),
('24130','LUNAS','DORDOGNE'),
('24130','MONFAUCON','DORDOGNE'),
('24130','PRIGONRIEUX','DORDOGNE'),
('24130','ST GEORGES BLANCANEIX','DORDOGNE'),
('24130','ST PIERRE D EYRAUD','DORDOGNE'),
('24140','BEAUREGARD ET BASSAC','DORDOGNE'),
('24140','BELEYMAS','DORDOGNE'),
('24140','CAMPSEGRET','DORDOGNE'),
('24140','CLERMONT DE BEAUREGARD','DORDOGNE'),
('24140','DOUVILLE','DORDOGNE'),
('24140','JAURE','DORDOGNE'),
('24140','MAURENS','DORDOGNE'),
('24140','MONTAGNAC LA CREMPSE','DORDOGNE'),
('24140','QUEYSSAC','DORDOGNE'),
('24140','ST GEORGES DE MONTCLARD','DORDOGNE'),
('24140','ST HILAIRE D ESTISSAC','DORDOGNE'),
('24140','ST JEAN D ESTISSAC','DORDOGNE'),
('24140','ST JEAN D EYRAUD','DORDOGNE'),
('24140','ST JULIEN DE CREMPSE','DORDOGNE'),
('24140','ST MARTIN DES COMBES','DORDOGNE'),
('24140','VILLAMBLARD','DORDOGNE'),
('24150','BADEFOLS SUR DORDOGNE','DORDOGNE'),
('24150','BANEUIL','DORDOGNE'),
('24150','BAYAC','DORDOGNE'),
('24150','BOURNIQUEL','DORDOGNE'),
('24150','CALES','DORDOGNE'),
('24150','CAUSE DE CLERANS','DORDOGNE'),
('24150','COUZE ET ST FRONT','DORDOGNE'),
('24150','GRAND CASTANG','DORDOGNE'),
('24150','LALINDE','DORDOGNE'),
('24150','LANQUAIS','DORDOGNE'),
('24150','MAUZAC ET GRAND CASTANG','DORDOGNE'),
('24150','PONTOURS','DORDOGNE'),
('24150','PRESSIGNAC VICQ','DORDOGNE'),
('24150','ST CAPRAISE DE LALINDE','DORDOGNE'),
('24150','VARENNES','DORDOGNE'),
('24160','ANLHIAC','DORDOGNE'),
('24160','CLERMONT D EXCIDEUIL','DORDOGNE'),
('24160','EXCIDEUIL','DORDOGNE'),
('24160','GENIS','DORDOGNE'),
('24160','PREYSSAC D EXCIDEUIL','DORDOGNE'),
('24160','ST GERMAIN DES PRES','DORDOGNE'),
('24160','ST JORY LAS BLOUX','DORDOGNE'),
('24160','ST MARTIAL D ALBAREDE','DORDOGNE'),
('24160','ST MEDARD D EXIDEUIL','DORDOGNE'),
('24160','ST PANTALY D EXCIDEUIL','DORDOGNE'),
('24160','ST RAPHAEL','DORDOGNE'),
('24160','STE TRIE','DORDOGNE'),
('24160','SALAGNAC','DORDOGNE'),
('24160','CONDAT LE LARDIN','DORDOGNE'),
('24170','BELVES','DORDOGNE'),
('24170','CARVES','DORDOGNE'),
('24170','CLADECH','DORDOGNE'),
('24170','DOISSAT','DORDOGNE'),
('24170','FONGALOP','DORDOGNE'),
('24170','GRIVES','DORDOGNE'),
('24170','LARZAC','DORDOGNE'),
('24170','MONPLAISANT','DORDOGNE'),
('24170','ORLIAC','DORDOGNE'),
('24170','SAGELAT','DORDOGNE'),
('24170','ST AMAND DE BELVES','DORDOGNE'),
('24170','STE FOY DE BELVES','DORDOGNE'),
('24170','ST GERMAIN DE BELVES','DORDOGNE'),
('24170','ST LAURENT LA VALLEE','DORDOGNE'),
('24170','ST PARDOUX ET VIELVIC','DORDOGNE'),
('24170','ST POMPONT','DORDOGNE'),
('24170','SALLES DE BELVES','DORDOGNE'),
('24170','SIORAC EN PERIGORD','DORDOGNE'),
('24190','CHANTERAC','DORDOGNE'),
('24190','DOUZILLAC','DORDOGNE'),
('24190','NEUVIC','DORDOGNE'),
('24190','ST ANDRE DE DOUBLE','DORDOGNE'),
('24190','ST GERMAIN DU SALEMBRE','DORDOGNE'),
('24190','ST JEAN D ATAUX','DORDOGNE'),
('24190','ST SEVERIN D ESTISSAC','DORDOGNE'),
('24190','ST VINCENT DE CONNEZAC','DORDOGNE'),
('24190','VALLEREUIL','DORDOGNE'),
('24200','CARSAC AILLAC','DORDOGNE'),
('24200','MARCILLAC ST QUENTIN','DORDOGNE'),
('24200','PROISSANS','DORDOGNE'),
('24200','ST ANDRE D ALLAS','DORDOGNE'),
('24200','STE NATHALENE','DORDOGNE'),
('24200','ST VINCENT LE PALUEL','DORDOGNE'),
('24200','SARLAT LA CANEDA','DORDOGNE'),
('24200','VITRAC','DORDOGNE'),
('24210','AJAT','DORDOGNE'),
('24210','AZERAT','DORDOGNE'),
('24210','LA BACHELLERIE','DORDOGNE'),
('24210','BARS','DORDOGNE'),
('24210','BROUCHAUD','DORDOGNE'),
('24210','FOSSEMAGNE','DORDOGNE'),
('24210','GABILLOU','DORDOGNE'),
('24210','LIMEYRAT','DORDOGNE'),
('24210','MONTAGNAC D AUBEROCHE','DORDOGNE'),
('24210','PEYRIGNAC','DORDOGNE'),
('24210','STE ORSE','DORDOGNE'),
('24210','ST RABIER','DORDOGNE'),
('24210','THENON','DORDOGNE'),
('24220','ALLAS LES MINES','DORDOGNE'),
('24220','BERBIGUIERES','DORDOGNE'),
('24220','BEYNAC ET CAZENAC','DORDOGNE'),
('24220','BEZENAC','DORDOGNE'),
('24220','CASTELS','DORDOGNE'),
('24220','COUX ET BIRAGOQUE','DORDOGNE'),
('24220','MARNAC','DORDOGNE'),
('24220','MEYRALS','DORDOGNE'),
('24220','MOUZENS','DORDOGNE'),
('24220','ST CYPRIEN','DORDOGNE'),
('24220','ST VINCENT DE COSSE','DORDOGNE'),
('24220','VEZAC','DORDOGNE'),
('24230','BONNEVILLE ET ST AVIT DE','DORDOGNE'),
('24230','LAMOTHE MONTRAVEL','DORDOGNE'),
('24230','MONTAZEAU','DORDOGNE'),
('24230','MONTCARET','DORDOGNE'),
('24230','NASTRINGUES','DORDOGNE'),
('24230','ST ANTOINE DE BREUILH','DORDOGNE'),
('24230','ST MICHEL DE MONTAIGNE','DORDOGNE'),
('24230','ST SEURIN DE PRATS','DORDOGNE'),
('24230','ST VIVIEN','DORDOGNE'),
('24230','VELINES','DORDOGNE'),
('24240','CUNEGES','DORDOGNE'),
('24240','FLAUGEAC','DORDOGNE'),
('24240','GAGEAC ET ROUILLAC','DORDOGNE'),
('24240','MESCOULES','DORDOGNE'),
('24240','MONBAZILLAC','DORDOGNE'),
('24240','MONBOS','DORDOGNE'),
('24240','MONESTIER','DORDOGNE'),
('24240','POMPORT','DORDOGNE'),
('24240','PUYGUILHEM','DORDOGNE'),
('24240','RAZAC DE SAUSSIGNAC','DORDOGNE'),
('24240','RIBAGNAC','DORDOGNE'),
('24240','ROUFFIGNAC DE SIGOULES','DORDOGNE'),
('24240','SAUSSIGNAC','DORDOGNE'),
('24240','SIGOULES','DORDOGNE'),
('24240','THENAC','DORDOGNE'),
('24250','BOUZIC','DORDOGNE'),
('24250','CASTELNAUD LA CHAPELLE','DORDOGNE'),
('24250','CENAC ET ST JULIEN','DORDOGNE'),
('24250','LA CHAPELLE PECHAUD','DORDOGNE'),
('24250','DAGLAN','DORDOGNE'),
('24250','DOMME','DORDOGNE'),
('24250','FLORIMONT GAUMIER','DORDOGNE'),
('24250','GROLEJAC','DORDOGNE'),
('24250','NABIRAT','DORDOGNE'),
('24250','LA ROQUE GAGEAC','DORDOGNE'),
('24250','ST AUBIN DE NABIRAT','DORDOGNE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('24250','ST CYBRANET','DORDOGNE'),
('24250','ST MARTIAL DE NABIRAT','DORDOGNE'),
('24250','VEYRINES DE DOMME','DORDOGNE'),
('24260','AUDRIX','DORDOGNE'),
('24260','LE BUGUE','DORDOGNE'),
('24260','CAMPAGNE','DORDOGNE'),
('24260','JOURNIAC','DORDOGNE'),
('24260','MAUZENS ET MIREMONT','DORDOGNE'),
('24260','ST AVIT DE VIALARD','DORDOGNE'),
('24260','ST CHAMASSY','DORDOGNE'),
('24260','ST CIRQ','DORDOGNE'),
('24260','ST FELIX DE REILLAC ET MO','DORDOGNE'),
('24260','SAVIGNAC DE MIREMONT','DORDOGNE'),
('24270','ANGOISSE','DORDOGNE'),
('24270','DUSSAC','DORDOGNE'),
('24270','LANOUAILLE','DORDOGNE'),
('24270','PAYZAC','DORDOGNE'),
('24270','ST CYR LES CHAMPAGNES','DORDOGNE'),
('24270','ST MESMIN','DORDOGNE'),
('24270','SARLANDE','DORDOGNE'),
('24270','SAVIGNAC LEDRIER','DORDOGNE'),
('24290','AUBAS','DORDOGNE'),
('24290','AURIAC DU PERIGORD','DORDOGNE'),
('24290','LA CHAPELLE AUBAREIL','DORDOGNE'),
('24290','FANLAC','DORDOGNE'),
('24290','LES FARGES','DORDOGNE'),
('24290','MONTIGNAC','DORDOGNE'),
('24290','ST AMAND DE COLY','DORDOGNE'),
('24290','ST LEON SUR VEZERE','DORDOGNE'),
('24290','SERGEAC','DORDOGNE'),
('24290','THONAC','DORDOGNE'),
('24290','VALOJOULX','DORDOGNE'),
('24300','ABJAT SUR BANDIAT','DORDOGNE'),
('24300','AUGIGNAC','DORDOGNE'),
('24300','LE BOURDEIX','DORDOGNE'),
('24300','LA CHAPELLE MONTMOREAU','DORDOGNE'),
('24300','CONNEZAC','DORDOGNE'),
('24300','HAUTEFAYE','DORDOGNE'),
('24300','JAVERLHAC ET LA CHAPELLE','DORDOGNE'),
('24300','LUSSAS ET NONTRONNEAU','DORDOGNE'),
('24300','NONTRON','DORDOGNE'),
('24300','ST FRONT LA RIVIERE','DORDOGNE'),
('24300','ST FRONT SUR NIZONNE','DORDOGNE'),
('24300','ST MARTIAL DE VALETTE','DORDOGNE'),
('24300','ST MARTIN LE PIN','DORDOGNE'),
('24300','SAVIGNAC DE NONTRON','DORDOGNE'),
('24300','SCEAU ST ANGEL','DORDOGNE'),
('24300','TEYJAT','DORDOGNE'),
('24310','BIRAS','DORDOGNE'),
('24310','BOURDEILLES','DORDOGNE'),
('24310','BRANTOME','DORDOGNE'),
('24310','LA GONTERIE BOULOUNEIX','DORDOGNE'),
('24310','PAUSSAC ET ST VIVIEN','DORDOGNE'),
('24310','ST CREPIN DE RICHEMONT','DORDOGNE'),
('24310','ST JULIEN DE BOURDEILLES','DORDOGNE'),
('24310','SENCENAC PUY DE FOURCHES','DORDOGNE'),
('24310','VALEUIL','DORDOGNE'),
('24320','AURIAC DE BOURZAC','DORDOGNE'),
('24320','BERTRIC BUREE','DORDOGNE'),
('24320','BOURG DES MAISONS','DORDOGNE'),
('24320','BOUTEILLES ST SEBASTIEN','DORDOGNE'),
('24320','CERCLES','DORDOGNE'),
('24320','CHAMPAGNE ET FONTAINE','DORDOGNE'),
('24320','CHAPDEUIL','DORDOGNE'),
('24320','LA CHAPELLE GRESIGNAC','DORDOGNE'),
('24320','LA CHAPELLE MONTABOURLET','DORDOGNE'),
('24320','CHERVAL','DORDOGNE'),
('24320','COUTURES','DORDOGNE'),
('24320','GOUT ROSSIGNOL','DORDOGNE'),
('24320','LUSIGNAC','DORDOGNE'),
('24320','NANTEUIL AURIAC DE BOURZA','DORDOGNE'),
('24320','ST JUST','DORDOGNE'),
('24320','ST MARTIAL VIVEYROL','DORDOGNE'),
('24320','ST PAUL LIZONNE','DORDOGNE'),
('24320','LA TOUR BLANCHE','DORDOGNE'),
('24320','VENDOIRE','DORDOGNE'),
('24320','VERTEILLAC','DORDOGNE'),
('24330','BASSILAC','DORDOGNE'),
('24330','BLIS ET BORN','DORDOGNE'),
('24330','LA DOUZE','DORDOGNE'),
('24330','EYLIAC','DORDOGNE'),
('24330','MILHAC D AUBEROCHE','DORDOGNE'),
('24330','ST ANTOINE D AUBEROCHE','DORDOGNE'),
('24330','ST CREPIN D AUBEROCHE','DORDOGNE'),
('24330','ST GEYRAC','DORDOGNE'),
('24330','ST LAURENT SUR MANOIRE','DORDOGNE'),
('24330','STE MARIE DE CHIGNAC','DORDOGNE'),
('24330','ST PIERRE DE CHIGNAC','DORDOGNE'),
('24340','BEAUSSAC','DORDOGNE'),
('24340','CHAMPEAUX ET LA CHAPELLE','DORDOGNE'),
('24340','LES GRAULGES','DORDOGNE'),
('24340','RUDEAU LADOSSE','DORDOGNE'),
('24340','LEGUILLAC DE CERCLES','DORDOGNE'),
('24340','MAREUIL','DORDOGNE'),
('24340','MONSEC','DORDOGNE'),
('24340','PUYRENIER','DORDOGNE'),
('24340','ROCHEBEAUCOURT ET ARGEN','DORDOGNE'),
('24340','STE CROIX DE MAREUIL','DORDOGNE'),
('24340','ST FELIX DE BOURDEILLES','DORDOGNE'),
('24340','ST SULPICE DE MAREUIL','DORDOGNE'),
('24340','VIEUX MAREUIL','DORDOGNE'),
('24350','BUSSAC','DORDOGNE'),
('24350','LA CHAPELLE GONAGUET','DORDOGNE'),
('24350','CREYSSAC','DORDOGNE'),
('24350','DOUCHAPT','DORDOGNE'),
('24350','GRAND BRASSAC','DORDOGNE'),
('24350','LISLE','DORDOGNE'),
('24350','MENSIGNAC','DORDOGNE'),
('24350','MONTAGRIER','DORDOGNE'),
('24350','ST VICTOR','DORDOGNE'),
('24350','TOCANE ST APRE','DORDOGNE'),
('24360','BUSSEROLLES','DORDOGNE'),
('24360','BUSSIERE BADIL','DORDOGNE'),
('24360','CHAMPNIERS ET REILHAC','DORDOGNE'),
('24360','ETOUARS','DORDOGNE'),
('24360','PIEGUT PLUVIERS','DORDOGNE'),
('24360','ST BARTHELEMY DE BUSSIERE','DORDOGNE'),
('24360','ST ESTEPHE','DORDOGNE'),
('24360','SOUDAT','DORDOGNE'),
('24360','VARAIGNES','DORDOGNE'),
('24370','CALVIAC EN PERIGORD','DORDOGNE'),
('24370','CARLUX','DORDOGNE'),
('24370','CAZOULES','DORDOGNE'),
('24370','ORLIAGUET','DORDOGNE'),
('24370','PEYRILLAC ET MILLAC','DORDOGNE'),
('24370','PRATS DE CARLUX','DORDOGNE'),
('24370','ST JULIEN DE LAMPON','DORDOGNE'),
('24370','STE MONDANE','DORDOGNE'),
('24370','SIMEYROLS','DORDOGNE'),
('24370','VEYRIGNAC','DORDOGNE'),
('24380','BREUILH','DORDOGNE'),
('24380','CENDRIEUX','DORDOGNE'),
('24380','CHALAGNAC','DORDOGNE'),
('24380','CREYSSENSAC ET PISSOT','DORDOGNE'),
('24380','EGLISE NEUVE DE VERGT','DORDOGNE'),
('24380','FOULEIX','DORDOGNE'),
('24380','GRUN BORDAS','DORDOGNE'),
('24380','LACROPTE','DORDOGNE'),
('24380','ST AMAND DE VERGT','DORDOGNE'),
('24380','ST MAIME DE PEREYROL','DORDOGNE'),
('24380','ST MICHEL DE VILLADEIX','DORDOGNE'),
('24380','ST PAUL DE SERRE','DORDOGNE'),
('24380','SALON','DORDOGNE'),
('24380','VERGT','DORDOGNE'),
('24380','VEYRINES DE VERGT','DORDOGNE'),
('24390','BADEFOLS D ANS','DORDOGNE'),
('24390','BOISSEUILH','DORDOGNE'),
('24390','LA CHAPELLE ST JEAN','DORDOGNE'),
('24390','CHERVEIX CUBAS','DORDOGNE'),
('24390','COUBJOURS','DORDOGNE'),
('24390','GRANGES D ANS','DORDOGNE'),
('24390','HAUTEFORT','DORDOGNE'),
('24390','NAILHAC','DORDOGNE'),
('24390','TEILLOTS','DORDOGNE'),
('24390','TEMPLE LAGUYON','DORDOGNE'),
('24390','TOURTOIRAC','DORDOGNE'),
('24400','BEAUPOUYET','DORDOGNE'),
('24400','BEAURONNE','DORDOGNE'),
('24400','BOURGNAC','DORDOGNE'),
('24400','EGLISE NEUVE D ISSAC','DORDOGNE'),
('24400','ISSAC','DORDOGNE'),
('24400','LES LECHES','DORDOGNE'),
('24400','MUSSIDAN','DORDOGNE'),
('24400','ST ETIENNE DE PUYCORBIER','DORDOGNE'),
('24400','ST FRONT DE PRADOUX','DORDOGNE'),
('24400','ST GERY','DORDOGNE'),
('24400','ST LAURENT DES HOMMES','DORDOGNE'),
('24400','ST LOUIS EN L ISLE','DORDOGNE'),
('24400','ST MARTIN L ASTIER','DORDOGNE'),
('24400','ST MEDARD DE MUSSIDAN','DORDOGNE'),
('24400','ST MICHEL DE DOUBLE','DORDOGNE'),
('24400','SOURZAC','DORDOGNE'),
('24410','CHENAUD','DORDOGNE'),
('24410','ECHOURGNAC','DORDOGNE'),
('24410','FESTALEMPS','DORDOGNE'),
('24410','LA JEMAYE','DORDOGNE'),
('24410','PARCOUL','DORDOGNE'),
('24410','PONTEYRAUD','DORDOGNE'),
('24410','PUYMANGOU','DORDOGNE'),
('24410','ST ANTOINE CUMOND','DORDOGNE'),
('24410','ST AULAYE','DORDOGNE'),
('24410','ST PRIVAT DES PRES','DORDOGNE'),
('24410','ST VINCENT JALMOUTIERS','DORDOGNE'),
('24410','SERVANCHES','DORDOGNE'),
('24420','ANTONNE ET TRIGONANT','DORDOGNE'),
('24420','COULAURES','DORDOGNE'),
('24420','ESCOIRE','DORDOGNE'),
('24420','MAYAC','DORDOGNE'),
('24420','ST VINCENT SUR L ISLE','DORDOGNE'),
('24420','SARLIAC SUR L ISLE','DORDOGNE'),
('24420','SAVIGNAC LES EGLISES','DORDOGNE'),
('24420','SORGES','DORDOGNE'),
('24430','ANNESSE ET BEAULIEU','DORDOGNE'),
('24430','COURSAC','DORDOGNE'),
('24430','MARSAC SUR L ISLE','DORDOGNE'),
('24430','RAZAC SUR L ISLE','DORDOGNE'),
('24440','BEAUMONT','DORDOGNE'),
('24440','BORN DE CHAMPS','DORDOGNE'),
('24440','LABOUQUERIE','DORDOGNE'),
('24440','MONSAC','DORDOGNE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('24440','MONTFERRAND DU PERIGORD','DORDOGNE'),
('24440','NAUSSANNES','DORDOGNE'),
('24440','NOJALS ET CLOTTE','DORDOGNE'),
('24440','RAMPIEUX','DORDOGNE'),
('24440','ST AVIT SENIEUR','DORDOGNE'),
('24440','STE CROIX','DORDOGNE'),
('24440','STE SABINE BORN','DORDOGNE'),
('24450','LA COQUILLE','DORDOGNE'),
('24450','FIRBEIX','DORDOGNE'),
('24450','MIALET','DORDOGNE'),
('24450','ST PIERRE DE FRUGIE','DORDOGNE'),
('24450','ST PRIEST LES FOUGERES','DORDOGNE'),
('24460','AGONAC','DORDOGNE'),
('24460','CHATEAU L EVEQUE','DORDOGNE'),
('24460','EYVIRAT','DORDOGNE'),
('24460','LIGUEUX','DORDOGNE'),
('24460','NEGRONDES','DORDOGNE'),
('24460','ST FRONT D ALEMPS','DORDOGNE'),
('24470','CHAMPS ROMAIN','DORDOGNE'),
('24470','MILHAC DE NONTRON','DORDOGNE'),
('24470','ST PARDOUX LA RIVIERE','DORDOGNE'),
('24470','ST SAUD LACOUSSIERE','DORDOGNE'),
('24480','ALLES SUR DORDOGNE','DORDOGNE'),
('24480','BOUILLAC','DORDOGNE'),
('24480','LE BUISSON DE CADOUIN','DORDOGNE'),
('24480','CADOUIN','DORDOGNE'),
('24480','MOLIERES','DORDOGNE'),
('24480','PALEYRAC','DORDOGNE'),
('24480','URVAL','DORDOGNE'),
('24490','LA ROCHE CHALAIS','DORDOGNE'),
('24490','ST MICHEL DE RIVIERE','DORDOGNE'),
('24490','ST MICHEL L ECLUSE ET LEP','DORDOGNE'),
('24500','EYMET','DORDOGNE'),
('24500','FONROQUE','DORDOGNE'),
('24500','RAZAC D EYMET','DORDOGNE'),
('24500','SADILLAC','DORDOGNE'),
('24500','ST AUBIN DE CADELECH','DORDOGNE'),
('24500','ST CAPRAISE D EYMET','DORDOGNE'),
('24500','STE EULALIE D EYMET','DORDOGNE'),
('24500','STE INNOCENCE','DORDOGNE'),
('24500','ST JULIEN D EYMET','DORDOGNE'),
('24500','SERRES ET MONTGUYARD','DORDOGNE'),
('24500','SINGLEYRAC','DORDOGNE'),
('24510','LIMEUIL','DORDOGNE'),
('24510','PAUNAT','DORDOGNE'),
('24510','PEZULS','DORDOGNE'),
('24510','STE ALVERE','DORDOGNE'),
('24510','ST FELIX DE VILLADEIX','DORDOGNE'),
('24510','STE FOY DE LONGAS','DORDOGNE'),
('24510','ST LAURENT DES BATONS','DORDOGNE'),
('24510','ST MARCEL DU PERIGORD','DORDOGNE'),
('24510','TREMOLAT','DORDOGNE'),
('24520','COURS DE PILE','DORDOGNE'),
('24520','LAMONZIE MONTASTRUC','DORDOGNE'),
('24520','LIORAC SUR LOUYRE','DORDOGNE'),
('24520','MOULEYDIER','DORDOGNE'),
('24520','ST AGNE','DORDOGNE'),
('24520','ST GERMAIN ET MONS','DORDOGNE'),
('24520','ST NEXANS','DORDOGNE'),
('24520','ST SAUVEUR','DORDOGNE'),
('24520','VERDON','DORDOGNE'),
('24530','CANTILLAC','DORDOGNE'),
('24530','CHAMPAGNAC DE BELAIR','DORDOGNE'),
('24530','LA CHAPELLE FAUCHER','DORDOGNE'),
('24530','CONDAT SUR TRINCOU','DORDOGNE'),
('24530','QUINSAC','DORDOGNE'),
('24530','ST PANCRACE','DORDOGNE'),
('24530','VILLARS','DORDOGNE'),
('24540','BIRON','DORDOGNE'),
('24540','CAPDROT','DORDOGNE'),
('24540','GAUGEAC','DORDOGNE'),
('24540','LAVALADE','DORDOGNE'),
('24540','LOLME','DORDOGNE'),
('24540','MARSALES','DORDOGNE'),
('24540','MONPAZIER','DORDOGNE'),
('24540','ST AVIT RIVIERE','DORDOGNE'),
('24540','ST CASSIEN','DORDOGNE'),
('24540','ST MARCORY','DORDOGNE'),
('24540','ST ROMAIN DE MONPAZIER','DORDOGNE'),
('24540','SOULAURES','DORDOGNE'),
('24540','VERGT DE BIRON','DORDOGNE'),
('24550','BESSE','DORDOGNE'),
('24550','CAMPAGNAC LES QUERCY','DORDOGNE'),
('24550','LAVAUR','DORDOGNE'),
('24550','LOUBEJAC','DORDOGNE'),
('24550','MAZEYROLLES','DORDOGNE'),
('24550','PRATS DU PERIGORD','DORDOGNE'),
('24550','ST CERNIN DE L HERM','DORDOGNE'),
('24550','VILLEFRANCHE DU PERIGORD','DORDOGNE'),
('24560','BARDOU','DORDOGNE'),
('24560','BOISSE','DORDOGNE'),
('24560','BOUNIAGUES','DORDOGNE'),
('24560','COLOMBIER','DORDOGNE'),
('24560','CONNE DE LABARDE','DORDOGNE'),
('24560','PLAISANCE','DORDOGNE'),
('24560','FALGUEYRAT','DORDOGNE'),
('24560','FAURILLES','DORDOGNE'),
('24560','FAUX','DORDOGNE'),
('24560','ISSIGEAC','DORDOGNE'),
('24560','MANDACOU','DORDOGNE'),
('24560','MONMADALES','DORDOGNE'),
('24560','MONMARVES','DORDOGNE'),
('24560','MONSAGUEL','DORDOGNE'),
('24560','MONTAUT','DORDOGNE'),
('24560','ST AUBIN DE LANQUAIS','DORDOGNE'),
('24560','ST CERNIN DE LABARDE','DORDOGNE'),
('24560','ST LEON D ISSIGEAC','DORDOGNE'),
('24560','ST PERDOUX','DORDOGNE'),
('24560','STE RADEGONDE','DORDOGNE'),
('24560','EYRENVILLE','DORDOGNE'),
('24570','CONDAT SUR VEZERE','DORDOGNE'),
('24570','LE LARDIN ST LAZARE','DORDOGNE'),
('24580','FLEURAC','DORDOGNE'),
('24580','PLAZAC','DORDOGNE'),
('24580','ROUFFIGNAC ST CERNIN DE R','DORDOGNE'),
('24580','ST CERNIN DE REILLAC','DORDOGNE'),
('24590','ARCHIGNAC','DORDOGNE'),
('24590','BORREZE','DORDOGNE'),
('24590','JAYAC','DORDOGNE'),
('24590','NADAILLAC','DORDOGNE'),
('24590','PAULIN','DORDOGNE'),
('24590','ST CREPIN ET CARLUCET','DORDOGNE'),
('24590','ST GENIES','DORDOGNE'),
('24590','SALIGNAC EYVIGNES','DORDOGNE'),
('24600','ALLEMANS','DORDOGNE'),
('24600','BOURG DU BOST','DORDOGNE'),
('24600','CELLES','DORDOGNE'),
('24600','CHASSAIGNES','DORDOGNE'),
('24600','COMBERANCHE ET EPELUCHE','DORDOGNE'),
('24600','PETIT BERSAC','DORDOGNE'),
('24600','RIBERAC','DORDOGNE'),
('24600','ST MARTIN DE RIBERAC','DORDOGNE'),
('24600','ST MEARD DE DRONE','DORDOGNE'),
('24600','ST PARDOUX DE DRONE','DORDOGNE'),
('24600','ST SULPICE DE ROUMAGNAC','DORDOGNE'),
('24600','SEGONZAC','DORDOGNE'),
('24600','SIORAC DE RIBERAC','DORDOGNE'),
('24600','VANXAINS','DORDOGNE'),
('24600','VILLETOUREIX','DORDOGNE'),
('24610','CARSAC DE GURSON','DORDOGNE'),
('24610','MINZAC','DORDOGNE'),
('24610','MONTPEYROUX','DORDOGNE'),
('24610','ST MARTIN DE GURSON','DORDOGNE'),
('24610','ST MEARD DE GURCON','DORDOGNE'),
('24610','VILLEFRANCHE DE LONCHAT','DORDOGNE'),
('24620','EYZIES DE TAYAC SIREUIL','DORDOGNE'),
('24620','MANAURIE','DORDOGNE'),
('24620','MARQUAY','DORDOGNE'),
('24620','PEYZAC LE MOUSTIER','DORDOGNE'),
('24620','SIREUIL','DORDOGNE'),
('24620','TAMNIES','DORDOGNE'),
('24620','TURSAC','DORDOGNE'),
('24630','JUMILHAC LE GRAND','DORDOGNE'),
('24640','LA BOISSIERE D ANS','DORDOGNE'),
('24640','LE CHANGE','DORDOGNE'),
('24640','CHOURGNAC','DORDOGNE'),
('24640','CUBJAC','DORDOGNE'),
('24640','STE EULALIE D ANS','DORDOGNE'),
('24640','ST PANTALY D ANS','DORDOGNE'),
('24650','CHANCELADE','DORDOGNE'),
('24660','COULOUNIEIX CHAMIERS','DORDOGNE'),
('24660','NOTRE DAME DE SANILHAC','DORDOGNE'),
('24680','GARDONNE','DORDOGNE'),
('24680','LAMONZIE ST MARTIN','DORDOGNE'),
('24700','EYGURANDE ET GARDEDEUIL','DORDOGNE'),
('24700','MENESPLET','DORDOGNE'),
('24700','MONTPON MENESTEROL','DORDOGNE'),
('24700','MOULIN NEUF','DORDOGNE'),
('24700','LE PIZOU','DORDOGNE'),
('24700','ST BARTHELEMY DE BELLEGAR','DORDOGNE'),
('24700','ST GERAUD DE CORPS','DORDOGNE'),
('24700','ST MARTIAL D ARTENSET','DORDOGNE'),
('24700','ST REMY','DORDOGNE'),
('24700','ST SAUVEUR LALANDE','DORDOGNE'),
('24750','ATUR','DORDOGNE'),
('24750','BOULAZAC','DORDOGNE'),
('24750','CHAMPCEVINEL','DORDOGNE'),
('24750','CORNILLE','DORDOGNE'),
('24750','MARSANEIX','DORDOGNE'),
('24750','TRELISSAC','DORDOGNE'),
('24800','CHALEIX','DORDOGNE'),
('24800','CORGNAC SUR L ISLE','DORDOGNE'),
('24800','EYZERAC','DORDOGNE'),
('24800','LEMPZOURS','DORDOGNE'),
('24800','NANTHEUIL','DORDOGNE'),
('24800','NANTHIAT','DORDOGNE'),
('24800','ST JEAN DE COLE','DORDOGNE'),
('24800','ST JORY DE CHALAIS','DORDOGNE'),
('24800','ST MARTIN DE FRESSENGEAS','DORDOGNE'),
('24800','ST PAUL LA ROCHE','DORDOGNE'),
('24800','ST PIERRE DE COLE','DORDOGNE'),
('24800','ST ROMAIN ET ST CLEMENT','DORDOGNE'),
('24800','ST SULPICE D EXCIDEUIL','DORDOGNE'),
('24800','SARRAZAC','DORDOGNE'),
('24800','THIVIERS','DORDOGNE'),
('24800','VAUNAC','DORDOGNE'),
('25000','BESANCON','DOUBS'),
('25110','AUTECHAUX','DOUBS'),
('25110','BAUME LES DAMES','DOUBS'),
('25110','BOIS LA VILLE','DOUBS');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('25110','BRETIGNEY NOTRE DAME','DOUBS'),
('25110','CHAMPVANS LES BAUME','DOUBS'),
('25110','CUSANCE','DOUBS'),
('25110','DAMMARTIN LES TEMPLIERS','DOUBS'),
('25110','ESNANS','DOUBS'),
('25110','FONTENOTTE','DOUBS'),
('25110','FOURBANNE','DOUBS'),
('25110','GROSBOIS','DOUBS'),
('25110','GUILLON LES BAINS','DOUBS'),
('25110','HYEVRE MAGNY','DOUBS'),
('25110','HYEVRE PAROISSE','DOUBS'),
('25110','LOMONT SUR CRETE','DOUBS'),
('25110','LUXIOL','DOUBS'),
('25110','MONTIVERNAGE','DOUBS'),
('25110','PONT LES MOULINS','DOUBS'),
('25110','RILLANS','DOUBS'),
('25110','SECHIN','DOUBS'),
('25110','SILLEY BLEFOND','DOUBS'),
('25110','VERGRANNE','DOUBS'),
('25110','VERNE','DOUBS'),
('25110','VILLERS ST MARTIN','DOUBS'),
('25110','VOILLANS','DOUBS'),
('25111','MONTGESOYE','DOUBS'),
('25113','STE MARIE','DOUBS'),
('25115','POUILLEY LES VIGNES','DOUBS'),
('25120','BLANCHEFONTAINE','DOUBS'),
('25120','LES BRESEUX','DOUBS'),
('25120','CERNAY L EGLISE','DOUBS'),
('25120','LE FRIOLAIS','DOUBS'),
('25120','MAICHE','DOUBS'),
('25120','MANCENANS LIZERNE','DOUBS'),
('25120','MONT DE VOUGNEY','DOUBS'),
('25120','ORGEANS BLANCHE FONTAINE','DOUBS'),
('25130','VILLERS LE LAC','DOUBS'),
('25140','LE BOULOIS','DOUBS'),
('25140','CHARQUEMONT','DOUBS'),
('25140','LES ECORCES','DOUBS'),
('25140','FOURNET BLANCHEROCHE','DOUBS'),
('25140','FRAMBOUHANS','DOUBS'),
('25150','AUTECHAUX ROIDE','DOUBS'),
('25150','BOURGUIGNON','DOUBS'),
('25150','DAMBELIN','DOUBS'),
('25150','ECOT','DOUBS'),
('25150','ECURCEY','DOUBS'),
('25150','GOUX LES DAMBELIN','DOUBS'),
('25150','MAMBOUHANS','DOUBS'),
('25150','NEUCHATEL URTIERE','DOUBS'),
('25150','PONT DE ROIDE','DOUBS'),
('25150','REMONDANS VAIVRE','DOUBS'),
('25150','VAIVRE','DOUBS'),
('25150','VERMONDANS','DOUBS'),
('25150','VILLARS SOUS ECOT','DOUBS'),
('25160','BOUJEONS','DOUBS'),
('25160','GRANGES STE MARIE','DOUBS'),
('25160','LES GRANGETTES','DOUBS'),
('25160','LABERGEMENT STE MARIE','DOUBS'),
('25160','MALBUISSON','DOUBS'),
('25160','MALPAS','DOUBS'),
('25160','MONTPERREUX','DOUBS'),
('25160','OYE ET PALLET','DOUBS'),
('25160','LA PLANEE','DOUBS'),
('25160','REMORAY BOUJEONS','DOUBS'),
('25160','ST POINT LAC','DOUBS'),
('25160','VAUX ET CHANTEGRUE','DOUBS'),
('25170','AUDEUX','DOUBS'),
('25170','BURGILLE','DOUBS'),
('25170','CHAMPAGNEY','DOUBS'),
('25170','CHAMPVANS LES MOULINS','DOUBS'),
('25170','CHAUCENNE','DOUBS'),
('25170','CHAZOY','DOUBS'),
('25170','CHEVIGNEY SUR L OGNON','DOUBS'),
('25170','CORDIRON','DOUBS'),
('25170','COURCHAPON','DOUBS'),
('25170','EMAGNY','DOUBS'),
('25170','ETRABONNE','DOUBS'),
('25170','FRANEY','DOUBS'),
('25170','JALLERANGE','DOUBS'),
('25170','LANTENNE VERTIERE','DOUBS'),
('25170','LAVERNAY','DOUBS'),
('25170','MAZEROLLES LE SALIN','DOUBS'),
('25170','MONCLEY','DOUBS'),
('25170','LE MOUTHEROT','DOUBS'),
('25170','NOIRONTE','DOUBS'),
('25170','PELOUSEY','DOUBS'),
('25170','PLACEY','DOUBS'),
('25170','RECOLOGNE','DOUBS'),
('25170','RUFFEY LE CHATEAU','DOUBS'),
('25170','SAUVAGNEY','DOUBS'),
('25170','VILLERS BUZON','DOUBS'),
('25190','BIEF','DOUBS'),
('25190','CHAMESOL','DOUBS'),
('25190','LES TERRES DE CHAUX','DOUBS'),
('25190','DAMPJOUX','DOUBS'),
('25190','FEULE','DOUBS'),
('25190','FLEUREY','DOUBS'),
('25190','FROIDEVAUX','DOUBS'),
('25190','GLERE','DOUBS'),
('25190','LIEBVILLERS','DOUBS'),
('25190','MONTANCY','DOUBS'),
('25190','MONTANDON','DOUBS'),
('25190','MONTECHEROUX','DOUBS'),
('25190','MONTJOIE LE CHATEAU','DOUBS'),
('25190','MONTURSIN','DOUBS'),
('25190','MOUILLEVILLERS','DOUBS'),
('25190','NOIREFONTAINE','DOUBS'),
('25190','PESEUX','DOUBS'),
('25190','ROSIERES SUR BARBECHE','DOUBS'),
('25190','ST HIPPOLYTE','DOUBS'),
('25190','SOLEMONT','DOUBS'),
('25190','SOULCE CERNAY','DOUBS'),
('25190','VALONNE','DOUBS'),
('25190','VALOREILLE','DOUBS'),
('25190','VAUFREY','DOUBS'),
('25190','VERNOIS LE FOL','DOUBS'),
('25190','VILLARS SOUS DAMPJOUX','DOUBS'),
('25200','BETHONCOURT','DOUBS'),
('25200','GRAND CHARMONT','DOUBS'),
('25200','MONTBELIARD','DOUBS'),
('25210','LE BARBOUX','DOUBS'),
('25210','LE BIZOT','DOUBS'),
('25210','BONNETAGE','DOUBS'),
('25210','LA BOSSE','DOUBS'),
('25210','LES FONTENELLES','DOUBS'),
('25210','GRAND COMBE DES BOIS','DOUBS'),
('25210','LAVAL LE PRIEURE','DOUBS'),
('25210','LE LUHIER','DOUBS'),
('25210','LE MEMONT','DOUBS'),
('25210','MONTBELIARDOT','DOUBS'),
('25210','MONT DE LAVAL','DOUBS'),
('25210','NARBIEF','DOUBS'),
('25210','PLAIMBOIS DU MIROIR','DOUBS'),
('25210','LE RUSSEY','DOUBS'),
('25210','ST JULIEN LES RUSSEY','DOUBS'),
('25220','AMAGNEY','DOUBS'),
('25220','ARCIER','DOUBS'),
('25220','CHALEZE','DOUBS'),
('25220','CHALEZEULE','DOUBS'),
('25220','NOVILLARS','DOUBS'),
('25220','ROCHE LEZ BEAUPRE','DOUBS'),
('25220','THISE','DOUBS'),
('25220','VAIRE ARCIER','DOUBS'),
('25220','VAIRE LE PETIT','DOUBS'),
('25230','BONDEVAL','DOUBS'),
('25230','DASLE','DOUBS'),
('25230','SELONCOURT','DOUBS'),
('25230','VANDONCOURT','DOUBS'),
('25240','BREY ET MAISON DU BOIS','DOUBS'),
('25240','CHAPELLE DES BOIS','DOUBS'),
('25240','CHATELBLANC','DOUBS'),
('25240','CHAUX NEUVE','DOUBS'),
('25240','LE CROUZET','DOUBS'),
('25240','GELLIN','DOUBS'),
('25240','MOUTHE','DOUBS'),
('25240','PETITE CHAUX','DOUBS'),
('25240','LES PONTETS','DOUBS'),
('25240','RECULFOZ','DOUBS'),
('25240','RONDEFONTAINE','DOUBS'),
('25240','SARRAGEOIS','DOUBS'),
('25240','LES VILLEDIEU','DOUBS'),
('25250','ACCOLANS','DOUBS'),
('25250','APPENANS','DOUBS'),
('25250','BEUTAL','DOUBS'),
('25250','BLUSSANGEAUX','DOUBS'),
('25250','BLUSSANS','DOUBS'),
('25250','BOURNOIS','DOUBS'),
('25250','BRETIGNEY','DOUBS'),
('25250','ETRAPPE','DOUBS'),
('25250','FAIMBE','DOUBS'),
('25250','GEMONVAL','DOUBS'),
('25250','GENEY','DOUBS'),
('25250','HYEMONDANS','DOUBS'),
('25250','L ISLE SUR LE DOUBS','DOUBS'),
('25250','LANTHENANS','DOUBS'),
('25250','MANCENANS','DOUBS'),
('25250','MARVELISE','DOUBS'),
('25250','MEDIERE','DOUBS'),
('25250','ONANS','DOUBS'),
('25250','LA PRETIERE','DOUBS'),
('25250','RANG','DOUBS'),
('25250','SOURANS','DOUBS'),
('25250','SOYE','DOUBS'),
('25260','COLOMBIER CHATELOT','DOUBS'),
('25260','COLOMBIER FONTAINE','DOUBS'),
('25260','ETOUVANS','DOUBS'),
('25260','LONGEVELLE SUR DOUBS','DOUBS'),
('25260','LOUGRES','DOUBS'),
('25260','MONTENOIS','DOUBS'),
('25260','ST MAURICE COLOMBIER','DOUBS'),
('25270','ARC SOUS MONTENOT','DOUBS'),
('25270','CHAPELLE D HUIN','DOUBS'),
('25270','CROUZET MIGETTE','DOUBS'),
('25270','GEVRESIN','DOUBS'),
('25270','GRANGES MAILLOT','DOUBS'),
('25270','LABERGEMENT DU NAVOIS','DOUBS'),
('25270','LEVIER','DOUBS'),
('25270','MONTMAHOUX','DOUBS'),
('25270','STE ANNE','DOUBS'),
('25270','SEPTFONTAINES','DOUBS'),
('25270','VILLENEUVE D AMONT','DOUBS'),
('25270','VILLERS SOUS CHALAMONT','DOUBS');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('25290','CADEMENE','DOUBS'),
('25290','CHASSAGNE ST DENIS','DOUBS'),
('25290','EPEUGNEY','DOUBS'),
('25290','MAISIERES NOTRE DAME','DOUBS'),
('25290','ORNANS','DOUBS'),
('25290','RUREY','DOUBS'),
('25290','SCEY MAISIERES','DOUBS'),
('25300','LES ALLIES','DOUBS'),
('25300','ARCON','DOUBS'),
('25300','CHAFFOIS','DOUBS'),
('25300','LA CLUSE ET MIJOUX','DOUBS'),
('25300','DOMMARTIN','DOUBS'),
('25300','DOUBS','DOUBS'),
('25300','LES FOURGS','DOUBS'),
('25300','GRANGES NARBOZ','DOUBS'),
('25300','HOUTAUD','DOUBS'),
('25300','PONTARLIER','DOUBS'),
('25300','STE COLOMBE','DOUBS'),
('25300','VERRIERES DE JOUX','DOUBS'),
('25300','VUILLECIN','DOUBS'),
('25310','ABBEVILLERS','DOUBS'),
('25310','BLAMONT','DOUBS'),
('25310','DANNEMARIE','DOUBS'),
('25310','GLAY','DOUBS'),
('25310','HERIMONCOURT','DOUBS'),
('25310','MESLIERES','DOUBS'),
('25310','PIERREFONTAINE LES BLAMON','DOUBS'),
('25310','ROCHES LES BLAMONT','DOUBS'),
('25310','THULAY','DOUBS'),
('25310','VILLARS LES BLAMONT','DOUBS'),
('25320','ABBANS DESSOUS','DOUBS'),
('25320','BOUSSIERES','DOUBS'),
('25320','BUSY','DOUBS'),
('25320','BYANS SUR DOUBS','DOUBS'),
('25320','CHEMAUDIN','DOUBS'),
('25320','GRANDFONTAINE','DOUBS'),
('25320','MONTFERRAND LE CHATEAU','DOUBS'),
('25320','OSSELLE','DOUBS'),
('25320','RANCENAY','DOUBS'),
('25320','THORAISE','DOUBS'),
('25320','TORPES','DOUBS'),
('25320','VORGES LES PINS','DOUBS'),
('25330','ALAISE','DOUBS'),
('25330','AMANCEY','DOUBS'),
('25330','AMATHAY VESIGNEUX','DOUBS'),
('25330','AMONDANS','DOUBS'),
('25330','BOLANDOZ','DOUBS'),
('25330','CHANTRANS','DOUBS'),
('25330','CLERON','DOUBS'),
('25330','COULANS SUR LIZON','DOUBS'),
('25330','DESERVILLERS','DOUBS'),
('25330','DOULAIZE','DOUBS'),
('25330','ETERNOZ','DOUBS'),
('25330','FERTANS','DOUBS'),
('25330','FLAGEY','DOUBS'),
('25330','LIZINE','DOUBS'),
('25330','LONGEVILLE','DOUBS'),
('25330','MALANS','DOUBS'),
('25330','NANS SOUS STE ANNE','DOUBS'),
('25330','REFRANCHE','DOUBS'),
('25330','REUGNEY','DOUBS'),
('25330','SARAZ','DOUBS'),
('25330','SILLEY AMANCEY','DOUBS'),
('25340','ABBENANS','DOUBS'),
('25340','ANTEUIL','DOUBS'),
('25340','BRANNE','DOUBS'),
('25340','CHAUX LES CLERVAL','DOUBS'),
('25340','CLERVAL','DOUBS'),
('25340','CROSEY LE GRAND','DOUBS'),
('25340','CROSEY LE PETIT','DOUBS'),
('25340','FONTAINE LES CLERVAL','DOUBS'),
('25340','FONTENELLE MONTBY','DOUBS'),
('25340','GLAINANS','DOUBS'),
('25340','GONDENANS MONTBY','DOUBS'),
('25340','L HOPITAL ST LIEFFROY','DOUBS'),
('25340','POMPIERRE SUR DOUBS','DOUBS'),
('25340','ROCHE LES CLERVAL','DOUBS'),
('25340','ST GEORGES ARMONT','DOUBS'),
('25340','SANTOCHE','DOUBS'),
('25340','TOURNEDOZ','DOUBS'),
('25340','UZELLE','DOUBS'),
('25340','VIETHOREY','DOUBS'),
('25350','MANDEURE','DOUBS'),
('25360','ADAM LES PASSAVANT','DOUBS'),
('25360','AISSEY','DOUBS'),
('25360','BOUCLANS','DOUBS'),
('25360','CHAMPLIVE','DOUBS'),
('25360','COTEBRUNE','DOUBS'),
('25360','GLAMONDANS','DOUBS'),
('25360','GONSANS','DOUBS'),
('25360','GRANGES DE VIENNEY','DOUBS'),
('25360','LANANS','DOUBS'),
('25360','MAGNY CHATELARD','DOUBS'),
('25360','NAISEY LES GRANGES','DOUBS'),
('25360','NANCRAY','DOUBS'),
('25360','OSSE','DOUBS'),
('25360','PASSAVANT','DOUBS'),
('25360','ST JUAN','DOUBS'),
('25360','VAUCHAMPS','DOUBS'),
('25360','VAUDRIVILLERS','DOUBS'),
('25370','FOURCATIER ET MAISON NEUV','DOUBS'),
('25370','LES HOPITAUX NEUFS','DOUBS'),
('25370','LES HOPITAUX VIEUX','DOUBS'),
('25370','JOUGNE','DOUBS'),
('25370','LONGEVILLES MONT D OR','DOUBS'),
('25370','METABIEF','DOUBS'),
('25370','ROCHEJEAN','DOUBS'),
('25370','ST ANTOINE','DOUBS'),
('25370','TOUILLON ET LOUTELET','DOUBS'),
('25380','BATTENANS VARIN','DOUBS'),
('25380','BELLEHERBE','DOUBS'),
('25380','BRETONVILLERS','DOUBS'),
('25380','CHAMESEY','DOUBS'),
('25380','CHARMOILLE','DOUBS'),
('25380','COUR ST MAURICE','DOUBS'),
('25380','DROITFONTAINE','DOUBS'),
('25380','LA GRANGE','DOUBS'),
('25380','LONGEVELLE LES RUSSEY','DOUBS'),
('25380','PROVENCHERE','DOUBS'),
('25380','ROSUREUX','DOUBS'),
('25380','SURMONT','DOUBS'),
('25380','VAUCLUSE','DOUBS'),
('25380','VAUCLUSOTTE','DOUBS'),
('25390','CONSOLATION MAISONNETTES','DOUBS'),
('25390','FUANS','DOUBS'),
('25390','FOURNETS LUISANS','DOUBS'),
('25390','GUYANS VENNES','DOUBS'),
('25390','LORAY','DOUBS'),
('25390','LUISANS','DOUBS'),
('25390','ORCHAMPS VENNES','DOUBS'),
('25390','PLAIMBOIS VENNES','DOUBS'),
('25390','VENNES','DOUBS'),
('25400','ARBOUANS','DOUBS'),
('25400','AUDINCOURT','DOUBS'),
('25400','EXINCOURT','DOUBS'),
('25400','TAILLECOURT','DOUBS'),
('25410','BERTHELANGE','DOUBS'),
('25410','CORCELLE FERRIERES','DOUBS'),
('25410','CORCONDRAY','DOUBS'),
('25410','COTTIER','DOUBS'),
('25410','DANNEMARIE SUR CRETE','DOUBS'),
('25410','FERRIERES LES BOIS','DOUBS'),
('25410','MERCEY LE GRAND','DOUBS'),
('25410','POUILLEY FRANCAIS','DOUBS'),
('25410','ROSET FLUANS','DOUBS'),
('25410','ROUTELLE','DOUBS'),
('25410','ST VIT','DOUBS'),
('25410','VELESMES ESSARTS','DOUBS'),
('25410','VILLARS ST GEORGES','DOUBS'),
('25410','ANTORPE','DOUBS'),
('25420','BART','DOUBS'),
('25420','BERCHE','DOUBS'),
('25420','COURCELLES LES MONTBELIAR','DOUBS'),
('25420','DAMPIERRE SUR LE DOUBS','DOUBS'),
('25420','VOUJEAUCOURT','DOUBS'),
('25430','BELVOIR','DOUBS'),
('25430','CHAZOT','DOUBS'),
('25430','ORVE','DOUBS'),
('25430','RAHON','DOUBS'),
('25430','RANDEVILLERS','DOUBS'),
('25430','SANCEY LE GRAND','DOUBS'),
('25430','SANCEY LE LONG','DOUBS'),
('25430','SERVIN','DOUBS'),
('25430','VELLEROT LES BELVOIR','DOUBS'),
('25430','VELLEVANS','DOUBS'),
('25430','VERNOIS LES BELVOIR','DOUBS'),
('25430','VYT LES BELVOIR','DOUBS'),
('25440','ABBANS DESSUS','DOUBS'),
('25440','BARTHERANS','DOUBS'),
('25440','BRERES','DOUBS'),
('25440','BUFFARD','DOUBS'),
('25440','BY','DOUBS'),
('25440','CESSEY','DOUBS'),
('25440','CHARNAY','DOUBS'),
('25440','CHATILLON SUR LISON','DOUBS'),
('25440','CHAY','DOUBS'),
('25440','CHENECEY BUILLON','DOUBS'),
('25440','CHOUZELOT','DOUBS'),
('25440','COURCELLES','DOUBS'),
('25440','CUSSEY SUR LISON','DOUBS'),
('25440','ECHAY','DOUBS'),
('25440','FOURG','DOUBS'),
('25440','GOUX SOUS LANDET','DOUBS'),
('25440','LAVANS QUINGEY','DOUBS'),
('25440','LIESLE','DOUBS'),
('25440','LOMBARD','DOUBS'),
('25440','MESMAY','DOUBS'),
('25440','MONTFORT','DOUBS'),
('25440','MYON','DOUBS'),
('25440','PALANTINE','DOUBS'),
('25440','PAROY','DOUBS'),
('25440','PESSANS','DOUBS'),
('25440','POINTVILLERS','DOUBS'),
('25440','QUINGEY','DOUBS'),
('25440','RENNES SUR LOUE','DOUBS'),
('25440','RONCHAUX','DOUBS'),
('25440','ROUHE','DOUBS'),
('25440','SAMSON','DOUBS'),
('25450','DAMPRICHARD','DOUBS'),
('25460','ETUPES','DOUBS');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('25470','BELFAYS','DOUBS'),
('25470','BURNEVILLERS','DOUBS'),
('25470','CHARMAUVILLERS','DOUBS'),
('25470','COURTEFONTAINE','DOUBS'),
('25470','FERRIERES LE LAC','DOUBS'),
('25470','FESSEVILLERS','DOUBS'),
('25470','GOUMOIS','DOUBS'),
('25470','INDEVILLERS','DOUBS'),
('25470','LES PLAINS ET GRANDS ESSA','DOUBS'),
('25470','THIEBOUHANS','DOUBS'),
('25470','TREVILLERS','DOUBS'),
('25470','URTIERE','DOUBS'),
('25480','ECOLE VALENTIN','DOUBS'),
('25480','MISEREY SALINES','DOUBS'),
('25480','PIREY','DOUBS'),
('25480','VALENTIN','DOUBS'),
('25490','ALLENJOIE','DOUBS'),
('25490','BADEVEL','DOUBS'),
('25490','DAMPIERRE LES BOIS','DOUBS'),
('25490','FESCHES LE CHATEL','DOUBS'),
('25500','LE BELIEU','DOUBS'),
('25500','LA CHENALOTTE','DOUBS'),
('25500','LES COMBES','DOUBS'),
('25500','LES FINS','DOUBS'),
('25500','MONTLEBON','DOUBS'),
('25500','MORTEAU','DOUBS'),
('25500','NOEL CERNEUX','DOUBS'),
('25510','DOMPREL','DOUBS'),
('25510','GERMEFONTAINE','DOUBS'),
('25510','GRANDFONTAINE SUR CREUSE','DOUBS'),
('25510','LAVIRON','DOUBS'),
('25510','PIERREFONTAINE LES VARANS','DOUBS'),
('25510','LA SOMMETTE','DOUBS'),
('25510','VILLERS LA COMBE','DOUBS'),
('25520','ARC SOUS CICON','DOUBS'),
('25520','AUBONNE','DOUBS'),
('25520','BIANS LES USIERS','DOUBS'),
('25520','BUGNY','DOUBS'),
('25520','EVILLERS','DOUBS'),
('25520','GOUX LES USIERS','DOUBS'),
('25520','OUHANS','DOUBS'),
('25520','RENEDALE','DOUBS'),
('25520','ST GORGON MAIN','DOUBS'),
('25520','SOMBACOUR','DOUBS'),
('25530','ADAM LES VERCEL','DOUBS'),
('25530','BELMONT','DOUBS'),
('25530','BREMONDANS','DOUBS'),
('25530','CHAUX LES PASSAVANT','DOUBS'),
('25530','CHEVIGNEY LES VERCEL','DOUBS'),
('25530','COURTETAIN ET SALANS','DOUBS'),
('25530','EPENOUSE','DOUBS'),
('25530','EYSSON','DOUBS'),
('25530','LANDRESSE','DOUBS'),
('25530','ORSANS','DOUBS'),
('25530','OUVANS','DOUBS'),
('25530','VELLEROT LES VERCEL','DOUBS'),
('25530','VERCEL VILLEDIEU LE CAMP','DOUBS'),
('25530','VILLERS CHIEF','DOUBS'),
('25550','ALLONDANS','DOUBS'),
('25550','BAVANS','DOUBS'),
('25550','DUNG','DOUBS'),
('25550','ECHENANS','DOUBS'),
('25550','ISSANS','DOUBS'),
('25550','LAIRE','DOUBS'),
('25550','PRESENTEVILLERS','DOUBS'),
('25550','RAYNANS','DOUBS'),
('25550','ST JULIEN LES MONTBELIARD','DOUBS'),
('25560','BANNANS','DOUBS'),
('25560','BONNEVAUX','DOUBS'),
('25560','BOUJAILLES','DOUBS'),
('25560','BOUVERANS','DOUBS'),
('25560','BULLE','DOUBS'),
('25560','COURVIERES','DOUBS'),
('25560','DOMPIERRE LES TILLEULS','DOUBS'),
('25560','FRASNE','DOUBS'),
('25560','LA RIVIERE DRUGEON','DOUBS'),
('25570','GRAND COMBE CHATELEU','DOUBS'),
('25580','ATHOSE','DOUBS'),
('25580','CHASNANS','DOUBS'),
('25580','DURNES','DOUBS'),
('25580','ECHEVANNES','DOUBS'),
('25580','ETALANS','DOUBS'),
('25580','FALLERANS','DOUBS'),
('25580','GUYANS DURNES','DOUBS'),
('25580','HAUTEPIERRE LE CHATELET','DOUBS'),
('25580','LAVANS VUILLAFANS','DOUBS'),
('25580','NODS','DOUBS'),
('25580','RANTECHAUX','DOUBS'),
('25580','SAULES','DOUBS'),
('25580','VANCLANS','DOUBS'),
('25580','VERNIERFONTAINE','DOUBS'),
('25580','VERRIERES DU GROSBOIS','DOUBS'),
('25580','VOIRES','DOUBS'),
('25600','BROGNARD','DOUBS'),
('25600','DAMBENOIS','DOUBS'),
('25600','NOMMAY','DOUBS'),
('25600','SOCHAUX','DOUBS'),
('25600','VIEUX CHARMONT','DOUBS'),
('25610','ARC ET SENANS','DOUBS'),
('25620','BONNEVAUX LE PRIEURE','DOUBS'),
('25620','CHARBONNIERES LES SAPINS','DOUBS'),
('25620','LA CHEVILLOTTE','DOUBS'),
('25620','FOUCHERANS','DOUBS'),
('25620','LE GRATTERIS','DOUBS'),
('25620','L HOPITAL DU GROSBOIS','DOUBS'),
('25620','MALBRANS','DOUBS'),
('25620','MAMIROLLE','DOUBS'),
('25620','TARCENAY','DOUBS'),
('25620','TREPOT','DOUBS'),
('25620','VILLERS SOUS MONTROND','DOUBS'),
('25630','STE SUZANNE','DOUBS'),
('25640','BATTENANS LES MINES','DOUBS'),
('25640','BLARIANS','DOUBS'),
('25640','BRAILLANS','DOUBS'),
('25640','BRECONCHAUX','DOUBS'),
('25640','LA BRETENIERE','DOUBS'),
('25640','CENDREY','DOUBS'),
('25640','CHAMPOUX','DOUBS'),
('25640','CHATILLON GUYOTTE','DOUBS'),
('25640','CHAUDEFONTAINE','DOUBS'),
('25640','CORCELLE MIESLOT','DOUBS'),
('25640','L ECOUVOTTE','DOUBS'),
('25640','FLAGEY RIGNEY','DOUBS'),
('25640','GERMONDANS','DOUBS'),
('25640','LUSANS','DOUBS'),
('25640','MARCHAUX','DOUBS'),
('25640','OLLANS','DOUBS'),
('25640','OUGNEY DOUVOT','DOUBS'),
('25640','POULIGNEY LUSANS','DOUBS'),
('25640','LE PUY','DOUBS'),
('25640','RIGNEY','DOUBS'),
('25640','RIGNOSOT','DOUBS'),
('25640','ROUGEMONTOT','DOUBS'),
('25640','ROULANS','DOUBS'),
('25640','ST HILAIRE','DOUBS'),
('25640','LA TOUR DE SCAY','DOUBS'),
('25640','VAL DE ROULANS','DOUBS'),
('25640','VENNANS','DOUBS'),
('25640','VILLERS GRELOT','DOUBS'),
('25650','LA CHAUX','DOUBS'),
('25650','GILLEY','DOUBS'),
('25650','HAUTERIVE LA FRESSE','DOUBS'),
('25650','LIEVREMONT','DOUBS'),
('25650','LA LONGEVILLE','DOUBS'),
('25650','MAISONS DU BOIS LIEVREMON','DOUBS'),
('25650','MONTBENOIT','DOUBS'),
('25650','MONTFLOVIN','DOUBS'),
('25650','VILLE DU PONT','DOUBS'),
('25660','FONTAIN','DOUBS'),
('25660','GENNES','DOUBS'),
('25660','MEREY SOUS MONTROND','DOUBS'),
('25660','MONTFAUCON','DOUBS'),
('25660','MONTROND LE CHATEAU','DOUBS'),
('25660','MORRE','DOUBS'),
('25660','SAONE','DOUBS'),
('25660','LA VEZE','DOUBS'),
('25680','AVILLEY','DOUBS'),
('25680','BONNAL','DOUBS'),
('25680','CHAZELOT','DOUBS'),
('25680','CUBRIAL','DOUBS'),
('25680','CUBRY','DOUBS'),
('25680','CUSE ET ADRISANS','DOUBS'),
('25680','GONDENANS LES MOULINS','DOUBS'),
('25680','GOUHELANS','DOUBS'),
('25680','HUANNE MONTMARTIN','DOUBS'),
('25680','MESANDANS','DOUBS'),
('25680','MONDON','DOUBS'),
('25680','MONTAGNEY SERVIGNEY','DOUBS'),
('25680','MONTFERNEY','DOUBS'),
('25680','MONTUSSAINT','DOUBS'),
('25680','MORCHAMPS','DOUBS'),
('25680','NANS','DOUBS'),
('25680','PUESSANS','DOUBS'),
('25680','ROGNON','DOUBS'),
('25680','ROMAIN','DOUBS'),
('25680','ROUGEMONT','DOUBS'),
('25680','SERVIGNEY','DOUBS'),
('25680','TALLANS','DOUBS'),
('25680','TOURNANS','DOUBS'),
('25680','TRESSANDANS','DOUBS'),
('25680','TROUVANS','DOUBS'),
('25690','AVOUDREY','DOUBS'),
('25690','FLANGEBOUCHE','DOUBS'),
('25690','LONGECHAUX','DOUBS'),
('25690','LONGEMAISON','DOUBS'),
('25690','PASSONFONTAINE','DOUBS'),
('25700','MATHAY','DOUBS'),
('25700','VALENTIGNEY','DOUBS'),
('25720','ARGUEL','DOUBS'),
('25720','AVANNE AVENEY','DOUBS'),
('25720','AVENEY','DOUBS'),
('25720','BEURE','DOUBS'),
('25720','LARNOD','DOUBS'),
('25720','PUGEY','DOUBS'),
('25750','AIBRE','DOUBS'),
('25750','ARCEY','DOUBS'),
('25750','DESANDANS','DOUBS'),
('25750','SEMONDANS','DOUBS'),
('25750','LE VERNOY','DOUBS'),
('25770','FRANOIS','DOUBS');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('25770','SERRE LES SAPINS','DOUBS'),
('25770','VAUX LES PRES','DOUBS'),
('25790','LES GRAS','DOUBS'),
('25800','EPENOY','DOUBS'),
('25800','ETRAY','DOUBS'),
('25800','VALDAHON','DOUBS'),
('25820','LAISSEY','DOUBS'),
('25840','CHATEAUVIEUX LES FOSSES','DOUBS'),
('25840','VUILLAFANS','DOUBS'),
('25870','AUXON DESSOUS','DOUBS'),
('25870','AUXON DESSUS','DOUBS'),
('25870','BONNAY','DOUBS'),
('25870','CHATILLON LE DUC','DOUBS'),
('25870','CHEVROZ','DOUBS'),
('25870','CUSSEY SUR L OGNON','DOUBS'),
('25870','DEVECEY','DOUBS'),
('25870','GENEUILLE','DOUBS'),
('25870','MEREY VIEILLEY','DOUBS'),
('25870','MONCEY','DOUBS'),
('25870','PALISE','DOUBS'),
('25870','TALLENAY','DOUBS'),
('25870','THUREY LE MONT','DOUBS'),
('25870','VALLEROY','DOUBS'),
('25870','VENISE','DOUBS'),
('25870','VIEILLEY','DOUBS'),
('25920','MOUTHIER HAUTE PIERRE','DOUBS'),
('25930','LODS','DOUBS'),
('25960','DELUZ','DOUBS'),
('26000','VALENCE','DROME'),
('26100','ROMANS SUR ISERE','DROME'),
('26110','ARPAVON','DROME'),
('26110','AUBRES','DROME'),
('26110','BELLECOMBE TARENDOL','DROME'),
('26110','BESIGNAN','DROME'),
('26110','CHATEAUNEUF DE BORDETTE','DROME'),
('26110','CHAUDEBONNE','DROME'),
('26110','CONDORCET','DROME'),
('26110','CURNIER','DROME'),
('26110','EYROLES','DROME'),
('26110','MIRABEL AUX BARONNIES','DROME'),
('26110','MONTAULIEU','DROME'),
('26110','NYONS','DROME'),
('26110','PIEGON','DROME'),
('26110','LES PILLES','DROME'),
('26110','LE POET SIGILLAT','DROME'),
('26110','ROCHEBRUNE','DROME'),
('26110','ST FERREOL TRENTE PAS','DROME'),
('26110','STE JALLE','DROME'),
('26110','ST MAURICE SUR EYGUES','DROME'),
('26110','ST SAUVEUR GOUVERNET','DROME'),
('26110','VALOUSE','DROME'),
('26110','VENTEROL','DROME'),
('26110','VINSOBRES','DROME'),
('26120','BARCELONNE','DROME'),
('26120','LA BAUME CORNILLANE','DROME'),
('26120','CHABEUIL','DROME'),
('26120','CHATEAUDOUBLE','DROME'),
('26120','COMBOVIN','DROME'),
('26120','MALISSARD','DROME'),
('26120','MONTELIER','DROME'),
('26120','MONTMEYRAN','DROME'),
('26120','MONTVENDRE','DROME'),
('26120','OURCHES','DROME'),
('26120','PEYRUS','DROME'),
('26120','UPIE','DROME'),
('26120','FAUCONNIERES','DROME'),
('26120','PARLANGES','DROME'),
('26130','CLANSAYES','DROME'),
('26130','MONTSEGUR SUR LAUZON','DROME'),
('26130','ST PAUL TROIS CHATEAUX','DROME'),
('26130','ST RESTITUT','DROME'),
('26130','SOLERIEUX','DROME'),
('26140','ALBON','DROME'),
('26140','ANDANCETTE','DROME'),
('26140','ANNEYRON','DROME'),
('26140','ST RAMBERT D ALBON','DROME'),
('26140','CREUX DE LA THINE','DROME'),
('26150','AIX EN DIOIS','DROME'),
('26150','BARSAC','DROME'),
('26150','CHAMALOC','DROME'),
('26150','DIE','DROME'),
('26150','LAVAL D AIX','DROME'),
('26150','MARIGNAC EN DIOIS','DROME'),
('26150','MOLIERES GLANDAZ','DROME'),
('26150','MONTMAUR EN DIOIS','DROME'),
('26150','PONET ET ST AUBAN','DROME'),
('26150','PONTAIX','DROME'),
('26150','ROMEYER','DROME'),
('26150','ST ANDEOL','DROME'),
('26150','STE CROIX','DROME'),
('26150','ST JULIEN EN QUINT','DROME'),
('26150','VACHERES EN QUINT','DROME'),
('26160','LA BATIE ROLLAND','DROME'),
('26160','LA BEGUDE DE MAZENC','DROME'),
('26160','BONLIEU SUR ROUBION','DROME'),
('26160','EYZAHUT','DROME'),
('26160','FELINES SUR RIMANDOULE','DROME'),
('26160','MANAS','DROME'),
('26160','LE POET LAVAL','DROME'),
('26160','PONT DE BARRET','DROME'),
('26160','PORTES EN VALDAINE','DROME'),
('26160','PUYGIRON','DROME'),
('26160','ROCHEBAUDIN','DROME'),
('26160','ROCHEFORT EN VALDAINE','DROME'),
('26160','ST GERVAIS SUR ROUBION','DROME'),
('26160','SALETTES','DROME'),
('26160','SOUSPIERRE','DROME'),
('26160','LA TOUCHE','DROME'),
('26170','BEAUVOISIN','DROME'),
('26170','BENIVAY OLLON','DROME'),
('26170','BUIS LES BARONNIES','DROME'),
('26170','EYGALIERS','DROME'),
('26170','MERINDOL LES OLIVIERS','DROME'),
('26170','MOLLANS SUR OUVEZE','DROME'),
('26170','MONTAUBAN SUR L OUVEZE','DROME'),
('26170','MONTGUERS','DROME'),
('26170','LA PENNE SUR L OUVEZE','DROME'),
('26170','PIERRELONGUE','DROME'),
('26170','PLAISIANS','DROME'),
('26170','LE POET EN PERCIP','DROME'),
('26170','PROPIAC','DROME'),
('26170','RIOMS','DROME'),
('26170','LA ROCHE SUR LE BUIS','DROME'),
('26170','LA ROCHETTE DU BUIS','DROME'),
('26170','ST AUBAN SUR L OUVEZE','DROME'),
('26170','STE EUPHEMIE SUR OUVEZE','DROME'),
('26170','VERCOIRAN','DROME'),
('26190','BOUVANTE','DROME'),
('26190','LE CHAFFAL','DROME'),
('26190','ECHEVIS','DROME'),
('26190','LEONCEL','DROME'),
('26190','LA MOTTE FANJAS','DROME'),
('26190','ORIOL EN ROYANS','DROME'),
('26190','ROCHECHINARD','DROME'),
('26190','STE EULALIE EN ROYANS','DROME'),
('26190','ST JEAN EN ROYANS','DROME'),
('26190','ST LAURENT EN ROYANS','DROME'),
('26190','ST MARTIN LE COLONEL','DROME'),
('26190','ST NAZAIRE EN ROYANS','DROME'),
('26190','ST THOMAS EN ROYANS','DROME'),
('26190','LA VACHERIE','DROME'),
('26200','ANCONE','DROME'),
('26200','MONTELIMAR','DROME'),
('26210','EPINOUZE','DROME'),
('26210','LAPEYROUSE MORNAY','DROME'),
('26210','LENS LESTANG','DROME'),
('26210','MANTHES','DROME'),
('26210','MORAS EN VALLOIRE','DROME'),
('26210','ST SORLIN EN VALLOIRE','DROME'),
('26220','COMPS','DROME'),
('26220','DIEULEFIT','DROME'),
('26220','MONTJOUX','DROME'),
('26220','ORCINAS','DROME'),
('26220','TEYSSIERES','DROME'),
('26220','VESC','DROME'),
('26230','CHAMARET','DROME'),
('26230','CHANTEMERLE LES GRIGNAN','DROME'),
('26230','COLONZELLE','DROME'),
('26230','GRIGNAN','DROME'),
('26230','MONTJOYER','DROME'),
('26230','REAUVILLE','DROME'),
('26230','ROUSSAS','DROME'),
('26230','VALAURIE','DROME'),
('26240','BEAUSEMBLANT','DROME'),
('26240','CLAVEYSON','DROME'),
('26240','FAY LE CLOS','DROME'),
('26240','LAVEYRON','DROME'),
('26240','LA MOTTE DE GALAURE','DROME'),
('26240','MUREILS','DROME'),
('26240','PONSAS','DROME'),
('26240','ST BARTHELEMY DE VALS','DROME'),
('26240','ST UZE','DROME'),
('26240','ST VALLIER','DROME'),
('26250','LIVRON SUR DROME','DROME'),
('26250','LES PETITS ROBINS','DROME'),
('26260','ARTHEMONAY','DROME'),
('26260','BATHERNAY','DROME'),
('26260','BREN','DROME'),
('26260','CHARMES SUR L HERBASSE','DROME'),
('26260','CHAVANNES','DROME'),
('26260','CLERIEUX','DROME'),
('26260','MARGES','DROME'),
('26260','MARSAZ','DROME'),
('26260','ST BARDOUX','DROME'),
('26260','ST DONAT SUR L HERBASSE','DROME'),
('26270','CLIOUSCLAT','DROME'),
('26270','LORIOL SUR DROME','DROME'),
('26270','MIRMANDE','DROME'),
('26270','SAULCE SUR RHONE','DROME'),
('26270','LES REYS DE SAULCE','DROME'),
('26290','DONZERE','DROME'),
('26290','LES GRANGES GONTARDES','DROME'),
('26300','ALIXAN','DROME'),
('26300','BARBIERES','DROME'),
('26300','BEAUREGARD BARET','DROME'),
('26300','BESAYES','DROME'),
('26300','BOURG DE PEAGE','DROME'),
('26300','CHARPEY','DROME'),
('26300','CHATEAUNEUF SUR ISERE','DROME'),
('26300','CHATUZANGE LE GOUBET','DROME');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('26300','MARCHES','DROME'),
('26300','ROCHEFORT SAMSON','DROME'),
('26300','JAILLANS','DROME'),
('26300','ST VINCENT LA COMMANDERIE','DROME'),
('26300','PIZANCON','DROME'),
('26300','ST DIDIER DE CHARPEY','DROME'),
('26310','BARNAVE','DROME'),
('26310','LA BATIE CREMEZIN','DROME'),
('26310','LA BATIE DES FONDS','DROME'),
('26310','BEAUMONT EN DIOIS','DROME'),
('26310','BEAURIERES','DROME'),
('26310','CHARENS','DROME'),
('26310','VAL MARAVEL','DROME'),
('26310','JANSAC','DROME'),
('26310','JONCHERES','DROME'),
('26310','LESCHES EN DIOIS','DROME'),
('26310','LUC EN DIOIS','DROME'),
('26310','MISCON','DROME'),
('26310','MONTLAUR EN DIOIS','DROME'),
('26310','LE PILHON','DROME'),
('26310','POYOLS','DROME'),
('26310','LES PRES','DROME'),
('26310','RECOUBEAU JANSAC','DROME'),
('26310','ST DIZIER EN DIOIS','DROME'),
('26310','VALDROME','DROME'),
('26320','ST MARCEL LES VALENCE','DROME'),
('26330','CHATEAUNEUF DE GALAURE','DROME'),
('26330','RATIERES','DROME'),
('26330','ST AVIT','DROME'),
('26330','ST MARTIN D AOUT','DROME'),
('26340','AUBENASSON','DROME'),
('26340','AUCELON','DROME'),
('26340','AUREL','DROME'),
('26340','BRETTE','DROME'),
('26340','CHALANCON','DROME'),
('26340','CHASTEL ARNAUD','DROME'),
('26340','LA CHAUDIERE','DROME'),
('26340','ESPENEL','DROME'),
('26340','PENNES LE SEC','DROME'),
('26340','PRADELLE','DROME'),
('26340','RIMON ET SAVEL','DROME'),
('26340','ROCHEFOURCHAT','DROME'),
('26340','SAILLANS','DROME'),
('26340','ST BENOIT EN DIOIS','DROME'),
('26340','ST NAZAIRE LE DESERT','DROME'),
('26340','ST SAUVEUR EN DIOIS','DROME'),
('26340','VERCHENY','DROME'),
('26340','VERONNE','DROME'),
('26350','LE CHALON','DROME'),
('26350','CREPOL','DROME'),
('26350','MIRIBEL','DROME'),
('26350','MONTCHENU','DROME'),
('26350','MONTRIGAUD','DROME'),
('26350','ST BONNET DE VALCLERIEUX','DROME'),
('26350','ST CHRISTOPHE ET LE LARIS','DROME'),
('26350','ST LAURENT D ONAY','DROME'),
('26380','PEYRINS','DROME'),
('26390','HAUTERIVES','DROME'),
('26390','TERSANNE','DROME'),
('26400','ALLEX','DROME'),
('26400','AOUSTE SUR SYE','DROME'),
('26400','LA REPARA AURIPLES','DROME'),
('26400','AUTICHAMP','DROME'),
('26400','BEAUFORT SUR GERVANNE','DROME'),
('26400','CHABRILLAN','DROME'),
('26400','COBONNE','DROME'),
('26400','CREST','DROME'),
('26400','DIVAJEU','DROME'),
('26400','EURRE','DROME'),
('26400','EYGLUY ESCOULIN','DROME'),
('26400','FRANCILLON SUR ROUBION','DROME'),
('26400','GIGORS ET LOZERON','DROME'),
('26400','GRANE','DROME'),
('26400','MIRABEL ET BLACONS','DROME'),
('26400','MONTCLAR SUR GERVANNE','DROME'),
('26400','OMBLEZE','DROME'),
('26400','PIEGROS LA CLASTRE','DROME'),
('26400','PLAN DE BAIX','DROME'),
('26400','LA ROCHE SUR GRANE','DROME'),
('26400','LA ROCHETTE SUR CREST','DROME'),
('26400','SAOU','DROME'),
('26400','SOYANS','DROME'),
('26400','SUZE','DROME'),
('26400','VAUNAVEYS LA ROCHETTE','DROME'),
('26410','BONNEVAL EN DIOIS','DROME'),
('26410','BOULC','DROME'),
('26410','CHATILLON EN DIOIS','DROME'),
('26410','CREYERS','DROME'),
('26410','GLANDAGE','DROME'),
('26410','MENGLON','DROME'),
('26410','RAVEL ET FERRIERS','DROME'),
('26410','ST ROMAN','DROME'),
('26410','TRESCHENU CREYERS','DROME'),
('26420','LA CHAPELLE EN VERCORS','DROME'),
('26420','ST AGNAN EN VERCORS','DROME'),
('26420','ST JULIEN EN VERCORS','DROME'),
('26420','ST MARTIN EN VERCORS','DROME'),
('26420','VASSIEUX EN VERCORS','DROME'),
('26420','LES BARRAQUES EN VERCORS','DROME'),
('26420','COL DE ROUSSET','DROME'),
('26420','ROUSSET EN VERCORS','DROME'),
('26450','CHAROLS','DROME'),
('26450','CLEON D ANDRAN','DROME'),
('26450','PUY ST MARTIN','DROME'),
('26450','ROYNAC','DROME'),
('26460','BEZAUDUN SUR BINE','DROME'),
('26460','BOURDEAUX','DROME'),
('26460','BOUVIERES','DROME'),
('26460','CRUPIES','DROME'),
('26460','MORNANS','DROME'),
('26460','LE POET CELARD','DROME'),
('26460','LES TONILS','DROME'),
('26460','TRUINAS','DROME'),
('26470','ARNAYON','DROME'),
('26470','BELLEGARDE EN DIOIS','DROME'),
('26470','LA CHARCE','DROME'),
('26470','ESTABLET','DROME'),
('26470','GUMIANE','DROME'),
('26470','LA MOTTE CHALANCON','DROME'),
('26470','POMMEROL','DROME'),
('26470','ROTTIER','DROME'),
('26470','VOLVENT','DROME'),
('26500','BOURG LES VALENCE','DROME'),
('26510','CHAUVAC','DROME'),
('26510','CORNILLAC','DROME'),
('26510','CORNILLON SUR L OULE','DROME'),
('26510','LAUX MONTAUX','DROME'),
('26510','LEMPS','DROME'),
('26510','MONTFERRAND LA FARE','DROME'),
('26510','MONTREAL LES SOURCES','DROME'),
('26510','PELONNE','DROME'),
('26510','REMUZAT','DROME'),
('26510','ROUSSIEUX','DROME'),
('26510','SAHUNE','DROME'),
('26510','ST MAY','DROME'),
('26510','VERCLAUSE','DROME'),
('26510','VILLEPERDRIX','DROME'),
('26530','LE GRAND SERRE','DROME'),
('26540','MOURS ST EUSEBE','DROME'),
('26560','EOURRES','DROME'),
('26560','BALLONS','DROME'),
('26560','EYGALAYES','DROME'),
('26560','IZON LA BRUISSE','DROME'),
('26560','LABOREL','DROME'),
('26560','LACHAU','DROME'),
('26560','MEVOUILLON','DROME'),
('26560','MONTFROC','DROME'),
('26560','SEDERON','DROME'),
('26560','VERS SUR MEOUGE','DROME'),
('26560','VILLEFRANCHE LE CHATEAU','DROME'),
('26570','AULAN','DROME'),
('26570','BARRET DE LIOURE','DROME'),
('26570','FERRASSIERES','DROME'),
('26570','MONTBRUN LES BAINS','DROME'),
('26570','REILHANETTE','DROME'),
('26600','BEAUMONT MONTEUX','DROME'),
('26600','CHANOS CURSON','DROME'),
('26600','CHANTEMERLE LES BLES','DROME'),
('26600','CROZES HERMITAGE','DROME'),
('26600','EROME','DROME'),
('26600','LARNAGE','DROME'),
('26600','MERCUROL','DROME'),
('26600','PONT DE L ISERE','DROME'),
('26600','LA ROCHE DE GLUN','DROME'),
('26600','SERVES SUR RHONE','DROME'),
('26600','TAIN L HERMITAGE','DROME'),
('26600','VEAUNES','DROME'),
('26600','GRANGES LES BEAUMONT','DROME'),
('26600','GERVANS','DROME'),
('26620','LUS LA CROIX HAUTE','DROME'),
('26700','LA GARDE ADHEMAR','DROME'),
('26700','PIERRELATTE','DROME'),
('26730','LA BAUME D HOSTUN','DROME'),
('26730','EYMEUX','DROME'),
('26730','HOSTUN','DROME'),
('26730','L ECANCIERE','DROME'),
('26740','CONDILLAC','DROME'),
('26740','LA COUCOURDE','DROME'),
('26740','LA LAUPIE','DROME'),
('26740','MARSANNE','DROME'),
('26740','MONTBOUCHER SUR JABRON','DROME'),
('26740','ST MARCEL LES SAUZET','DROME'),
('26740','SAUZET','DROME'),
('26740','SAVASSE','DROME'),
('26740','LES TOURRETTES','DROME'),
('26740','DERBIERES','DROME'),
('26740','L HOMME D ARMES','DROME'),
('26750','CHATILLON ST JEAN','DROME'),
('26750','GENISSIEUX','DROME'),
('26750','GEYSSANS','DROME'),
('26750','MONTMIRAL','DROME'),
('26750','PARNANS','DROME'),
('26750','ST MICHEL SUR SAVASSE','DROME'),
('26750','ST PAUL LES ROMANS','DROME'),
('26750','TRIORS','DROME'),
('26760','BEAUMONT LES VALENCE','DROME'),
('26760','MONTELEGER','DROME'),
('26770','ALEYRAC','DROME'),
('26770','BECONNE','DROME'),
('26770','MONTBRISON','DROME');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('26770','LE PEGUE','DROME'),
('26770','ROCHE ST SECRET BECONNE','DROME'),
('26770','ROUSSET LES VIGNES','DROME'),
('26770','ST PANTALEON LES VIGNES','DROME'),
('26770','SALLES SOUS BOIS','DROME'),
('26770','TAULIGNAN','DROME'),
('26780','ALLAN','DROME'),
('26780','CHATEAUNEUF DU RHONE','DROME'),
('26780','ESPELUCHE','DROME'),
('26780','MALATAVERNE','DROME'),
('26790','LA BAUME DE TRANSIT','DROME'),
('26790','BOUCHET','DROME'),
('26790','ROCHEGUDE','DROME'),
('26790','SUZE LA ROUSSE','DROME'),
('26790','TULETTE','DROME'),
('26800','AMBONIL','DROME'),
('26800','BEAUVALLON','DROME'),
('26800','ETOILE SUR RHONE','DROME'),
('26800','MONTOISON','DROME'),
('26800','PORTES LES VALENCE','DROME'),
('26800','LA PAILLASSE','DROME'),
('27000','EVREUX','EURE'),
('27000','LA MADELEINE','EURE'),
('27100','LE VAUDREUIL','EURE'),
('27100','TOURNEDOS SUR SEINE','EURE'),
('27100','VAL DE REUIL','EURE'),
('27110','BERENGEVILLE LA CAMPAGNE','EURE'),
('27110','CESSEVILLE','EURE'),
('27110','CRESTOT','EURE'),
('27110','CRIQUEBEUF LA CAMPAGNE','EURE'),
('27110','CROSVILLE LA VIEILLE','EURE'),
('27110','DAUBEUF LA CAMPAGNE','EURE'),
('27110','ECAUVILLE','EURE'),
('27110','ECQUETOT','EURE'),
('27110','EPEGARD','EURE'),
('27110','EPREVILLE PRES LE NEUBOUR','EURE'),
('27110','FEUGUEROLLES','EURE'),
('27110','GRAVERON SEMERVILLE','EURE'),
('27110','HECTOMARE','EURE'),
('27110','IVILLE','EURE'),
('27110','MARBEUF','EURE'),
('27110','LE NEUBOURG','EURE'),
('27110','QUITTEBEUF','EURE'),
('27110','ROUGE PERRIERS','EURE'),
('27110','ST AUBIN D ECROSVILLE','EURE'),
('27110','STE COLOMBE LA COMMANDERI','EURE'),
('27110','STE OPPORTUNE BOSC','EURE'),
('27110','LE TILLEUL LAMBERT','EURE'),
('27110','LE TREMBLAY OMONVILLE','EURE'),
('27110','LE TRONCQ','EURE'),
('27110','VENON','EURE'),
('27110','VILLETTES','EURE'),
('27110','VILLEZ SUR LE NEUBOURG','EURE'),
('27110','VITOT','EURE'),
('27120','AIGLEVILLE','EURE'),
('27120','BOISSET LES PREVANCHES','EURE'),
('27120','BONCOURT','EURE'),
('27120','CAILLOUET ORGEVILLE','EURE'),
('27120','CHAIGNES','EURE'),
('27120','CHAMBRAY','EURE'),
('27120','LE CORMIER','EURE'),
('27120','CROISY SUR EURE','EURE'),
('27120','DOUAINS','EURE'),
('27120','FAINS','EURE'),
('27120','FONTAINE SOUS JOUY','EURE'),
('27120','GADENCOURT','EURE'),
('27120','HARDENCOURT COCHEREL','EURE'),
('27120','HECOURT','EURE'),
('27120','HOULBEC COCHEREL','EURE'),
('27120','JOUY SUR EURE','EURE'),
('27120','MENILLES','EURE'),
('27120','PACY SUR EURE','EURE'),
('27120','LE PLESSIS HEBERT','EURE'),
('27120','ROUVRAY','EURE'),
('27120','ST AQUILIN DE PACY','EURE'),
('27120','LE VAL DAVID','EURE'),
('27120','VAUX SUR EURE','EURE'),
('27120','VILLEGATS','EURE'),
('27130','BALINES','EURE'),
('27130','LES BARILS','EURE'),
('27130','COURTEILLES','EURE'),
('27130','MANDRES','EURE'),
('27130','PISEUX','EURE'),
('27130','PULLAY','EURE'),
('27130','ST VICTOR SUR AVRE','EURE'),
('27130','VERNEUIL SUR AVRE','EURE'),
('27140','AMECOURT','EURE'),
('27140','BAZINCOURT SUR EPTE','EURE'),
('27140','GISORS','EURE'),
('27140','ST DENIS LE FERMENT','EURE'),
('27140','ST PAER','EURE'),
('27150','BOISEMONT','EURE'),
('27150','BOUCHEVILLIERS','EURE'),
('27150','CHAUVINCOURT PROVEMONT','EURE'),
('27150','COUDRAY','EURE'),
('27150','DOUDEAUVILLE EN VEXIN','EURE'),
('27150','ETREPAGNY','EURE'),
('27150','FARCEAUX','EURE'),
('27150','GAMACHES EN VEXIN','EURE'),
('27150','HACQUEVILLE','EURE'),
('27150','HEBECOURT','EURE'),
('27150','LONGCHAMPS','EURE'),
('27150','MAINNEVILLE','EURE'),
('27150','MARTAGNY','EURE'),
('27150','MESNIL SOUS VIENNE','EURE'),
('27150','MORGNY','EURE'),
('27150','LA NEUVE GRANGE','EURE'),
('27150','NOJEON EN VEXIN','EURE'),
('27150','PROVEMONT','EURE'),
('27150','PUCHAY','EURE'),
('27150','STE MARIE DE VATIMESNIL','EURE'),
('27150','SANCOURT','EURE'),
('27150','SAUSSAY LA CAMPAGNE','EURE'),
('27150','LE THIL','EURE'),
('27160','LES BAUX DE BRETEUIL','EURE'),
('27160','BEMECOURT','EURE'),
('27160','BRETEUIL','EURE'),
('27160','LE CHESNE','EURE'),
('27160','CINTRAY','EURE'),
('27160','CONDE SUR ITON','EURE'),
('27160','DAME MARIE','EURE'),
('27160','FRANCHEVILLE','EURE'),
('27160','GUERNANVILLE','EURE'),
('27160','LA GUEROULDE','EURE'),
('27160','ST DENIS DU BEHELAN','EURE'),
('27160','STE MARGUERITE DE L AUTEL','EURE'),
('27160','ST NICOLAS D ATTEZ','EURE'),
('27160','ST OUEN D ATTEZ','EURE'),
('27170','BARC','EURE'),
('27170','BARQUET','EURE'),
('27170','BEAUMONTEL','EURE'),
('27170','BEAUMONT LE ROGER','EURE'),
('27170','BERVILLE LA CAMPAGNE','EURE'),
('27170','BRAY','EURE'),
('27170','COMBON','EURE'),
('27170','ECARDENVILLE LA CAMPAGNE','EURE'),
('27170','GOUPILLIERES','EURE'),
('27170','GROSLEY SUR RISLE','EURE'),
('27170','PERRIERS LA CAMPAGNE','EURE'),
('27170','LE PLESSIS STE OPPORTUNE','EURE'),
('27170','ROMILLY LA PUTHENAYE','EURE'),
('27170','TILLEUL DAME AGNES','EURE'),
('27170','LE TILLEUL OTHON','EURE'),
('27180','ARNIERES SUR ITON','EURE'),
('27180','AULNAY SUR ITON','EURE'),
('27180','LES BAUX STE CROIX','EURE'),
('27180','BERNIENVILLE','EURE'),
('27180','CAUGE','EURE'),
('27180','CLAVILLE','EURE'),
('27180','PARVILLE','EURE'),
('27180','LE PLESSIS GROHAN','EURE'),
('27180','ST SEBASTIEN DE MORSENT','EURE'),
('27180','TOURNEDOS BOIS HUBERT','EURE'),
('27180','LES VENTES','EURE'),
('27190','BEAUBRAY','EURE'),
('27190','LA BONNEVILLE SUR ITON','EURE'),
('27190','BUREY','EURE'),
('27190','CHAMP DOLENT','EURE'),
('27190','COLLANDRES QUINCARNON','EURE'),
('27190','CONCHES EN OUCHE','EURE'),
('27190','LA CROISILLE','EURE'),
('27190','EMANVILLE','EURE'),
('27190','FAVEROLLES LA CAMPAGNE','EURE'),
('27190','FERRIERES HAUT CLOCHER','EURE'),
('27190','LE FIDELAIRE','EURE'),
('27190','LE FRESNE','EURE'),
('27190','GAUDREVILLE LA RIVIERE','EURE'),
('27190','GLISOLLES','EURE'),
('27190','LOUVERSEY','EURE'),
('27190','LE MESNIL HARDRAY','EURE'),
('27190','NAGEL SEEZ MESNIL','EURE'),
('27190','NOGENT LE SEC','EURE'),
('27190','ORMES','EURE'),
('27190','ORVAUX','EURE'),
('27190','PORTES','EURE'),
('27190','ST ELIER','EURE'),
('27190','STE MARTHE','EURE'),
('27190','SEBECOURT','EURE'),
('27200','VERNON','EURE'),
('27210','BERVILLE SUR MER','EURE'),
('27210','BEUZEVILLE','EURE'),
('27210','BOULLEVILLE','EURE'),
('27210','CONTEVILLE','EURE'),
('27210','FATOUVILLE GRESTAIN','EURE'),
('27210','FIQUEFLEUR EQUAINVILLE','EURE'),
('27210','FORT MOVILLE','EURE'),
('27210','FOULBEC','EURE'),
('27210','LA LANDE ST LEGER','EURE'),
('27210','MANNEVILLE LA RAOULT','EURE'),
('27210','MARTAINVILLE','EURE'),
('27210','ST LEGER SUR BONNEVILLE','EURE'),
('27210','ST MACLOU','EURE'),
('27210','ST PIERRE DU VAL','EURE'),
('27210','ST SULPICE DE GRIMBOUVILL','EURE'),
('27210','LE TORPT','EURE'),
('27210','VANNECROCQ','EURE'),
('27210','LA LANDE','EURE'),
('27220','LES AUTHIEUX','EURE'),
('27220','BOIS LE ROI','EURE'),
('27220','LA BOISSIERE','EURE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('27220','BRETAGNOLLES','EURE'),
('27220','CHAMPIGNY LA FUTELAYE','EURE'),
('27220','CHAVIGNY BAILLEUL','EURE'),
('27220','COUDRES','EURE'),
('27220','LA FORET DU PARC','EURE'),
('27220','FOUCRAINVILLE','EURE'),
('27220','FRESNEY','EURE'),
('27220','GARENCIERES','EURE'),
('27220','GROSSOEUVRE','EURE'),
('27220','L HABIT','EURE'),
('27220','JUMELLES','EURE'),
('27220','LIGNEROLLES','EURE'),
('27220','MOUETTES','EURE'),
('27220','MOUSSEAUX NEUVILLE','EURE'),
('27220','PREY','EURE'),
('27220','QUESSIGNY','EURE'),
('27220','ST ANDRE DE L EURE','EURE'),
('27220','ST GERMAIN DE FRESNEY','EURE'),
('27220','ST LAURENT DES BOIS','EURE'),
('27220','SEREZ','EURE'),
('27230','BARVILLE','EURE'),
('27230','BAZOQUES','EURE'),
('27230','BOURNAINVILLE FAVEROLLES','EURE'),
('27230','LA CHAPELLE HARENG','EURE'),
('27230','DRUCOURT','EURE'),
('27230','DURANVILLE','EURE'),
('27230','FAVEROLLES LES MARES','EURE'),
('27230','LE FAVRIL','EURE'),
('27230','FOLLEVILLE','EURE'),
('27230','FONTAINE LA LOUVET','EURE'),
('27230','HEUDREVILLE EN LIEUVIN','EURE'),
('27230','PIENCOURT','EURE'),
('27230','LES PLACES','EURE'),
('27230','LE PLANQUAY','EURE'),
('27230','ST AUBIN DE SCELLON','EURE'),
('27230','ST GERMAIN LA CAMPAGNE','EURE'),
('27230','ST MARDS DE FRESNE','EURE'),
('27230','ST VINCENT DU BOULAY','EURE'),
('27230','LE THEIL NOLENT','EURE'),
('27230','THIBERVILLE','EURE'),
('27230','BOURNAINVILLE','EURE'),
('27240','LE RONCENAY AUTHENAY','EURE'),
('27240','AVRILLY','EURE'),
('27240','BOISSY SUR DAMVILLE','EURE'),
('27240','CHANTELOUP','EURE'),
('27240','CORNEUIL','EURE'),
('27240','COULONGES','EURE'),
('27240','CRETON','EURE'),
('27240','DAMVILLE','EURE'),
('27240','LES ESSARTS','EURE'),
('27240','GOUVILLE','EURE'),
('27240','GRANDVILLIERS','EURE'),
('27240','HELLENVILLIERS','EURE'),
('27240','MANTHELON','EURE'),
('27240','LES MINIERES','EURE'),
('27240','BUIS SUR DAMVILLE','EURE'),
('27240','ROMAN','EURE'),
('27240','LE RONCENAY','EURE'),
('27240','LE SACQ','EURE'),
('27240','THOMER LA SOGNE','EURE'),
('27240','VILLALET','EURE'),
('27240','SYLVAINS LES MOULINS','EURE'),
('27250','AMBENAY','EURE'),
('27250','AUVERGNY','EURE'),
('27250','BOIS ARNAULT','EURE'),
('27250','LES BOTTEREAUX','EURE'),
('27250','CHAMBORD','EURE'),
('27250','CHERONVILLIERS','EURE'),
('27250','LES FRETILS','EURE'),
('27250','JUIGNETTES','EURE'),
('27250','NEAUFLES AUVERGNY','EURE'),
('27250','RUGLES','EURE'),
('27250','ST ANTONIN DE SOMMAIRE','EURE'),
('27250','VAUX SUR RISLE','EURE'),
('27250','NEAUFLES SUR RISLE','EURE'),
('27260','ASNIERES','EURE'),
('27260','BAILLEUL LA VALLEE','EURE'),
('27260','LE BOIS HELLAIN','EURE'),
('27260','LA CHAPELLE BAYVEL','EURE'),
('27260','CORMEILLES','EURE'),
('27260','EPAIGNES','EURE'),
('27260','FRESNE CAUVERVILLE','EURE'),
('27260','JOUVEAUX','EURE'),
('27260','MORAINVILLE JOUVEAUX','EURE'),
('27260','ST PIERRE DE CORMEILLES','EURE'),
('27260','ST SYLVESTRE DE CORMEILLE','EURE'),
('27270','LE BOSC MOREL','EURE'),
('27270','BROGLIE','EURE'),
('27270','CAPELLES LES GRANDS','EURE'),
('27270','CHAMBLAC','EURE'),
('27270','LA CHAPELLE GAUTHIER','EURE'),
('27270','FERRIERES ST HILAIRE','EURE'),
('27270','GRAND CAMP','EURE'),
('27270','LA ROUSSIERE','EURE'),
('27270','ST AUBIN DU THENNEY','EURE'),
('27270','ST JEAN DU THENNEY','EURE'),
('27270','ST QUENTIN DES ISLES','EURE'),
('27270','LA TRINITE DE REVILLE','EURE'),
('27290','APPEVILLE ANNEBAULT','EURE'),
('27290','AUTHOU','EURE'),
('27290','BONNEVILLE APTOT','EURE'),
('27290','CONDE SUR RISLE','EURE'),
('27290','ECAQUELON','EURE'),
('27290','FRENEUSE SUR RISLE','EURE'),
('27290','GLOS SUR RISLE','EURE'),
('27290','ILLEVILLE SUR MONTFORT','EURE'),
('27290','MONTFORT SUR RISLE','EURE'),
('27290','PONT AUTHOU','EURE'),
('27290','ST PHILBERT SUR RISLE','EURE'),
('27290','THIERVILLE','EURE'),
('27290','TOUVILLE SUR MONTFORT','EURE'),
('27300','BERNAY','EURE'),
('27300','BOISSY LAMBERVILLE','EURE'),
('27300','CAORCHES ST NICOLAS','EURE'),
('27300','CARSIX','EURE'),
('27300','CORNEVILLE LA FOUQUETIERE','EURE'),
('27300','COURBEPINE','EURE'),
('27300','FONTAINE L ABBE','EURE'),
('27300','MALOUY','EURE'),
('27300','MENNEVAL','EURE'),
('27300','PLAINVILLE','EURE'),
('27300','PLASNES','EURE'),
('27300','ST AUBIN LE VERTUEUX','EURE'),
('27300','ST CLAIR D ARCEY','EURE'),
('27300','ST LEGER DE ROTES','EURE'),
('27300','ST MARTIN DU TILLEUL','EURE'),
('27300','ST NICOLAS DU BOSC L ABBE','EURE'),
('27300','ST VICTOR DE CHRETIENVILL','EURE'),
('27300','VALAILLES','EURE'),
('27310','BARNEVILLE SUR SEINE','EURE'),
('27310','BOSC BENARD CRESCY','EURE'),
('27310','BOSGOUET','EURE'),
('27310','BOUQUETOT','EURE'),
('27310','BOURG ACHARD','EURE'),
('27310','CAUMONT','EURE'),
('27310','EPREVILLE EN ROUMOIS','EURE'),
('27310','FLANCOURT CATELON','EURE'),
('27310','HONGUEMARE GUENOUVILLE','EURE'),
('27310','ST OUEN DE THOUBERVILLE','EURE'),
('27310','TRINITE DE THOUBERVILLE','EURE'),
('27320','COURDEMANCHE','EURE'),
('27320','DROISY','EURE'),
('27320','MADELEINE DE NONANCOURT','EURE'),
('27320','MARCILLY LA CAMPAGNE','EURE'),
('27320','MOISVILLE','EURE'),
('27320','NONANCOURT','EURE'),
('27320','PANLATTE','EURE'),
('27320','ST GERMAIN SUR AVRE','EURE'),
('27330','LA BARRE EN OUCHE','EURE'),
('27330','BOIS ANZERAY','EURE'),
('27330','BOIS NORMAND PRES LYRE','EURE'),
('27330','BOSC RENOULT EN OUCHE','EURE'),
('27330','CHAMPIGNOLLES','EURE'),
('27330','EPINAY','EURE'),
('27330','GISAY LA COUDRE','EURE'),
('27330','LA HAYE ST SYLVESTRE','EURE'),
('27330','LA NEUVE LYRE','EURE'),
('27330','ST PIERRE DU MESNIL','EURE'),
('27330','THEVRAY','EURE'),
('27330','LA VIEILLE LYRE','EURE'),
('27340','CRIQUEBEUF SUR SEINE','EURE'),
('27340','LES DAMPS','EURE'),
('27340','MARTOT','EURE'),
('27340','PONT DE L ARCHE','EURE'),
('27340','TOSTES','EURE'),
('27350','BRESTOT','EURE'),
('27350','CAUVERVILLE EN ROUMOIS','EURE'),
('27350','ETREVILLE','EURE'),
('27350','ETURQUERAYE','EURE'),
('27350','HAUVILLE','EURE'),
('27350','LA HAYE AUBREE','EURE'),
('27350','LA HAYE DE ROUTOT','EURE'),
('27350','LE LANDIN','EURE'),
('27350','ROUGEMONTIERS','EURE'),
('27350','ROUTOT','EURE'),
('27350','VALLETOT','EURE'),
('27360','PONT ST PIERRE','EURE'),
('27370','AMFREVILLE LA CAMPAGNE','EURE'),
('27370','LE BEC THOMAS','EURE'),
('27370','FOUQUEVILLE','EURE'),
('27370','LE GROS THEIL','EURE'),
('27370','LA HARENGERE','EURE'),
('27370','LA HAYE DU THEIL','EURE'),
('27370','HOULBEC PRES LE GROS THEI','EURE'),
('27370','MANDEVILLE','EURE'),
('27370','LA PYLE','EURE'),
('27370','ST AMAND DES HAUTES TERRE','EURE'),
('27370','ST CYR LA CAMPAGNE','EURE'),
('27370','ST DIDIER DES BOIS','EURE'),
('27370','ST GERMAIN DE PASQUIER','EURE'),
('27370','ST MESLIN DU BOSC','EURE'),
('27370','ST NICOLAS DU BOSC','EURE'),
('27370','ST OUEN DE PONTCHEUIL','EURE'),
('27370','ST PIERRE DES FLEURS','EURE'),
('27370','ST PIERRE DU BOSGUERARD','EURE'),
('27370','LA SAUSSAYE','EURE'),
('27370','LE THUIT ANGER','EURE'),
('27370','LE THUIT SIGNOL','EURE'),
('27370','LE THUIT SIMER','EURE'),
('27370','TOURVILLE LA CAMPAGNE','EURE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('27370','VRAIVILLE','EURE'),
('27380','AMFREVILLE LES CHAMPS','EURE'),
('27380','AMFREVILLE SOUS LES MONTS','EURE'),
('27380','BOURG BEAUDOIN','EURE'),
('27380','CHARLEVAL','EURE'),
('27380','DOUVILLE SUR ANDELLE','EURE'),
('27380','FLEURY SUR ANDELLE','EURE'),
('27380','FLIPOU','EURE'),
('27380','GRAINVILLE','EURE'),
('27380','RADEPONT','EURE'),
('27380','VANDRIMARE','EURE'),
('27390','LA GOULAFRIERE','EURE'),
('27390','MELICOURT','EURE'),
('27390','MESNIL ROUSSET','EURE'),
('27390','MONTREUIL L ARGILLE','EURE'),
('27390','NOTRE DAME DU HAMEL','EURE'),
('27390','ST AGNAN DE CERNIERE','EURE'),
('27390','ST AQUILIN D AUGERONS','EURE'),
('27390','ST DENIS D AUGERONS','EURE'),
('27390','ST LAURENT DU TENCEMENT','EURE'),
('27390','ST PIERRE DE CERNIERES','EURE'),
('27390','VERNEUSSES','EURE'),
('27400','ACQUIGNY','EURE'),
('27400','AMFREVILLE SUR ITON','EURE'),
('27400','CANAPPEVILLE','EURE'),
('27400','CRASVILLE','EURE'),
('27400','LA HAYE LE COMTE','EURE'),
('27400','LA HAYE MALHERBE','EURE'),
('27400','HEUDEBOUVILLE','EURE'),
('27400','HEUDREVILLE SUR EURE','EURE'),
('27400','HONDOUVILLE','EURE'),
('27400','HOUETTEVILLE','EURE'),
('27400','INCARVILLE','EURE'),
('27400','LOUVIERS','EURE'),
('27400','LE MESNIL JOURDAIN','EURE'),
('27400','MONTAURE','EURE'),
('27400','PINTERVILLE','EURE'),
('27400','LES PLANCHES','EURE'),
('27400','QUATREMARE','EURE'),
('27400','SURTAUVILLE','EURE'),
('27400','SURVILLE','EURE'),
('27400','LA VACHERIE','EURE'),
('27400','VIRONVAY','EURE'),
('27410','AJOU','EURE'),
('27410','BEAUMESNIL','EURE'),
('27410','GOUTTIERES','EURE'),
('27410','GRANDCHAIN','EURE'),
('27410','LA HOUSSAYE','EURE'),
('27410','JONQUERETS DE LIVET','EURE'),
('27410','LANDEPEREUSE','EURE'),
('27410','LE NOYER EN OUCHE','EURE'),
('27410','ST AUBIN DES HAYES','EURE'),
('27410','ST AUBIN LE GUICHARD','EURE'),
('27410','STE MARGUERITE EN OUCHE','EURE'),
('27420','AUTHEVERNES','EURE'),
('27420','CAHAIGNES','EURE'),
('27420','CANTIERS','EURE'),
('27420','CHATEAU SUR EPTE','EURE'),
('27420','MOUFLAINES','EURE'),
('27420','RICHEVILLE','EURE'),
('27420','SUZAY','EURE'),
('27420','LES THILLIERS VEXIN','EURE'),
('27420','VILLERS EN VEXIN','EURE'),
('27430','ANDE','EURE'),
('27430','CONNELLES','EURE'),
('27430','DAUBEUF PRES VATTEVILLE','EURE'),
('27430','HERQUEVILLE','EURE'),
('27430','MUIDS','EURE'),
('27430','PORTE JOIE','EURE'),
('27430','ST ETIENNE DU VAUVRAY','EURE'),
('27430','ST PIERRE DU VAUVRAY','EURE'),
('27430','VATTEVILLE','EURE'),
('27440','BACQUEVILLE','EURE'),
('27440','ECOUIS','EURE'),
('27440','GAILLARDBOIS CRESSENVILLE','EURE'),
('27440','HOUVILLE EN VEXIN','EURE'),
('27440','LISORS','EURE'),
('27440','MESNIL VERCLIVES','EURE'),
('27440','TOUFFREVILLE','EURE'),
('27450','ST BENOIT DES OMBRES','EURE'),
('27450','ST CHRISTOPHE SUR CONDE','EURE'),
('27450','ST ETIENNE L ALLIER','EURE'),
('27450','ST GEORGES DU VIEVRE','EURE'),
('27450','ST GREGOIRE DU VIEVRE','EURE'),
('27450','ST MARTIN ST FIRMIN','EURE'),
('27450','ST PIERRE DES IFS','EURE'),
('27460','ALIZAY','EURE'),
('27460','IGOVILLE','EURE'),
('27460','LE MANOIR','EURE'),
('27470','LAUNAY','EURE'),
('27470','SERQUIGNY','EURE'),
('27480','BEAUFICEL EN LYONS','EURE'),
('27480','BEZU LA FORET','EURE'),
('27480','BOSQUENTIN','EURE'),
('27480','FLEURY LA FORET','EURE'),
('27480','LILLY','EURE'),
('27480','LORLEAU','EURE'),
('27480','LYONS LA FORET','EURE'),
('27480','LE TRONQUAY','EURE'),
('27490','AUTHEUIL AUTHOUILLET','EURE'),
('27490','AUTHOUILLET','EURE'),
('27490','CAILLY SUR EURE','EURE'),
('27490','LA CROIX ST LEUFROY','EURE'),
('27490','ECARDENVILLE SUR EURE','EURE'),
('27490','FONTAINE HEUDEBOURG','EURE'),
('27500','AIZIER','EURE'),
('27500','BOUQUELON','EURE'),
('27500','BOURNEVILLE','EURE'),
('27500','CAMPIGNY','EURE'),
('27500','COLLETOT','EURE'),
('27500','CORNEVILLE SUR RISLE','EURE'),
('27500','FOURMETOT','EURE'),
('27500','MANNEVILLE SUR RISLE','EURE'),
('27500','PONT AUDEMER','EURE'),
('27500','LES PREAUX','EURE'),
('27500','STE CROIX SUR AIZIER','EURE'),
('27500','ST GERMAIN VILLAGE','EURE'),
('27500','ST MARDS DE BLACARVILLE','EURE'),
('27500','ST PAUL SUR RISLE','EURE'),
('27500','ST SYMPHORIEN','EURE'),
('27500','SELLES','EURE'),
('27500','TOCQUEVILLE','EURE'),
('27500','TOURVILLE SUR PONT AUDEME','EURE'),
('27500','TOUTAINVILLE','EURE'),
('27500','TRICQUEVILLE','EURE'),
('27510','FONTENAY','EURE'),
('27510','FORET LA FOLIE','EURE'),
('27510','GUITRY','EURE'),
('27510','MEZIERES EN VEXIN','EURE'),
('27510','PANILLEUSE','EURE'),
('27510','PRESSAGNY L ORGUEILLEUX','EURE'),
('27510','TILLY','EURE'),
('27510','TOURNY','EURE'),
('27520','BERVILLE EN ROUMOIS','EURE'),
('27520','BOISSEY LE CHATEL','EURE'),
('27520','BOSC BENARD COMMIN','EURE'),
('27520','BOSCHERVILLE','EURE'),
('27520','BOSC RENOULT EN ROUMOIS','EURE'),
('27520','BOSGUERARD DE MARCOUVILLE','EURE'),
('27520','BOURGTHEROULDE INFREVILLE','EURE'),
('27520','INFREVILLE','EURE'),
('27520','ST DENIS DES MONTS','EURE'),
('27520','ST LEGER DU GENNETEY','EURE'),
('27520','ST PHILBERT SUR BOISSE','EURE'),
('27520','THEILLEMENT','EURE'),
('27520','THUIT HEBERT','EURE'),
('27520','VOISCREVILLE','EURE'),
('27530','EZY SUR EURE','EURE'),
('27540','IVRY LA BATAILLE','EURE'),
('27550','FONTAINE LA SORET','EURE'),
('27550','NASSANDRES','EURE'),
('27560','EPREVILLE EN LIEUVIN','EURE'),
('27560','GIVERVILLE','EURE'),
('27560','LIEUREY','EURE'),
('27560','NOARDS','EURE'),
('27560','LA NOE POULAIN','EURE'),
('27560','LA POTERIE MATHIEU','EURE'),
('27560','ST GEORGES DU MESNIL','EURE'),
('27560','ST JEAN DE LA LECQUERAYE','EURE'),
('27560','ST SIMEON','EURE'),
('27570','ACON','EURE'),
('27570','BREUX SUR AVRE','EURE'),
('27570','L HOSMES','EURE'),
('27570','TILLIERES SUR AVRE','EURE'),
('27580','BOURTH','EURE'),
('27580','CHAISE DIEU DU THEIL','EURE'),
('27580','GOURNAY LE GUERIN','EURE'),
('27590','PITRES','EURE'),
('27600','AILLY','EURE'),
('27600','CHAMPENARD','EURE'),
('27600','FONTAINE BELLENGER','EURE'),
('27600','GAILLON','EURE'),
('27600','ST AUBIN SUR GAILLON','EURE'),
('27600','STE BARBE SUR GAILLON','EURE'),
('27600','ST JULIEN DE LA LIEGUE','EURE'),
('27600','ST PIERRE LA GARENNE','EURE'),
('27600','VIEUX VILLEZ','EURE'),
('27610','ROMILLY SUR ANDELLE','EURE'),
('27620','BOIS JEROME ST OUEN','EURE'),
('27620','GASNY','EURE'),
('27620','GIVERNY','EURE'),
('27620','STE GENEVIEVE LES GASNY','EURE'),
('27630','BERTHENONVILLE','EURE'),
('27630','BUS ST REMY','EURE'),
('27630','CIVIERES','EURE'),
('27630','DAMPSMESNIL','EURE'),
('27630','ECOS','EURE'),
('27630','FOURGES','EURE'),
('27630','FOURS EN VEXIN','EURE'),
('27630','HARICOURT','EURE'),
('27630','HEUBECOURT HARICOURT','EURE'),
('27630','HEUBECOURT','EURE'),
('27640','BREUILPONT','EURE'),
('27640','MEREY','EURE'),
('27640','VILLIERS EN DESOEUVRE','EURE'),
('27650','LOUYE','EURE'),
('27650','MESNIL SUR L ESTREE','EURE'),
('27650','MUZY','EURE'),
('27660','BERNOUVILLE','EURE'),
('27660','BEZU ST ELOI','EURE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('27670','BOSC ROGER EN ROUMOIS','EURE'),
('27670','BOSNORMAND','EURE'),
('27670','ST OUEN DU TILLEUL','EURE'),
('27680','MARAIS VERNIER','EURE'),
('27680','QUILLEBEUF SUR SEINE','EURE'),
('27680','ST AUBIN SUR QUILLEBEUF','EURE'),
('27680','STE OPPORTUNE LA MARE','EURE'),
('27680','ST OUEN DES CHAMPS','EURE'),
('27680','ST SAMSON DE LA ROQUE','EURE'),
('27680','ST THURIEN','EURE'),
('27680','TROUVILLE LA HAULE','EURE'),
('27680','VIEUX PORT','EURE'),
('27690','LERY','EURE'),
('27700','LES ANDELYS','EURE'),
('27700','BERNIERES SUR SEINE','EURE'),
('27700','BOUAFLES','EURE'),
('27700','CORNY','EURE'),
('27700','CUVERVILLE','EURE'),
('27700','FRESNE L ARCHEVEQUE','EURE'),
('27700','GUISENIERS','EURE'),
('27700','HARQUENCY','EURE'),
('27700','HENNEZIS','EURE'),
('27700','HEUQUEVILLE','EURE'),
('27700','LA ROQUETTE','EURE'),
('27700','LE THUIT','EURE'),
('27700','TOSNY','EURE'),
('27700','VEZILLON','EURE'),
('27710','ST GEORGES MOTEL','EURE'),
('27720','DANGU','EURE'),
('27720','GUERNY','EURE'),
('27720','NOYERS','EURE'),
('27730','BUEIL','EURE'),
('27730','EPIEDS','EURE'),
('27730','NEUILLY','EURE'),
('27740','POSES','EURE'),
('27750','LA COUTURE BOUSSEY','EURE'),
('27760','LA FERRIERE SUR RISLE','EURE'),
('27770','ILLIERS L EVEQUE','EURE'),
('27780','GARENNES SUR EURE','EURE'),
('27790','ROSAY SUR LIEURE','EURE'),
('27800','ACLOU','EURE'),
('27800','LE BEC HELLOUIN','EURE'),
('27800','BERTHOUVILLE','EURE'),
('27800','BOISNEY','EURE'),
('27800','BOSROBERT','EURE'),
('27800','BRETIGNY','EURE'),
('27800','BRIONNE','EURE'),
('27800','CALLEVILLE','EURE'),
('27800','FRANQUEVILLE','EURE'),
('27800','HARCOURT','EURE'),
('27800','LA HAYE DE CALLEVILLE','EURE'),
('27800','HECMANVILLE','EURE'),
('27800','LIVET SUR AUTHOU','EURE'),
('27800','MALLEVILLE SUR LE BEC','EURE'),
('27800','MORSAN','EURE'),
('27800','NEUVILLE SUR AUTHOU','EURE'),
('27800','NOTRE DAME D EPINE','EURE'),
('27800','ST CYR DE SALERNE','EURE'),
('27800','ST ELOI DE FOURQUES','EURE'),
('27800','ST PAUL DE FOURQUES','EURE'),
('27800','ST PIERRE DE SALERNE','EURE'),
('27800','ST VICTOR D EPINE','EURE'),
('27800','THIBOUVILLE','EURE'),
('27810','MARCILLY SUR EURE','EURE'),
('27820','ARMENTIERES SUR AVRE','EURE'),
('27820','CHENNEBRUN','EURE'),
('27820','ST CHRISTOPHE SUR AVRE','EURE'),
('27830','NEAUFLES ST MARTIN','EURE'),
('27850','MENESQUEVILLE','EURE'),
('27860','HEUDICOURT','EURE'),
('27870','VESLY','EURE'),
('27890','LA NEUVILLE DU BOSC','EURE'),
('27910','LES HOGUES','EURE'),
('27910','LETTEGUIVES','EURE'),
('27910','PERRIERS SUR ANDELLE','EURE'),
('27910','PERRUEL','EURE'),
('27910','RENNEVILLE','EURE'),
('27910','VASCOEUIL','EURE'),
('27920','ST ETIENNE SOUS BAILLEUL','EURE'),
('27920','ST PIERRE DE BAILLEUL','EURE'),
('27930','ANGERVILLE LA CAMPAGNE','EURE'),
('27930','AVIRON','EURE'),
('27930','BACQUEPUIS','EURE'),
('27930','LE BOULAY MORIN','EURE'),
('27930','BROSVILLE','EURE'),
('27930','LA CHAPELLE DU BOIS DES F','EURE'),
('27930','CIERREY','EURE'),
('27930','DARDEZ','EURE'),
('27930','EMALLEVILLE','EURE'),
('27930','FAUVILLE','EURE'),
('27930','GAUCIEL','EURE'),
('27930','GAUVILLE LA CAMPAGNE','EURE'),
('27930','GRAVIGNY','EURE'),
('27930','GUICHAINVILLE','EURE'),
('27930','HUEST','EURE'),
('27930','IRREVILLE','EURE'),
('27930','LE MESNIL FUGUET','EURE'),
('27930','MISEREY','EURE'),
('27930','NORMANVILLE','EURE'),
('27930','REUILLY','EURE'),
('27930','SACQUENVILLE','EURE'),
('27930','ST GERMAIN DES ANGLES','EURE'),
('27930','ST LUC','EURE'),
('27930','ST MARTIN LA CAMPAGNE','EURE'),
('27930','ST VIGOR','EURE'),
('27930','SASSEY','EURE'),
('27930','TOURNEVILLE','EURE'),
('27930','LA TRINITE','EURE'),
('27930','LE VIEIL EVREUX','EURE'),
('27940','AUBEVOYE','EURE'),
('27940','COURCELLES SUR SEINE','EURE'),
('27940','NOTRE DAME DE L ISLE','EURE'),
('27940','PORT MORT','EURE'),
('27940','VENABLES','EURE'),
('27940','VILLERS SUR LE ROULE','EURE'),
('27950','LA CHAPELLE REANVILLE','EURE'),
('27950','LA HEUNIERE','EURE'),
('27950','MERCEY','EURE'),
('27950','STE COLOMBE PRES VERNON','EURE'),
('27950','ST JUST','EURE'),
('27950','ST MARCEL','EURE'),
('27950','ST PIERRE D AUTILS','EURE'),
('27950','ST VINCENT DES BOIS','EURE'),
('27950','VILLEZ SOUS BAILLEUL','EURE'),
('28000','CHARTRES','EURE ET LOIR'),
('28100','DREUX','EURE ET LOIR'),
('28110','LUCE','EURE ET LOIR'),
('28120','BAILLEAU LE PIN','EURE ET LOIR'),
('28120','BLANDAINVILLE','EURE ET LOIR'),
('28120','CERNAY','EURE ET LOIR'),
('28120','CHARONVILLE','EURE ET LOIR'),
('28120','LES CHATELLIERS NOTRE DAM','EURE ET LOIR'),
('28120','CHAUFFOURS','EURE ET LOIR'),
('28120','EPEAUTROLLES','EURE ET LOIR'),
('28120','ERMENONVILLE LA GRANDE','EURE ET LOIR'),
('28120','ERMENONVILLE LA PETITE','EURE ET LOIR'),
('28120','ILLIERS COMBRAY','EURE ET LOIR'),
('28120','MAGNY','EURE ET LOIR'),
('28120','MARCHEVILLE','EURE ET LOIR'),
('28120','MEREGLISE','EURE ET LOIR'),
('28120','MESLAY LE GRENET','EURE ET LOIR'),
('28120','MONTIGNY LE CHARTIF','EURE ET LOIR'),
('28120','NOGENT SUR EURE','EURE ET LOIR'),
('28120','NONVILLIERS GRANDHOUX','EURE ET LOIR'),
('28120','OLLE','EURE ET LOIR'),
('28120','ST AVIT LES GUESPIERES','EURE ET LOIR'),
('28120','ST EMAN','EURE ET LOIR'),
('28120','SANDARVILLE','EURE ET LOIR'),
('28120','VIEUVICQ','EURE ET LOIR'),
('28130','BOUGLAINVAL','EURE ET LOIR'),
('28130','CHARTAINVILLIERS','EURE ET LOIR'),
('28130','HANCHES','EURE ET LOIR'),
('28130','HOUX','EURE ET LOIR'),
('28130','MAINTENON','EURE ET LOIR'),
('28130','MEVOISINS','EURE ET LOIR'),
('28130','PIERRES','EURE ET LOIR'),
('28130','ST MARTIN DE NIGELLES','EURE ET LOIR'),
('28130','ST PIAT','EURE ET LOIR'),
('28130','SOULAIRES','EURE ET LOIR'),
('28130','VILLIERS LE MORHIER','EURE ET LOIR'),
('28130','YERMENONVILLE','EURE ET LOIR'),
('28140','BAIGNEAUX','EURE ET LOIR'),
('28140','BAZOCHES EN DUNOIS','EURE ET LOIR'),
('28140','BAZOCHES LES HAUTES','EURE ET LOIR'),
('28140','CORMAINVILLE','EURE ET LOIR'),
('28140','COURBEHAYE','EURE ET LOIR'),
('28140','DAMBRON','EURE ET LOIR'),
('28140','FONTENAY SUR CONIE','EURE ET LOIR'),
('28140','GERMIGNONVILLE','EURE ET LOIR'),
('28140','GUILLONVILLE','EURE ET LOIR'),
('28140','LOIGNY LA BATAILLE','EURE ET LOIR'),
('28140','LUMEAU','EURE ET LOIR'),
('28140','NOTTONVILLE','EURE ET LOIR'),
('28140','ORGERES EN BEAUCE','EURE ET LOIR'),
('28140','PERONVILLE','EURE ET LOIR'),
('28140','POUPRY','EURE ET LOIR'),
('28140','TERMINIERS','EURE ET LOIR'),
('28140','TILLAY LE PENEUX','EURE ET LOIR'),
('28140','VARIZE','EURE ET LOIR'),
('28150','ALLONNES','EURE ET LOIR'),
('28150','BAIGNOLET','EURE ET LOIR'),
('28150','BEAUVILLIERS','EURE ET LOIR'),
('28150','BOISVILLE LA ST PERE','EURE ET LOIR'),
('28150','BONCE','EURE ET LOIR'),
('28150','FAINS LA FOLIE','EURE ET LOIR'),
('28150','LOUVILLE LA CHENARD','EURE ET LOIR'),
('28150','MONTAINVILLE','EURE ET LOIR'),
('28150','MOUTIERS','EURE ET LOIR'),
('28150','OUARVILLE','EURE ET LOIR'),
('28150','PEZY','EURE ET LOIR'),
('28150','PRASVILLE','EURE ET LOIR'),
('28150','RECLAINVILLE','EURE ET LOIR'),
('28150','ROUVRAY ST FLORENTIN','EURE ET LOIR'),
('28150','VIABON','EURE ET LOIR'),
('28150','VILLARS','EURE ET LOIR'),
('28150','VILLEAU','EURE ET LOIR'),
('28150','VILLENEUVE ST NICOLAS','EURE ET LOIR'),
('28150','VOVES','EURE ET LOIR'),
('28150','YMONVILLE','EURE ET LOIR'),
('28160','BROU','EURE ET LOIR');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('28160','BULLOU','EURE ET LOIR'),
('28160','DAMPIERRE SOUS BROU','EURE ET LOIR'),
('28160','DANGEAU','EURE ET LOIR'),
('28160','FRAZE','EURE ET LOIR'),
('28160','GOHORY','EURE ET LOIR'),
('28160','MEZIERES AU PERCHE','EURE ET LOIR'),
('28160','MOTTEREAU','EURE ET LOIR'),
('28160','MOULHARD','EURE ET LOIR'),
('28160','UNVERRE','EURE ET LOIR'),
('28160','YEVRES','EURE ET LOIR'),
('28170','ARDELLES','EURE ET LOIR'),
('28170','BLEVY','EURE ET LOIR'),
('28170','BOULLAY LES DEUX EGLISES','EURE ET LOIR'),
('28170','CHATEAUNEUF EN THYMERAIS','EURE ET LOIR'),
('28170','CHENE CHENU','EURE ET LOIR'),
('28170','DAMPIERRE SUR BLEVY','EURE ET LOIR'),
('28170','ECUBLE','EURE ET LOIR'),
('28170','FAVIERES','EURE ET LOIR'),
('28170','FONTAINE LES RIBOUTS','EURE ET LOIR'),
('28170','GATELLES','EURE ET LOIR'),
('28170','GIRONVILLE ET NEUVILLE','EURE ET LOIR'),
('28170','MAILLEBOIS','EURE ET LOIR'),
('28170','MARVILLE LES BOIS','EURE ET LOIR'),
('28170','PUISEUX','EURE ET LOIR'),
('28170','ST ANGE ET TORCAY','EURE ET LOIR'),
('28170','ST CHERON DES CHAMPS','EURE ET LOIR'),
('28170','ST JEAN DE REBERVILLIERS','EURE ET LOIR'),
('28170','ST MAIXME HAUTERIVE','EURE ET LOIR'),
('28170','ST SAUVEUR MARVILLE','EURE ET LOIR'),
('28170','SERAZEREUX','EURE ET LOIR'),
('28170','THEUVY ACHERES','EURE ET LOIR'),
('28170','THIMERT GATELLES','EURE ET LOIR'),
('28170','TREMBLAY LES VILLAGES','EURE ET LOIR'),
('28190','BILLANCELLES','EURE ET LOIR'),
('28190','CHUISNES','EURE ET LOIR'),
('28190','COURVILLE SUR EURE','EURE ET LOIR'),
('28190','DANGERS','EURE ET LOIR'),
('28190','LE FAVRIL','EURE ET LOIR'),
('28190','FONTAINE LA GUYON','EURE ET LOIR'),
('28190','FRUNCE','EURE ET LOIR'),
('28190','LANDELLES','EURE ET LOIR'),
('28190','MITTAINVILLIERS','EURE ET LOIR'),
('28190','ORROUER','EURE ET LOIR'),
('28190','PONTGOUIN','EURE ET LOIR'),
('28190','ST ARNOULT DES BOIS','EURE ET LOIR'),
('28190','ST GEORGES SUR EURE','EURE ET LOIR'),
('28190','ST GERMAIN LE GAILLARD','EURE ET LOIR'),
('28190','ST LUPERCE','EURE ET LOIR'),
('28190','VERIGNY','EURE ET LOIR'),
('28190','VILLEBON','EURE ET LOIR'),
('28200','LA CHAPELLE DU NOYER','EURE ET LOIR'),
('28200','CHATEAUDUN','EURE ET LOIR'),
('28200','CIVRY','EURE ET LOIR'),
('28200','CONIE MOLITARD','EURE ET LOIR'),
('28200','DONNEMAIN ST MAMES','EURE ET LOIR'),
('28200','JALLANS','EURE ET LOIR'),
('28200','LANNERAY','EURE ET LOIR'),
('28200','LOGRON','EURE ET LOIR'),
('28200','LUTZ EN DUNOIS','EURE ET LOIR'),
('28200','MARBOUE','EURE ET LOIR'),
('28200','MOLEANS','EURE ET LOIR'),
('28200','OZOIR LE BREUIL','EURE ET LOIR'),
('28200','ST CHRISTOPHE','EURE ET LOIR'),
('28200','ST CLOUD EN DUNOIS','EURE ET LOIR'),
('28200','ST DENIS LES PONTS','EURE ET LOIR'),
('28200','THIVILLE','EURE ET LOIR'),
('28200','VILLAMPUY','EURE ET LOIR'),
('28210','LE BOULLAY MIVOYE','EURE ET LOIR'),
('28210','LE BOULLAY THIERRY','EURE ET LOIR'),
('28210','BRECHAMPS','EURE ET LOIR'),
('28210','CHAUDON','EURE ET LOIR'),
('28210','COULOMBS','EURE ET LOIR'),
('28210','CROISILLES','EURE ET LOIR'),
('28210','FAVEROLLES','EURE ET LOIR'),
('28210','LORMAYE','EURE ET LOIR'),
('28210','NERON','EURE ET LOIR'),
('28210','NOGENT LE ROI','EURE ET LOIR'),
('28210','ORMOY','EURE ET LOIR'),
('28210','LES PINTHIERES','EURE ET LOIR'),
('28210','ST LAURENT LA GATINE','EURE ET LOIR'),
('28210','ST LUCIEN','EURE ET LOIR'),
('28210','SENANTES','EURE ET LOIR'),
('28210','VACHERESSES LES BASSES','EURE ET LOIR'),
('28210','VILLEMEUX SUR EURE','EURE ET LOIR'),
('28220','AUTHEUIL','EURE ET LOIR'),
('28220','BOISGASSON','EURE ET LOIR'),
('28220','CHARRAY','EURE ET LOIR'),
('28220','CLOYES SUR LE LOIR','EURE ET LOIR'),
('28220','DOUY','EURE ET LOIR'),
('28220','LA FERTE VILLENEUIL','EURE ET LOIR'),
('28220','LANGEY','EURE ET LOIR'),
('28220','LE MEE','EURE ET LOIR'),
('28220','MONTIGNY LE GANNELON','EURE ET LOIR'),
('28220','ROMILLY SUR AIGRE','EURE ET LOIR'),
('28220','ST HILAIRE SUR YERRE','EURE ET LOIR'),
('28230','DROUE SUR DROUETTE','EURE ET LOIR'),
('28230','EPERNON','EURE ET LOIR'),
('28240','BELHOMERT GUEHOUVILLE','EURE ET LOIR'),
('28240','CHAMPROND EN GATINE','EURE ET LOIR'),
('28240','LES CORVEES LES YYS','EURE ET LOIR'),
('28240','FONTAINE SIMON','EURE ET LOIR'),
('28240','FRIAIZE','EURE ET LOIR'),
('28240','LA LOUPE','EURE ET LOIR'),
('28240','MANOU','EURE ET LOIR'),
('28240','MEAUCE','EURE ET LOIR'),
('28240','MONTIREAU','EURE ET LOIR'),
('28240','MONTLANDON','EURE ET LOIR'),
('28240','ST DENIS DES PUITS','EURE ET LOIR'),
('28240','ST ELIPH','EURE ET LOIR'),
('28240','ST MAURICE ST GERMAIN','EURE ET LOIR'),
('28240','ST VICTOR DE BUTHON','EURE ET LOIR'),
('28240','LE THIEULIN','EURE ET LOIR'),
('28240','VAUPILLON','EURE ET LOIR'),
('28250','DIGNY','EURE ET LOIR'),
('28250','LA FRAMBOISIERE','EURE ET LOIR'),
('28250','JAUDRAIS','EURE ET LOIR'),
('28250','LOUVILLIERS LES PERCHE','EURE ET LOIR'),
('28250','LE MESNIL THOMAS','EURE ET LOIR'),
('28250','LA PUISAYE','EURE ET LOIR'),
('28250','LA SAUCELLE','EURE ET LOIR'),
('28250','SENONCHES','EURE ET LOIR'),
('28250','TARDAIS','EURE ET LOIR'),
('28250','LA VILLE AUX NONAINS','EURE ET LOIR'),
('28260','ANET','EURE ET LOIR'),
('28260','BONCOURT','EURE ET LOIR'),
('28260','LA CHAUSSEE D IVRY','EURE ET LOIR'),
('28260','GILLES','EURE ET LOIR'),
('28260','GUAINVILLE','EURE ET LOIR'),
('28260','LE MESNIL SIMON','EURE ET LOIR'),
('28260','OULINS','EURE ET LOIR'),
('28260','ROUVRES','EURE ET LOIR'),
('28260','SAUSSAY','EURE ET LOIR'),
('28270','BEAUCHE','EURE ET LOIR'),
('28270','BEROU LA MULOTIERE','EURE ET LOIR'),
('28270','BREZOLLES','EURE ET LOIR'),
('28270','CHATAINCOURT','EURE ET LOIR'),
('28270','LES CHATELETS','EURE ET LOIR'),
('28270','CRUCEY VILLAGES','EURE ET LOIR'),
('28270','ESCORPAIN','EURE ET LOIR'),
('28270','FESSANVILLIERS MATTANVILL','EURE ET LOIR'),
('28270','LAONS','EURE ET LOIR'),
('28270','MAINTERNE','EURE ET LOIR'),
('28270','LA MANCELIERE','EURE ET LOIR'),
('28270','MONTIGNY SUR AVRE','EURE ET LOIR'),
('28270','PRUDEMANCHE','EURE ET LOIR'),
('28270','REVERCOURT','EURE ET LOIR'),
('28270','RUEIL LA GADELIERE','EURE ET LOIR'),
('28270','ST LUBIN DE CRAVANT','EURE ET LOIR'),
('28270','VITRAY SOUS BREZOLLES','EURE ET LOIR'),
('28290','ARROU','EURE ET LOIR'),
('28290','CHAPELLE ROYALE','EURE ET LOIR'),
('28290','CHATILLON EN DUNOIS','EURE ET LOIR'),
('28290','COURTALAIN','EURE ET LOIR'),
('28290','ST PELLERIN','EURE ET LOIR'),
('28300','AMILLY','EURE ET LOIR'),
('28300','BAILLEAU L EVEQUE','EURE ET LOIR'),
('28300','BERCHERES ST GERMAIN','EURE ET LOIR'),
('28300','BRICONVILLE','EURE ET LOIR'),
('28300','CHALLET','EURE ET LOIR'),
('28300','CHAMPHOL','EURE ET LOIR'),
('28300','CINTRAY','EURE ET LOIR'),
('28300','CLEVILLIERS','EURE ET LOIR'),
('28300','COLTAINVILLE','EURE ET LOIR'),
('28300','FRESNAY LE GILMERT','EURE ET LOIR'),
('28300','GASVILLE OISEME','EURE ET LOIR'),
('28300','JOUY','EURE ET LOIR'),
('28300','LEVES','EURE ET LOIR'),
('28300','MAINVILLIERS','EURE ET LOIR'),
('28300','POISVILLIERS','EURE ET LOIR'),
('28300','ST AUBIN DES BOIS','EURE ET LOIR'),
('28300','ST GERMAIN LA GATINE','EURE ET LOIR'),
('28300','ST PREST','EURE ET LOIR'),
('28310','ALLAINES MERVILLIERS','EURE ET LOIR'),
('28310','BARMAINVILLE','EURE ET LOIR'),
('28310','BAUDREVILLE','EURE ET LOIR'),
('28310','FRESNAY L EVEQUE','EURE ET LOIR'),
('28310','GOMMERVILLE','EURE ET LOIR'),
('28310','GOUILLONS','EURE ET LOIR'),
('28310','GRANDVILLE GAUDREVILLE','EURE ET LOIR'),
('28310','GUILLEVILLE','EURE ET LOIR'),
('28310','INTREVILLE','EURE ET LOIR'),
('28310','JANVILLE','EURE ET LOIR'),
('28310','LEVESVILLE LA CHENARD','EURE ET LOIR'),
('28310','MEROUVILLE','EURE ET LOIR'),
('28310','MERVILLIERS','EURE ET LOIR'),
('28310','NEUVY EN BEAUCE','EURE ET LOIR'),
('28310','OINVILLE ST LIPHARD','EURE ET LOIR'),
('28310','POINVILLE','EURE ET LOIR'),
('28310','LE PUISET','EURE ET LOIR'),
('28310','ROUVRAY ST DENIS','EURE ET LOIR'),
('28310','SANTILLY','EURE ET LOIR'),
('28310','TRANCRAINVILLE','EURE ET LOIR'),
('28320','ARMENONVILLE LES GATINEAU','EURE ET LOIR'),
('28320','BAILLEAU ARMENONVILLE','EURE ET LOIR'),
('28320','ECROSNES','EURE ET LOIR'),
('28320','GALLARDON','EURE ET LOIR'),
('28320','GAS','EURE ET LOIR'),
('28320','MONTLOUET','EURE ET LOIR'),
('28320','YMERAY','EURE ET LOIR'),
('28330','LES AUTELS VILLEVILLON','EURE ET LOIR');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('28330','AUTHON DU PERCHE','EURE ET LOIR'),
('28330','LA BAZOCHE GOUET','EURE ET LOIR'),
('28330','BETHONVILLIERS','EURE ET LOIR'),
('28330','CHAPELLE GUILLAUME','EURE ET LOIR'),
('28330','CHARBONNIERES','EURE ET LOIR'),
('28330','COUDRAY AU PERCHE','EURE ET LOIR'),
('28330','LES ETILLEUX','EURE ET LOIR'),
('28330','ST BOMERT','EURE ET LOIR'),
('28330','SOIZE','EURE ET LOIR'),
('28340','BOISSY LES PERCHE','EURE ET LOIR'),
('28340','LA CHAPELLE FORTIN','EURE ET LOIR'),
('28340','LA FERTE VIDAME','EURE ET LOIR'),
('28340','LAMBLORE','EURE ET LOIR'),
('28340','MORVILLIERS','EURE ET LOIR'),
('28340','LES RESSUINTES','EURE ET LOIR'),
('28340','ROHAIRE','EURE ET LOIR'),
('28350','DAMPIERRE SUR AVRE','EURE ET LOIR'),
('28350','ST LUBIN DES JONCHERETS','EURE ET LOIR'),
('28360','LA BOURDINIERE ST LOUP','EURE ET LOIR'),
('28360','DAMMARIE','EURE ET LOIR'),
('28360','FRESNAY LE COMTE','EURE ET LOIR'),
('28360','LUPLANTE','EURE ET LOIR'),
('28360','MESLAY LE VIDAME','EURE ET LOIR'),
('28360','PRUNAY LE GILLON','EURE ET LOIR'),
('28360','ST LOUP','EURE ET LOIR'),
('28360','THEUVILLE','EURE ET LOIR'),
('28360','VITRAY EN BEAUCE','EURE ET LOIR'),
('28380','ST REMY SUR AVRE','EURE ET LOIR'),
('28390','TOURY','EURE ET LOIR'),
('28400','BRUNELLES','EURE ET LOIR'),
('28400','CHAMPROND EN PERCHET','EURE ET LOIR'),
('28400','COUDRECEAU','EURE ET LOIR'),
('28400','LA GAUDAINE','EURE ET LOIR'),
('28400','MARGON','EURE ET LOIR'),
('28400','MAROLLES LES BUIS','EURE ET LOIR'),
('28400','NOGENT LE ROTROU','EURE ET LOIR'),
('28400','ST JEAN PIERRE FIXTE','EURE ET LOIR'),
('28400','SOUANCE AU PERCHE','EURE ET LOIR'),
('28400','TRIZAY COUTRETOT ST SERGE','EURE ET LOIR'),
('28410','BOUTIGNY PROUAIS','EURE ET LOIR'),
('28410','BROUE','EURE ET LOIR'),
('28410','BU','EURE ET LOIR'),
('28410','CHAMPAGNE','EURE ET LOIR'),
('28410','GOUSSAINVILLE','EURE ET LOIR'),
('28410','HAVELU','EURE ET LOIR'),
('28410','MARCHEZAIS','EURE ET LOIR'),
('28410','PROUAIS','EURE ET LOIR'),
('28410','ST LUBIN DE LA HAYE','EURE ET LOIR'),
('28410','SERVILLE','EURE ET LOIR'),
('28420','ARGENVILLIERS','EURE ET LOIR'),
('28420','BEAUMONT LES AUTELS','EURE ET LOIR'),
('28420','LUIGNY','EURE ET LOIR'),
('28420','MIERMAIGNE','EURE ET LOIR'),
('28420','VICHERES','EURE ET LOIR'),
('28480','CHASSANT','EURE ET LOIR'),
('28480','COMBRES','EURE ET LOIR'),
('28480','LA CROIX DU PERCHE','EURE ET LOIR'),
('28480','FRETIGNY','EURE ET LOIR'),
('28480','HAPPONVILLIERS','EURE ET LOIR'),
('28480','ST DENIS D AUTHOU','EURE ET LOIR'),
('28480','THIRON GARDAIS','EURE ET LOIR'),
('28500','ALLAINVILLE','EURE ET LOIR'),
('28500','AUNAY SOUS CRECY','EURE ET LOIR'),
('28500','BOISSY EN DROUAIS','EURE ET LOIR'),
('28500','CHAPELLE FORAINVILLIERS','EURE ET LOIR'),
('28500','CHARPONT','EURE ET LOIR'),
('28500','CHERISY','EURE ET LOIR'),
('28500','CRECY COUVE','EURE ET LOIR'),
('28500','ECLUZELLES','EURE ET LOIR'),
('28500','GARANCIERES EN DROUAIS','EURE ET LOIR'),
('28500','GARNAY','EURE ET LOIR'),
('28500','GERMAINVILLE','EURE ET LOIR'),
('28500','LOUVILLIERS EN DROUAIS','EURE ET LOIR'),
('28500','LURAY','EURE ET LOIR'),
('28500','MARVILLE MOUTIERS BRULE','EURE ET LOIR'),
('28500','MEZIERES EN DROUAIS','EURE ET LOIR'),
('28500','MONTREUIL','EURE ET LOIR'),
('28500','OUERRE','EURE ET LOIR'),
('28500','STE GEMME MORONVAL','EURE ET LOIR'),
('28500','SAULNIERES','EURE ET LOIR'),
('28500','TREON','EURE ET LOIR'),
('28500','VERNOUILLET','EURE ET LOIR'),
('28500','VERT EN DROUAIS','EURE ET LOIR'),
('28520','CROTH','EURE ET LOIR'),
('28520','SOREL MOUSSEL','EURE ET LOIR'),
('28560','BERCHERES SUR VESGRE','EURE ET LOIR'),
('28560','ST OUEN MARCHEFROY','EURE ET LOIR'),
('28570','ABONDANT','EURE ET LOIR'),
('28600','LUISANT','EURE ET LOIR'),
('28630','BARJOUVILLE','EURE ET LOIR'),
('28630','BERCHERES LES PIERRES','EURE ET LOIR'),
('28630','CORANCEZ','EURE ET LOIR'),
('28630','LE COUDRAY','EURE ET LOIR'),
('28630','FONTENAY SUR EURE','EURE ET LOIR'),
('28630','GELLAINVILLE','EURE ET LOIR'),
('28630','MIGNIERES','EURE ET LOIR'),
('28630','MORANCEZ','EURE ET LOIR'),
('28630','NOGENT LE PHAYE','EURE ET LOIR'),
('28630','SOURS','EURE ET LOIR'),
('28630','THIVARS','EURE ET LOIR'),
('28630','VER LES CHARTRES','EURE ET LOIR'),
('28700','ARDELU','EURE ET LOIR'),
('28700','AUNAY SOUS AUNEAU','EURE ET LOIR'),
('28700','AUNEAU','EURE ET LOIR'),
('28700','BEVILLE LE COMTE','EURE ET LOIR'),
('28700','BLEURY','EURE ET LOIR'),
('28700','CHAMPSERU','EURE ET LOIR'),
('28700','CHAPELLE D AUNAINVILLE','EURE ET LOIR'),
('28700','CHATENAY','EURE ET LOIR'),
('28700','DENONVILLE','EURE ET LOIR'),
('28700','FRANCOURVILLE','EURE ET LOIR'),
('28700','GARANCIERES EN BEAUCE','EURE ET LOIR'),
('28700','LE GUE DE LONGROI','EURE ET LOIR'),
('28700','HOUVILLE LA BRANCHE','EURE ET LOIR'),
('28700','LETHUIN','EURE ET LOIR'),
('28700','LEVAINVILLE','EURE ET LOIR'),
('28700','MAISONS','EURE ET LOIR'),
('28700','MOINVILLE LA JEULIN','EURE ET LOIR'),
('28700','MONDONVILLE ST JEAN','EURE ET LOIR'),
('28700','MORAINVILLE','EURE ET LOIR'),
('28700','OINVILLE SOUS AUNEAU','EURE ET LOIR'),
('28700','ORLU','EURE ET LOIR'),
('28700','OYSONVILLE','EURE ET LOIR'),
('28700','ROINVILLE','EURE ET LOIR'),
('28700','ST LEGER DES AUBEES','EURE ET LOIR'),
('28700','ST SYMPHORIEN LE CHATEAU','EURE ET LOIR'),
('28700','SAINVILLE','EURE ET LOIR'),
('28700','SANTEUIL','EURE ET LOIR'),
('28700','UMPEAU','EURE ET LOIR'),
('28700','VIERVILLE','EURE ET LOIR'),
('28700','VOISE','EURE ET LOIR'),
('28800','ALLUYES','EURE ET LOIR'),
('28800','BONNEVAL','EURE ET LOIR'),
('28800','BOUVILLE','EURE ET LOIR'),
('28800','BULLAINVILLE','EURE ET LOIR'),
('28800','DANCY','EURE ET LOIR'),
('28800','FLACEY','EURE ET LOIR'),
('28800','LE GAULT ST DENIS','EURE ET LOIR'),
('28800','MONTBOISSIER','EURE ET LOIR'),
('28800','MONTHARVILLE','EURE ET LOIR'),
('28800','MORIERS','EURE ET LOIR'),
('28800','NEUVY EN DUNOIS','EURE ET LOIR'),
('28800','PRE ST EVROULT','EURE ET LOIR'),
('28800','PRE ST MARTIN','EURE ET LOIR'),
('28800','ST MAUR SUR LE LOIR','EURE ET LOIR'),
('28800','SANCHEVILLE','EURE ET LOIR'),
('28800','SAUMERAY','EURE ET LOIR'),
('28800','TRIZAY LES BONNEVAL','EURE ET LOIR'),
('28800','VILLIERS ST ORIEN','EURE ET LOIR'),
('29000','QUIMPER','FINISTERE'),
('29100','DOUARNENEZ','FINISTERE'),
('29100','LE JUCH','FINISTERE'),
('29100','KERLAZ','FINISTERE'),
('29100','POULDERGAT','FINISTERE'),
('29100','POULLAN SUR MER','FINISTERE'),
('29100','TREBOUL','FINISTERE'),
('29120','COMBRIT','FINISTERE'),
('29120','PLOMEUR','FINISTERE'),
('29120','PONT L ABBE','FINISTERE'),
('29120','ST JEAN TROLIMON','FINISTERE'),
('29120','TREMEOC','FINISTERE'),
('29140','KERNEVEL','FINISTERE'),
('29140','MELGVEN','FINISTERE'),
('29140','ROSPORDEN','FINISTERE'),
('29140','ST YVY','FINISTERE'),
('29140','TOURCH','FINISTERE'),
('29150','CAST','FINISTERE'),
('29150','CHATEAULIN','FINISTERE'),
('29150','DINEAULT','FINISTERE'),
('29150','PORT LAUNAY','FINISTERE'),
('29150','ST COULITZ','FINISTERE'),
('29160','CROZON','FINISTERE'),
('29160','LANVEOC','FINISTERE'),
('29160','LE FRET','FINISTERE'),
('29160','MORGAT','FINISTERE'),
('29170','FOUESNANT','FINISTERE'),
('29170','PLEUVEN','FINISTERE'),
('29170','ST EVARZEC','FINISTERE'),
('29170','BEGMEIL','FINISTERE'),
('29180','GUENGAT','FINISTERE'),
('29180','LOCRONAN','FINISTERE'),
('29180','PLOGONNEC','FINISTERE'),
('29180','QUEMENEVEN','FINISTERE'),
('29190','BRASPARTS','FINISTERE'),
('29190','LE CLOITRE PLEYBEN','FINISTERE'),
('29190','GOUEZEC','FINISTERE'),
('29190','LANNEDERN','FINISTERE'),
('29190','LENNON','FINISTERE'),
('29190','LOTHEY','FINISTERE'),
('29190','PLEYBEN','FINISTERE'),
('29190','ST RIVOAL','FINISTERE'),
('29200','BREST','FINISTERE'),
('29217','LE CONQUET','FINISTERE'),
('29217','PLOUGONVELIN','FINISTERE'),
('29217','TREBABU','FINISTERE'),
('29217','ST MATHIEU','FINISTERE'),
('29233','CLEDER','FINISTERE'),
('29241','LOCQUIREC','FINISTERE'),
('29242','OUESSANT','FINISTERE'),
('29246','POULLAOUEN','FINISTERE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('29250','PLOUGOULM','FINISTERE'),
('29250','ST POL DE LEON','FINISTERE'),
('29250','SANTEC','FINISTERE'),
('29250','SIBIRIL','FINISTERE'),
('29252','PLOUEZOCH','FINISTERE'),
('29253','ILE DE BATZ','FINISTERE'),
('29259','ILE MOLENE','FINISTERE'),
('29260','LE FOLGOET','FINISTERE'),
('29260','KERNILIS','FINISTERE'),
('29260','KERNOUES','FINISTERE'),
('29260','LANARVILY','FINISTERE'),
('29260','LESNEVEN','FINISTERE'),
('29260','LOC BREVALAIRE','FINISTERE'),
('29260','PLOUDANIEL','FINISTERE'),
('29260','PLOUIDER','FINISTERE'),
('29260','ST FREGANT','FINISTERE'),
('29260','ST MEEN','FINISTERE'),
('29260','TREGARANTEC','FINISTERE'),
('29270','CARHAIX PLOUGUER','FINISTERE'),
('29270','CLEDEN POHER','FINISTERE'),
('29270','KERGLOFF','FINISTERE'),
('29270','MOTREFF','FINISTERE'),
('29270','PLOUNEVEZEL','FINISTERE'),
('29270','ST HERNIN','FINISTERE'),
('29280','LOCMARIA PLOUZANE','FINISTERE'),
('29280','PLOUZANE','FINISTERE'),
('29290','GUIPRONVEL','FINISTERE'),
('29290','LANRIVOARE','FINISTERE'),
('29290','MILIZAC','FINISTERE'),
('29290','ST RENAN','FINISTERE'),
('29290','TREOUERGAT','FINISTERE'),
('29300','ARZANO','FINISTERE'),
('29300','BAYE','FINISTERE'),
('29300','GUILLIGOMARC H','FINISTERE'),
('29300','MELLAC','FINISTERE'),
('29300','QUIMPERLE','FINISTERE'),
('29300','REDENE','FINISTERE'),
('29300','TREMEVEN','FINISTERE'),
('29310','LOCUNOLE','FINISTERE'),
('29310','QUERRIEN','FINISTERE'),
('29340','RIEC SUR BELON','FINISTERE'),
('29350','MOELAN SUR MER','FINISTERE'),
('29350','KERFANY LES PINS','FINISTERE'),
('29360','CLOHARS CARNOET','FINISTERE'),
('29360','LE POULDU','FINISTERE'),
('29370','CORAY','FINISTERE'),
('29370','ELLIANT','FINISTERE'),
('29380','BANNALEC','FINISTERE'),
('29380','ST THURIEN','FINISTERE'),
('29380','LE TREVOUX','FINISTERE'),
('29390','LEUHAN','FINISTERE'),
('29390','SCAER','FINISTERE'),
('29400','BODILIS','FINISTERE'),
('29400','GUIMILIAU','FINISTERE'),
('29400','LAMPAUL GUIMILIAU','FINISTERE'),
('29400','LANDIVISIAU','FINISTERE'),
('29400','LANNEUFFRET','FINISTERE'),
('29400','LOC EGUINER','FINISTERE'),
('29400','LOCMELAR','FINISTERE'),
('29400','PLOUGOURVEST','FINISTERE'),
('29400','PLOUNEVENTER','FINISTERE'),
('29400','ST SAUVEUR','FINISTERE'),
('29400','ST SERVAIS','FINISTERE'),
('29410','LE CLOITRE ST THEGONNEC','FINISTERE'),
('29410','GUICLAN','FINISTERE'),
('29410','LOC EGUINER ST THEGONNEC','FINISTERE'),
('29410','PLEYBER CHRIST','FINISTERE'),
('29410','PLOUNEOUR MENEZ','FINISTERE'),
('29410','ST THEGONNEC','FINISTERE'),
('29420','MESPAUL','FINISTERE'),
('29420','PLOUENAN','FINISTERE'),
('29420','PLOUVORN','FINISTERE'),
('29430','LANHOUARNEAU','FINISTERE'),
('29430','PLOUESCAT','FINISTERE'),
('29430','PLOUNEVEZ LOCHRIST','FINISTERE'),
('29430','TREFLEZ','FINISTERE'),
('29440','PLOUGAR','FINISTERE'),
('29440','PLOUZEVEDE','FINISTERE'),
('29440','ST DERRIEN','FINISTERE'),
('29440','ST VOUGAY','FINISTERE'),
('29440','TREFLAOUENAN','FINISTERE'),
('29440','TREZILIDE','FINISTERE'),
('29450','COMMANA','FINISTERE'),
('29450','SIZUN','FINISTERE'),
('29450','LE TREHOU','FINISTERE'),
('29460','DAOULAS','FINISTERE'),
('29460','DIRINON','FINISTERE'),
('29460','HANVEC','FINISTERE'),
('29460','HOPITAL CAMFROUT','FINISTERE'),
('29460','IRVILLAC','FINISTERE'),
('29460','LOGONNA DAOULAS','FINISTERE'),
('29460','ST ELOY','FINISTERE'),
('29470','LOPERHET','FINISTERE'),
('29470','PLOUGASTEL DAOULAS','FINISTERE'),
('29480','LE RELECQ KERHUON','FINISTERE'),
('29490','GUIPAVAS','FINISTERE'),
('29500','ERGUE GABERIC','FINISTERE'),
('29510','BRIEC','FINISTERE'),
('29510','EDERN','FINISTERE'),
('29510','LANDREVARZEC','FINISTERE'),
('29510','LANDUDAL','FINISTERE'),
('29510','LANGOLEN','FINISTERE'),
('29520','CHATEAUNEUF DU FAOU','FINISTERE'),
('29520','LAZ','FINISTERE'),
('29520','ST GOAZEC','FINISTERE'),
('29520','ST THOIS','FINISTERE'),
('29530','COLLOREC','FINISTERE'),
('29530','LANDELEAU','FINISTERE'),
('29530','LOQUEFFRET','FINISTERE'),
('29530','PLONEVEZ DU FAOU','FINISTERE'),
('29540','SPEZET','FINISTERE'),
('29550','PLOEVEN','FINISTERE'),
('29550','PLOMODIERN','FINISTERE'),
('29550','PLONEVEZ PORZAY','FINISTERE'),
('29550','ST NIC','FINISTERE'),
('29560','ARGOL','FINISTERE'),
('29560','LANDEVENNEC','FINISTERE'),
('29560','TELGRUC SUR MER','FINISTERE'),
('29560','TREGARVAN','FINISTERE'),
('29570','CAMARET SUR MER','FINISTERE'),
('29570','ROSCANVEL','FINISTERE'),
('29590','LE FAOU','FINISTERE'),
('29590','LOPEREC','FINISTERE'),
('29590','ROSNOEN','FINISTERE'),
('29590','ST SEGAL','FINISTERE'),
('29590','PONT DE BUIS LES QUIMERCH','FINISTERE'),
('29590','QUIMERCH','FINISTERE'),
('29600','MORLAIX','FINISTERE'),
('29600','PLOURIN LES MORLAIX','FINISTERE'),
('29600','ST MARTIN DES CHAMPS','FINISTERE'),
('29600','STE SEVE','FINISTERE'),
('29610','GARLAN','FINISTERE'),
('29610','PLOUIGNEAU','FINISTERE'),
('29620','GUIMAEC','FINISTERE'),
('29620','LANMEUR','FINISTERE'),
('29620','PLOUEGAT GUERAND','FINISTERE'),
('29630','PLOUGASNOU','FINISTERE'),
('29630','ST JEAN DU DOIGT','FINISTERE'),
('29630','PRIMEL TREGASTEL','FINISTERE'),
('29640','BOLAZEC','FINISTERE'),
('29640','LANNEANOU','FINISTERE'),
('29640','PLOUGONVEN','FINISTERE'),
('29640','SCRIGNAC','FINISTERE'),
('29650','BOTSORHEL','FINISTERE'),
('29650','GUERLESQUIN','FINISTERE'),
('29650','PLOUEGAT MOYSAN','FINISTERE'),
('29650','LE PONTHOU','FINISTERE'),
('29660','CARANTEC','FINISTERE'),
('29670','HENVIC','FINISTERE'),
('29670','LOCQUENOLE','FINISTERE'),
('29670','TAULE','FINISTERE'),
('29680','ROSCOFF','FINISTERE'),
('29690','BERRIEN','FINISTERE'),
('29690','BOTMEUR','FINISTERE'),
('29690','BRENNILIS','FINISTERE'),
('29690','LA FEUILLEE','FINISTERE'),
('29690','HUELGOAT','FINISTERE'),
('29690','LOCMARIA BERRIEN','FINISTERE'),
('29690','PLOUYE','FINISTERE'),
('29700','PLOMELIN','FINISTERE'),
('29700','PLUGUFFAN','FINISTERE'),
('29710','GOURLIZON','FINISTERE'),
('29710','GUILER SUR GOYEN','FINISTERE'),
('29710','LANDUDEC','FINISTERE'),
('29710','PEUMERIT','FINISTERE'),
('29710','PLOGASTEL ST GERMAIN','FINISTERE'),
('29710','PLONEIS','FINISTERE'),
('29710','PLOZEVET','FINISTERE'),
('29710','POULDREUZIC','FINISTERE'),
('29720','PLONEOUR LANVERN','FINISTERE'),
('29720','PLOVAN','FINISTERE'),
('29720','TREGUENNEC','FINISTERE'),
('29720','TREOGAT','FINISTERE'),
('29730','GUILVINEC','FINISTERE'),
('29730','TREFFIAGAT','FINISTERE'),
('29740','PLOBANNALEC','FINISTERE'),
('29740','LESCONIL','FINISTERE'),
('29750','LOCTUDY','FINISTERE'),
('29760','PENMARCH','FINISTERE'),
('29760','ST GUENOLE','FINISTERE'),
('29770','AUDIERNE','FINISTERE'),
('29770','CLEDEN CAP SIZUN','FINISTERE'),
('29770','ESQUIBIEN','FINISTERE'),
('29770','GOULIEN','FINISTERE'),
('29770','PLOGOFF','FINISTERE'),
('29770','PRIMELIN','FINISTERE'),
('29780','PLOUHINEC','FINISTERE'),
('29790','BEUZEC CAP SIZUN','FINISTERE'),
('29790','MAHALON','FINISTERE'),
('29790','MEILARS','FINISTERE'),
('29790','PONT CROIX','FINISTERE'),
('29800','LA FOREST LANDERNEAU','FINISTERE'),
('29800','LANDERNEAU','FINISTERE'),
('29800','LA MARTYRE','FINISTERE'),
('29800','PENCRAN','FINISTERE'),
('29800','PLOUDIRY','FINISTERE'),
('29800','PLOUEDERN','FINISTERE'),
('29800','LA ROCHE MAURICE','FINISTERE'),
('29800','ST DIVY','FINISTERE'),
('29800','ST THONAN','FINISTERE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('29800','ST URBAIN','FINISTERE'),
('29800','TREFLEVENEZ','FINISTERE'),
('29800','TREMAOUEZAN','FINISTERE'),
('29810','BRELES','FINISTERE'),
('29810','LAMPAUL PLOUARZEL','FINISTERE'),
('29810','PLOUARZEL','FINISTERE'),
('29810','PLOUMOGUER','FINISTERE'),
('29820','BOHARS','FINISTERE'),
('29820','GUILERS','FINISTERE'),
('29830','LAMPAUL PLOUDALMEZEAU','FINISTERE'),
('29830','PLOUDALMEZEAU','FINISTERE'),
('29830','PLOUGUIN','FINISTERE'),
('29830','PLOURIN','FINISTERE'),
('29830','ST PABU','FINISTERE'),
('29830','PORTSALL','FINISTERE'),
('29840','LANDUNVEZ','FINISTERE'),
('29840','LANILDUT','FINISTERE'),
('29840','LARRET','FINISTERE'),
('29840','PORSPODER','FINISTERE'),
('29850','GOUESNOU','FINISTERE'),
('29860','BOURG BLANC','FINISTERE'),
('29860','LE DRENNEC','FINISTERE'),
('29860','KERSAINT PLABENNEC','FINISTERE'),
('29860','PLABENNEC','FINISTERE'),
('29860','PLOUVIEN','FINISTERE'),
('29870','COAT MEAL','FINISTERE'),
('29870','LANDEDA','FINISTERE'),
('29870','LANNILIS','FINISTERE'),
('29870','TREGLONOU','FINISTERE'),
('29870','ABERWRACH','FINISTERE'),
('29880','GUISSENY','FINISTERE'),
('29880','PLOUGUERNEAU','FINISTERE'),
('29890','BRIGNOGAN PLAGE','FINISTERE'),
('29890','GOULVEN','FINISTERE'),
('29890','KERLOUAN','FINISTERE'),
('29890','PLOUNEOUR TREZ','FINISTERE'),
('29900','CONCARNEAU','FINISTERE'),
('29900','ILES GLENANS','FINISTERE'),
('29910','TREGUNC','FINISTERE'),
('29920','NEVEZ','FINISTERE'),
('29920','PORT MANECH','FINISTERE'),
('29930','PONT AVEN','FINISTERE'),
('29940','LA FORET FOUESNANT','FINISTERE'),
('29950','BENODET','FINISTERE'),
('29950','CLOHARS FOUESNANT','FINISTERE'),
('29950','GOUESNACH','FINISTERE'),
('29970','TREGOUREZ','FINISTERE'),
('29980','ILE TUDY','FINISTERE'),
('29990','ILE DE SEIN','FINISTERE'),
('30000','NIMES','GARD'),
('30100','ALES','GARD'),
('30110','BRANOUX LES TAILLADES','GARD'),
('30110','LA GRAND COMBE','GARD'),
('30110','LAMELOUZE','GARD'),
('30110','LAVAL PRADEL','GARD'),
('30110','STE CECILE D ANDORGE','GARD'),
('30110','LES SALLES DU GARDON','GARD'),
('30110','SOUSTELLE','GARD'),
('30110','LA LEVADE','GARD'),
('30111','CONGENIES','GARD'),
('30114','BOISSIERES','GARD'),
('30114','NAGES ET SOLORGUES','GARD'),
('30120','ARPHY','GARD'),
('30120','ARRE','GARD'),
('30120','AULAS','GARD'),
('30120','AVEZE','GARD'),
('30120','BEZ ET ESPARON','GARD'),
('30120','BREAU ET SALAGOSSE','GARD'),
('30120','MANDAGOUT','GARD'),
('30120','MARS','GARD'),
('30120','MOLIERES CAVAILLAC','GARD'),
('30120','MONTDARDIER','GARD'),
('30120','POMMIERS','GARD'),
('30120','ROGUES','GARD'),
('30120','LE VIGAN','GARD'),
('30121','MUS','GARD'),
('30122','LES PLANTIERS','GARD'),
('30124','L ESTRECHURE','GARD'),
('30124','PEYROLES','GARD'),
('30125','SAUMANE','GARD'),
('30126','LIRAC','GARD'),
('30126','ST LAURENT DES ARBRES','GARD'),
('30126','TAVEL','GARD'),
('30127','BELLEGARDE','GARD'),
('30128','GARONS','GARD'),
('30129','MANDUEL','GARD'),
('30129','REDESSAN','GARD'),
('30130','CARSAN','GARD'),
('30130','PONT ST ESPRIT','GARD'),
('30130','ST ALEXANDRE','GARD'),
('30130','ST PAULET DE CAISSON','GARD'),
('30131','PUJAUT','GARD'),
('30132','CAISSARGUES','GARD'),
('30133','LES ANGLES','GARD'),
('30140','ANDUZE','GARD'),
('30140','BAGARD','GARD'),
('30140','BOISSET ET GAUJAC','GARD'),
('30140','CORBES','GARD'),
('30140','GENERARGUES','GARD'),
('30140','MASSILLARGUES ATTUECH','GARD'),
('30140','MIALET','GARD'),
('30140','ST FELIX DE PALLIERES','GARD'),
('30140','ST JEAN DU PIN','GARD'),
('30140','ST SEBASTIEN D AIGREFEUIL','GARD'),
('30140','THOIRAS','GARD'),
('30140','TORNAC','GARD'),
('30150','MONTFAUCON','GARD'),
('30150','ROQUEMAURE','GARD'),
('30150','ST GENIES DE COMOLAS','GARD'),
('30150','SAUVETERRE','GARD'),
('30160','BESSEGES','GARD'),
('30160','BORDEZAC','GARD'),
('30160','FOUSSIGNARGUES','GARD'),
('30160','GAGNIERES','GARD'),
('30160','PEYREMALE','GARD'),
('30160','ROBIAC ROCHESSADOULE','GARD'),
('30170','LA CADIERE ET CAMBO','GARD'),
('30170','CONQUEYRAC','GARD'),
('30170','CROS','GARD'),
('30170','DURFORT ET ST MARTIN','GARD'),
('30170','FRESSAC','GARD'),
('30170','MONOBLET','GARD'),
('30170','POMPIGNAN','GARD'),
('30170','ST HIPPOLYTE DU FORT','GARD'),
('30190','AUBUSSARGUES','GARD'),
('30190','BOUCOIRAN ET NOZIERES','GARD'),
('30190','BOURDIC','GARD'),
('30190','BRIGNON','GARD'),
('30190','LA CALMETTE','GARD'),
('30190','CASTELNAU VALENCE','GARD'),
('30190','COLLORGUES','GARD'),
('30190','DIONS','GARD'),
('30190','GARRIGUES STE EULALIE','GARD'),
('30190','MONTIGNARGUES','GARD'),
('30190','MOUSSAC','GARD'),
('30190','LA ROUVIERE','GARD'),
('30190','STE ANASTASIE','GARD'),
('30190','ST CHAPTES','GARD'),
('30190','ST DEZERY','GARD'),
('30190','ST GENIES DE MALGOIRES','GARD'),
('30190','SAUZET','GARD'),
('30200','BAGNOLS SUR CEZE','GARD'),
('30200','CHUSCLAN','GARD'),
('30200','CODOLET','GARD'),
('30200','ORSAN','GARD'),
('30200','LA ROQUE SUR CEZE','GARD'),
('30200','SABRAN','GARD'),
('30200','ST ETIENNE DES SORTS','GARD'),
('30200','ST GERVAIS','GARD'),
('30200','ST LAURENT DE CARNOLS','GARD'),
('30200','ST MICHEL D EUZET','GARD'),
('30200','ST NAZAIRE','GARD'),
('30200','VENEJAN','GARD'),
('30200','MARCOULE','GARD'),
('30210','ARGILLIERS','GARD'),
('30210','CABRIERES','GARD'),
('30210','CASTILLON DU GARD','GARD'),
('30210','COLLIAS','GARD'),
('30210','FOURNES','GARD'),
('30210','LEDENON','GARD'),
('30210','POUZILHAC','GARD'),
('30210','REMOULINS','GARD'),
('30210','ST BONNET DU GARD','GARD'),
('30210','ST HILAIRE D OZILHAN','GARD'),
('30210','SERNHAC','GARD'),
('30210','VALLIGUIERES','GARD'),
('30210','VERS PONT DU GARD','GARD'),
('30220','AIGUES MORTES','GARD'),
('30220','ST LAURENT D AIGOUZE','GARD'),
('30230','BOUILLARGUES','GARD'),
('30230','RODILHAN','GARD'),
('30240','LE GRAU DU ROI','GARD'),
('30240','PORT CAMARGUE','GARD'),
('30250','ASPERES','GARD'),
('30250','AUBAIS','GARD'),
('30250','AUJARGUES','GARD'),
('30250','COMBAS','GARD'),
('30250','FONTANES','GARD'),
('30250','JUNAS','GARD'),
('30250','LECQUES','GARD'),
('30250','SALINELLES','GARD'),
('30250','SOMMIERES','GARD'),
('30250','SOUVIGNARGUES','GARD'),
('30250','VILLEVIEILLE','GARD'),
('30260','BRAGASSARGUES','GARD'),
('30260','BROUZET LES QUISSAC','GARD'),
('30260','CANNES ET CLAIRAN','GARD'),
('30260','CARNAS','GARD'),
('30260','CORCONNE','GARD'),
('30260','CRESPIAN','GARD'),
('30260','GAILHAN','GARD'),
('30260','LIOUC','GARD'),
('30260','MONTMIRAT','GARD'),
('30260','ORTHOUX SERIGNAC QUILHAN','GARD'),
('30260','QUISSAC','GARD'),
('30260','ST CLEMENT','GARD'),
('30260','ST THEODORIT','GARD'),
('30260','SARDAN','GARD'),
('30260','VIC LE FESQ','GARD'),
('30270','ST JEAN DU GARD','GARD');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('30290','LAUDUN','GARD'),
('30290','ST VICTOR LA COSTE','GARD'),
('30290','L ARDOISE','GARD'),
('30300','BEAUCAIRE','GARD'),
('30300','COMPS','GARD'),
('30300','FOURQUES','GARD'),
('30300','JONQUIERES ST VINCENT','GARD'),
('30300','VALLABREGUES','GARD'),
('30310','VERGEZE','GARD'),
('30320','BEZOUCE','GARD'),
('30320','MARGUERITTES','GARD'),
('30320','POULX','GARD'),
('30320','ST GERVASY','GARD'),
('30330','LA BASTIDE D ENGRAS','GARD'),
('30330','CAVILLARGUES','GARD'),
('30330','CONNAUX','GARD'),
('30330','GAUJAC','GARD'),
('30330','LE PIN','GARD'),
('30330','POUGNADORESSE','GARD'),
('30330','ST ANDRE D OLERARGUES','GARD'),
('30330','ST LAURENT LA VERNEDE','GARD'),
('30330','ST MARCEL DE CAREIRET','GARD'),
('30330','ST PONS LA CALM','GARD'),
('30330','TRESQUES','GARD'),
('30330','ST PAUL LES FONTS','GARD'),
('30340','MEJANNES LES ALES','GARD'),
('30340','MONS','GARD'),
('30340','LES PLANS','GARD'),
('30340','ROUSSON','GARD'),
('30340','ST JULIEN LES ROSIERS','GARD'),
('30340','ST PRIVAT DES VIEUX','GARD'),
('30340','SALINDRES','GARD'),
('30340','SERVAS','GARD'),
('30350','AIGREMONT','GARD'),
('30350','CANAULES ET ARGENTIERES','GARD'),
('30350','CARDET','GARD'),
('30350','CASSAGNOLES','GARD'),
('30350','DOMESSARGUES','GARD'),
('30350','LEDIGNAN','GARD'),
('30350','LEZAN','GARD'),
('30350','MARUEJOLS LES GARDONS','GARD'),
('30350','MASSANES','GARD'),
('30350','MAURESSARGUES','GARD'),
('30350','MOULEZAN','GARD'),
('30350','ST BENEZET','GARD'),
('30350','ST JEAN DE SERRES','GARD'),
('30350','SAVIGNARGUES','GARD'),
('30350','MONTAGNAC','GARD'),
('30360','CRUVIERS LASCOURS','GARD'),
('30360','DEAUX','GARD'),
('30360','EUZET','GARD'),
('30360','MARTIGNARGUES','GARD'),
('30360','MONTEILS','GARD'),
('30360','NERS','GARD'),
('30360','ST CESAIRE DE GAUZIGNAN','GARD'),
('30360','ST ETIENNE DE L OLM','GARD'),
('30360','ST HIPPOLYTE DE CATON','GARD'),
('30360','ST JEAN DE CEYRARGUES','GARD'),
('30360','ST MAURICE DE CAZEVIEILLE','GARD'),
('30360','VEZENOBRES','GARD'),
('30380','ST CHRISTOL LES ALES','GARD'),
('30390','ARAMON','GARD'),
('30390','DOMAZAN','GARD'),
('30390','ESTEZARGUES','GARD'),
('30390','THEZIERS','GARD'),
('30400','VILLENEUVE LES AVIGNONS','GARD'),
('30410','MEYRANNES','GARD'),
('30410','MOLIERES SUR CEZE','GARD'),
('30420','CALVISSON','GARD'),
('30430','BARJAC','GARD'),
('30430','MEJANNES LE CLAP','GARD'),
('30430','RIVIERES','GARD'),
('30430','ROCHEGUDE','GARD'),
('30430','ST JEAN DE MARUEJOLS ET A','GARD'),
('30430','ST PRIVAT DE CHAMPCLOS','GARD'),
('30430','THARAUX','GARD'),
('30440','ROQUEDUR','GARD'),
('30440','ST BRESSON','GARD'),
('30440','ST JULIEN DE LA NEF','GARD'),
('30440','ST LAURENT LE MINIER','GARD'),
('30440','ST MARTIAL','GARD'),
('30440','ST ROMAN DE CODIERES','GARD'),
('30440','SUMENE','GARD'),
('30440','PONT D HERAULT','GARD'),
('30450','AUJAC','GARD'),
('30450','BONNEVAUX','GARD'),
('30450','CHAMBON','GARD'),
('30450','CONCOULES','GARD'),
('30450','GENOLHAC','GARD'),
('30450','MALONS ET ELZE','GARD'),
('30450','PONTEILS ET BRESIS','GARD'),
('30450','SENECHAS','GARD'),
('30450','PONT DE RASTEL','GARD'),
('30460','COLOGNAC','GARD'),
('30460','LASALLE','GARD'),
('30460','ST BONNET DE SALENDRINQUE','GARD'),
('30460','ST CROIX DE CADERLE','GARD'),
('30460','SOUDORGUES','GARD'),
('30460','VABRES','GARD'),
('30470','AIMARGUES','GARD'),
('30480','CENDRAS','GARD'),
('30480','ST PAUL LA COSTE','GARD'),
('30490','MONTFRIN','GARD'),
('30500','ALLEGRE','GARD'),
('30500','COURRY','GARD'),
('30500','POTELIERES','GARD'),
('30500','ST AMBROIX','GARD'),
('30500','ST BRES','GARD'),
('30500','ST DENIS','GARD'),
('30500','ST JULIEN DE CASSAGNAS','GARD'),
('30500','ST VICTOR DE MALCAP','GARD'),
('30510','GENERAC','GARD'),
('30520','ST MARTIN DE VALGALGUES','GARD'),
('30530','CHAMBORIGAUD','GARD'),
('30530','PORTES','GARD'),
('30530','LA VERNAREDE','GARD'),
('30540','MILHAUD','GARD'),
('30560','ST HILAIRE DE BRETHMAS','GARD'),
('30570','NOTRE DAME DE LA ROUVIERE','GARD'),
('30570','ST ANDRE DE MAJENCOULES','GARD'),
('30570','VALLERAUGUE','GARD'),
('30570','ESPEROU','GARD'),
('30570','PONT D HERAULT','GARD'),
('30580','BELVEZET','GARD'),
('30580','BOUQUET','GARD'),
('30580','BROUZET LES ALES','GARD'),
('30580','LA BRUGUIERE','GARD'),
('30580','FONS SUR LUSSAN','GARD'),
('30580','FONTARECHES','GARD'),
('30580','LUSSAN','GARD'),
('30580','NAVACELLES','GARD'),
('30580','ST JUST ET VACQUIERES','GARD'),
('30580','SEYNES','GARD'),
('30580','VALLERARGUES','GARD'),
('30600','VAUVERT','GARD'),
('30600','VESTRIC ET CANDIAC','GARD'),
('30600','GALLICIAN','GARD'),
('30600','MONTCALM','GARD'),
('30600','SYLVEREAL','GARD'),
('30610','LOGRIAN FLORIAN','GARD'),
('30610','PUECHREDON','GARD'),
('30610','ST JEAN DE CRIEULON','GARD'),
('30610','ST NAZAIRE DES GARDIES','GARD'),
('30610','SAUVE','GARD'),
('30620','AUBORD','GARD'),
('30620','BERNIS','GARD'),
('30620','UCHAUD','GARD'),
('30630','CORNILLON','GARD'),
('30630','GOUDARGUES','GARD'),
('30630','MONTCLUS','GARD'),
('30630','ST ANDRE DE ROQUEPERTUIS','GARD'),
('30630','VERFEUIL','GARD'),
('30640','BEAUVOISIN','GARD'),
('30640','FRANQUEVAUX','GARD'),
('30650','ROCHEFORT DU GARD','GARD'),
('30650','SAZE','GARD'),
('30660','GALLARGUES LE MONTUEUX','GARD'),
('30670','AIGUES VIVES','GARD'),
('30700','AIGALIERS','GARD'),
('30700','ARPAILLARGUES ET AUREILLA','GARD'),
('30700','BARON','GARD'),
('30700','BLAUZAC','GARD'),
('30700','LA CAPELLE ET MASMOLENE','GARD'),
('30700','FLAUX','GARD'),
('30700','FOISSAC','GARD'),
('30700','MONTAREN ET ST MEDIERS','GARD'),
('30700','ST HIPPOLYTE DE MONTAIGU','GARD'),
('30700','ST MAXIMIN','GARD'),
('30700','ST QUENTIN LA POTERIE','GARD'),
('30700','ST SIFFRET','GARD'),
('30700','ST VICTOR DES OULES','GARD'),
('30700','SANILHAC SAGRIES','GARD'),
('30700','SERVIERS ET LABAUME','GARD'),
('30700','UZES','GARD'),
('30700','VALLABRIX','GARD'),
('30720','RIBAUTE LES TAVERNES','GARD'),
('30730','FONS','GARD'),
('30730','GAJAN','GARD'),
('30730','MONTPEZAT','GARD'),
('30730','PARIGNARGUES','GARD'),
('30730','ST BAUZELY','GARD'),
('30730','ST MAMERT DU GARD','GARD'),
('30740','LE CAILAR','GARD'),
('30750','CAUSSE BEGON','GARD'),
('30750','DOURBIES','GARD'),
('30750','LANUEJOLS','GARD'),
('30750','REVENS','GARD'),
('30750','ST SAUVEUR CAMPRIEU','GARD'),
('30750','TREVES','GARD'),
('30750','CAMPRIEU','GARD'),
('30760','AIGUEZE','GARD'),
('30760','LE GARN','GARD'),
('30760','ISSIRAC','GARD'),
('30760','LAVAL ST ROMAIN','GARD'),
('30760','ST CHRISTOL DE RODIERES','GARD'),
('30760','ST JULIEN DE PEYROLAS','GARD'),
('30760','SALAZAC','GARD'),
('30770','ALZON','GARD'),
('30770','ARRIGAS','GARD'),
('30770','AUMESSAS','GARD');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('30770','BLANDAS','GARD'),
('30770','CAMPESTRE ET LUC','GARD'),
('30770','VISSEC','GARD'),
('30800','ST GILLES','GARD'),
('30820','CAVEIRAC','GARD'),
('30840','MEYNES','GARD'),
('30870','CLARENSAC','GARD'),
('30870','ST COME ET MARUEJOLS','GARD'),
('30900','ST CESAIRE','GARD'),
('30920','CODOGNAN','GARD'),
('30940','ST ANDRE DE VALBORGNE','GARD'),
('30960','LES MAGES','GARD'),
('30960','LE MARTINET','GARD'),
('30960','ST FLORENT SUR AUZONNET','GARD'),
('30960','ST JEAN DE VALERISCLE','GARD'),
('30980','LANGLADE','GARD'),
('30980','ST DIONIZY','GARD'),
('31000','TOULOUSE','HAUTE GARONNE'),
('31110','ANTIGNAC','HAUTE GARONNE'),
('31110','ARTIGUE','HAUTE GARONNE'),
('31110','BAGNERES DE LUCHON','HAUTE GARONNE'),
('31110','BENQUE DESSOUS DESSUS','HAUTE GARONNE'),
('31110','BILLIERE','HAUTE GARONNE'),
('31110','BOURG D OUEIL','HAUTE GARONNE'),
('31110','CASTILLON DE LARBOUST','HAUTE GARONNE'),
('31110','CATHERVIELLE','HAUTE GARONNE'),
('31110','CAUBOUS','HAUTE GARONNE'),
('31110','CAZARIL LASPENES','HAUTE GARONNE'),
('31110','CAZEAUX DE LARBOUST','HAUTE GARONNE'),
('31110','CIER DE LUCHON','HAUTE GARONNE'),
('31110','CIRES','HAUTE GARONNE'),
('31110','GARIN','HAUTE GARONNE'),
('31110','GOUAUX DE LARBOUST','HAUTE GARONNE'),
('31110','GOUAUX DE LUCHON','HAUTE GARONNE'),
('31110','JURVIELLE','HAUTE GARONNE'),
('31110','JUZET DE LUCHON','HAUTE GARONNE'),
('31110','MAYREGNE','HAUTE GARONNE'),
('31110','MONTAUBAN DE LUCHON','HAUTE GARONNE'),
('31110','MOUSTAJON','HAUTE GARONNE'),
('31110','OO','HAUTE GARONNE'),
('31110','PORTET DE LUCHON','HAUTE GARONNE'),
('31110','POUBEAU','HAUTE GARONNE'),
('31110','SACCOURVIELLE','HAUTE GARONNE'),
('31110','ST AVENTIN','HAUTE GARONNE'),
('31110','ST MAMET','HAUTE GARONNE'),
('31110','ST PAUL D OUEIL','HAUTE GARONNE'),
('31110','SALLES ET PRATVIEL','HAUTE GARONNE'),
('31110','SODE','HAUTE GARONNE'),
('31110','TREBONS DE LUCHON','HAUTE GARONNE'),
('31110','SUPERBAGNERES','HAUTE GARONNE'),
('31120','GOYRANS','HAUTE GARONNE'),
('31120','LACROIX FALGARDE','HAUTE GARONNE'),
('31120','PINSAGUEL','HAUTE GARONNE'),
('31120','PORTET SUR GARONNE','HAUTE GARONNE'),
('31120','ROQUES','HAUTE GARONNE'),
('31120','ROQUETTES','HAUTE GARONNE'),
('31130','BALMA','HAUTE GARONNE'),
('31130','FLOURENS','HAUTE GARONNE'),
('31130','PIN BALMA','HAUTE GARONNE'),
('31130','QUINT FONSEGRIVES','HAUTE GARONNE'),
('31140','AUCAMVILLE','HAUTE GARONNE'),
('31140','FONBEAUZARD','HAUTE GARONNE'),
('31140','LAUNAGUET','HAUTE GARONNE'),
('31140','MONTBERON','HAUTE GARONNE'),
('31140','PECHBONNIEU','HAUTE GARONNE'),
('31140','ST ALBAN','HAUTE GARONNE'),
('31140','ST LOUP CAMMAS','HAUTE GARONNE'),
('31150','BRUGUIERES','HAUTE GARONNE'),
('31150','FENOUILLET','HAUTE GARONNE'),
('31150','GAGNAC SUR GARONNE','HAUTE GARONNE'),
('31150','GRATENTOUR','HAUTE GARONNE'),
('31150','LESPINASSE','HAUTE GARONNE'),
('31160','ARBAS','HAUTE GARONNE'),
('31160','ARBON','HAUTE GARONNE'),
('31160','ARGUENOS','HAUTE GARONNE'),
('31160','ASPET','HAUTE GARONNE'),
('31160','CABANAC CAZAUX','HAUTE GARONNE'),
('31160','CASTELBIAGUE','HAUTE GARONNE'),
('31160','CAZAUNOUS','HAUTE GARONNE'),
('31160','CHEIN DESSUS','HAUTE GARONNE'),
('31160','COULEDOUX','HAUTE GARONNE'),
('31160','COURET','HAUTE GARONNE'),
('31160','ENCAUSSE LES THERMES','HAUTE GARONNE'),
('31160','ESTADENS','HAUTE GARONNE'),
('31160','FOUGARON','HAUTE GARONNE'),
('31160','GANTIES','HAUTE GARONNE'),
('31160','HERRAN','HAUTE GARONNE'),
('31160','IZAUT DE L HOTEL','HAUTE GARONNE'),
('31160','JUZET D IZAUT','HAUTE GARONNE'),
('31160','LESPITEAU','HAUTE GARONNE'),
('31160','MILHAS','HAUTE GARONNE'),
('31160','MONCAUP','HAUTE GARONNE'),
('31160','MONTASTRUC DE SALIES','HAUTE GARONNE'),
('31160','PORTET D ASPET','HAUTE GARONNE'),
('31160','RAZECUEILLE','HAUTE GARONNE'),
('31160','ROUEDE','HAUTE GARONNE'),
('31160','SENGOUAGNET','HAUTE GARONNE'),
('31160','SOUEICH','HAUTE GARONNE'),
('31170','TOURNEFEUILLE','HAUTE GARONNE'),
('31180','CASTELMAUROU','HAUTE GARONNE'),
('31180','LAPEYROUSE FOSSAT','HAUTE GARONNE'),
('31180','ROUFFIAC TOLOSAN','HAUTE GARONNE'),
('31180','ST GENIES BELLEVUE','HAUTE GARONNE'),
('31190','AURAGNE','HAUTE GARONNE'),
('31190','AURIBAIL','HAUTE GARONNE'),
('31190','AUTERIVE','HAUTE GARONNE'),
('31190','CAUJAC','HAUTE GARONNE'),
('31190','ESPERCE','HAUTE GARONNE'),
('31190','GRAZAC','HAUTE GARONNE'),
('31190','GREPIAC','HAUTE GARONNE'),
('31190','LABRUYERE DORSA','HAUTE GARONNE'),
('31190','LAGRACE DIEU','HAUTE GARONNE'),
('31190','MAURESSAC','HAUTE GARONNE'),
('31190','MAUVAISIN','HAUTE GARONNE'),
('31190','MIREMONT','HAUTE GARONNE'),
('31190','PUYDANIEL','HAUTE GARONNE'),
('31210','ARDIEGE','HAUTE GARONNE'),
('31210','AUSSON','HAUTE GARONNE'),
('31210','BORDES DE RIVIERE','HAUTE GARONNE'),
('31210','CLARAC','HAUTE GARONNE'),
('31210','CUGURON','HAUTE GARONNE'),
('31210','LE CUING','HAUTE GARONNE'),
('31210','FRANQUEVIELLE','HAUTE GARONNE'),
('31210','GOURDAN POLIGNAN','HAUTE GARONNE'),
('31210','HUOS','HAUTE GARONNE'),
('31210','MARTRES DE RIVIERE','HAUTE GARONNE'),
('31210','MONTREJEAU','HAUTE GARONNE'),
('31210','POINTIS DE RIVIERE','HAUTE GARONNE'),
('31210','PONLAT TAILLEBOURG','HAUTE GARONNE'),
('31210','LES TOURREILLES','HAUTE GARONNE'),
('31220','CAZERES','HAUTE GARONNE'),
('31220','COULADERE','HAUTE GARONNE'),
('31220','LAVELANET DE COMMINGES','HAUTE GARONNE'),
('31220','LESCUNS','HAUTE GARONNE'),
('31220','MARIGNAC LASPEYRES','HAUTE GARONNE'),
('31220','MARTRES TOLOSANE','HAUTE GARONNE'),
('31220','MAURAN','HAUTE GARONNE'),
('31220','MONDAVEZAN','HAUTE GARONNE'),
('31220','MONTBERAUD','HAUTE GARONNE'),
('31220','MONTCLAR DE COMMINGES','HAUTE GARONNE'),
('31220','PALAMINY','HAUTE GARONNE'),
('31220','PLAGNE','HAUTE GARONNE'),
('31220','LE PLAN','HAUTE GARONNE'),
('31220','ST JULIEN','HAUTE GARONNE'),
('31220','ST MICHEL','HAUTE GARONNE'),
('31220','SANA','HAUTE GARONNE'),
('31230','AGASSAC','HAUTE GARONNE'),
('31230','AMBAX','HAUTE GARONNE'),
('31230','ANAN','HAUTE GARONNE'),
('31230','BOISSEDE','HAUTE GARONNE'),
('31230','CASTELGAILLARD','HAUTE GARONNE'),
('31230','COUEILLES','HAUTE GARONNE'),
('31230','FABAS','HAUTE GARONNE'),
('31230','FRONTIGNAN SAVES','HAUTE GARONNE'),
('31230','GOUDEX','HAUTE GARONNE'),
('31230','L ISLE EN DODON','HAUTE GARONNE'),
('31230','LABASTIDE PAUMES','HAUTE GARONNE'),
('31230','LILHAC','HAUTE GARONNE'),
('31230','MARTISSERRE','HAUTE GARONNE'),
('31230','MAUVEZIN','HAUTE GARONNE'),
('31230','MIRAMBEAU','HAUTE GARONNE'),
('31230','MOLAS','HAUTE GARONNE'),
('31230','MONTBERNARD','HAUTE GARONNE'),
('31230','MONTESQUIEU GUITTAUT','HAUTE GARONNE'),
('31230','PUYMAURIN','HAUTE GARONNE'),
('31230','RIOLAS','HAUTE GARONNE'),
('31230','ST FRAJOU','HAUTE GARONNE'),
('31230','ST LAURENT','HAUTE GARONNE'),
('31230','SALERM','HAUTE GARONNE'),
('31230','CAZAC','HAUTE GARONNE'),
('31240','ST JEAN','HAUTE GARONNE'),
('31240','L UNION','HAUTE GARONNE'),
('31250','REVEL','HAUTE GARONNE'),
('31250','VAUDREUILLE','HAUTE GARONNE'),
('31250','ST FERREOL LE LAC','HAUTE GARONNE'),
('31260','AUSSEING','HAUTE GARONNE'),
('31260','BELBEZE EN COMMINGES','HAUTE GARONNE'),
('31260','CASSAGNE','HAUTE GARONNE'),
('31260','CASTAGNEDE','HAUTE GARONNE'),
('31260','FIGAROL','HAUTE GARONNE'),
('31260','FRANCAZAL','HAUTE GARONNE'),
('31260','HIS','HAUTE GARONNE'),
('31260','MANE','HAUTE GARONNE'),
('31260','MARSOULAS','HAUTE GARONNE'),
('31260','MAZERES SUR SALAT','HAUTE GARONNE'),
('31260','MONTESPAN','HAUTE GARONNE'),
('31260','MONTGAILLARD DE SALIES','HAUTE GARONNE'),
('31260','MONTSAUNES','HAUTE GARONNE'),
('31260','SALEICH','HAUTE GARONNE'),
('31260','SALIES DU SALAT','HAUTE GARONNE'),
('31260','TOUILLE','HAUTE GARONNE'),
('31260','URAU','HAUTE GARONNE'),
('31260','ESCOULIS','HAUTE GARONNE'),
('31270','CUGNAUX','HAUTE GARONNE'),
('31270','FROUZINS','HAUTE GARONNE'),
('31270','VILLENEUVE TOLOSANE','HAUTE GARONNE'),
('31280','AIGREFEUILLE','HAUTE GARONNE'),
('31280','DREMIL LAFAGE','HAUTE GARONNE'),
('31280','MONS','HAUTE GARONNE'),
('31290','AVIGNONET LAURAGAIS','HAUTE GARONNE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('31290','BEAUTEVILLE','HAUTE GARONNE'),
('31290','CESSALES','HAUTE GARONNE'),
('31290','FOLCARDE','HAUTE GARONNE'),
('31290','GARDOUCH','HAUTE GARONNE'),
('31290','LAGARDE','HAUTE GARONNE'),
('31290','LUX','HAUTE GARONNE'),
('31290','MAUREMONT','HAUTE GARONNE'),
('31290','MONTCLAR LAURAGAIS','HAUTE GARONNE'),
('31290','MONTGAILLARD LAURAGAIS','HAUTE GARONNE'),
('31290','RENNEVILLE','HAUTE GARONNE'),
('31290','RIEUMAJOU','HAUTE GARONNE'),
('31290','ST GERMIER','HAUTE GARONNE'),
('31290','ST ROME','HAUTE GARONNE'),
('31290','ST VINCENT','HAUTE GARONNE'),
('31290','TREBONS SUR LA GRASSE','HAUTE GARONNE'),
('31290','VALLEGUE','HAUTE GARONNE'),
('31290','VIEILLEVIGNE','HAUTE GARONNE'),
('31290','VILLEFRANCHE DE LAURAGAIS','HAUTE GARONNE'),
('31290','VILLENOUVELLE','HAUTE GARONNE'),
('31310','BAX','HAUTE GARONNE'),
('31310','CANENS','HAUTE GARONNE'),
('31310','CASTAGNAC','HAUTE GARONNE'),
('31310','GENSAC SUR GARONNE','HAUTE GARONNE'),
('31310','GOUTEVERNISSE','HAUTE GARONNE'),
('31310','GOUZENS','HAUTE GARONNE'),
('31310','LAHITERE','HAUTE GARONNE'),
('31310','LAPEYRERE','HAUTE GARONNE'),
('31310','LATOUR','HAUTE GARONNE'),
('31310','LATRAPE','HAUTE GARONNE'),
('31310','MAILHOLAS','HAUTE GARONNE'),
('31310','MASSABRAC','HAUTE GARONNE'),
('31310','MONTBRUN BOCAGE','HAUTE GARONNE'),
('31310','MONTESQUIEU VOLVESTRE','HAUTE GARONNE'),
('31310','RIEUX','HAUTE GARONNE'),
('31310','ST CHRISTAUD','HAUTE GARONNE'),
('31320','AUREVILLE','HAUTE GARONNE'),
('31320','AUZEVILLE TOLOSANE','HAUTE GARONNE'),
('31320','CASTANET TOLOSAN','HAUTE GARONNE'),
('31320','MERVILLA','HAUTE GARONNE'),
('31320','PECHABOU','HAUTE GARONNE'),
('31320','PECHBUSQUE','HAUTE GARONNE'),
('31320','REBIGUE','HAUTE GARONNE'),
('31320','VIEILLE TOULOUSE','HAUTE GARONNE'),
('31320','VIGOULET AUZIL','HAUTE GARONNE'),
('31330','LE BURGAUD','HAUTE GARONNE'),
('31330','GRENADE','HAUTE GARONNE'),
('31330','LAUNAC','HAUTE GARONNE'),
('31330','MERVILLE','HAUTE GARONNE'),
('31330','ONDES','HAUTE GARONNE'),
('31330','ST CEZERT','HAUTE GARONNE'),
('31330','LARRA','HAUTE GARONNE'),
('31340','BONDIGOUX','HAUTE GARONNE'),
('31340','LE BORN','HAUTE GARONNE'),
('31340','LAYRAC SUR TARN','HAUTE GARONNE'),
('31340','LA MAGDELAINE SUR TARN','HAUTE GARONNE'),
('31340','MIREPOIX SUR TARN','HAUTE GARONNE'),
('31340','VACQUIERS','HAUTE GARONNE'),
('31340','VILLEMATIER','HAUTE GARONNE'),
('31340','VILLEMUR SUR TARN','HAUTE GARONNE'),
('31350','BLAJAN','HAUTE GARONNE'),
('31350','BOULOGNE SUR GESSE','HAUTE GARONNE'),
('31350','CARDEILHAC','HAUTE GARONNE'),
('31350','CASTERA VIGNOLES','HAUTE GARONNE'),
('31350','CHARLAS','HAUTE GARONNE'),
('31350','CIADOUX','HAUTE GARONNE'),
('31350','ESCANECRABE','HAUTE GARONNE'),
('31350','GENSAC DE BOULOGNE','HAUTE GARONNE'),
('31350','LESPUGUE','HAUTE GARONNE'),
('31350','LUNAX','HAUTE GARONNE'),
('31350','MONDILHAN','HAUTE GARONNE'),
('31350','MONTGAILLARD SUR SAVE','HAUTE GARONNE'),
('31350','MONTMAURIN','HAUTE GARONNE'),
('31350','NENIGAN','HAUTE GARONNE'),
('31350','NIZAN GESSE','HAUTE GARONNE'),
('31350','PEGUILHAN','HAUTE GARONNE'),
('31350','ST FERREOL','HAUTE GARONNE'),
('31350','ST LARY BONJEAN','HAUTE GARONNE'),
('31350','ST LOUP EN COMMINGES','HAUTE GARONNE'),
('31350','ST PE DELBOSC','HAUTE GARONNE'),
('31350','SAMAN','HAUTE GARONNE'),
('31350','SARRECAVE','HAUTE GARONNE'),
('31350','SARREMEZAN','HAUTE GARONNE'),
('31360','ARNAUD GUILHEM','HAUTE GARONNE'),
('31360','AUZAS','HAUTE GARONNE'),
('31360','BEAUCHALOT','HAUTE GARONNE'),
('31360','BOUSSENS','HAUTE GARONNE'),
('31360','CASTILLON DE ST MARTORY','HAUTE GARONNE'),
('31360','LE FRECHET','HAUTE GARONNE'),
('31360','LAFFITE TOUPIERE','HAUTE GARONNE'),
('31360','LESTELLE DE ST MARTORY','HAUTE GARONNE'),
('31360','MANCIOUX','HAUTE GARONNE'),
('31360','PROUPIARY','HAUTE GARONNE'),
('31360','ROQUEFORT SUR GARONNE','HAUTE GARONNE'),
('31360','ST MARTORY','HAUTE GARONNE'),
('31360','ST MEDARD','HAUTE GARONNE'),
('31360','SEPX','HAUTE GARONNE'),
('31370','BEAUFORT','HAUTE GARONNE'),
('31370','BERAT','HAUTE GARONNE'),
('31370','FORGUES','HAUTE GARONNE'),
('31370','LABASTIDE CLERMONT','HAUTE GARONNE'),
('31370','LAHAGE','HAUTE GARONNE'),
('31370','LAUTIGNAC','HAUTE GARONNE'),
('31370','MONES','HAUTE GARONNE'),
('31370','MONTASTRUC SAVES','HAUTE GARONNE'),
('31370','MONTGRAS','HAUTE GARONNE'),
('31370','LE PIN MURELET','HAUTE GARONNE'),
('31370','PLAGNOLE','HAUTE GARONNE'),
('31370','POUCHARRAMET','HAUTE GARONNE'),
('31370','RIEUMES','HAUTE GARONNE'),
('31370','SABONNERES','HAUTE GARONNE'),
('31370','SAJAS','HAUTE GARONNE'),
('31370','SAVERES','HAUTE GARONNE'),
('31380','AZAS','HAUTE GARONNE'),
('31380','BAZUS','HAUTE GARONNE'),
('31380','GARIDECH','HAUTE GARONNE'),
('31380','GEMIL','HAUTE GARONNE'),
('31380','GRAGNAGUE','HAUTE GARONNE'),
('31380','MONTASTRUC LA CONSEILLERE','HAUTE GARONNE'),
('31380','MONTJOIRE','HAUTE GARONNE'),
('31380','MONTPITOL','HAUTE GARONNE'),
('31380','PAULHAC','HAUTE GARONNE'),
('31380','ROQUESERIERE','HAUTE GARONNE'),
('31380','ST JEAN LHERM','HAUTE GARONNE'),
('31380','VILLARIES','HAUTE GARONNE'),
('31390','BOIS DE LA PIERRE','HAUTE GARONNE'),
('31390','CARBONNE','HAUTE GARONNE'),
('31390','LACAUGNE','HAUTE GARONNE'),
('31390','LAFITTE VIGORDANE','HAUTE GARONNE'),
('31390','MARQUEFAVE','HAUTE GARONNE'),
('31390','PEYSSIES','HAUTE GARONNE'),
('31390','SALLES SUR GARONNE','HAUTE GARONNE'),
('31410','CAPENS','HAUTE GARONNE'),
('31410','LE FAUGA','HAUTE GARONNE'),
('31410','LAVERNOSE LACASSE','HAUTE GARONNE'),
('31410','LONGAGES','HAUTE GARONNE'),
('31410','MAUZAC','HAUTE GARONNE'),
('31410','MONTAUT','HAUTE GARONNE'),
('31410','MONTGAZIN','HAUTE GARONNE'),
('31410','NOE','HAUTE GARONNE'),
('31410','ST HILAIRE','HAUTE GARONNE'),
('31410','ST SULPICE SUR LEZE','HAUTE GARONNE'),
('31420','ALAN','HAUTE GARONNE'),
('31420','AULON','HAUTE GARONNE'),
('31420','AURIGNAC','HAUTE GARONNE'),
('31420','BACHAS','HAUTE GARONNE'),
('31420','BENQUE','HAUTE GARONNE'),
('31420','BOUSSAN','HAUTE GARONNE'),
('31420','BOUZIN','HAUTE GARONNE'),
('31420','CASSAGNABERE TOURNAS','HAUTE GARONNE'),
('31420','CAZENEUVE MONTAUT','HAUTE GARONNE'),
('31420','EOUX','HAUTE GARONNE'),
('31420','ESPARRON','HAUTE GARONNE'),
('31420','FRANCON','HAUTE GARONNE'),
('31420','MONTOULIEU ST BERNARD','HAUTE GARONNE'),
('31420','PEYRISSAS','HAUTE GARONNE'),
('31420','PEYROUZET','HAUTE GARONNE'),
('31420','ST ANDRE','HAUTE GARONNE'),
('31420','ST ELIX SEGLAN','HAUTE GARONNE'),
('31420','SAMOUILLAN','HAUTE GARONNE'),
('31420','TERREBASSE','HAUTE GARONNE'),
('31430','CASTELNAU PICAMPEAU','HAUTE GARONNE'),
('31430','CASTIES LABRANDE','HAUTE GARONNE'),
('31430','LE FOUSSERET','HAUTE GARONNE'),
('31430','FUSTIGNAC','HAUTE GARONNE'),
('31430','GRATENS','HAUTE GARONNE'),
('31430','LUSSAN ADEILHAC','HAUTE GARONNE'),
('31430','MARIGNAC LASCLARES','HAUTE GARONNE'),
('31430','MONTEGUT BOURJAC','HAUTE GARONNE'),
('31430','MONTOUSSIN','HAUTE GARONNE'),
('31430','POLASTRON','HAUTE GARONNE'),
('31430','POUY DE TOUGES','HAUTE GARONNE'),
('31430','ST ARAILLE','HAUTE GARONNE'),
('31430','ST ELIX LE CHATEAU','HAUTE GARONNE'),
('31430','SENARENS','HAUTE GARONNE'),
('31440','ARGUT DESSOUS','HAUTE GARONNE'),
('31440','ARGUT DESSUS','HAUTE GARONNE'),
('31440','ARLOS','HAUTE GARONNE'),
('31440','BACHOS','HAUTE GARONNE'),
('31440','BAREN','HAUTE GARONNE'),
('31440','BEZINS GARRAUX','HAUTE GARONNE'),
('31440','BOUTX','HAUTE GARONNE'),
('31440','BURGALAYS','HAUTE GARONNE'),
('31440','CAZAUX LAYRISSE','HAUTE GARONNE'),
('31440','CHAUM','HAUTE GARONNE'),
('31440','CIERP GAUD','HAUTE GARONNE'),
('31440','ESTENOS','HAUTE GARONNE'),
('31440','EUP','HAUTE GARONNE'),
('31440','FOS','HAUTE GARONNE'),
('31440','FRONSAC','HAUTE GARONNE'),
('31440','GAUD','HAUTE GARONNE'),
('31440','GURAN','HAUTE GARONNE'),
('31440','LEGE','HAUTE GARONNE'),
('31440','LEZ','HAUTE GARONNE'),
('31440','MARIGNAC','HAUTE GARONNE'),
('31440','MELLES','HAUTE GARONNE'),
('31440','ST BEAT','HAUTE GARONNE'),
('31440','SIGNAC','HAUTE GARONNE'),
('31440','BINOS','HAUTE GARONNE'),
('31450','AYGUESVIVES','HAUTE GARONNE'),
('31450','BAZIEGE','HAUTE GARONNE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('31450','BELBERAUD','HAUTE GARONNE'),
('31450','BELBEZE DE LAURAGAIS','HAUTE GARONNE'),
('31450','CORRONSAC','HAUTE GARONNE'),
('31450','DEYME','HAUTE GARONNE'),
('31450','DONNEVILLE','HAUTE GARONNE'),
('31450','ESPANES','HAUTE GARONNE'),
('31450','FOURQUEVAUX','HAUTE GARONNE'),
('31450','ISSUS','HAUTE GARONNE'),
('31450','LABASTIDE BEAUVOIR','HAUTE GARONNE'),
('31450','MONTBRUN LAURAGAIS','HAUTE GARONNE'),
('31450','MONTESQUIEU LAURAGAIS','HAUTE GARONNE'),
('31450','MONTGISCARD','HAUTE GARONNE'),
('31450','MONTLAUR','HAUTE GARONNE'),
('31450','NOUEILLES','HAUTE GARONNE'),
('31450','ODARS','HAUTE GARONNE'),
('31450','POMPERTUZAT','HAUTE GARONNE'),
('31450','POUZE','HAUTE GARONNE'),
('31450','VARENNES','HAUTE GARONNE'),
('31460','ALBIAC','HAUTE GARONNE'),
('31460','AURIAC SUR VENDINELLE','HAUTE GARONNE'),
('31460','BEAUVILLE','HAUTE GARONNE'),
('31460','LE CABANIAL','HAUTE GARONNE'),
('31460','CAMBIAC','HAUTE GARONNE'),
('31460','CARAGOUDES','HAUTE GARONNE'),
('31460','CARAMAN','HAUTE GARONNE'),
('31460','LE FAGET','HAUTE GARONNE'),
('31460','FRANCARVILLE','HAUTE GARONNE'),
('31460','LOUBENS LAURAGAIS','HAUTE GARONNE'),
('31460','MASCARVILLE','HAUTE GARONNE'),
('31460','MAUREVILLE','HAUTE GARONNE'),
('31460','MOURVILLES BASSES','HAUTE GARONNE'),
('31460','PRUNET','HAUTE GARONNE'),
('31460','LA SALVETAT LAURAGAIS','HAUTE GARONNE'),
('31460','SAUSSENS','HAUTE GARONNE'),
('31460','SEGREVILLE','HAUTE GARONNE'),
('31460','TOUTENS','HAUTE GARONNE'),
('31460','VENDINE','HAUTE GARONNE'),
('31470','BONREPOS SUR AUSSONNELLE','HAUTE GARONNE'),
('31470','BRAGAYRAC','HAUTE GARONNE'),
('31470','CAMBERNARD','HAUTE GARONNE'),
('31470','EMPEAUX','HAUTE GARONNE'),
('31470','FONSORBES','HAUTE GARONNE'),
('31470','FONTENILLES','HAUTE GARONNE'),
('31470','SAIGUEDE','HAUTE GARONNE'),
('31470','STE FOY DE PEYROLIERES','HAUTE GARONNE'),
('31470','ST LYS','HAUTE GARONNE'),
('31470','ST THOMAS','HAUTE GARONNE'),
('31480','BELLESSERRE','HAUTE GARONNE'),
('31480','BRIGNEMONT','HAUTE GARONNE'),
('31480','CABANAC SEGUENVILLE','HAUTE GARONNE'),
('31480','CADOURS','HAUTE GARONNE'),
('31480','CAUBIAC','HAUTE GARONNE'),
('31480','COX','HAUTE GARONNE'),
('31480','DRUDAS','HAUTE GARONNE'),
('31480','GARAC','HAUTE GARONNE'),
('31480','LE GRES','HAUTE GARONNE'),
('31480','LAGRAULET ST NICOLAS','HAUTE GARONNE'),
('31480','LAREOLE','HAUTE GARONNE'),
('31480','PELLEPORT','HAUTE GARONNE'),
('31480','PUYSSEGUR','HAUTE GARONNE'),
('31480','VIGNAUX','HAUTE GARONNE'),
('31490','BRAX','HAUTE GARONNE'),
('31490','LEGUEVIN','HAUTE GARONNE'),
('31510','ANTICHAN DE FRONTIGNES','HAUTE GARONNE'),
('31510','BAGIRY','HAUTE GARONNE'),
('31510','BARBAZAN','HAUTE GARONNE'),
('31510','CIER DE RIVIERE','HAUTE GARONNE'),
('31510','FRONTIGNAN DE COMMINGES','HAUTE GARONNE'),
('31510','GALIE','HAUTE GARONNE'),
('31510','GENOS','HAUTE GARONNE'),
('31510','LABROQUERE','HAUTE GARONNE'),
('31510','LOURDE','HAUTE GARONNE'),
('31510','LUSCAN','HAUTE GARONNE'),
('31510','MALVEZIE','HAUTE GARONNE'),
('31510','MONT DE GALIE','HAUTE GARONNE'),
('31510','ORE','HAUTE GARONNE'),
('31510','PAYSSOUS','HAUTE GARONNE'),
('31510','ST BERTRAND DE COMMINGES','HAUTE GARONNE'),
('31510','ST PE D ARDET','HAUTE GARONNE'),
('31510','SAUVETERRE DE COMMINGES','HAUTE GARONNE'),
('31510','SEILHAN','HAUTE GARONNE'),
('31510','VALCABRERE','HAUTE GARONNE'),
('31520','RAMONVILLE ST AGNE','HAUTE GARONNE'),
('31530','BELLEGARDE STE MARIE','HAUTE GARONNE'),
('31530','BRETX','HAUTE GARONNE'),
('31530','LE CASTERA','HAUTE GARONNE'),
('31530','LASSERRE','HAUTE GARONNE'),
('31530','LEVIGNAC','HAUTE GARONNE'),
('31530','MENVILLE','HAUTE GARONNE'),
('31530','MERENVIELLE','HAUTE GARONNE'),
('31530','MONTAIGUT SUR SAVE','HAUTE GARONNE'),
('31530','PRADERE LES BOURGUETS','HAUTE GARONNE'),
('31530','STE LIVRADE','HAUTE GARONNE'),
('31530','ST PAUL SUR SAVE','HAUTE GARONNE'),
('31530','THIL','HAUTE GARONNE'),
('31540','BELESTA EN LAURAGAIS','HAUTE GARONNE'),
('31540','FALGA','HAUTE GARONNE'),
('31540','JUZES','HAUTE GARONNE'),
('31540','MAURENS','HAUTE GARONNE'),
('31540','MONTEGUT LAURAGAIS','HAUTE GARONNE'),
('31540','MOURVILLES HAUTES','HAUTE GARONNE'),
('31540','NOGARET','HAUTE GARONNE'),
('31540','ROUMENS','HAUTE GARONNE'),
('31540','ST FELIX LAURAGAIS','HAUTE GARONNE'),
('31540','ST JULIA','HAUTE GARONNE'),
('31540','VAUX','HAUTE GARONNE'),
('31550','AIGNES','HAUTE GARONNE'),
('31550','CINTEGABELLE','HAUTE GARONNE'),
('31550','GAILLAC TOULZA','HAUTE GARONNE'),
('31550','MARLIAC','HAUTE GARONNE'),
('31560','CAIGNAC','HAUTE GARONNE'),
('31560','CALMONT','HAUTE GARONNE'),
('31560','GIBEL','HAUTE GARONNE'),
('31560','MONESTROL','HAUTE GARONNE'),
('31560','MONTGEARD','HAUTE GARONNE'),
('31560','NAILLOUX','HAUTE GARONNE'),
('31560','ST LEON','HAUTE GARONNE'),
('31560','SEYRE','HAUTE GARONNE'),
('31570','AURIN','HAUTE GARONNE'),
('31570','BOURG ST BERNARD','HAUTE GARONNE'),
('31570','LANTA','HAUTE GARONNE'),
('31570','PRESERVILLE','HAUTE GARONNE'),
('31570','STE FOY D AIGREFEUILLE','HAUTE GARONNE'),
('31570','ST PIERRE DE LAGES','HAUTE GARONNE'),
('31570','TARABEL','HAUTE GARONNE'),
('31570','VALLESVILLES','HAUTE GARONNE'),
('31580','BALESTA','HAUTE GARONNE'),
('31580','BOUDRAC','HAUTE GARONNE'),
('31580','CAZARIL TAMBOURES','HAUTE GARONNE'),
('31580','LARROQUE','HAUTE GARONNE'),
('31580','LECUSSAN','HAUTE GARONNE'),
('31580','LOUDET','HAUTE GARONNE'),
('31580','ST PLANCARD','HAUTE GARONNE'),
('31580','SEDEILHAC','HAUTE GARONNE'),
('31580','VILLENEUVE LECUSSAN','HAUTE GARONNE'),
('31590','BONREPOS RIQUET','HAUTE GARONNE'),
('31590','GAURE','HAUTE GARONNE'),
('31590','LAVALETTE','HAUTE GARONNE'),
('31590','ST MARCEL PAULEL','HAUTE GARONNE'),
('31590','ST PIERRE','HAUTE GARONNE'),
('31590','VERFEIL','HAUTE GARONNE'),
('31600','EAUNES','HAUTE GARONNE'),
('31600','LABASTIDETTE','HAUTE GARONNE'),
('31600','LAMASQUERE','HAUTE GARONNE'),
('31600','LHERM','HAUTE GARONNE'),
('31600','MURET','HAUTE GARONNE'),
('31600','ST CLAR DE RIVIERE','HAUTE GARONNE'),
('31600','SAUBENS','HAUTE GARONNE'),
('31600','SEYSSES','HAUTE GARONNE'),
('31620','BOULOC','HAUTE GARONNE'),
('31620','CASTELNAU D ESTRETEFONDS','HAUTE GARONNE'),
('31620','CEPET','HAUTE GARONNE'),
('31620','FRONTON','HAUTE GARONNE'),
('31620','GARGAS','HAUTE GARONNE'),
('31620','LABASTIDE ST SERNIN','HAUTE GARONNE'),
('31620','ST RUSTICE','HAUTE GARONNE'),
('31620','VILLAUDRIC','HAUTE GARONNE'),
('31620','VILLENEUVE LES BOULOC','HAUTE GARONNE'),
('31650','AUZIELLE','HAUTE GARONNE'),
('31650','LAUZERVILLE','HAUTE GARONNE'),
('31650','ST ORENS DE GAMEVILLE','HAUTE GARONNE'),
('31660','BESSIERES','HAUTE GARONNE'),
('31660','BUZET SUR TARN','HAUTE GARONNE'),
('31670','LABEGE','HAUTE GARONNE'),
('31700','BEAUZELLE','HAUTE GARONNE'),
('31700','BLAGNAC','HAUTE GARONNE'),
('31700','CORNEBARRIEU','HAUTE GARONNE'),
('31700','DAUX','HAUTE GARONNE'),
('31700','MONDONVILLE','HAUTE GARONNE'),
('31750','ESCALQUENS','HAUTE GARONNE'),
('31770','COLOMIERS','HAUTE GARONNE'),
('31780','CASTELGINEST','HAUTE GARONNE'),
('31790','ST JORY','HAUTE GARONNE'),
('31790','ST SAUVEUR','HAUTE GARONNE'),
('31800','ASPRET SARRAT','HAUTE GARONNE'),
('31800','ESTANCARBON','HAUTE GARONNE'),
('31800','LABARTHE INARD','HAUTE GARONNE'),
('31800','LABARTHE RIVIERE','HAUTE GARONNE'),
('31800','LALOURET LAFFITEAU','HAUTE GARONNE'),
('31800','LANDORTHE','HAUTE GARONNE'),
('31800','LARCAN','HAUTE GARONNE'),
('31800','LATOUE','HAUTE GARONNE'),
('31800','LIEOUX','HAUTE GARONNE'),
('31800','LODES','HAUTE GARONNE'),
('31800','MIRAMONT DE COMMINGES','HAUTE GARONNE'),
('31800','POINTIS INARD','HAUTE GARONNE'),
('31800','REGADES','HAUTE GARONNE'),
('31800','RIEUCAZE','HAUTE GARONNE'),
('31800','ST GAUDENS','HAUTE GARONNE'),
('31800','ST IGNAN','HAUTE GARONNE'),
('31800','ST MARCET','HAUTE GARONNE'),
('31800','SAUX ET POMAREDE','HAUTE GARONNE'),
('31800','SAVARTHES','HAUTE GARONNE'),
('31800','VALENTINE','HAUTE GARONNE'),
('31800','VILLENEUVE DE RIVIERE','HAUTE GARONNE'),
('31810','CLERMONT LE FORT','HAUTE GARONNE'),
('31810','VENERQUE','HAUTE GARONNE'),
('31810','VERNET','HAUTE GARONNE'),
('31820','PIBRAC','HAUTE GARONNE'),
('31830','PLAISANCE DU TOUCH','HAUTE GARONNE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('31840','AUSSONNE','HAUTE GARONNE'),
('31840','SEILH','HAUTE GARONNE'),
('31850','BEAUPUY','HAUTE GARONNE'),
('31850','MONDOUZIL','HAUTE GARONNE'),
('31850','MONTRABE','HAUTE GARONNE'),
('31860','LABARTHE SUR LEZE','HAUTE GARONNE'),
('31860','PINS JUSTARET','HAUTE GARONNE'),
('31860','VILLATE','HAUTE GARONNE'),
('31870','BEAUMONT SUR LEZE','HAUTE GARONNE'),
('31870','LAGARDELLE SUR LEZE','HAUTE GARONNE'),
('31880','LA SALVETAT ST GILLES','HAUTE GARONNE'),
('32000','AUCH','GERS'),
('32100','BEAUMONT','GERS'),
('32100','BERAUT','GERS'),
('32100','BLAZIERT','GERS'),
('32100','CASSAIGNE','GERS'),
('32100','CASTELNAU SUR LAUVIGNON','GERS'),
('32100','CAUSSENS','GERS'),
('32100','CONDOM','GERS'),
('32100','LARRESSINGLE','GERS'),
('32100','LARROQUE SUR LOSSE','GERS'),
('32100','ROQUEPINE','GERS'),
('32100','ST ORENS POUY PETIT','GERS'),
('32110','ARBLADE LE HAUT','GERS'),
('32110','BETOUS','GERS'),
('32110','CAUPENNE D ARMAGNAC','GERS'),
('32110','CRAVENCERES','GERS'),
('32110','LANNE SOUBIRAN','GERS'),
('32110','LAUJUZAN','GERS'),
('32110','LOUBEDAT','GERS'),
('32110','LUPPE VIOLLES','GERS'),
('32110','MAGNAN','GERS'),
('32110','NOGARO','GERS'),
('32110','PANJAS','GERS'),
('32110','ST GRIEDE','GERS'),
('32110','ST MARTIN D ARMAGNAC','GERS'),
('32110','SION','GERS'),
('32110','SORBETS','GERS'),
('32110','URGOSSE','GERS'),
('32120','AUGNAX','GERS'),
('32120','AVENSAC','GERS'),
('32120','BAJONNETTE','GERS'),
('32120','HOMPS','GERS'),
('32120','LABRIHE','GERS'),
('32120','MANSEMPUY','GERS'),
('32120','MARAVAT','GERS'),
('32120','MAUVEZIN','GERS'),
('32120','MONFORT','GERS'),
('32120','PUYCASQUIER','GERS'),
('32120','ST ANTONIN','GERS'),
('32120','ST BRES','GERS'),
('32120','STE GEMME','GERS'),
('32120','ST ORENS','GERS'),
('32120','SARRANT','GERS'),
('32120','SEREMPUY','GERS'),
('32120','SOLOMIAC','GERS'),
('32120','TAYBOSC','GERS'),
('32130','BEZERIL','GERS'),
('32130','CAZAUX SAVES','GERS'),
('32130','LABASTIDE SAVES','GERS'),
('32130','LAHAS','GERS'),
('32130','MONBLANC','GERS'),
('32130','NIZAS','GERS'),
('32130','NOILHAN','GERS'),
('32130','PEBEES','GERS'),
('32130','POLASTRON','GERS'),
('32130','POMPIAC','GERS'),
('32130','SAMATAN','GERS'),
('32130','SAVIGNAC MONA','GERS'),
('32130','SEYSSES SAVES','GERS'),
('32130','LOUISOT','GERS'),
('32140','ARROUEDE','GERS'),
('32140','BELLEGARDE','GERS'),
('32140','BEZUES BAJON','GERS'),
('32140','CABAS LOUMASSES','GERS'),
('32140','CHELAN','GERS'),
('32140','ESCLASSAN LABASTIDE','GERS'),
('32140','LALANNE ARQUE','GERS'),
('32140','LOURTIES MONBRUN','GERS'),
('32140','MANENT MONTANE','GERS'),
('32140','MASSEUBE','GERS'),
('32140','MONLAUR BERNET','GERS'),
('32140','MONT D ASTARAC','GERS'),
('32140','PANASSAC','GERS'),
('32140','ST BLANCART','GERS'),
('32140','SAMARAN','GERS'),
('32140','SERE','GERS'),
('32140','AUSSOS','GERS'),
('32150','CAZAUBON','GERS'),
('32150','LAREE','GERS'),
('32150','MARGUESTAU','GERS'),
('32150','MONCLAR','GERS'),
('32150','BARBOTAN','GERS'),
('32160','BEAUMARCHES','GERS'),
('32160','COULOUME MONDEBAT','GERS'),
('32160','GALIAX','GERS'),
('32160','JU BELLOC','GERS'),
('32160','LASSERADE','GERS'),
('32160','PLAISANCE','GERS'),
('32160','PRECHAC SUR ADOUR','GERS'),
('32160','ST AUNIX LENGROS','GERS'),
('32160','TASQUE','GERS'),
('32160','TIESTE URAGNOUX','GERS'),
('32170','AUX AUSSAT','GERS'),
('32170','BARCUGNAN','GERS'),
('32170','BAZUGUES','GERS'),
('32170','CASTEX','GERS'),
('32170','DUFFORT','GERS'),
('32170','ESTAMPES','GERS'),
('32170','LAAS','GERS'),
('32170','LAGUIAN MAZOUS','GERS'),
('32170','MANAS BASTANOUS','GERS'),
('32170','MARSEILLAN','GERS'),
('32170','MIELAN','GERS'),
('32170','MONPARDIAC','GERS'),
('32170','MONT DE MARRAST','GERS'),
('32170','SADEILLAN','GERS'),
('32170','STE DODE','GERS'),
('32170','SARRAGUZAN','GERS'),
('32170','TILLAC','GERS'),
('32190','BASCOUS','GERS'),
('32190','BELMONT','GERS'),
('32190','CAILLAVET','GERS'),
('32190','CALLIAN','GERS'),
('32190','CASTILLON DEBATS','GERS'),
('32190','CAZAUX D ANGLES','GERS'),
('32190','DEMU','GERS'),
('32190','JUSTIAN','GERS'),
('32190','LAGRAULAS','GERS'),
('32190','LANNEPAX','GERS'),
('32190','MARAMBAT','GERS'),
('32190','MOUREDE','GERS'),
('32190','PRENERON','GERS'),
('32190','ROQUEBRUNE','GERS'),
('32190','ROZES','GERS'),
('32190','ST JEAN POUTGE','GERS'),
('32190','ST PAUL DE BAISE','GERS'),
('32190','SEAILLES','GERS'),
('32190','TUDELLE','GERS'),
('32190','VIC FEZENSAC','GERS'),
('32200','CATONVIELLE','GERS'),
('32200','ESCORNEBOEUF','GERS'),
('32200','GIMONT','GERS'),
('32200','GISCARO','GERS'),
('32200','JUILLES','GERS'),
('32200','MAURENS','GERS'),
('32200','MONTIRON','GERS'),
('32200','ST ANDRE','GERS'),
('32200','ST GERMIER','GERS'),
('32200','STE MARIE','GERS'),
('32200','ST CAPRAIS','GERS'),
('32220','CADEILLAN','GERS'),
('32220','ESPAON','GERS'),
('32220','GARRAVET','GERS'),
('32220','GAUJAC','GERS'),
('32220','LAYMONT','GERS'),
('32220','LOMBEZ','GERS'),
('32220','MONGAUSY','GERS'),
('32220','MONTADET','GERS'),
('32220','MONTAMAT','GERS'),
('32220','MONTEGUT SAVES','GERS'),
('32220','MONTPEZAT','GERS'),
('32220','PUYLAUSIC','GERS'),
('32220','ST LIZIER DU PLANTE','GERS'),
('32220','ST LOUBE','GERS'),
('32220','ST SOULAN','GERS'),
('32220','SAUVETERRE','GERS'),
('32220','SAUVIMONT','GERS'),
('32230','ARMENTIEUX','GERS'),
('32230','ARMOUS ET CAU','GERS'),
('32230','BLOUSSON SERIAN','GERS'),
('32230','CAZAUX VILLECOMTAL','GERS'),
('32230','COURTIES','GERS'),
('32230','GAZAX ET BACCARISSE','GERS'),
('32230','JUILLAC','GERS'),
('32230','LADEVEZE RIVIERE','GERS'),
('32230','LADEVEZE VILLE','GERS'),
('32230','LAVERAET','GERS'),
('32230','LOUSLITGES','GERS'),
('32230','MARCIAC','GERS'),
('32230','MASCARAS','GERS'),
('32230','MONLEZUN','GERS'),
('32230','PALLANNE','GERS'),
('32230','PEYRUSSE VIEILLE','GERS'),
('32230','RICOURT','GERS'),
('32230','ST JUSTIN','GERS'),
('32230','SCIEURIAC ET FLOURES','GERS'),
('32230','SEMBOUES','GERS'),
('32230','TOURDUN','GERS'),
('32230','TRONCENS','GERS'),
('32240','CASTEX D ARMAGNAC','GERS'),
('32240','ESTANG','GERS'),
('32240','LANNEMAIGNAN','GERS'),
('32240','LIAS D ARMAGNAC','GERS'),
('32240','MAULEON D ARMAGNAC','GERS'),
('32240','MAUPAS','GERS'),
('32240','MONGUILHEM','GERS'),
('32240','MONLEZUN D ARMAGNAC','GERS'),
('32240','MORMES','GERS'),
('32240','TOUJOUSE','GERS');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('32250','FOURCES','GERS'),
('32250','LABARRERE','GERS'),
('32250','MONTREAL','GERS'),
('32260','ARTIGUEDIEU','GERS'),
('32260','DURBAN','GERS'),
('32260','LABARTHE','GERS'),
('32260','LAMAGUERE','GERS'),
('32260','MONCORNEIL GRAZAN','GERS'),
('32260','MONFERRAN PLAVES','GERS'),
('32260','ORBESSAN','GERS'),
('32260','ORNEZAN','GERS'),
('32260','POUY LOUBRIN','GERS'),
('32260','SANSAN','GERS'),
('32260','SEISSAN','GERS'),
('32260','TACHOIRES','GERS'),
('32270','ANSAN','GERS'),
('32270','AUBIET','GERS'),
('32270','BLANQUEFORT','GERS'),
('32270','CRASTES','GERS'),
('32270','L ISLE ARNE','GERS'),
('32270','LUSSAN','GERS'),
('32270','MARSAN','GERS'),
('32270','NOUGAROULET','GERS'),
('32270','ST SAUVY','GERS'),
('32290','AIGNAN','GERS'),
('32290','AVERON BERGELLE','GERS'),
('32290','BOUZON GELLENAVE','GERS'),
('32290','CASTELNAVET','GERS'),
('32290','LOUSSOUS DEBAT','GERS'),
('32290','LUPIAC','GERS'),
('32290','MARGOUET MEYMES','GERS'),
('32290','POUYDRAGUIN','GERS'),
('32290','SABAZAN','GERS'),
('32290','ST PIERRE D AUBEZIES','GERS'),
('32300','AUJAN MOURNEDE','GERS'),
('32300','BARS','GERS'),
('32300','BELLOC ST CLAMENS','GERS'),
('32300','BERDOUES','GERS'),
('32300','CLERMONT POUYGUILLES','GERS'),
('32300','CUELAS','GERS'),
('32300','ESTIPOUY','GERS'),
('32300','IDRAC RESPAILLES','GERS'),
('32300','L ISLE DE NOE','GERS'),
('32300','LABEJAN','GERS'),
('32300','LAGARDE HACHAN','GERS'),
('32300','LAMAZERE','GERS'),
('32300','LOUBERSAN','GERS'),
('32300','MIRAMONT D ASTARAC','GERS'),
('32300','MIRANDE','GERS'),
('32300','MONCASSIN','GERS'),
('32300','MONCLAR SUR LOSSE','GERS'),
('32300','MONTAUT','GERS'),
('32300','MOUCHES','GERS'),
('32300','PONSAMPERE','GERS'),
('32300','PONSAN SOUBIRAN','GERS'),
('32300','ST ARROMAN','GERS'),
('32300','STE AURENCE CAZAUX','GERS'),
('32300','ST ELIX THEUX','GERS'),
('32300','ST MARTIN','GERS'),
('32300','ST MAUR','GERS'),
('32300','ST MEDARD','GERS'),
('32300','ST MICHEL','GERS'),
('32300','ST OST','GERS'),
('32300','SAUVIAC','GERS'),
('32300','VIOZAN','GERS'),
('32310','BEZOLLES','GERS'),
('32310','LAGARDERE','GERS'),
('32310','MAIGNAUT TAUZIA','GERS'),
('32310','MANSENCOME','GERS'),
('32310','ROQUES','GERS'),
('32310','ST PUY','GERS'),
('32310','VALENCE SUR BAISE','GERS'),
('32320','BASSOUES','GERS'),
('32320','BAZIAN','GERS'),
('32320','CASTELNAU D ANGLES','GERS'),
('32320','MONTESQUIOU','GERS'),
('32320','PEYRUSSE GRANDE','GERS'),
('32320','POUYLEBON','GERS'),
('32320','RIGUEPEU','GERS'),
('32320','ST CHRISTAUD','GERS'),
('32330','COURRENSAN','GERS'),
('32330','GONDRIN','GERS'),
('32330','LAGRAULET DU GERS','GERS'),
('32330','LAURAET','GERS'),
('32330','MOUCHAN','GERS'),
('32340','CASTET ARROUY','GERS'),
('32340','FLAMARENS','GERS'),
('32340','GIMBREDE','GERS'),
('32340','MIRADOUX','GERS'),
('32340','PEYRECAVE','GERS'),
('32340','PLIEUX','GERS'),
('32340','ST ANTOINE','GERS'),
('32350','BARRAN','GERS'),
('32350','BIRAN','GERS'),
('32350','LE BROUILH MONBERT','GERS'),
('32350','MIRANNES','GERS'),
('32350','MONBERT','GERS'),
('32350','ORDAN LARROQUE','GERS'),
('32350','ST ARAILLES','GERS'),
('32360','ANTRAS','GERS'),
('32360','CASTILLON MASSAS','GERS'),
('32360','JEGUN','GERS'),
('32360','LAVARDENS','GERS'),
('32360','MERENS','GERS'),
('32360','PEYRUSSE MASSAS','GERS'),
('32360','ST LARY','GERS'),
('32370','BOURROUILLAN','GERS'),
('32370','ESPAS','GERS'),
('32370','MANCIET','GERS'),
('32370','STE CHRISTIE D ARMAGNAC','GERS'),
('32370','SALLES D ARMAGNAC','GERS'),
('32380','AVEZAN','GERS'),
('32380','BIVES','GERS'),
('32380','CADEILHAN','GERS'),
('32380','CASTERON','GERS'),
('32380','ESTRAMIAC','GERS'),
('32380','GAUDONVILLE','GERS'),
('32380','L ISLE BOUZON','GERS'),
('32380','MAGNAS','GERS'),
('32380','MAUROUX','GERS'),
('32380','PESSOULENS','GERS'),
('32380','ST CLAR','GERS'),
('32380','ST CREAC','GERS'),
('32380','ST LEONARD','GERS'),
('32380','TOURNECOUPE','GERS'),
('32390','GAVARRET SUR AULOUSTE','GERS'),
('32390','MIRAMONT LATOUR','GERS'),
('32390','MIREPOIX','GERS'),
('32390','MONTESTRUC SUR GERS','GERS'),
('32390','PRECHAC','GERS'),
('32390','PUYSEGUR','GERS'),
('32390','REJAUMONT','GERS'),
('32390','ROQUEFORT','GERS'),
('32390','STE CHRISTIE','GERS'),
('32390','TOURRENQUETS','GERS'),
('32400','AURENSAN','GERS'),
('32400','BERNEDE','GERS'),
('32400','CAHUZAC SUR ADOUR','GERS'),
('32400','CANNET','GERS'),
('32400','CAUMONT','GERS'),
('32400','CORNEILLAN','GERS'),
('32400','FUSTEROUAU','GERS'),
('32400','GOUX','GERS'),
('32400','IZOTGES','GERS'),
('32400','LABARTHETE','GERS'),
('32400','LANNUX','GERS'),
('32400','LELIN LAPUJOLLE','GERS'),
('32400','MAULICHERES','GERS'),
('32400','MAUMUSSON LAGUIAN','GERS'),
('32400','PROJAN','GERS'),
('32400','RISCLE','GERS'),
('32400','ST GERME','GERS'),
('32400','ST MONT','GERS'),
('32400','SARRAGACHIES','GERS'),
('32400','SEGOS','GERS'),
('32400','TARSAC','GERS'),
('32400','THERMES D ARMAGNAC','GERS'),
('32400','VERLUS','GERS'),
('32400','VIELLA','GERS'),
('32410','AYGUETINTE','GERS'),
('32410','BEAUCAIRE','GERS'),
('32410','BONAS','GERS'),
('32410','CASTERA VERDUZAN','GERS'),
('32410','CEZAN','GERS'),
('32410','LARROQUE ST SERNIN','GERS'),
('32420','BETCAVE AGUIN','GERS'),
('32420','GAUJAN','GERS'),
('32420','MEILHAN','GERS'),
('32420','MONBARDON','GERS'),
('32420','MONTIES','GERS'),
('32420','PELLEFIGUE','GERS'),
('32420','SABAILLAN','GERS'),
('32420','SARCOS','GERS'),
('32420','SIMORRE','GERS'),
('32420','TOURNAN','GERS'),
('32420','VILLEFRANCHE','GERS'),
('32430','ARDIZAS','GERS'),
('32430','COLOGNE','GERS'),
('32430','ENCAUSSE','GERS'),
('32430','ROQUELAURE ST AUBIN','GERS'),
('32430','STE ANNE','GERS'),
('32430','ST CRICQ','GERS'),
('32430','ST GEORGES','GERS'),
('32430','SIRAC','GERS'),
('32430','THOUX','GERS'),
('32430','TOUGET','GERS'),
('32440','CASTELNAU D AUZAN','GERS'),
('32450','AURIMONT','GERS'),
('32450','BEDECHAN','GERS'),
('32450','BOULAUR','GERS'),
('32450','CASTELNAU BARBARENS','GERS'),
('32450','FAGET ABBATIAL','GERS'),
('32450','LARTIGUE','GERS'),
('32450','ST ELIX','GERS'),
('32450','ST MARTIN GIMOIS','GERS'),
('32450','SARAMON','GERS'),
('32450','SEMEZIES CACHAN','GERS'),
('32450','TIRENT PONTEJAC','GERS'),
('32450','TRAVERSERES','GERS'),
('32460','LE HOUGA','GERS');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('32460','PERCHEDE','GERS'),
('32480','BERRAC','GERS'),
('32480','GAZAUPOUY','GERS'),
('32480','LARROQUE ENGALIN','GERS'),
('32480','LIGARDES','GERS'),
('32480','POUY ROQUELAURE','GERS'),
('32480','LA ROMIEU','GERS'),
('32480','ST MARTIN DE GOYNE','GERS'),
('32490','CASTILLON SAVES','GERS'),
('32490','FREGOUVILLE','GERS'),
('32490','MARESTAING','GERS'),
('32490','MONFERRAN SAVES','GERS'),
('32500','BRUGNENS','GERS'),
('32500','CASTELNAU D ARBIEU','GERS'),
('32500','CERAN','GERS'),
('32500','FLEURANCE','GERS'),
('32500','GOUTZ','GERS'),
('32500','LALANNE','GERS'),
('32500','LAMOTHE GOAS','GERS'),
('32500','PAUILHAC','GERS'),
('32500','PIS','GERS'),
('32500','STE RADEGONDE','GERS'),
('32500','LA SAUVETAT','GERS'),
('32500','URDENS','GERS'),
('32550','AUTERIVE','GERS'),
('32550','BOUCAGNERES','GERS'),
('32550','HAULIES','GERS'),
('32550','LASSERAN','GERS'),
('32550','LASSEUBE PROPRE','GERS'),
('32550','MONTEGUT','GERS'),
('32550','PAVIE','GERS'),
('32550','PESSAN','GERS'),
('32550','ST JEAN LE COMTAL','GERS'),
('32600','AURADE','GERS'),
('32600','BEAUPUY','GERS'),
('32600','CLERMONT SAVES','GERS'),
('32600','ENDOUFIELLE','GERS'),
('32600','L ISLE JOURDAIN','GERS'),
('32600','LIAS','GERS'),
('32600','MONBRUN','GERS'),
('32600','PUJAUDRAN','GERS'),
('32600','RAZENGUES','GERS'),
('32600','SEGOUFIELLE','GERS'),
('32700','CASTERA LECTOUROIS','GERS'),
('32700','LAGARDE','GERS'),
('32700','LECTOURE','GERS'),
('32700','MARSOLAN','GERS'),
('32700','MAS D AUVIGNON','GERS'),
('32700','PERGAIN TAILLAC','GERS'),
('32700','ST AVIT FRANDAT','GERS'),
('32700','STE MERE','GERS'),
('32700','ST MEZARD','GERS'),
('32700','SEMPESSERRE','GERS'),
('32700','TERRAUBE','GERS'),
('32720','ARBLADE LE BAS','GERS'),
('32720','BARCELONNE DU GERS','GERS'),
('32720','GEE RIVIERE','GERS'),
('32720','VERGOIGNAN','GERS'),
('32730','BECCAS','GERS'),
('32730','BETPLAN','GERS'),
('32730','HAGET','GERS'),
('32730','MALABAT','GERS'),
('32730','MONTEGUT ARROS','GERS'),
('32730','VILLECOMTAL SUR ARROS','GERS'),
('32800','AYZIEU','GERS'),
('32800','BRETAGNE D ARMAGNAC','GERS'),
('32800','CAMPAGNE D ARMAGNAC','GERS'),
('32800','CAZENEUVE','GERS'),
('32800','EAUZE','GERS'),
('32800','NOULENS','GERS'),
('32800','RAMOUZENS','GERS'),
('32800','REANS','GERS'),
('32810','CASTIN','GERS'),
('32810','DURAN','GERS'),
('32810','LAHITTE','GERS'),
('32810','LEBOULIN','GERS'),
('32810','MONTAUT LES CRENEAUX','GERS'),
('32810','PREIGNAN','GERS'),
('32810','ROQUELAURE','GERS'),
('33000','BORDEAUX','GIRONDE'),
('33110','LE BOUSCAT','GIRONDE'),
('33112','ST LAURENT MEDOC','GIRONDE'),
('33113','BOURIDEYS','GIRONDE'),
('33113','CAZALIS','GIRONDE'),
('33113','ORIGNE','GIRONDE'),
('33113','ST LEGER DE BALSON','GIRONDE'),
('33113','ST SYMPHORIEN','GIRONDE'),
('33114','LE BARP','GIRONDE'),
('33115','PYLA SUR MER','GIRONDE'),
('33115','PYLA PLAGE','GIRONDE'),
('33120','ARCACHON','GIRONDE'),
('33121','CARCANS','GIRONDE'),
('33121','CARCANS PLAGE','GIRONDE'),
('33123','LE VERDON SUR MER','GIRONDE'),
('33124','AILLAS','GIRONDE'),
('33124','AUROS','GIRONDE'),
('33124','BERTHEZ','GIRONDE'),
('33124','BRANNENS','GIRONDE'),
('33124','BROUQUEYRAN','GIRONDE'),
('33124','LADOS','GIRONDE'),
('33124','SAVIGNAC','GIRONDE'),
('33125','HOSTENS','GIRONDE'),
('33125','LOUCHATS','GIRONDE'),
('33125','ST MAGNE','GIRONDE'),
('33125','LE TUZAN','GIRONDE'),
('33126','FRONSAC','GIRONDE'),
('33126','LA RIVIERE','GIRONDE'),
('33126','ST AIGNAN','GIRONDE'),
('33126','ST MICHEL DE FRONSAC','GIRONDE'),
('33127','MARTIGNAS SUR JALLE','GIRONDE'),
('33127','ST JEAN D ILLAC','GIRONDE'),
('33130','BEGLES','GIRONDE'),
('33133','GALGON','GIRONDE'),
('33138','LANTON','GIRONDE'),
('33140','CADAUJAC','GIRONDE'),
('33140','VILLENAVE D ORNON','GIRONDE'),
('33140','PONT DE LA MAYE','GIRONDE'),
('33141','SAILLANS','GIRONDE'),
('33141','VILLEGOUGE','GIRONDE'),
('33148','TAUSSAT','GIRONDE'),
('33150','CENON','GIRONDE'),
('33160','ST AUBIN DE MEDOC','GIRONDE'),
('33160','ST MEDARD EN JALLES','GIRONDE'),
('33160','SALAUNES','GIRONDE'),
('33170','GRADIGNAN','GIRONDE'),
('33180','ST ESTEPHE','GIRONDE'),
('33180','ST SEURIN DE CADOURNE','GIRONDE'),
('33180','VERTHEUIL','GIRONDE'),
('33185','LE HAILLAN','GIRONDE'),
('33190','BAGAS','GIRONDE'),
('33190','BARIE','GIRONDE'),
('33190','BASSANNE','GIRONDE'),
('33190','BLAIGNAC','GIRONDE'),
('33190','BOURDELLES','GIRONDE'),
('33190','CAMIRAN','GIRONDE'),
('33190','CASSEUIL','GIRONDE'),
('33190','LES ESSEINTES','GIRONDE'),
('33190','FLOUDES','GIRONDE'),
('33190','FONTET','GIRONDE'),
('33190','FOSSES ET BALEYSSAC','GIRONDE'),
('33190','GIRONDE SUR DROPT','GIRONDE'),
('33190','HURE','GIRONDE'),
('33190','LAMOTHE LANDERRON','GIRONDE'),
('33190','LOUBENS','GIRONDE'),
('33190','LOUPIAC DE LA REOLE','GIRONDE'),
('33190','MONGAUZY','GIRONDE'),
('33190','MONTAGOUDIN','GIRONDE'),
('33190','MORIZES','GIRONDE'),
('33190','NOAILLAC','GIRONDE'),
('33190','PONDAURAT','GIRONDE'),
('33190','PUYBARBAN','GIRONDE'),
('33190','LA REOLE','GIRONDE'),
('33190','ST EXUPERY','GIRONDE'),
('33190','ST HILAIRE LA NOAILLE','GIRONDE'),
('33190','ST LAURENT DU PLAN','GIRONDE'),
('33190','ST MICHEL DE LAPUJADE','GIRONDE'),
('33190','ST SEVE','GIRONDE'),
('33210','BIEUJAC','GIRONDE'),
('33210','BOMMES','GIRONDE'),
('33210','CASTETS EN DORTHE','GIRONDE'),
('33210','CASTILLON DE CASTETS','GIRONDE'),
('33210','COIMERES','GIRONDE'),
('33210','FARGUES','GIRONDE'),
('33210','LANGON','GIRONDE'),
('33210','LEOGEATS','GIRONDE'),
('33210','MAZERES','GIRONDE'),
('33210','PREIGNAC','GIRONDE'),
('33210','PUJOLS SUR CIRON','GIRONDE'),
('33210','ROAILLAN','GIRONDE'),
('33210','ST LOUBERT','GIRONDE'),
('33210','ST PARDON DE CONQUES','GIRONDE'),
('33210','ST PIERRE DE MONS','GIRONDE'),
('33210','SAUTERNES','GIRONDE'),
('33210','TOULENNE','GIRONDE'),
('33220','FOUGUEYROLLES','GIRONDE'),
('33220','PORT STE FOY PONCHAPT','GIRONDE'),
('33220','CAPLONG','GIRONDE'),
('33220','EYNESSE','GIRONDE'),
('33220','LES LEVES ET THOUMEYRAGUE','GIRONDE'),
('33220','LIGUEUX','GIRONDE'),
('33220','MARGUERON','GIRONDE'),
('33220','PINEUILH','GIRONDE'),
('33220','RIOCAUD','GIRONDE'),
('33220','LA ROQUILLE','GIRONDE'),
('33220','ST ANDRE ET APPELLES','GIRONDE'),
('33220','ST AVIT DE SOULEGE','GIRONDE'),
('33220','ST AVIT ST NAZAIRE','GIRONDE'),
('33220','STE FOY LA GRANDE','GIRONDE'),
('33220','ST NAZAIRE','GIRONDE'),
('33220','ST PHILIPPE DU SEIGNAL','GIRONDE'),
('33220','ST QUENTIN DE CAPLONG','GIRONDE'),
('33230','ABZAC','GIRONDE'),
('33230','BAYAS','GIRONDE'),
('33230','CHAMADELLE','GIRONDE'),
('33230','COUTRAS','GIRONDE'),
('33230','LES EGLISOTTES ET CHALAUR','GIRONDE'),
('33230','LE FIEU','GIRONDE'),
('33230','GUITRES','GIRONDE'),
('33230','LAGORCE','GIRONDE'),
('33230','MARANSIN','GIRONDE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('33230','LES PEINTURES','GIRONDE'),
('33230','ST CHRISTOPHE DE DOUBLE','GIRONDE'),
('33230','ST MEDARD DE GUIZIERES','GIRONDE'),
('33240','ASQUES','GIRONDE'),
('33240','AUBIE ET ESPESSAS','GIRONDE'),
('33240','CADILLAC EN FRONSADAIS','GIRONDE'),
('33240','CUBZAC LES PONTS','GIRONDE'),
('33240','GAURIAGUET','GIRONDE'),
('33240','LA LANDE DE FRONSAC','GIRONDE'),
('33240','LUGON ET L ILE DU CARNAY','GIRONDE'),
('33240','MOUILLAC','GIRONDE'),
('33240','PERISSAC','GIRONDE'),
('33240','PEUJARD','GIRONDE'),
('33240','ST ANDRE DE CUBZAC','GIRONDE'),
('33240','ST ANTOINE','GIRONDE'),
('33240','ST GENES DE FRONSAC','GIRONDE'),
('33240','ST GERMAIN DE LA RIVIERE','GIRONDE'),
('33240','ST GERVAIS','GIRONDE'),
('33240','ST LAURENT D ARCE','GIRONDE'),
('33240','ST ROMAIN LA VIRVEE','GIRONDE'),
('33240','SALIGNAC','GIRONDE'),
('33240','TARNES','GIRONDE'),
('33240','VERAC','GIRONDE'),
('33240','VIRSAC','GIRONDE'),
('33250','CISSAC MEDOC','GIRONDE'),
('33250','PAUILLAC','GIRONDE'),
('33250','ST JULIEN BEYCHEVELLE','GIRONDE'),
('33250','ST SAUVEUR','GIRONDE'),
('33260','LA TESTE DE BUCH','GIRONDE'),
('33260','CAZAUX','GIRONDE'),
('33270','BOULIAC','GIRONDE'),
('33270','FLOIRAC','GIRONDE'),
('33290','BLANQUEFORT','GIRONDE'),
('33290','LUDON MEDOC','GIRONDE'),
('33290','PAREMPUYRE','GIRONDE'),
('33290','LE PIAN MEDOC','GIRONDE'),
('33310','LORMONT','GIRONDE'),
('33320','EYSINES','GIRONDE'),
('33320','LE TAILLAN MEDOC','GIRONDE'),
('33330','ST CHRISTOPHE DES BARDES','GIRONDE'),
('33330','ST EMILION','GIRONDE'),
('33330','ST ETIENNE DE LISSE','GIRONDE'),
('33330','ST HIPPOLYTE','GIRONDE'),
('33330','ST LAURENT DES COMBES','GIRONDE'),
('33330','ST PEY D ARMENS','GIRONDE'),
('33330','ST SULPICE DE FALEYRENS','GIRONDE'),
('33330','VIGNONET','GIRONDE'),
('33340','BEGADAN','GIRONDE'),
('33340','BLAIGNAN','GIRONDE'),
('33340','CIVRAC EN MEDOC','GIRONDE'),
('33340','COUQUEQUES','GIRONDE'),
('33340','GAILLAN EN MEDOC','GIRONDE'),
('33340','LESPARRE MEDOC','GIRONDE'),
('33340','ORDONNAC','GIRONDE'),
('33340','PRIGNAC EN MEDOC','GIRONDE'),
('33340','QUEYRAC','GIRONDE'),
('33340','ST CHRISTOLY MEDOC','GIRONDE'),
('33340','ST GERMAIN D ESTEUIL','GIRONDE'),
('33340','ST YZANS DE MEDOC','GIRONDE'),
('33340','VALEYRAC','GIRONDE'),
('33350','BELVES DE CASTILLON','GIRONDE'),
('33350','BOSSUGAN','GIRONDE'),
('33350','CASTILLON LA BATAILLE','GIRONDE'),
('33350','CIVRAC SUR DORDOGNE','GIRONDE'),
('33350','DOULEZON','GIRONDE'),
('33350','FLAUJAGUES','GIRONDE'),
('33350','GARDEGAN ET TOURTIRAC','GIRONDE'),
('33350','MERIGNAS','GIRONDE'),
('33350','MOULIETS ET VILLEMARTIN','GIRONDE'),
('33350','PUJOLS','GIRONDE'),
('33350','RUCH','GIRONDE'),
('33350','STE COLOMBE','GIRONDE'),
('33350','STE FLORENCE','GIRONDE'),
('33350','ST GENES DE CASTILLON','GIRONDE'),
('33350','ST MAGNE DE CASTILLON','GIRONDE'),
('33350','ST PEY DE CASTETS','GIRONDE'),
('33350','ST PHILIPPE D AIGUILLE','GIRONDE'),
('33350','STE RADEGONDE','GIRONDE'),
('33350','STE TERRE','GIRONDE'),
('33350','LES SALLES DE CASTILLON','GIRONDE'),
('33360','CAMBLANES ET MEYNAC','GIRONDE'),
('33360','CARIGNAN DE BORDEAUX','GIRONDE'),
('33360','CENAC','GIRONDE'),
('33360','LATRESNE','GIRONDE'),
('33360','LIGNAN DE BORDEAUX','GIRONDE'),
('33360','QUINSAC','GIRONDE'),
('33370','ARTIGUES PRES BORDEAUX','GIRONDE'),
('33370','BONNETAN','GIRONDE'),
('33370','FARGUES ST HILAIRE','GIRONDE'),
('33370','LOUPES','GIRONDE'),
('33370','POMPIGNAC','GIRONDE'),
('33370','SALLEBOEUF','GIRONDE'),
('33370','TRESSES','GIRONDE'),
('33370','YVRAC','GIRONDE'),
('33380','BIGANOS','GIRONDE'),
('33380','MIOS','GIRONDE'),
('33380','MARCHEPRIME','GIRONDE'),
('33380','FACTURE','GIRONDE'),
('33380','CAUDOS','GIRONDE'),
('33390','ANGLADE','GIRONDE'),
('33390','BERSON','GIRONDE'),
('33390','BLAYE','GIRONDE'),
('33390','CAMPUGNAN','GIRONDE'),
('33390','CARS','GIRONDE'),
('33390','CARTELEGUE','GIRONDE'),
('33390','EYRANS','GIRONDE'),
('33390','FOURS','GIRONDE'),
('33390','MAZION','GIRONDE'),
('33390','PLASSAC','GIRONDE'),
('33390','ST ANDRONY','GIRONDE'),
('33390','ST GENES DE BLAYE','GIRONDE'),
('33390','ST MARTIN LACAUSSADE','GIRONDE'),
('33390','ST PAUL','GIRONDE'),
('33390','ST SEURIN DE CURSAC','GIRONDE'),
('33400','TALENCE','GIRONDE'),
('33410','BEGUEY','GIRONDE'),
('33410','CADILLAC','GIRONDE'),
('33410','CARDAN','GIRONDE'),
('33410','DONZAC','GIRONDE'),
('33410','GABARNAC','GIRONDE'),
('33410','LAROQUE','GIRONDE'),
('33410','LOUPIAC','GIRONDE'),
('33410','MONPRIMBLANC','GIRONDE'),
('33410','MOURENS','GIRONDE'),
('33410','OMET','GIRONDE'),
('33410','RIONS','GIRONDE'),
('33410','STE CROIX DU MONT','GIRONDE'),
('33420','BRANNE','GIRONDE'),
('33420','CABARA','GIRONDE'),
('33420','CAMIAC ET ST DENIS','GIRONDE'),
('33420','DAIGNAC','GIRONDE'),
('33420','DARDENAC','GIRONDE'),
('33420','ESPIET','GIRONDE'),
('33420','GENISSAC','GIRONDE'),
('33420','GREZILLAC','GIRONDE'),
('33420','GUILLAC','GIRONDE'),
('33420','JUGAZAN','GIRONDE'),
('33420','LUGAIGNAC','GIRONDE'),
('33420','MOULON','GIRONDE'),
('33420','NAUJAN ET POSTIAC','GIRONDE'),
('33420','RAUZAN','GIRONDE'),
('33420','ST AUBIN DE BRANNE','GIRONDE'),
('33420','ST JEAN DE BLAIGNAC','GIRONDE'),
('33420','ST VINCENT DE PERTIGNAS','GIRONDE'),
('33420','TIZAC DE CURTON','GIRONDE'),
('33430','AUBIAC','GIRONDE'),
('33430','BAZAS','GIRONDE'),
('33430','BERNOS BEAULAC','GIRONDE'),
('33430','BIRAC','GIRONDE'),
('33430','CAZATS','GIRONDE'),
('33430','CUDOS','GIRONDE'),
('33430','GAJAC','GIRONDE'),
('33430','GANS','GIRONDE'),
('33430','LIGNAN DE BAZAS','GIRONDE'),
('33430','MARIMBAULT','GIRONDE'),
('33430','LE NIZAN','GIRONDE'),
('33430','ST COME','GIRONDE'),
('33430','SAUVIAC','GIRONDE'),
('33440','AMBARES ET LAGRAVE','GIRONDE'),
('33440','ST LOUIS DE MONTFERRAND','GIRONDE'),
('33440','ST VINCENT DE PAUL','GIRONDE'),
('33450','IZON','GIRONDE'),
('33450','MONTUSSAN','GIRONDE'),
('33450','ST LOUBES','GIRONDE'),
('33450','ST SULPICE ET CAMEYRAC','GIRONDE'),
('33460','ARCINS','GIRONDE'),
('33460','ARSAC','GIRONDE'),
('33460','CANTENAC','GIRONDE'),
('33460','CUSSAC FORT MEDOC','GIRONDE'),
('33460','LABARDE','GIRONDE'),
('33460','LAMARQUE','GIRONDE'),
('33460','MACAU','GIRONDE'),
('33460','MARGAUX','GIRONDE'),
('33460','SOUSSANS','GIRONDE'),
('33470','GUJAN MESTRAS','GIRONDE'),
('33470','LE TEICH','GIRONDE'),
('33480','AVENSAN','GIRONDE'),
('33480','BRACH','GIRONDE'),
('33480','CASTELNAU DE MEDOC','GIRONDE'),
('33480','LISTRAC MEDOC','GIRONDE'),
('33480','MOULIS EN MEDOC','GIRONDE'),
('33480','STE HELENE','GIRONDE'),
('33490','CAUDROT','GIRONDE'),
('33490','LE PIAN SUR GARONNE','GIRONDE'),
('33490','ST ANDRE DU BOIS','GIRONDE'),
('33490','STE FOY LA LONGUE','GIRONDE'),
('33490','ST GERMAIN DE GRAVES','GIRONDE'),
('33490','ST MACAIRE','GIRONDE'),
('33490','ST MAIXANT','GIRONDE'),
('33490','ST MARTIAL','GIRONDE'),
('33490','ST MARTIN DE SESCAS','GIRONDE'),
('33490','ST PIERRE D AURILLAC','GIRONDE'),
('33490','SEMENS','GIRONDE'),
('33490','VERDELAIS','GIRONDE'),
('33500','ARVEYRES','GIRONDE'),
('33500','LES BILLAUX','GIRONDE'),
('33500','LALANDE DE POMEROL','GIRONDE'),
('33500','LIBOURNE','GIRONDE'),
('33500','NEAC','GIRONDE'),
('33500','POMEROL','GIRONDE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('33510','ANDERNOS LES BAINS','GIRONDE'),
('33520','BRUGES','GIRONDE'),
('33530','BASSENS','GIRONDE'),
('33540','BLASIMON','GIRONDE'),
('33540','CASTELMORON D ALBRET','GIRONDE'),
('33540','CASTELVIEL','GIRONDE'),
('33540','CAUMONT','GIRONDE'),
('33540','CLEYRAC','GIRONDE'),
('33540','COIRAC','GIRONDE'),
('33540','DAUBEZE','GIRONDE'),
('33540','GORNAC','GIRONDE'),
('33540','LANDERROUET SUR SEGUR','GIRONDE'),
('33540','MAURIAC','GIRONDE'),
('33540','MESTERRIEUX','GIRONDE'),
('33540','ST BRICE','GIRONDE'),
('33540','ST FELIX DE FONCAUDE','GIRONDE'),
('33540','ST HILAIRE DU BOIS','GIRONDE'),
('33540','ST LAURENT DU BOIS','GIRONDE'),
('33540','ST MARTIN DE LERM','GIRONDE'),
('33540','ST MARTIN DU PUY','GIRONDE'),
('33540','ST SULPICE DE POMMIERS','GIRONDE'),
('33540','SAUVETERRE DE GUYENNE','GIRONDE'),
('33550','CAPIAN','GIRONDE'),
('33550','HAUX','GIRONDE'),
('33550','LANGOIRAN','GIRONDE'),
('33550','LESTIAC SUR GARONNE','GIRONDE'),
('33550','PAILLET','GIRONDE'),
('33550','TABANAC','GIRONDE'),
('33550','LE TOURNE','GIRONDE'),
('33550','VILLENAVE DE RIONS','GIRONDE'),
('33560','CARBON BLANC','GIRONDE'),
('33560','STE EULALIE','GIRONDE'),
('33570','LES ARTIGUES DE LUSSAC','GIRONDE'),
('33570','FRANCS','GIRONDE'),
('33570','LUSSAC','GIRONDE'),
('33570','MONBADON','GIRONDE'),
('33570','MONTAGNE','GIRONDE'),
('33570','PARSAC','GIRONDE'),
('33570','PETIT PALAIS ET CORNEMPS','GIRONDE'),
('33570','PUISSEGUIN','GIRONDE'),
('33570','ST CIBARD','GIRONDE'),
('33570','ST GEORGES','GIRONDE'),
('33570','TAYAC','GIRONDE'),
('33580','COURS DE MONSEGUR','GIRONDE'),
('33580','COUTURES','GIRONDE'),
('33580','DIEULIVOL','GIRONDE'),
('33580','MONSEGUR','GIRONDE'),
('33580','NEUFFONS','GIRONDE'),
('33580','LE PUY','GIRONDE'),
('33580','RIMONS','GIRONDE'),
('33580','ROQUEBRUNE','GIRONDE'),
('33580','ST FERME','GIRONDE'),
('33580','STE GEMME','GIRONDE'),
('33580','ST SULPICE DE GUILLERAGUE','GIRONDE'),
('33580','ST VIVIEN DE MONSEGUR','GIRONDE'),
('33580','TAILLECAVAT','GIRONDE'),
('33590','GRAYAN ET L HOPITAL','GIRONDE'),
('33590','JAU DIGNAC ET LOIRAC','GIRONDE'),
('33590','ST VIVIEN DE MEDOC','GIRONDE'),
('33590','TALAIS','GIRONDE'),
('33590','VENSAC','GIRONDE'),
('33600','PESSAC','GIRONDE'),
('33610','CANEJAN','GIRONDE'),
('33610','CESTAS','GIRONDE'),
('33610','GAZINET','GIRONDE'),
('33620','CAVIGNAC','GIRONDE'),
('33620','CEZAC','GIRONDE'),
('33620','CUBNEZAIS','GIRONDE'),
('33620','LAPOUYADE','GIRONDE'),
('33620','LARUSCADE','GIRONDE'),
('33620','MARCENAIS','GIRONDE'),
('33620','MARSAS','GIRONDE'),
('33620','ST MARIENS','GIRONDE'),
('33620','TIZAC DE LAPOUYADE','GIRONDE'),
('33640','ARBANATS','GIRONDE'),
('33640','AYGUEMORTE LES GRAVES','GIRONDE'),
('33640','BEAUTIRAN','GIRONDE'),
('33640','CASTRES GIRONDE','GIRONDE'),
('33640','ISLE ST GEORGES','GIRONDE'),
('33640','PORTETS','GIRONDE'),
('33650','CABANAC ET VILLAGRAINS','GIRONDE'),
('33650','LA BREDE','GIRONDE'),
('33650','MARTILLAC','GIRONDE'),
('33650','ST MEDARD D EYRANS','GIRONDE'),
('33650','ST MORILLON','GIRONDE'),
('33650','ST SELVE','GIRONDE'),
('33650','SAUCATS','GIRONDE'),
('33660','CAMPS SUR L ISLE','GIRONDE'),
('33660','GOURS','GIRONDE'),
('33660','PORCHERES','GIRONDE'),
('33660','PUYNORMAND','GIRONDE'),
('33660','ST ANTOINE SUR L ISLE','GIRONDE'),
('33660','ST SAUVEUR DE PUYNORMAND','GIRONDE'),
('33660','ST SEURIN SUR L ISLE','GIRONDE'),
('33670','BLESIGNAC','GIRONDE'),
('33670','CREON','GIRONDE'),
('33670','CURSAN','GIRONDE'),
('33670','MADIRAC','GIRONDE'),
('33670','LE POUT','GIRONDE'),
('33670','SADIRAC','GIRONDE'),
('33670','ST GENES DE LOMBAUD','GIRONDE'),
('33670','ST LEON','GIRONDE'),
('33670','LA SAUVE','GIRONDE'),
('33680','LACANAU','GIRONDE'),
('33680','LE PORGE','GIRONDE'),
('33680','SAUMOS','GIRONDE'),
('33680','LE TEMPLE','GIRONDE'),
('33680','LACANAU OCEAN','GIRONDE'),
('33690','CAUVIGNAC','GIRONDE'),
('33690','COURS LES BAINS','GIRONDE'),
('33690','GRIGNOLS','GIRONDE'),
('33690','LABESCAU','GIRONDE'),
('33690','LAVAZAN','GIRONDE'),
('33690','MARIONS','GIRONDE'),
('33690','MASSEILLES','GIRONDE'),
('33690','SENDETS','GIRONDE'),
('33690','SIGALENS','GIRONDE'),
('33690','SILLAS','GIRONDE'),
('33700','MERIGNAC','GIRONDE'),
('33710','BAYON SUR GIRONDE','GIRONDE'),
('33710','BOURG','GIRONDE'),
('33710','COMPS','GIRONDE'),
('33710','GAURIAC','GIRONDE'),
('33710','LAFOSSE','GIRONDE'),
('33710','LANSAC','GIRONDE'),
('33710','MOMBRIER','GIRONDE'),
('33710','PRIGNAC ET MARCAMPS','GIRONDE'),
('33710','PUGNAC','GIRONDE'),
('33710','ST CIERS DE CANESSE','GIRONDE'),
('33710','ST SEURIN DE BOURG','GIRONDE'),
('33710','ST TROJAN','GIRONDE'),
('33710','SAMONAC','GIRONDE'),
('33710','TAURIAC','GIRONDE'),
('33710','TEUILLAC','GIRONDE'),
('33710','VILLENEUVE','GIRONDE'),
('33720','BARSAC','GIRONDE'),
('33720','BUDOS','GIRONDE'),
('33720','CERONS','GIRONDE'),
('33720','GUILLOS','GIRONDE'),
('33720','ILLATS','GIRONDE'),
('33720','LANDIRAS','GIRONDE'),
('33720','PODENSAC','GIRONDE'),
('33720','ST MICHEL DE RIEUFRET','GIRONDE'),
('33720','VIRELADE','GIRONDE'),
('33730','BALIZAC','GIRONDE'),
('33730','NOAILLAN','GIRONDE'),
('33730','POMPEJAC','GIRONDE'),
('33730','PRECHAC','GIRONDE'),
('33730','UZESTE','GIRONDE'),
('33730','VILLANDRAUT','GIRONDE'),
('33740','ARES','GIRONDE'),
('33750','BARON','GIRONDE'),
('33750','BEYCHAC ET CAILLAU','GIRONDE'),
('33750','CADARSAC','GIRONDE'),
('33750','CAMARSAC','GIRONDE'),
('33750','CROIGNON','GIRONDE'),
('33750','NERIGEAN','GIRONDE'),
('33750','ST GERMAIN DU PUCH','GIRONDE'),
('33750','ST QUENTIN DE BARON','GIRONDE'),
('33760','ARBIS','GIRONDE'),
('33760','BAIGNEAUX','GIRONDE'),
('33760','BELLEBAT','GIRONDE'),
('33760','BELLEFOND','GIRONDE'),
('33760','CANTOIS','GIRONDE'),
('33760','CESSAC','GIRONDE'),
('33760','COURPIAC','GIRONDE'),
('33760','ESCOUSSANS','GIRONDE'),
('33760','FALEYRAS','GIRONDE'),
('33760','FRONTENAC','GIRONDE'),
('33760','LADAUX','GIRONDE'),
('33760','LUGASSON','GIRONDE'),
('33760','MARTRES','GIRONDE'),
('33760','MONTIGNAC','GIRONDE'),
('33760','ROMAGNE','GIRONDE'),
('33760','ST GENIS DU BOIS','GIRONDE'),
('33760','ST PIERRE DE BAT','GIRONDE'),
('33760','SOULIGNAC','GIRONDE'),
('33760','TARGON','GIRONDE'),
('33770','SALLES','GIRONDE'),
('33780','SOULAC SUR MER','GIRONDE'),
('33790','AURIOLLES','GIRONDE'),
('33790','CAZAUGITAT','GIRONDE'),
('33790','LANDERROUAT','GIRONDE'),
('33790','LISTRAC DE DUREZE','GIRONDE'),
('33790','MASSUGAS','GIRONDE'),
('33790','PELLEGRUE','GIRONDE'),
('33790','ST ANTOINE DU QUEYRET','GIRONDE'),
('33790','SOUSSAC','GIRONDE'),
('33810','AMBES','GIRONDE'),
('33820','BRAUD ET ST LOUIS','GIRONDE'),
('33820','ETAULIERS','GIRONDE'),
('33820','PLEINESELVE','GIRONDE'),
('33820','ST AUBIN DE BLAYE','GIRONDE'),
('33820','ST CAPRAIS DE BLAYE','GIRONDE'),
('33820','ST CIERS SUR GIRONDE','GIRONDE'),
('33820','ST PALAIS','GIRONDE'),
('33830','BELIET','GIRONDE'),
('33830','BELIN BELIET','GIRONDE'),
('33830','LUGOS','GIRONDE'),
('33840','CAPTIEUX','GIRONDE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('33840','ESCAUDES','GIRONDE'),
('33840','GISCOS','GIRONDE'),
('33840','GOUALADE','GIRONDE'),
('33840','LARTIGUE','GIRONDE'),
('33840','LERM ET MUSSET','GIRONDE'),
('33840','LUCMAU','GIRONDE'),
('33840','ST MICHEL DE CASTELNAU','GIRONDE'),
('33850','LEOGNAN','GIRONDE'),
('33860','DONNEZAC','GIRONDE'),
('33860','MARCILLAC','GIRONDE'),
('33860','REIGNAC','GIRONDE'),
('33870','VAYRES','GIRONDE'),
('33880','BAURECH','GIRONDE'),
('33880','CAMBES','GIRONDE'),
('33880','ST CAPRAIS DE BORDEAUX','GIRONDE'),
('33890','COUBEYRAC','GIRONDE'),
('33890','GENSAC','GIRONDE'),
('33890','JUILLAC','GIRONDE'),
('33890','PESSAC SUR DORDOGNE','GIRONDE'),
('33910','BONZAC','GIRONDE'),
('33910','SABLONS','GIRONDE'),
('33910','ST CIERS D ABZAC','GIRONDE'),
('33910','ST DENIS DE PILE','GIRONDE'),
('33910','ST MARTIN DE LAYE','GIRONDE'),
('33910','ST MARTIN DU BOIS','GIRONDE'),
('33910','SAVIGNAC DE L ISLE','GIRONDE'),
('33920','CIVRAC DE BLAYE','GIRONDE'),
('33920','GENERAC','GIRONDE'),
('33920','ST CHRISTOLY DE BLAYE','GIRONDE'),
('33920','ST GIRONS D AIGUEVIVES','GIRONDE'),
('33920','ST SAVIN','GIRONDE'),
('33920','ST VIVIEN DE BLAYE','GIRONDE'),
('33920','ST YZAN DE SOUDIAC','GIRONDE'),
('33920','SAUGON','GIRONDE'),
('33930','VENDAYS MONTALIVET','GIRONDE'),
('33950','LEGE CAP FERRET','GIRONDE'),
('33950','LE CANON','GIRONDE'),
('33970','CAP FERRET','GIRONDE'),
('33980','AUDENGE','GIRONDE'),
('33990','HOURTIN','GIRONDE'),
('33990','NAUJAC SUR MER','GIRONDE'),
('34000','MONTPELLIER','HERAULT'),
('34110','FRONTIGNAN','HERAULT'),
('34110','MIREVAL','HERAULT'),
('34110','VIC LA GARDIOLE','HERAULT'),
('34110','LA PEYRADE','HERAULT'),
('34120','CASTELNAU DE GUERS','HERAULT'),
('34120','CAZOULS D HERAULT','HERAULT'),
('34120','LEZIGNAN LA CEBE','HERAULT'),
('34120','NEZIGNAN L EVEQUE','HERAULT'),
('34120','PEZENAS','HERAULT'),
('34120','TOURBES','HERAULT'),
('34130','CANDILLARGUES','HERAULT'),
('34130','LANSARGUES','HERAULT'),
('34130','MAUGUIO','HERAULT'),
('34130','MUDAISON','HERAULT'),
('34130','ST AUNES','HERAULT'),
('34130','VALERGUES','HERAULT'),
('34140','BOUZIGUES','HERAULT'),
('34140','LOUPIAN','HERAULT'),
('34140','MEZE','HERAULT'),
('34150','ANIANE','HERAULT'),
('34150','ARBORAS','HERAULT'),
('34150','LA BOISSIERE','HERAULT'),
('34150','GIGNAC','HERAULT'),
('34150','LAGAMAS','HERAULT'),
('34150','MONTPEYROUX','HERAULT'),
('34150','PUECHABON','HERAULT'),
('34150','ST GUILHEM LE DESERT','HERAULT'),
('34150','ST JEAN DE FOS','HERAULT'),
('34160','BEAULIEU','HERAULT'),
('34160','BOISSERON','HERAULT'),
('34160','BUZIGNARGUES','HERAULT'),
('34160','CAMPAGNE','HERAULT'),
('34160','CASTRIES','HERAULT'),
('34160','GALARGUES','HERAULT'),
('34160','GARRIGUES','HERAULT'),
('34160','MONTAUD','HERAULT'),
('34160','RESTINCLIERES','HERAULT'),
('34160','ST BAUZILLE DE MONTMEL','HERAULT'),
('34160','ST DREZERY','HERAULT'),
('34160','ST GENIES DES MOURGUES','HERAULT'),
('34160','ST HILAIRE DE BEAUVOIR','HERAULT'),
('34160','ST JEAN DE CORNIES','HERAULT'),
('34160','SAUSSINES','HERAULT'),
('34160','SUSSARGUES','HERAULT'),
('34170','CASTELNAU LE LEZ','HERAULT'),
('34190','AGONES','HERAULT'),
('34190','BRISSAC','HERAULT'),
('34190','CAZILHAC','HERAULT'),
('34190','FERRIERES LES VERRERIES','HERAULT'),
('34190','GANGES','HERAULT'),
('34190','GORNIES','HERAULT'),
('34190','LAROQUE','HERAULT'),
('34190','MONTOULIEU','HERAULT'),
('34190','MOULES ET BAUCELS','HERAULT'),
('34190','ST ANDRE DU BUEGES','HERAULT'),
('34190','ST BAUZILLE DE PUTOIS','HERAULT'),
('34200','SETE','HERAULT'),
('34210','AGEL','HERAULT'),
('34210','AIGNE','HERAULT'),
('34210','AIGUES VIVES','HERAULT'),
('34210','AZILLANET','HERAULT'),
('34210','BEAUFORT','HERAULT'),
('34210','CASSAGNOLES','HERAULT'),
('34210','LA CAUNETTE','HERAULT'),
('34210','CESSERAS','HERAULT'),
('34210','FELINES MINERVOIS','HERAULT'),
('34210','FERRALS LES MONTAGNES','HERAULT'),
('34210','LA LIVINIERE','HERAULT'),
('34210','MINERVE','HERAULT'),
('34210','OLONZAC','HERAULT'),
('34210','OUPIA','HERAULT'),
('34210','SIRAN','HERAULT'),
('34220','BOISSET','HERAULT'),
('34220','COURNIOU','HERAULT'),
('34220','RIEUSSEC','HERAULT'),
('34220','RIOLS','HERAULT'),
('34220','ST PONS DE THOMIERES','HERAULT'),
('34220','VELIEUX','HERAULT'),
('34220','VERRERIES DE MOUSSANS','HERAULT'),
('34230','ADISSAN','HERAULT'),
('34230','AUMELAS','HERAULT'),
('34230','BELARGA','HERAULT'),
('34230','CAMPAGNAN','HERAULT'),
('34230','PAULHAN','HERAULT'),
('34230','PLAISSAN','HERAULT'),
('34230','POPIAN','HERAULT'),
('34230','LE POUGET','HERAULT'),
('34230','POUZOLS','HERAULT'),
('34230','PUILACHER','HERAULT'),
('34230','ST BAUZILLE DE LA SYLVE','HERAULT'),
('34230','ST PARGOIRE','HERAULT'),
('34230','ST PONS DE MAUCHIENS','HERAULT'),
('34230','TRESSAN','HERAULT'),
('34230','USCLAS D HERAULT','HERAULT'),
('34230','VENDEMIAN','HERAULT'),
('34240','COMBES','HERAULT'),
('34240','LAMALOU LES BAINS','HERAULT'),
('34250','PALAVAS LES FLOTS','HERAULT'),
('34260','AVENE','HERAULT'),
('34260','LE BOUSQUET D ORB','HERAULT'),
('34260','CAMPLONG','HERAULT'),
('34260','CEILHES ET ROCOZELS','HERAULT'),
('34260','GRAISSESSAC','HERAULT'),
('34260','ST ETIENNE ESTRECHOUX','HERAULT'),
('34260','LA TOUR SUR ORB','HERAULT'),
('34270','CAZEVIEILLE','HERAULT'),
('34270','CLARET','HERAULT'),
('34270','FONTANES','HERAULT'),
('34270','LAURET','HERAULT'),
('34270','LES MATELLES','HERAULT'),
('34270','STE CROIX DE QUINTILLARGU','HERAULT'),
('34270','ST JEAN DE CUCULLES','HERAULT'),
('34270','ST MATHIEU DE TREVIERS','HERAULT'),
('34270','SAUTEYRARGUES','HERAULT'),
('34270','LE TRIADOU','HERAULT'),
('34270','VACQUIERES','HERAULT'),
('34270','VALFLAUNES','HERAULT'),
('34280','LA GRANDE MOTTE','HERAULT'),
('34280','CARNON PLAGE','HERAULT'),
('34290','ABEILHAN','HERAULT'),
('34290','ALIGNAN DU VENT','HERAULT'),
('34290','BASSAN','HERAULT'),
('34290','COULOBRES','HERAULT'),
('34290','ESPONDEILHAN','HERAULT'),
('34290','LIEURAN LES BEZIERS','HERAULT'),
('34290','MONTBLANC','HERAULT'),
('34290','SERVIAN','HERAULT'),
('34290','VALROS','HERAULT'),
('34300','AGDE','HERAULT'),
('34300','LE CAP D AGDE','HERAULT'),
('34310','CAPESTANG','HERAULT'),
('34310','CRUZY','HERAULT'),
('34310','MONTADY','HERAULT'),
('34310','MONTELS','HERAULT'),
('34310','MONTOULIERS','HERAULT'),
('34310','POILHES','HERAULT'),
('34310','QUARANTE','HERAULT'),
('34320','FONTES','HERAULT'),
('34320','FOS','HERAULT'),
('34320','GABIAN','HERAULT'),
('34320','MARGON','HERAULT'),
('34320','MONTESQUIEU','HERAULT'),
('34320','NEFFIES','HERAULT'),
('34320','NIZAS','HERAULT'),
('34320','ROQUESSELS','HERAULT'),
('34320','ROUJAN','HERAULT'),
('34320','VAILHAN','HERAULT'),
('34330','CAMBON ET SALVERGUES','HERAULT'),
('34330','FRAISSE SUR AGOUT','HERAULT'),
('34330','LA SALVETAT SUR AGOUT','HERAULT'),
('34330','LE SOULIE','HERAULT'),
('34340','MARSEILLAN','HERAULT'),
('34340','MARSEILLAN PLAGE','HERAULT'),
('34350','VALRAS PLAGE','HERAULT'),
('34350','VENDRES','HERAULT'),
('34360','ASSIGNAN','HERAULT'),
('34360','BABEAU BOULDOUX','HERAULT'),
('34360','BERLOU','HERAULT');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('34360','CEBAZAN','HERAULT'),
('34360','FERRIERES POUSSAROU','HERAULT'),
('34360','PARDAILHAN','HERAULT'),
('34360','PIERRERUE','HERAULT'),
('34360','PRADES SUR VERNAZOBRE','HERAULT'),
('34360','ST CHINIAN','HERAULT'),
('34360','ST JEAN DE MINERVOIS','HERAULT'),
('34360','VILLESPASSANS','HERAULT'),
('34370','CAZOULS LES BEZIERS','HERAULT'),
('34370','CREISSAN','HERAULT'),
('34370','MARAUSSAN','HERAULT'),
('34370','MAUREILHAN','HERAULT'),
('34380','ARGELLIERS','HERAULT'),
('34380','CAUSSE DE LA SELLE','HERAULT'),
('34380','MAS DE LONDRES','HERAULT'),
('34380','NOTRE DAME DE LONDRES','HERAULT'),
('34380','PEGAIROLLES DE BUEGES','HERAULT'),
('34380','ROUET','HERAULT'),
('34380','ST JEAN DE BUEGES','HERAULT'),
('34380','ST MARTIN DE LONDRES','HERAULT'),
('34380','VIOLS EN LAVAL','HERAULT'),
('34380','VIOLS LE FORT','HERAULT'),
('34390','COLOMBIERES SUR ORB','HERAULT'),
('34390','MONS','HERAULT'),
('34390','OLARGUES','HERAULT'),
('34390','PREMIAN','HERAULT'),
('34390','ST ETIENNE D ALBAGNAN','HERAULT'),
('34390','ST JULIEN','HERAULT'),
('34390','ST MARTIN DE L ARCON','HERAULT'),
('34390','ST VINCENT D OLARGUES','HERAULT'),
('34390','VIEUSSAN','HERAULT'),
('34400','LUNEL','HERAULT'),
('34400','LUNEL VIEL','HERAULT'),
('34400','ST CHRISTOL','HERAULT'),
('34400','ST JUST','HERAULT'),
('34400','ST NAZAIRE DE PEZAN','HERAULT'),
('34400','ST SERIES','HERAULT'),
('34400','SATURARGUES','HERAULT'),
('34400','VERARGUES','HERAULT'),
('34400','VILLETELLE','HERAULT'),
('34410','SAUVIAN','HERAULT'),
('34410','SERIGNAN','HERAULT'),
('34420','CERS','HERAULT'),
('34420','PORTIRAGNES','HERAULT'),
('34420','VILLENEUVE LES BEZIERS','HERAULT'),
('34430','ST JEAN DE VEDAS','HERAULT'),
('34440','COLOMBIERS','HERAULT'),
('34440','NISSAN LEZ ENSERUNE','HERAULT'),
('34450','VIAS','HERAULT'),
('34460','CAZEDARNES','HERAULT'),
('34460','CESSENON SUR ORB','HERAULT'),
('34460','ROQUEBRUN','HERAULT'),
('34470','PEROLS','HERAULT'),
('34480','AUTIGNAC','HERAULT'),
('34480','CABREROLLES','HERAULT'),
('34480','FOUZILHON','HERAULT'),
('34480','LAURENS','HERAULT'),
('34480','MAGALAS','HERAULT'),
('34480','POUZOLLES','HERAULT'),
('34480','PUIMISSON','HERAULT'),
('34480','PUISSALICON','HERAULT'),
('34480','ST GENIES DE FONTEDIT','HERAULT'),
('34490','CAUSSES ET VEYRAN','HERAULT'),
('34490','CORNEILHAN','HERAULT'),
('34490','LIGNAN SUR ORB','HERAULT'),
('34490','MURVIEL LES BEZIERS','HERAULT'),
('34490','PAILHES','HERAULT'),
('34490','ST NAZAIRE DE LADAREZ','HERAULT'),
('34490','THEZAN LES BEZIERS','HERAULT'),
('34500','BEZIERS','HERAULT'),
('34510','FLORENSAC','HERAULT'),
('34520','LE CAYLAR','HERAULT'),
('34520','LE CROS','HERAULT'),
('34520','LES RIVES','HERAULT'),
('34520','ST FELIX DE L HERAS','HERAULT'),
('34520','ST MAURICE NAVACELLES','HERAULT'),
('34520','ST MICHEL','HERAULT'),
('34520','ST PIERRE DE LA FAGE','HERAULT'),
('34520','SORBS','HERAULT'),
('34520','LA VACQUERIE ET ST MARTIN','HERAULT'),
('34530','AUMES','HERAULT'),
('34530','MONTAGNAC','HERAULT'),
('34540','BALARUC LES BAINS','HERAULT'),
('34540','BALARUC LE VIEUX','HERAULT'),
('34550','BESSAN','HERAULT'),
('34560','MONTBAZIN','HERAULT'),
('34560','POUSSAN','HERAULT'),
('34560','VILLEVEYRAC','HERAULT'),
('34570','MONTARNAUD','HERAULT'),
('34570','MURVIEL LES MONTPELLIER','HERAULT'),
('34570','PIGNAN','HERAULT'),
('34570','ST PAUL ET VALMALLE','HERAULT'),
('34570','SAUSSAN','HERAULT'),
('34570','VAILHAUQUES','HERAULT'),
('34590','MARSILLARGUES','HERAULT'),
('34600','LES AIRES','HERAULT'),
('34600','BEDARIEUX','HERAULT'),
('34600','CARLENCAS ET LEVAS','HERAULT'),
('34600','CAUSSINIOJOULS','HERAULT'),
('34600','FAUGERES','HERAULT'),
('34600','HEREPIAN','HERAULT'),
('34600','PEZENES LES MINES','HERAULT'),
('34600','LE POUJOL SUR ORB','HERAULT'),
('34600','LE PRADAL','HERAULT'),
('34600','TAUSSAC LA BILLIERE','HERAULT'),
('34600','VILLEMAGNE L\'ARGENTIERE','HERAULT'),
('34610','CASTANET LE HAUT','HERAULT'),
('34610','ROSIS','HERAULT'),
('34610','ST GENIES DE VARENSAL','HERAULT'),
('34610','ST GERVAIS SUR MARE','HERAULT'),
('34610','PLAISANCE','HERAULT'),
('34620','PUISSERGUIER','HERAULT'),
('34630','ST THIBERY','HERAULT'),
('34650','BRENAS','HERAULT'),
('34650','DIO ET VALQUIERES','HERAULT'),
('34650','JONCELS','HERAULT'),
('34650','LUNAS','HERAULT'),
('34650','ROMIGUIERES','HERAULT'),
('34650','ROQUEREDONDE','HERAULT'),
('34660','COURNONSEC','HERAULT'),
('34660','COURNONTERRAL','HERAULT'),
('34670','BAILLARGUES','HERAULT'),
('34670','ST BRES','HERAULT'),
('34680','ST GEORGES D ORQUES','HERAULT'),
('34690','FABREGUES','HERAULT'),
('34700','LE BOSC','HERAULT'),
('34700','FOZIERES','HERAULT'),
('34700','LAUROUX','HERAULT'),
('34700','LAVALETTE','HERAULT'),
('34700','LODEVE','HERAULT'),
('34700','OLMET ET VILLECUN','HERAULT'),
('34700','PEGAIROLLES DE L ESCALETT','HERAULT'),
('34700','LES PLANS','HERAULT'),
('34700','POUJOLS','HERAULT'),
('34700','LE PUECH','HERAULT'),
('34700','ST ETIENNE DE GOURGAS','HERAULT'),
('34700','ST JEAN DE LA BLAQUIERE','HERAULT'),
('34700','ST PRIVAT','HERAULT'),
('34700','SOUBES','HERAULT'),
('34700','SOUMONT','HERAULT'),
('34700','USCLAS DU BOSC','HERAULT'),
('34710','LESPIGNAN','HERAULT'),
('34720','CAUX','HERAULT'),
('34725','JONQUIERES','HERAULT'),
('34725','ST ANDRE DE SANGONIS','HERAULT'),
('34725','ST FELIX DE LODEZ','HERAULT'),
('34725','ST GUIRAUD','HERAULT'),
('34725','ST SATURNIN DE LUCIAN','HERAULT'),
('34730','PRADES LE LEZ','HERAULT'),
('34730','ST VINCENT DE BARBEYRARGU','HERAULT'),
('34740','VENDARGUES','HERAULT'),
('34750','VILLENEUVE LES MAGUELONE','HERAULT'),
('34760','BOUJAN SUR LIBRON','HERAULT'),
('34770','GIGEAN','HERAULT'),
('34790','GRABELS','HERAULT'),
('34800','ASPIRAN','HERAULT'),
('34800','BRIGNAC','HERAULT'),
('34800','CABRIERES','HERAULT'),
('34800','CANET','HERAULT'),
('34800','CELLES','HERAULT'),
('34800','CEYRAS','HERAULT'),
('34800','CLERMONT L HERAULT','HERAULT'),
('34800','LACOSTE','HERAULT'),
('34800','LIAUSSON','HERAULT'),
('34800','LIEURAN CABRIERES','HERAULT'),
('34800','MERIFONS','HERAULT'),
('34800','MOUREZE','HERAULT'),
('34800','NEBIAN','HERAULT'),
('34800','OCTON','HERAULT'),
('34800','PERET','HERAULT'),
('34800','SALASC','HERAULT'),
('34800','VALMASCLE','HERAULT'),
('34800','VILLENEUVETTE','HERAULT'),
('34810','POMEROLS','HERAULT'),
('34820','ASSAS','HERAULT'),
('34820','GUZARGUES','HERAULT'),
('34820','TEYRAN','HERAULT'),
('34830','CLAPIERS','HERAULT'),
('34830','JACOU','HERAULT'),
('34850','PINET','HERAULT'),
('34880','LAVERUNE','HERAULT'),
('34920','LE CRES','HERAULT'),
('34970','LATTES','HERAULT'),
('34980','COMBAILLAUX','HERAULT'),
('34980','MONTFERRIER SUR LEZ','HERAULT'),
('34980','MURLES','HERAULT'),
('34980','ST CLEMENT DE RIVIERE','HERAULT'),
('34980','ST GELY DU FESC','HERAULT'),
('34990','JUVIGNAC','HERAULT'),
('35000','RENNES','ILLE ET VILAINE'),
('35111','LA FRESNAIS','ILLE ET VILAINE'),
('35111','LILLEMER','ILLE ET VILAINE'),
('35113','CHAUMERE','ILLE ET VILAINE'),
('35113','DOMAGNE','ILLE ET VILAINE'),
('35114','ST BENOIT DES ONDES','ILLE ET VILAINE'),
('35120','BAGUER MORVAN','ILLE ET VILAINE'),
('35120','BAGUER PICAN','ILLE ET VILAINE'),
('35120','LA BOUSSAC','ILLE ET VILAINE'),
('35120','BROUALAN','ILLE ET VILAINE'),
('35120','CHERRUEIX','ILLE ET VILAINE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('35120','DOL DE BRETAGNE','ILLE ET VILAINE'),
('35120','EPINIAC','ILLE ET VILAINE'),
('35120','HIREL','ILLE ET VILAINE'),
('35120','MONT DOL','ILLE ET VILAINE'),
('35120','ROZ LANDRIEUX','ILLE ET VILAINE'),
('35120','ST BROLADRE','ILLE ET VILAINE'),
('35120','ST MARCAN','ILLE ET VILAINE'),
('35120','VILDE LA MARINE','ILLE ET VILAINE'),
('35130','ARBRISSEL','ILLE ET VILAINE'),
('35130','AVAILLES SUR SEICHE','ILLE ET VILAINE'),
('35130','DROUGES','ILLE ET VILAINE'),
('35130','LA GUERCHE DE BRETAGNE','ILLE ET VILAINE'),
('35130','MOUSSE','ILLE ET VILAINE'),
('35130','MOUTIERS','ILLE ET VILAINE'),
('35130','RANNEE','ILLE ET VILAINE'),
('35130','LA SELLE GUERCHAISE','ILLE ET VILAINE'),
('35130','VISSEICHE','ILLE ET VILAINE'),
('35131','CHARTRES DE BRETAGNE','ILLE ET VILAINE'),
('35131','PONT PEAN','ILLE ET VILAINE'),
('35132','VEZIN LE COQUET','ILLE ET VILAINE'),
('35133','BEAUCE','ILLE ET VILAINE'),
('35133','BILLE','ILLE ET VILAINE'),
('35133','LA CHAPELLE JANSON','ILLE ET VILAINE'),
('35133','LE CHATELLIER','ILLE ET VILAINE'),
('35133','FLEURIGNE','ILLE ET VILAINE'),
('35133','JAVENE','ILLE ET VILAINE'),
('35133','LAIGNELET','ILLE ET VILAINE'),
('35133','LANDEAN','ILLE ET VILAINE'),
('35133','LECOUSSE','ILLE ET VILAINE'),
('35133','LE LOROUX','ILLE ET VILAINE'),
('35133','LUITRE','ILLE ET VILAINE'),
('35133','PARIGNE','ILLE ET VILAINE'),
('35133','ROMAGNE','ILLE ET VILAINE'),
('35133','ST GERMAIN EN COGLES','ILLE ET VILAINE'),
('35133','ST SAUVEUR DES LANDES','ILLE ET VILAINE'),
('35133','LA SELLE EN LUITRE','ILLE ET VILAINE'),
('35134','COESMES','ILLE ET VILAINE'),
('35134','STE COLOMBE','ILLE ET VILAINE'),
('35134','THOURIE','ILLE ET VILAINE'),
('35135','CHANTEPIE','ILLE ET VILAINE'),
('35136','ST JACQUES DE LA LANDE','ILLE ET VILAINE'),
('35137','BEDEE','ILLE ET VILAINE'),
('35137','LA NOUAYE','ILLE ET VILAINE'),
('35137','PLEUMELEUC','ILLE ET VILAINE'),
('35140','LA CHAPELLE ST AUBERT','ILLE ET VILAINE'),
('35140','GOSNE','ILLE ET VILAINE'),
('35140','MEZIERES SUR COUESNON','ILLE ET VILAINE'),
('35140','ST AUBIN DU CORMIER','ILLE ET VILAINE'),
('35140','ST CHRISTOPHE DE VALAINS','ILLE ET VILAINE'),
('35140','ST GEORGES DE CHESNE','ILLE ET VILAINE'),
('35140','ST HILAIRE DES LANDES','ILLE ET VILAINE'),
('35140','ST JEAN SUR COUESNON','ILLE ET VILAINE'),
('35140','ST MARC SUR COUESNON','ILLE ET VILAINE'),
('35140','ST OUEN DES ALLEUX','ILLE ET VILAINE'),
('35140','VENDEL','ILLE ET VILAINE'),
('35150','AMANLIS','ILLE ET VILAINE'),
('35150','BOISTRUDAN','ILLE ET VILAINE'),
('35150','BRIE','ILLE ET VILAINE'),
('35150','CHANTELOUP','ILLE ET VILAINE'),
('35150','CORPS NUDS','ILLE ET VILAINE'),
('35150','ESSE','ILLE ET VILAINE'),
('35150','JANZE','ILLE ET VILAINE'),
('35150','PIRE SUR SEICHE','ILLE ET VILAINE'),
('35160','BRETEIL','ILLE ET VILAINE'),
('35160','MONTERFIL','ILLE ET VILAINE'),
('35160','MONTFORT SUR MEU','ILLE ET VILAINE'),
('35160','TALENSAC','ILLE ET VILAINE'),
('35160','LE VERGER','ILLE ET VILAINE'),
('35170','BRUZ','ILLE ET VILAINE'),
('35170','PONT REAN','ILLE ET VILAINE'),
('35190','LA BAUSSAINE','ILLE ET VILAINE'),
('35190','BECHEREL','ILLE ET VILAINE'),
('35190','CARDROC','ILLE ET VILAINE'),
('35190','LA CHAPELLE AUX FILTZMEEN','ILLE ET VILAINE'),
('35190','LONGAULNAY','ILLE ET VILAINE'),
('35190','MINIAC SOUS BECHEREL','ILLE ET VILAINE'),
('35190','QUEBRIAC','ILLE ET VILAINE'),
('35190','ST DOMINEUC','ILLE ET VILAINE'),
('35190','ST PERN','ILLE ET VILAINE'),
('35190','ST THUAL','ILLE ET VILAINE'),
('35190','TINTENIAC','ILLE ET VILAINE'),
('35190','TREVERIEN','ILLE ET VILAINE'),
('35190','TRIMER','ILLE ET VILAINE'),
('35210','CHATILLON EN VENDELAIS','ILLE ET VILAINE'),
('35210','COMBOURTILLE','ILLE ET VILAINE'),
('35210','DOMPIERRE DU CHEMIN','ILLE ET VILAINE'),
('35210','MONTAUTOUR','ILLE ET VILAINE'),
('35210','MONTREUIL DES LANDES','ILLE ET VILAINE'),
('35210','PARCE','ILLE ET VILAINE'),
('35210','PRINCE','ILLE ET VILAINE'),
('35210','ST CHRISTOPHE DES BOIS','ILLE ET VILAINE'),
('35220','BROONS SUR VILAINE','ILLE ET VILAINE'),
('35220','CHATEAUBOURG','ILLE ET VILAINE'),
('35220','MARPIRE','ILLE ET VILAINE'),
('35220','ST DIDIER','ILLE ET VILAINE'),
('35220','ST JEAN SUR VILAINE','ILLE ET VILAINE'),
('35220','ST MELAINE','ILLE ET VILAINE'),
('35230','BOURGBARRE','ILLE ET VILAINE'),
('35230','NOYAL CHATILLON SUR SEICH','ILLE ET VILAINE'),
('35230','ORGERES','ILLE ET VILAINE'),
('35230','ST ARMEL','ILLE ET VILAINE'),
('35230','ST ERBLON','ILLE ET VILAINE'),
('35235','THORIGNE FOUILLARD','ILLE ET VILAINE'),
('35240','MARCILLE ROBERT','ILLE ET VILAINE'),
('35240','RETIERS','ILLE ET VILAINE'),
('35240','LE THEIL DE BRETAGNE','ILLE ET VILAINE'),
('35250','ANDOUILLE NEUVILLE','ILLE ET VILAINE'),
('35250','AUBIGNE','ILLE ET VILAINE'),
('35250','CHASNE SUR ILLET','ILLE ET VILAINE'),
('35250','CHEVAIGNE','ILLE ET VILAINE'),
('35250','MOUAZE','ILLE ET VILAINE'),
('35250','ST AUBIN D AUBIGNE','ILLE ET VILAINE'),
('35250','ST GERMAIN SUR ILLE','ILLE ET VILAINE'),
('35250','ST MEDARD SUR ILLE','ILLE ET VILAINE'),
('35250','ST SULPICE LA FORET','ILLE ET VILAINE'),
('35260','CANCALE','ILLE ET VILAINE'),
('35270','BONNEMAIN','ILLE ET VILAINE'),
('35270','COMBOURG','ILLE ET VILAINE'),
('35270','CUGUEN','ILLE ET VILAINE'),
('35270','LANRIGAN','ILLE ET VILAINE'),
('35270','LOURMAIS','ILLE ET VILAINE'),
('35270','MEILLAC','ILLE ET VILAINE'),
('35270','ST LEGER DES PRES','ILLE ET VILAINE'),
('35270','TREMEHEUC','ILLE ET VILAINE'),
('35290','LE CROUAIS','ILLE ET VILAINE'),
('35290','GAEL','ILLE ET VILAINE'),
('35290','MUEL','ILLE ET VILAINE'),
('35290','QUEDILLAC','ILLE ET VILAINE'),
('35290','ST MEEN LE GRAND','ILLE ET VILAINE'),
('35290','ST ONEN LA CHAPELLE','ILLE ET VILAINE'),
('35300','FOUGERES','ILLE ET VILAINE'),
('35310','BREAL SOUS MONTFORT','ILLE ET VILAINE'),
('35310','CHAVAGNE','ILLE ET VILAINE'),
('35310','CINTRE','ILLE ET VILAINE'),
('35310','MORDELLES','ILLE ET VILAINE'),
('35310','ST THURIAL','ILLE ET VILAINE'),
('35320','LA BOSSE DE BRETAGNE','ILLE ET VILAINE'),
('35320','LA COUYERE','ILLE ET VILAINE'),
('35320','CREVIN','ILLE ET VILAINE'),
('35320','LALLEU','ILLE ET VILAINE'),
('35320','PANCE','ILLE ET VILAINE'),
('35320','LE PETIT FOUGERAY','ILLE ET VILAINE'),
('35320','POLIGNE','ILLE ET VILAINE'),
('35320','SAULNIERES','ILLE ET VILAINE'),
('35320','LE SEL DE BRETAGNE','ILLE ET VILAINE'),
('35320','TRESBOEUF','ILLE ET VILAINE'),
('35330','BOVEL','ILLE ET VILAINE'),
('35330','LES BRULAIS','ILLE ET VILAINE'),
('35330','CAMPEL','ILLE ET VILAINE'),
('35330','LA CHAPELLE BOUEXIC','ILLE ET VILAINE'),
('35330','COMBLESSAC','ILLE ET VILAINE'),
('35330','LOUTEHEL','ILLE ET VILAINE'),
('35330','MAURE DE BRETAGNE','ILLE ET VILAINE'),
('35330','MERNEL','ILLE ET VILAINE'),
('35330','ST SEGLIN','ILLE ET VILAINE'),
('35340','LA BOUEXIERE','ILLE ET VILAINE'),
('35340','ERCE PRES LIFFRE','ILLE ET VILAINE'),
('35340','LIFFRE','ILLE ET VILAINE'),
('35350','LA GOUESNIERE','ILLE ET VILAINE'),
('35350','ST COULOMB','ILLE ET VILAINE'),
('35350','ST MELOIR DES ONDES','ILLE ET VILAINE'),
('35360','BOISGERVILLY','ILLE ET VILAINE'),
('35360','LA CHAPELLE DU LOU','ILLE ET VILAINE'),
('35360','LANDUJAN','ILLE ET VILAINE'),
('35360','LE LOU DU LAC','ILLE ET VILAINE'),
('35360','MEDREAC','ILLE ET VILAINE'),
('35360','MONTAUBAN DE BRETAGNE','ILLE ET VILAINE'),
('35360','ST M HERVON','ILLE ET VILAINE'),
('35360','ST UNIAC','ILLE ET VILAINE'),
('35370','ARGENTRE DU PLESSIS','ILLE ET VILAINE'),
('35370','BREAL SOUS VITRE','ILLE ET VILAINE'),
('35370','BRIELLES','ILLE ET VILAINE'),
('35370','ETRELLES','ILLE ET VILAINE'),
('35370','GENNES SUR SEICHE','ILLE ET VILAINE'),
('35370','MONDEVERT','ILLE ET VILAINE'),
('35370','LE PERTRE','ILLE ET VILAINE'),
('35370','ST GERMAIN DU PINEL','ILLE ET VILAINE'),
('35370','TORCE','ILLE ET VILAINE'),
('35380','MAXENT','ILLE ET VILAINE'),
('35380','PAIMPONT','ILLE ET VILAINE'),
('35380','PLELAN LE GRAND','ILLE ET VILAINE'),
('35380','ST PERAN','ILLE ET VILAINE'),
('35380','TREFFENDEL','ILLE ET VILAINE'),
('35390','LA DOMINELAIS','ILLE ET VILAINE'),
('35390','GRAND FOUGERAY','ILLE ET VILAINE'),
('35390','STE ANNE SUR VILAINE','ILLE ET VILAINE'),
('35390','ST SULPICE DES LANDES','ILLE ET VILAINE'),
('35400','PARAME','ILLE ET VILAINE'),
('35400','ST MALO','ILLE ET VILAINE'),
('35400','ST SERVAN SUR MER','ILLE ET VILAINE'),
('35400','CHATEAU MALO','ILLE ET VILAINE'),
('35400','ROTHENEUF','ILLE ET VILAINE'),
('35410','CHATEAUGIRON','ILLE ET VILAINE'),
('35410','DOMLOUP','ILLE ET VILAINE'),
('35410','NOUVOITOU','ILLE ET VILAINE'),
('35410','OSSE','ILLE ET VILAINE'),
('35410','ST AUBIN DU PAVAIL','ILLE ET VILAINE'),
('35420','LA BAZOUGE DU DESERT','ILLE ET VILAINE'),
('35420','LE FERRE','ILLE ET VILAINE'),
('35420','LOUVIGNE DU DESERT','ILLE ET VILAINE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('35420','MELLE','ILLE ET VILAINE'),
('35420','MONTHAULT','ILLE ET VILAINE'),
('35420','POILLEY','ILLE ET VILAINE'),
('35420','ST GEORGES REINTEMBAULT','ILLE ET VILAINE'),
('35420','VILLAMEE','ILLE ET VILAINE'),
('35430','CHATEAUNEUF D ILLE ET VIL','ILLE ET VILAINE'),
('35430','ST GUINOUX','ILLE ET VILAINE'),
('35430','ST JOUAN DES GUERETS','ILLE ET VILAINE'),
('35430','ST PERE','ILLE ET VILAINE'),
('35430','ST SULIAC','ILLE ET VILAINE'),
('35430','LA VILLE ES NONAIS','ILLE ET VILAINE'),
('35440','DINGE','ILLE ET VILAINE'),
('35440','FEINS','ILLE ET VILAINE'),
('35440','GUIPEL','ILLE ET VILAINE'),
('35440','MONTREUIL SUR ILLE','ILLE ET VILAINE'),
('35450','DOURDAIN','ILLE ET VILAINE'),
('35450','LANDAVRAN','ILLE ET VILAINE'),
('35450','LIVRE SUR CHANGEON','ILLE ET VILAINE'),
('35450','MECE','ILLE ET VILAINE'),
('35450','VAL D IZE','ILLE ET VILAINE'),
('35460','BAILLE','ILLE ET VILAINE'),
('35460','COGLES','ILLE ET VILAINE'),
('35460','MONTOURS','ILLE ET VILAINE'),
('35460','ST BRICE EN COGLES','ILLE ET VILAINE'),
('35460','ST ETIENNE EN COGLES','ILLE ET VILAINE'),
('35460','ST MARC LE BLANC','ILLE ET VILAINE'),
('35460','ST OUEN LA ROUERIE','ILLE ET VILAINE'),
('35460','LA SELLE EN COGLES','ILLE ET VILAINE'),
('35460','LE TIERCENT','ILLE ET VILAINE'),
('35460','TREMBLAY','ILLE ET VILAINE'),
('35470','BAIN DE BRETAGNE','ILLE ET VILAINE'),
('35470','LA NOE BLANCHE','ILLE ET VILAINE'),
('35470','PLECHATEL','ILLE ET VILAINE'),
('35470','LE CHATELLIER','ILLE ET VILAINE'),
('35480','GUIPRY','ILLE ET VILAINE'),
('35480','MESSAC','ILLE ET VILAINE'),
('35480','ST MALO DE PHILY','ILLE ET VILAINE'),
('35490','CHAUVIGNE','ILLE ET VILAINE'),
('35490','GAHARD','ILLE ET VILAINE'),
('35490','ROMAZY','ILLE ET VILAINE'),
('35490','SENS DE BRETAGNE','ILLE ET VILAINE'),
('35490','VIEUX VY SUR COUESNON','ILLE ET VILAINE'),
('35500','BALAZE','ILLE ET VILAINE'),
('35500','CHAMPEAUX','ILLE ET VILAINE'),
('35500','LA CHAPELLE ERBREE','ILLE ET VILAINE'),
('35500','CORNILLE','ILLE ET VILAINE'),
('35500','ERBREE','ILLE ET VILAINE'),
('35500','MONTREUIL SOUS PEROUSE','ILLE ET VILAINE'),
('35500','POCE LES BOIS','ILLE ET VILAINE'),
('35500','ST AUBIN DES LANDES','ILLE ET VILAINE'),
('35500','ST M HERVE','ILLE ET VILAINE'),
('35500','TAILLIS','ILLE ET VILAINE'),
('35500','VITRE','ILLE ET VILAINE'),
('35510','CESSON SEVIGNE','ILLE ET VILAINE'),
('35520','CHAPELLE DES FOUGERETZ','ILLE ET VILAINE'),
('35520','MELESSE','ILLE ET VILAINE'),
('35520','LA MEZIERE','ILLE ET VILAINE'),
('35520','MONTREUIL LE GAST','ILLE ET VILAINE'),
('35530','BRECE','ILLE ET VILAINE'),
('35530','NOYAL SUR VILAINE','ILLE ET VILAINE'),
('35530','SERVON SUR VILAINE','ILLE ET VILAINE'),
('35540','MINIAC MORVAN','ILLE ET VILAINE'),
('35540','PLERGUER','ILLE ET VILAINE'),
('35540','LE TRONCHET','ILLE ET VILAINE'),
('35540','VIEUX BOURG','ILLE ET VILAINE'),
('35550','BRUC SUR AFF','ILLE ET VILAINE'),
('35550','LIEURON','ILLE ET VILAINE'),
('35550','LOHEAC','ILLE ET VILAINE'),
('35550','PIPRIAC','ILLE ET VILAINE'),
('35550','ST GANTON','ILLE ET VILAINE'),
('35550','ST JUST','ILLE ET VILAINE'),
('35550','SIXT SUR AFF','ILLE ET VILAINE'),
('35560','ANTRAIN','ILLE ET VILAINE'),
('35560','BAZOUGES LA PEROUSE','ILLE ET VILAINE'),
('35560','LA FONTENELLE','ILLE ET VILAINE'),
('35560','MARCILLE RAOUL','ILLE ET VILAINE'),
('35560','NOYAL SOUS BAZOUGES','ILLE ET VILAINE'),
('35560','RIMOU','ILLE ET VILAINE'),
('35560','ST REMY DU PLEIN','ILLE ET VILAINE'),
('35580','BAULON','ILLE ET VILAINE'),
('35580','GOVEN','ILLE ET VILAINE'),
('35580','GUICHEN','ILLE ET VILAINE'),
('35580','GUIGNEN','ILLE ET VILAINE'),
('35580','LASSY','ILLE ET VILAINE'),
('35580','ST SENOUX','ILLE ET VILAINE'),
('35580','PONT REAN','ILLE ET VILAINE'),
('35590','LA CHAPELLE THOUARAULT','ILLE ET VILAINE'),
('35590','CLAYES','ILLE ET VILAINE'),
('35590','L HERMITAGE','ILLE ET VILAINE'),
('35590','ST GILLES','ILLE ET VILAINE'),
('35600','BAINS SUR OUST','ILLE ET VILAINE'),
('35600','REDON','ILLE ET VILAINE'),
('35600','STE MARIE','ILLE ET VILAINE'),
('35610','PLEINE FOUGERES','ILLE ET VILAINE'),
('35610','ROZ SUR COUESNON','ILLE ET VILAINE'),
('35610','SAINS','ILLE ET VILAINE'),
('35610','ST GEORGES DE GREHAIGNE','ILLE ET VILAINE'),
('35610','SOUGEAL','ILLE ET VILAINE'),
('35610','TRANS','ILLE ET VILAINE'),
('35610','VIEUX VIEL','ILLE ET VILAINE'),
('35620','ERCE EN LAMEE','ILLE ET VILAINE'),
('35620','TEILLAY','ILLE ET VILAINE'),
('35630','BAZOUGES SOUS HEDE','ILLE ET VILAINE'),
('35630','LA CHAPELLE CHAUSSEE','ILLE ET VILAINE'),
('35630','HEDE','ILLE ET VILAINE'),
('35630','LES IFFS','ILLE ET VILAINE'),
('35630','LANGOUET','ILLE ET VILAINE'),
('35630','ST BRIEUC DES IFFS','ILLE ET VILAINE'),
('35630','ST GONDRAN','ILLE ET VILAINE'),
('35630','ST SYMPHORIEN','ILLE ET VILAINE'),
('35630','VIGNOC','ILLE ET VILAINE'),
('35640','CHELUN','ILLE ET VILAINE'),
('35640','EANCE','ILLE ET VILAINE'),
('35640','FORGES LA FORET','ILLE ET VILAINE'),
('35640','MARTIGNE FERCHAUD','ILLE ET VILAINE'),
('35650','LE RHEU','ILLE ET VILAINE'),
('35650','MOIGNE','ILLE ET VILAINE'),
('35660','BRAIN SUR VILAINE','ILLE ET VILAINE'),
('35660','LA CHAPELLE DE BRAIN','ILLE ET VILAINE'),
('35660','LANGON','ILLE ET VILAINE'),
('35660','RENAC','ILLE ET VILAINE'),
('35680','BAIS','ILLE ET VILAINE'),
('35680','CHANCE','ILLE ET VILAINE'),
('35680','DOMALAIN','ILLE ET VILAINE'),
('35680','LOUVIGNE DE BAIS','ILLE ET VILAINE'),
('35680','MOULINS','ILLE ET VILAINE'),
('35680','VERGEAL','ILLE ET VILAINE'),
('35690','ACIGNE','ILLE ET VILAINE'),
('35720','LANHELIN','ILLE ET VILAINE'),
('35720','PLESDER','ILLE ET VILAINE'),
('35720','PLEUGUENEUC','ILLE ET VILAINE'),
('35720','ST PIERRE DE PLESGUEN','ILLE ET VILAINE'),
('35720','TRESSE','ILLE ET VILAINE'),
('35730','PLEURTUIT','ILLE ET VILAINE'),
('35740','PACE','ILLE ET VILAINE'),
('35750','BLERUAIS','ILLE ET VILAINE'),
('35750','IFFENDIC','ILLE ET VILAINE'),
('35750','ST GONLAY','ILLE ET VILAINE'),
('35750','ST MALON SUR MEL','ILLE ET VILAINE'),
('35750','ST MAUGAN','ILLE ET VILAINE'),
('35760','MONTGERMONT','ILLE ET VILAINE'),
('35760','ST GREGOIRE','ILLE ET VILAINE'),
('35770','VERN SUR SEICHE','ILLE ET VILAINE'),
('35780','LA RICHARDAIS','ILLE ET VILAINE'),
('35800','DINARD','ILLE ET VILAINE'),
('35800','ST BRIAC SUR MER','ILLE ET VILAINE'),
('35800','ST LUNAIRE','ILLE ET VILAINE'),
('35830','BETTON','ILLE ET VILAINE'),
('35850','GEVEZE','ILLE ET VILAINE'),
('35850','IRODOUER','ILLE ET VILAINE'),
('35850','LANGAN','ILLE ET VILAINE'),
('35850','PARTHENAY DE BRETAGNE','ILLE ET VILAINE'),
('35850','ROMILLE','ILLE ET VILAINE'),
('35870','LE MINIHIC SUR RANCE','ILLE ET VILAINE'),
('35890','BOURG DES COMPTES','ILLE ET VILAINE'),
('35890','LAILLE','ILLE ET VILAINE'),
('35960','LE VIVIER SUR MER','ILLE ET VILAINE'),
('36000','CHATEAUROUX','INDRE'),
('36100','LES BORDES','INDRE'),
('36100','BRIVES','INDRE'),
('36100','LA CHAMPENOISE','INDRE'),
('36100','CHOUDAY','INDRE'),
('36100','CONDE','INDRE'),
('36100','ISSOUDUN','INDRE'),
('36100','LIZERAY','INDRE'),
('36100','MEUNET PLANCHES','INDRE'),
('36100','NEUVY PAILLOUX','INDRE'),
('36100','ST AOUSTRILLE','INDRE'),
('36100','ST AUBIN','INDRE'),
('36100','STE FAUSTE','INDRE'),
('36100','ST GEORGES SUR ARNON','INDRE'),
('36100','ST VALENTIN','INDRE'),
('36100','SEGRY','INDRE'),
('36100','THIZAY','INDRE'),
('36100','VOUILLON','INDRE'),
('36110','BAUDRES','INDRE'),
('36110','BOUGES LE CHATEAU','INDRE'),
('36110','BRETAGNE','INDRE'),
('36110','BRION','INDRE'),
('36110','FRANCILLON','INDRE'),
('36110','LEVROUX','INDRE'),
('36110','MOULINS SUR CEPHONS','INDRE'),
('36110','ROUVRES LES BOIS','INDRE'),
('36110','ST MARTIN DE LAMPS','INDRE'),
('36110','ST PIERRE DE LAMPS','INDRE'),
('36110','VILLEGONGIS','INDRE'),
('36110','VINEUIL','INDRE'),
('36120','AMBRAULT','INDRE'),
('36120','ARDENTES','INDRE'),
('36120','BOMMIERS','INDRE'),
('36120','ETRECHET','INDRE'),
('36120','JEU LES BOIS','INDRE'),
('36120','MARON','INDRE'),
('36120','PRUNIERS','INDRE'),
('36120','ST AOUT','INDRE'),
('36120','SASSIERGES ST GERMAIN','INDRE'),
('36130','COINGS','INDRE'),
('36130','DEOLS','INDRE'),
('36130','DIORS','INDRE'),
('36130','MONTIERCHAUME','INDRE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('36140','AIGURANDE','INDRE'),
('36140','LA BUXERETTE','INDRE'),
('36140','CREVANT','INDRE'),
('36140','CROZON SUR VAUVRE','INDRE'),
('36140','LOURDOUEIX ST MICHEL','INDRE'),
('36140','MONTCHEVRIER','INDRE'),
('36150','AIZE','INDRE'),
('36150','BUXEUIL','INDRE'),
('36150','LA CHAPELLE ST LAURIAN','INDRE'),
('36150','FONTENAY','INDRE'),
('36150','GIROUX','INDRE'),
('36150','GUILLY','INDRE'),
('36150','LINIEZ','INDRE'),
('36150','LUCAY LE LIBRE','INDRE'),
('36150','MENETREOLS SOUS VATAN','INDRE'),
('36150','MEUNET SUR VATAN','INDRE'),
('36150','REBOURSIN','INDRE'),
('36150','ST FLORENTIN','INDRE'),
('36150','VATAN','INDRE'),
('36160','CHAMPILLET','INDRE'),
('36160','FEUSINES','INDRE'),
('36160','LIGNEROLLES','INDRE'),
('36160','LA MOTTE FEUILLY','INDRE'),
('36160','PERASSAY','INDRE'),
('36160','POULIGNY NOTRE DAME','INDRE'),
('36160','POULIGNY ST MARTIN','INDRE'),
('36160','STE SEVERE SUR INDRE','INDRE'),
('36160','SAZERAY','INDRE'),
('36160','URCIERS','INDRE'),
('36160','VIGOULANT','INDRE'),
('36160','VIJON','INDRE'),
('36170','LA CHATRE LANGLIN','INDRE'),
('36170','CHAZELET','INDRE'),
('36170','MOUHET','INDRE'),
('36170','PARNAC','INDRE'),
('36170','ROUSSINES','INDRE'),
('36170','SACIERGES ST MARTIN','INDRE'),
('36170','ST BENOIT DU SAULT','INDRE'),
('36170','ST CIVRAN','INDRE'),
('36170','ST GILLES','INDRE'),
('36170','VIGOUX','INDRE'),
('36180','FREDILLE','INDRE'),
('36180','HEUGNES','INDRE'),
('36180','PELLEVOISIN','INDRE'),
('36180','SELLES SUR NAHON','INDRE'),
('36190','CUZION','INDRE'),
('36190','GARGILESSE DAMPIERRE','INDRE'),
('36190','ORSENNES','INDRE'),
('36190','POMMIERS','INDRE'),
('36190','ST PLANTAIRE','INDRE'),
('36200','ARGENTON SUR CREUSE','INDRE'),
('36200','BOUESSE','INDRE'),
('36200','CEAULMONT','INDRE'),
('36200','CELON','INDRE'),
('36200','CHAVIN','INDRE'),
('36200','LE MENOUX','INDRE'),
('36200','MOSNAY','INDRE'),
('36200','LE PECHEREAU','INDRE'),
('36200','BADECON LE PIN','INDRE'),
('36200','ST MARCEL','INDRE'),
('36200','TENDU','INDRE'),
('36210','ANJOUIN','INDRE'),
('36210','BAGNEUX','INDRE'),
('36210','CHABRIS','INDRE'),
('36210','DUN LE POELIER','INDRE'),
('36210','MENETOU SUR NAHON','INDRE'),
('36210','ORVILLE','INDRE'),
('36210','PARPECAY','INDRE'),
('36210','POULAINES','INDRE'),
('36210','STE CECILE','INDRE'),
('36210','ST CHRISTOPHE EN BAZELLE','INDRE'),
('36210','SEMBLECAY','INDRE'),
('36210','VARENNES SUR FOUZON','INDRE'),
('36220','FONTGOMBAULT','INDRE'),
('36220','LINGE','INDRE'),
('36220','LURAIS','INDRE'),
('36220','LUREUIL','INDRE'),
('36220','MARTIZAY','INDRE'),
('36220','MERIGNY','INDRE'),
('36220','NEONS SUR CREUSE','INDRE'),
('36220','PREUILLY LA VILLE','INDRE'),
('36220','SAUZELLES','INDRE'),
('36220','TOURNON ST MARTIN','INDRE'),
('36230','BUXIERES D AILLAC','INDRE'),
('36230','FOUGEROLLES','INDRE'),
('36230','GOURNAY','INDRE'),
('36230','LYS ST GEORGES','INDRE'),
('36230','MERS SUR INDRE','INDRE'),
('36230','MONTIPOURET','INDRE'),
('36230','NEUVY ST SEPULCHRE','INDRE'),
('36230','ST DENIS DE JOUHET','INDRE'),
('36230','SARZAY','INDRE'),
('36230','TRANZAULT','INDRE'),
('36240','ECUEILLE','INDRE'),
('36240','GEHEE','INDRE'),
('36240','JEU MALOCHES','INDRE'),
('36240','PREAUX','INDRE'),
('36250','NIHERNE','INDRE'),
('36250','ST MAUR','INDRE'),
('36250','VILLERS LES ORMES','INDRE'),
('36260','DIOU','INDRE'),
('36260','MIGNY','INDRE'),
('36260','PAUDY','INDRE'),
('36260','REUILLY','INDRE'),
('36260','STE LIZAIGNE','INDRE'),
('36260','ST PIERRE DE JARDS','INDRE'),
('36260','LA FONTAINE ST MARTIN','INDRE'),
('36270','BARAIZE','INDRE'),
('36270','BAZAIGES','INDRE'),
('36270','CHANTOME','INDRE'),
('36270','EGUZON-CHANTOME','INDRE'),
('36290','AZAY LE FERRON','INDRE'),
('36290','MEZIERES EN BRENNE','INDRE'),
('36290','OBTERRE','INDRE'),
('36290','PAULNAY','INDRE'),
('36290','ST MICHEL EN BRENNE','INDRE'),
('36290','SAULNAY','INDRE'),
('36290','VILLIERS','INDRE'),
('36300','LE BLANC','INDRE'),
('36300','CIRON','INDRE'),
('36300','CONCREMIERS','INDRE'),
('36300','DOUADIC','INDRE'),
('36300','INGRANDES','INDRE'),
('36300','POULIGNY ST PIERRE','INDRE'),
('36300','ROSNAY','INDRE'),
('36300','RUFFEC','INDRE'),
('36300','ST AIGNY','INDRE'),
('36300','SCOURY','INDRE'),
('36310','BEAULIEU','INDRE'),
('36310','BONNEUIL','INDRE'),
('36310','CHAILLAC','INDRE'),
('36310','DUNET','INDRE'),
('36310','TILLY','INDRE'),
('36320','VILLEDIEU SUR INDRE','INDRE'),
('36330','ARTHON','INDRE'),
('36330','LE POINCONNET','INDRE'),
('36330','VELLES','INDRE'),
('36340','CLUIS','INDRE'),
('36340','MAILLET','INDRE'),
('36340','MALICORNAY','INDRE'),
('36340','MOUHERS','INDRE'),
('36350','LUANT','INDRE'),
('36350','LA PEROUILLE','INDRE'),
('36360','FAVEROLLES','INDRE'),
('36360','LUCAY LE MALE','INDRE'),
('36370','BELABRE','INDRE'),
('36370','CHALAIS','INDRE'),
('36370','LIGNAC','INDRE'),
('36370','MAUVIERES','INDRE'),
('36370','PRISSAC','INDRE'),
('36370','ST HILAIRE SUR BENAIZE','INDRE'),
('36400','LA BERTHENOUX','INDRE'),
('36400','BRIANTES','INDRE'),
('36400','CHASSIGNOLLES','INDRE'),
('36400','LA CHATRE','INDRE'),
('36400','LACS','INDRE'),
('36400','LOUROUER ST LAURENT','INDRE'),
('36400','LE MAGNY','INDRE'),
('36400','MONTGIVRAY','INDRE'),
('36400','MONTLEVICQ','INDRE'),
('36400','NERET','INDRE'),
('36400','NOHANT VIC','INDRE'),
('36400','ST CHARTIER','INDRE'),
('36400','ST CHRISTOPHE EN BOUCHERI','INDRE'),
('36400','THEVET ST JULIEN','INDRE'),
('36400','VERNEUIL SUR IGNERAIE','INDRE'),
('36400','VICQ EXEMPLET','INDRE'),
('36500','ARGY','INDRE'),
('36500','BUZANCAIS','INDRE'),
('36500','LA CHAPELLE ORTHEMALE','INDRE'),
('36500','CHEZELLES','INDRE'),
('36500','MEOBECQ','INDRE'),
('36500','NEUILLAY LES BOIS','INDRE'),
('36500','PALLUAU SUR INDRE','INDRE'),
('36500','STE GEMME','INDRE'),
('36500','ST GENOU','INDRE'),
('36500','ST LACTENCIN','INDRE'),
('36500','SOUGE','INDRE'),
('36500','VENDOEUVRES','INDRE'),
('36500','VILLEGOUIN','INDRE'),
('36600','FONTGUENAND','INDRE'),
('36600','LANGE','INDRE'),
('36600','LYE','INDRE'),
('36600','VALENCAY','INDRE'),
('36600','LA VERNELLE','INDRE'),
('36600','VEUIL','INDRE'),
('36600','VICQ SUR NAHON','INDRE'),
('36600','VILLENTROIS','INDRE'),
('36700','ARPHEUILLES','INDRE'),
('36700','CHATILLON SUR INDRE','INDRE'),
('36700','CLERE DU BOIS','INDRE'),
('36700','CLION','INDRE'),
('36700','FLERE LA RIVIERE','INDRE'),
('36700','MURS','INDRE'),
('36700','ST CYRAN DU JAMBOT','INDRE'),
('36700','ST MEDARD','INDRE'),
('36700','LE TRANGER','INDRE'),
('36800','CHASSENEUIL','INDRE'),
('36800','CHITRAY','INDRE'),
('36800','LUZERET','INDRE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('36800','MIGNE','INDRE'),
('36800','NURET LE FERRON','INDRE'),
('36800','OULCHES','INDRE'),
('36800','PONT CHRETIEN CHABENET','INDRE'),
('36800','RIVARENNES','INDRE'),
('36800','ST GAULTIER','INDRE'),
('36800','THENAY','INDRE'),
('37000','TOURS','INDRE ET LOIRE'),
('37110','AUTRECHE','INDRE ET LOIRE'),
('37110','AUZOUER EN TOURAINE','INDRE ET LOIRE'),
('37110','LE BOULAY','INDRE ET LOIRE'),
('37110','CHATEAU RENAULT','INDRE ET LOIRE'),
('37110','DAME MARIE LES BOIS','INDRE ET LOIRE'),
('37110','LA FERRIERE','INDRE ET LOIRE'),
('37110','LES HERMITES','INDRE ET LOIRE'),
('37110','MONTHODON','INDRE ET LOIRE'),
('37110','MORAND','INDRE ET LOIRE'),
('37110','NEUVILLE SUR BRENNE','INDRE ET LOIRE'),
('37110','ST NICOLAS DES MOTETS','INDRE ET LOIRE'),
('37110','SAUNAY','INDRE ET LOIRE'),
('37110','VILLEDOMER','INDRE ET LOIRE'),
('37120','ASSAY','INDRE ET LOIRE'),
('37120','BRASLOU','INDRE ET LOIRE'),
('37120','BRAYE SOUS FAYE','INDRE ET LOIRE'),
('37120','CHAMPIGNY SUR VEUDE','INDRE ET LOIRE'),
('37120','CHAVEIGNES','INDRE ET LOIRE'),
('37120','COURCOUE','INDRE ET LOIRE'),
('37120','FAYE LA VINEUSE','INDRE ET LOIRE'),
('37120','JAULNAY','INDRE ET LOIRE'),
('37120','LEMERE','INDRE ET LOIRE'),
('37120','LUZE','INDRE ET LOIRE'),
('37120','MARIGNY MARMANDE','INDRE ET LOIRE'),
('37120','RAZINES','INDRE ET LOIRE'),
('37120','RICHELIEU','INDRE ET LOIRE'),
('37120','LA TOUR ST GELIN','INDRE ET LOIRE'),
('37120','VERNEUIL LE CHATEAU','INDRE ET LOIRE'),
('37130','BREHEMONT','INDRE ET LOIRE'),
('37130','LA CHAPELLE AUX NAUX','INDRE ET LOIRE'),
('37130','CINQ MARS LA PILE','INDRE ET LOIRE'),
('37130','LES ESSARDS','INDRE ET LOIRE'),
('37130','LANGEAIS','INDRE ET LOIRE'),
('37130','LIGNIERES DE TOURAINE','INDRE ET LOIRE'),
('37130','MAZIERES DE TOURAINE','INDRE ET LOIRE'),
('37130','ST MICHEL SUR LOIRE','INDRE ET LOIRE'),
('37130','ST PATRICE','INDRE ET LOIRE'),
('37140','BENAIS','INDRE ET LOIRE'),
('37140','BOURGUEIL','INDRE ET LOIRE'),
('37140','LA CHAPELLE SUR LOIRE','INDRE ET LOIRE'),
('37140','CHOUZE SUR LOIRE','INDRE ET LOIRE'),
('37140','INGRANDES DE TOURAINE','INDRE ET LOIRE'),
('37140','RESTIGNE','INDRE ET LOIRE'),
('37140','ST NICOLAS DE BOURGUEIL','INDRE ET LOIRE'),
('37150','BLERE','INDRE ET LOIRE'),
('37150','CHENONCEAUX','INDRE ET LOIRE'),
('37150','CHISSEAUX','INDRE ET LOIRE'),
('37150','CIVRAY DE TOURAINE','INDRE ET LOIRE'),
('37150','LA CROIX EN TOURAINE','INDRE ET LOIRE'),
('37150','DIERRE','INDRE ET LOIRE'),
('37150','EPEIGNE LES BOIS','INDRE ET LOIRE'),
('37150','FRANCUEIL','INDRE ET LOIRE'),
('37150','LUZILLE','INDRE ET LOIRE'),
('37160','ABILLY','INDRE ET LOIRE'),
('37160','LA CELLE ST AVANT','INDRE ET LOIRE'),
('37160','CIVRAY SUR ESVES','INDRE ET LOIRE'),
('37160','DESCARTES','INDRE ET LOIRE'),
('37160','MARCE SUR ESVES','INDRE ET LOIRE'),
('37160','NEUILLY LE BRIGNON','INDRE ET LOIRE'),
('37160','BUXEUIL','INDRE ET LOIRE'),
('37170','CHAMBRAY LES TOURS','INDRE ET LOIRE'),
('37190','AZAY LE RIDEAU','INDRE ET LOIRE'),
('37190','CHEILLE','INDRE ET LOIRE'),
('37190','DRUYE','INDRE ET LOIRE'),
('37190','NEUIL','INDRE ET LOIRE'),
('37190','RIVARENNES','INDRE ET LOIRE'),
('37190','SACHE','INDRE ET LOIRE'),
('37190','VALLERES','INDRE ET LOIRE'),
('37190','VILLAINES LES ROCHERS','INDRE ET LOIRE'),
('37210','CHANCAY','INDRE ET LOIRE'),
('37210','NOIZAY','INDRE ET LOIRE'),
('37210','PARCAY MESLAY','INDRE ET LOIRE'),
('37210','ROCHECORBON','INDRE ET LOIRE'),
('37210','VERNOU SUR BRENNE','INDRE ET LOIRE'),
('37210','VOUVRAY','INDRE ET LOIRE'),
('37220','AVON LES ROCHES','INDRE ET LOIRE'),
('37220','BRIZAY','INDRE ET LOIRE'),
('37220','CHEZELLES','INDRE ET LOIRE'),
('37220','CRISSAY SUR MANSE','INDRE ET LOIRE'),
('37220','CROUZILLES','INDRE ET LOIRE'),
('37220','L ILE BOUCHARD','INDRE ET LOIRE'),
('37220','PANZOULT','INDRE ET LOIRE'),
('37220','PARCAY SUR VIENNE','INDRE ET LOIRE'),
('37220','RILLY SUR VIENNE','INDRE ET LOIRE'),
('37220','SAZILLY','INDRE ET LOIRE'),
('37220','TAVANT','INDRE ET LOIRE'),
('37220','THENEUIL','INDRE ET LOIRE'),
('37220','TROGUES','INDRE ET LOIRE'),
('37230','FONDETTES','INDRE ET LOIRE'),
('37230','LUYNES','INDRE ET LOIRE'),
('37230','PERNAY','INDRE ET LOIRE'),
('37230','ST ETIENNE DE CHIGNY','INDRE ET LOIRE'),
('37240','BOSSEE','INDRE ET LOIRE'),
('37240','BOURNAN','INDRE ET LOIRE'),
('37240','LA CHAPELLE BLANCHE ST MA','INDRE ET LOIRE'),
('37240','CIRAN','INDRE ET LOIRE'),
('37240','CUSSAY','INDRE ET LOIRE'),
('37240','ESVES LE MOUTIER','INDRE ET LOIRE'),
('37240','LIGUEIL','INDRE ET LOIRE'),
('37240','LE LOUROUX','INDRE ET LOIRE'),
('37240','MANTHELAN','INDRE ET LOIRE'),
('37240','VOU','INDRE ET LOIRE'),
('37250','MONTBAZON','INDRE ET LOIRE'),
('37250','SORIGNY','INDRE ET LOIRE'),
('37250','VEIGNE','INDRE ET LOIRE'),
('37260','ARTANNES SUR INDRE','INDRE ET LOIRE'),
('37260','MONTS','INDRE ET LOIRE'),
('37260','PONT DE RUAN','INDRE ET LOIRE'),
('37260','THILOUZE','INDRE ET LOIRE'),
('37260','VILLEPERDUE','INDRE ET LOIRE'),
('37270','ATHEE SUR CHER','INDRE ET LOIRE'),
('37270','AZAY SUR CHER','INDRE ET LOIRE'),
('37270','LARCAY','INDRE ET LOIRE'),
('37270','MONTLOUIS SUR LOIRE','INDRE ET LOIRE'),
('37270','ST MARTIN LE BEAU','INDRE ET LOIRE'),
('37270','VERETZ','INDRE ET LOIRE'),
('37290','BOSSAY SUR CLAISE','INDRE ET LOIRE'),
('37290','BOUSSAY','INDRE ET LOIRE'),
('37290','CHAMBON','INDRE ET LOIRE'),
('37290','CHARNIZAY','INDRE ET LOIRE'),
('37290','PREUILLY SUR CLAISE','INDRE ET LOIRE'),
('37290','TOURNON ST PIERRE','INDRE ET LOIRE'),
('37290','YZEURES SUR CREUSE','INDRE ET LOIRE'),
('37300','JOUE LES TOURS','INDRE ET LOIRE'),
('37310','AZAY SUR INDRE','INDRE ET LOIRE'),
('37310','CHAMBOURG SUR INDRE','INDRE ET LOIRE'),
('37310','CHEDIGNY','INDRE ET LOIRE'),
('37310','CIGOGNE','INDRE ET LOIRE'),
('37310','COURCAY','INDRE ET LOIRE'),
('37310','DOLUS LE SEC','INDRE ET LOIRE'),
('37310','REIGNAC SUR INDRE','INDRE ET LOIRE'),
('37310','ST BAULD','INDRE ET LOIRE'),
('37310','ST QUENTIN SUR INDROIS','INDRE ET LOIRE'),
('37310','SUBLAINES','INDRE ET LOIRE'),
('37310','TAUXIGNY','INDRE ET LOIRE'),
('37320','CORMERY','INDRE ET LOIRE'),
('37320','ESVRES','INDRE ET LOIRE'),
('37320','LOUANS','INDRE ET LOIRE'),
('37320','ST BRANCHS','INDRE ET LOIRE'),
('37320','TRUYES','INDRE ET LOIRE'),
('37330','BRAYE SUR MAULNE','INDRE ET LOIRE'),
('37330','BRECHES','INDRE ET LOIRE'),
('37330','CHANNAY SUR LATHAN','INDRE ET LOIRE'),
('37330','CHATEAU LA VALLIERE','INDRE ET LOIRE'),
('37330','COUESMES','INDRE ET LOIRE'),
('37330','COURCELLES DE TOURAINE','INDRE ET LOIRE'),
('37330','LUBLE','INDRE ET LOIRE'),
('37330','MARCILLY SUR MAULNE','INDRE ET LOIRE'),
('37330','ST LAURENT DE LIN','INDRE ET LOIRE'),
('37330','SOUVIGNE','INDRE ET LOIRE'),
('37330','VILLIERS AU BOUIN','INDRE ET LOIRE'),
('37340','AMBILLOU','INDRE ET LOIRE'),
('37340','AVRILLE LES PONCEAUX','INDRE ET LOIRE'),
('37340','CLERE LES PINS','INDRE ET LOIRE'),
('37340','CONTINVOIR','INDRE ET LOIRE'),
('37340','GIZEUX','INDRE ET LOIRE'),
('37340','HOMMES','INDRE ET LOIRE'),
('37340','RILLE','INDRE ET LOIRE'),
('37340','SAVIGNE SUR LATHAN','INDRE ET LOIRE'),
('37350','BARROU','INDRE ET LOIRE'),
('37350','LA CELLE GUENAND','INDRE ET LOIRE'),
('37350','CHAUMUSSAY','INDRE ET LOIRE'),
('37350','FERRIERE LARCON','INDRE ET LOIRE'),
('37350','LE GRAND PRESSIGNY','INDRE ET LOIRE'),
('37350','LA GUERCHE','INDRE ET LOIRE'),
('37350','PAULMY','INDRE ET LOIRE'),
('37350','LE PETIT PRESSIGNY','INDRE ET LOIRE'),
('37360','BEAUMONT LA RONCE','INDRE ET LOIRE'),
('37360','NEUILLE PONT PIERRE','INDRE ET LOIRE'),
('37360','ROUZIERS DE TOURAINE','INDRE ET LOIRE'),
('37360','ST ANTOINE DU ROCHER','INDRE ET LOIRE'),
('37360','SEMBLANCAY','INDRE ET LOIRE'),
('37360','SONZAY','INDRE ET LOIRE'),
('37370','BUEIL EN TOURAINE','INDRE ET LOIRE'),
('37370','CHEMILLE SUR DEME','INDRE ET LOIRE'),
('37370','EPEIGNE SUR DEME','INDRE ET LOIRE'),
('37370','LOUESTAULT','INDRE ET LOIRE'),
('37370','MARRAY','INDRE ET LOIRE'),
('37370','NEUVY LE ROI','INDRE ET LOIRE'),
('37370','ST AUBIN LE DEPEINT','INDRE ET LOIRE'),
('37370','ST CHRISTOPHE SUR LE NAIS','INDRE ET LOIRE'),
('37370','ST PATERNE RACAN','INDRE ET LOIRE'),
('37370','VILLEBOURG','INDRE ET LOIRE'),
('37380','CROTELLES','INDRE ET LOIRE'),
('37380','MONNAIE','INDRE ET LOIRE'),
('37380','NEUILLE LE LIERRE','INDRE ET LOIRE'),
('37380','NOUZILLY','INDRE ET LOIRE'),
('37380','REUGNY','INDRE ET LOIRE'),
('37380','ST LAURENT EN GATINES','INDRE ET LOIRE'),
('37390','CERELLES','INDRE ET LOIRE'),
('37390','CHANCEAUX SUR CHOISILLE','INDRE ET LOIRE'),
('37390','CHARENTILLY','INDRE ET LOIRE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('37390','LA MEMBROLLE SUR CHOISILL','INDRE ET LOIRE'),
('37390','METTRAY','INDRE ET LOIRE'),
('37390','NOTRE DAME D OE','INDRE ET LOIRE'),
('37390','ST ROCH','INDRE ET LOIRE'),
('37400','AMBOISE','INDRE ET LOIRE'),
('37400','LUSSAULT SUR LOIRE','INDRE ET LOIRE'),
('37420','AVOINE','INDRE ET LOIRE'),
('37420','BEAUMONT EN VERON','INDRE ET LOIRE'),
('37420','HUISMES','INDRE ET LOIRE'),
('37420','RIGNY USSE','INDRE ET LOIRE'),
('37420','SAVIGNY EN VERON','INDRE ET LOIRE'),
('37460','BEAUMONT VILLAGE','INDRE ET LOIRE'),
('37460','CERE LA RONDE','INDRE ET LOIRE'),
('37460','CHEMILLE SUR INDROIS','INDRE ET LOIRE'),
('37460','GENILLE','INDRE ET LOIRE'),
('37460','LE LIEGE','INDRE ET LOIRE'),
('37460','LOCHE SUR INDROIS','INDRE ET LOIRE'),
('37460','MONTRESOR','INDRE ET LOIRE'),
('37460','NOUANS LES FONTAINES','INDRE ET LOIRE'),
('37460','ORBIGNY','INDRE ET LOIRE'),
('37460','VILLEDOMAIN','INDRE ET LOIRE'),
('37460','VILLELOIN COULANGE','INDRE ET LOIRE'),
('37500','ANCHE','INDRE ET LOIRE'),
('37500','CANDES ST MARTIN','INDRE ET LOIRE'),
('37500','CHINON','INDRE ET LOIRE'),
('37500','CINAIS','INDRE ET LOIRE'),
('37500','COUZIERS','INDRE ET LOIRE'),
('37500','CRAVANT LES COTEAUX','INDRE ET LOIRE'),
('37500','LERNE','INDRE ET LOIRE'),
('37500','LIGRE','INDRE ET LOIRE'),
('37500','MARCAY','INDRE ET LOIRE'),
('37500','RIVIERE','INDRE ET LOIRE'),
('37500','LA ROCHE CLERMAULT','INDRE ET LOIRE'),
('37500','ST BENOIT LA FORET','INDRE ET LOIRE'),
('37500','ST GERMAIN SUR VIENNE','INDRE ET LOIRE'),
('37500','SEUILLY','INDRE ET LOIRE'),
('37500','THIZAY','INDRE ET LOIRE'),
('37510','BALLAN MIRE','INDRE ET LOIRE'),
('37510','BERTHENAY','INDRE ET LOIRE'),
('37510','ST GENOUPH','INDRE ET LOIRE'),
('37510','SAVONNIERES','INDRE ET LOIRE'),
('37510','VILLANDRY','INDRE ET LOIRE'),
('37520','LA RICHE','INDRE ET LOIRE'),
('37530','CANGEY','INDRE ET LOIRE'),
('37530','CHARGE','INDRE ET LOIRE'),
('37530','LIMERAY','INDRE ET LOIRE'),
('37530','MONTREUIL EN TOURAINE','INDRE ET LOIRE'),
('37530','MOSNES','INDRE ET LOIRE'),
('37530','NAZELLES NEGRON','INDRE ET LOIRE'),
('37530','POCE SUR CISSE','INDRE ET LOIRE'),
('37530','ST OUEN LES VIGNES','INDRE ET LOIRE'),
('37530','ST REGLE','INDRE ET LOIRE'),
('37530','SOUVIGNY DE TOURAINE','INDRE ET LOIRE'),
('37540','ST CYR SUR LOIRE','INDRE ET LOIRE'),
('37550','ST AVERTIN','INDRE ET LOIRE'),
('37600','BEAULIEU LES LOCHES','INDRE ET LOIRE'),
('37600','BETZ LE CHATEAU','INDRE ET LOIRE'),
('37600','BRIDORE','INDRE ET LOIRE'),
('37600','CHANCEAUX PRES LOCHES','INDRE ET LOIRE'),
('37600','FERRIERE SUR BEAULIEU','INDRE ET LOIRE'),
('37600','LOCHES','INDRE ET LOIRE'),
('37600','MOUZAY','INDRE ET LOIRE'),
('37600','PERRUSSON','INDRE ET LOIRE'),
('37600','ST FLOVIER','INDRE ET LOIRE'),
('37600','ST HIPPOLYTE','INDRE ET LOIRE'),
('37600','ST JEAN ST GERMAIN','INDRE ET LOIRE'),
('37600','ST SENOCH','INDRE ET LOIRE'),
('37600','SENNEVIERES','INDRE ET LOIRE'),
('37600','VARENNES','INDRE ET LOIRE'),
('37600','VERNEUIL SUR INDRE','INDRE ET LOIRE'),
('37700','ST PIERRE DES CORPS','INDRE ET LOIRE'),
('37700','LA VILLE AUX DAMES','INDRE ET LOIRE'),
('37800','ANTOGNY LE TILLAC','INDRE ET LOIRE'),
('37800','DRACHE','INDRE ET LOIRE'),
('37800','MAILLE','INDRE ET LOIRE'),
('37800','MARCILLY SUR VIENNE','INDRE ET LOIRE'),
('37800','NOUATRE','INDRE ET LOIRE'),
('37800','NOYANT DE TOURAINE','INDRE ET LOIRE'),
('37800','PORTS','INDRE ET LOIRE'),
('37800','POUZAY','INDRE ET LOIRE'),
('37800','PUSSIGNY','INDRE ET LOIRE'),
('37800','STE CATHERINE DE FIERBOIS','INDRE ET LOIRE'),
('37800','ST EPAIN','INDRE ET LOIRE'),
('37800','STE MAURE DE TOURAINE','INDRE ET LOIRE'),
('37800','SEPMES','INDRE ET LOIRE'),
('38000','GRENOBLE','ISERE'),
('38070','ST QUENTIN FALLAVIER','ISERE'),
('38070','FALLAVIER','ISERE'),
('38080','FOUR','ISERE'),
('38080','L ISLE D ABEAU','ISERE'),
('38080','ST MARCEL BEL ACCUEIL','ISERE'),
('38090','BONNEFAMILLE','ISERE'),
('38090','ROCHE','ISERE'),
('38090','VAULX MILIEU','ISERE'),
('38090','VILLEFONTAINE','ISERE'),
('38090','BOIS DE ROCHE','ISERE'),
('38110','LA BATIE MONTGASCON','ISERE'),
('38110','CESSIEU','ISERE'),
('38110','LA CHAPELLE DE LA TOUR','ISERE'),
('38110','DOLOMIEU','ISERE'),
('38110','FAVERGES DE LA TOUR','ISERE'),
('38110','MONTAGNIEU','ISERE'),
('38110','ROCHETOIRIN','ISERE'),
('38110','STE BLANDINE','ISERE'),
('38110','ST CLAIR DE LA TOUR','ISERE'),
('38110','ST DIDIER DE LA TOUR','ISERE'),
('38110','ST JEAN DE SOUDAIN','ISERE'),
('38110','ST VICTOR DE CESSIEU','ISERE'),
('38110','LA TOUR DU PIN','ISERE'),
('38112','MEAUDRE','ISERE'),
('38113','VEUREY VOROIZE','ISERE'),
('38114','ALLEMOND','ISERE'),
('38114','OZ','ISERE'),
('38114','VAUJANY','ISERE'),
('38114','VILLARD RECULAS','ISERE'),
('38118','HIERES SUR AMBY','ISERE'),
('38118','ST BAUDILLE DE LA TOUR','ISERE'),
('38119','PIERRE CHATEL','ISERE'),
('38119','ST THEOFFREY','ISERE'),
('38119','VILLARD ST CHRISTOPHE','ISERE'),
('38120','FONTANIL CORNILLON','ISERE'),
('38120','MONT ST MARTIN','ISERE'),
('38120','PROVEYSIEUX','ISERE'),
('38120','ST EGREVE','ISERE'),
('38121','CHONAS L AMBALLAN','ISERE'),
('38121','REVENTIN VAUGRIS','ISERE'),
('38122','CHALONS','ISERE'),
('38122','COUR ET BUIS','ISERE'),
('38122','MONSTEROUX MILIEU','ISERE'),
('38122','MONTSEVEROUX','ISERE'),
('38122','ST JULIEN DE L HERMS','ISERE'),
('38130','ECHIROLLES','ISERE'),
('38134','ST JOSEPH DE RIVIERE','ISERE'),
('38134','ST JULIEN DE RAZ','ISERE'),
('38137','PALADRU','ISERE'),
('38138','LES COTES D AREY','ISERE'),
('38140','APPRIEU','ISERE'),
('38140','BEAUCROISSANT','ISERE'),
('38140','CHARNECLES','ISERE'),
('38140','IZEAUX','ISERE'),
('38140','LA MURETTE','ISERE'),
('38140','REAUMONT','ISERE'),
('38140','RENAGE','ISERE'),
('38140','RIVES','ISERE'),
('38140','ST BLAISE DU BUIS','ISERE'),
('38140','ST PAUL D IZEAUX','ISERE'),
('38140','LE RIVIER','ISERE'),
('38142','AURIS','ISERE'),
('38142','BESSE','ISERE'),
('38142','CLAVANS EN HAUT OISANS','ISERE'),
('38142','LE FRENEY D OISANS','ISERE'),
('38142','MIZOEN','ISERE'),
('38144','NOTRE DAME DE VAUX','ISERE'),
('38150','AGNIN','ISERE'),
('38150','ANJOU','ISERE'),
('38150','ASSIEU','ISERE'),
('38150','BOUGE CHAMBALUD','ISERE'),
('38150','CHANAS','ISERE'),
('38150','LA CHAPELLE DE SURIEU','ISERE'),
('38150','ROUSSILLON','ISERE'),
('38150','ST ROMAIN DE SURIEU','ISERE'),
('38150','SALAISE SUR SANNE','ISERE'),
('38150','SONNAY','ISERE'),
('38150','VERNIOZ','ISERE'),
('38150','VILLE SOUS ANJOU','ISERE'),
('38160','BEAUVOIR EN ROYANS','ISERE'),
('38160','BESSINS','ISERE'),
('38160','CHATTE','ISERE'),
('38160','CHEVRIERES','ISERE'),
('38160','DIONAY','ISERE'),
('38160','IZERON','ISERE'),
('38160','MONTAGNE','ISERE'),
('38160','MURINAIS','ISERE'),
('38160','ST ANTOINE L ABBAYE','ISERE'),
('38160','ST APPOLINARD','ISERE'),
('38160','ST MARCELLIN','ISERE'),
('38160','ST PIERRE DE CHERENNES','ISERE'),
('38160','ST ROMANS','ISERE'),
('38160','ST SAUVEUR','ISERE'),
('38160','ST VERAND','ISERE'),
('38170','SEYSSINET PARISET','ISERE'),
('38180','SEYSSINS','ISERE'),
('38190','LES ADRETS','ISERE'),
('38190','BERNIN','ISERE'),
('38190','LE CHAMP PRES FROGES','ISERE'),
('38190','LA COMBE DE LANCEY','ISERE'),
('38190','CROLLES','ISERE'),
('38190','FROGES','ISERE'),
('38190','LAVAL','ISERE'),
('38190','STE AGNES','ISERE'),
('38190','ST MURY MONTEYMOND','ISERE'),
('38190','VILLARD BONNOT','ISERE'),
('38190','BRIGNOUD','ISERE'),
('38190','PRAPOUTEL','ISERE'),
('38190','LANCEY','ISERE'),
('38200','CHUZELLES','ISERE'),
('38200','JARDIN','ISERE'),
('38200','LUZINAY','ISERE'),
('38200','ST SORLIN DE VIENNE','ISERE'),
('38200','SERPAIZE','ISERE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('38200','SEYSSUEL','ISERE'),
('38200','VIENNE','ISERE'),
('38200','VILLETTE DE VIENNE','ISERE'),
('38210','CRAS','ISERE'),
('38210','MONTAUD','ISERE'),
('38210','MORETTE','ISERE'),
('38210','POLIENAS','ISERE'),
('38210','LA RIVIERE','ISERE'),
('38210','ST QUENTIN SUR ISERE','ISERE'),
('38210','TULLINS','ISERE'),
('38210','VOUREY','ISERE'),
('38210','FURES','ISERE'),
('38220','CHOLONGE','ISERE'),
('38220','LAFFREY','ISERE'),
('38220','LIVET ET GAVET','ISERE'),
('38220','MONTCHABOUD','ISERE'),
('38220','NOTRE DAME DE MESAGE','ISERE'),
('38220','ST BARTHELEMY DE SECHILIE','ISERE'),
('38220','ST JEAN DE VAUX','ISERE'),
('38220','ST PIERRE DE MESAGE','ISERE'),
('38220','SECHILIENNE','ISERE'),
('38220','VIZILLE','ISERE'),
('38220','RIOUPEROUX','ISERE'),
('38220','LIVET','ISERE'),
('38220','GAVET','ISERE'),
('38230','CHARVIEU CHAVAGNEUX','ISERE'),
('38230','CHAVANOZ','ISERE'),
('38230','PONT DE CHERUY','ISERE'),
('38230','TIGNIEU JAMEYZIEU','ISERE'),
('38230','JAMEYZIEU','ISERE'),
('38230','CHAVAGNEUX','ISERE'),
('38240','MEYLAN','ISERE'),
('38250','CORRENCON EN VERCORS','ISERE'),
('38250','LANS EN VERCORS','ISERE'),
('38250','ST NIZIER DU MOUCHEROTTE','ISERE'),
('38250','VILLARD DE LANS','ISERE'),
('38260','ARZAY','ISERE'),
('38260','BALBINS','ISERE'),
('38260','BOSSIEU','ISERE'),
('38260','CHAMPIER','ISERE'),
('38260','COMMELLE','ISERE'),
('38260','LA COTE ST ANDRE','ISERE'),
('38260','FARAMANS','ISERE'),
('38260','LA FRETTE','ISERE'),
('38260','GILLONNAY','ISERE'),
('38260','MARCILLOLES','ISERE'),
('38260','MOTTIER','ISERE'),
('38260','NANTOIN','ISERE'),
('38260','ORNACIEUX','ISERE'),
('38260','PAJAY','ISERE'),
('38260','PENOL','ISERE'),
('38260','POMMIER DE BEAUREPAIRE','ISERE'),
('38260','ST HILAIRE DE LA COTE','ISERE'),
('38260','SARDIEU','ISERE'),
('38260','SEMONS','ISERE'),
('38260','THODURE','ISERE'),
('38270','BEAUFORT','ISERE'),
('38270','BEAUREPAIRE','ISERE'),
('38270','BELLEGARDE POUSSIEU','ISERE'),
('38270','JARCIEU','ISERE'),
('38270','LENTIOL','ISERE'),
('38270','MARCOLLIN','ISERE'),
('38270','MOISSIEU SUR DOLON','ISERE'),
('38270','PACT','ISERE'),
('38270','PISIEU','ISERE'),
('38270','PRIMARETTE','ISERE'),
('38270','REVEL TOURDAN','ISERE'),
('38270','ST BARTHELEMY','ISERE'),
('38280','ANTHON','ISERE'),
('38280','JANNEYRIAS','ISERE'),
('38280','VILLETTE D ANTHON','ISERE'),
('38280','MONS','ISERE'),
('38280','ASNIERES','ISERE'),
('38290','FRONTONAS','ISERE'),
('38290','SATOLAS ET BONCE','ISERE'),
('38290','LA VERPILLIERE','ISERE'),
('38290','HAUT DE BONCE','ISERE'),
('38290','BAS DE BONCE','ISERE'),
('38290','BONCE','ISERE'),
('38290','LE CHAFFARD','ISERE'),
('38290','GONAS','ISERE'),
('38300','BADINIERES','ISERE'),
('38300','BOURGOIN JALLIEU','ISERE'),
('38300','CHATEAUVILLAIN','ISERE'),
('38300','CHEZENEUVE','ISERE'),
('38300','CRACHIER','ISERE'),
('38300','CULIN','ISERE'),
('38300','DOMARIN','ISERE'),
('38300','ECLOSE','ISERE'),
('38300','LES EPARRES','ISERE'),
('38300','MAUBEC','ISERE'),
('38300','MEYRIE','ISERE'),
('38300','MONTCEAU','ISERE'),
('38300','NIVOLAS VERMELLE','ISERE'),
('38300','RUY','ISERE'),
('38300','ST AGNIN SUR BION','ISERE'),
('38300','ST ALBAN DE ROCHE','ISERE'),
('38300','ST SAVIN','ISERE'),
('38300','SEREZIN DE LA TOUR','ISERE'),
('38300','SUCCIEU','ISERE'),
('38300','TRAMOLE','ISERE'),
('38300','JALLIEU','ISERE'),
('38320','BRESSON','ISERE'),
('38320','BRIE ET ANGONNES','ISERE'),
('38320','EYBENS','ISERE'),
('38320','HERBEYS','ISERE'),
('38320','POISAT','ISERE'),
('38330','BIVIERS','ISERE'),
('38330','MONTBONNOT ST MARTIN','ISERE'),
('38330','ST ISMIER','ISERE'),
('38330','ST NAZAIRE LES EYMES','ISERE'),
('38340','POMMIERS LA PLACETTE','ISERE'),
('38340','VOREPPE','ISERE'),
('38350','COGNET','ISERE'),
('38350','LAVALDENS','ISERE'),
('38350','MARCIEU','ISERE'),
('38350','MAYRES SAVEL','ISERE'),
('38350','LA MORTE','ISERE'),
('38350','LA MURE','ISERE'),
('38350','NANTES EN RATIER','ISERE'),
('38350','ORIS EN RATTIER','ISERE'),
('38350','PONSONNAS','ISERE'),
('38350','PRUNIERES','ISERE'),
('38350','ST AREY','ISERE'),
('38350','ST HONORE','ISERE'),
('38350','ST LAURENT EN BEAUMONT','ISERE'),
('38350','ST MICHEL EN BEAUMONT','ISERE'),
('38350','ST PIERRE DE MEAROZ','ISERE'),
('38350','LA SALLE EN BEAUMONT','ISERE'),
('38350','SIEVOZ','ISERE'),
('38350','SOUSVILLE','ISERE'),
('38350','SUSVILLE','ISERE'),
('38350','LA VALETTE','ISERE'),
('38360','ENGINS','ISERE'),
('38360','NOYAREY','ISERE'),
('38360','SASSENAGE','ISERE'),
('38370','LES ROCHES DE CONDRIEU','ISERE'),
('38370','ST ALBAN DU RHONE','ISERE'),
('38370','ST CLAIR DU RHONE','ISERE'),
('38370','ST PRIM','ISERE'),
('38380','ENTRE DEUX GUIERS','ISERE'),
('38380','MIRIBEL LES ECHELLES','ISERE'),
('38380','ST CHRISTOPHE SUR GUIERS','ISERE'),
('38380','ST LAURENT DU PONT','ISERE'),
('38380','ST PIERRE DE CHARTREUSE','ISERE'),
('38390','LA BALME LES GROTTES','ISERE'),
('38390','BOUVESSE QUIRIEU','ISERE'),
('38390','CHARETTE','ISERE'),
('38390','MONTALIEU VERCIEU','ISERE'),
('38390','PARMILIEU','ISERE'),
('38390','PORCIEU AMBLAGNIEU','ISERE'),
('38390','VERTRIEU','ISERE'),
('38400','ST MARTIN D HERES','ISERE'),
('38410','ST MARTIN D URIAGE','ISERE'),
('38410','VAULNAVEYS LE BAS','ISERE'),
('38410','VAULNAVEYS LE HAUT','ISERE'),
('38410','CHAMROUSSE','ISERE'),
('38410','URIAGE','ISERE'),
('38420','DOMENE','ISERE'),
('38420','MURIANETTE','ISERE'),
('38420','REVEL','ISERE'),
('38420','ST JEAN LE VIEUX','ISERE'),
('38420','LE VERSOUD','ISERE'),
('38430','MOIRANS','ISERE'),
('38430','ST JEAN DE MOIRANS','ISERE'),
('38440','ARTAS','ISERE'),
('38440','BEAUVOIR DE MARC','ISERE'),
('38440','CHATONNAY','ISERE'),
('38440','LIEUDIEU','ISERE'),
('38440','MEYRIEU LES ETANGS','ISERE'),
('38440','MEYSSIES','ISERE'),
('38440','MOIDIEU DETOURBE','ISERE'),
('38440','ROYAS','ISERE'),
('38440','STE ANNE SUR GERVONDE','ISERE'),
('38440','ST JEAN DE BOURNAY','ISERE'),
('38440','SAVAS MEPIN','ISERE'),
('38440','VILLENEUVE DE MARC','ISERE'),
('38450','LE GUA','ISERE'),
('38450','MIRIBEL LANCHATRE','ISERE'),
('38450','NOTRE DAME DE COMMIERS','ISERE'),
('38450','ST GEORGES DE COMMIERS','ISERE'),
('38450','VIF','ISERE'),
('38460','ANNOISIN CHATELANS','ISERE'),
('38460','CHAMAGNIEU','ISERE'),
('38460','CHOZEAU','ISERE'),
('38460','CREMIEU','ISERE'),
('38460','DIZIMIEU','ISERE'),
('38460','LEYRIEU','ISERE'),
('38460','MORAS','ISERE'),
('38460','OPTEVOZ','ISERE'),
('38460','PANOSSAS','ISERE'),
('38460','ST HILAIRE DE BRENS','ISERE'),
('38460','ST ROMAIN DE JALIONAS','ISERE'),
('38460','SICCIEU ST JULIEN ET CARI','ISERE'),
('38460','SOLEYMIEU','ISERE'),
('38460','TREPT','ISERE'),
('38460','VENERIEU','ISERE'),
('38460','VERNAS','ISERE'),
('38460','VEYSSILIEU','ISERE'),
('38460','VILLEMOIRIEU','ISERE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('38460','MIANGES','ISERE'),
('38470','L ALBENC','ISERE'),
('38470','BEAULIEU','ISERE'),
('38470','CHANTESSE','ISERE'),
('38470','CHASSELAY','ISERE'),
('38470','COGNIN LES GORGES','ISERE'),
('38470','MALLEVAL','ISERE'),
('38470','SERRE NERPOL','ISERE'),
('38470','NOTRE DAME DE L OSIER','ISERE'),
('38470','QUINCIEU','ISERE'),
('38470','ROVON','ISERE'),
('38470','ST GERVAIS','ISERE'),
('38470','TECHE','ISERE'),
('38470','VARACIEUX','ISERE'),
('38470','VATILIEU','ISERE'),
('38470','VINAY','ISERE'),
('38480','LE PONT DE BEAUVOISIN','ISERE'),
('38480','PRESSINS','ISERE'),
('38480','ROMAGNIEU','ISERE'),
('38480','ST ALBIN DE VAULSERRE','ISERE'),
('38480','ST JEAN D AVELANNE','ISERE'),
('38480','ST MARTIN DE VAULSERRE','ISERE'),
('38490','LES ABRETS','ISERE'),
('38490','AOSTE','ISERE'),
('38490','LA BATIE DIVISIN','ISERE'),
('38490','CHARANCIEU','ISERE'),
('38490','CHIMILIN','ISERE'),
('38490','FITILIEU','ISERE'),
('38490','GRANIEU','ISERE'),
('38490','LE PASSAGE','ISERE'),
('38490','ST ANDRE LE GAZ','ISERE'),
('38490','ST ONDRAS','ISERE'),
('38500','LA BUISSE','ISERE'),
('38500','COUBLEVIE','ISERE'),
('38500','ST CASSIEN','ISERE'),
('38500','ST NICOLAS DE MACHERIN','ISERE'),
('38500','VOIRON','ISERE'),
('38510','ARANDON','ISERE'),
('38510','LE BOUCHAGE','ISERE'),
('38510','BRANGUES','ISERE'),
('38510','COURTENAY','ISERE'),
('38510','CREYS MEPIEU','ISERE'),
('38510','CURTIN','ISERE'),
('38510','MEPIEU','ISERE'),
('38510','MORESTEL','ISERE'),
('38510','PASSINS','ISERE'),
('38510','ST SORLIN DE MORESTEL','ISERE'),
('38510','ST VICTOR DE MORESTEL','ISERE'),
('38510','SERMERIEU','ISERE'),
('38510','VEZERONCE CURTIN','ISERE'),
('38510','PUSIGNIEU','ISERE'),
('38520','LE BOURG D OISANS','ISERE'),
('38520','LA GARDE','ISERE'),
('38520','ORNON','ISERE'),
('38520','OULLES','ISERE'),
('38520','ST CHRISTOPHE EN OISANS','ISERE'),
('38520','VENOSC','ISERE'),
('38520','VILLARD NOTRE DAME','ISERE'),
('38520','VILLARD REYMOND','ISERE'),
('38530','BARRAUX','ISERE'),
('38530','LA BUISSIERE','ISERE'),
('38530','CHAPAREILLAN','ISERE'),
('38530','LA FLACHERE','ISERE'),
('38530','PONTCHARRA','ISERE'),
('38530','ST MAXIMIN','ISERE'),
('38540','GRENAY','ISERE'),
('38540','HEYRIEUX','ISERE'),
('38540','ST JUST CHALEYSSIN','ISERE'),
('38540','VALENCIN','ISERE'),
('38550','AUBERIVES SUR VAREZE','ISERE'),
('38550','CHEYSSIEU','ISERE'),
('38550','CLONAS SUR VAREZE','ISERE'),
('38550','LE PEAGE DE ROUSSILLON','ISERE'),
('38550','SABLONS','ISERE'),
('38550','ST MAURICE L EXIL','ISERE'),
('38560','CHAMP SUR DRAC','ISERE'),
('38560','JARRIE','ISERE'),
('38570','LE CHEYLAS','ISERE'),
('38570','GONCELIN','ISERE'),
('38570','HURTIERES','ISERE'),
('38570','MORETEL DE MAILLES','ISERE'),
('38570','LA PIERRE','ISERE'),
('38570','TENCIN','ISERE'),
('38570','THEYS','ISERE'),
('38580','ALLEVARD','ISERE'),
('38580','LA CHAPELLE DU BARD','ISERE'),
('38580','LA FERRIERE','ISERE'),
('38580','LE MOUTARET','ISERE'),
('38580','PINSOT','ISERE'),
('38580','LE PLEYNET','ISERE'),
('38590','BREZINS','ISERE'),
('38590','BRION','ISERE'),
('38590','LA FORTERESSE','ISERE'),
('38590','PLAN','ISERE'),
('38590','ST ETIENNE DE ST GEOIRS','ISERE'),
('38590','ST GEOIRS','ISERE'),
('38590','ST MICHEL DE ST GEOIRS','ISERE'),
('38590','SILLANS','ISERE'),
('38600','FONTAINE','ISERE'),
('38610','GIERES','ISERE'),
('38610','VENON','ISERE'),
('38620','MASSIEU','ISERE'),
('38620','MERLAS','ISERE'),
('38620','MONTFERRAT','ISERE'),
('38620','ST BUEIL','ISERE'),
('38620','ST GEOIRE EN VALDAINE','ISERE'),
('38620','ST SULPICE DES RIVOIRES','ISERE'),
('38620','VELANNE','ISERE'),
('38620','VOISSANT','ISERE'),
('38630','LES AVENIERES','ISERE'),
('38630','CORBELIN','ISERE'),
('38630','THUELLIN','ISERE'),
('38630','VEYRINS THUELLIN','ISERE'),
('38640','CLAIX','ISERE'),
('38650','AVIGNONET','ISERE'),
('38650','CHATEAU BERNARD','ISERE'),
('38650','ST MARTIN DE LA CLUZE','ISERE'),
('38650','GRESSE','ISERE'),
('38650','MONESTIER DE CLERMONT','ISERE'),
('38650','ROISSARD','ISERE'),
('38650','ST ANDEOL','ISERE'),
('38650','ST GUILLAUME','ISERE'),
('38650','ST MICHEL LES PORTES','ISERE'),
('38650','ST PAUL LES MONESTIER','ISERE'),
('38650','SINARD','ISERE'),
('38650','TREFFORT','ISERE'),
('38660','LUMBIN','ISERE'),
('38660','ST BERNARD','ISERE'),
('38660','ST HILAIRE','ISERE'),
('38660','STE MARIE D ALLOIX','ISERE'),
('38660','STE MARIE DU MONT','ISERE'),
('38660','ST PANCRASSE','ISERE'),
('38660','ST VINCENT DE MERCUZE','ISERE'),
('38660','LA TERRASSE','ISERE'),
('38660','LE TOUVET','ISERE'),
('38670','CHASSE SUR RHONE','ISERE'),
('38680','AUBERIVES EN ROYANS','ISERE'),
('38680','CHATELUS','ISERE'),
('38680','CHORANCHE','ISERE'),
('38680','PONT EN ROYANS','ISERE'),
('38680','PRESLES','ISERE'),
('38680','RENCUREL','ISERE'),
('38680','ST ANDRE EN ROYANS','ISERE'),
('38680','ST JUST DE CLAIX','ISERE'),
('38690','BELMONT','ISERE'),
('38690','BEVENAIS','ISERE'),
('38690','BIOL','ISERE'),
('38690','BIZONNES','ISERE'),
('38690','BURCIN','ISERE'),
('38690','CHABONS','ISERE'),
('38690','COLOMBE','ISERE'),
('38690','EYDOCHE','ISERE'),
('38690','FLACHERES','ISERE'),
('38690','LE GRAND LEMPS','ISERE'),
('38690','LONGECHENAL','ISERE'),
('38690','MONTREVEL','ISERE'),
('38690','OYEU','ISERE'),
('38690','ST DIDIER DE BIZONNES','ISERE'),
('38690','TORCHEFELON','ISERE'),
('38700','CORENC','ISERE'),
('38700','LE SAPPEY EN CHARTREUSE','ISERE'),
('38700','SARCENAS','ISERE'),
('38700','LA TRONCHE','ISERE'),
('38710','CORDEAC','ISERE'),
('38710','CORNILLON EN TRIEVES','ISERE'),
('38710','LAVARS','ISERE'),
('38710','MENS','ISERE'),
('38710','PREBOIS','ISERE'),
('38710','ST BAUDILLE ET PIPET','ISERE'),
('38710','ST GENIS','ISERE'),
('38710','ST JEAN D HERANS','ISERE'),
('38710','ST SEBASTIEN','ISERE'),
('38710','TREMINIS','ISERE'),
('38730','BLANDIN','ISERE'),
('38730','CHASSIGNIEU','ISERE'),
('38730','CHELIEU','ISERE'),
('38730','DOISSIN','ISERE'),
('38730','PANISSAGE','ISERE'),
('38730','LE PIN','ISERE'),
('38730','VALENCOGNE','ISERE'),
('38730','VIRIEU','ISERE'),
('38740','CHANTELOUVE','ISERE'),
('38740','ENTRAIGUES','ISERE'),
('38740','LE PERIER','ISERE'),
('38740','VALBONNAIS','ISERE'),
('38740','VALJOUFFREY','ISERE'),
('38750','HUEZ','ISERE'),
('38750','L ALPE D HUEZ','ISERE'),
('38760','ST PAUL DE VARCES','ISERE'),
('38760','VARCES ALLIERES ET RISSET','ISERE'),
('38770','MONTEYNARD','ISERE'),
('38770','LA MOTTE D AVEILLANS','ISERE'),
('38770','LA MOTTE ST MARTIN','ISERE'),
('38780','ESTRABLIN','ISERE'),
('38780','EYZIN PINET','ISERE'),
('38780','OYTIER ST OBLAS','ISERE'),
('38780','PONT EVEQUE','ISERE'),
('38780','SEPTEME','ISERE'),
('38780','SOUS COTE','ISERE'),
('38780','LE PEAGE','ISERE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('38790','CHARANTONNAY','ISERE'),
('38790','DIEMOZ','ISERE'),
('38790','ST GEORGES D ESPERANCHE','ISERE'),
('38790','COMBE ROUSSE','ISERE'),
('38800','CHAMPAGNIER','ISERE'),
('38800','LE PONT DE CLAIX','ISERE'),
('38830','ST PIERRE D ALLEVARD','ISERE'),
('38840','ST BONNET DE CHAVAGNE','ISERE'),
('38840','ST HILAIRE DU ROSIER','ISERE'),
('38840','ST LATTIER','ISERE'),
('38840','LA SONE','ISERE'),
('38850','BILIEU','ISERE'),
('38850','CHARAVINES','ISERE'),
('38850','CHIRENS','ISERE'),
('38860','MONT DE LANS','ISERE'),
('38860','L ALPE DE VENOSC','ISERE'),
('38860','L ALPE DE MONT DE LANS','ISERE'),
('38860','LES DEUX ALPES','ISERE'),
('38870','BRESSIEUX','ISERE'),
('38870','ST PIERRE DE BRESSIEUX','ISERE'),
('38870','ST SIMEON DE BRESSIEUX','ISERE'),
('38880','AUTRANS','ISERE'),
('38890','MONTCARRA','ISERE'),
('38890','ST CHEF','ISERE'),
('38890','SALAGNON','ISERE'),
('38890','VASSELIN','ISERE'),
('38890','VIGNIEU','ISERE'),
('38930','CHICHILIANNE','ISERE'),
('38930','CLELLES','ISERE'),
('38930','LALLEY','ISERE'),
('38930','LE MONESTIER DU PERCY','ISERE'),
('38930','PERCY','ISERE'),
('38930','ST MARTIN DE CLELLES','ISERE'),
('38930','ST MAURICE EN TRIEVES','ISERE'),
('38940','MONTFALCON','ISERE'),
('38940','ROYBON','ISERE'),
('38940','ST CLAIR SUR GALAURE','ISERE'),
('38950','QUAIX EN CHARTREUSE','ISERE'),
('38950','ST MARTIN LE VINOUX','ISERE'),
('38960','ST AUPRE','ISERE'),
('38960','ST ETIENNE DE CROSSEY','ISERE'),
('38970','AMBEL','ISERE'),
('38970','BEAUFIN','ISERE'),
('38970','CORPS','ISERE'),
('38970','LES COTES DE CORPS','ISERE'),
('38970','MONESTIER D AMBEL','ISERE'),
('38970','PELLAFOL','ISERE'),
('38970','QUET EN BEAUMONT','ISERE'),
('38970','STE LUCE','ISERE'),
('38970','LA SALETTE FALLAVAUX','ISERE'),
('38980','CHATENAY','ISERE'),
('38980','MARNANS','ISERE'),
('38980','VIRIVILLE','ISERE'),
('39000','LONS LE SAUNIER','JURA'),
('39100','AUTHUME','JURA'),
('39100','BAVERANS','JURA'),
('39100','BREVANS','JURA'),
('39100','CHAMPVANS','JURA'),
('39100','CHOISEY','JURA'),
('39100','CRISSEY','JURA'),
('39100','DOLE','JURA'),
('39100','FOUCHERANS','JURA'),
('39100','GEVRY','JURA'),
('39100','GOUX','JURA'),
('39100','JOUHE','JURA'),
('39100','MONNIERES','JURA'),
('39100','PARCEY','JURA'),
('39100','SAMPANS','JURA'),
('39100','VILLETTE LES DOLE','JURA'),
('39100','ST YLIE','JURA'),
('39110','ABERGEMENT LES THESY','JURA'),
('39110','AIGLEPIERRE','JURA'),
('39110','ANDELOT EN MONTAGNE','JURA'),
('39110','BRACON','JURA'),
('39110','CERNANS','JURA'),
('39110','CHAMPAGNY','JURA'),
('39110','LA CHAPELLE SUR FURIEUSE','JURA'),
('39110','CHAUX CHAMPAGNY','JURA'),
('39110','CHILLY SUR SALINS','JURA'),
('39110','CLUCY','JURA'),
('39110','DOURNON','JURA'),
('39110','FONTENY','JURA'),
('39110','GERAISE','JURA'),
('39110','IVORY','JURA'),
('39110','IVREY','JURA'),
('39110','LEMUY','JURA'),
('39110','MARNOZ','JURA'),
('39110','MONTMARLON','JURA'),
('39110','MOUTAINE','JURA'),
('39110','PONT D HERY','JURA'),
('39110','PRETIN','JURA'),
('39110','ST THIEBAUD','JURA'),
('39110','SAIZENAY','JURA'),
('39110','SALINS LES BAINS','JURA'),
('39110','THESY','JURA'),
('39110','ARESCHES','JURA'),
('39120','ABERGEMENT ST JEAN','JURA'),
('39120','ANNOIRE','JURA'),
('39120','ASNANS BEAUVOISIN','JURA'),
('39120','BALAISEAUX','JURA'),
('39120','BEAUVOISIN','JURA'),
('39120','BRETENIERES','JURA'),
('39120','CHAINEE DES COUPIS','JURA'),
('39120','CHAUSSIN','JURA'),
('39120','CHEMIN','JURA'),
('39120','CHENE BERNARD','JURA'),
('39120','LE DESCHAUX','JURA'),
('39120','LES ESSARDS TAIGNEVAUX','JURA'),
('39120','GATEY','JURA'),
('39120','LES HAYS','JURA'),
('39120','LONGWY SUR LE DOUBS','JURA'),
('39120','NEUBLANS ABERGEMENT','JURA'),
('39120','PESEUX','JURA'),
('39120','PETIT NOIR','JURA'),
('39120','PLEURE','JURA'),
('39120','RAHON','JURA'),
('39120','ST BARAING','JURA'),
('39120','ST LOUP','JURA'),
('39120','SELIGNEY','JURA'),
('39120','SERGENON','JURA'),
('39120','TASSENIERES','JURA'),
('39120','VILLERS LES BOIS','JURA'),
('39120','VILLERS ROBERT','JURA'),
('39130','BARESIA SUR L AIN','JURA'),
('39130','BLYE','JURA'),
('39130','BOISSIA','JURA'),
('39130','BONLIEU','JURA'),
('39130','CHARCIER','JURA'),
('39130','CHAREZIER','JURA'),
('39130','CHATEL DE JOUX','JURA'),
('39130','CHATILLON','JURA'),
('39130','CHEVROTAINE','JURA'),
('39130','CLAIRVAUX LES LACS','JURA'),
('39130','COGNA','JURA'),
('39130','CRILLAT','JURA'),
('39130','DENEZIERES','JURA'),
('39130','DOUCIER','JURA'),
('39130','ETIVAL','JURA'),
('39130','FONTENU','JURA'),
('39130','LA FRASNEE','JURA'),
('39130','LE FRASNOIS','JURA'),
('39130','HAUTECOUR','JURA'),
('39130','LARGILLAY MARSONNAY','JURA'),
('39130','MARIGNY','JURA'),
('39130','MENETRUX EN JOUX','JURA'),
('39130','MESNOIS','JURA'),
('39130','PATORNAY','JURA'),
('39130','PONT DE POITTE','JURA'),
('39130','SAFFLOZ','JURA'),
('39130','ST MAURICE CRILLAT','JURA'),
('39130','SAUGEOT','JURA'),
('39130','SONGESON','JURA'),
('39130','SOUCIA','JURA'),
('39130','THOIRIA','JURA'),
('39130','UXELLES','JURA'),
('39130','VERTAMBOZ','JURA'),
('39130','LES RONCHAUX','JURA'),
('39140','ARLAY','JURA'),
('39140','BLETTERANS','JURA'),
('39140','CHAPELLE VOLAND','JURA'),
('39140','COMMENAILLES','JURA'),
('39140','COSGES','JURA'),
('39140','DESNES','JURA'),
('39140','FONTAINEBRUX','JURA'),
('39140','LARNAUD','JURA'),
('39140','NANCE','JURA'),
('39140','RELANS','JURA'),
('39140','LES REPOTS','JURA'),
('39140','RUFFEY SUR SEILLE','JURA'),
('39140','VILLEVIEUX','JURA'),
('39150','BIEF DES MAISONS','JURA'),
('39150','LES CHALESMES','JURA'),
('39150','CHATEAU DES PRES','JURA'),
('39150','LA CHAUMUSSE','JURA'),
('39150','CHAUX DES CROTENAY','JURA'),
('39150','CHAUX DES PRES','JURA'),
('39150','LA CHAUX DU DOMBIEF','JURA'),
('39150','ENTRE DEUX MONTS','JURA'),
('39150','FORT DU PLASNE','JURA'),
('39150','GRANDE RIVIERE','JURA'),
('39150','LAC DES ROUGES TRUITES','JURA'),
('39150','LA PERRENA','JURA'),
('39150','LES PIARDS','JURA'),
('39150','LES PLANCHES EN MONTAGNE','JURA'),
('39150','PRENOVEL','JURA'),
('39150','RIVIERE DEVANT','JURA'),
('39150','ST LAURENT EN GRANDVAUX','JURA'),
('39150','ST PIERRE','JURA'),
('39150','LES CROZATS','JURA'),
('39160','L AUBEPIN','JURA'),
('39160','BALANOD','JURA'),
('39160','CHAZELLES','JURA'),
('39160','VAL D EPY','JURA'),
('39160','MONTAGNA LE RECONDUIT','JURA'),
('39160','NANC LES ST AMOUR','JURA'),
('39160','NANTEY','JURA'),
('39160','POISOUX','JURA'),
('39160','ST AMOUR','JURA'),
('39160','ST JEAN D ETREUX','JURA'),
('39160','SENAUD','JURA');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('39160','THOISSIA','JURA'),
('39160','VERIA','JURA'),
('39160','EPY LANERIA','JURA'),
('39170','CUTTURA','JURA'),
('39170','LAVANS LES ST CLAUDE','JURA'),
('39170','LESCHERES','JURA'),
('39170','PONTHOUX','JURA'),
('39170','PRATZ','JURA'),
('39170','RAVILLOLES','JURA'),
('39170','ST LUPICIN','JURA'),
('39170','LIZON','JURA'),
('39190','AUGEA','JURA'),
('39190','BEAUFORT','JURA'),
('39190','BONNAUD','JURA'),
('39190','CHEVREAUX','JURA'),
('39190','COUSANCE','JURA'),
('39190','CUISIA','JURA'),
('39190','DIGNA','JURA'),
('39190','GIZIA','JURA'),
('39190','GRUSSE','JURA'),
('39190','MALLEREY','JURA'),
('39190','MAYNAL','JURA'),
('39190','ORBAGNA','JURA'),
('39190','ROSAY','JURA'),
('39190','ROTALIER','JURA'),
('39190','STE AGNES','JURA'),
('39190','VERCIA','JURA'),
('39190','VINCELLES','JURA'),
('39200','AVIGNON LES ST CLAUDE','JURA'),
('39200','CHAUMONT','JURA'),
('39200','CHEVRY','JURA'),
('39200','CINQUETRAL','JURA'),
('39200','COISERETTE','JURA'),
('39200','COYRIERE','JURA'),
('39200','RANCHETTE','JURA'),
('39200','LA RIXOUSE','JURA'),
('39200','ST CLAUDE','JURA'),
('39200','VALFIN LES ST CLAUDE','JURA'),
('39200','VILLARD ST SAUVEUR','JURA'),
('39200','VILLARD SUR BIENNE','JURA'),
('39210','BAUME LES MESSIEURS','JURA'),
('39210','BLOIS SUR SEILLE','JURA'),
('39210','CHATEAU CHALON','JURA'),
('39210','DOMBLANS','JURA'),
('39210','FRONTENAY','JURA'),
('39210','GRANGES SUR BAUME','JURA'),
('39210','LADOYE SUR SEILLE','JURA'),
('39210','LAVIGNY','JURA'),
('39210','LE LOUVEROT','JURA'),
('39210','LA MARRE','JURA'),
('39210','MENETRU LE VIGNOBLE','JURA'),
('39210','MONTAIN','JURA'),
('39210','NEVY SUR SEILLE','JURA'),
('39210','LE PIN','JURA'),
('39210','PLAINOISEAU','JURA'),
('39210','PLASNE','JURA'),
('39210','ST GERMAIN LES ARLAY','JURA'),
('39210','LE VERNOIS','JURA'),
('39210','VOITEUR','JURA'),
('39210','ROSNAY','JURA'),
('39220','BOIS D AMONT','JURA'),
('39220','PREMANON','JURA'),
('39220','LES ROUSSES','JURA'),
('39220','LA CURE','JURA'),
('39230','BOIS DE GAND','JURA'),
('39230','BRERY','JURA'),
('39230','CHAMPROUGIER','JURA'),
('39230','LA CHARME','JURA'),
('39230','LA CHASSAGNE','JURA'),
('39230','LE CHATELEY','JURA'),
('39230','CHAUMERGY','JURA'),
('39230','LA CHAUX EN BRESSE','JURA'),
('39230','CHEMENOT','JURA'),
('39230','CHENE SEC','JURA'),
('39230','DARBONNAY','JURA'),
('39230','LES DEUX FAYS','JURA'),
('39230','FOULENAY','JURA'),
('39230','FRANCHEVILLE','JURA'),
('39230','FROIDEVILLE','JURA'),
('39230','LOMBARD','JURA'),
('39230','MANTRY','JURA'),
('39230','MONAY','JURA'),
('39230','PASSENANS','JURA'),
('39230','RECANOZ','JURA'),
('39230','RYE','JURA'),
('39230','ST LAMAIN','JURA'),
('39230','ST LOTHAIN','JURA'),
('39230','SELLIERES','JURA'),
('39230','SERGENAUX','JURA'),
('39230','TOULOUSE LE CHATEAU','JURA'),
('39230','VERS SOUS SELLIERES','JURA'),
('39230','LE VILLEY','JURA'),
('39230','VINCENT','JURA'),
('39240','ARINTHOD','JURA'),
('39240','AROMAS','JURA'),
('39240','LA BOISSIERE','JURA'),
('39240','CEFFIA','JURA'),
('39240','CERNON','JURA'),
('39240','CEZIA','JURA'),
('39240','CHARNOD','JURA'),
('39240','CHATONNAY','JURA'),
('39240','CHEMILLA','JURA'),
('39240','CHISSERIA','JURA'),
('39240','COISIA','JURA'),
('39240','CONDES','JURA'),
('39240','CORNOD','JURA'),
('39240','DRAMELAY','JURA'),
('39240','FETIGNY','JURA'),
('39240','GENOD','JURA'),
('39240','LAVANS SUR VALOUSE','JURA'),
('39240','LEGNA','JURA'),
('39240','MARIGNA SUR VALOUSE','JURA'),
('39240','ST HYMETIERE','JURA'),
('39240','SAVIGNA','JURA'),
('39240','THOIRETTE','JURA'),
('39240','VALFIN SUR VALOUSE','JURA'),
('39240','VESCLES','JURA'),
('39240','VILLENEUVE LES CHARNOD','JURA'),
('39240','VIREMONT','JURA'),
('39240','VOSBLES','JURA'),
('39250','ARSURE ARSURETTE','JURA'),
('39250','BIEF DU FOURG','JURA'),
('39250','BILLECUL','JURA'),
('39250','CENSEAU','JURA'),
('39250','CERNIEBAUD','JURA'),
('39250','CHARENCY','JURA'),
('39250','COMMUNAILLES EN MONTAGNE','JURA'),
('39250','CUVIER','JURA'),
('39250','DOYE','JURA'),
('39250','ESSAVILLY','JURA'),
('39250','ESSERVAL COMBE','JURA'),
('39250','ESSERVAL TARTRE','JURA'),
('39250','LA FAVIERE','JURA'),
('39250','FRAROZ','JURA'),
('39250','FROIDEFONTAINE','JURA'),
('39250','GILLOIS','JURA'),
('39250','LA LATETTE','JURA'),
('39250','LONGCOCHON','JURA'),
('39250','MIEGES','JURA'),
('39250','MIGNOVILLARD','JURA'),
('39250','MOLPRE','JURA'),
('39250','MOURNANS CHARBONNY','JURA'),
('39250','NOZEROY','JURA'),
('39250','ONGLIERES','JURA'),
('39250','PLENISE','JURA'),
('39250','PLENISETTE','JURA'),
('39250','RIX','JURA'),
('39260','CHARCHILLA','JURA'),
('39260','COYRON','JURA'),
('39260','CRENANS','JURA'),
('39260','LES CROZETS','JURA'),
('39260','LECT','JURA'),
('39260','MAISOD','JURA'),
('39260','MARTIGNA','JURA'),
('39260','MEUSSIA','JURA'),
('39260','MOIRANS EN MONTAGNE','JURA'),
('39260','MONTCUSEL','JURA'),
('39260','VILLARDS D HERIA','JURA'),
('39260','VOUGLANS','JURA'),
('39270','ALIEZE','JURA'),
('39270','ARTHENAS','JURA'),
('39270','AUGISEY','JURA'),
('39270','BEFFIA','JURA'),
('39270','CHAMBERIA','JURA'),
('39270','CHAVERIA','JURA'),
('39270','CRESSIA','JURA'),
('39270','DOMPIERRE SUR MONT','JURA'),
('39270','ECRILLE','JURA'),
('39270','ESSIA','JURA'),
('39270','MARANGEA','JURA'),
('39270','MARNEZIA','JURA'),
('39270','MERONA','JURA'),
('39270','MONTJOUVENT','JURA'),
('39270','MOUTONNE','JURA'),
('39270','NANCUISE','JURA'),
('39270','NERMIER','JURA'),
('39270','ONOZ','JURA'),
('39270','ORGELET','JURA'),
('39270','PIMORIN','JURA'),
('39270','PLAISIA','JURA'),
('39270','PRESILLY','JURA'),
('39270','REITHOUSE','JURA'),
('39270','ROTHONAY','JURA'),
('39270','SARROGNA','JURA'),
('39270','SEZERIA','JURA'),
('39270','LA TOUR DU MEIX','JURA'),
('39270','VARESSIA','JURA'),
('39290','ARCHELANGE','JURA'),
('39290','BIARNE','JURA'),
('39290','BRANS','JURA'),
('39290','CHAMPAGNEY','JURA'),
('39290','CHEVIGNY','JURA'),
('39290','DAMMARTIN MARPAIN','JURA'),
('39290','FRASNE','JURA'),
('39290','GREDISANS','JURA'),
('39290','MARPAIN','JURA'),
('39290','MENOTEY','JURA'),
('39290','MOISSEY','JURA'),
('39290','MONTMIREY LA VILLE','JURA'),
('39290','MONTMIREY LE CHATEAU','JURA');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('39290','MUTIGNEY','JURA'),
('39290','OFFLANGES','JURA'),
('39290','PEINTRE','JURA'),
('39290','POINTRE','JURA'),
('39290','RAINANS','JURA'),
('39290','THERVAY','JURA'),
('39300','ARDON','JURA'),
('39300','BOURG DE SIROD','JURA'),
('39300','CHAMPAGNOLE','JURA'),
('39300','CHAPOIS','JURA'),
('39300','CHATELNEUF','JURA'),
('39300','CIZE','JURA'),
('39300','CONTE','JURA'),
('39300','CRANS','JURA'),
('39300','CROTENAY','JURA'),
('39300','EQUEVILLON','JURA'),
('39300','LE LARDERET','JURA'),
('39300','LE LATET','JURA'),
('39300','LENT','JURA'),
('39300','LOULLE','JURA'),
('39300','MONNET LA VILLE','JURA'),
('39300','MONTIGNY SUR L AIN','JURA'),
('39300','MONTROND','JURA'),
('39300','MONT SUR MONNET','JURA'),
('39300','MOUTOUX','JURA'),
('39300','LES NANS','JURA'),
('39300','NEY','JURA'),
('39300','LE PASQUIER','JURA'),
('39300','PILLEMOINE','JURA'),
('39300','PONT DU NAVOY','JURA'),
('39300','ST GERMAIN EN MONTAGNE','JURA'),
('39300','SAPOIS','JURA'),
('39300','SIROD','JURA'),
('39300','SUPT','JURA'),
('39300','SYAM','JURA'),
('39300','TREFFAY','JURA'),
('39300','VALEMPOULIERES','JURA'),
('39300','VANNOZ','JURA'),
('39300','LE VAUDIOUX','JURA'),
('39300','VERS EN MONTAGNE','JURA'),
('39310','BELLECOMBE','JURA'),
('39310','LAMOURA','JURA'),
('39310','LES MOLUNES','JURA'),
('39310','LES MOUSSIERES','JURA'),
('39310','SEPTMONCEL','JURA'),
('39310','LAJOUX','JURA'),
('39320','ANDELOT MORVAL','JURA'),
('39320','LA BALME D EPY','JURA'),
('39320','BOURCIA','JURA'),
('39320','BROISSIA','JURA'),
('39320','DESSIA','JURA'),
('39320','FLORENTIA','JURA'),
('39320','GIGNY','JURA'),
('39320','GRAYE ET CHARNAY','JURA'),
('39320','LAINS','JURA'),
('39320','LOISIA','JURA'),
('39320','LOUVENNE','JURA'),
('39320','MONNETAY','JURA'),
('39320','MONTAGNA LE TEMPLIER','JURA'),
('39320','MONTFLEUR','JURA'),
('39320','MONTREVEL','JURA'),
('39320','MORVAL','JURA'),
('39320','ST JULIEN','JURA'),
('39320','VILLECHANTRIA','JURA'),
('39330','CERTEMERY','JURA'),
('39330','MOUCHARD','JURA'),
('39330','PAGNOZ','JURA'),
('39330','PORT LESNEY','JURA'),
('39350','GENDREY','JURA'),
('39350','LOUVATANGE','JURA'),
('39350','OUGNEY','JURA'),
('39350','PAGNEY','JURA'),
('39350','LE PETIT MERCEY','JURA'),
('39350','ROMAIN','JURA'),
('39350','ROUFFANGE','JURA'),
('39350','SALIGNEY','JURA'),
('39350','TAXENNE','JURA'),
('39350','VITREUX','JURA'),
('39360','CHASSAL','JURA'),
('39360','JEURRE','JURA'),
('39360','LARRIVOIRE','JURA'),
('39360','MOLINGES','JURA'),
('39360','ROGNA','JURA'),
('39360','VAUX LES ST CLAUDE','JURA'),
('39360','VIRY','JURA'),
('39360','VULVOZ','JURA'),
('39370','LES BOUCHOUX','JURA'),
('39370','CHOUX','JURA'),
('39370','LA PESSE','JURA'),
('39380','AUGERANS','JURA'),
('39380','BANS','JURA'),
('39380','BELMONT','JURA'),
('39380','CHAMBLAY','JURA'),
('39380','CHATELAY','JURA'),
('39380','CHISSEY SUR LOUE','JURA'),
('39380','GERMIGNEY','JURA'),
('39380','LA LOYE','JURA'),
('39380','MONTBARREY','JURA'),
('39380','MONT SOUS VAUDREY','JURA'),
('39380','NEVY LES DOLE','JURA'),
('39380','OUNANS','JURA'),
('39380','SANTANS','JURA'),
('39380','SOUVANS','JURA'),
('39380','VAUDREY','JURA'),
('39380','LA VIEILLE LOYE','JURA'),
('39400','BELLEFONTAINE','JURA'),
('39400','LEZAT','JURA'),
('39400','LONGCHAUMOIS','JURA'),
('39400','MORBIER','JURA'),
('39400','MOREZ','JURA'),
('39400','LA MOUILLE','JURA'),
('39400','TANCUA','JURA'),
('39400','LA DOYE','JURA'),
('39400','LES RIVIERES','JURA'),
('39400','LES ARCETS','JURA'),
('39410','AUMUR','JURA'),
('39410','ST AUBIN','JURA'),
('39460','FONCINE LE HAUT','JURA'),
('39500','ABERGEMENT LA RONCE','JURA'),
('39500','CHAMPDIVERS','JURA'),
('39500','DAMPARIS','JURA'),
('39500','MOLAY','JURA'),
('39500','TAVAUX','JURA'),
('39520','FONCINE LE BAS','JURA'),
('39570','BORNAY','JURA'),
('39570','BRIOD','JURA'),
('39570','CESANCEY','JURA'),
('39570','CHILLE','JURA'),
('39570','CHILLY LE VIGNOBLE','JURA'),
('39570','CONDAMINE','JURA'),
('39570','CONLIEGE','JURA'),
('39570','COURBETTE','JURA'),
('39570','COURBOUZON','JURA'),
('39570','COURLANS','JURA'),
('39570','COURLAOUX','JURA'),
('39570','CRANCOT','JURA'),
('39570','L ETOILE','JURA'),
('39570','FREBUANS','JURA'),
('39570','GERUGE','JURA'),
('39570','GEVINGEY','JURA'),
('39570','MACORNAY','JURA'),
('39570','MESSIA SUR SORNE','JURA'),
('39570','MIREBEL','JURA'),
('39570','MOIRON','JURA'),
('39570','MONTAIGU','JURA'),
('39570','MONTMOROT','JURA'),
('39570','NOGNA','JURA'),
('39570','PANNESSIERES','JURA'),
('39570','PERRIGNY','JURA'),
('39570','POIDS DE FIOLE','JURA'),
('39570','PUBLY','JURA'),
('39570','QUINTIGNY','JURA'),
('39570','REVIGNY','JURA'),
('39570','ST DIDIER','JURA'),
('39570','ST LAURENT LA ROCHE','JURA'),
('39570','ST MAUR','JURA'),
('39570','TRENAL','JURA'),
('39570','VERGES','JURA'),
('39570','VERNANTOIS','JURA'),
('39570','VEVY','JURA'),
('39570','VILLENEUVE SOUS PYMONT','JURA'),
('39570','CHAVANNE','JURA'),
('39570','SAVAGNA','JURA'),
('39600','ABERGEMENT LE GRAND','JURA'),
('39600','ARBOIS','JURA'),
('39600','LES ARSURES','JURA'),
('39600','CHAMPAGNE SUR LOUE','JURA'),
('39600','LA CHATELAINE','JURA'),
('39600','CRAMANS','JURA'),
('39600','ECLEUX','JURA'),
('39600','LA FERTE','JURA'),
('39600','GRANGE DE VAIVRE','JURA'),
('39600','MATHENAY','JURA'),
('39600','MESNAY','JURA'),
('39600','MOLAMBOZ','JURA'),
('39600','MONTIGNY LES ARSURES','JURA'),
('39600','MONTMALIN','JURA'),
('39600','LES PLANCHES PRES ARBOIS','JURA'),
('39600','PUPILLIN','JURA'),
('39600','ST CYR MONTMALIN','JURA'),
('39600','VADANS','JURA'),
('39600','VILLENEUVE D AVAL','JURA'),
('39600','VILLERS FARLAY','JURA'),
('39600','VILLETTE LES ARBOIS','JURA'),
('39700','AMANGE','JURA'),
('39700','AUDELANGE','JURA'),
('39700','AUXANGE','JURA'),
('39700','LA BARRE','JURA'),
('39700','LA BRETENIERE','JURA'),
('39700','CHATENOIS','JURA'),
('39700','COURTEFONTAINE','JURA'),
('39700','DAMPIERRE','JURA'),
('39700','ECLANS NENON','JURA'),
('39700','ETREPIGNEY','JURA'),
('39700','EVANS','JURA'),
('39700','FALLETANS','JURA'),
('39700','FRAISANS','JURA'),
('39700','LAVANGEOT','JURA'),
('39700','LAVANS LES DOLE','JURA'),
('39700','MALANGE','JURA');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('39700','MONTEPLAIN','JURA'),
('39700','NENON','JURA'),
('39700','ORCHAMPS','JURA'),
('39700','OUR','JURA'),
('39700','PLUMONT','JURA'),
('39700','RANCHOT','JURA'),
('39700','RANS','JURA'),
('39700','ROCHEFORT SUR NENON','JURA'),
('39700','ROMANGE','JURA'),
('39700','SALANS','JURA'),
('39700','SERMANGE','JURA'),
('39700','SERRES LES MOULIERES','JURA'),
('39700','VRIANGE','JURA'),
('39700','CHATEAUNEUF','JURA'),
('39800','ABERGEMENT LE PETIT','JURA'),
('39800','AUMONT','JURA'),
('39800','BARRETAINE','JURA'),
('39800','BERSAILLIN','JURA'),
('39800','BESAIN','JURA'),
('39800','BIEFMORIN','JURA'),
('39800','BONNEFONTAINE','JURA'),
('39800','LE BOUCHAUD','JURA'),
('39800','BRAINANS','JURA'),
('39800','BUVILLY','JURA'),
('39800','CHAMOLE','JURA'),
('39800','CHAUSSENANS','JURA'),
('39800','COLONNE','JURA'),
('39800','FAY EN MONTAGNE','JURA'),
('39800','LE FIED','JURA'),
('39800','GROZON','JURA'),
('39800','MIERY','JURA'),
('39800','MOLAIN','JURA'),
('39800','MONTHOLIER','JURA'),
('39800','NEUVILLEY','JURA'),
('39800','OUSSIERES','JURA'),
('39800','PICARREAU','JURA'),
('39800','POLIGNY','JURA'),
('39800','TOURMONT','JURA'),
('39800','VAUX SUR POLIGNY','JURA'),
('39800','VILLERSERINE','JURA'),
('39800','LE VISENEY','JURA'),
('40000','MONT DE MARSAN','LANDES'),
('40090','ARTASSENX','LANDES'),
('40090','BASCONS','LANDES'),
('40090','BOSTENS','LANDES'),
('40090','BOUGUE','LANDES'),
('40090','CAMPAGNE','LANDES'),
('40090','CAMPET ET LAMOLERE','LANDES'),
('40090','CANENX ET REAUT','LANDES'),
('40090','CERE','LANDES'),
('40090','GAILLERES','LANDES'),
('40090','GELOUX','LANDES'),
('40090','LAGLORIEUSE','LANDES'),
('40090','LUCBARDEZ ET BARGUES','LANDES'),
('40090','MAZEROLLES','LANDES'),
('40090','ST AVIT','LANDES'),
('40090','ST MARTIN D ONEY','LANDES'),
('40090','ST PERDON','LANDES'),
('40090','UCHACQ ET PARENTIS','LANDES'),
('40100','DAX','LANDES'),
('40110','ARENGOSSE','LANDES'),
('40110','ARJUZANX','LANDES'),
('40110','GARROSSE','LANDES'),
('40110','MORCENX','LANDES'),
('40110','ONESSE ET LAHARIE','LANDES'),
('40110','OUSSE SUZAN','LANDES'),
('40110','SINDERES','LANDES'),
('40110','VILLENAVE','LANDES'),
('40110','YGOS ST SATURNIN','LANDES'),
('40110','LAHARIE','LANDES'),
('40120','ARUE','LANDES'),
('40120','BELIS','LANDES'),
('40120','BOURRIOT BERGONCE','LANDES'),
('40120','CACHEN','LANDES'),
('40120','LACQUY','LANDES'),
('40120','LENCOUACQ','LANDES'),
('40120','RETJONS','LANDES'),
('40120','MAILLAS','LANDES'),
('40120','MAILLERES','LANDES'),
('40120','POUYDESSEAUX','LANDES'),
('40120','ROQUEFORT','LANDES'),
('40120','ST GOR','LANDES'),
('40120','SARBAZAN','LANDES'),
('40130','CAPBRETON','LANDES'),
('40140','AZUR','LANDES'),
('40140','MAGESCQ','LANDES'),
('40140','SOUSTONS','LANDES'),
('40150','ANGRESSE','LANDES'),
('40150','SOORTS HOSSEGOR','LANDES'),
('40150','HOSSEGOR','LANDES'),
('40160','GASTES','LANDES'),
('40160','PARENTIS EN BORN','LANDES'),
('40160','YCHOUX','LANDES'),
('40170','BIAS','LANDES'),
('40170','LEVIGNACQ','LANDES'),
('40170','LIT ET MIXE','LANDES'),
('40170','MEZOS','LANDES'),
('40170','ST JULIEN EN BORN','LANDES'),
('40170','UZA','LANDES'),
('40180','BENESSE LES DAX','LANDES'),
('40180','CANDRESSE','LANDES'),
('40180','CLERMONT','LANDES'),
('40180','GARREY','LANDES'),
('40180','GOOS','LANDES'),
('40180','HEUGAS','LANDES'),
('40180','HINX','LANDES'),
('40180','NARROSSE','LANDES'),
('40180','OEYRELUY','LANDES'),
('40180','RIVIERE SAAS ET GOURBY','LANDES'),
('40180','ST PANDELON','LANDES'),
('40180','SAUBUSSE','LANDES'),
('40180','SAUGNAC ET CAMBRAN','LANDES'),
('40180','SEYRESSE','LANDES'),
('40180','SIEST','LANDES'),
('40180','SORT EN CHALOSSE','LANDES'),
('40180','TERCIS LES BAINS','LANDES'),
('40180','YZOSSE','LANDES'),
('40190','ARTHEZ D ARMAGNAC','LANDES'),
('40190','BOURDALAT','LANDES'),
('40190','LE FRECHE','LANDES'),
('40190','HONTANX','LANDES'),
('40190','MONTEGUT','LANDES'),
('40190','PERQUIE','LANDES'),
('40190','PUJO LE PLAN','LANDES'),
('40190','ST CRICQ VILLENEUVE','LANDES'),
('40190','STE FOY','LANDES'),
('40190','ST GEIN','LANDES'),
('40190','VILLENEUVE DE MARSAN','LANDES'),
('40200','AUREILHAN','LANDES'),
('40200','MIMIZAN','LANDES'),
('40200','PONTENX LES FORGES','LANDES'),
('40200','STE EULALIE EN BORN','LANDES'),
('40200','ST PAUL EN BORN','LANDES'),
('40210','COMMENSACQ','LANDES'),
('40210','ESCOURCE','LANDES'),
('40210','LABOUHEYRE','LANDES'),
('40210','LUE','LANDES'),
('40210','SOLFERINO','LANDES'),
('40220','TARNOS','LANDES'),
('40230','BENESSE MAREMNE','LANDES'),
('40230','JOSSE','LANDES'),
('40230','ORX','LANDES'),
('40230','ST GEOURS DE MAREMNE','LANDES'),
('40230','ST JEAN DE MARSACQ','LANDES'),
('40230','ST VINCENT DE TYROSSE','LANDES'),
('40230','SAUBION','LANDES'),
('40230','SAUBRIGUES','LANDES'),
('40230','TOSSE','LANDES'),
('40240','BETBEZER D ARMAGNAC','LANDES'),
('40240','CREON D ARMAGNAC','LANDES'),
('40240','ESTIGARDE','LANDES'),
('40240','LABASTIDE D ARMAGNAC','LANDES'),
('40240','LAGRANGE','LANDES'),
('40240','LOSSE','LANDES'),
('40240','LUBBON','LANDES'),
('40240','MAUVEZIN D ARMAGNAC','LANDES'),
('40240','ST JULIEN D ARMAGNAC','LANDES'),
('40240','ST JUSTIN','LANDES'),
('40240','VIELLE SOUBIRAN','LANDES'),
('40250','BERGOUEY','LANDES'),
('40250','CAUPENNE','LANDES'),
('40250','HAURIET','LANDES'),
('40250','LAHOSSE','LANDES'),
('40250','LAMOTHE','LANDES'),
('40250','LARBEY','LANDES'),
('40250','LAUREDE','LANDES'),
('40250','LE LEUY','LANDES'),
('40250','LOURQUEN','LANDES'),
('40250','MAYLIS','LANDES'),
('40250','MUGRON','LANDES'),
('40250','NERBIS','LANDES'),
('40250','ST AUBIN','LANDES'),
('40250','SOUPROSSE','LANDES'),
('40250','TOULOUZETTE','LANDES'),
('40260','CASTETS','LANDES'),
('40260','LESPERON','LANDES'),
('40260','LINXE','LANDES'),
('40260','TALLER','LANDES'),
('40270','BORDERES ET LAMENSANS','LANDES'),
('40270','CASTANDET','LANDES'),
('40270','CAZERES SUR L ADOUR','LANDES'),
('40270','GRENADE SUR L ADOUR','LANDES'),
('40270','LARRIVIERE','LANDES'),
('40270','LUSSAGNET','LANDES'),
('40270','MAURRIN','LANDES'),
('40270','RENUNG','LANDES'),
('40270','ST MAURICE SUR ADOUR','LANDES'),
('40270','LE VIGNAU','LANDES'),
('40280','BENQUET','LANDES'),
('40280','BRETAGNE DE MARSAN','LANDES'),
('40280','HAUT MAUCO','LANDES'),
('40280','ST PIERRE DU MONT','LANDES'),
('40290','ESTIBEAUX','LANDES'),
('40290','HABAS','LANDES'),
('40290','MISSON','LANDES'),
('40290','MOUSCARDES','LANDES'),
('40290','OSSAGES','LANDES'),
('40300','BELUS','LANDES'),
('40300','CAGNOTTE','LANDES'),
('40300','CAUNEILLE','LANDES');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('40300','HASTINGUES','LANDES'),
('40300','LABATUT','LANDES'),
('40300','OEYREGAVE','LANDES'),
('40300','ORIST','LANDES'),
('40300','ORTHEVIELLE','LANDES'),
('40300','PEY','LANDES'),
('40300','PEYREHORADE','LANDES'),
('40300','PORT DE LANNE','LANDES'),
('40300','ST CRICQ DU GAVE','LANDES'),
('40300','ST ETIENNE D ORTHE','LANDES'),
('40300','ST LON LES MINES','LANDES'),
('40300','SORDE L ABBAYE','LANDES'),
('40310','ARX','LANDES'),
('40310','BAUDIGNAN','LANDES'),
('40310','ESCALANS','LANDES'),
('40310','GABARRET','LANDES'),
('40310','HERRE','LANDES'),
('40310','PARLEBOSCQ','LANDES'),
('40310','RIMBEZ ET BAUDIETS','LANDES'),
('40320','ARBOUCAVE','LANDES'),
('40320','BAHUS SOUBIRAN','LANDES'),
('40320','BATS','LANDES'),
('40320','BUANES','LANDES'),
('40320','CASTELNAU TURSAN','LANDES'),
('40320','CLASSUN','LANDES'),
('40320','CLEDES','LANDES'),
('40320','EUGENIE LES BAINS','LANDES'),
('40320','GEAUNE','LANDES'),
('40320','LACAJUNTE','LANDES'),
('40320','LAURET','LANDES'),
('40320','MAURIES','LANDES'),
('40320','MIRAMONT SENSACQ','LANDES'),
('40320','PAYROS CAZAUTETS','LANDES'),
('40320','PECORADE','LANDES'),
('40320','PHILONDENX','LANDES'),
('40320','PIMBO','LANDES'),
('40320','PUYOL CAZALET','LANDES'),
('40320','ST LOUBOUER','LANDES'),
('40320','SAMADET','LANDES'),
('40320','SORBETS','LANDES'),
('40320','URGONS','LANDES'),
('40320','VIELLE TURSAN','LANDES'),
('40330','AMOU','LANDES'),
('40330','ARSAGUE','LANDES'),
('40330','BONNEGARDE','LANDES'),
('40330','BRASSEMPOUY','LANDES'),
('40330','CASTEL SARRAZIN','LANDES'),
('40330','GAUJACQ','LANDES'),
('40330','MARPAPS','LANDES'),
('40330','NASSIET','LANDES'),
('40350','GAAS','LANDES'),
('40350','MIMBASTE','LANDES'),
('40350','POUILLON','LANDES'),
('40360','BASTENNES','LANDES'),
('40360','CASTELNAU CHALOSSE','LANDES'),
('40360','DONZACQ','LANDES'),
('40360','POMAREZ','LANDES'),
('40360','TILH','LANDES'),
('40370','BEYLONGUE','LANDES'),
('40370','BOOS','LANDES'),
('40370','RION DES LANDES','LANDES'),
('40380','BAIGTS','LANDES'),
('40380','CASSEN','LANDES'),
('40380','GAMARDE LES BAINS','LANDES'),
('40380','GIBRET','LANDES'),
('40380','LOUER','LANDES'),
('40380','MONTFORT EN CHALOSSE','LANDES'),
('40380','NOUSSE','LANDES'),
('40380','ONARD','LANDES'),
('40380','OZOURT','LANDES'),
('40380','POYANNE','LANDES'),
('40380','POYARTIN','LANDES'),
('40380','ST GEOURS D AURIBAT','LANDES'),
('40380','ST JEAN DE LIER','LANDES'),
('40380','VIC D AURIBAT','LANDES'),
('40390','BIAROTTE','LANDES'),
('40390','BIAUDOS','LANDES'),
('40390','ST ANDRE DE SEIGNANX','LANDES'),
('40390','ST BARTHELEMY','LANDES'),
('40390','ST LAURENT DE GOSSE','LANDES'),
('40390','STE MARIE DE GOSSE','LANDES'),
('40390','ST MARTIN DE HINX','LANDES'),
('40390','ST MARTIN DE SEIGNANX','LANDES'),
('40400','AUDON','LANDES'),
('40400','BEGAAR','LANDES'),
('40400','CARCARES STE CROIX','LANDES'),
('40400','CARCEN PONSON','LANDES'),
('40400','GOUTS','LANDES'),
('40400','LESGOR','LANDES'),
('40400','MEILHAN','LANDES'),
('40400','ST YAGUEN','LANDES'),
('40400','TARTAS','LANDES'),
('40410','BELHADE','LANDES'),
('40410','LIPOSTHEY','LANDES'),
('40410','MANO','LANDES'),
('40410','MOUSTEY','LANDES'),
('40410','PISSOS','LANDES'),
('40410','RICHET','LANDES'),
('40410','SAUGNACQ ET MURET','LANDES'),
('40420','BROCAS','LANDES'),
('40420','GAREIN','LANDES'),
('40420','LABRIT','LANDES'),
('40420','LE SEN','LANDES'),
('40420','VERT','LANDES'),
('40430','ARGELOUSE','LANDES'),
('40430','CALLEN','LANDES'),
('40430','LUXEY','LANDES'),
('40430','SORE','LANDES'),
('40440','ONDRES','LANDES'),
('40460','SANGUINET','LANDES'),
('40465','GOUSSE','LANDES'),
('40465','LALUQUE','LANDES'),
('40465','PONTONX SUR L ADOUR','LANDES'),
('40465','PRECHACQ LES BAINS','LANDES'),
('40480','VIEUX BOUCAU LES BAINS','LANDES'),
('40500','AUDIGNON','LANDES'),
('40500','AURICE','LANDES'),
('40500','BANOS','LANDES'),
('40500','BAS MAUCO','LANDES'),
('40500','CAUNA','LANDES'),
('40500','COUDURES','LANDES'),
('40500','DUMES','LANDES'),
('40500','EYRES MONCUBE','LANDES'),
('40500','FARGUES','LANDES'),
('40500','MONTAUT','LANDES'),
('40500','MONTGAILLARD','LANDES'),
('40500','MONTSOUE','LANDES'),
('40500','ST SEVER','LANDES'),
('40500','SARRAZIET','LANDES'),
('40510','SEIGNOSSE','LANDES'),
('40530','LABENNE','LANDES'),
('40550','LEON','LANDES'),
('40550','ST MICHEL ESCALUS','LANDES'),
('40560','VIELLE ST GIRONS','LANDES'),
('40560','ST GIRONS PLAGE','LANDES'),
('40560','ST GIRONS','LANDES'),
('40600','BISCARROSSE','LANDES'),
('40600','BISCARROSSE PLAGE','LANDES'),
('40630','LUGLON','LANDES'),
('40630','SABRES','LANDES'),
('40630','TRENSACQ','LANDES'),
('40660','MESSANGES','LANDES'),
('40660','MOLIETS ET MAA','LANDES'),
('40700','ARGELOS','LANDES'),
('40700','AUBAGNAN','LANDES'),
('40700','BASSERCLES','LANDES'),
('40700','BEYRIES','LANDES'),
('40700','CASTAIGNOS SOUSLENS','LANDES'),
('40700','CASTELNER','LANDES'),
('40700','CAZALIS','LANDES'),
('40700','DOAZIT','LANDES'),
('40700','HAGETMAU','LANDES'),
('40700','HORSARRIEU','LANDES'),
('40700','LABASTIDE CHALOSSE','LANDES'),
('40700','LACRABE','LANDES'),
('40700','MANT','LANDES'),
('40700','MOMUY','LANDES'),
('40700','MONGET','LANDES'),
('40700','MONSEGUR','LANDES'),
('40700','MORGANX','LANDES'),
('40700','PEYRE','LANDES'),
('40700','POUDENX','LANDES'),
('40700','STE COLOMBE','LANDES'),
('40700','ST CRICQ CHALOSSE','LANDES'),
('40700','SERRES GASTON','LANDES'),
('40700','SERRESLOUS ET ARRIBANS','LANDES'),
('40800','AIRE SUR L ADOUR','LANDES'),
('40800','DUHORT BACHEN','LANDES'),
('40800','LATRILLE','LANDES'),
('40800','ST AGNET','LANDES'),
('40800','SARRON','LANDES'),
('40990','ANGOUME','LANDES'),
('40990','GOURBERA','LANDES'),
('40990','HERM','LANDES'),
('40990','MEES','LANDES'),
('40990','ST PAUL LES DAX','LANDES'),
('40990','ST VINCENT DE PAUL','LANDES'),
('40990','TETHIEU','LANDES'),
('41000','BLOIS','LOIR ET CHER'),
('41000','ST DENIS SUR LOIRE','LOIR ET CHER'),
('41000','ST SULPICE','LOIR ET CHER'),
('41000','VILLEBAROU','LOIR ET CHER'),
('41000','VILLERBON','LOIR ET CHER'),
('41100','AREINES','LOIR ET CHER'),
('41100','AZE','LOIR ET CHER'),
('41100','COULOMMIERS LA TOUR','LOIR ET CHER'),
('41100','CRUCHERAY','LOIR ET CHER'),
('41100','FAYE','LOIR ET CHER'),
('41100','LISLE','LOIR ET CHER'),
('41100','MARCILLY EN BEAUCE','LOIR ET CHER'),
('41100','MAZANGE','LOIR ET CHER'),
('41100','MESLAY','LOIR ET CHER'),
('41100','NAVEIL','LOIR ET CHER'),
('41100','PERIGNY','LOIR ET CHER'),
('41100','PEZOU','LOIR ET CHER'),
('41100','RENAY','LOIR ET CHER'),
('41100','ROCE','LOIR ET CHER'),
('41100','STE ANNE','LOIR ET CHER'),
('41100','ST FIRMIN DES PRES','LOIR ET CHER'),
('41100','ST OUEN','LOIR ET CHER');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('41100','SELOMMES','LOIR ET CHER'),
('41100','THORE LA ROCHETTE','LOIR ET CHER'),
('41100','VENDOME','LOIR ET CHER'),
('41100','VILLEMARDY','LOIR ET CHER'),
('41100','VILLERABLE','LOIR ET CHER'),
('41100','VILLEROMAIN','LOIR ET CHER'),
('41100','VILLETRUN','LOIR ET CHER'),
('41100','VILLIERSFAUX','LOIR ET CHER'),
('41100','VILLIERS SUR LOIR','LOIR ET CHER'),
('41110','CHATEAUVIEUX','LOIR ET CHER'),
('41110','COUFFI','LOIR ET CHER'),
('41110','MAREUIL SUR CHER','LOIR ET CHER'),
('41110','POUILLE','LOIR ET CHER'),
('41110','ST AIGNAN','LOIR ET CHER'),
('41110','SEIGY','LOIR ET CHER'),
('41120','CANDE SUR BEUVRON','LOIR ET CHER'),
('41120','CELLETTES','LOIR ET CHER'),
('41120','CHAILLES','LOIR ET CHER'),
('41120','CHITENAY','LOIR ET CHER'),
('41120','CORMERAY','LOIR ET CHER'),
('41120','FEINGS','LOIR ET CHER'),
('41120','FOUGERES SUR BIEVRE','LOIR ET CHER'),
('41120','MONTHOU SUR BIEVRE','LOIR ET CHER'),
('41120','LES MONTILS','LOIR ET CHER'),
('41120','OUCHAMPS','LOIR ET CHER'),
('41120','SAMBIN','LOIR ET CHER'),
('41120','SEUR','LOIR ET CHER'),
('41120','VALAIRE','LOIR ET CHER'),
('41130','BILLY','LOIR ET CHER'),
('41130','CHATILLON SUR CHER','LOIR ET CHER'),
('41130','GIEVRES','LOIR ET CHER'),
('41130','MEUSNES','LOIR ET CHER'),
('41130','SELLES SUR CHER','LOIR ET CHER'),
('41140','MEHERS','LOIR ET CHER'),
('41140','NOYERS SUR CHER','LOIR ET CHER'),
('41140','ST ROMAIN SUR CHER','LOIR ET CHER'),
('41140','THESEE','LOIR ET CHER'),
('41150','CHAUMONT SUR LOIRE','LOIR ET CHER'),
('41150','CHOUZY SUR CISSE','LOIR ET CHER'),
('41150','COULANGES','LOIR ET CHER'),
('41150','MESLAND','LOIR ET CHER'),
('41150','MONTEAUX','LOIR ET CHER'),
('41150','ONZAIN','LOIR ET CHER'),
('41150','RILLY SUR LOIRE','LOIR ET CHER'),
('41150','SEILLAC','LOIR ET CHER'),
('41150','VEUVES','LOIR ET CHER'),
('41160','BREVAINVILLE','LOIR ET CHER'),
('41160','BUSLOUP','LOIR ET CHER'),
('41160','LA COLOMBE','LOIR ET CHER'),
('41160','DANZE','LOIR ET CHER'),
('41160','FRETEVAL','LOIR ET CHER'),
('41160','LIGNIERES','LOIR ET CHER'),
('41160','MOISY','LOIR ET CHER'),
('41160','MOREE','LOIR ET CHER'),
('41160','OUZOUER LE DOYEN','LOIR ET CHER'),
('41160','RAHART','LOIR ET CHER'),
('41160','ST HILAIRE LA GRAVELLE','LOIR ET CHER'),
('41160','ST JEAN FROIDMENTEL','LOIR ET CHER'),
('41160','SEMERVILLE','LOIR ET CHER'),
('41160','LA VILLE AUX CLERCS','LOIR ET CHER'),
('41170','ARVILLE','LOIR ET CHER'),
('41170','BAILLOU','LOIR ET CHER'),
('41170','BEAUCHENE','LOIR ET CHER'),
('41170','CHOUE','LOIR ET CHER'),
('41170','CORMENON','LOIR ET CHER'),
('41170','MONDOUBLEAU','LOIR ET CHER'),
('41170','OIGNY','LOIR ET CHER'),
('41170','LE PLESSIS DORIN','LOIR ET CHER'),
('41170','ST AGIL','LOIR ET CHER'),
('41170','ST AVIT','LOIR ET CHER'),
('41170','ST MARC DU COR','LOIR ET CHER'),
('41170','SARGE SUR BRAYE','LOIR ET CHER'),
('41170','SOUDAY','LOIR ET CHER'),
('41170','LE TEMPLE','LOIR ET CHER'),
('41190','CHAMBON SUR CISSE','LOIR ET CHER'),
('41190','FRANCAY','LOIR ET CHER'),
('41190','HERBAULT','LOIR ET CHER'),
('41190','LANCOME','LOIR ET CHER'),
('41190','LANDES LE GAULOIS','LOIR ET CHER'),
('41190','MOLINEUF','LOIR ET CHER'),
('41190','ORCHAISE','LOIR ET CHER'),
('41190','PRAY','LOIR ET CHER'),
('41190','ST CYR DU GAULT','LOIR ET CHER'),
('41190','ST ETIENNE DES GUERETS','LOIR ET CHER'),
('41190','ST LUBIN EN VERGONNOIS','LOIR ET CHER'),
('41190','SANTENAY','LOIR ET CHER'),
('41190','TOURAILLES','LOIR ET CHER'),
('41200','LOREUX','LOIR ET CHER'),
('41200','MILLANCAY','LOIR ET CHER'),
('41200','PRUNIERS EN SOLOGNE','LOIR ET CHER'),
('41200','ROMORANTIN LANTHENAY','LOIR ET CHER'),
('41200','VILLEFRANCHE SUR CHER','LOIR ET CHER'),
('41200','VILLEHERVIERS','LOIR ET CHER'),
('41210','LA FERTE BEAUHARNAIS','LOIR ET CHER'),
('41210','MARCILLY EN GAULT','LOIR ET CHER'),
('41210','LA MAROLLE EN SOLOGNE','LOIR ET CHER'),
('41210','MONTRIEUX EN SOLOGNE','LOIR ET CHER'),
('41210','NEUNG SUR BEUVRON','LOIR ET CHER'),
('41210','ST VIATRE','LOIR ET CHER'),
('41220','CROUY SUR COSSON','LOIR ET CHER'),
('41220','DHUIZON','LOIR ET CHER'),
('41220','LA FERTE ST CYR','LOIR ET CHER'),
('41220','NOUAN SUR LOIRE','LOIR ET CHER'),
('41220','ST LAURENT NOUAN','LOIR ET CHER'),
('41220','THOURY','LOIR ET CHER'),
('41220','VILLENY','LOIR ET CHER'),
('41230','COURMEMIN','LOIR ET CHER'),
('41230','GY EN SOLOGNE','LOIR ET CHER'),
('41230','LASSAY SUR CROISNE','LOIR ET CHER'),
('41230','MUR DE SOLOGNE','LOIR ET CHER'),
('41230','ROUGEOU','LOIR ET CHER'),
('41230','SOINGS EN SOLOGNE','LOIR ET CHER'),
('41230','VEILLEINS','LOIR ET CHER'),
('41230','VERNOU EN SOLOGNE','LOIR ET CHER'),
('41240','AUTAINVILLE','LOIR ET CHER'),
('41240','BINAS','LOIR ET CHER'),
('41240','MEMBROLLES','LOIR ET CHER'),
('41240','OUZOUER LE MARCHE','LOIR ET CHER'),
('41240','PRENOUVELLON','LOIR ET CHER'),
('41240','ST LAURENT DES BOIS','LOIR ET CHER'),
('41240','TRIPLEVILLE','LOIR ET CHER'),
('41240','VERDES','LOIR ET CHER'),
('41240','VILLERMAIN','LOIR ET CHER'),
('41250','BAUZY','LOIR ET CHER'),
('41250','BRACIEUX','LOIR ET CHER'),
('41250','CHAMBORD','LOIR ET CHER'),
('41250','FONTAINES EN SOLOGNE','LOIR ET CHER'),
('41250','MASLIVES','LOIR ET CHER'),
('41250','MONT PRES CHAMBORD','LOIR ET CHER'),
('41250','NEUVY','LOIR ET CHER'),
('41250','TOUR EN SOLOGNE','LOIR ET CHER'),
('41260','LA CHAUSSEE ST VICTOR','LOIR ET CHER'),
('41270','BOUFFRY','LOIR ET CHER'),
('41270','BOURSAY','LOIR ET CHER'),
('41270','LA CHAPELLE VICOMTESSE','LOIR ET CHER'),
('41270','CHAUVIGNY DU PERCHE','LOIR ET CHER'),
('41270','DROUE','LOIR ET CHER'),
('41270','FONTAINE RAOUL','LOIR ET CHER'),
('41270','LA FONTENELLE','LOIR ET CHER'),
('41270','LE GAULT PERCHE','LOIR ET CHER'),
('41270','LE POISLAY','LOIR ET CHER'),
('41270','ROMILLY','LOIR ET CHER'),
('41270','RUAN SUR EGVONNE','LOIR ET CHER'),
('41270','VILLEBOUT','LOIR ET CHER'),
('41290','BAIGNEAUX','LOIR ET CHER'),
('41290','BEAUVILLIERS','LOIR ET CHER'),
('41290','BOISSEAU','LOIR ET CHER'),
('41290','LA BOSSE','LOIR ET CHER'),
('41290','LA CHAPELLE ENCHERIE','LOIR ET CHER'),
('41290','CONAN','LOIR ET CHER'),
('41290','ECOMAN','LOIR ET CHER'),
('41290','EPIAIS','LOIR ET CHER'),
('41290','OUCQUES','LOIR ET CHER'),
('41290','RHODON','LOIR ET CHER'),
('41290','STE GEMMES','LOIR ET CHER'),
('41290','VIEVY LE RAYE','LOIR ET CHER'),
('41290','VILLENEUVE FROUVILLE','LOIR ET CHER'),
('41300','LA FERTE IMBAULT','LOIR ET CHER'),
('41300','ORCAY','LOIR ET CHER'),
('41300','PIERREFITTE SUR SAULDRE','LOIR ET CHER'),
('41300','SALBRIS','LOIR ET CHER'),
('41300','SELLES ST DENIS','LOIR ET CHER'),
('41300','SOUESMES','LOIR ET CHER'),
('41300','THEILLAY','LOIR ET CHER'),
('41310','AMBLOY','LOIR ET CHER'),
('41310','AUTHON','LOIR ET CHER'),
('41310','GOMBERGEAN','LOIR ET CHER'),
('41310','HUISSEAU EN BEAUCE','LOIR ET CHER'),
('41310','LANCE','LOIR ET CHER'),
('41310','NOURRAY','LOIR ET CHER'),
('41310','PRUNAY CASSEREAU','LOIR ET CHER'),
('41310','ST AMAND LONGPRE','LOIR ET CHER'),
('41310','ST GOURGON','LOIR ET CHER'),
('41310','SASNIERES','LOIR ET CHER'),
('41310','VILLECHAUVE','LOIR ET CHER'),
('41310','VILLEPORCHER','LOIR ET CHER'),
('41320','LA CHAPELLE MONTMARTIN','LOIR ET CHER'),
('41320','CHATRES SUR CHER','LOIR ET CHER'),
('41320','LANGON','LOIR ET CHER'),
('41320','MARAY','LOIR ET CHER'),
('41320','MENNETOU SUR CHER','LOIR ET CHER'),
('41320','ST JULIEN SUR CHER','LOIR ET CHER'),
('41320','ST LOUP','LOIR ET CHER'),
('41330','AVERDON','LOIR ET CHER'),
('41330','CHAMPIGNY EN BEAUCE','LOIR ET CHER'),
('41330','LA CHAPELLE VENDOMOISE','LOIR ET CHER'),
('41330','FOSSE','LOIR ET CHER'),
('41330','MAROLLES','LOIR ET CHER'),
('41330','ST BOHAIRE','LOIR ET CHER'),
('41330','VILLEFRANCOEUR','LOIR ET CHER'),
('41350','HUISSEAU SUR COSSON','LOIR ET CHER'),
('41350','MONTLIVAULT','LOIR ET CHER'),
('41350','ST CLAUDE DE DIRAY','LOIR ET CHER'),
('41350','ST GERVAIS LA FORET','LOIR ET CHER'),
('41350','VINEUIL','LOIR ET CHER'),
('41360','CELLE','LOIR ET CHER'),
('41360','EPUISAY','LOIR ET CHER'),
('41360','FORTAN','LOIR ET CHER'),
('41360','LUNAY','LOIR ET CHER'),
('41360','SAVIGNY SUR BRAYE','LOIR ET CHER');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('41370','BRIOU','LOIR ET CHER'),
('41370','CONCRIERS','LOIR ET CHER'),
('41370','JOSNES','LOIR ET CHER'),
('41370','LORGES','LOIR ET CHER'),
('41370','MADELEINE VILLEFROUIN','LOIR ET CHER'),
('41370','MARCHENOIR','LOIR ET CHER'),
('41370','LE PLESSIS L ECHELLE','LOIR ET CHER'),
('41370','ROCHES','LOIR ET CHER'),
('41370','ST LEONARD EN BEAUCE','LOIR ET CHER'),
('41370','TALCY','LOIR ET CHER'),
('41400','ANGE','LOIR ET CHER'),
('41400','BOURRE','LOIR ET CHER'),
('41400','CHISSAY EN TOURAINE','LOIR ET CHER'),
('41400','FAVEROLLES SUR CHER','LOIR ET CHER'),
('41400','MONTHOU SUR CHER','LOIR ET CHER'),
('41400','MONTRICHARD','LOIR ET CHER'),
('41400','PONTLEVOY','LOIR ET CHER'),
('41400','ST GEORGES SUR CHER','LOIR ET CHER'),
('41400','ST JULIEN DE CHEDON','LOIR ET CHER'),
('41400','THENAY','LOIR ET CHER'),
('41400','VALLIERES LES GRANDES','LOIR ET CHER'),
('41500','AVARAY','LOIR ET CHER'),
('41500','LA CHAPELLE ST MARTIN EN','LOIR ET CHER'),
('41500','COURBOUZON','LOIR ET CHER'),
('41500','COUR SUR LOIRE','LOIR ET CHER'),
('41500','LESTIOU','LOIR ET CHER'),
('41500','MAVES','LOIR ET CHER'),
('41500','MENARS','LOIR ET CHER'),
('41500','MER','LOIR ET CHER'),
('41500','MUIDES SUR LOIRE','LOIR ET CHER'),
('41500','MULSANS','LOIR ET CHER'),
('41500','ST DYE SUR LOIRE','LOIR ET CHER'),
('41500','SERIS','LOIR ET CHER'),
('41500','SUEVRES','LOIR ET CHER'),
('41500','VILLEXANTON','LOIR ET CHER'),
('41600','CHAON','LOIR ET CHER'),
('41600','CHAUMONT SUR THARONNE','LOIR ET CHER'),
('41600','LAMOTTE BEUVRON','LOIR ET CHER'),
('41600','NOUAN LE FUZELIER','LOIR ET CHER'),
('41600','SOUVIGNY EN SOLOGNE','LOIR ET CHER'),
('41600','VOUZON','LOIR ET CHER'),
('41600','YVOY LE MARRON','LOIR ET CHER'),
('41700','CHEMERY','LOIR ET CHER'),
('41700','CHEVERNY','LOIR ET CHER'),
('41700','CHOUSSY','LOIR ET CHER'),
('41700','CONTRES','LOIR ET CHER'),
('41700','COUDDES','LOIR ET CHER'),
('41700','COUR CHEVERNY','LOIR ET CHER'),
('41700','FRESNES','LOIR ET CHER'),
('41700','OISLY','LOIR ET CHER'),
('41700','SASSAY','LOIR ET CHER'),
('41800','ARTINS','LOIR ET CHER'),
('41800','BONNEVEAU','LOIR ET CHER'),
('41800','COUTURE SUR LOIR','LOIR ET CHER'),
('41800','LES ESSARTS','LOIR ET CHER'),
('41800','FONTAINE LES COTEAUX','LOIR ET CHER'),
('41800','LES HAYES','LOIR ET CHER'),
('41800','HOUSSAY','LOIR ET CHER'),
('41800','LAVARDIN','LOIR ET CHER'),
('41800','MONTOIRE SUR LE LOIR','LOIR ET CHER'),
('41800','MONTROUVEAU','LOIR ET CHER'),
('41800','LES ROCHES L EVEQUE','LOIR ET CHER'),
('41800','ST ARNOULT','LOIR ET CHER'),
('41800','ST JACQUES DES GUERETS','LOIR ET CHER'),
('41800','ST MARTIN DES BOIS','LOIR ET CHER'),
('41800','ST QUENTIN LES TROO','LOIR ET CHER'),
('41800','ST RIMAY','LOIR ET CHER'),
('41800','SOUGE','LOIR ET CHER'),
('41800','TERNAY','LOIR ET CHER'),
('41800','TREHET','LOIR ET CHER'),
('41800','TROO','LOIR ET CHER'),
('41800','VILLAVARD','LOIR ET CHER'),
('41800','VILLEDIEU LE CHATEAU','LOIR ET CHER'),
('42000','ST ETIENNE','LOIRE'),
('42100','ROCHETAILLEE','LOIRE'),
('42100','TERRENOIRE','LOIRE'),
('42110','CHAMBEON','LOIRE'),
('42110','CIVENS','LOIRE'),
('42110','CLEPPE','LOIRE'),
('42110','EPERCIEUX ST PAUL','LOIRE'),
('42110','FEURS','LOIRE'),
('42110','JAS','LOIRE'),
('42110','MIZERIEUX','LOIRE'),
('42110','PONCINS','LOIRE'),
('42110','POUILLY LES FEURS','LOIRE'),
('42110','ST BARTHELEMY LESTRA','LOIRE'),
('42110','STE FOY ST SULPICE','LOIRE'),
('42110','ST MARTIN LESTRA','LOIRE'),
('42110','SALT EN DONZY','LOIRE'),
('42110','SALVIZINET','LOIRE'),
('42110','VALEILLE','LOIRE'),
('42111','LA COTE EN COUZAN','LOIRE'),
('42111','ST DIDIER SUR ROCHEFORT','LOIRE'),
('42111','ST THURIN','LOIRE'),
('42111','LA VALLA','LOIRE'),
('42114','CHIRASSIMONT','LOIRE'),
('42114','MACHEZAL','LOIRE'),
('42114','ST CYR DE VALORGES','LOIRE'),
('42120','COMMELLE VERNAY','LOIRE'),
('42120','LE COTEAU','LOIRE'),
('42120','NOTRE DAME DE BOISSET','LOIRE'),
('42120','PARIGNY','LOIRE'),
('42120','PERREUX','LOIRE'),
('42120','ST VINCENT DE BOISSET','LOIRE'),
('42122','ST MARCEL DE FELINES','LOIRE'),
('42123','CORDELLE','LOIRE'),
('42130','AILLEUX','LOIRE'),
('42130','ARTHUN','LOIRE'),
('42130','BOEN','LOIRE'),
('42130','CEZAY','LOIRE'),
('42130','DEBATS RIVIERE D ORPRA','LOIRE'),
('42130','L HOPITAL SOUS ROCHEFORT','LOIRE'),
('42130','LEIGNEUX','LOIRE'),
('42130','MARCILLY LE CHATEL','LOIRE'),
('42130','MARCOUX','LOIRE'),
('42130','MONTVERDUN','LOIRE'),
('42130','STE AGATHE LA BOUTEURESSE','LOIRE'),
('42130','ST ETIENNE LE MOLARD','LOIRE'),
('42130','ST LAURENT ROCHEFORT','LOIRE'),
('42130','ST SIXTE','LOIRE'),
('42130','TRELINS','LOIRE'),
('42131','LA VALLA EN GIER','LOIRE'),
('42132','ST CYR DE FAVIERES','LOIRE'),
('42136','ST JUST EN BAS','LOIRE'),
('42140','CHATELUS','LOIRE'),
('42140','CHAZELLES SUR LYON','LOIRE'),
('42140','CHEVRIERES','LOIRE'),
('42140','FONTANES','LOIRE'),
('42140','LA GIMOND','LOIRE'),
('42140','GRAMMOND','LOIRE'),
('42140','MARCENOD','LOIRE'),
('42140','MARINGES','LOIRE'),
('42140','ST DENIS SUR COISE','LOIRE'),
('42140','VIRICELLES','LOIRE'),
('42140','VIRIGNEUX','LOIRE'),
('42150','LA RICAMARIE','LOIRE'),
('42152','L HORME','LOIRE'),
('42153','RIORGES','LOIRE'),
('42155','LENTIGNY','LOIRE'),
('42155','OUCHES','LOIRE'),
('42155','POUILLY LES NONAINS','LOIRE'),
('42155','ST JEAN ST MAURICE SUR LO','LOIRE'),
('42155','ST LEGER SUR ROANNE','LOIRE'),
('42155','ST MAURICE SUR LOIRE','LOIRE'),
('42155','VILLEMONTAIS','LOIRE'),
('42160','ANDREZIEUX BOUTHEON','LOIRE'),
('42160','BONSON','LOIRE'),
('42160','ST CYPRIEN','LOIRE'),
('42170','CHAMBLES','LOIRE'),
('42170','ST JUST SUR LOIRE','LOIRE'),
('42170','ST JUST ST RAMBERT','LOIRE'),
('42190','CHANDON','LOIRE'),
('42190','CHARLIEU','LOIRE'),
('42190','ST HILAIRE SOUS CHARLIEU','LOIRE'),
('42190','ST NIZIER SOUS CHARLIEU','LOIRE'),
('42190','ST PIERRE LA NOAILLE','LOIRE'),
('42210','BELLEGARDE EN FOREZ','LOIRE'),
('42210','BOISSET LES MONTROND','LOIRE'),
('42210','CRAINTILLEUX','LOIRE'),
('42210','L HOPITAL LE GRAND','LOIRE'),
('42210','MARCLOPT','LOIRE'),
('42210','MONTROND LES BAINS','LOIRE'),
('42210','ST ANDRE LE PUY','LOIRE'),
('42210','ST CYR LES VIGNES','LOIRE'),
('42210','ST LAURENT LA CONCHE','LOIRE'),
('42210','UNIAS','LOIRE'),
('42220','BOURG ARGENTAL','LOIRE'),
('42220','BURDIGNES','LOIRE'),
('42220','COLOMBIER','LOIRE'),
('42220','GRAIX','LOIRE'),
('42220','ST JULIEN MOLIN MOLETTE','LOIRE'),
('42220','ST SAUVEUR EN RUE','LOIRE'),
('42220','THELIS LA COMBE','LOIRE'),
('42220','LA VERSANNE','LOIRE'),
('42230','ROCHE LA MOLIERE','LOIRE'),
('42230','ST VICTOR SUR LOIRE','LOIRE'),
('42240','CALOIRE','LOIRE'),
('42240','ST MAURICE EN GOURGOIS','LOIRE'),
('42240','ST PAUL EN CORNILLON','LOIRE'),
('42240','UNIEUX','LOIRE'),
('42260','AMIONS','LOIRE'),
('42260','BULLY','LOIRE'),
('42260','BUSSY ALBIEUX','LOIRE'),
('42260','CREMEAUX','LOIRE'),
('42260','DANCE','LOIRE'),
('42260','GREZOLLES','LOIRE'),
('42260','LURE','LOIRE'),
('42260','NOLLIEUX','LOIRE'),
('42260','POMMIERS','LOIRE'),
('42260','ST GERMAIN LAVAL','LOIRE'),
('42260','ST JULIEN D ODDES','LOIRE'),
('42260','ST MARTIN LA SAUVETE','LOIRE'),
('42260','ST POLGUES','LOIRE'),
('42260','SOUTERNON','LOIRE'),
('42270','ST PRIEST EN JAREZ','LOIRE'),
('42290','SORBIERS','LOIRE'),
('42300','MABLY','LOIRE'),
('42300','ROANNE','LOIRE'),
('42300','VILLEREST','LOIRE'),
('42300','L ARSENAL','LOIRE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('42300','LES TUILERIES','LOIRE'),
('42310','CHANGY','LOIRE'),
('42310','LE CROZET','LOIRE'),
('42310','LA PACAUDIERE','LOIRE'),
('42310','SAIL LES BAINS','LOIRE'),
('42310','ST BONNET DES QUARTS','LOIRE'),
('42310','URBISE','LOIRE'),
('42310','VIVANS','LOIRE'),
('42320','CELLIEU','LOIRE'),
('42320','FARNAY','LOIRE'),
('42320','LA GRAND CROIX','LOIRE'),
('42320','ST CHRISTO EN JAREZ','LOIRE'),
('42320','VALFLEURY','LOIRE'),
('42330','AVEIZIEUX','LOIRE'),
('42330','CHAMBOEUF','LOIRE'),
('42330','CUZIEU','LOIRE'),
('42330','ST BONNET LES OULES','LOIRE'),
('42330','ST GALMIER','LOIRE'),
('42330','ST MEDARD EN FOREZ','LOIRE'),
('42340','RIVAS','LOIRE'),
('42340','VEAUCHE','LOIRE'),
('42340','VEAUCHETTE','LOIRE'),
('42350','LA TALAUDIERE','LOIRE'),
('42360','COTTANCE','LOIRE'),
('42360','ESSERTINES EN DONZY','LOIRE'),
('42360','MONTCHAL','LOIRE'),
('42360','PANISSIERES','LOIRE'),
('42370','ARCON','LOIRE'),
('42370','LES NOES','LOIRE'),
('42370','RENAISON','LOIRE'),
('42370','ST ALBAN LES EAUX','LOIRE'),
('42370','ST ANDRE D APCHON','LOIRE'),
('42370','ST HAON LE CHATEL','LOIRE'),
('42370','ST HAON LE VIEUX','LOIRE'),
('42370','ST RIRAND','LOIRE'),
('42380','ABOEN','LOIRE'),
('42380','LA CHAPELLE EN LAFAYE','LOIRE'),
('42380','ESTIVAREILLES','LOIRE'),
('42380','LURIECQ','LOIRE'),
('42380','MERLE LEIGNEC','LOIRE'),
('42380','MONTARCHER','LOIRE'),
('42380','PERIGNEUX','LOIRE'),
('42380','ROZIER COTES D AUREC','LOIRE'),
('42380','ST BONNET LE CHATEAU','LOIRE'),
('42380','ST HILAIRE CUSSON LA VALM','LOIRE'),
('42380','ST NIZIER DE FORNAS','LOIRE'),
('42380','LA TOURETTE','LOIRE'),
('42390','VILLARS','LOIRE'),
('42400','ST CHAMOND','LOIRE'),
('42410','LA CHAPELLE VILLARS','LOIRE'),
('42410','CHAVANAY','LOIRE'),
('42410','CHUYER','LOIRE'),
('42410','PAVEZIN','LOIRE'),
('42410','PELUSSIN','LOIRE'),
('42410','ST MICHEL SUR RHONE','LOIRE'),
('42410','VERIN','LOIRE'),
('42420','LORETTE','LOIRE'),
('42430','CHAMPOLY','LOIRE'),
('42430','CHERIER','LOIRE'),
('42430','JURE','LOIRE'),
('42430','ST JUST EN CHEVALET','LOIRE'),
('42430','ST MARCEL D URFE','LOIRE'),
('42430','ST ROMAIN D URFE','LOIRE'),
('42430','CHAUSSETERRE','LOIRE'),
('42440','CERVIERES','LOIRE'),
('42440','LA CHAMBA','LOIRE'),
('42440','LA CHAMBONIE','LOIRE'),
('42440','NOIRETABLE','LOIRE'),
('42440','ST JEAN LA VETRE','LOIRE'),
('42440','ST JULIEN LA VETRE','LOIRE'),
('42440','ST PRIEST LA VETRE','LOIRE'),
('42440','LES SALLES','LOIRE'),
('42450','SURY LE COMTAL','LOIRE'),
('42460','ARCINGES','LOIRE'),
('42460','BOYER','LOIRE'),
('42460','LE CERGNE','LOIRE'),
('42460','COUTOUVRE','LOIRE'),
('42460','CUINZIER','LOIRE'),
('42460','LA GRESLE','LOIRE'),
('42460','JARNOSSE','LOIRE'),
('42460','SEVELINGES','LOIRE'),
('42460','VILLERS','LOIRE'),
('42470','FOURNEAUX','LOIRE'),
('42470','LAY','LOIRE'),
('42470','NEAUX','LOIRE'),
('42470','ST SYMPHORIEN DE LAY','LOIRE'),
('42480','LA FOUILLOUSE','LOIRE'),
('42490','FRAISSES','LOIRE'),
('42500','LE CHAMBON FEUGEROLLES','LOIRE'),
('42510','BALBIGNY','LOIRE'),
('42510','BUSSIERES','LOIRE'),
('42510','NERONDE','LOIRE'),
('42510','NERVIEUX','LOIRE'),
('42510','STE AGATHE EN DONZY','LOIRE'),
('42510','ST GEORGES DE BAROILLE','LOIRE'),
('42520','BESSEY','LOIRE'),
('42520','LUPE','LOIRE'),
('42520','MACLAS','LOIRE'),
('42520','MALLEVAL','LOIRE'),
('42520','ROISEY','LOIRE'),
('42520','ST APPOLINARD','LOIRE'),
('42520','ST PIERRE DE BOEUF','LOIRE'),
('42520','VERANNE','LOIRE'),
('42530','ST GENEST LERPT','LOIRE'),
('42540','CROIZET SUR GAND','LOIRE'),
('42540','STE COLOMBE SUR GAND','LOIRE'),
('42540','ST JUST LA PENDUE','LOIRE'),
('42550','APINAC','LOIRE'),
('42550','USSON EN FOREZ','LOIRE'),
('42560','BOISSET ST PRIEST','LOIRE'),
('42560','CHAZELLES SUR LAVIEU','LOIRE'),
('42560','CHENEREILLES','LOIRE'),
('42560','GUMIERES','LOIRE'),
('42560','LAVIEU','LOIRE'),
('42560','MARGERIE CHANTAGRET','LOIRE'),
('42560','MAROLS','LOIRE'),
('42560','ST JEAN SOLEYMIEUX','LOIRE'),
('42560','SOLEYMIEUX','LOIRE'),
('42570','ST HEAND','LOIRE'),
('42580','L ETRAT','LOIRE'),
('42580','LA TOUR EN JAREZ','LOIRE'),
('42590','NEULISE','LOIRE'),
('42590','PINAY','LOIRE'),
('42590','ST JODARD','LOIRE'),
('42590','ST PAUL DE VEZELIN','LOIRE'),
('42590','ST PRIEST LA ROCHE','LOIRE'),
('42590','VENDRANGES','LOIRE'),
('42600','BARD','LOIRE'),
('42600','CHALAIN D UZORE','LOIRE'),
('42600','CHALAIN LE COMTAL','LOIRE'),
('42600','CHAMPDIEU','LOIRE'),
('42600','ECOTAY L OLME','LOIRE'),
('42600','ESSERTINES EN CHATELNEUF','LOIRE'),
('42600','GREZIEUX LE FROMENTAL','LOIRE'),
('42600','LERIGNEUX','LOIRE'),
('42600','LEZIGNEUX','LOIRE'),
('42600','MAGNEUX HAUTE RIVE','LOIRE'),
('42600','MOINGT','LOIRE'),
('42600','MONTBRISON','LOIRE'),
('42600','MORNAND','LOIRE'),
('42600','PRALONG','LOIRE'),
('42600','PRECIEUX','LOIRE'),
('42600','ROCHE','LOIRE'),
('42600','ST PAUL D UZORE','LOIRE'),
('42600','ST THOMAS LA GARDE','LOIRE'),
('42600','SAVIGNEUX','LOIRE'),
('42600','VERRIERES EN FOREZ','LOIRE'),
('42610','ST GEORGES HAUTE VILLE','LOIRE'),
('42610','ST ROMAIN LE PUY','LOIRE'),
('42620','ST PIERRE LAVAL','LOIRE'),
('42620','ST MARTIN D ESTREAUX','LOIRE'),
('42630','PRADINES','LOIRE'),
('42630','REGNY','LOIRE'),
('42630','ST VICTOR SUR RHINS','LOIRE'),
('42640','NOAILLY','LOIRE'),
('42640','ST FORGEUX LESPINASSE','LOIRE'),
('42640','ST GERMAIN L ESPINASSE','LOIRE'),
('42640','ST ROMAIN LA MOTTE','LOIRE'),
('42650','ST JEAN BONNEFONDS','LOIRE'),
('42660','LE BESSAT','LOIRE'),
('42660','JONZIEUX','LOIRE'),
('42660','MARLHES','LOIRE'),
('42660','PLANFOY','LOIRE'),
('42660','ST GENEST MALIFAUX','LOIRE'),
('42660','ST REGIS DU COIN','LOIRE'),
('42660','ST ROMAIN LES ATHEUX','LOIRE'),
('42660','TARENTAISE','LOIRE'),
('42670','BELLEROCHE','LOIRE'),
('42670','BELMONT DE LA LOIRE','LOIRE'),
('42670','ECOCHE','LOIRE'),
('42670','ST GERMAIN LA MONTAGNE','LOIRE'),
('42680','ST MARCELLIN EN FOREZ','LOIRE'),
('42700','FIRMINY','LOIRE'),
('42720','LA BENISSON DIEU','LOIRE'),
('42720','BRIENNON','LOIRE'),
('42720','NANDAX','LOIRE'),
('42720','POUILLY SOUS CHARLIEU','LOIRE'),
('42720','VOUGY','LOIRE'),
('42740','DOIZIEUX','LOIRE'),
('42740','ST PAUL EN JAREZ','LOIRE'),
('42740','LA TERRASSE SUR DORLAY','LOIRE'),
('42750','MAIZILLY','LOIRE'),
('42750','MARS','LOIRE'),
('42750','ST DENIS DE CABANNE','LOIRE'),
('42780','VIOLAY','LOIRE'),
('42800','CHAGNON','LOIRE'),
('42800','CHATEAUNEUF','LOIRE'),
('42800','LA CULA','LOIRE'),
('42800','DARGOIRE','LOIRE'),
('42800','RIVE DE GIER','LOIRE'),
('42800','STE CROIX EN JAREZ','LOIRE'),
('42800','GENILAC','LOIRE'),
('42800','ST JOSEPH','LOIRE'),
('42800','ST MARTIN LA PLAINE','LOIRE'),
('42800','ST ROMAIN EN JAREZ','LOIRE'),
('42800','TARTARAS','LOIRE'),
('42810','ROZIER EN DONZY','LOIRE'),
('42820','AMBIERLE','LOIRE'),
('42830','ST PRIEST LA PRUGNE','LOIRE'),
('42830','LA TUILIERE','LOIRE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('42840','COMBRE','LOIRE'),
('42840','MONTAGNY','LOIRE'),
('42890','PALOGNEUX','LOIRE'),
('42890','SAIL SOUS COUZAN','LOIRE'),
('42920','CHALMAZEL','LOIRE'),
('42920','JEANSAGNIERE','LOIRE'),
('42940','CHATELNEUF','LOIRE'),
('42940','ST BONNET LE COURREAU','LOIRE'),
('42990','ST GEORGES EN COUZAN','LOIRE'),
('42990','SAUVAIN','LOIRE'),
('43000','AIGUILHE','HAUTE LOIRE'),
('43000','CEYSSAC','HAUTE LOIRE'),
('43000','ESPALY ST MARCEL','HAUTE LOIRE'),
('43000','LE PUY EN VELAY','HAUTE LOIRE'),
('43100','AGNAT','HAUTE LOIRE'),
('43100','BEAUMONT','HAUTE LOIRE'),
('43100','BRIOUDE','HAUTE LOIRE'),
('43100','CHANIAT','HAUTE LOIRE'),
('43100','COHADE','HAUTE LOIRE'),
('43100','FONTANNES','HAUTE LOIRE'),
('43100','JAVAUGUES','HAUTE LOIRE'),
('43100','LAMOTHE','HAUTE LOIRE'),
('43100','LAVAUDIEU','HAUTE LOIRE'),
('43100','LUBILHAC','HAUTE LOIRE'),
('43100','MERCOEUR','HAUTE LOIRE'),
('43100','PAULHAC','HAUTE LOIRE'),
('43100','ST BEAUZIRE','HAUTE LOIRE'),
('43100','ST JUST PRES BRIOUDE','HAUTE LOIRE'),
('43100','ST LAURENT CHABREUGES','HAUTE LOIRE'),
('43100','VIEILLE BRIOUDE','HAUTE LOIRE'),
('43110','AUREC SUR LOIRE','HAUTE LOIRE'),
('43120','LA CHAPELLE D AUREC','HAUTE LOIRE'),
('43120','MONISTROL SUR LOIRE','HAUTE LOIRE'),
('43130','RETOURNAC','HAUTE LOIRE'),
('43130','ROCHE EN REGNIER','HAUTE LOIRE'),
('43130','ST ANDRE DE CHALENCON','HAUTE LOIRE'),
('43130','ST PIERRE DU CHAMP','HAUTE LOIRE'),
('43130','SOLIGNAC SOUS ROCHE','HAUTE LOIRE'),
('43130','TIRANGES','HAUTE LOIRE'),
('43140','ST DIDIER EN VELAY','HAUTE LOIRE'),
('43140','ST VICTOR MALESCOURS','HAUTE LOIRE'),
('43140','LA SEAUVE SUR SEMENE','HAUTE LOIRE'),
('43150','ALLEYRAC','HAUTE LOIRE'),
('43150','CHADRON','HAUTE LOIRE'),
('43150','LES ESTABLES','HAUTE LOIRE'),
('43150','FREYCENET LA CUCHE','HAUTE LOIRE'),
('43150','FREYCENET LA TOUR','HAUTE LOIRE'),
('43150','GOUDET','HAUTE LOIRE'),
('43150','LAUSSONNE','HAUTE LOIRE'),
('43150','LE MONASTIER SUR GAZEILLE','HAUTE LOIRE'),
('43150','MOUDEYRES','HAUTE LOIRE'),
('43150','PRESAILLES','HAUTE LOIRE'),
('43150','ST MARTIN DE FUGERES','HAUTE LOIRE'),
('43150','SALETTES','HAUTE LOIRE'),
('43160','BERBEZIT','HAUTE LOIRE'),
('43160','BONNEVAL','HAUTE LOIRE'),
('43160','LA CHAISE DIEU','HAUTE LOIRE'),
('43160','LA CHAPELLE GENESTE','HAUTE LOIRE'),
('43160','CISTRIERES','HAUTE LOIRE'),
('43160','CONNANGLES','HAUTE LOIRE'),
('43160','FELINES','HAUTE LOIRE'),
('43160','MALVIERES','HAUTE LOIRE'),
('43160','ST PAL DE SENOUIRE','HAUTE LOIRE'),
('43160','SEMBADEL','HAUTE LOIRE'),
('43170','LA BESSEYRE ST MARY','HAUTE LOIRE'),
('43170','CHANALEILLES','HAUTE LOIRE'),
('43170','CUBELLES','HAUTE LOIRE'),
('43170','ESPLANTAS','HAUTE LOIRE'),
('43170','GREZES','HAUTE LOIRE'),
('43170','SAUGUES','HAUTE LOIRE'),
('43170','THORAS','HAUTE LOIRE'),
('43170','VENTEUGES','HAUTE LOIRE'),
('43190','CHENEREILLES','HAUTE LOIRE'),
('43190','LE MAS DE TENCE','HAUTE LOIRE'),
('43190','TENCE','HAUTE LOIRE'),
('43200','ARAULES','HAUTE LOIRE'),
('43200','BEAUX','HAUTE LOIRE'),
('43200','BESSAMOREL','HAUTE LOIRE'),
('43200','GRAZAC','HAUTE LOIRE'),
('43200','LAPTE','HAUTE LOIRE'),
('43200','LE PERTUIS','HAUTE LOIRE'),
('43200','ST JEURES','HAUTE LOIRE'),
('43200','ST JULIEN DU PINET','HAUTE LOIRE'),
('43200','ST MAURICE DE LIGNON','HAUTE LOIRE'),
('43200','YSSINGEAUX','HAUTE LOIRE'),
('43210','BAS EN BASSET','HAUTE LOIRE'),
('43210','MALVALETTE','HAUTE LOIRE'),
('43210','VALPRIVAS','HAUTE LOIRE'),
('43220','DUNIERES','HAUTE LOIRE'),
('43220','RIOTORD','HAUTE LOIRE'),
('43220','ST JULIEN MOLHESABATE','HAUTE LOIRE'),
('43230','CHASSAGNES','HAUTE LOIRE'),
('43230','CHAVANIAC LAFAYETTE','HAUTE LOIRE'),
('43230','LA CHOMETTE','HAUTE LOIRE'),
('43230','COLLAT','HAUTE LOIRE'),
('43230','COUTEUGES','HAUTE LOIRE'),
('43230','DOMEYRAT','HAUTE LOIRE'),
('43230','FRUGIERES LE PIN','HAUTE LOIRE'),
('43230','JAX','HAUTE LOIRE'),
('43230','JOSAT','HAUTE LOIRE'),
('43230','MAZEYRAT AUROUZE','HAUTE LOIRE'),
('43230','MONTCLARD','HAUTE LOIRE'),
('43230','PAULHAGUET','HAUTE LOIRE'),
('43230','STE EUGENIE DE VILLENEUVE','HAUTE LOIRE'),
('43230','ST GEORGES D AURAC','HAUTE LOIRE'),
('43230','STE MARGUERITE','HAUTE LOIRE'),
('43230','ST PREJET ARMANDON','HAUTE LOIRE'),
('43230','SALZUIT','HAUTE LOIRE'),
('43230','VALS LE CHASTEL','HAUTE LOIRE'),
('43240','ST JUST MALMONT','HAUTE LOIRE'),
('43250','FRUGERES LES MINES','HAUTE LOIRE'),
('43250','STE FLORINE','HAUTE LOIRE'),
('43260','CHAMPCLAUSE','HAUTE LOIRE'),
('43260','LANTRIAC','HAUTE LOIRE'),
('43260','MONTUSCLAT','HAUTE LOIRE'),
('43260','QUEYRIERES','HAUTE LOIRE'),
('43260','ST ETIENNE LARDEYROL','HAUTE LOIRE'),
('43260','ST HOSTIEN','HAUTE LOIRE'),
('43260','ST JULIEN CHAPTEUIL','HAUTE LOIRE'),
('43260','ST PIERRE EYNAC','HAUTE LOIRE'),
('43270','ALLEGRE','HAUTE LOIRE'),
('43270','CEAUX D ALLEGRE','HAUTE LOIRE'),
('43270','LA CHAPELLE BERTIN','HAUTE LOIRE'),
('43270','MONLET','HAUTE LOIRE'),
('43270','VARENNES ST HONORAT','HAUTE LOIRE'),
('43270','VERNASSAL','HAUTE LOIRE'),
('43290','MONTFAUCON EN VELAY','HAUTE LOIRE'),
('43290','MONTREGARD','HAUTE LOIRE'),
('43290','RAUCOULES','HAUTE LOIRE'),
('43290','ST BONNET LE FROID','HAUTE LOIRE'),
('43300','VISSAC AUTEYRAC','HAUTE LOIRE'),
('43300','AUVERS','HAUTE LOIRE'),
('43300','CHANTEUGES','HAUTE LOIRE'),
('43300','CHARRAIX','HAUTE LOIRE'),
('43300','CHASTEL','HAUTE LOIRE'),
('43300','CHAZELLES','HAUTE LOIRE'),
('43300','CRONCE','HAUTE LOIRE'),
('43300','DESGES','HAUTE LOIRE'),
('43300','FERRUSSAC','HAUTE LOIRE'),
('43300','LANGEAC','HAUTE LOIRE'),
('43300','MAZEYRAT D ALLIER','HAUTE LOIRE'),
('43300','PEBRAC','HAUTE LOIRE'),
('43300','PINOLS','HAUTE LOIRE'),
('43300','PRADES','HAUTE LOIRE'),
('43300','REILHAC','HAUTE LOIRE'),
('43300','ST ARCONS D ALLIER','HAUTE LOIRE'),
('43300','ST BERAIN','HAUTE LOIRE'),
('43300','ST EBLE','HAUTE LOIRE'),
('43300','ST JULIEN DES CHAZES','HAUTE LOIRE'),
('43300','STE MARIE DES CHAZES','HAUTE LOIRE'),
('43300','SIAUGUES STE MARIE','HAUTE LOIRE'),
('43300','TAILHAC','HAUTE LOIRE'),
('43300','VISSAC','HAUTE LOIRE'),
('43320','CHASPUZAC','HAUTE LOIRE'),
('43320','FIX ST GENEYS','HAUTE LOIRE'),
('43320','LOUDES','HAUTE LOIRE'),
('43320','ST JEAN DE NAY','HAUTE LOIRE'),
('43320','ST VIDAL','HAUTE LOIRE'),
('43320','SANSSAC L EGLISE','HAUTE LOIRE'),
('43320','VAZEILLES LIMANDRE','HAUTE LOIRE'),
('43320','VERGEZAC','HAUTE LOIRE'),
('43320','LE VERNET','HAUTE LOIRE'),
('43330','PONT SALOMON','HAUTE LOIRE'),
('43330','ST FERREOL D AUROURE','HAUTE LOIRE'),
('43340','BARGES','HAUTE LOIRE'),
('43340','LANDOS','HAUTE LOIRE'),
('43340','RAURET','HAUTE LOIRE'),
('43340','ST CHRISTOPHE D\'ALLIER','HAUTE LOIRE'),
('43340','ST HAON','HAUTE LOIRE'),
('43340','LA SAUVETAT','HAUTE LOIRE'),
('43350','BELLEVUE LA MONTAGNE','HAUTE LOIRE'),
('43350','BLANZAC','HAUTE LOIRE'),
('43350','BORNE','HAUTE LOIRE'),
('43350','LISSAC','HAUTE LOIRE'),
('43350','ST GENEYS PRES ST PAULIEN','HAUTE LOIRE'),
('43350','ST PAULIEN','HAUTE LOIRE'),
('43360','BOURNONCLE ST PIERRE','HAUTE LOIRE'),
('43360','LORLANGES','HAUTE LOIRE'),
('43360','ST GERON','HAUTE LOIRE'),
('43360','VERGONGHEON','HAUTE LOIRE'),
('43360','ARVANT','HAUTE LOIRE'),
('43370','BAINS','HAUTE LOIRE'),
('43370','LE BRIGNON','HAUTE LOIRE'),
('43370','CUSSAC SUR LOIRE','HAUTE LOIRE'),
('43370','ST CHRISTOPHE SUR DOLAISO','HAUTE LOIRE'),
('43370','SOLIGNAC SUR LOIRE','HAUTE LOIRE'),
('43380','ALLY','HAUTE LOIRE'),
('43380','ARLET','HAUTE LOIRE'),
('43380','AUBAZAT','HAUTE LOIRE'),
('43380','BLASSAC','HAUTE LOIRE'),
('43380','CERZAT','HAUTE LOIRE'),
('43380','CHILHAC','HAUTE LOIRE'),
('43380','LAVOUTE CHILHAC','HAUTE LOIRE'),
('43380','ST AUSTREMOINE','HAUTE LOIRE'),
('43380','ST CIRGUES','HAUTE LOIRE'),
('43380','ST ILPIZE','HAUTE LOIRE'),
('43380','ST PRIVAT DU DRAGON','HAUTE LOIRE'),
('43380','VILLENEUVE D ALLIER','HAUTE LOIRE'),
('43390','AUZON','HAUTE LOIRE'),
('43390','AZERAT','HAUTE LOIRE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('43390','ST HILAIRE','HAUTE LOIRE'),
('43390','VEZEZOUX','HAUTE LOIRE'),
('43400','LE CHAMBON SUR LIGNON','HAUTE LOIRE'),
('43410','CHAMBEZON','HAUTE LOIRE'),
('43410','LEMPDES','HAUTE LOIRE'),
('43410','LEOTOING','HAUTE LOIRE'),
('43420','PRADELLES','HAUTE LOIRE'),
('43420','ST ARCONS DE BARGES','HAUTE LOIRE'),
('43420','ST ETIENNE DU VIGAN','HAUTE LOIRE'),
('43420','ST PAUL DE TARTAS','HAUTE LOIRE'),
('43430','CHAUDEYROLLES','HAUTE LOIRE'),
('43430','FAY SUR LIGNON','HAUTE LOIRE'),
('43430','LES VASTRES','HAUTE LOIRE'),
('43440','CHAMPAGNAC LE VIEUX','HAUTE LOIRE'),
('43440','CHASSIGNOLLES','HAUTE LOIRE'),
('43440','LAVAL SUR DOULON','HAUTE LOIRE'),
('43440','ST DIDIER SUR DOULON','HAUTE LOIRE'),
('43440','ST VERT','HAUTE LOIRE'),
('43450','LEYVAUX','HAUTE LOIRE'),
('43450','AUTRAC','HAUTE LOIRE'),
('43450','BLESLE','HAUTE LOIRE'),
('43450','ESPALEM','HAUTE LOIRE'),
('43450','GRENIER MONTGON','HAUTE LOIRE'),
('43450','ST ETIENNE SUR BLESLE','HAUTE LOIRE'),
('43450','TORSIAC','HAUTE LOIRE'),
('43490','ARLEMPDES','HAUTE LOIRE'),
('43490','COSTAROS','HAUTE LOIRE'),
('43490','LAFARRE','HAUTE LOIRE'),
('43490','VIELPRAT','HAUTE LOIRE'),
('43500','BEAUNE SUR ARZON','HAUTE LOIRE'),
('43500','BOISSET','HAUTE LOIRE'),
('43500','CHOMELIX','HAUTE LOIRE'),
('43500','CRAPONNE SUR ARZON','HAUTE LOIRE'),
('43500','JULLIANGES','HAUTE LOIRE'),
('43500','ST GEORGES LAGRICOL','HAUTE LOIRE'),
('43500','ST JEAN D AUBRIGOUX','HAUTE LOIRE'),
('43500','ST JULIEN D ANCE','HAUTE LOIRE'),
('43500','ST PAL DE CHALENCON','HAUTE LOIRE'),
('43500','ST VICTOR SUR ARLANC','HAUTE LOIRE'),
('43510','LE BOUCHET ST NICOLAS','HAUTE LOIRE'),
('43510','CAYRES','HAUTE LOIRE'),
('43510','OUIDES','HAUTE LOIRE'),
('43510','ST JEAN LACHALM','HAUTE LOIRE'),
('43510','SENEUJOLS','HAUTE LOIRE'),
('43520','MAZET ST VOY','HAUTE LOIRE'),
('43550','ST FRONT','HAUTE LOIRE'),
('43580','ALLEYRAS','HAUTE LOIRE'),
('43580','CROISANCES','HAUTE LOIRE'),
('43580','MONISTROL D ALLIER','HAUTE LOIRE'),
('43580','ST DIDIER D ALLIER','HAUTE LOIRE'),
('43580','ST PREJET D ALLIER','HAUTE LOIRE'),
('43580','ST PRIVAT D ALLIER','HAUTE LOIRE'),
('43580','ST VENERAND','HAUTE LOIRE'),
('43580','VAZEILLES PRES SAUGUES','HAUTE LOIRE'),
('43590','BEAUZAC','HAUTE LOIRE'),
('43600','STE SIGOLENE','HAUTE LOIRE'),
('43600','LES VILLETTES','HAUTE LOIRE'),
('43620','ST PAL DE MONS','HAUTE LOIRE'),
('43620','ST ROMAIN LACHALM','HAUTE LOIRE'),
('43700','ARSAC EN VELAY','HAUTE LOIRE'),
('43700','BLAVOZY','HAUTE LOIRE'),
('43700','BRIVES CHARENSAC','HAUTE LOIRE'),
('43700','CHASPINHAC','HAUTE LOIRE'),
('43700','COUBON','HAUTE LOIRE'),
('43700','LE MONTEIL','HAUTE LOIRE'),
('43700','ST GERMAIN LAPRADE','HAUTE LOIRE'),
('43750','VALS PRES LE PUY','HAUTE LOIRE'),
('43770','CHADRAC','HAUTE LOIRE'),
('43770','POLIGNAC','HAUTE LOIRE'),
('43800','BEAULIEU SUR LOIRE','HAUTE LOIRE'),
('43800','CHAMALIERES SUR LOIRE','HAUTE LOIRE'),
('43800','LAVOUTE SUR LOIRE','HAUTE LOIRE'),
('43800','MALREVERS','HAUTE LOIRE'),
('43800','MEZERES','HAUTE LOIRE'),
('43800','ROSIERES','HAUTE LOIRE'),
('43800','ST VINCENT','HAUTE LOIRE'),
('43800','VOREY','HAUTE LOIRE'),
('44000','NANTES','LOIRE ATLANTIQUE'),
('44110','CHATEAUBRIANT','LOIRE ATLANTIQUE'),
('44110','ERBRAY','LOIRE ATLANTIQUE'),
('44110','LOUISFERT','LOIRE ATLANTIQUE'),
('44110','NOYAL SUR BRUTZ','LOIRE ATLANTIQUE'),
('44110','ST AUBIN DES CHATEAUX','LOIRE ATLANTIQUE'),
('44110','SOUDAN','LOIRE ATLANTIQUE'),
('44110','VILLEPOT','LOIRE ATLANTIQUE'),
('44115','BASSE GOULAINE','LOIRE ATLANTIQUE'),
('44115','HAUTE GOULAINE','LOIRE ATLANTIQUE'),
('44116','VIEILLEVIGNE','LOIRE ATLANTIQUE'),
('44117','ST ANDRE DES EAUX','LOIRE ATLANTIQUE'),
('44118','LA CHEVROLIERE','LOIRE ATLANTIQUE'),
('44118','PASSAY','LOIRE ATLANTIQUE'),
('44119','GRANDCHAMPS DES FONTAINES','LOIRE ATLANTIQUE'),
('44119','TREILLIERES','LOIRE ATLANTIQUE'),
('44120','VERTOU','LOIRE ATLANTIQUE'),
('44120','BEAUTOUR','LOIRE ATLANTIQUE'),
('44130','BLAIN','LOIRE ATLANTIQUE'),
('44130','BOUVRON','LOIRE ATLANTIQUE'),
('44130','FAY DE BRETAGNE','LOIRE ATLANTIQUE'),
('44130','LE GAVRE','LOIRE ATLANTIQUE'),
('44130','NOTRE DAME DES LANDES','LOIRE ATLANTIQUE'),
('44130','ST EMILIEN DE BLAIN','LOIRE ATLANTIQUE'),
('44130','ST OMER DE BLAIN','LOIRE ATLANTIQUE'),
('44140','AIGREFEUILLE SUR MAINE','LOIRE ATLANTIQUE'),
('44140','LE BIGNON','LOIRE ATLANTIQUE'),
('44140','MONTBERT','LOIRE ATLANTIQUE'),
('44140','LA PLANCHE','LOIRE ATLANTIQUE'),
('44140','REMOUILLE','LOIRE ATLANTIQUE'),
('44140','GENESTON','LOIRE ATLANTIQUE'),
('44150','ANCENIS','LOIRE ATLANTIQUE'),
('44150','ANETZ','LOIRE ATLANTIQUE'),
('44150','ST GEREON','LOIRE ATLANTIQUE'),
('44150','ST HERBLON','LOIRE ATLANTIQUE'),
('44160','BESNE','LOIRE ATLANTIQUE'),
('44160','CROSSAC','LOIRE ATLANTIQUE'),
('44160','PONTCHATEAU','LOIRE ATLANTIQUE'),
('44160','STE ANNE SUR BRIVET','LOIRE ATLANTIQUE'),
('44160','STE REINE DE BRETAGNE','LOIRE ATLANTIQUE'),
('44160','ST GUILLAUME','LOIRE ATLANTIQUE'),
('44160','ST ROCH','LOIRE ATLANTIQUE'),
('44170','ABBARETZ','LOIRE ATLANTIQUE'),
('44170','JANS','LOIRE ATLANTIQUE'),
('44170','MARSAC SUR DON','LOIRE ATLANTIQUE'),
('44170','NOZAY','LOIRE ATLANTIQUE'),
('44170','TREFFIEUX','LOIRE ATLANTIQUE'),
('44170','VAY','LOIRE ATLANTIQUE'),
('44170','LA GRIGONNAIS','LOIRE ATLANTIQUE'),
('44190','BOUSSAY','LOIRE ATLANTIQUE'),
('44190','CLISSON','LOIRE ATLANTIQUE'),
('44190','GETIGNE','LOIRE ATLANTIQUE'),
('44190','GORGES','LOIRE ATLANTIQUE'),
('44190','ST HILAIRE DE CLISSON','LOIRE ATLANTIQUE'),
('44190','ST LUMINE DE CLISSON','LOIRE ATLANTIQUE'),
('44210','LE CLION SUR MER','LOIRE ATLANTIQUE'),
('44210','PORNIC','LOIRE ATLANTIQUE'),
('44210','STE MARIE SUR MER','LOIRE ATLANTIQUE'),
('44220','COUERON','LOIRE ATLANTIQUE'),
('44220','LA CHABOSSIERE','LOIRE ATLANTIQUE'),
('44230','ST SEBASTIEN SUR LOIRE','LOIRE ATLANTIQUE'),
('44240','LA CHAPELLE SUR ERDRE','LOIRE ATLANTIQUE'),
('44240','SUCE SUR ERDRE','LOIRE ATLANTIQUE'),
('44250','ST BREVIN LES PINS','LOIRE ATLANTIQUE'),
('44250','MINDIN','LOIRE ATLANTIQUE'),
('44250','ST BREVIN L OCEAN','LOIRE ATLANTIQUE'),
('44260','BOUEE','LOIRE ATLANTIQUE'),
('44260','LA CHAPELLE LAUNAY','LOIRE ATLANTIQUE'),
('44260','LAVAU SUR LOIRE','LOIRE ATLANTIQUE'),
('44260','MALVILLE','LOIRE ATLANTIQUE'),
('44260','PRINQUIAU','LOIRE ATLANTIQUE'),
('44260','SAVENAY','LOIRE ATLANTIQUE'),
('44270','MACHECOUL','LOIRE ATLANTIQUE'),
('44270','LA MARNE','LOIRE ATLANTIQUE'),
('44270','PAULX','LOIRE ATLANTIQUE'),
('44270','ST ETIENNE DE MER MORTE','LOIRE ATLANTIQUE'),
('44270','ST MEME LE TENU','LOIRE ATLANTIQUE'),
('44290','CONQUEREUIL','LOIRE ATLANTIQUE'),
('44290','GUEMENE PENFAO','LOIRE ATLANTIQUE'),
('44290','MASSERAC','LOIRE ATLANTIQUE'),
('44290','PIERRIC','LOIRE ATLANTIQUE'),
('44290','BESLE SUR VILAINE','LOIRE ATLANTIQUE'),
('44290','GUENOUVRY','LOIRE ATLANTIQUE'),
('44310','LA LIMOUZINIERE','LOIRE ATLANTIQUE'),
('44310','ST COLOMBAN','LOIRE ATLANTIQUE'),
('44310','ST LUMINE DE COUTAIS','LOIRE ATLANTIQUE'),
('44310','ST PHILBERT DE GRAND LIEU','LOIRE ATLANTIQUE'),
('44310','PONT JAMES','LOIRE ATLANTIQUE'),
('44320','ARTHON EN RETZ','LOIRE ATLANTIQUE'),
('44320','CHAUVE','LOIRE ATLANTIQUE'),
('44320','FROSSAY','LOIRE ATLANTIQUE'),
('44320','ST PERE EN RETZ','LOIRE ATLANTIQUE'),
('44320','ST VIAUD','LOIRE ATLANTIQUE'),
('44320','LA SICAUDAIS','LOIRE ATLANTIQUE'),
('44330','LA CHAPELLE HEULIN','LOIRE ATLANTIQUE'),
('44330','MOUZILLON','LOIRE ATLANTIQUE'),
('44330','LE PALLET','LOIRE ATLANTIQUE'),
('44330','LA REGRIPPIERE','LOIRE ATLANTIQUE'),
('44330','VALLET','LOIRE ATLANTIQUE'),
('44340','BOUGUENAIS','LOIRE ATLANTIQUE'),
('44340','LES COUETS','LOIRE ATLANTIQUE'),
('44350','GUERANDE','LOIRE ATLANTIQUE'),
('44350','ST MOLF','LOIRE ATLANTIQUE'),
('44350','CLIS','LOIRE ATLANTIQUE'),
('44350','LA MADELEINE','LOIRE ATLANTIQUE'),
('44350','SAILLE','LOIRE ATLANTIQUE'),
('44360','CORDEMAIS','LOIRE ATLANTIQUE'),
('44360','ST ETIENNE DE MONTLUC','LOIRE ATLANTIQUE'),
('44360','LE TEMPLE DE BRETAGNE','LOIRE ATLANTIQUE'),
('44360','VIGNEUX DE BRETAGNE','LOIRE ATLANTIQUE'),
('44360','LA PAQUELAIS','LOIRE ATLANTIQUE'),
('44370','BELLIGNE','LOIRE ATLANTIQUE'),
('44370','LA CHAPELLE ST SAUVEUR','LOIRE ATLANTIQUE'),
('44370','MONTRELAIS','LOIRE ATLANTIQUE'),
('44370','LA ROUXIERE','LOIRE ATLANTIQUE'),
('44370','VARADES','LOIRE ATLANTIQUE'),
('44380','PORNICHET','LOIRE ATLANTIQUE'),
('44390','CASSON','LOIRE ATLANTIQUE'),
('44390','NORT SUR ERDRE','LOIRE ATLANTIQUE'),
('44390','PETIT MARS','LOIRE ATLANTIQUE'),
('44390','PUCEUL','LOIRE ATLANTIQUE'),
('44390','SAFFRE','LOIRE ATLANTIQUE'),
('44390','LES TOUCHES','LOIRE ATLANTIQUE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('44400','REZE','LOIRE ATLANTIQUE'),
('44400','PONT ROUSSEAU','LOIRE ATLANTIQUE'),
('44410','ASSERAC','LOIRE ATLANTIQUE'),
('44410','LA CHAPELLE DES MARAIS','LOIRE ATLANTIQUE'),
('44410','HERBIGNAC','LOIRE ATLANTIQUE'),
('44410','ST LYPHARD','LOIRE ATLANTIQUE'),
('44410','POMPAS','LOIRE ATLANTIQUE'),
('44410','PONT D ARMES','LOIRE ATLANTIQUE'),
('44420','MESQUER','LOIRE ATLANTIQUE'),
('44420','PIRIAC SUR MER','LOIRE ATLANTIQUE'),
('44420','LA TURBALLE','LOIRE ATLANTIQUE'),
('44420','QUIMIAC','LOIRE ATLANTIQUE'),
('44420','TRESCALAN','LOIRE ATLANTIQUE'),
('44430','LA BOISSIERE DU DORE','LOIRE ATLANTIQUE'),
('44430','LE LANDREAU','LOIRE ATLANTIQUE'),
('44430','LE LOROUX BOTTEREAU','LOIRE ATLANTIQUE'),
('44430','LA REMAUDIERE','LOIRE ATLANTIQUE'),
('44440','JOUE SUR ERDRE','LOIRE ATLANTIQUE'),
('44440','PANNECE','LOIRE ATLANTIQUE'),
('44440','RIAILLE','LOIRE ATLANTIQUE'),
('44440','TEILLE','LOIRE ATLANTIQUE'),
('44440','TRANS SUR ERDRE','LOIRE ATLANTIQUE'),
('44440','NOTRE DAME DES LANGUEURS','LOIRE ATLANTIQUE'),
('44450','BARBECHAT','LOIRE ATLANTIQUE'),
('44450','LA CHAPELLE BASSE MER','LOIRE ATLANTIQUE'),
('44450','ST JULIEN DE CONCELLES','LOIRE ATLANTIQUE'),
('44460','AVESSAC','LOIRE ATLANTIQUE'),
('44460','FEGREAC','LOIRE ATLANTIQUE'),
('44460','ST NICOLAS DE REDON','LOIRE ATLANTIQUE'),
('44470','CARQUEFOU','LOIRE ATLANTIQUE'),
('44470','MAUVES SUR LOIRE','LOIRE ATLANTIQUE'),
('44470','THOUARE SUR LOIRE','LOIRE ATLANTIQUE'),
('44480','DONGES','LOIRE ATLANTIQUE'),
('44490','LE CROISIC','LOIRE ATLANTIQUE'),
('44500','LA BAULE ESCOUBLAC','LOIRE ATLANTIQUE'),
('44510','LE POULIGUEN','LOIRE ATLANTIQUE'),
('44520','GRAND AUVERNE','LOIRE ATLANTIQUE'),
('44520','ISSE','LOIRE ATLANTIQUE'),
('44520','LA MEILLERAYE DE BRETAGNE','LOIRE ATLANTIQUE'),
('44520','MOISDON LA RIVIERE','LOIRE ATLANTIQUE'),
('44521','COUFFE','LOIRE ATLANTIQUE'),
('44521','OUDON','LOIRE ATLANTIQUE'),
('44522','MESANGER','LOIRE ATLANTIQUE'),
('44522','POUILLE LES COTEAUX','LOIRE ATLANTIQUE'),
('44522','LA ROCHE BLANCHE','LOIRE ATLANTIQUE'),
('44530','DREFFEAC','LOIRE ATLANTIQUE'),
('44530','GUENROUET','LOIRE ATLANTIQUE'),
('44530','ST GILDAS DES BOIS','LOIRE ATLANTIQUE'),
('44530','SEVERAC','LOIRE ATLANTIQUE'),
('44530','NOTRE DAME DE GRACE','LOIRE ATLANTIQUE'),
('44540','BONNOEUVRE','LOIRE ATLANTIQUE'),
('44540','MAUMUSSON','LOIRE ATLANTIQUE'),
('44540','LE PIN','LOIRE ATLANTIQUE'),
('44540','ST MARS LA JAILLE','LOIRE ATLANTIQUE'),
('44540','ST SULPICE DES LANDES','LOIRE ATLANTIQUE'),
('44550','MONTOIR DE BRETAGNE','LOIRE ATLANTIQUE'),
('44550','ST MALO DE GUERSAC','LOIRE ATLANTIQUE'),
('44560','CORSEPT','LOIRE ATLANTIQUE'),
('44560','PAIMBOEUF','LOIRE ATLANTIQUE'),
('44570','TRIGNAC','LOIRE ATLANTIQUE'),
('44580','BOURGNEUF EN RETZ','LOIRE ATLANTIQUE'),
('44580','FRESNAY EN RETZ','LOIRE ATLANTIQUE'),
('44580','LES MOUTIERS EN RETZ','LOIRE ATLANTIQUE'),
('44580','ST CYR EN RETZ','LOIRE ATLANTIQUE'),
('44590','DERVAL','LOIRE ATLANTIQUE'),
('44590','LUSANGER','LOIRE ATLANTIQUE'),
('44590','MOUAIS','LOIRE ATLANTIQUE'),
('44590','ST VINCENT DES LANDES','LOIRE ATLANTIQUE'),
('44590','SION LES MINES','LOIRE ATLANTIQUE'),
('44600','ST NAZAIRE','LOIRE ATLANTIQUE'),
('44600','ST MARC SUR MER','LOIRE ATLANTIQUE'),
('44610','INDRE','LOIRE ATLANTIQUE'),
('44610','BASSE INDRE','LOIRE ATLANTIQUE'),
('44610','HAUTE INDRE','LOIRE ATLANTIQUE'),
('44620','LA MONTAGNE','LOIRE ATLANTIQUE'),
('44620','INDRET','LOIRE ATLANTIQUE'),
('44630','PLESSE','LOIRE ATLANTIQUE'),
('44630','LE COUDRAY','LOIRE ATLANTIQUE'),
('44630','LE DRESNY','LOIRE ATLANTIQUE'),
('44640','CHEIX EN RETZ','LOIRE ATLANTIQUE'),
('44640','LE PELLERIN','LOIRE ATLANTIQUE'),
('44640','ROUANS','LOIRE ATLANTIQUE'),
('44640','ST JEAN DE BOISEAU','LOIRE ATLANTIQUE'),
('44640','VUE','LOIRE ATLANTIQUE'),
('44650','LEGE','LOIRE ATLANTIQUE'),
('44650','CORCOUE SUR LOGNE','LOIRE ATLANTIQUE'),
('44650','ST JEAN DE CORCOUE','LOIRE ATLANTIQUE'),
('44650','TOUVOIS','LOIRE ATLANTIQUE'),
('44650','LA BENATE','LOIRE ATLANTIQUE'),
('44660','FERCE','LOIRE ATLANTIQUE'),
('44660','ROUGE','LOIRE ATLANTIQUE'),
('44660','RUFFIGNE','LOIRE ATLANTIQUE'),
('44660','SOULVACHE','LOIRE ATLANTIQUE'),
('44670','LA CHAPELLE GLAIN','LOIRE ATLANTIQUE'),
('44670','JUIGNE DES MOUTIERS','LOIRE ATLANTIQUE'),
('44670','PETIT AUVERNE','LOIRE ATLANTIQUE'),
('44670','ST JULIEN DE VOUVANTES','LOIRE ATLANTIQUE'),
('44680','CHEMERE','LOIRE ATLANTIQUE'),
('44680','ST HILAIRE DE CHALEONS','LOIRE ATLANTIQUE'),
('44680','ST MARS DE COUTAIS','LOIRE ATLANTIQUE'),
('44680','STE PAZANNE','LOIRE ATLANTIQUE'),
('44690','CHATEAU THEBAUD','LOIRE ATLANTIQUE'),
('44690','LA HAIE FOUASSIERE','LOIRE ATLANTIQUE'),
('44690','MAISDON SUR SEVRE','LOIRE ATLANTIQUE'),
('44690','MONNIERES','LOIRE ATLANTIQUE'),
('44690','ST FIACRE SUR MAINE','LOIRE ATLANTIQUE'),
('44700','ORVAULT','LOIRE ATLANTIQUE'),
('44710','PORT ST PERE','LOIRE ATLANTIQUE'),
('44710','ST LEGER LES VIGNES','LOIRE ATLANTIQUE'),
('44720','ST JOACHIM','LOIRE ATLANTIQUE'),
('44730','ST MICHEL CHEF CHEF','LOIRE ATLANTIQUE'),
('44730','THARON PLAGE','LOIRE ATLANTIQUE'),
('44740','BATZ SUR MER','LOIRE ATLANTIQUE'),
('44750','CAMPBON','LOIRE ATLANTIQUE'),
('44750','QUILLY','LOIRE ATLANTIQUE'),
('44760','LA BERNERIE EN RETZ','LOIRE ATLANTIQUE'),
('44770','LA PLAINE SUR MER','LOIRE ATLANTIQUE'),
('44770','PREFAILLES','LOIRE ATLANTIQUE'),
('44780','MISSILLAC','LOIRE ATLANTIQUE'),
('44800','ST HERBLAIN','LOIRE ATLANTIQUE'),
('44810','HERIC','LOIRE ATLANTIQUE'),
('44810','LA CHEVALLERAIS','LOIRE ATLANTIQUE'),
('44830','BOUAYE','LOIRE ATLANTIQUE'),
('44830','BRAINS','LOIRE ATLANTIQUE'),
('44840','LES SORINIERES','LOIRE ATLANTIQUE'),
('44850','LE CELLIER','LOIRE ATLANTIQUE'),
('44850','LIGNE','LOIRE ATLANTIQUE'),
('44850','MOUZEIL','LOIRE ATLANTIQUE'),
('44850','ST MARS DU DESERT','LOIRE ATLANTIQUE'),
('44860','PONT ST MARTIN','LOIRE ATLANTIQUE'),
('44860','ST AIGNAN GRANDLIEU','LOIRE ATLANTIQUE'),
('44860','VIAIS','LOIRE ATLANTIQUE'),
('44880','SAUTRON','LOIRE ATLANTIQUE'),
('44980','STE LUCE SUR LOIRE','LOIRE ATLANTIQUE'),
('45000','ORLEANS','LOIRET'),
('45100','LA SOURCE','LOIRET'),
('45110','CHATEAUNEUF SUR LOIRE','LOIRET'),
('45110','GERMIGNY DES PRES','LOIRET'),
('45110','ST MARTIN D ABBAT','LOIRET'),
('45110','SIGLOY','LOIRET'),
('45120','CEPOY','LOIRET'),
('45120','CHALETTE SUR LOING','LOIRET'),
('45120','CORQUILLEROY','LOIRET'),
('45120','GIROLLES','LOIRET'),
('45130','BACCON','LOIRET'),
('45130','LE BARDON','LOIRET'),
('45130','BAULE','LOIRET'),
('45130','CHARSONVILLE','LOIRET'),
('45130','COULMIERS','LOIRET'),
('45130','EPIEDS EN BEAUCE','LOIRET'),
('45130','HUISSEAU SUR MAUVES','LOIRET'),
('45130','MEUNG SUR LOIRE','LOIRET'),
('45130','ROZIERES EN BEAUCE','LOIRET'),
('45130','ST AY','LOIRET'),
('45140','BOULAY LES BARRES','LOIRET'),
('45140','BUCY ST LIPHARD','LOIRET'),
('45140','INGRE','LOIRET'),
('45140','ORMES','LOIRET'),
('45140','ST JEAN DE LA RUELLE','LOIRET'),
('45150','DARVOY','LOIRET'),
('45150','FEROLLES','LOIRET'),
('45150','JARGEAU','LOIRET'),
('45150','OUVROUER LES CHAMPS','LOIRET'),
('45160','ARDON','LOIRET'),
('45160','OLIVET','LOIRET'),
('45160','ST HILAIRE ST MESMIN','LOIRET'),
('45170','ASCHERES LE MARCHE','LOIRET'),
('45170','ATTRAY','LOIRET'),
('45170','BOUGY LEZ NEUVILLE','LOIRET'),
('45170','CHILLEURS AUX BOIS','LOIRET'),
('45170','CROTTES EN PITHIVERAIS','LOIRET'),
('45170','MONTIGNY','LOIRET'),
('45170','NEUVILLE AUX BOIS','LOIRET'),
('45170','OISON','LOIRET'),
('45170','ST LYE LA FORET','LOIRET'),
('45170','SANTEAU','LOIRET'),
('45170','TEILLAY ST BENOIT','LOIRET'),
('45170','TIVERNON','LOIRET'),
('45170','VILLEREAU','LOIRET'),
('45190','BEAUGENCY','LOIRET'),
('45190','CRAVANT','LOIRET'),
('45190','MESSAS','LOIRET'),
('45190','TAVERS','LOIRET'),
('45190','VILLORCEAU','LOIRET'),
('45200','AMILLY','LOIRET'),
('45200','MONTARGIS','LOIRET'),
('45200','PAUCOURT','LOIRET'),
('45210','BAZOCHES SUR LE BETZ','LOIRET'),
('45210','LE BIGNON MIRABEAU','LOIRET'),
('45210','LA CHAPELLE ST SEPULCRE','LOIRET'),
('45210','CHEVANNES','LOIRET'),
('45210','CHEVRY SOUS LE BIGNON','LOIRET'),
('45210','FERRIERES','LOIRET'),
('45210','FONTENAY SUR LOING','LOIRET'),
('45210','GRISELLES','LOIRET'),
('45210','LOUZOUER','LOIRET'),
('45210','MERINVILLE','LOIRET'),
('45210','NARGIS','LOIRET'),
('45210','PERS EN GATINAIS','LOIRET'),
('45210','ROSOY LE VIEIL','LOIRET');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('45210','ST LOUP DE GONOIS','LOIRET'),
('45210','LA SELLE EN HERMOY','LOIRET'),
('45210','LA SELLE SUR LE BIED','LOIRET'),
('45210','THORAILLES','LOIRET'),
('45220','CHATEAURENARD','LOIRET'),
('45220','CHUELLES','LOIRET'),
('45220','DOUCHY','LOIRET'),
('45220','GY LES MONAINS','LOIRET'),
('45220','MELLEROY','LOIRET'),
('45220','MONTCORBON','LOIRET'),
('45220','ST FIRMIN DES BOIS','LOIRET'),
('45220','ST GERMAIN DES PRES','LOIRET'),
('45220','TRIGUERES','LOIRET'),
('45230','ADON','LOIRET'),
('45230','AILLANT SUR MILLERON','LOIRET'),
('45230','LA BUSSIERE','LOIRET'),
('45230','LA CHAPELLE SUR AVEYRON','LOIRET'),
('45230','LE CHARME','LOIRET'),
('45230','CHATILLON COLIGNY','LOIRET'),
('45230','DAMMARIE SUR LOING','LOIRET'),
('45230','FEINS EN GATINAIS','LOIRET'),
('45230','MONTBOUY','LOIRET'),
('45230','STE GENEVIEVE DES BOIS','LOIRET'),
('45230','ST MAURICE SUR AVEYRON','LOIRET'),
('45240','LA FERTE ST AUBIN','LOIRET'),
('45240','LIGNY LE RIBAULT','LOIRET'),
('45240','MARCILLY EN VILLETTE','LOIRET'),
('45240','MENESTREAU EN VILLETTE','LOIRET'),
('45240','SENNELY','LOIRET'),
('45250','BRETEAU','LOIRET'),
('45250','BRIARE','LOIRET'),
('45250','ESCRIGNELLES','LOIRET'),
('45250','OUSSON SUR LOIRE','LOIRET'),
('45250','OUZOUER SUR TREZEE','LOIRET'),
('45260','CHAILLY EN GATINAIS','LOIRET'),
('45260','CHATENOY','LOIRET'),
('45260','COUDROY','LOIRET'),
('45260','LA COUR MARIGNY','LOIRET'),
('45260','LORRIS','LOIRET'),
('45260','MONTEREAU','LOIRET'),
('45260','NOYERS','LOIRET'),
('45260','PRESNOY','LOIRET'),
('45260','THIMORY','LOIRET'),
('45260','VIEILLES MAISONS SUR JOUD','LOIRET'),
('45270','AUVILLIERS EN GATINAIS','LOIRET'),
('45270','BEAUCHAMP SUR HUILLARD','LOIRET'),
('45270','BELLEGARDE','LOIRET'),
('45270','CHAPELON','LOIRET'),
('45270','FREVILLE DU GATINAIS','LOIRET'),
('45270','LADON','LOIRET'),
('45270','MEZIERES EN GATINAIS','LOIRET'),
('45270','MOULON','LOIRET'),
('45270','NESPLOY','LOIRET'),
('45270','OUZOUER SOUS BELLEGARDE','LOIRET'),
('45270','QUIERS SUR BEZONDE','LOIRET'),
('45270','VILLEMOUTIERS','LOIRET'),
('45290','BOISMORAND','LOIRET'),
('45290','LES CHOUX','LOIRET'),
('45290','LANGESSE','LOIRET'),
('45290','LE MOULINET SUR SOLIN','LOIRET'),
('45290','NOGENT SUR VERNISSON','LOIRET'),
('45290','OUSSOY EN GATINAIS','LOIRET'),
('45290','OUZOUER DES CHAMPS','LOIRET'),
('45290','PRESSIGNY LES PINS','LOIRET'),
('45290','VARENNES CHANGY','LOIRET'),
('45290','LES BEZARDS','LOIRET'),
('45300','ASCOUX','LOIRET'),
('45300','AUDEVILLE','LOIRET'),
('45300','BONDAROY','LOIRET'),
('45300','BOUILLY EN GATINAIS','LOIRET'),
('45300','BOUZONVILLE AUX BOIS','LOIRET'),
('45300','BOUZONVILLE EN BEAUCE','LOIRET'),
('45300','BOYNES','LOIRET'),
('45300','CESARVILLE DOSSAINVILLE','LOIRET'),
('45300','COURCELLES','LOIRET'),
('45300','COURCY AUX LOGES','LOIRET'),
('45300','DADONVILLE','LOIRET'),
('45300','DOSSAINVILLE','LOIRET'),
('45300','ENGENVILLE','LOIRET'),
('45300','ESCRENNES','LOIRET'),
('45300','ESTOUY','LOIRET'),
('45300','GIVRAINES','LOIRET'),
('45300','GUIGNEVILLE','LOIRET'),
('45300','INTVILLE LA GUETARD','LOIRET'),
('45300','LAAS','LOIRET'),
('45300','MANCHECOURT','LOIRET'),
('45300','MAREAU AUX BOIS','LOIRET'),
('45300','MARSAINVILLIERS','LOIRET'),
('45300','MORVILLE EN BEAUCE','LOIRET'),
('45300','PANNECIERES','LOIRET'),
('45300','PITHIVIERS','LOIRET'),
('45300','PITHIVIERS LE VIEIL','LOIRET'),
('45300','RAMOULU','LOIRET'),
('45300','ROUVRES ST JEAN','LOIRET'),
('45300','SEBOUVILLE','LOIRET'),
('45300','SERMAISES','LOIRET'),
('45300','THIGNONVILLE','LOIRET'),
('45300','VRIGNY','LOIRET'),
('45300','YEVRE LA VILLE','LOIRET'),
('45300','YEVRE LE CHATEL','LOIRET'),
('45310','BRICY','LOIRET'),
('45310','LA CHAPELLE ONZERAIN','LOIRET'),
('45310','COINCES','LOIRET'),
('45310','GEMIGNY','LOIRET'),
('45310','PATAY','LOIRET'),
('45310','ROUVRAY STE CROIX','LOIRET'),
('45310','ST PERAVY LA COLOMBE','LOIRET'),
('45310','ST SIGISMOND','LOIRET'),
('45310','TOURNOISIS','LOIRET'),
('45310','VILLAMBLAIN','LOIRET'),
('45310','VILLENEUVE SUR CONIE','LOIRET'),
('45320','CHANTECOQ','LOIRET'),
('45320','COURTEMAUX','LOIRET'),
('45320','COURTENAY','LOIRET'),
('45320','ERVAUVILLE','LOIRET'),
('45320','FOUCHEROLLES','LOIRET'),
('45320','ST HILAIRE LES ANDRESIS','LOIRET'),
('45330','AUGERVILLE LA RIVIERE','LOIRET'),
('45330','LABROSSE','LOIRET'),
('45330','COUDRAY','LOIRET'),
('45330','MAINVILLIERS','LOIRET'),
('45330','MALESHERBES','LOIRET'),
('45330','NANGEVILLE','LOIRET'),
('45330','ORVEAU BELLESAUVE','LOIRET'),
('45340','AUXY','LOIRET'),
('45340','BARVILLE EN GATINAIS','LOIRET'),
('45340','BATILLY EN GATINAIS','LOIRET'),
('45340','BEAUNE LA ROLANDE','LOIRET'),
('45340','BOISCOMMUN','LOIRET'),
('45340','BORDEAUX EN GATINAIS','LOIRET'),
('45340','CHAMBON LA FORET','LOIRET'),
('45340','CHEMAULT','LOIRET'),
('45340','EGRY','LOIRET'),
('45340','GAUBERTIN','LOIRET'),
('45340','JURANVILLE','LOIRET'),
('45340','MONTBARROIS','LOIRET'),
('45340','MONTLIARD','LOIRET'),
('45340','NANCRAY SUR RIMARDE','LOIRET'),
('45340','NIBELLE','LOIRET'),
('45340','ST LOUP DES VIGNES','LOIRET'),
('45340','ST MICHEL','LOIRET'),
('45360','CERNOY EN BERRY','LOIRET'),
('45360','CHATILLON SUR LOIRE','LOIRET'),
('45360','PIERREFITTE ES BOIS','LOIRET'),
('45360','ST FIRMIN SUR LOIRE','LOIRET'),
('45370','CLERY ST ANDRE','LOIRET'),
('45370','DRY','LOIRET'),
('45370','JOUY LE POTIER','LOIRET'),
('45370','MAREAU AUX PRES','LOIRET'),
('45370','MEZIERES LES CLERY','LOIRET'),
('45380','CHAINGY','LOIRET'),
('45380','LA CHAPELLE ST MESMIN','LOIRET'),
('45380','FOURNEAUX','LOIRET'),
('45390','AULNAY LA RIVIERE','LOIRET'),
('45390','BOESSE','LOIRET'),
('45390','BRIARRES SUR ESSONNES','LOIRET'),
('45390','BROMEILLES','LOIRET'),
('45390','DESMONTS','LOIRET'),
('45390','DIMANCHEVILLE','LOIRET'),
('45390','ECHILLEUSES','LOIRET'),
('45390','GRANGERMONT','LOIRET'),
('45390','LA NEUVILLE SUR ESSONNE','LOIRET'),
('45390','ONDREVILLE SUR ESSONNE','LOIRET'),
('45390','ORVILLE','LOIRET'),
('45390','PUISEAUX','LOIRET'),
('45400','CHANTEAU','LOIRET'),
('45400','FLEURY LES AUBRAIS','LOIRET'),
('45400','SEMOY','LOIRET'),
('45410','ARTENAY','LOIRET'),
('45410','BUCY LE ROI','LOIRET'),
('45410','LION EN BEAUCE','LOIRET'),
('45410','RUAN','LOIRET'),
('45410','SOUGY','LOIRET'),
('45410','TRINAY','LOIRET'),
('45420','BATILLY EN PUISSAYE','LOIRET'),
('45420','BONNY SUR LOIRE','LOIRET'),
('45420','CHAMPOULET','LOIRET'),
('45420','DAMMARIE EN PUISAYE','LOIRET'),
('45420','FAVERELLES','LOIRET'),
('45420','THOU','LOIRET'),
('45430','BOU','LOIRET'),
('45430','CHECY','LOIRET'),
('45430','MARDIE','LOIRET'),
('45430','PONT AUX MOINES','LOIRET'),
('45450','DONNERY','LOIRET'),
('45450','FAY AUX LOGES','LOIRET'),
('45450','INGRANNES','LOIRET'),
('45450','SULLY LA CHAPELLE','LOIRET'),
('45460','BONNEE','LOIRET'),
('45460','LES BORDES','LOIRET'),
('45460','BOUZY LA FORET','LOIRET'),
('45460','BRAY EN VAL','LOIRET'),
('45460','ST AIGNAN DES GUES','LOIRET'),
('45470','LOURY','LOIRET'),
('45470','REBRECHIEN','LOIRET'),
('45470','TRAINOU','LOIRET'),
('45480','ALLAINVILLE EN BEAUCE','LOIRET'),
('45480','ANDONVILLE','LOIRET'),
('45480','AUTRUY SUR JUINE','LOIRET'),
('45480','BAZOCHES LES GALLERANDES','LOIRET');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('45480','BOISSEAUX','LOIRET'),
('45480','CHARMONT EN BEAUCE','LOIRET'),
('45480','CHATILLON LE ROI','LOIRET'),
('45480','CHAUSSY','LOIRET'),
('45480','ERCEVILLE','LOIRET'),
('45480','FARONVILLE','LOIRET'),
('45480','GRENEVILLE EN BEAUCE','LOIRET'),
('45480','GUIGNONVILLE','LOIRET'),
('45480','IZY','LOIRET'),
('45480','JOUY EN PITHIVERAIS','LOIRET'),
('45480','LEOUVILLE','LOIRET'),
('45480','OUTARVILLE','LOIRET'),
('45480','ST PERAVY EPREUX','LOIRET'),
('45480','TEILLAY LE GAUDIN','LOIRET'),
('45490','CORBEILLES','LOIRET'),
('45490','COURTEMPIERRE','LOIRET'),
('45490','GONDREVILLE','LOIRET'),
('45490','LORCY','LOIRET'),
('45490','MIGNERES','LOIRET'),
('45490','MIGNERETTE','LOIRET'),
('45490','PREFONTAINES','LOIRET'),
('45490','SCEAUX DU GATINAIS','LOIRET'),
('45490','TREILLES DU GATINAIS','LOIRET'),
('45500','ARRABLOY','LOIRET'),
('45500','AUTRUY LE CHATEL','LOIRET'),
('45500','GIEN','LOIRET'),
('45500','NEVOY','LOIRET'),
('45500','POILLY LEZ GIEN','LOIRET'),
('45500','ST BRISSON SUR LOIRE','LOIRET'),
('45500','ST GONDON','LOIRET'),
('45500','ST MARTIN SUR OCRE','LOIRET'),
('45510','NEUVY EN SULLIAS','LOIRET'),
('45510','TIGY','LOIRET'),
('45510','VANNES SUR COSSON','LOIRET'),
('45510','VIENNE EN VAL','LOIRET'),
('45520','CERCOTTES','LOIRET'),
('45520','CHEVILLY','LOIRET'),
('45520','GIDY','LOIRET'),
('45520','HUETRE','LOIRET'),
('45530','COMBREUX','LOIRET'),
('45530','SEICHEBRIERES','LOIRET'),
('45530','SURY AUX BOIS','LOIRET'),
('45530','VITRY AUX LOGES','LOIRET'),
('45550','ST DENIS DE L HOTEL','LOIRET'),
('45560','ST DENIS EN VAL','LOIRET'),
('45570','DAMPIERRE EN BURLY','LOIRET'),
('45570','OUZOUER SUR LOIRE','LOIRET'),
('45590','ST CYR EN VAL','LOIRET'),
('45600','GUILLY','LOIRET'),
('45600','LION EN SULLIAS','LOIRET'),
('45600','ST AIGNAN LE JAILLARD','LOIRET'),
('45600','ST FLORENT','LOIRET'),
('45600','ST PERE SUR LOIRE','LOIRET'),
('45600','SULLY SUR LOIRE','LOIRET'),
('45600','VIGLAIN','LOIRET'),
('45600','VILLEMURLIN','LOIRET'),
('45620','CERDON','LOIRET'),
('45620','ISDES','LOIRET'),
('45630','BEAULIEU SUR LOIRE','LOIRET'),
('45640','SANDILLON','LOIRET'),
('45650','ST JEAN LE BLANC','LOIRET'),
('45680','DORDIVES','LOIRET'),
('45700','CHEVILLON SUR HUILLARD','LOIRET'),
('45700','CONFLANS SUR LOING','LOIRET'),
('45700','CORTRAT','LOIRET'),
('45700','LOMBREUIL','LOIRET'),
('45700','MONTCRESSON','LOIRET'),
('45700','MORMANT SUR VERNISSON','LOIRET'),
('45700','PANNES','LOIRET'),
('45700','ST HILAIRE SUR PUISEAUX','LOIRET'),
('45700','ST MAURICE SUR FESSARD','LOIRET'),
('45700','SOLTERRE','LOIRET'),
('45700','VILLEMANDEUR','LOIRET'),
('45700','VILLEVOQUES','LOIRET'),
('45700','VIMORY','LOIRET'),
('45720','COULLONS','LOIRET'),
('45730','ST BENOIT SUR LOIRE','LOIRET'),
('45740','LAILLY EN VAL','LOIRET'),
('45750','ST PRYVE ST MESMIN','LOIRET'),
('45760','BOIGNY SUR BIONNE','LOIRET'),
('45760','MARIGNY LES USAGES','LOIRET'),
('45760','VENNECY','LOIRET'),
('45770','SARAN','LOIRET'),
('45800','COMBLEUX','LOIRET'),
('45800','ST JEAN DE BRAYE','LOIRET'),
('46000','CAHORS','LOT'),
('46090','ARCAMBAL','LOT'),
('46090','AUJOLS','LOT'),
('46090','BERGANTY','LOT'),
('46090','COURS','LOT'),
('46090','ESCLAUZELS','LOT'),
('46090','ESPERE','LOT'),
('46090','FLAUJAC POUJOLS','LOT'),
('46090','FRANCOULES','LOT'),
('46090','LABASTIDE MARNHAC','LOT'),
('46090','LAMAGDELAINE','LOT'),
('46090','LAROQUE DES ARCS','LOT'),
('46090','MAXOU','LOT'),
('46090','MERCUES','LOT'),
('46090','LE MONTAT','LOT'),
('46090','PRADINES','LOT'),
('46090','TRESPOUX RASSIELS','LOT'),
('46090','VALROUFIE','LOT'),
('46090','VERS','LOT'),
('46090','VILLESEQUE','LOT'),
('46090','ST PIERRE LAFEUILLE','LOT'),
('46100','BEDUER','LOT'),
('46100','BOUSSAC','LOT'),
('46100','CAMBES','LOT'),
('46100','CAMBOULIT','LOT'),
('46100','CAMBURAT','LOT'),
('46100','CAPDENAC','LOT'),
('46100','CARDAILLAC','LOT'),
('46100','CORN','LOT'),
('46100','FAYCELLES','LOT'),
('46100','FIGEAC','LOT'),
('46100','FONS','LOT'),
('46100','FOURMAGNAC','LOT'),
('46100','LENTILLAC ST BLAISE','LOT'),
('46100','LISSAC ET MOURET','LOT'),
('46100','LUNAN','LOT'),
('46100','PLANIOLES','LOT'),
('46100','ST FELIX','LOT'),
('46100','ST PERDOUX','LOT'),
('46100','VIAZAC','LOT'),
('46110','BETAILLE','LOT'),
('46110','CARENNAC','LOT'),
('46110','CAVAGNAC','LOT'),
('46110','CONDAT','LOT'),
('46110','LES QUATRE ROUTES DU LOT','LOT'),
('46110','ST MICHEL DE BANNIERES','LOT'),
('46110','STRENQUELS','LOT'),
('46110','VAYRAC','LOT'),
('46120','ANGLARS','LOT'),
('46120','AYNAC','LOT'),
('46120','LE BOURG','LOT'),
('46120','LE BOUYSSOU','LOT'),
('46120','ESPEYROUX','LOT'),
('46120','LABATHUDE','LOT'),
('46120','LACAPELLE MARIVAL','LOT'),
('46120','LEYME','LOT'),
('46120','MOLIERES','LOT'),
('46120','RUDELLE','LOT'),
('46120','RUEYRES','LOT'),
('46120','ST BRESSOU','LOT'),
('46120','STE COLOMBE','LOT'),
('46120','ST MAURICE EN QUERCY','LOT'),
('46120','TERROU','LOT'),
('46120','THEMINES','LOT'),
('46120','THEMINETTES','LOT'),
('46130','BELMONT BRETENOUX','LOT'),
('46130','BIARS SUR CERE','LOT'),
('46130','BRETENOUX','LOT'),
('46130','CAHUS','LOT'),
('46130','CORNAC','LOT'),
('46130','ESTAL','LOT'),
('46130','GAGNAC SUR CERE','LOT'),
('46130','GINTRAC','LOT'),
('46130','GIRAC','LOT'),
('46130','GLANES','LOT'),
('46130','LAVAL DE CERE','LOT'),
('46130','LOUBRESSAC','LOT'),
('46130','PRUDHOMAT','LOT'),
('46130','PUYBRUN','LOT'),
('46130','ST MICHEL LOUBEJOU','LOT'),
('46130','TAURIAC','LOT'),
('46140','ALBAS','LOT'),
('46140','ANGLARS JUILLAC','LOT'),
('46140','BELAYE','LOT'),
('46140','CAILLAC','LOT'),
('46140','CAMBAYRAC','LOT'),
('46140','CARNAC ROUFFIAC','LOT'),
('46140','CASTELFRANC','LOT'),
('46140','DOUELLE','LOT'),
('46140','LUZECH','LOT'),
('46140','PARNAC','LOT'),
('46140','ST VINCENT RIVE D OLT','LOT'),
('46140','SAUZET','LOT'),
('46150','BOISSIERES','LOT'),
('46150','CALAMANE','LOT'),
('46150','CATUS','LOT'),
('46150','CRAYSSAC','LOT'),
('46150','GIGOUZAC','LOT'),
('46150','LES JUNIES','LOT'),
('46150','LABASTIDE DU VERT','LOT'),
('46150','LHERM','LOT'),
('46150','MECHMONT','LOT'),
('46150','MONTGESTY','LOT'),
('46150','NUZEJOULS','LOT'),
('46150','PONTCIRQ','LOT'),
('46150','ST DENIS CATUS','LOT'),
('46150','ST MEDARD','LOT'),
('46150','THEDIRAC','LOT'),
('46160','CADRIEU','LOT'),
('46160','CAJARC','LOT'),
('46160','CALVIGNAC','LOT'),
('46160','CARAYAC','LOT'),
('46160','FRONTENAC','LOT'),
('46160','GREALOU','LOT'),
('46160','LARNAGOL','LOT');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('46160','LARROQUE TOIRAC','LOT'),
('46160','MARCILHAC SUR CELE','LOT'),
('46160','MONTBRUN','LOT'),
('46160','ST CHELS','LOT'),
('46160','ST PIERRE TOIRAC','LOT'),
('46160','ST SULPICE','LOT'),
('46170','CASTELNAU MONTRATIER','LOT'),
('46170','CEZAC','LOT'),
('46170','FLAUGNAC','LOT'),
('46170','LHOSPITALET','LOT'),
('46170','PERN','LOT'),
('46170','STE ALAUZIE','LOT'),
('46170','ST PAUL DE LOUBRESSAC','LOT'),
('46190','CALVIAC','LOT'),
('46190','COMIAC','LOT'),
('46190','LACAM D OURCET','LOT'),
('46190','LAMATIVIE','LOT'),
('46190','SOUSCEYRAC','LOT'),
('46190','TEYSSIEU','LOT'),
('46200','LACAVE','LOT'),
('46200','LACHAPELLE AUZAC','LOT'),
('46200','LANZAC','LOT'),
('46200','MEYRONNE','LOT'),
('46200','PINSAC','LOT'),
('46200','LE ROC','LOT'),
('46200','ST SOZY','LOT'),
('46200','SOUILLAC','LOT'),
('46200','MAYRAC','LOT'),
('46210','GORSES','LOT'),
('46210','LABASTIDE DU HAUT MONT','LOT'),
('46210','LATRONQUIERE','LOT'),
('46210','LAURESSES','LOT'),
('46210','MONTET ET BOUXAL','LOT'),
('46210','SABADEL LATRONQUIERE','LOT'),
('46210','ST CIRGUES','LOT'),
('46210','ST HILAIRE BESSONIES','LOT'),
('46210','ST MEDARD NICOURBY','LOT'),
('46210','SENAILLAC LATRONQUIERE','LOT'),
('46210','BESSONIES','LOT'),
('46220','LAGARDELLE','LOT'),
('46220','PESCADOIRES','LOT'),
('46220','PRAYSSAC','LOT'),
('46230','BACH','LOT'),
('46230','BELFORT DU QUERCY','LOT'),
('46230','BELMONT STE FOI','LOT'),
('46230','CIEURAC','LOT'),
('46230','CREMPS','LOT'),
('46230','ESCAMPS','LOT'),
('46230','FONTANES','LOT'),
('46230','LABURGADE','LOT'),
('46230','LALBENQUE','LOT'),
('46230','MONTDOUMERC','LOT'),
('46230','VAYLATS','LOT'),
('46240','BEAUMAT','LOT'),
('46240','CANIAC DU CAUSSE','LOT'),
('46240','FONTANES DU CAUSSE','LOT'),
('46240','LABASTIDE MURAT','LOT'),
('46240','LAMOTHE CASSEL','LOT'),
('46240','LUNEGARDE','LOT'),
('46240','MONTFAUCON','LOT'),
('46240','ST SAUVEUR LA VALLEE','LOT'),
('46240','SENIERGUES','LOT'),
('46240','SOULOMES','LOT'),
('46240','USSEL','LOT'),
('46240','VAILLAC','LOT'),
('46250','LES ARQUES','LOT'),
('46250','CAZALS','LOT'),
('46250','FRAYSSINET LE GELAT','LOT'),
('46250','GINDOU','LOT'),
('46250','GOUJOUNAC','LOT'),
('46250','MARMINIAC','LOT'),
('46250','MONTCLERA','LOT'),
('46250','POMAREDE','LOT'),
('46250','ST CAPRAIS','LOT'),
('46260','BEAUREGARD','LOT'),
('46260','CONCOTS','LOT'),
('46260','LARAMIERE','LOT'),
('46260','LIMOGNE EN QUERCY','LOT'),
('46260','LUGAGNAC','LOT'),
('46260','PROMILHANES','LOT'),
('46260','PUYJOURDES','LOT'),
('46260','SAILLAC','LOT'),
('46260','ST JEAN DE LAUR','LOT'),
('46260','VARAIRE','LOT'),
('46260','VIDAILLAC','LOT'),
('46270','BAGNAC SUR CELE','LOT'),
('46270','CUZAC','LOT'),
('46270','FELZINS','LOT'),
('46270','LINAC','LOT'),
('46270','MONTREDON','LOT'),
('46270','PRENDEIGNES','LOT'),
('46270','ST JEAN MIRABEL','LOT'),
('46300','ANGLARS NOZAC','LOT'),
('46300','FAJOLES','LOT'),
('46300','GINOUILLAC','LOT'),
('46300','GOURDON','LOT'),
('46300','LEOBARD','LOT'),
('46300','MILHAC','LOT'),
('46300','PAYRIGNAC','LOT'),
('46300','ROUFFILHAC','LOT'),
('46300','ST CIRQ MADELON','LOT'),
('46300','ST CIRQ SOUILLAGUET','LOT'),
('46300','ST CLAIR','LOT'),
('46300','ST PROJET','LOT'),
('46300','SOUCIRAC','LOT'),
('46300','LE VIGAN','LOT'),
('46310','CONCORES','LOT'),
('46310','FRAYSSINET','LOT'),
('46310','MONTAMEL','LOT'),
('46310','PEYRILLES','LOT'),
('46310','ST CHAMARAND','LOT'),
('46310','ST GERMAIN DU BEL AIR','LOT'),
('46310','UZECH','LOT'),
('46320','ASSIER','LOT'),
('46320','BRENGUES','LOT'),
('46320','DURBANS','LOT'),
('46320','ESPAGNAC STE EULALIE','LOT'),
('46320','ESPEDAILLAC','LOT'),
('46320','FLAUJAC GARE','LOT'),
('46320','GREZES','LOT'),
('46320','ISSEPTS','LOT'),
('46320','LIVERNON','LOT'),
('46320','QUISSAC','LOT'),
('46320','REYREVIGNES','LOT'),
('46320','ST SIMON','LOT'),
('46320','SONAC','LOT'),
('46330','BLARS','LOT'),
('46330','BOUZIES','LOT'),
('46330','CABRERETS','LOT'),
('46330','CENEVIERES','LOT'),
('46330','CREGOLS','LOT'),
('46330','LENTILLAC LAUZES','LOT'),
('46330','ORNIAC','LOT'),
('46330','ST CIRQ LAPOPIE','LOT'),
('46330','ST GERY','LOT'),
('46330','ST MARTIN LABOUVAL','LOT'),
('46330','SAULIAC SUR CELE','LOT'),
('46330','TOUR DE FAURE','LOT'),
('46340','DEGAGNAC','LOT'),
('46340','LAVERCANTIERE','LOT'),
('46340','RAMPOUX','LOT'),
('46340','SALVIAC','LOT'),
('46350','CALES','LOT'),
('46350','LAMOTHE FENELON','LOT'),
('46350','LOUPIAC','LOT'),
('46350','MASCLAT','LOT'),
('46350','NADAILLAC DE ROUGE','LOT'),
('46350','PAYRAC','LOT'),
('46350','REILHAGUET','LOT'),
('46360','CRAS','LOT'),
('46360','LAUZES','LOT'),
('46360','NADILLAC','LOT'),
('46360','SABADEL LAUZES','LOT'),
('46360','ST CERNIN','LOT'),
('46360','ST MARTIN DE VERS','LOT'),
('46360','SENAILLAC LAUZES','LOT'),
('46400','AUTOIRE','LOT'),
('46400','BANNES','LOT'),
('46400','FRAYSSINHES','LOT'),
('46400','LADIRAT','LOT'),
('46400','LATOUILLE LENTILLAC','LOT'),
('46400','ST CERE','LOT'),
('46400','ST JEAN LESPINASSE','LOT'),
('46400','ST LAURENT LES TOURS','LOT'),
('46400','ST MEDARD DE PRESQUE','LOT'),
('46400','ST PAUL DE VERN','LOT'),
('46400','ST VINCENT DU PENDIT','LOT'),
('46400','ST JEAN LAGINESTE','LOT'),
('46500','ALBIAC','LOT'),
('46500','ALVIGNAC','LOT'),
('46500','LE BASTIT','LOT'),
('46500','BIO','LOT'),
('46500','CARLUCET','LOT'),
('46500','COUZOU','LOT'),
('46500','GRAMAT','LOT'),
('46500','ISSENDOLUS','LOT'),
('46500','LAVERGNE','LOT'),
('46500','MAYRINHAC LENTOUR','LOT'),
('46500','MIERS','LOT'),
('46500','PADIRAC','LOT'),
('46500','REILHAC','LOT'),
('46500','RIGNAC','LOT'),
('46500','ROCAMADOUR','LOT'),
('46500','SAIGNES','LOT'),
('46500','THEGRA','LOT'),
('46600','BALADOU','LOT'),
('46600','CAZILLAC','LOT'),
('46600','CRESSENSAC','LOT'),
('46600','CREYSSE','LOT'),
('46600','CUZANCE','LOT'),
('46600','FLOIRAC','LOT'),
('46600','GIGNAC','LOT'),
('46600','MARTEL','LOT'),
('46600','MONTVALENT','LOT'),
('46600','ST DENIS LES MARTEL','LOT'),
('46600','SARRAZAC','LOT'),
('46700','CASSAGNES','LOT'),
('46700','DURAVEL','LOT'),
('46700','FLORESSAS','LOT'),
('46700','GREZELS','LOT');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('46700','LACAPELLE CABANAC','LOT'),
('46700','MAUROUX','LOT'),
('46700','MONTCABRIER','LOT'),
('46700','PUY L EVEQUE','LOT'),
('46700','ST MARTIN LE REDON','LOT'),
('46700','SERIGNAC','LOT'),
('46700','SOTURAC','LOT'),
('46700','TOUZAC','LOT'),
('46700','VIRE SUR LOT','LOT'),
('46800','BAGAT EN QUERCY','LOT'),
('46800','BELMONTET','LOT'),
('46800','LE BOULVE','LOT'),
('46800','FARGUES','LOT'),
('46800','LASCABANES','LOT'),
('46800','LEBREIL','LOT'),
('46800','MONTCUQ','LOT'),
('46800','MONTLAUZUN','LOT'),
('46800','STE CROIX','LOT'),
('46800','ST CYPRIEN','LOT'),
('46800','ST DAUNES','LOT'),
('46800','ST LAURENT LOLMIE','LOT'),
('46800','ST MATRE','LOT'),
('46800','ST PANTALEON','LOT'),
('46800','SAUX','LOT'),
('46800','VALPRIONDE','LOT'),
('47000','AGEN','LOT ET GARONNE'),
('47110','ALLEZ ET CAZENEUVE','LOT ET GARONNE'),
('47110','DOLMAYRAC','LOT ET GARONNE'),
('47110','STE LIVRADE SUR LOT','LOT ET GARONNE'),
('47110','LE TEMPLE SUR LOT','LOT ET GARONNE'),
('47120','AURIAC SUR DROPT','LOT ET GARONNE'),
('47120','BALEYSSAGUES','LOT ET GARONNE'),
('47120','CAUBON ST SAUVEUR','LOT ET GARONNE'),
('47120','DURAS','LOT ET GARONNE'),
('47120','ESCLOTTES','LOT ET GARONNE'),
('47120','LEVIGNAC DE GUYENNE','LOT ET GARONNE'),
('47120','LOUBES BERNAC','LOT ET GARONNE'),
('47120','MONTETON','LOT ET GARONNE'),
('47120','PARDAILLAN','LOT ET GARONNE'),
('47120','ST ASTIER','LOT ET GARONNE'),
('47120','STE COLOMBE DE DURAS','LOT ET GARONNE'),
('47120','ST GERAUD','LOT ET GARONNE'),
('47120','ST JEAN DE DURAS','LOT ET GARONNE'),
('47120','ST PIERRE SUR DROPT','LOT ET GARONNE'),
('47120','ST SERNIN','LOT ET GARONNE'),
('47120','SAVIGNAC DE DURAS','LOT ET GARONNE'),
('47120','SOUMENSAC','LOT ET GARONNE'),
('47120','VILLENEUVE DE DURAS','LOT ET GARONNE'),
('47130','BAZENS','LOT ET GARONNE'),
('47130','BRUCH','LOT ET GARONNE'),
('47130','CLERMONT DESSOUS','LOT ET GARONNE'),
('47130','MONTESQUIEU','LOT ET GARONNE'),
('47130','PORT STE MARIE','LOT ET GARONNE'),
('47130','ST LAURENT','LOT ET GARONNE'),
('47140','AURADOU','LOT ET GARONNE'),
('47140','DAUSSE','LOT ET GARONNE'),
('47140','FRESPECH','LOT ET GARONNE'),
('47140','MASSELS','LOT ET GARONNE'),
('47140','MASSOULES','LOT ET GARONNE'),
('47140','PENNE D AGENAIS','LOT ET GARONNE'),
('47140','ST SYLVESTRE SUR LOT','LOT ET GARONNE'),
('47140','TREMONS','LOT ET GARONNE'),
('47140','TRENTELS','LOT ET GARONNE'),
('47150','GAVAUDUN','LOT ET GARONNE'),
('47150','LACAPELLE BIRON','LOT ET GARONNE'),
('47150','LACAUSSADE','LOT ET GARONNE'),
('47150','LAUSSOU','LOT ET GARONNE'),
('47150','MONFLANQUIN','LOT ET GARONNE'),
('47150','MONSEGUR','LOT ET GARONNE'),
('47150','MONTAGNAC SUR LEDE','LOT ET GARONNE'),
('47150','PAULHIAC','LOT ET GARONNE'),
('47150','ST AUBIN','LOT ET GARONNE'),
('47150','SALLES','LOT ET GARONNE'),
('47150','LA SAUVETAT SUR LEDE','LOT ET GARONNE'),
('47150','SAVIGNAC SUR LEYZE','LOT ET GARONNE'),
('47160','AMBRUS','LOT ET GARONNE'),
('47160','BUZET SUR BAIZE','LOT ET GARONNE'),
('47160','CAUBEYRES','LOT ET GARONNE'),
('47160','DAMAZAN','LOT ET GARONNE'),
('47160','MONHEURT','LOT ET GARONNE'),
('47160','PUCH D AGENAIS','LOT ET GARONNE'),
('47160','RAZIMET','LOT ET GARONNE'),
('47160','ST LEGER','LOT ET GARONNE'),
('47160','ST LEON','LOT ET GARONNE'),
('47160','ST PIERRE DE BUZET','LOT ET GARONNE'),
('47160','VILLEFRANCHE DU QUEYRAN','LOT ET GARONNE'),
('47170','ANDIRAN','LOT ET GARONNE'),
('47170','GUEYZE','LOT ET GARONNE'),
('47170','LANNES','LOT ET GARONNE'),
('47170','LISSE','LOT ET GARONNE'),
('47170','MEYLAN','LOT ET GARONNE'),
('47170','MEZIN','LOT ET GARONNE'),
('47170','POUDENAS','LOT ET GARONNE'),
('47170','REAUP LISSE','LOT ET GARONNE'),
('47170','STE MAURE DE PEYRIAC','LOT ET GARONNE'),
('47170','ST PE ST SIMON','LOT ET GARONNE'),
('47170','SOS','LOT ET GARONNE'),
('47170','VILLENEUVE DE MEZIN','LOT ET GARONNE'),
('47190','AIGUILLON','LOT ET GARONNE'),
('47190','GALAPIAN','LOT ET GARONNE'),
('47190','LAGARRIGUE','LOT ET GARONNE'),
('47190','NICOLE','LOT ET GARONNE'),
('47200','BEAUPUY','LOT ET GARONNE'),
('47200','BIRAC SUR TREC','LOT ET GARONNE'),
('47200','CASTELNAU SUR GUPIE','LOT ET GARONNE'),
('47200','COUTHURES SUR GARONNE','LOT ET GARONNE'),
('47200','FOURQUES SUR GARONNE','LOT ET GARONNE'),
('47200','GAUJAC','LOT ET GARONNE'),
('47200','JUSIX','LOT ET GARONNE'),
('47200','LAGUPIE','LOT ET GARONNE'),
('47200','LONGUEVILLE','LOT ET GARONNE'),
('47200','MARCELLUS','LOT ET GARONNE'),
('47200','MARMANDE','LOT ET GARONNE'),
('47200','MAUVEZIN SUR GUPIE','LOT ET GARONNE'),
('47200','MEILHAN SUR GARONNE','LOT ET GARONNE'),
('47200','MONTPOUILLAN','LOT ET GARONNE'),
('47200','STE BAZEILLE','LOT ET GARONNE'),
('47200','ST MARTIN PETIT','LOT ET GARONNE'),
('47200','ST PARDOUX DU BREUIL','LOT ET GARONNE'),
('47200','ST SAUVEUR DE MEILHAN','LOT ET GARONNE'),
('47200','TAILLEBOURG','LOT ET GARONNE'),
('47200','VIRAZEIL','LOT ET GARONNE'),
('47210','BOURNEL','LOT ET GARONNE'),
('47210','DEVILLAC','LOT ET GARONNE'),
('47210','DOUDRAC','LOT ET GARONNE'),
('47210','MAZIERES NARESSE','LOT ET GARONNE'),
('47210','MONTAUT','LOT ET GARONNE'),
('47210','PARRANQUET','LOT ET GARONNE'),
('47210','RAYET','LOT ET GARONNE'),
('47210','RIVES','LOT ET GARONNE'),
('47210','ST ETIENNE DE VILLEREAL','LOT ET GARONNE'),
('47210','ST EUTROPE DE BORN','LOT ET GARONNE'),
('47210','ST MARTIN DE VILLEREAL','LOT ET GARONNE'),
('47210','TOURLIAC','LOT ET GARONNE'),
('47210','VILLEREAL','LOT ET GARONNE'),
('47220','ASTAFFORT','LOT ET GARONNE'),
('47220','CAUDECOSTE','LOT ET GARONNE'),
('47220','CUQ','LOT ET GARONNE'),
('47220','FALS','LOT ET GARONNE'),
('47220','MARMONT PACHAS','LOT ET GARONNE'),
('47220','ST NICOLAS DE LA BALERME','LOT ET GARONNE'),
('47220','ST SIXTE','LOT ET GARONNE'),
('47220','SAUVETERRE ST DENIS','LOT ET GARONNE'),
('47230','BARBASTE','LOT ET GARONNE'),
('47230','FEUGAROLLES','LOT ET GARONNE'),
('47230','LAVARDAC','LOT ET GARONNE'),
('47230','MONGAILLARD','LOT ET GARONNE'),
('47230','POMPIEY','LOT ET GARONNE'),
('47230','THOUARS SUR GARONNE','LOT ET GARONNE'),
('47230','VIANNE','LOT ET GARONNE'),
('47230','XAINTRAILLES','LOT ET GARONNE'),
('47240','BON ENCONTRE','LOT ET GARONNE'),
('47240','CASTELCULIER','LOT ET GARONNE'),
('47240','LAFOX','LOT ET GARONNE'),
('47250','ARGENTON','LOT ET GARONNE'),
('47250','BOUGLON','LOT ET GARONNE'),
('47250','COCUMONT','LOT ET GARONNE'),
('47250','GREZET CAVAGNAN','LOT ET GARONNE'),
('47250','GUERIN','LOT ET GARONNE'),
('47250','LABASTIDE CASTEL AMOUROUX','LOT ET GARONNE'),
('47250','ROMESTAING','LOT ET GARONNE'),
('47250','STE GEMME MARTAILLAC','LOT ET GARONNE'),
('47250','SAMAZAN','LOT ET GARONNE'),
('47260','BRUGNAC','LOT ET GARONNE'),
('47260','CASTELMORON SUR LOT','LOT ET GARONNE'),
('47260','COULX','LOT ET GARONNE'),
('47260','FONGRAVE','LOT ET GARONNE'),
('47260','GRANGES SUR LOT','LOT ET GARONNE'),
('47260','LAPARADE','LOT ET GARONNE'),
('47260','VERTEUIL D AGENAIS','LOT ET GARONNE'),
('47270','CLERMONT SOUBIRAN','LOT ET GARONNE'),
('47270','GRAYSSAS','LOT ET GARONNE'),
('47270','PUYMIROL','LOT ET GARONNE'),
('47270','ST CAPRAIS DE LERM','LOT ET GARONNE'),
('47270','ST JEAN DE THURAC','LOT ET GARONNE'),
('47270','ST MARTIN DE BEAUVILLE','LOT ET GARONNE'),
('47270','ST MAURIN','LOT ET GARONNE'),
('47270','ST PIERRE DE CLAIRAC','LOT ET GARONNE'),
('47270','ST ROMAIN LE NOBLE','LOT ET GARONNE'),
('47270','ST URCISSE','LOT ET GARONNE'),
('47270','LA SAUVETAT DE SAVERES','LOT ET GARONNE'),
('47270','TAYRAC','LOT ET GARONNE'),
('47290','BEAUGAS','LOT ET GARONNE'),
('47290','BOUDY DE BEAUREGARD','LOT ET GARONNE'),
('47290','CANCON','LOT ET GARONNE'),
('47290','CASTELNAUD DE GRATECAMBE','LOT ET GARONNE'),
('47290','LOUGRATTE','LOT ET GARONNE'),
('47290','MONBAHUS','LOT ET GARONNE'),
('47290','MONVIEL','LOT ET GARONNE'),
('47290','MOULINET','LOT ET GARONNE'),
('47290','ST MAURICE DE LESTAPEL','LOT ET GARONNE'),
('47290','ST PASTOUR','LOT ET GARONNE'),
('47300','BIAS','LOT ET GARONNE'),
('47300','LE LEDAT','LOT ET GARONNE'),
('47300','PUJOLS','LOT ET GARONNE'),
('47300','STE COLOMBE DE VILLENEUVE','LOT ET GARONNE'),
('47300','VILLENEUVE SUR LOT','LOT ET GARONNE'),
('47310','AUBIAC','LOT ET GARONNE'),
('47310','BRAX','LOT ET GARONNE'),
('47310','ESTILLAC','LOT ET GARONNE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('47310','LAMONTJOIE','LOT ET GARONNE'),
('47310','LAPLUME','LOT ET GARONNE'),
('47310','MOIRAX','LOT ET GARONNE'),
('47310','MONCAUT','LOT ET GARONNE'),
('47310','ROQUEFORT','LOT ET GARONNE'),
('47310','STE COLOMBE EN BRUILHOIS','LOT ET GARONNE'),
('47310','ST VINCENT DE LAMONTJOIE','LOT ET GARONNE'),
('47310','SERIGNAC SUR GARONNE','LOT ET GARONNE'),
('47320','BOURRAN','LOT ET GARONNE'),
('47320','CLAIRAC','LOT ET GARONNE'),
('47320','LAFFITE SUR LOT','LOT ET GARONNE'),
('47330','CAHUZAC','LOT ET GARONNE'),
('47330','CASTILLONNES','LOT ET GARONNE'),
('47330','CAVARC','LOT ET GARONNE'),
('47330','DOUZAINS','LOT ET GARONNE'),
('47330','FERRENSAC','LOT ET GARONNE'),
('47330','LALANDUSSE','LOT ET GARONNE'),
('47330','MONTAURIOL','LOT ET GARONNE'),
('47330','ST QUENTIN DU DROPT','LOT ET GARONNE'),
('47340','CASSIGNAS','LOT ET GARONNE'),
('47340','CASTELLA','LOT ET GARONNE'),
('47340','LA CROIX BLANCHE','LOT ET GARONNE'),
('47340','HAUTEFAGE LA TOUR','LOT ET GARONNE'),
('47340','LAROQUE TIMBAUT','LOT ET GARONNE'),
('47340','MONBALEN','LOT ET GARONNE'),
('47340','ST ANTOINE DE FICALBA','LOT ET GARONNE'),
('47340','ST ROBERT','LOT ET GARONNE'),
('47340','SAUVAGNAS','LOT ET GARONNE'),
('47350','AGME','LOT ET GARONNE'),
('47350','CAMBES','LOT ET GARONNE'),
('47350','ESCASSEFORT','LOT ET GARONNE'),
('47350','LABRETONIE','LOT ET GARONNE'),
('47350','LACHAPELLE','LOT ET GARONNE'),
('47350','MONTIGNAC TOUPINERIE','LOT ET GARONNE'),
('47350','PEYRIERE','LOT ET GARONNE'),
('47350','PUYMICLAN','LOT ET GARONNE'),
('47350','ST AVIT','LOT ET GARONNE'),
('47350','ST BARTHELEMY D AGENAIS','LOT ET GARONNE'),
('47350','SEYCHES','LOT ET GARONNE'),
('47360','COURS','LOT ET GARONNE'),
('47360','FREGIMONT','LOT ET GARONNE'),
('47360','LACEPEDE','LOT ET GARONNE'),
('47360','LAUGNAC','LOT ET GARONNE'),
('47360','LUSIGNAN PETIT','LOT ET GARONNE'),
('47360','MADAILLAN','LOT ET GARONNE'),
('47360','MONTPEZAT','LOT ET GARONNE'),
('47360','PRAYSSAS','LOT ET GARONNE'),
('47360','ST SALVY','LOT ET GARONNE'),
('47360','ST SARDOS','LOT ET GARONNE'),
('47360','SEMBAS','LOT ET GARONNE'),
('47370','ANTHE','LOT ET GARONNE'),
('47370','BOURLENS','LOT ET GARONNE'),
('47370','CAZIDEROQUE','LOT ET GARONNE'),
('47370','COURBIAC','LOT ET GARONNE'),
('47370','MASQUIERES','LOT ET GARONNE'),
('47370','THEZAC','LOT ET GARONNE'),
('47370','TOURNON D AGENAIS','LOT ET GARONNE'),
('47370','ST GEORGES','LOT ET GARONNE'),
('47380','MONCLAR','LOT ET GARONNE'),
('47380','MONTASTRUC','LOT ET GARONNE'),
('47380','PINEL HAUTERIVE','LOT ET GARONNE'),
('47380','ST ETIENNE DE FOUGERES','LOT ET GARONNE'),
('47380','ST PIERRE DE CAUBEL','LOT ET GARONNE'),
('47380','TOMBEBOEUF','LOT ET GARONNE'),
('47380','TOURTRES','LOT ET GARONNE'),
('47380','VILLEBRAMAR','LOT ET GARONNE'),
('47390','LAYRAC','LOT ET GARONNE'),
('47400','FAUGUEROLLES','LOT ET GARONNE'),
('47400','FAUILLET','LOT ET GARONNE'),
('47400','GONTAUD DE NOGARET','LOT ET GARONNE'),
('47400','GRATELOUP','LOT ET GARONNE'),
('47400','HAUTESVIGNES','LOT ET GARONNE'),
('47400','LAGRUERE','LOT ET GARONNE'),
('47400','ST GAYRAND','LOT ET GARONNE'),
('47400','TONNEINS','LOT ET GARONNE'),
('47400','VARES','LOT ET GARONNE'),
('47400','VILLETON','LOT ET GARONNE'),
('47410','BOURGOUGNAGUE','LOT ET GARONNE'),
('47410','LAUZUN','LOT ET GARONNE'),
('47410','ST COLOMB DE LAUZUN','LOT ET GARONNE'),
('47410','SEGALAS','LOT ET GARONNE'),
('47410','SERIGNAC PEBOUDOU','LOT ET GARONNE'),
('47420','ALLONS','LOT ET GARONNE'),
('47420','BOUSSES','LOT ET GARONNE'),
('47420','DURANCE','LOT ET GARONNE'),
('47420','HOUEILLES','LOT ET GARONNE'),
('47420','POMPOGNE','LOT ET GARONNE'),
('47420','SAUMEJAN','LOT ET GARONNE'),
('47430','CALONGES','LOT ET GARONNE'),
('47430','CAUMONT SUR GARONNE','LOT ET GARONNE'),
('47430','LE MAS D AGENAIS','LOT ET GARONNE'),
('47430','STE MARTHE','LOT ET GARONNE'),
('47430','SENESTIS','LOT ET GARONNE'),
('47440','CASSENEUIL','LOT ET GARONNE'),
('47440','PAILLOLES','LOT ET GARONNE'),
('47450','COLAYRAC ST CIRQ','LOT ET GARONNE'),
('47450','ST HILAIRE DE LUSIGNAN','LOT ET GARONNE'),
('47470','BEAUVILLE','LOT ET GARONNE'),
('47470','BLAYMONT','LOT ET GARONNE'),
('47470','CAUZAC','LOT ET GARONNE'),
('47470','DONDAS','LOT ET GARONNE'),
('47470','ENGAYRAC','LOT ET GARONNE'),
('47480','BAJAMONT','LOT ET GARONNE'),
('47480','PONT DU CASSE','LOT ET GARONNE'),
('47500','BLANQUEFORT SUR BRIOLANCE','LOT ET GARONNE'),
('47500','CONDEZAYGUES','LOT ET GARONNE'),
('47500','CUZORN','LOT ET GARONNE'),
('47500','FUMEL','LOT ET GARONNE'),
('47500','MONSEMPRON LIBOS','LOT ET GARONNE'),
('47500','MONTAYRAL','LOT ET GARONNE'),
('47500','ST FRONT SUR LEMANCE','LOT ET GARONNE'),
('47500','ST VITE','LOT ET GARONNE'),
('47500','SAUVETERRE LA LEMANCE','LOT ET GARONNE'),
('47510','FOULAYRONNES','LOT ET GARONNE'),
('47520','LE PASSAGE','LOT ET GARONNE'),
('47550','BOE','LOT ET GARONNE'),
('47600','CALIGNAC','LOT ET GARONNE'),
('47600','ESPIENS','LOT ET GARONNE'),
('47600','FIEUX','LOT ET GARONNE'),
('47600','FRANCESCAS','LOT ET GARONNE'),
('47600','FRECHOU','LOT ET GARONNE'),
('47600','LASSERRE','LOT ET GARONNE'),
('47600','MONCRABEAU','LOT ET GARONNE'),
('47600','MONTAGNAC SUR AUVIGNON','LOT ET GARONNE'),
('47600','NERAC','LOT ET GARONNE'),
('47600','NOMDIEU','LOT ET GARONNE'),
('47600','SAUMONT','LOT ET GARONNE'),
('47700','ANTAGNAC','LOT ET GARONNE'),
('47700','ANZEX','LOT ET GARONNE'),
('47700','BEAUZIAC','LOT ET GARONNE'),
('47700','CASTELJALOUX','LOT ET GARONNE'),
('47700','FARGUES SUR OURBISE','LOT ET GARONNE'),
('47700','LEYRITZ MONCASSIN','LOT ET GARONNE'),
('47700','PINDERES','LOT ET GARONNE'),
('47700','POUSSIGNAC','LOT ET GARONNE'),
('47700','LA REUNION','LOT ET GARONNE'),
('47700','RUFFIAC','LOT ET GARONNE'),
('47700','ST MARTIN CURTON','LOT ET GARONNE'),
('47800','AGNAC','LOT ET GARONNE'),
('47800','ALLEMANS DU DROPT','LOT ET GARONNE'),
('47800','ARMILLAC','LOT ET GARONNE'),
('47800','LAPERCHE','LOT ET GARONNE'),
('47800','LAVERGNE','LOT ET GARONNE'),
('47800','MIRAMONT DE GUYENNE','LOT ET GARONNE'),
('47800','MONTIGNAC DE LAUZUN','LOT ET GARONNE'),
('47800','MOUSTIER','LOT ET GARONNE'),
('47800','PUYSSERAMPION','LOT ET GARONNE'),
('47800','ROUMAGNE','LOT ET GARONNE'),
('47800','ST PARDOUX ISAAC','LOT ET GARONNE'),
('47800','LA SAUVETAT DU DROPT','LOT ET GARONNE'),
('48000','BADAROUX','LOZERE'),
('48000','BALSIEGES','LOZERE'),
('48000','BARJAC','LOZERE'),
('48000','LE BORN','LOZERE'),
('48000','BRENOUX','LOZERE'),
('48000','CHASTEL NOUVEL','LOZERE'),
('48000','LANUEJOLS','LOZERE'),
('48000','MENDE','LOZERE'),
('48000','PELOUSE','LOZERE'),
('48000','ST BAUZILE','LOZERE'),
('48000','ST ETIENNE DU VALDONNEZ','LOZERE'),
('48000','SERVIERES','LOZERE'),
('48100','ANTRENAS','LOZERE'),
('48100','LE BUISSON','LOZERE'),
('48100','CHIRAC','LOZERE'),
('48100','GABRIAS','LOZERE'),
('48100','GREZES','LOZERE'),
('48100','LACHAMP','LOZERE'),
('48100','MARVEJOLS','LOZERE'),
('48100','LE MONASTIER PIN MORIES','LOZERE'),
('48100','MONTRODAT','LOZERE'),
('48100','PALHERS','LOZERE'),
('48100','PIN MORIES','LOZERE'),
('48100','PRINSUEJOLS','LOZERE'),
('48100','RECOULES DE FUMAS','LOZERE'),
('48100','ST BONNET DE CHIRAC','LOZERE'),
('48100','ST LAURENT DE MURET','LOZERE'),
('48100','ST LEGER DE PEYRE','LOZERE'),
('48100','LES SALCES','LOZERE'),
('48110','GABRIAC','LOZERE'),
('48110','MOISSAC VALLEE FRANCAISE','LOZERE'),
('48110','MOLEZON','LOZERE'),
('48110','LE POMPIDOU','LOZERE'),
('48110','STE CROIX VALLEE FRANCAIS','LOZERE'),
('48110','ST MARTIN DE LANSUSCLE','LOZERE'),
('48120','LAJO','LOZERE'),
('48120','ST ALBAN SUR LIMAGNOLE','LOZERE'),
('48120','STE EULALIE','LOZERE'),
('48130','AUMONT AUBRAC','LOZERE'),
('48130','LA CHAZE DE PEYRE','LOZERE'),
('48130','FAU DE PEYRE','LOZERE'),
('48130','JAVOLS','LOZERE'),
('48130','STE COLOMBE DE PEYRE','LOZERE'),
('48130','ST SAUVEUR DE PEYRE','LOZERE'),
('48140','CHAULHAC','LOZERE'),
('48140','JULIANGES','LOZERE'),
('48140','LE MALZIEU FORAIN','LOZERE'),
('48140','LE MALZIEU VILLE','LOZERE'),
('48140','PAULHAC EN MARGERIDE','LOZERE'),
('48140','ST LEGER DU MALZIEU','LOZERE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('48140','ST PRIVAT DU FAU','LOZERE'),
('48150','GATUZIERES','LOZERE'),
('48150','HURES LA PARADE','LOZERE'),
('48150','MEYRUEIS','LOZERE'),
('48150','LE ROZIER','LOZERE'),
('48150','ST PIERRE DES TRIPIERS','LOZERE'),
('48160','LE COLLET DE DEZE','LOZERE'),
('48160','ST ANDEOL DE CLERGUEMORT','LOZERE'),
('48160','ST HILAIRE DE LAVIT','LOZERE'),
('48160','ST JULIEN DES POINTS','LOZERE'),
('48160','ST MARTIN DE BOUBAUX','LOZERE'),
('48160','ST MICHEL DE DEZE','LOZERE'),
('48170','ARZENC DE RANDON','LOZERE'),
('48170','BELVEZET','LOZERE'),
('48170','CHATEAUNEUF DE RANDON','LOZERE'),
('48170','CHAUDEYRAC','LOZERE'),
('48170','LAUBERT','LOZERE'),
('48170','MONTBEL','LOZERE'),
('48170','ST FREZAL D ALBUGES','LOZERE'),
('48170','ST JEAN LA FOUILLOUSE','LOZERE'),
('48170','ST SAUVEUR DE GINESTOUX','LOZERE'),
('48190','ALLENC','LOZERE'),
('48190','BAGNOLS LES BAINS','LOZERE'),
('48190','LE BLEYMARD','LOZERE'),
('48190','CHADENET','LOZERE'),
('48190','CUBIERES','LOZERE'),
('48190','CUBIERETTES','LOZERE'),
('48190','MAS D ORCIERES','LOZERE'),
('48190','STE HELENE','LOZERE'),
('48190','ST JULIEN DU TOURNEL','LOZERE'),
('48200','ALBARET STE MARIE','LOZERE'),
('48200','ARCOMIE','LOZERE'),
('48200','LES MONTS VERTS','LOZERE'),
('48200','BERC','LOZERE'),
('48200','LES BESSONS','LOZERE'),
('48200','BLAVIGNAC','LOZERE'),
('48200','LA FAGE ST JULIEN','LOZERE'),
('48200','PRUNIERES','LOZERE'),
('48200','RIMEIZE','LOZERE'),
('48200','ST CHELY D APCHER','LOZERE'),
('48200','ST PIERRE DE VIEUX','LOZERE'),
('48200','LA GARDE','LOZERE'),
('48210','LA MALENE','LOZERE'),
('48210','MONTBRUN','LOZERE'),
('48210','PRADES','LOZERE'),
('48210','MAS ST CHELY','LOZERE'),
('48210','STE ENIMIE','LOZERE'),
('48210','LES VIGNES','LOZERE'),
('48220','FRAISSINET DE LOZERE','LOZERE'),
('48220','LE PONT DE MONTVERT','LOZERE'),
('48220','ST MAURICE DE VENTALON','LOZERE'),
('48220','VIALAS','LOZERE'),
('48230','CHANAC','LOZERE'),
('48230','CULTURES','LOZERE'),
('48230','ESCLANEDES','LOZERE'),
('48230','LES SALELLES','LOZERE'),
('48230','LE VILLARD','LOZERE'),
('48240','ST ANDRE DE LANCIZE','LOZERE'),
('48240','ST FREZAL DE VENTALON','LOZERE'),
('48240','ST PRIVAT DE VALLONGUE','LOZERE'),
('48250','LAVEYRUNE','LOZERE'),
('48250','LA BASTIDE PUYLAURENT','LOZERE'),
('48250','CHASSERADES','LOZERE'),
('48250','LUC','LOZERE'),
('48260','GRANDVALS','LOZERE'),
('48260','MARCHASTEL','LOZERE'),
('48260','NASBINALS','LOZERE'),
('48260','RECOULES D AUBRAC','LOZERE'),
('48270','MALBOUZON','LOZERE'),
('48300','CHASTANIER','LOZERE'),
('48300','CHEYLARD L EVEQUE','LOZERE'),
('48300','FONTANES','LOZERE'),
('48300','LANGOGNE','LOZERE'),
('48300','NAUSSAC','LOZERE'),
('48300','PIERREFICHE','LOZERE'),
('48300','ROCLES','LOZERE'),
('48300','ST FLOUR DE MERCOIRE','LOZERE'),
('48310','ALBARET LE COMTAL','LOZERE'),
('48310','ARZENC D APCHER','LOZERE'),
('48310','BRION','LOZERE'),
('48310','CHAUCHAILLES','LOZERE'),
('48310','LA FAGE MONTIVERNOUX','LOZERE'),
('48310','FOURNELS','LOZERE'),
('48310','NOALHAC','LOZERE'),
('48310','ST JUERY','LOZERE'),
('48310','ST LAURENT DE VEYRES','LOZERE'),
('48310','TERMES','LOZERE'),
('48310','LA CHALDETTE','LOZERE'),
('48320','ISPAGNAC','LOZERE'),
('48320','QUEZAC','LOZERE'),
('48320','BLAJOUX','LOZERE'),
('48330','ST ETIENNE VALLEE FRANCAI','LOZERE'),
('48340','LES HERMAUX','LOZERE'),
('48340','ST GERMAIN DU TEIL','LOZERE'),
('48340','ST PIERRE DE NOGARET','LOZERE'),
('48340','TRELANS','LOZERE'),
('48370','ST GERMAIN DE CALBERTE','LOZERE'),
('48400','BARRE DES CEVENNES','LOZERE'),
('48400','BASSURELS','LOZERE'),
('48400','BEDOUES','LOZERE'),
('48400','LES BONDONS','LOZERE'),
('48400','CASSAGNAS','LOZERE'),
('48400','COCURES','LOZERE'),
('48400','FLORAC','LOZERE'),
('48400','FRAISSINET DE FOURQUES','LOZERE'),
('48400','ROUSSES','LOZERE'),
('48400','ST JULIEN D ARPAON','LOZERE'),
('48400','ST LAURENT DE TREVES','LOZERE'),
('48400','SALLE PRUNET','LOZERE'),
('48400','VEBRON','LOZERE'),
('48400','LES VANELS','LOZERE'),
('48500','AUXILLAC','LOZERE'),
('48500','BANASSAC','LOZERE'),
('48500','CANILHAC','LOZERE'),
('48500','LA CANOURGUE','LOZERE'),
('48500','LA CAPELLE','LOZERE'),
('48500','LAVAL DU TARN','LOZERE'),
('48500','LE MASSEGROS','LOZERE'),
('48500','MONTJEZIEU','LOZERE'),
('48500','LE RECOUX','LOZERE'),
('48500','ST GEORGES DE LEVEJAC','LOZERE'),
('48500','ST ROME DE DOLAN','LOZERE'),
('48500','ST SATURNIN','LOZERE'),
('48500','LA TIEULE','LOZERE'),
('48600','AUROUX','LOZERE'),
('48600','CHAMBON LE CHATEAU','LOZERE'),
('48600','GRANDRIEU','LOZERE'),
('48600','LAVAL ATGER','LOZERE'),
('48600','LA PANOUSE','LOZERE'),
('48600','ST BONNET DE MONTAUROUX','LOZERE'),
('48600','ST PAUL LE FROID','LOZERE'),
('48600','ST SYMPHORIEN','LOZERE'),
('48600','CHAPEAUROUX','LOZERE'),
('48700','ESTABLES','LOZERE'),
('48700','FONTANS','LOZERE'),
('48700','LES LAUBIES','LOZERE'),
('48700','RIBENNES','LOZERE'),
('48700','RIEUTORT DE RANDON','LOZERE'),
('48700','ST AMANS','LOZERE'),
('48700','ST DENIS EN MARGERIDE','LOZERE'),
('48700','ST GAL','LOZERE'),
('48700','SERVERETTE','LOZERE'),
('48700','LA VILLEDIEU','LOZERE'),
('48800','ALTIER','LOZERE'),
('48800','PIED DE BORNE','LOZERE'),
('48800','POURCHARESSES','LOZERE'),
('48800','PREVENCHERES','LOZERE'),
('48800','ST ANDRE CAPCEZE','LOZERE'),
('48800','VILLEFORT','LOZERE'),
('48800','MAS DE LA BARQUE','LOZERE'),
('49000','ANGERS','MAINE ET LOIRE'),
('49000','ECOUFLANT','MAINE ET LOIRE'),
('49070','BEAUCOUZE','MAINE ET LOIRE'),
('49070','ST JEAN DE LINIERES','MAINE ET LOIRE'),
('49070','ST LAMBERT LA POTHERIE','MAINE ET LOIRE'),
('49080','BOUCHEMAINE','MAINE ET LOIRE'),
('49110','LA BOISSIERE SUR EVRE','MAINE ET LOIRE'),
('49110','BOTZ EN MAUGES','MAINE ET LOIRE'),
('49110','CHAUDRON EN MAUGES','MAINE ET LOIRE'),
('49110','MONTREVAULT','MAINE ET LOIRE'),
('49110','LE PIN EN MAUGES','MAINE ET LOIRE'),
('49110','ST PIERRE MONTLIMART','MAINE ET LOIRE'),
('49110','ST QUENTIN EN MAUGES','MAINE ET LOIRE'),
('49110','ST REMY EN MAUGES','MAINE ET LOIRE'),
('49110','SALLE ET CHAPELLE AUBRY','MAINE ET LOIRE'),
('49112','PELLOUAILLES LES VIGNES','MAINE ET LOIRE'),
('49120','LA CHAPELLE ROUSSELIN','MAINE ET LOIRE'),
('49120','CHEMILLE','MAINE ET LOIRE'),
('49120','COSSE D ANJOU','MAINE ET LOIRE'),
('49120','LES GARDES','MAINE ET LOIRE'),
('49120','LA JUMELLIERE','MAINE ET LOIRE'),
('49120','MELAY','MAINE ET LOIRE'),
('49120','NEUVY EN MAUGES','MAINE ET LOIRE'),
('49120','STE CHRISTINE','MAINE ET LOIRE'),
('49120','ST GEORGES DES GARDES','MAINE ET LOIRE'),
('49120','ST LEZIN','MAINE ET LOIRE'),
('49120','LA TOURLANDRY','MAINE ET LOIRE'),
('49122','BEGROLLES EN MAUGES','MAINE ET LOIRE'),
('49122','LE MAY SUR EVRE','MAINE ET LOIRE'),
('49123','LE FRESNE SUR LOIRE','MAINE ET LOIRE'),
('49123','CHAMPTOCE SUR LOIRE','MAINE ET LOIRE'),
('49123','INGRANDES','MAINE ET LOIRE'),
('49123','ST SIGISMOND','MAINE ET LOIRE'),
('49124','LE PLESSIS GRAMMOIRE','MAINE ET LOIRE'),
('49124','ST BARTHELEMY D ANJOU','MAINE ET LOIRE'),
('49125','BRIOLLAY','MAINE ET LOIRE'),
('49125','CHEFFES','MAINE ET LOIRE'),
('49125','TIERCE','MAINE ET LOIRE'),
('49130','MURS ERIGNE','MAINE ET LOIRE'),
('49130','LES PONTS DE CE','MAINE ET LOIRE'),
('49130','STE GEMMES SUR LOIRE','MAINE ET LOIRE'),
('49130','ST JEAN DE LA CROIX','MAINE ET LOIRE'),
('49130','SORGES','MAINE ET LOIRE'),
('49140','BAUNE','MAINE ET LOIRE'),
('49140','BEAUVAU','MAINE ET LOIRE'),
('49140','LA CHAPELLE ST LAUD','MAINE ET LOIRE'),
('49140','CHAUMONT D ANJOU','MAINE ET LOIRE'),
('49140','CORNILLE LES CAVES','MAINE ET LOIRE'),
('49140','CORZE','MAINE ET LOIRE'),
('49140','FONTAINE MILON','MAINE ET LOIRE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('49140','JARZE','MAINE ET LOIRE'),
('49140','LUE EN BAUGEOIS','MAINE ET LOIRE'),
('49140','MARCE','MAINE ET LOIRE'),
('49140','MONTREUIL SUR LOIR','MAINE ET LOIRE'),
('49140','SEICHES SUR LE LOIR','MAINE ET LOIRE'),
('49140','SERMAISE','MAINE ET LOIRE'),
('49140','SOUCELLES','MAINE ET LOIRE'),
('49140','VILLEVEQUE','MAINE ET LOIRE'),
('49140','MATHEFLON','MAINE ET LOIRE'),
('49150','BAUGE','MAINE ET LOIRE'),
('49150','BOCE','MAINE ET LOIRE'),
('49150','CHARTRENE','MAINE ET LOIRE'),
('49150','CHEVIRE LE ROUGE','MAINE ET LOIRE'),
('49150','CLEFS','MAINE ET LOIRE'),
('49150','CUON','MAINE ET LOIRE'),
('49150','ECHEMIRE','MAINE ET LOIRE'),
('49150','FOUGERE','MAINE ET LOIRE'),
('49150','LE GUEDENIAU','MAINE ET LOIRE'),
('49150','LA LANDE CHASLES','MAINE ET LOIRE'),
('49150','MONTPOLLIN','MAINE ET LOIRE'),
('49150','PONTIGNE','MAINE ET LOIRE'),
('49150','ST MARTIN D ARCE','MAINE ET LOIRE'),
('49150','ST QUENTIN BEAUREPAIRE','MAINE ET LOIRE'),
('49150','LE VIEIL BAUGE','MAINE ET LOIRE'),
('49150','VAULANDRY','MAINE ET LOIRE'),
('49160','BLOU','MAINE ET LOIRE'),
('49160','JUMELLES','MAINE ET LOIRE'),
('49160','LONGUE JUMELLES','MAINE ET LOIRE'),
('49160','ST MARTIN DE LA PLACE','MAINE ET LOIRE'),
('49160','ST PHILBERT DU PEUPLE','MAINE ET LOIRE'),
('49170','BEHUARD','MAINE ET LOIRE'),
('49170','LA POSSONNIERE','MAINE ET LOIRE'),
('49170','ST AUGUSTIN DES BOIS','MAINE ET LOIRE'),
('49170','ST GEORGES SUR LOIRE','MAINE ET LOIRE'),
('49170','ST GERMAIN DES PRES','MAINE ET LOIRE'),
('49170','ST LEGER DES BOIS','MAINE ET LOIRE'),
('49170','ST MARTIN DU FOUILLOUX','MAINE ET LOIRE'),
('49170','SAVENNIERES','MAINE ET LOIRE'),
('49170','EPIRE','MAINE ET LOIRE'),
('49190','DENEE','MAINE ET LOIRE'),
('49190','ROCHEFORT SUR LOIRE','MAINE ET LOIRE'),
('49190','ST AUBIN DE LUIGNE','MAINE ET LOIRE'),
('49220','ANDIGNE','MAINE ET LOIRE'),
('49220','BRAIN SUR LONGUENEE','MAINE ET LOIRE'),
('49220','CHAMBELLAY','MAINE ET LOIRE'),
('49220','CHAMPTEUSSE SUR BACONNE','MAINE ET LOIRE'),
('49220','CHENILLE CHANGE','MAINE ET LOIRE'),
('49220','GENE','MAINE ET LOIRE'),
('49220','GREZ NEUVILLE','MAINE ET LOIRE'),
('49220','LA JAILLE YVON','MAINE ET LOIRE'),
('49220','LE LION D ANGERS','MAINE ET LOIRE'),
('49220','LA MEIGNANNE','MAINE ET LOIRE'),
('49220','MEMBROLLE SUR LONGUENEE','MAINE ET LOIRE'),
('49220','MONTREUIL SUR MAINE','MAINE ET LOIRE'),
('49220','LE PLESSIS MACE','MAINE ET LOIRE'),
('49220','PRUILLE','MAINE ET LOIRE'),
('49220','THORIGNE D ANJOU','MAINE ET LOIRE'),
('49220','VERN D ANJOU','MAINE ET LOIRE'),
('49230','MONTFAUCON','MAINE ET LOIRE'),
('49230','MONTIGNE SUR MOINE','MAINE ET LOIRE'),
('49230','ST CRESPIN SUR MOINE','MAINE ET LOIRE'),
('49230','ST GERMAIN SUR MOINE','MAINE ET LOIRE'),
('49230','TILLIERES','MAINE ET LOIRE'),
('49240','AVRILLE','MAINE ET LOIRE'),
('49250','BEAUFORT EN VALLEE','MAINE ET LOIRE'),
('49250','BRION','MAINE ET LOIRE'),
('49250','CORNE','MAINE ET LOIRE'),
('49250','FONTAINE GUERIN','MAINE ET LOIRE'),
('49250','GEE','MAINE ET LOIRE'),
('49250','MAZE','MAINE ET LOIRE'),
('49250','LA MENITRE','MAINE ET LOIRE'),
('49250','ST GEORGES DU BOIS','MAINE ET LOIRE'),
('49250','ST MATHURIN SUR LOIRE','MAINE ET LOIRE'),
('49250','ST REMY LA VARENNE','MAINE ET LOIRE'),
('49260','ANTOIGNE','MAINE ET LOIRE'),
('49260','ARTANNES SUR THOUET','MAINE ET LOIRE'),
('49260','BREZE','MAINE ET LOIRE'),
('49260','LE COUDRAY MACOUARD','MAINE ET LOIRE'),
('49260','COURCHAMPS','MAINE ET LOIRE'),
('49260','EPIEDS','MAINE ET LOIRE'),
('49260','MERON','MAINE ET LOIRE'),
('49260','MONTREUIL BELLAY','MAINE ET LOIRE'),
('49260','LE PUY NOTRE DAME','MAINE ET LOIRE'),
('49260','ST CYR EN BOURG','MAINE ET LOIRE'),
('49260','ST JUST SUR DIVE','MAINE ET LOIRE'),
('49260','ST MACAIRE DU BOIS','MAINE ET LOIRE'),
('49260','VAUDELNAY','MAINE ET LOIRE'),
('49270','CHAMPTOCEAUX','MAINE ET LOIRE'),
('49270','LE FUILET','MAINE ET LOIRE'),
('49270','LANDEMONT','MAINE ET LOIRE'),
('49270','ST CHRISTOPHE COUPERIE','MAINE ET LOIRE'),
('49270','ST LAURENT DES AUTELS','MAINE ET LOIRE'),
('49270','ST SAUVEUR DE LANDEMONT','MAINE ET LOIRE'),
('49270','LA VARENNE','MAINE ET LOIRE'),
('49280','MAZIERES EN MAUGES','MAINE ET LOIRE'),
('49280','ST CHRISTOPHE DU BOIS','MAINE ET LOIRE'),
('49280','ST LEGER SOUS CHOLET','MAINE ET LOIRE'),
('49280','LA SEGUINIERE','MAINE ET LOIRE'),
('49280','LA TESSOUALLE','MAINE ET LOIRE'),
('49290','BOURGNEUF EN MAUGES','MAINE ET LOIRE'),
('49290','CHALONNES SUR LOIRE','MAINE ET LOIRE'),
('49290','CHAUDEFONDS SUR LAYON','MAINE ET LOIRE'),
('49290','ST LAURENT DE LA PLAINE','MAINE ET LOIRE'),
('49300','CHOLET','MAINE ET LOIRE'),
('49300','LE PUY ST BONNET','MAINE ET LOIRE'),
('49310','CERNUSSON','MAINE ET LOIRE'),
('49310','CERQUEUX SOUS PASSAVANT','MAINE ET LOIRE'),
('49310','MONTILLIERS','MAINE ET LOIRE'),
('49310','ST HILAIRE DU BOIS','MAINE ET LOIRE'),
('49310','ST PAUL DU BOIS','MAINE ET LOIRE'),
('49310','LA SALLE DE VIHIERS','MAINE ET LOIRE'),
('49310','TANCOIGNE','MAINE ET LOIRE'),
('49310','TREMONT','MAINE ET LOIRE'),
('49310','VIHIERS','MAINE ET LOIRE'),
('49310','LE VOIDE','MAINE ET LOIRE'),
('49320','LES ALLEUDS','MAINE ET LOIRE'),
('49320','BLAISON GOHIER','MAINE ET LOIRE'),
('49320','BRISSAC QUINCE','MAINE ET LOIRE'),
('49320','CHARCE ST ELLIER SUR AUBA','MAINE ET LOIRE'),
('49320','CHEMELLIER','MAINE ET LOIRE'),
('49320','COUTURES','MAINE ET LOIRE'),
('49320','GOHIER','MAINE ET LOIRE'),
('49320','GREZILLE','MAINE ET LOIRE'),
('49320','LUIGNE','MAINE ET LOIRE'),
('49320','ST ELLIER','MAINE ET LOIRE'),
('49320','ST JEAN DES MAUVRETS','MAINE ET LOIRE'),
('49320','ST SATURNIN SUR LOIRE','MAINE ET LOIRE'),
('49320','ST SULPICE','MAINE ET LOIRE'),
('49320','SAULGE L HOPITAL','MAINE ET LOIRE'),
('49320','VAUCHRETIEN','MAINE ET LOIRE'),
('49330','BRISSARTHE','MAINE ET LOIRE'),
('49330','CHAMPIGNE','MAINE ET LOIRE'),
('49330','CHATEAUNEUF SUR SARTHE','MAINE ET LOIRE'),
('49330','CHERRE','MAINE ET LOIRE'),
('49330','CONTIGNE','MAINE ET LOIRE'),
('49330','ETRICHE','MAINE ET LOIRE'),
('49330','JUVARDEIL','MAINE ET LOIRE'),
('49330','MARIGNE','MAINE ET LOIRE'),
('49330','MIRE','MAINE ET LOIRE'),
('49330','QUERRE','MAINE ET LOIRE'),
('49330','SCEAUX D ANJOU','MAINE ET LOIRE'),
('49330','SOEURDRES','MAINE ET LOIRE'),
('49340','CHANTELOUP LES BOIS','MAINE ET LOIRE'),
('49340','NUAILLE','MAINE ET LOIRE'),
('49340','TREMENTINES','MAINE ET LOIRE'),
('49340','VEZINS','MAINE ET LOIRE'),
('49350','CHENEHUTTE TREVES CUNAULT','MAINE ET LOIRE'),
('49350','GENNES','MAINE ET LOIRE'),
('49350','LES ROSIERS SUR LOIRE','MAINE ET LOIRE'),
('49350','ST CLEMENT DES LEVEES','MAINE ET LOIRE'),
('49350','ST GEORGES DES SEPT VOIES','MAINE ET LOIRE'),
('49350','LE THOUREIL','MAINE ET LOIRE'),
('49350','TREVES CUNAULT','MAINE ET LOIRE'),
('49360','CERQUEUX DE MAULEVRIER','MAINE ET LOIRE'),
('49360','MAULEVRIER','MAINE ET LOIRE'),
('49360','LA PLAINE','MAINE ET LOIRE'),
('49360','SOMLOIRE','MAINE ET LOIRE'),
('49360','TOUTLEMONDE','MAINE ET LOIRE'),
('49360','YZERNAY','MAINE ET LOIRE'),
('49370','BECON LES GRANITS','MAINE ET LOIRE'),
('49370','LE LOUROUX BECONNAIS','MAINE ET LOIRE'),
('49370','LA POUEZE','MAINE ET LOIRE'),
('49370','ST CLEMENT DE LA PLACE','MAINE ET LOIRE'),
('49370','VILLEMOISAN','MAINE ET LOIRE'),
('49380','LE CHAMP SUR LAYON','MAINE ET LOIRE'),
('49380','CHAVAGNES','MAINE ET LOIRE'),
('49380','FAVERAYE MACHELLES','MAINE ET LOIRE'),
('49380','FAYE D ANJOU','MAINE ET LOIRE'),
('49380','NOTRE DAME D ALLENCON','MAINE ET LOIRE'),
('49380','THOUARCE','MAINE ET LOIRE'),
('49390','LA BREILLE LES PINS','MAINE ET LOIRE'),
('49390','COURLEON','MAINE ET LOIRE'),
('49390','MOULIHERNE','MAINE ET LOIRE'),
('49390','PARCAY LES PINS','MAINE ET LOIRE'),
('49390','VERNANTES','MAINE ET LOIRE'),
('49390','VERNOIL','MAINE ET LOIRE'),
('49400','BAGNEUX','MAINE ET LOIRE'),
('49400','CHACE','MAINE ET LOIRE'),
('49400','DAMPIERRE SUR LOIRE','MAINE ET LOIRE'),
('49400','DISTRE','MAINE ET LOIRE'),
('49400','ROU MARSON','MAINE ET LOIRE'),
('49400','ST HILAIRE ST FLORENT','MAINE ET LOIRE'),
('49400','ST LAMBERT DES LEVEES','MAINE ET LOIRE'),
('49400','SAUMUR','MAINE ET LOIRE'),
('49400','SOUZAY CHAMPIGNY','MAINE ET LOIRE'),
('49400','VARRAINS','MAINE ET LOIRE'),
('49400','VERRIE','MAINE ET LOIRE'),
('49400','VILLEBERNIER','MAINE ET LOIRE'),
('49410','BEAUSSE','MAINE ET LOIRE'),
('49410','LA CHAPELLE ST FLORENT','MAINE ET LOIRE'),
('49410','LE MARILLAIS','MAINE ET LOIRE'),
('49410','LE MESNIL EN VALLEE','MAINE ET LOIRE'),
('49410','ST FLORENT LE VIEIL','MAINE ET LOIRE'),
('49410','ST LAURENT DU MOTTAY','MAINE ET LOIRE'),
('49420','ARMAILLE','MAINE ET LOIRE'),
('49420','CARBAY','MAINE ET LOIRE'),
('49420','POUANCE','MAINE ET LOIRE'),
('49420','LA PREVIERE','MAINE ET LOIRE'),
('49420','ST MICHEL ET CHANVEAUX','MAINE ET LOIRE'),
('49420','VERGONNES','MAINE ET LOIRE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('49430','BARACE','MAINE ET LOIRE'),
('49430','DURTAL','MAINE ET LOIRE'),
('49430','HUILLE','MAINE ET LOIRE'),
('49430','LEZIGNE','MAINE ET LOIRE'),
('49430','MONTIGNE LES RAIRIES','MAINE ET LOIRE'),
('49430','LES RAIRIES','MAINE ET LOIRE'),
('49440','VRITZ','MAINE ET LOIRE'),
('49440','ANGRIE','MAINE ET LOIRE'),
('49440','CANDE','MAINE ET LOIRE'),
('49440','CHALLAIN LA POTHERIE','MAINE ET LOIRE'),
('49440','LA CORNUAILLE','MAINE ET LOIRE'),
('49440','FREIGNE','MAINE ET LOIRE'),
('49440','LOIRE','MAINE ET LOIRE'),
('49450','LA RENAUDIERE','MAINE ET LOIRE'),
('49450','ROUSSAY','MAINE ET LOIRE'),
('49450','ST ANDRE DE LA MARCHE','MAINE ET LOIRE'),
('49450','ST MACAIRE EN MAUGES','MAINE ET LOIRE'),
('49450','VILLEDIEU LA BLOUERE','MAINE ET LOIRE'),
('49460','CANTENAY EPINARD','MAINE ET LOIRE'),
('49460','ECUILLE','MAINE ET LOIRE'),
('49460','FENEU','MAINE ET LOIRE'),
('49460','JUIGNE BENE','MAINE ET LOIRE'),
('49460','MONTREUIL JUIGNE','MAINE ET LOIRE'),
('49460','SOULAIRE ET BOURG','MAINE ET LOIRE'),
('49480','ST SYLVAIN D ANJOU','MAINE ET LOIRE'),
('49490','AUVERSE','MAINE ET LOIRE'),
('49490','BREIL','MAINE ET LOIRE'),
('49490','BROC','MAINE ET LOIRE'),
('49490','CHALONNES SOUS LE LUDE','MAINE ET LOIRE'),
('49490','CHAVAIGNES','MAINE ET LOIRE'),
('49490','CHIGNE','MAINE ET LOIRE'),
('49490','DENEZE SOUS LE LUDE','MAINE ET LOIRE'),
('49490','GENNETEIL','MAINE ET LOIRE'),
('49490','LASSE','MAINE ET LOIRE'),
('49490','LINIERES BOUTON','MAINE ET LOIRE'),
('49490','MEIGNE LE VICOMTE','MAINE ET LOIRE'),
('49490','MEON','MAINE ET LOIRE'),
('49490','NOYANT','MAINE ET LOIRE'),
('49490','LA PELLERINE','MAINE ET LOIRE'),
('49500','AVIRE','MAINE ET LOIRE'),
('49500','LA CHAPELLE SUR OUDON','MAINE ET LOIRE'),
('49500','CHAZE SUR ARGOS','MAINE ET LOIRE'),
('49500','LA FERRIERE DE FLEE','MAINE ET LOIRE'),
('49500','L HOTELLERIE DE FLEE','MAINE ET LOIRE'),
('49500','LOUVAINES','MAINE ET LOIRE'),
('49500','MARANS','MAINE ET LOIRE'),
('49500','MONTGUILLON','MAINE ET LOIRE'),
('49500','NYOISEAU','MAINE ET LOIRE'),
('49500','STE GEMMES D ANDIGNE','MAINE ET LOIRE'),
('49500','ST MARTIN DU BOIS','MAINE ET LOIRE'),
('49500','ST SAUVEUR DE FLEE','MAINE ET LOIRE'),
('49500','SEGRE','MAINE ET LOIRE'),
('49510','JALLAIS','MAINE ET LOIRE'),
('49510','LA JUBAUDIERE','MAINE ET LOIRE'),
('49510','LA POITEVINIERE','MAINE ET LOIRE'),
('49520','BOUILLE MENARD','MAINE ET LOIRE'),
('49520','LE BOURG D IRE','MAINE ET LOIRE'),
('49520','BOURG L EVEQUE','MAINE ET LOIRE'),
('49520','CHATELAIS','MAINE ET LOIRE'),
('49520','COMBREE','MAINE ET LOIRE'),
('49520','GRUGE L HOPITAL','MAINE ET LOIRE'),
('49520','NOELLET','MAINE ET LOIRE'),
('49520','NOYANT LA GRAVOYERE','MAINE ET LOIRE'),
('49520','LE TREMBLAY','MAINE ET LOIRE'),
('49520','BEL AIR','MAINE ET LOIRE'),
('49530','BOUZILLE','MAINE ET LOIRE'),
('49530','DRAIN','MAINE ET LOIRE'),
('49530','LIRE','MAINE ET LOIRE'),
('49540','AUBIGNE SUR LAYON','MAINE ET LOIRE'),
('49540','LA FOSSE DE TIGNE','MAINE ET LOIRE'),
('49540','MARTIGNE BRIAND','MAINE ET LOIRE'),
('49540','TIGNE','MAINE ET LOIRE'),
('49560','CLERE SUR LAYON','MAINE ET LOIRE'),
('49560','NUEIL SUR LAYON','MAINE ET LOIRE'),
('49560','PASSAVANT SUR LAYON','MAINE ET LOIRE'),
('49570','MONTJEAN SUR LOIRE','MAINE ET LOIRE'),
('49590','FONTEVRAUD L ABBAYE','MAINE ET LOIRE'),
('49600','ANDREZE','MAINE ET LOIRE'),
('49600','BEAUPREAU','MAINE ET LOIRE'),
('49600','LA CHAPELLE DU GENET','MAINE ET LOIRE'),
('49600','LA CHAUSSAIRE','MAINE ET LOIRE'),
('49600','LE FIEF SAUVIN','MAINE ET LOIRE'),
('49600','GESTE','MAINE ET LOIRE'),
('49600','LE PUISET DORE','MAINE ET LOIRE'),
('49600','ST PHILBERT EN MAUGES','MAINE ET LOIRE'),
('49610','JUIGNE SUR LOIRE','MAINE ET LOIRE'),
('49610','MOZE SUR LOUET','MAINE ET LOIRE'),
('49610','ST MELAINE SUR AUBANCE','MAINE ET LOIRE'),
('49610','SOULAINES SUR AUBANCE','MAINE ET LOIRE'),
('49620','LA POMMERAYE','MAINE ET LOIRE'),
('49640','CHEMIRE SUR SARTHE','MAINE ET LOIRE'),
('49640','DAUMERAY','MAINE ET LOIRE'),
('49640','MORANNES','MAINE ET LOIRE'),
('49650','ALLONNES','MAINE ET LOIRE'),
('49650','BRAIN SUR ALLONNES','MAINE ET LOIRE'),
('49660','TORFOU','MAINE ET LOIRE'),
('49670','VALANJOU','MAINE ET LOIRE'),
('49670','JOUE ETIAU','MAINE ET LOIRE'),
('49680','NEUILLE','MAINE ET LOIRE'),
('49680','VIVY','MAINE ET LOIRE'),
('49690','CORON','MAINE ET LOIRE'),
('49700','AMBILLOU CHATEAU','MAINE ET LOIRE'),
('49700','BRIGNE','MAINE ET LOIRE'),
('49700','BROSSAY','MAINE ET LOIRE'),
('49700','CIZAY LA MADELEINE','MAINE ET LOIRE'),
('49700','CONCOURSON SUR LAYON','MAINE ET LOIRE'),
('49700','DENEZE SOUS DOUE','MAINE ET LOIRE'),
('49700','DOUE LA FONTAINE','MAINE ET LOIRE'),
('49700','FORGES','MAINE ET LOIRE'),
('49700','LOUERRE','MAINE ET LOIRE'),
('49700','LOURESSE ROCHEMENIER','MAINE ET LOIRE'),
('49700','MEIGNE','MAINE ET LOIRE'),
('49700','MONTFORT','MAINE ET LOIRE'),
('49700','NOYANT LA PLAINE','MAINE ET LOIRE'),
('49700','ST GEORGES SUR LAYON','MAINE ET LOIRE'),
('49700','LES ULMES','MAINE ET LOIRE'),
('49700','LES VERCHERS SUR LAYON','MAINE ET LOIRE'),
('49710','LE LONGERON','MAINE ET LOIRE'),
('49730','MONTSOREAU','MAINE ET LOIRE'),
('49730','PARNAY','MAINE ET LOIRE'),
('49730','TURQUANT','MAINE ET LOIRE'),
('49730','VARENNES SUR LOIRE','MAINE ET LOIRE'),
('49740','LA ROMAGNE','MAINE ET LOIRE'),
('49750','BEAULIEU SUR LAYON','MAINE ET LOIRE'),
('49750','CHANZEAUX','MAINE ET LOIRE'),
('49750','RABLAY SUR LAYON','MAINE ET LOIRE'),
('49750','ST LAMBERT DU LATTAY','MAINE ET LOIRE'),
('49800','ANDARD','MAINE ET LOIRE'),
('49800','LA BOHALLE','MAINE ET LOIRE'),
('49800','BRAIN SUR L AUTHION','MAINE ET LOIRE'),
('49800','LA DAGUENIERE','MAINE ET LOIRE'),
('49800','SARRIGNE','MAINE ET LOIRE'),
('49800','TRELAZE','MAINE ET LOIRE'),
('49860','LA CHAPELLE HULLIN','MAINE ET LOIRE'),
('49860','CHAZE HENRY','MAINE ET LOIRE'),
('50000','BAUDRE','MANCHE'),
('50000','LE MESNIL ROUXELIN','MANCHE'),
('50000','RAMPAN','MANCHE'),
('50000','ST GEORGES MONTCOCQ','MANCHE'),
('50000','ST LO','MANCHE'),
('50100','CHERBOURG','MANCHE'),
('50100','ILE PELEE','MANCHE'),
('50110','BRETTEVILLE EN SAIRE','MANCHE'),
('50110','DIGOSVILLE','MANCHE'),
('50110','LE MESNIL AU VAL','MANCHE'),
('50110','TOURLAVILLE','MANCHE'),
('50111','ST AUBIN DE TERREGATTE','MANCHE'),
('50111','ST LAURENT DE TERREGATTE','MANCHE'),
('50120','EQUEURDREVILLE HAINNEVILL','MANCHE'),
('50130','OCTEVILLE','MANCHE'),
('50140','BION','MANCHE'),
('50140','FONTENAY','MANCHE'),
('50140','MORTAIN','MANCHE'),
('50140','LE NEUFBOURG','MANCHE'),
('50140','NOTRE DAME DU TOUCHET','MANCHE'),
('50140','RANCOUDRAY','MANCHE'),
('50140','ROMAGNY','MANCHE'),
('50140','ST BARTHELEMY','MANCHE'),
('50140','ST CLEMENT RANCOUDRAY','MANCHE'),
('50140','ST JEAN DU CORAIL','MANCHE'),
('50140','VILLECHIEN','MANCHE'),
('50150','BEAUFICEL','MANCHE'),
('50150','BROUAINS','MANCHE'),
('50150','GATHEMO','MANCHE'),
('50150','PERRIERS EN BEAUFICEL','MANCHE'),
('50150','CHAULIEU','MANCHE'),
('50150','ST SAUVEUR DE CHAULIEU','MANCHE'),
('50150','SOURDEVAL','MANCHE'),
('50150','VENGEONS','MANCHE'),
('50160','BIEVILLE','MANCHE'),
('50160','BRECTOUVILLE','MANCHE'),
('50160','LA CHAPELLE DU FEST','MANCHE'),
('50160','GIEVILLE','MANCHE'),
('50160','GUILBERVILLE','MANCHE'),
('50160','LAMBERVILLE','MANCHE'),
('50160','LE PERRON','MANCHE'),
('50160','PLACY MONTAIGU','MANCHE'),
('50160','ST AMAND','MANCHE'),
('50160','ST SYMPHORIEN LES BUTTE','MANCHE'),
('50160','TORIGNI SUR VIRE','MANCHE'),
('50170','ARDEVON','MANCHE'),
('50170','AUCEY LA PLAINE','MANCHE'),
('50170','BEAUVOIR','MANCHE'),
('50170','BOUCEY','MANCHE'),
('50170','CORMERAY','MANCHE'),
('50170','CUREY','MANCHE'),
('50170','HUISNES SUR MER','MANCHE'),
('50170','MACEY','MANCHE'),
('50170','MOIDREY','MANCHE'),
('50170','LE MONT ST MICHEL','MANCHE'),
('50170','LES PAS','MANCHE'),
('50170','PONTORSON','MANCHE'),
('50170','SACEY','MANCHE'),
('50170','SERVON','MANCHE'),
('50170','TANIS','MANCHE'),
('50170','VESSEY','MANCHE'),
('50180','AGNEAUX','MANCHE'),
('50180','HEBECREVON','MANCHE'),
('50180','ST GILLES','MANCHE'),
('50190','FEUGERES','MANCHE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('50190','LA FEUILLIE','MANCHE'),
('50190','GONFREVILLE','MANCHE'),
('50190','GORGES','MANCHE'),
('50190','MARCHESIEUX','MANCHE'),
('50190','MILLIERES','MANCHE'),
('50190','NAY','MANCHE'),
('50190','PERIERS','MANCHE'),
('50190','ST GERMAIN SUR SEVES','MANCHE'),
('50190','ST MARTIN D AUBIGNY','MANCHE'),
('50190','ST PATRICE DE CLAIDS','MANCHE'),
('50190','ST SEBASTIEN DE RAIDS','MANCHE'),
('50200','ANCTEVILLE','MANCHE'),
('50200','BOISROGER','MANCHE'),
('50200','BRAINVILLE','MANCHE'),
('50200','BRICQUEVILLE LA BLOUETTE','MANCHE'),
('50200','CAMBERNON','MANCHE'),
('50200','COURCY','MANCHE'),
('50200','COUTANCES','MANCHE'),
('50200','GRATOT','MANCHE'),
('50200','HEUGUEVILLE SUR SIENNE','MANCHE'),
('50200','MONTHUCHON','MANCHE'),
('50200','MONTSURVENT','MANCHE'),
('50200','NICORPS','MANCHE'),
('50200','ST MALO DE LA LANDE','MANCHE'),
('50200','ST PIERRE DE COUTANCES','MANCHE'),
('50200','SAUSSEY','MANCHE'),
('50200','SERVIGNY','MANCHE'),
('50200','TOURVILLE SUR SIENNE','MANCHE'),
('50200','LA VENDELEE','MANCHE'),
('50210','BELVAL','MANCHE'),
('50210','CAMPROND','MANCHE'),
('50210','CERISY LA SALLE','MANCHE'),
('50210','GUEHEBERT','MANCHE'),
('50210','MONTPINCHON','MANCHE'),
('50210','NOTRE DAME DE CENILLY','MANCHE'),
('50210','OUVILLE','MANCHE'),
('50210','RONCEY','MANCHE'),
('50210','ST DENIS LE VETU','MANCHE'),
('50210','ST MARTIN DE CENILLY','MANCHE'),
('50210','SAVIGNY','MANCHE'),
('50220','LA BOULOUZE','MANCHE'),
('50220','CEAUX','MANCHE'),
('50220','LES CHERIS','MANCHE'),
('50220','COURTILS','MANCHE'),
('50220','CROLLON','MANCHE'),
('50220','DUCEY','MANCHE'),
('50220','JUILLEY','MANCHE'),
('50220','MARCILLY','MANCHE'),
('50220','LE MESNIL OZENNE','MANCHE'),
('50220','POILLEY','MANCHE'),
('50220','PONTAUBAULT','MANCHE'),
('50220','PRECEY','MANCHE'),
('50220','ST QUENTIN SUR LE HOMME','MANCHE'),
('50230','AGON COUTAINVILLE','MANCHE'),
('50240','ARGOUGES','MANCHE'),
('50240','CARNET','MANCHE'),
('50240','LA CROIX AVRANCHIN','MANCHE'),
('50240','MONTANEL','MANCHE'),
('50240','MONTJOIE ST MARTIN','MANCHE'),
('50240','ST JAMES','MANCHE'),
('50240','ST SENIER DE BEUVRON','MANCHE'),
('50240','VERGONCEY','MANCHE'),
('50240','VILLIERS LE PRE','MANCHE'),
('50250','BAUDREVILLE','MANCHE'),
('50250','BOLLEVILLE','MANCHE'),
('50250','COIGNY','MANCHE'),
('50250','CRETTEVILLE','MANCHE'),
('50250','DOVILLE','MANCHE'),
('50250','GERVILLE LA FORET','MANCHE'),
('50250','GLATIGNY','MANCHE'),
('50250','LA HAYE DU PUITS','MANCHE'),
('50250','HOUTTEVILLE','MANCHE'),
('50250','LITHAIRE','MANCHE'),
('50250','MOBECQ','MANCHE'),
('50250','MONTGARDON','MANCHE'),
('50250','NEUFMESNIL','MANCHE'),
('50250','NEUVILLE EN BEAUMONT','MANCHE'),
('50250','LE PLESSIS LASTELLE','MANCHE'),
('50250','PRETOT STE SUZANNE','MANCHE'),
('50250','ST JORES','MANCHE'),
('50250','ST NICOLAS DE PIERREPONT','MANCHE'),
('50250','ST SAUVEUR DE PIERREPONT','MANCHE'),
('50250','STE SUZANNE EN BAUPTOIS','MANCHE'),
('50250','ST SYMPHORIEN LE VALOIS','MANCHE'),
('50250','SURVILLE','MANCHE'),
('50250','VARENGUEBEC','MANCHE'),
('50250','VINDEFONTAINE','MANCHE'),
('50260','BREUVILLE','MANCHE'),
('50260','BRICQUEBEC','MANCHE'),
('50260','L ETANG BERTRAND','MANCHE'),
('50260','MAGNEVILLE','MANCHE'),
('50260','NEGREVILLE','MANCHE'),
('50260','LES PERQUES','MANCHE'),
('50260','QUETTETOT','MANCHE'),
('50260','RAUVILLE LA BIGOT','MANCHE'),
('50260','ROCHEVILLE','MANCHE'),
('50260','SOTTEVAST','MANCHE'),
('50260','LE VALDECIE','MANCHE'),
('50260','LE VRETOT','MANCHE'),
('50270','BARNEVILLE CARTERET','MANCHE'),
('50270','BEAUBIGNY','MANCHE'),
('50270','LA HAYE D ECTOT','MANCHE'),
('50270','LES MOITIERS D ALLONNE','MANCHE'),
('50270','ST GEORGES LA RIVIERE','MANCHE'),
('50270','ST JEAN DE LA RIVIERE','MANCHE'),
('50270','ST MAURICE EN COTENTIN','MANCHE'),
('50270','ST PIERRE D ARTHEGLISE','MANCHE'),
('50270','SENOVILLE','MANCHE'),
('50270','SORTOSVILLE EN BEAUMONT','MANCHE'),
('50270','SURTAINVILLE','MANCHE'),
('50290','BREHAL','MANCHE'),
('50290','BREVILLE SUR MER','MANCHE'),
('50290','BRICQUEVILLE SUR MER','MANCHE'),
('50290','COUDEVILLE SUR MER','MANCHE'),
('50290','LONGUEVILLE','MANCHE'),
('50290','MUNEVILLE SUR MER','MANCHE'),
('50290','ST MARTIN DE BREHAL','MANCHE'),
('50300','AVRANCHES','MANCHE'),
('50300','LA GODEFROY','MANCHE'),
('50300','LA GOHANNIERE','MANCHE'),
('50300','MARCEY LES GREVES','MANCHE'),
('50300','PONTS','MANCHE'),
('50300','ST BRICE','MANCHE'),
('50300','ST JEAN DE LA HAIZE','MANCHE'),
('50300','ST LOUP','MANCHE'),
('50300','ST MARTIN DES CHAMPS','MANCHE'),
('50300','ST OVIN','MANCHE'),
('50300','ST SENIER SOUS AVRANCHES','MANCHE'),
('50300','VAINS','MANCHE'),
('50300','LE VAL ST PERE','MANCHE'),
('50310','AZEVILLE','MANCHE'),
('50310','ECAUSSEVILLE','MANCHE'),
('50310','EMONDEVILLE','MANCHE'),
('50310','EROUDEVILLE','MANCHE'),
('50310','FONTENAY SUR MER','MANCHE'),
('50310','FRESVILLE','MANCHE'),
('50310','LE HAM','MANCHE'),
('50310','JOGANVILLE','MANCHE'),
('50310','LESTRE','MANCHE'),
('50310','MONTEBOURG','MANCHE'),
('50310','OZEVILLE','MANCHE'),
('50310','QUINEVILLE','MANCHE'),
('50310','ST CYR','MANCHE'),
('50310','ST FLOXEL','MANCHE'),
('50310','ST MARCOUF','MANCHE'),
('50310','ST MARTIN D AUDOUVILLE','MANCHE'),
('50310','SORTOSVILLE','MANCHE'),
('50310','VAUDREVILLE','MANCHE'),
('50320','BEAUCHAMPS','MANCHE'),
('50320','LA BESLIERE','MANCHE'),
('50320','LES CHAMBRES','MANCHE'),
('50320','CHAMPCERVON','MANCHE'),
('50320','EQUILLY','MANCHE'),
('50320','FOLLIGNY','MANCHE'),
('50320','LA HAYE PESNEL','MANCHE'),
('50320','HOCQUIGNY','MANCHE'),
('50320','LA LUCERNE D OUTREMER','MANCHE'),
('50320','LE MESNIL DREY','MANCHE'),
('50320','LA MOUCHE','MANCHE'),
('50320','NOIRPALU','MANCHE'),
('50320','ST JEAN DES CHAMPS','MANCHE'),
('50320','ST LEGER','MANCHE'),
('50320','ST URSIN','MANCHE'),
('50320','LE TANU','MANCHE'),
('50330','ANGOVILLE EN SAIRE','MANCHE'),
('50330','BRILLEVAST','MANCHE'),
('50330','CANTELOUP','MANCHE'),
('50330','CARNEVILLE','MANCHE'),
('50330','CLITOURPS','MANCHE'),
('50330','COSQUEVILLE','MANCHE'),
('50330','GONNEVILLE','MANCHE'),
('50330','GOUBERVILLE','MANCHE'),
('50330','MAUPERTUS SUR MER','MANCHE'),
('50330','NEVILLE SUR MER','MANCHE'),
('50330','RETHOVILLE','MANCHE'),
('50330','ST PIERRE EGLISE','MANCHE'),
('50330','LE THEIL','MANCHE'),
('50330','THEVILLE','MANCHE'),
('50330','TOCQUEVILLE','MANCHE'),
('50330','VAROUVILLE','MANCHE'),
('50330','VRASVILLE','MANCHE'),
('50340','BENOITVILLE','MANCHE'),
('50340','BRICQUEBOSQ','MANCHE'),
('50340','FLAMANVILLE','MANCHE'),
('50340','GROSVILLE','MANCHE'),
('50340','HEAUVILLE','MANCHE'),
('50340','HELLEVILLE','MANCHE'),
('50340','PIERREVILLE','MANCHE'),
('50340','LES PIEUX','MANCHE'),
('50340','LE ROZEL','MANCHE'),
('50340','ST CHRISTOPHE DU FOC','MANCHE'),
('50340','ST GERMAIN LE GAILLARD','MANCHE'),
('50340','SIOUVILLE HAGUE','MANCHE'),
('50340','SOTTEVILLE','MANCHE'),
('50340','TREAUVILLE','MANCHE'),
('50350','DONVILLE LES BAINS','MANCHE'),
('50360','BEUZEVILLE LA BASTILLE','MANCHE'),
('50360','LA BONNEVILLE','MANCHE'),
('50360','CROSVILLE SUR DOUVE','MANCHE'),
('50360','ETIENVILLE','MANCHE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('50360','LES MOITIERS EN BAUPTOIS','MANCHE'),
('50360','PICAUVILLE','MANCHE'),
('50370','BRECEY','MANCHE'),
('50370','LA CHAISE BEAUDOIN','MANCHE'),
('50370','LA CHAPELLE UREE','MANCHE'),
('50370','LES CRESNAYS','MANCHE'),
('50370','LE GRAND CELLAND','MANCHE'),
('50370','LES LOGES SUR BRECEY','MANCHE'),
('50370','NOTRE DAME DE LIVOYE','MANCHE'),
('50370','LE PETIT CELLAND','MANCHE'),
('50370','ST GEORGES DE LIVOYE','MANCHE'),
('50370','ST JEAN DU CORAIL BOIS','MANCHE'),
('50370','ST NICOLAS DES BOIS','MANCHE'),
('50370','VERNIX','MANCHE'),
('50380','ST AUBIN DES PREAUX','MANCHE'),
('50380','ST PAIR SUR MER','MANCHE'),
('50390','BESNEVILLE','MANCHE'),
('50390','BINIVILLE','MANCHE'),
('50390','CATTEVILLE','MANCHE'),
('50390','GOLLEVILLE','MANCHE'),
('50390','HAUTTEVILLE BOCAGE','MANCHE'),
('50390','NEHOU','MANCHE'),
('50390','ORGLANDES','MANCHE'),
('50390','RAUVILLE LA PLACE','MANCHE'),
('50390','REIGNEVILLE BOCAGE','MANCHE'),
('50390','STE COLOMBE','MANCHE'),
('50390','ST JACQUES DE NEHOU','MANCHE'),
('50390','ST SAUVEUR LE VICOMTE','MANCHE'),
('50390','TAILLEPIED','MANCHE'),
('50400','ANCTOVILLE SUR BOSCQ','MANCHE'),
('50400','GRANVILLE','MANCHE'),
('50400','ST PLANCHERS','MANCHE'),
('50400','YQUELON','MANCHE'),
('50400','ILES CHAUSEY','MANCHE'),
('50410','LE CHEFRESNE','MANCHE'),
('50410','LE GUISLAIN','MANCHE'),
('50410','LA HAYE BELLEFOND','MANCHE'),
('50410','MARGUERAY','MANCHE'),
('50410','MAUPERTUIS','MANCHE'),
('50410','MONTABOT','MANCHE'),
('50410','MONTBRAY','MANCHE'),
('50410','MORIGNY','MANCHE'),
('50410','PERCY','MANCHE'),
('50410','VILLEBAUDON','MANCHE'),
('50420','BEAUCOUDRAY','MANCHE'),
('50420','BEUVRIGNY','MANCHE'),
('50420','CHEVRY','MANCHE'),
('50420','DOMJEAN','MANCHE'),
('50420','FERVACHES','MANCHE'),
('50420','FOURNEAUX','MANCHE'),
('50420','GOUVETS','MANCHE'),
('50420','LE MESNIL RAOULT','MANCHE'),
('50420','ST LOUET SUR VIRE','MANCHE'),
('50420','ST VIGOR DES MONTS','MANCHE'),
('50420','TESSY SUR VIRE','MANCHE'),
('50420','TROISGOTS','MANCHE'),
('50430','ANGOVILLE SUR AY','MANCHE'),
('50430','BRETTEVILLE SUR AY','MANCHE'),
('50430','LAULNE','MANCHE'),
('50430','LESSAY','MANCHE'),
('50430','ST GERMAIN SUR AY','MANCHE'),
('50430','VESLY','MANCHE'),
('50440','ACQUEVILLE','MANCHE'),
('50440','AUDERVILLE','MANCHE'),
('50440','BEAUMONT HAGUE','MANCHE'),
('50440','BIVILLE','MANCHE'),
('50440','BRANVILLE HAGUE','MANCHE'),
('50440','DIGULLEVILLE','MANCHE'),
('50440','ECULLEVILLE','MANCHE'),
('50440','GREVILLE HAGUE','MANCHE'),
('50440','HERQUEVILLE','MANCHE'),
('50440','JOBOURG','MANCHE'),
('50440','OMONVILLE LA PETITE','MANCHE'),
('50440','OMONVILLE LA ROGUE','MANCHE'),
('50440','STE CROIX HAGUE','MANCHE'),
('50440','ST GERMAIN DES VAUX','MANCHE'),
('50440','VASTEVILLE','MANCHE'),
('50440','VAUVILLE','MANCHE'),
('50450','LA BALEINE','MANCHE'),
('50450','GAVRAY','MANCHE'),
('50450','GRIMESNIL','MANCHE'),
('50450','HAMBYE','MANCHE'),
('50450','LE MESNIL AMAND','MANCHE'),
('50450','LE MESNIL BONANT','MANCHE'),
('50450','LE MESNIL GARNIER','MANCHE'),
('50450','LE MESNIL HUE','MANCHE'),
('50450','LE MESNIL ROGUES','MANCHE'),
('50450','LE MESNIL VILLEMAN','MANCHE'),
('50450','MONTAIGU LES BOIS','MANCHE'),
('50450','ST DENIS LE GAST','MANCHE'),
('50450','SOURDEVAL LES BOIS','MANCHE'),
('50450','VER','MANCHE'),
('50460','QUERQUEVILLE','MANCHE'),
('50460','TONNEVILLE','MANCHE'),
('50460','URVILLE NACQUEVILLE','MANCHE'),
('50470','LA GLACERIE','MANCHE'),
('50470','TOLLEVAST','MANCHE'),
('50480','AMFREVILLE','MANCHE'),
('50480','ANGOVILLE AU PLAIN','MANCHE'),
('50480','AUDOUVILLE LA HUBERT','MANCHE'),
('50480','BEUZEVILLE AU PLAIN','MANCHE'),
('50480','BLOSVILLE','MANCHE'),
('50480','BOUTTEVILLE','MANCHE'),
('50480','BRUCHEVILLE','MANCHE'),
('50480','CARQUEBUT','MANCHE'),
('50480','CHEF DU PONT','MANCHE'),
('50480','ECOQUENEAUVILLE','MANCHE'),
('50480','FOUCARVILLE','MANCHE'),
('50480','GOURBESVILLE','MANCHE'),
('50480','HIESVILLE','MANCHE'),
('50480','HOUESVILLE','MANCHE'),
('50480','LIESVILLE SUR DOUVE','MANCHE'),
('50480','NEUVILLE AU PLAIN','MANCHE'),
('50480','RAVENOVILLE','MANCHE'),
('50480','ST GERMAIN DE VARREVILLE','MANCHE'),
('50480','STE MARIE DU MONT','MANCHE'),
('50480','ST MARTIN DE VARREVILLE','MANCHE'),
('50480','STE MERE EGLISE','MANCHE'),
('50480','SEBEVILLE','MANCHE'),
('50480','TURQUEVILLE','MANCHE'),
('50480','VIERVILLE','MANCHE'),
('50490','LE MESNILBUS','MANCHE'),
('50490','MONTCUIT','MANCHE'),
('50490','MUNEVILLE LE BINGARD','MANCHE'),
('50490','LA RONDE HAYE','MANCHE'),
('50490','ST AUBIN DU PERRON','MANCHE'),
('50490','ST MICHEL DE LA PIERRE','MANCHE'),
('50490','ST SAUVEUR LENDELIN','MANCHE'),
('50490','VAUDRIMESNIL','MANCHE'),
('50500','APPEVILLE','MANCHE'),
('50500','AUVERS','MANCHE'),
('50500','AUXAIS','MANCHE'),
('50500','BAUPTE','MANCHE'),
('50500','BREVANDS','MANCHE'),
('50500','CARENTAN','MANCHE'),
('50500','CATZ','MANCHE'),
('50500','MEAUTIS','MANCHE'),
('50500','RAIDS','MANCHE'),
('50500','ST ANDRE DE BOHON','MANCHE'),
('50500','ST COME DU MONT','MANCHE'),
('50500','ST GEORGES DE BOHON','MANCHE'),
('50500','ST HILAIRE PETITVILLE','MANCHE'),
('50500','ST PELLERIN','MANCHE'),
('50500','SAINTENY','MANCHE'),
('50500','LES VEYS','MANCHE'),
('50510','CERENCES','MANCHE'),
('50510','CHANTELOUP','MANCHE'),
('50510','HUDIMESNIL','MANCHE'),
('50510','LENGRONNE','MANCHE'),
('50510','LE LOREUR','MANCHE'),
('50510','LE MESNIL AUBERT','MANCHE'),
('50510','LA MEURDRAQUIERE','MANCHE'),
('50510','ST SAUVEUR LA POMMERAYE','MANCHE'),
('50520','LA BAZOGE','MANCHE'),
('50520','BELLEFONTAINE','MANCHE'),
('50520','CHASSEGUEY','MANCHE'),
('50520','CHERENCE LE ROUSSEL','MANCHE'),
('50520','JUVIGNY LE TERTRE','MANCHE'),
('50520','LE MESNIL ADELEE','MANCHE'),
('50520','LE MESNIL RAINFRAY','MANCHE'),
('50520','LE MESNIL TOVE','MANCHE'),
('50520','REFFUVEILLE','MANCHE'),
('50530','ANGEY','MANCHE'),
('50530','BACILLY','MANCHE'),
('50530','CHAMPCEY','MANCHE'),
('50530','CHAMPEAUX','MANCHE'),
('50530','DRAGEY RONTHON','MANCHE'),
('50530','GENETS','MANCHE'),
('50530','LOLIF','MANCHE'),
('50530','MONTVIRON','MANCHE'),
('50530','LA ROCHELLE NORMANDE','MANCHE'),
('50530','RONTHON','MANCHE'),
('50530','ST JEAN LE THOMAS','MANCHE'),
('50530','ST PIERRE LANGERS','MANCHE'),
('50530','SARTILLY','MANCHE'),
('50540','LES BIARDS','MANCHE'),
('50540','CHALANDREY','MANCHE'),
('50540','ISIGNY LE BUAT','MANCHE'),
('50540','LA MANCELLIERE','MANCHE'),
('50540','LE MESNIL BOEUFS','MANCHE'),
('50540','LE MESNIL THEBAULT','MANCHE'),
('50540','MONTGOTHIER','MANCHE'),
('50540','MONTIGNY','MANCHE'),
('50540','NAFTEL','MANCHE'),
('50540','VEZINS','MANCHE'),
('50550','ST VAAST LA HOUGUE','MANCHE'),
('50550','ILE TATIHOU','MANCHE'),
('50560','ANNEVILLE SUR MER','MANCHE'),
('50560','BLAINVILLE SUR MER','MANCHE'),
('50560','GEFFOSSES','MANCHE'),
('50560','GOUVILLE SUR MER','MANCHE'),
('50570','CAMETOURS','MANCHE'),
('50570','CARANTILLY','MANCHE'),
('50570','LA CHAPELLE EN JUGER','MANCHE'),
('50570','HAUTTEVILLE LA GUICHARD','MANCHE'),
('50570','LE LOREY','MANCHE'),
('50570','LOZON','MANCHE'),
('50570','MARIGNY','MANCHE'),
('50570','LE MESNIL AMEY','MANCHE'),
('50570','LE MESNIL EURY','MANCHE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('50570','LE MESNIL VIGOT','MANCHE'),
('50570','MONTREUIL SUR LOZON','MANCHE'),
('50570','REMILLY SUR LOZON','MANCHE'),
('50580','CANVILLE LA ROCQUE','MANCHE'),
('50580','DENNEVILLE','MANCHE'),
('50580','FIERVILLE LES MINES','MANCHE'),
('50580','LE MESNIL','MANCHE'),
('50580','PORTBAIL','MANCHE'),
('50580','ST LO D OURVILLE','MANCHE'),
('50580','ST REMY DES LANDES','MANCHE'),
('50590','HAUTEVILLE SUR MER','MANCHE'),
('50590','MONTMARTIN SUR MER','MANCHE'),
('50590','REGNEVILLE SUR MER','MANCHE'),
('50600','CHEVREVILLE','MANCHE'),
('50600','LAPENTY','MANCHE'),
('50600','LES LOGES MARCHIS','MANCHE'),
('50600','MARTIGNY','MANCHE'),
('50600','LE MESNILLARD','MANCHE'),
('50600','MILLY','MANCHE'),
('50600','MOULINES','MANCHE'),
('50600','PARIGNY','MANCHE'),
('50600','ST HILAIRE DU HARCOUET','MANCHE'),
('50600','VIREY','MANCHE'),
('50610','JULLOUVILLE','MANCHE'),
('50620','AMIGNY','MANCHE'),
('50620','CAVIGNY','MANCHE'),
('50620','LES CHAMPS DE LOSQUE','MANCHE'),
('50620','LE DEZERT','MANCHE'),
('50620','GRAIGNES','MANCHE'),
('50620','LE HOMMET D ARTHENAY','MANCHE'),
('50620','LE MESNIL ANGOT','MANCHE'),
('50620','LE MESNIL VENERON','MANCHE'),
('50620','MONTMARTIN EN GRAIGNES','MANCHE'),
('50620','ST FROMOND','MANCHE'),
('50620','ST JEAN DE DAYE','MANCHE'),
('50620','TRIBEHOU','MANCHE'),
('50630','AUMEVILLE LESTRE','MANCHE'),
('50630','CRASVILLE','MANCHE'),
('50630','MORSALINES','MANCHE'),
('50630','OCTEVILLE L AVENEL','MANCHE'),
('50630','LA PERNELLE','MANCHE'),
('50630','QUETTEHOU','MANCHE'),
('50630','TEURTHEVILLE BOCAGE','MANCHE'),
('50630','LE VAST','MANCHE'),
('50630','VIDECOSVILLE','MANCHE'),
('50640','BUAIS','MANCHE'),
('50640','FERRIERES','MANCHE'),
('50640','HEUSSE','MANCHE'),
('50640','HUSSON','MANCHE'),
('50640','STE MARIE DU BOIS','MANCHE'),
('50640','ST SYMPHORIEN DES MONTS','MANCHE'),
('50640','SAVIGNY LE VIEUX','MANCHE'),
('50640','LE TEILLEUL','MANCHE'),
('50660','ANNOVILLE','MANCHE'),
('50660','CONTRIERES','MANCHE'),
('50660','HERENGUERVILLE','MANCHE'),
('50660','HYENVILLE','MANCHE'),
('50660','LINGREVILLE','MANCHE'),
('50660','MONTCHATON','MANCHE'),
('50660','ORVAL','MANCHE'),
('50660','QUETTREVILLE SUR SIENNE','MANCHE'),
('50660','TRELLY','MANCHE'),
('50670','COULOUVRAY BOISBENATRE','MANCHE'),
('50670','CUVES','MANCHE'),
('50670','LINGEARD','MANCHE'),
('50670','LE MESNIL GILBERT','MANCHE'),
('50670','ST LAURENT DE CUVES','MANCHE'),
('50670','ST MICHEL DE MONTJOIE','MANCHE'),
('50670','ST POIS','MANCHE'),
('50680','AIREL','MANCHE'),
('50680','CERISY LA FORET','MANCHE'),
('50680','COUVAINS','MANCHE'),
('50680','LA LUZERNE','MANCHE'),
('50680','MOON SUR ELLE','MANCHE'),
('50680','ST ANDRE DE L EPINE','MANCHE'),
('50680','ST CLAIR SUR L ELLE','MANCHE'),
('50680','ST GEORGES D ELLE','MANCHE'),
('50680','ST JEAN DE SAVIGNY','MANCHE'),
('50680','VILLIERS FOSSARD','MANCHE'),
('50690','COUVILLE','MANCHE'),
('50690','FLOTTEMANVILLE HAGUE','MANCHE'),
('50690','HARDINVAST','MANCHE'),
('50690','MARTINVAST','MANCHE'),
('50690','NOUAINVILLE','MANCHE'),
('50690','ST MARTIN LE GREARD','MANCHE'),
('50690','SIDEVILLE','MANCHE'),
('50690','TEURTHEVILLE HAGUE','MANCHE'),
('50690','VIRANDEVILLE','MANCHE'),
('50700','BRIX','MANCHE'),
('50700','COLOMBY','MANCHE'),
('50700','FLOTTEMANVILLE','MANCHE'),
('50700','HEMEVEZ','MANCHE'),
('50700','HUBERVILLE','MANCHE'),
('50700','LIEUSAINT','MANCHE'),
('50700','MONTAIGU LA BRISETTE','MANCHE'),
('50700','MORVILLE','MANCHE'),
('50700','ST GERMAIN DE TOURNEBUT','MANCHE'),
('50700','ST JOSEPH','MANCHE'),
('50700','SAUSSEMESNIL','MANCHE'),
('50700','TAMERVILLE','MANCHE'),
('50700','URVILLE','MANCHE'),
('50700','VALOGNES','MANCHE'),
('50700','YVETOT BOCAGE','MANCHE'),
('50710','CREANCES','MANCHE'),
('50720','BARENTON','MANCHE'),
('50720','ST CYR DU BAILLEUL','MANCHE'),
('50720','ST GEORGES DE ROUELLEY','MANCHE'),
('50730','HAMELIN','MANCHE'),
('50730','ST BRICE DE LANDELLES','MANCHE'),
('50730','ST MARTIN DE LANDELLES','MANCHE'),
('50740','CAROLLES','MANCHE'),
('50740','ST MICHEL DES LOUPS','MANCHE'),
('50750','CANISY','MANCHE'),
('50750','DANGY','MANCHE'),
('50750','GOURFALEUR','MANCHE'),
('50750','LA MANCELLIERE SUR VIRE','MANCHE'),
('50750','LE MESNIL HERMAN','MANCHE'),
('50750','QUIBOU','MANCHE'),
('50750','ST EBREMOND DE BONFOSSE','MANCHE'),
('50750','ST MARTIN DE BONFOSSE','MANCHE'),
('50750','ST ROMPHAIRE','MANCHE'),
('50750','ST SAMSON DE BONFOSSE','MANCHE'),
('50750','STE SUZANNE SUR VIRE','MANCHE'),
('50750','SOULLES','MANCHE'),
('50760','ANNEVILLE EN SAIRE','MANCHE'),
('50760','BARFLEUR','MANCHE'),
('50760','GATTEVILLE LE PHARE','MANCHE'),
('50760','MONTFARVILLE','MANCHE'),
('50760','REVILLE','MANCHE'),
('50760','STE GENEVIEVE','MANCHE'),
('50760','VALCANVILLE','MANCHE'),
('50760','LE VICEL','MANCHE'),
('50770','PIROU','MANCHE'),
('50800','BESLON','MANCHE'),
('50800','LA BLOUTIERE','MANCHE'),
('50800','BOISYVON','MANCHE'),
('50800','BOURGUENOLLES','MANCHE'),
('50800','CHAMPREPUS','MANCHE'),
('50800','LA CHAPELLE CECELIN','MANCHE'),
('50800','CHERENCE LE HERON','MANCHE'),
('50800','LA COLOMBE','MANCHE'),
('50800','FLEURY','MANCHE'),
('50800','LA LANDE D AIROU','MANCHE'),
('50800','ROUFFIGNY','MANCHE'),
('50800','STE CECILE','MANCHE'),
('50800','ST MARTIN LE BOUILLANT','MANCHE'),
('50800','ST MAUR DES BOIS','MANCHE'),
('50800','LA TRINITE','MANCHE'),
('50800','VILLEDIEU LES POELES','MANCHE'),
('50810','LA BARRE DE SEMILLY','MANCHE'),
('50810','BERIGNY','MANCHE'),
('50810','MONTRABOT','MANCHE'),
('50810','NOTRE DAME D ELLE','MANCHE'),
('50810','PRECORBIN','MANCHE'),
('50810','ROUXEVILLE','MANCHE'),
('50810','ST GERMAIN D ELLE','MANCHE'),
('50810','ST JEAN DES BAISANTS','MANCHE'),
('50810','ST PIERRE DE SEMILLY','MANCHE'),
('50810','VIDOUVILLE','MANCHE'),
('50840','FERMANVILLE','MANCHE'),
('50850','LE FRESNE PORET','MANCHE'),
('50850','GER','MANCHE'),
('50860','LE MESNIL OPAC','MANCHE'),
('50860','MOYON','MANCHE'),
('50870','BRAFFAIS','MANCHE'),
('50870','CHAVOY','MANCHE'),
('50870','LE LUOT','MANCHE'),
('50870','PLOMB','MANCHE'),
('50870','STE EUGIENNE','MANCHE'),
('50870','STE PIENCE','MANCHE'),
('50870','SUBLIGNY','MANCHE'),
('50870','TIREPIED','MANCHE'),
('50880','LA MEAUFFE','MANCHE'),
('50880','PONT HEBERT','MANCHE'),
('50890','CONDE SUR VIRE','MANCHE'),
('51000','CHALONS EN CHAMPAGNE','MARNE'),
('51100','LA NEUVILLETTE','MARNE'),
('51100','REIMS','MARNE'),
('51110','AUMENANCOURT','MARNE'),
('51110','BAZANCOURT','MARNE'),
('51110','BOULT SUR SUIPPE','MARNE'),
('51110','BOURGOGNE','MARNE'),
('51110','CAUREL','MARNE'),
('51110','FRESNES LES REIMS','MARNE'),
('51110','HEUTREGIVILLE','MARNE'),
('51110','ISLES SUR SUIPPE','MARNE'),
('51110','LAVANNES','MARNE'),
('51110','POMACLE','MARNE'),
('51110','ST ETIENNE SUR SUIPPE','MARNE'),
('51110','WARMERIVILLE','MARNE'),
('51120','ALLEMANT','MARNE'),
('51120','BARBONNE FAYEL','MARNE'),
('51120','BROYES','MARNE'),
('51120','CHARLEVILLE','MARNE'),
('51120','CHICHEY','MARNE'),
('51120','LES ESSARTS LES SEZANNE','MARNE'),
('51120','FONTAINE DENIS NUISY','MARNE'),
('51120','LA FORESTIERE','MARNE'),
('51120','GAYE','MARNE'),
('51120','LACHY','MARNE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('51120','LE MEIX ST EPOING','MARNE'),
('51120','MOEURS VERDEY','MARNE'),
('51120','MONDEMENT MONTGIVROUX','MARNE'),
('51120','NESLE LA REPOSTE','MARNE'),
('51120','OYES','MARNE'),
('51120','PEAS','MARNE'),
('51120','QUEUDES','MARNE'),
('51120','REUVES','MARNE'),
('51120','ST LOUP','MARNE'),
('51120','ST QUENTIN LE VERGER','MARNE'),
('51120','ST REMY SOUS BROYES','MARNE'),
('51120','SAUDOY','MARNE'),
('51120','SEZANNE','MARNE'),
('51120','SOIZY AUX BOIS','MARNE'),
('51120','LA VILLENEUVE LES CHARLEV','MARNE'),
('51120','VILLENEUVE ST VISTRE VILL','MARNE'),
('51120','VINDEY','MARNE'),
('51130','AULNAY AUX PLANCHES','MARNE'),
('51130','AULNIZEUX','MARNE'),
('51130','BERGERES LES VERTUS','MARNE'),
('51130','CHAINTRIX BIERGES','MARNE'),
('51130','CHALTRAIT','MARNE'),
('51130','CLAMANGES','MARNE'),
('51130','VAL DES MARAIS','MARNE'),
('51130','ETRECHY','MARNE'),
('51130','GERMINON','MARNE'),
('51130','GIONGES','MARNE'),
('51130','GIVRY LES LOISY','MARNE'),
('51130','LOISY EN BRIE','MARNE'),
('51130','MORAINS','MARNE'),
('51130','PIERRE MORAINS','MARNE'),
('51130','POCANCY','MARNE'),
('51130','ROUFFY','MARNE'),
('51130','ST MARD LES ROUFFY','MARNE'),
('51130','SOULIERES','MARNE'),
('51130','TOULON LA MONTAGNE','MARNE'),
('51130','TRECON','MARNE'),
('51130','VELYE','MARNE'),
('51130','VERT TOULON','MARNE'),
('51130','VERTUS','MARNE'),
('51130','VILLENEUVE RENNEVILLE CHE','MARNE'),
('51130','VILLERS AUX BOIS','MARNE'),
('51130','VILLESENEUX','MARNE'),
('51130','VOIPREUX','MARNE'),
('51130','VOUZY','MARNE'),
('51140','BOUVANCOURT','MARNE'),
('51140','BRANSCOURT','MARNE'),
('51140','BREUIL','MARNE'),
('51140','CHALONS SUR VESLE','MARNE'),
('51140','CHENAY','MARNE'),
('51140','COURCELLES SAPICOURT','MARNE'),
('51140','HOURGES','MARNE'),
('51140','JONCHERY SUR VESLE','MARNE'),
('51140','MONTIGNY SUR VESLE','MARNE'),
('51140','MUIZON','MARNE'),
('51140','PEVY','MARNE'),
('51140','PROUILLY','MARNE'),
('51140','ROMAIN','MARNE'),
('51140','TRESLON','MARNE'),
('51140','TRIGNY','MARNE'),
('51140','VANDEUIL','MARNE'),
('51140','VENTELAY','MARNE'),
('51150','AIGNY','MARNE'),
('51150','AMBONNAY','MARNE'),
('51150','ATHIS','MARNE'),
('51150','AULNAY SUR MARNE','MARNE'),
('51150','BISSEUIL','MARNE'),
('51150','BOUZY','MARNE'),
('51150','CHAMPIGNEUL CHAMPAGNE','MARNE'),
('51150','CHERVILLE','MARNE'),
('51150','CONDE SUR MARNE','MARNE'),
('51150','ISSE','MARNE'),
('51150','JALONS','MARNE'),
('51150','JUVIGNY','MARNE'),
('51150','LOUVOIS','MARNE'),
('51150','PLIVOT','MARNE'),
('51150','TAUXIERES MUTRY','MARNE'),
('51150','TOURS SUR MARNE','MARNE'),
('51150','VRAUX','MARNE'),
('51160','AVENAY VAL D OR','MARNE'),
('51160','AY','MARNE'),
('51160','CHAMPILLON','MARNE'),
('51160','FONTAINE SUR AY','MARNE'),
('51160','GERMAINE','MARNE'),
('51160','HAUTVILLERS','MARNE'),
('51160','MAREUIL SUR AY','MARNE'),
('51160','MUTIGNY','MARNE'),
('51160','ST IMOGES','MARNE'),
('51170','AOUGNY','MARNE'),
('51170','ARCIS LE PONSART','MARNE'),
('51170','AUBILLY','MARNE'),
('51170','BASLIEUX LES FISMES','MARNE'),
('51170','BLIGNY','MARNE'),
('51170','BOULEUSE','MARNE'),
('51170','BROUILLET','MARNE'),
('51170','CHAMBRECY','MARNE'),
('51170','CHAUMUZY','MARNE'),
('51170','COURLANDON','MARNE'),
('51170','COURVILLE','MARNE'),
('51170','CRUGNY','MARNE'),
('51170','FAVEROLLES ET COEMY','MARNE'),
('51170','FISMES','MARNE'),
('51170','LAGERY','MARNE'),
('51170','LHERY','MARNE'),
('51170','MAGNEUX','MARNE'),
('51170','MARFAUX','MARNE'),
('51170','MONT SUR COURVILLE','MARNE'),
('51170','POILLY','MARNE'),
('51170','ROMIGNY','MARNE'),
('51170','ST GILLES','MARNE'),
('51170','SARCY','MARNE'),
('51170','SAVIGNY SUR ARDRES','MARNE'),
('51170','SERZY ET PRIN','MARNE'),
('51170','TRAMERY','MARNE'),
('51170','UNCHAIR','MARNE'),
('51170','VILLE EN TARDENOIS','MARNE'),
('51190','AVIZE','MARNE'),
('51190','FLAVIGNY','MARNE'),
('51190','GRAUVES','MARNE'),
('51190','LES ISTRES ET BURY','MARNE'),
('51190','LE MESNIL SUR OGER','MARNE'),
('51190','OGER','MARNE'),
('51200','ST MARTIN D ABLOIS','MARNE'),
('51200','BRUGNY VAUDANCOURT','MARNE'),
('51200','CHAVOT COURCOURT','MARNE'),
('51200','CHOUILLY','MARNE'),
('51200','CRAMANT','MARNE'),
('51200','CUIS','MARNE'),
('51200','DIZY','MARNE'),
('51200','EPERNAY','MARNE'),
('51200','MANCY','MARNE'),
('51200','MARDEUIL','MARNE'),
('51200','MONTHELON','MARNE'),
('51200','MORANGIS','MARNE'),
('51200','MOSLINS','MARNE'),
('51200','MOUSSY','MARNE'),
('51200','OIRY','MARNE'),
('51200','PIERRY','MARNE'),
('51200','VINAY','MARNE'),
('51200','MAGENTA','MARNE'),
('51210','BERGERES SOUS MONTMIRAIL','MARNE'),
('51210','BOISSY LE REPOS','MARNE'),
('51210','LE BREUIL','MARNE'),
('51210','CORFELIX','MARNE'),
('51210','CORROBERT','MARNE'),
('51210','FROMENTIERES','MARNE'),
('51210','LE GAULT SOIGNY','MARNE'),
('51210','JANVILLIERS','MARNE'),
('51210','MACLAUNAY','MARNE'),
('51210','MARGNY','MARNE'),
('51210','MECRINGES','MARNE'),
('51210','MONTMIRAIL','MARNE'),
('51210','MORSAINS','MARNE'),
('51210','RIEUX','MARNE'),
('51210','LE THOULT TROSNAY','MARNE'),
('51210','TREFOLS','MARNE'),
('51210','VAUCHAMPS','MARNE'),
('51210','VERDON','MARNE'),
('51210','LE VEZIER','MARNE'),
('51220','BERMERICOURT','MARNE'),
('51220','BRIMONT','MARNE'),
('51220','CAUROY LES HERMONVILLE','MARNE'),
('51220','CORMICY','MARNE'),
('51220','COURCY','MARNE'),
('51220','HERMONVILLE','MARNE'),
('51220','LOIVRE','MARNE'),
('51220','MERFY','MARNE'),
('51220','POUILLON','MARNE'),
('51220','ST THIERRY','MARNE'),
('51220','THIL','MARNE'),
('51220','VILLERS FRANQUEUX','MARNE'),
('51230','ANGLUZELLES ET COURCELLES','MARNE'),
('51230','BANNES','MARNE'),
('51230','BROUSSY LE GRAND','MARNE'),
('51230','BROUSSY LE PETIT','MARNE'),
('51230','CONNANTRAY VAUREFROY','MARNE'),
('51230','CONNANTRE','MARNE'),
('51230','CORROY','MARNE'),
('51230','ECURY LE REPOS','MARNE'),
('51230','EUVY','MARNE'),
('51230','FAUX FRESNAY','MARNE'),
('51230','FERE CHAMPENOISE','MARNE'),
('51230','GOURGANCON','MARNE'),
('51230','LENHARREE','MARNE'),
('51230','LINTHELLES','MARNE'),
('51230','LINTHES','MARNE'),
('51230','MARIGNY','MARNE'),
('51230','NORMEE','MARNE'),
('51230','OGNES','MARNE'),
('51230','PLEURS','MARNE'),
('51230','THAAS','MARNE'),
('51240','ABLANCOURT','MARNE'),
('51240','AULNAY L AITRE','MARNE'),
('51240','BREUVERY SUR COOLE','MARNE'),
('51240','CERNON','MARNE'),
('51240','LA CHAUSSEE SUR MARNE','MARNE'),
('51240','CHEPPES LA PRAIRIE','MARNE'),
('51240','CHEPY','MARNE'),
('51240','COUPETZ','MARNE'),
('51240','COUPEVILLE','MARNE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('51240','DAMPIERRE SUR MOIVRE','MARNE'),
('51240','ECURY SUR COOLE','MARNE'),
('51240','FRANCHEVILLE','MARNE'),
('51240','LE FRESNE','MARNE'),
('51240','MAIRY SUR MARNE','MARNE'),
('51240','MARSON','MARNE'),
('51240','MOIVRE','MARNE'),
('51240','NUISEMENT SUR COOLE','MARNE'),
('51240','OMEY','MARNE'),
('51240','POGNY','MARNE'),
('51240','ST GERMAIN LA VILLE','MARNE'),
('51240','ST JEAN SUR MOIVRE','MARNE'),
('51240','ST MARTIN AUX CHAMPS','MARNE'),
('51240','ST QUENTIN SUR COOLE','MARNE'),
('51240','SONGY','MARNE'),
('51240','TOGNY AUX BOEUFS','MARNE'),
('51240','VESIGNEUL SUR MARNE','MARNE'),
('51240','VITRY LA VILLE','MARNE'),
('51240','VOUCIENNES','MARNE'),
('51250','ALLIANCELLES','MARNE'),
('51250','CHEMINON','MARNE'),
('51250','SERMAIZE LES BAINS','MARNE'),
('51250','VILLERS LE SEC','MARNE'),
('51260','ALLEMANCHE LAUNAY ET SOYE','MARNE'),
('51260','ANGLURE','MARNE'),
('51260','BAGNEUX','MARNE'),
('51260','BAUDEMENT','MARNE'),
('51260','BETHON','MARNE'),
('51260','LA CELLE SOUS CHANTEMERLE','MARNE'),
('51260','CHANTEMERLE','MARNE'),
('51260','LA CHAPELLE LASSON','MARNE'),
('51260','CLESLES','MARNE'),
('51260','CONFLANS SUR SEINE','MARNE'),
('51260','COURCEMAIN','MARNE'),
('51260','ESCLAVOLLES LUREY','MARNE'),
('51260','GRANGES SUR AUBE','MARNE'),
('51260','MARCILLY SUR SEINE','MARNE'),
('51260','MARSANGIS','MARNE'),
('51260','MONTGENOST','MARNE'),
('51260','POTANGIS','MARNE'),
('51260','ST JUST SAUVAGE','MARNE'),
('51260','ST SATURNIN','MARNE'),
('51260','SARON SUR AUBE','MARNE'),
('51260','VILLIERS AUX CORNEILLES','MARNE'),
('51260','VOUARCES','MARNE'),
('51270','LE BAIZIL','MARNE'),
('51270','BANNAY','MARNE'),
('51270','BAYE','MARNE'),
('51270','BEAUNAY','MARNE'),
('51270','LA CAURE','MARNE'),
('51270','CHAMPAUBERT','MARNE'),
('51270','LA CHAPELLE SOUS ORBAIS','MARNE'),
('51270','COIZARD JOCHES','MARNE'),
('51270','CONGY','MARNE'),
('51270','CORRIBERT','MARNE'),
('51270','COURJEONNET','MARNE'),
('51270','ETOGES','MARNE'),
('51270','FEREBRIANGES','MARNE'),
('51270','LUCY','MARNE'),
('51270','MAREUIL EN BRIE','MARNE'),
('51270','MONTMORT LUCY','MARNE'),
('51270','ORBAIS L ABBAYE','MARNE'),
('51270','SUIZY LE FRANC','MARNE'),
('51270','TALUS ST PRIX','MARNE'),
('51270','LA VILLE SOUS ORBAIS','MARNE'),
('51270','VILLEVENARD','MARNE'),
('51290','AMBRIERES','MARNE'),
('51290','ARRIGNY','MARNE'),
('51290','ARZILLIERES NEUVILLE','MARNE'),
('51290','BRANDONVILLERS','MARNE'),
('51290','CHAPELAINE','MARNE'),
('51290','CHATILLON SUR BROUE','MARNE'),
('51290','DROSNAY','MARNE'),
('51290','ECOLLEMONT','MARNE'),
('51290','GIFFAUMONT CHAMPAUBERT','MARNE'),
('51290','GIGNY BUSSY','MARNE'),
('51290','STE MARIE DU LAC NUISEMEN','MARNE'),
('51290','HAUTEVILLE','MARNE'),
('51290','ISLE SUR MARNE','MARNE'),
('51290','LANDRICOURT','MARNE'),
('51290','LARZICOURT','MARNE'),
('51290','LIGNON','MARNE'),
('51290','MARGERIE HANCOURT','MARNE'),
('51290','MONCETZ L ABBAYE','MARNE'),
('51290','NEUVILLE SOUS ARZILLIERES','MARNE'),
('51290','OUTINES','MARNE'),
('51290','ST CHERON','MARNE'),
('51290','ST REMY EN BOUZEMONT ST G','MARNE'),
('51290','ST UTIN','MARNE'),
('51290','SOMSOIS','MARNE'),
('51300','BASSU','MARNE'),
('51300','BASSUET','MARNE'),
('51300','BIGNICOURT SUR MARNE','MARNE'),
('51300','BLACY','MARNE'),
('51300','BLAISE SOUS ARZILLIERES','MARNE'),
('51300','BRUSSON','MARNE'),
('51300','LE BUISSON','MARNE'),
('51300','CHANGY','MARNE'),
('51300','CHATELRAOULD ST LOUVENT','MARNE'),
('51300','CLOYES SUR MARNE','MARNE'),
('51300','COURDEMANGES','MARNE'),
('51300','COUVROT','MARNE'),
('51300','DOMPREMY','MARNE'),
('51300','DROUILLY','MARNE'),
('51300','ECRIENNES','MARNE'),
('51300','FAVRESSE','MARNE'),
('51300','FRIGNICOURT','MARNE'),
('51300','GLANNES','MARNE'),
('51300','HAUSSIGNEMONT','MARNE'),
('51300','HEILTZ LE HUTIER','MARNE'),
('51300','HUIRON','MARNE'),
('51300','LISSE EN CHAMPAGNE','MARNE'),
('51300','LOISY SUR MARNE','MARNE'),
('51300','LUXEMONT ET VILLOTTE','MARNE'),
('51300','MAISONS EN CHAMPAGNE','MARNE'),
('51300','MAROLLES','MARNE'),
('51300','MATIGNICOURT GONCOURT','MARNE'),
('51300','MERLAUT','MARNE'),
('51300','NORROIS','MARNE'),
('51300','ORCONTE','MARNE'),
('51300','OUTREPONT','MARNE'),
('51300','PLICHANCOURT','MARNE'),
('51300','PONTHION','MARNE'),
('51300','PRINGY','MARNE'),
('51300','REIMS LA BRULEE','MARNE'),
('51300','LES RIVIERES HENRUEL','MARNE'),
('51300','ST AMAND SUR FION','MARNE'),
('51300','ST LUMIER EN CHAMPAGNE','MARNE'),
('51300','ST QUENTIN LES MARAIS','MARNE'),
('51300','SOULANGES','MARNE'),
('51300','THIEBLEMONT FAREMONT','MARNE'),
('51300','VAUCLERC','MARNE'),
('51300','VAVRAY LE GRAND','MARNE'),
('51300','VAVRAY LE PETIT','MARNE'),
('51300','VITRY EN PERTHOIS','MARNE'),
('51300','VITRY LE FRANCOIS','MARNE'),
('51310','BOUCHY ST GENEST','MARNE'),
('51310','CHAMPGUYON','MARNE'),
('51310','CHATILLON SUR MORIN','MARNE'),
('51310','COURGIVAUX','MARNE'),
('51310','ESCARDES','MARNE'),
('51310','LES ESSARTS LE VICOMTE','MARNE'),
('51310','ESTERNAY','MARNE'),
('51310','JOISELLE','MARNE'),
('51310','NEUVY','MARNE'),
('51310','LA NOUE','MARNE'),
('51310','REVEILLON','MARNE'),
('51310','ST BON','MARNE'),
('51310','VILLENEUVE LA LIONNE','MARNE'),
('51320','BREBAN','MARNE'),
('51320','BUSSY LETTREE','MARNE'),
('51320','COOLE','MARNE'),
('51320','CORBEIL','MARNE'),
('51320','DOMMARTIN LETTREE','MARNE'),
('51320','FAUX VESIGNEUL','MARNE'),
('51320','FONTAINE SUR COOLE','MARNE'),
('51320','HAUSSIMONT','MARNE'),
('51320','HUMBAUVILLE','MARNE'),
('51320','LE MEIX TIERCELIN','MARNE'),
('51320','MONTEPREUX','MARNE'),
('51320','ST OUEN DOMPROT','MARNE'),
('51320','SOMMESOUS','MARNE'),
('51320','SOMPUIS','MARNE'),
('51320','SOUDE','MARNE'),
('51320','SOUDRON','MARNE'),
('51320','VASSIMONT ET CHAPELAINE','MARNE'),
('51320','VATRY','MARNE'),
('51330','BELVAL EN ARGONNE','MARNE'),
('51330','BETTANCOURT LA LONGUE','MARNE'),
('51330','BUSSY LE REPOS','MARNE'),
('51330','CHARMONT','MARNE'),
('51330','LES CHARMONTOIS','MARNE'),
('51330','LE CHATELIER','MARNE'),
('51330','CONTAULT','MARNE'),
('51330','DAMPIERRE LE CHATEAU','MARNE'),
('51330','DOMMARTIN VARIMONT','MARNE'),
('51330','EPENSE','MARNE'),
('51330','GIVRY EN ARGONNE','MARNE'),
('51330','LA NEUVILLE AUX BOIS','MARNE'),
('51330','NOIRLIEU','MARNE'),
('51330','POSSESSE','MARNE'),
('51330','RAPSECOURT','MARNE'),
('51330','REMICOURT','MARNE'),
('51330','ST JEAN DEVANT POSSESSE','MARNE'),
('51330','ST MARD SUR LE MONT','MARNE'),
('51330','SOMME YEVRE','MARNE'),
('51330','VANAULT LE CHATEL','MARNE'),
('51330','VERNANCOURT','MARNE'),
('51330','LE VIEIL DAMPIERRE','MARNE'),
('51330','VROIL','MARNE'),
('51340','BIGNICOURT SUR SAULX','MARNE'),
('51340','BLESME','MARNE'),
('51340','VAL DE VIERE','MARNE'),
('51340','ETREPY','MARNE'),
('51340','HEILTZ LE MAURUPT','MARNE'),
('51340','HEILTZ L EVEQUE','MARNE'),
('51340','JUSSECOURT MINECOURT','MARNE'),
('51340','MAURUPT LE MONTOIS','MARNE'),
('51340','PARGNY SUR SAULX','MARNE'),
('51340','ST LUMIER LA POPULEUSE','MARNE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('51340','ST VRAIN','MARNE'),
('51340','SCRUPT','MARNE'),
('51340','SOGNY EN L ANGLE','MARNE'),
('51340','TROIS FONTAINES L ABBAYE','MARNE'),
('51340','VANAULT LES DAMES','MARNE'),
('51340','VOUILLERS','MARNE'),
('51350','CORMONTREUIL','MARNE'),
('51360','BEAUMONT SUR VESLE','MARNE'),
('51360','PRUNAY','MARNE'),
('51360','VAL DE VESLE','MARNE'),
('51360','VERZENAY','MARNE'),
('51370','CHAMPIGNY','MARNE'),
('51370','LES MESNEUX','MARNE'),
('51370','ORMES','MARNE'),
('51370','ST BRICE COURCELLES','MARNE'),
('51370','THILLOIS','MARNE'),
('51380','TREPAIL','MARNE'),
('51380','VAUDEMANGES','MARNE'),
('51380','VERZY','MARNE'),
('51380','VILLERS MARMERY','MARNE'),
('51390','BOUILLY','MARNE'),
('51390','COULOMMES LA MONTAGNE','MARNE'),
('51390','COURMAS','MARNE'),
('51390','GERMIGNY','MARNE'),
('51390','GUEUX','MARNE'),
('51390','JANVRY','MARNE'),
('51390','JOUY LES REIMS','MARNE'),
('51390','MERY PREMECY','MARNE'),
('51390','PARGNY LES REIMS','MARNE'),
('51390','ROSNAY','MARNE'),
('51390','ST EUPHRAISE ET CLAIRIZET','MARNE'),
('51390','VILLE DOMMANGE','MARNE'),
('51390','VRIGNY','MARNE'),
('51400','BACONNES','MARNE'),
('51400','BILLY LE GRAND','MARNE'),
('51400','BOUY','MARNE'),
('51400','CUPERLY','MARNE'),
('51400','DAMPIERRE AU TEMPLE','MARNE'),
('51400','LES GRANDES LOGES','MARNE'),
('51400','LIVRY LOUVERCY','MARNE'),
('51400','MOURMELON LE GRAND','MARNE'),
('51400','MOURMELON LE PETIT','MARNE'),
('51400','LES PETITES LOGES','MARNE'),
('51400','PROSNES','MARNE'),
('51400','ST HILAIRE AU TEMPLE','MARNE'),
('51400','SEPT SAULX','MARNE'),
('51400','VADENAY','MARNE'),
('51420','BERRU','MARNE'),
('51420','CERNAY LES REIMS','MARNE'),
('51420','NOGENT L ABBESSE','MARNE'),
('51420','WITRY LES REIMS','MARNE'),
('51430','BEZANNES','MARNE'),
('51430','TINQUEUX','MARNE'),
('51450','BETHENY','MARNE'),
('51460','COURTISOLS','MARNE'),
('51460','L EPINE','MARNE'),
('51460','HERPONT','MARNE'),
('51460','POIX','MARNE'),
('51460','ST ETIENNE AU TEMPLE','MARNE'),
('51460','SOMME VESLE','MARNE'),
('51460','TILLOY ET BELLAY','MARNE'),
('51470','MONCETZ LONGEVAS','MARNE'),
('51470','ST MEMMIE','MARNE'),
('51480','BELVAL SOUS CHATILLON','MARNE'),
('51480','BOURSAULT','MARNE'),
('51480','CHAMPLAT ET BOUJACOURT','MARNE'),
('51480','CORMOYEUX','MARNE'),
('51480','COURTAGNON','MARNE'),
('51480','CUCHERY','MARNE'),
('51480','CUMIERES','MARNE'),
('51480','DAMERY','MARNE'),
('51480','FLEURY LA RIVIERE','MARNE'),
('51480','NANTEUIL LA FORET','MARNE'),
('51480','LA NEUVILLE AUX LARRIS','MARNE'),
('51480','OEUILLY','MARNE'),
('51480','POURCY','MARNE'),
('51480','REUIL','MARNE'),
('51480','ROMERY','MARNE'),
('51480','VAUCIENNES','MARNE'),
('51480','VENTEUIL','MARNE'),
('51490','BEINE NAUROY','MARNE'),
('51490','BETHENIVILLE','MARNE'),
('51490','DONTRIEN','MARNE'),
('51490','EPOYE','MARNE'),
('51490','PONTFAVERGER MORONVILLIER','MARNE'),
('51490','ST HILAIRE LE PETIT','MARNE'),
('51490','ST MARTIN L HEUREUX','MARNE'),
('51490','ST MASMES','MARNE'),
('51490','SELLES','MARNE'),
('51500','CHAMERY','MARNE'),
('51500','CHAMPFLEURY','MARNE'),
('51500','CHIGNY LES ROSES','MARNE'),
('51500','ECUEIL','MARNE'),
('51500','LUDES','MARNE'),
('51500','MAILLY CHAMPAGNE','MARNE'),
('51500','MONTBRE','MARNE'),
('51500','PUISIEULX','MARNE'),
('51500','RILLY LA MONTAGNE','MARNE'),
('51500','SACY','MARNE'),
('51500','ST LEONARD','MARNE'),
('51500','SERMIERS','MARNE'),
('51500','SILLERY','MARNE'),
('51500','TAISSY','MARNE'),
('51500','TROIS PUITS','MARNE'),
('51500','VILLE EN SELVE','MARNE'),
('51500','VILLERS ALLERAND','MARNE'),
('51500','VILLERS AUX NOEUDS','MARNE'),
('51510','CHENIERS','MARNE'),
('51510','COMPERTRIX','MARNE'),
('51510','COOLUS','MARNE'),
('51510','FAGNIERES','MARNE'),
('51510','MATOUGUES','MARNE'),
('51510','ST GIBRIEN','MARNE'),
('51510','ST PIERRE','MARNE'),
('51510','THIBIE','MARNE'),
('51510','VILLERS LE CHATEAU','MARNE'),
('51520','RECY','MARNE'),
('51520','ST MARTIN SUR LE PRE','MARNE'),
('51520','SARRY','MARNE'),
('51520','SOGNY AUX MOULINS','MARNE'),
('51520','LA VEUVE','MARNE'),
('51600','AUBERIVE','MARNE'),
('51600','BUSSY LE CHATEAU','MARNE'),
('51600','LA CHEPPE','MARNE'),
('51600','LA CROIX EN CHAMPAGNE','MARNE'),
('51600','JONCHERY SUR SUIPPE','MARNE'),
('51600','LAVAL SUR TOURBE','MARNE'),
('51600','ST HILAIRE LE GRAND','MARNE'),
('51600','ST JEAN SUR TOURBE','MARNE'),
('51600','STE MARIE A PY','MARNE'),
('51600','ST REMY SUR BUSSY','MARNE'),
('51600','ST SOUPLET SUR PY','MARNE'),
('51600','SOMMEPY TAHURE','MARNE'),
('51600','SOMME SUIPPE','MARNE'),
('51600','SOMME TOURBE','MARNE'),
('51600','SOUAIN PERTHES LES HURLUS','MARNE'),
('51600','SUIPPES','MARNE'),
('51600','VAUDESINCOURT','MARNE'),
('51700','ANTHENAY','MARNE'),
('51700','BASLIEUX SOUS CHATILLON','MARNE'),
('51700','BINSON ET ORQUIGNY','MARNE'),
('51700','CHAMPVOISY','MARNE'),
('51700','CHATILLON SUR MARNE','MARNE'),
('51700','COURTHIEZY','MARNE'),
('51700','CUISLES','MARNE'),
('51700','DORMANS','MARNE'),
('51700','FESTIGNY','MARNE'),
('51700','IGNY COMBLIZY','MARNE'),
('51700','JONQUERY','MARNE'),
('51700','LEUVRIGNY','MARNE'),
('51700','MAREUIL LE PORT','MARNE'),
('51700','NESLE LE REPONS','MARNE'),
('51700','OLIZY','MARNE'),
('51700','PASSY GRIGNY','MARNE'),
('51700','STE GEMME','MARNE'),
('51700','SOILLY','MARNE'),
('51700','TROISSY','MARNE'),
('51700','VANDIERES','MARNE'),
('51700','VERNEUIL','MARNE'),
('51700','VILLERS SOUS CHATILLON','MARNE'),
('51700','VINCELLES','MARNE'),
('51700','PORT A BINSON','MARNE'),
('51800','ARGERS','MARNE'),
('51800','AUVE','MARNE'),
('51800','BERZIEUX','MARNE'),
('51800','BINARVILLE','MARNE'),
('51800','BRAUX STE COHIERE','MARNE'),
('51800','BRAUX ST REMY','MARNE'),
('51800','CERNAY EN DORMOIS','MARNE'),
('51800','LA CHAPELLE FELCOURT','MARNE'),
('51800','CHATRICES','MARNE'),
('51800','CHAUDEFONTAINE','MARNE'),
('51800','LE CHEMIN','MARNE'),
('51800','COURTEMONT','MARNE'),
('51800','DOMMARTIN DAMPIERRE','MARNE'),
('51800','DOMMARTIN SOUS HANS','MARNE'),
('51800','ECLAIRES','MARNE'),
('51800','ELISE DAUCOURT','MARNE'),
('51800','FLORENT EN ARGONNE','MARNE'),
('51800','FONTAINE EN DORMOIS','MARNE'),
('51800','GIZAUCOURT','MARNE'),
('51800','GRATREUIL','MARNE'),
('51800','HANS','MARNE'),
('51800','MAFFRECOURT','MARNE'),
('51800','MALMY','MARNE'),
('51800','MASSIGES','MARNE'),
('51800','MINAUCOURT LE MESNIL','MARNE'),
('51800','MOIREMONT','MARNE'),
('51800','LA NEUVILLE AU PONT','MARNE'),
('51800','PASSAVANT EN ARGONNE','MARNE'),
('51800','ROUVROY RIPONT','MARNE'),
('51800','ST MARD SUR AUVE','MARNE'),
('51800','STE MENEHOULD','MARNE'),
('51800','ST THOMAS EN ARGONNE','MARNE'),
('51800','SERVON MELZICOURT','MARNE'),
('51800','SIVRY ANTE','MARNE'),
('51800','SOMME BIONNE','MARNE'),
('51800','VALMY','MARNE'),
('51800','VERRIERES','MARNE'),
('51800','VIENNE LA VILLE','MARNE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('51800','VIENNE LE CHATEAU','MARNE'),
('51800','VILLERS EN ARGONNE','MARNE'),
('51800','VILLE SUR TOURBE','MARNE'),
('51800','VIRGINY','MARNE'),
('51800','VOILEMONT','MARNE'),
('51800','WARGEMOULIN HURLUS','MARNE'),
('52000','BRETHENAY','HAUTE MARNE'),
('52000','BROTTES','HAUTE MARNE'),
('52000','BUXIERES LES VILLIERS','HAUTE MARNE'),
('52000','CHAMARANDES','HAUTE MARNE'),
('52000','CHAUMONT','HAUTE MARNE'),
('52000','CHAMARANDES CHOIGNES','HAUTE MARNE'),
('52000','CONDES','HAUTE MARNE'),
('52000','CRENAY','HAUTE MARNE'),
('52000','EUFFIGNEIX','HAUTE MARNE'),
('52000','JONCHERY','HAUTE MARNE'),
('52000','LAHARMAND','HAUTE MARNE'),
('52000','LAVILLE AUX BOIS','HAUTE MARNE'),
('52000','LUZY SUR MARNE','HAUTE MARNE'),
('52000','MONTSAON','HAUTE MARNE'),
('52000','NEUILLY SUR SUIZE','HAUTE MARNE'),
('52000','RIAUCOURT','HAUTE MARNE'),
('52000','SARCICOURT','HAUTE MARNE'),
('52000','SEMOUTIERS MONTSAON','HAUTE MARNE'),
('52000','TREIX','HAUTE MARNE'),
('52000','VERBIESLES','HAUTE MARNE'),
('52000','VILLIERS LE SEC','HAUTE MARNE'),
('52000','CHOIGNES','HAUTE MARNE'),
('52100','ST EULIEN','HAUTE MARNE'),
('52100','SAPIGNICOURT','HAUTE MARNE'),
('52100','BETTANCOURT LA FERREE','HAUTE MARNE'),
('52100','CHANCENAY','HAUTE MARNE'),
('52100','HALLIGNICOURT','HAUTE MARNE'),
('52100','LANEUVILLE AU PONT','HAUTE MARNE'),
('52100','MOESLAINS','HAUTE MARNE'),
('52100','PERTHES','HAUTE MARNE'),
('52100','ST DIZIER','HAUTE MARNE'),
('52100','VALCOURT','HAUTE MARNE'),
('52100','VILLIERS EN LIEU','HAUTE MARNE'),
('52110','AMBONVILLE','HAUTE MARNE'),
('52110','ARNANCOURT','HAUTE MARNE'),
('52110','BAUDRECOURT','HAUTE MARNE'),
('52110','BEURVILLE','HAUTE MARNE'),
('52110','BLUMERAY','HAUTE MARNE'),
('52110','BOUZANCOURT','HAUTE MARNE'),
('52110','BRACHAY','HAUTE MARNE'),
('52110','CHARMES EN L ANGLE','HAUTE MARNE'),
('52110','CHARMES LA GRANDE','HAUTE MARNE'),
('52110','CIREY SUR BLAISE','HAUTE MARNE'),
('52110','COURCELLES SUR BLAISE','HAUTE MARNE'),
('52110','DAILLANCOURT','HAUTE MARNE'),
('52110','DOMMARTIN LE FRANC','HAUTE MARNE'),
('52110','DOMMARTIN LE ST PERE','HAUTE MARNE'),
('52110','DOULEVANT LE CHATEAU','HAUTE MARNE'),
('52110','FLAMMERECOURT','HAUTE MARNE'),
('52110','LESCHERES SUR LE BLAISERO','HAUTE MARNE'),
('52110','MERTRUD','HAUTE MARNE'),
('52110','MORANCOURT','HAUTE MARNE'),
('52110','NULLY TREMILLY','HAUTE MARNE'),
('52110','TREMILLY','HAUTE MARNE'),
('52110','VILLIERS AUX CHENES','HAUTE MARNE'),
('52120','AIZANVILLE','HAUTE MARNE'),
('52120','AUTREVILLE SUR LA RENNE','HAUTE MARNE'),
('52120','BLESSONVILLE','HAUTE MARNE'),
('52120','BRAUX LE CHATEL','HAUTE MARNE'),
('52120','BRICON','HAUTE MARNE'),
('52120','CHATEAUVILLAIN','HAUTE MARNE'),
('52120','CREANCEY','HAUTE MARNE'),
('52120','DINTEVILLE','HAUTE MARNE'),
('52120','ESSEY LES PONTS','HAUTE MARNE'),
('52120','LAFERTE SUR AUBE','HAUTE MARNE'),
('52120','LANTY SUR AUBE','HAUTE MARNE'),
('52120','LATRECEY ORMOY SUR AUBE','HAUTE MARNE'),
('52120','MARMESSE','HAUTE MARNE'),
('52120','ORGES','HAUTE MARNE'),
('52120','ORMOY SUR AUBE','HAUTE MARNE'),
('52120','PONT LA VILLE','HAUTE MARNE'),
('52120','RICHEBOURG','HAUTE MARNE'),
('52120','SILVAROUVRES','HAUTE MARNE'),
('52120','VALDELANCOURT','HAUTE MARNE'),
('52120','VILLARS EN AZOIS','HAUTE MARNE'),
('52130','ALLICHAMPS','HAUTE MARNE'),
('52130','ATTANCOURT','HAUTE MARNE'),
('52130','AVRAINVILLE','HAUTE MARNE'),
('52130','BAILLY AUX FORGES','HAUTE MARNE'),
('52130','BROUSSEVAL','HAUTE MARNE'),
('52130','DOMBLAIN','HAUTE MARNE'),
('52130','DOULEVANT LE PETIT','HAUTE MARNE'),
('52130','FAYS','HAUTE MARNE'),
('52130','FLORNOY','HAUTE MARNE'),
('52130','LOUVEMONT','HAUTE MARNE'),
('52130','MAGNEUX','HAUTE MARNE'),
('52130','MONTREUIL SUR BLAISE','HAUTE MARNE'),
('52130','RACHECOURT SUZEMONT','HAUTE MARNE'),
('52130','SOMMANCOURT','HAUTE MARNE'),
('52130','TROISFONTAINES LA VILLE','HAUTE MARNE'),
('52130','VALLERET','HAUTE MARNE'),
('52130','VAUX SUR BLAISE','HAUTE MARNE'),
('52130','VILLE EN BLAISOIS','HAUTE MARNE'),
('52130','VILLIERS AUX BOIS','HAUTE MARNE'),
('52130','VOILLECOMTE','HAUTE MARNE'),
('52130','WASSY','HAUTE MARNE'),
('52140','AVRECOURT','HAUTE MARNE'),
('52140','CHAUFFOURT','HAUTE MARNE'),
('52140','DAMMARTIN SUR MEUSE','HAUTE MARNE'),
('52140','EPINANT','HAUTE MARNE'),
('52140','IS EN BASSIGNY','HAUTE MARNE'),
('52140','LAVERNOY','HAUTE MARNE'),
('52140','LAVILLENEUVE','HAUTE MARNE'),
('52140','LECOURT','HAUTE MARNE'),
('52140','MAULAIN','HAUTE MARNE'),
('52140','VAL DE MEUSE','HAUTE MARNE'),
('52140','PROVENCHERES SUR MEUSE','HAUTE MARNE'),
('52140','RANCONNIERES','HAUTE MARNE'),
('52140','RANGECOURT','HAUTE MARNE'),
('52140','RAVENNEFONTAINES','HAUTE MARNE'),
('52140','RECOURT','HAUTE MARNE'),
('52140','SARREY','HAUTE MARNE'),
('52140','SAULXURES','HAUTE MARNE'),
('52140','MONTIGNY LE ROI','HAUTE MARNE'),
('52150','BOURG STE MARIE','HAUTE MARNE'),
('52150','BOURMONT','HAUTE MARNE'),
('52150','BRAINVILLE SUR MEUSE','HAUTE MARNE'),
('52150','CHAMPIGNEULLES EN BASSIGN','HAUTE MARNE'),
('52150','CHAUMONT LA VILLE','HAUTE MARNE'),
('52150','DONCOURT SUR MEUSE','HAUTE MARNE'),
('52150','GERMAINVILLIERS','HAUTE MARNE'),
('52150','GONAINCOURT','HAUTE MARNE'),
('52150','GONCOURT','HAUTE MARNE'),
('52150','GRAFFIGNY CHEMIN','HAUTE MARNE'),
('52150','HACOURT','HAUTE MARNE'),
('52150','HARREVILLE LES CHANTEURS','HAUTE MARNE'),
('52150','HUILLIECOURT','HAUTE MARNE'),
('52150','ILLOUD','HAUTE MARNE'),
('52150','LEVECOURT','HAUTE MARNE'),
('52150','MALAINCOURT SUR MEUSE','HAUTE MARNE'),
('52150','NIJON','HAUTE MARNE'),
('52150','OUTREMECOURT','HAUTE MARNE'),
('52150','ROMAIN SUR MEUSE','HAUTE MARNE'),
('52150','ST THIEBAULT','HAUTE MARNE'),
('52150','SOMMERECOURT','HAUTE MARNE'),
('52150','SOULAUCOURT SUR MOUZON','HAUTE MARNE'),
('52150','VAUDRECOURT','HAUTE MARNE'),
('52160','ARBOT','HAUTE MARNE'),
('52160','AUBERIVE','HAUTE MARNE'),
('52160','AULNOY SUR AUBE','HAUTE MARNE'),
('52160','BAY SUR AUBE','HAUTE MARNE'),
('52160','CHALANCEY','HAUTE MARNE'),
('52160','VALS DES TILLES','HAUTE MARNE'),
('52160','COLMIER LE BAS','HAUTE MARNE'),
('52160','COLMIER LE HAUT','HAUTE MARNE'),
('52160','GERMAINES','HAUTE MARNE'),
('52160','LAMARGELLE AUX BOIS','HAUTE MARNE'),
('52160','MOUILLERON','HAUTE MARNE'),
('52160','MUSSEAU','HAUTE MARNE'),
('52160','PERROGNEY LES FONTAINES','HAUTE MARNE'),
('52160','PIERREFONTAINES','HAUTE MARNE'),
('52160','POINSENOT','HAUTE MARNE'),
('52160','POINSON LES GRANCEY','HAUTE MARNE'),
('52160','PRASLAY','HAUTE MARNE'),
('52160','ROUELLES','HAUTE MARNE'),
('52160','ROUVRES SUR AUBE','HAUTE MARNE'),
('52160','SANTENOGE','HAUTE MARNE'),
('52160','VAILLANT','HAUTE MARNE'),
('52160','VILLARS SANTENOGE','HAUTE MARNE'),
('52160','VILLEMERVRY','HAUTE MARNE'),
('52160','VILLEMORON','HAUTE MARNE'),
('52160','VITRY EN MONTAGNE','HAUTE MARNE'),
('52160','VIVEY','HAUTE MARNE'),
('52160','CHALMESSIN','HAUTE MARNE'),
('52160','VILLARS MONTROYER','HAUTE MARNE'),
('52170','BREUIL SUR MARNE','HAUTE MARNE'),
('52170','CHEVILLON','HAUTE MARNE'),
('52170','FONTAINES SUR MARNE','HAUTE MARNE'),
('52170','GOURZON','HAUTE MARNE'),
('52170','BAYARD SUR MARNE','HAUTE MARNE'),
('52170','NARCY','HAUTE MARNE'),
('52170','PREZ SUR MARNE','HAUTE MARNE'),
('52170','RACHECOURT SUR MARNE','HAUTE MARNE'),
('52170','SOMMEVILLE','HAUTE MARNE'),
('52170','LANEUVILLE A BAYARD','HAUTE MARNE'),
('52190','AUJEURRES','HAUTE MARNE'),
('52190','CHASSIGNY','HAUTE MARNE'),
('52190','CHATOILLENOT','HAUTE MARNE'),
('52190','CHOILLEY DARDENAY','HAUTE MARNE'),
('52190','COURCELLES VAL D ESNOMS','HAUTE MARNE'),
('52190','CUSEY','HAUTE MARNE'),
('52190','DARDENAY','HAUTE MARNE'),
('52190','DOMMARIEN','HAUTE MARNE'),
('52190','LE VAL D ESNOMS','HAUTE MARNE'),
('52190','ISOMES','HAUTE MARNE'),
('52190','LEUCHEY','HAUTE MARNE'),
('52190','MONTSAUGEON','HAUTE MARNE'),
('52190','OCCEY','HAUTE MARNE'),
('52190','PERCEY SOUS MONTORMENTIER','HAUTE MARNE'),
('52190','PIEPAPE','HAUTE MARNE'),
('52190','PRANGEY','HAUTE MARNE'),
('52190','PRAUTHOY','HAUTE MARNE'),
('52190','RIVIERES LES FOSSES','HAUTE MARNE'),
('52190','ST BROINGT LE BOIS','HAUTE MARNE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('52190','ST BROINGT LES FOSSES','HAUTE MARNE'),
('52190','ST MICHEL','HAUTE MARNE'),
('52190','VAUX SOUS AUBIGNY','HAUTE MARNE'),
('52190','VESVRES SOUS CHALANCEY','HAUTE MARNE'),
('52190','VILLEGUSIEN LE LAC','HAUTE MARNE'),
('52190','VILLIERS LES APREY','HAUTE MARNE'),
('52190','ESNOMS AU VAL','HAUTE MARNE'),
('52200','BALESMES SUR MARNE','HAUTE MARNE'),
('52200','BOURG','HAUTE MARNE'),
('52200','BRENNES','HAUTE MARNE'),
('52200','CHAMPIGNY LES LANGRES','HAUTE MARNE'),
('52200','CHATENAY MACHERON','HAUTE MARNE'),
('52200','CORLEE','HAUTE MARNE'),
('52200','COURCELLES EN MONTAGNE','HAUTE MARNE'),
('52200','HUMES JORQUENAY','HAUTE MARNE'),
('52200','JORQUENAY','HAUTE MARNE'),
('52200','LANGRES','HAUTE MARNE'),
('52200','MARDOR','HAUTE MARNE'),
('52200','NOIDANT LE ROCHEUX','HAUTE MARNE'),
('52200','ORMANCEY','HAUTE MARNE'),
('52200','PEIGNEY','HAUTE MARNE'),
('52200','PERRANCEY LES VIEUX MOULI','HAUTE MARNE'),
('52200','ST CIERGUES','HAUTE MARNE'),
('52200','ST GEOSMES','HAUTE MARNE'),
('52200','ST MARTIN LES LANGRES','HAUTE MARNE'),
('52200','ST MAURICE','HAUTE MARNE'),
('52200','ST VALLIER SUR MARNE','HAUTE MARNE'),
('52200','VAUXBONS','HAUTE MARNE'),
('52200','VIEUX MOULINS','HAUTE MARNE'),
('52200','VOISINES','HAUTE MARNE'),
('52210','ARC EN BARROIS','HAUTE MARNE'),
('52210','AUBEPIERRE SUR AUBE','HAUTE MARNE'),
('52210','BUGNIERES','HAUTE MARNE'),
('52210','CHAMEROY','HAUTE MARNE'),
('52210','COUPRAY','HAUTE MARNE'),
('52210','COURCELLES SUR AUJON','HAUTE MARNE'),
('52210','COUR L EVEQUE','HAUTE MARNE'),
('52210','DANCEVOIR','HAUTE MARNE'),
('52210','ERISEUL','HAUTE MARNE'),
('52210','GIEY SUR AUJON','HAUTE MARNE'),
('52210','LEFFONDS','HAUTE MARNE'),
('52210','ROCHETAILLEE','HAUTE MARNE'),
('52210','ST LOUP SUR AUJON','HAUTE MARNE'),
('52210','TERNAT','HAUTE MARNE'),
('52210','VILLIERS SUR SUIZE','HAUTE MARNE'),
('52220','ANGLUS','HAUTE MARNE'),
('52220','CEFFONDS','HAUTE MARNE'),
('52220','DROYES','HAUTE MARNE'),
('52220','FRAMPAS','HAUTE MARNE'),
('52220','LANEUVILLE A REMY','HAUTE MARNE'),
('52220','LONGEVILLE SUR LA LAINES','HAUTE MARNE'),
('52220','LOUZE','HAUTE MARNE'),
('52220','MONTIER EN DER','HAUTE MARNE'),
('52220','PLANRUPT','HAUTE MARNE'),
('52220','PUELLEMONTIER','HAUTE MARNE'),
('52220','ROBERT MAGNY LANEUVILLE A','HAUTE MARNE'),
('52220','ROZIERES','HAUTE MARNE'),
('52220','SAUVAGE MAGNY','HAUTE MARNE'),
('52220','SOMMEVOIRE','HAUTE MARNE'),
('52220','THILLEUX','HAUTE MARNE'),
('52230','AINGOULAINCOURT','HAUTE MARNE'),
('52230','ANNONVILLE','HAUTE MARNE'),
('52230','BETTONCOURT LE HAUT','HAUTE MARNE'),
('52230','BRESSONCOURT','HAUTE MARNE'),
('52230','BROUTHIERES','HAUTE MARNE'),
('52230','CIRFONTAINES EN ORNOIS','HAUTE MARNE'),
('52230','ECHENAY','HAUTE MARNE'),
('52230','EPIZON','HAUTE MARNE'),
('52230','GERMAY','HAUTE MARNE'),
('52230','GERMISAY','HAUTE MARNE'),
('52230','GILLAUME','HAUTE MARNE'),
('52230','HARMEVILLE','HAUTE MARNE'),
('52230','LANEUVILLE AU BOIS','HAUTE MARNE'),
('52230','LEZEVILLE','HAUTE MARNE'),
('52230','MONTREUIL SUR THONNANCE','HAUTE MARNE'),
('52230','NONCOURT SUR LE RONGEANT','HAUTE MARNE'),
('52230','PANCEY','HAUTE MARNE'),
('52230','POISSONS','HAUTE MARNE'),
('52230','SAILLY','HAUTE MARNE'),
('52230','SAUDRON','HAUTE MARNE'),
('52230','SOULAINCOURT','HAUTE MARNE'),
('52230','THONNANCE LES MOULINS','HAUTE MARNE'),
('52240','AUDELONCOURT','HAUTE MARNE'),
('52240','BASSONCOURT','HAUTE MARNE'),
('52240','BREUVANNES EN BASSIGNY','HAUTE MARNE'),
('52240','BUXIERES LES CLEFMONT','HAUTE MARNE'),
('52240','CHOISEUL','HAUTE MARNE'),
('52240','CLEFMONT','HAUTE MARNE'),
('52240','COLOMBEY LES CHOISEUL','HAUTE MARNE'),
('52240','CUVES','HAUTE MARNE'),
('52240','DAILLECOURT','HAUTE MARNE'),
('52240','LENIZEUL','HAUTE MARNE'),
('52240','LONGCHAMP','HAUTE MARNE'),
('52240','MAISONCELLES','HAUTE MARNE'),
('52240','MENNOUVEAUX','HAUTE MARNE'),
('52240','MERREY','HAUTE MARNE'),
('52240','MEUVY','HAUTE MARNE'),
('52240','MILLIERES','HAUTE MARNE'),
('52240','NOYERS','HAUTE MARNE'),
('52240','PERRUSSE','HAUTE MARNE'),
('52240','THOL LES MILLIERES','HAUTE MARNE'),
('52240','VRONCOURT LA COTE','HAUTE MARNE'),
('52250','APREY','HAUTE MARNE'),
('52250','BAISSEY','HAUTE MARNE'),
('52250','FLAGEY','HAUTE MARNE'),
('52250','LONGEAU PERCEY','HAUTE MARNE'),
('52250','ORCEVAUX','HAUTE MARNE'),
('52250','PERCEY LE PAUTEL','HAUTE MARNE'),
('52250','VERSEILLES LE BAS','HAUTE MARNE'),
('52250','VERSEILLES LE HAUT','HAUTE MARNE'),
('52250','LONGEAU','HAUTE MARNE'),
('52260','BEAUCHEMIN','HAUTE MARNE'),
('52260','CHANOY','HAUTE MARNE'),
('52260','CHARMOILLES','HAUTE MARNE'),
('52260','FAVEROLLES','HAUTE MARNE'),
('52260','LANNES','HAUTE MARNE'),
('52260','MARAC','HAUTE MARNE'),
('52260','ROLAMPONT','HAUTE MARNE'),
('52260','TRONCHOY','HAUTE MARNE'),
('52270','AUGEVILLE','HAUTE MARNE'),
('52270','ROCHES BETTAINCOURT','HAUTE MARNE'),
('52270','DOMREMY LANDEVILLE','HAUTE MARNE'),
('52270','DOULAINCOURT SAUCOURT','HAUTE MARNE'),
('52270','LANDEVILLE','HAUTE MARNE'),
('52270','PAUTAINES AUGEVILLE','HAUTE MARNE'),
('52270','ROCHES SUR ROGNON','HAUTE MARNE'),
('52270','SAUCOURT SUR ROGNON','HAUTE MARNE'),
('52270','BETTAINCOURT SUR ROGNON','HAUTE MARNE'),
('52290','BRAUCOURT','HAUTE MARNE'),
('52290','ECLARON BRAUCOURT STE LIV','HAUTE MARNE'),
('52290','HUMBECOURT','HAUTE MARNE'),
('52290','STE LIVIERE','HAUTE MARNE'),
('52300','AUTIGNY LE GRAND','HAUTE MARNE'),
('52300','AUTIGNY LE PETIT','HAUTE MARNE'),
('52300','BLECOURT','HAUTE MARNE'),
('52300','CHATONRUPT SOMMERMONT','HAUTE MARNE'),
('52300','CUREL','HAUTE MARNE'),
('52300','DONJEUX','HAUTE MARNE'),
('52300','EFFINCOURT','HAUTE MARNE'),
('52300','FERRIERE ET LAFOLIE','HAUTE MARNE'),
('52300','FRONVILLE','HAUTE MARNE'),
('52300','GUINDRECOURT AUX ORMES','HAUTE MARNE'),
('52300','JOINVILLE','HAUTE MARNE'),
('52300','MACONCOURT','HAUTE MARNE'),
('52300','MAIZIERES','HAUTE MARNE'),
('52300','MATHONS','HAUTE MARNE'),
('52300','MUSSEY SUR MARNE','HAUTE MARNE'),
('52300','NOMECOURT','HAUTE MARNE'),
('52300','OSNE LE VAL','HAUTE MARNE'),
('52300','PAROY SUR SAULX','HAUTE MARNE'),
('52300','ROUVROY SUR MARNE','HAUTE MARNE'),
('52300','RUPT','HAUTE MARNE'),
('52300','ST URBAIN MACONCOURT','HAUTE MARNE'),
('52300','SOMMERMONT','HAUTE MARNE'),
('52300','SUZANNECOURT','HAUTE MARNE'),
('52300','THONNANCE LES JOINVILLE','HAUTE MARNE'),
('52300','VAUX SUR ST URBAIN','HAUTE MARNE'),
('52300','VECQUEVILLE','HAUTE MARNE'),
('52310','ANNEVILLE LA PRAIRIE','HAUTE MARNE'),
('52310','BOLOGNE','HAUTE MARNE'),
('52310','LAMANCINE','HAUTE MARNE'),
('52310','MARAULT','HAUTE MARNE'),
('52310','MEURES','HAUTE MARNE'),
('52310','ORMOY LES SEXFONTAINES','HAUTE MARNE'),
('52310','OUDINCOURT','HAUTE MARNE'),
('52310','ROOCOURT LA COTE','HAUTE MARNE'),
('52310','VIEVILLE','HAUTE MARNE'),
('52310','VRAINCOURT','HAUTE MARNE'),
('52320','BUXIERES LES FRONCLES','HAUTE MARNE'),
('52320','CERISIERES','HAUTE MARNE'),
('52320','FRONCLES','HAUTE MARNE'),
('52320','LA GENEVROYE','HAUTE MARNE'),
('52320','GUDMONT VILLIERS','HAUTE MARNE'),
('52320','MARBEVILLE','HAUTE MARNE'),
('52320','MIRBEL','HAUTE MARNE'),
('52320','PROVENCHERES SUR MARNE','HAUTE MARNE'),
('52320','ROUECOURT','HAUTE MARNE'),
('52320','SONCOURT SUR MARNE','HAUTE MARNE'),
('52320','VIGNORY','HAUTE MARNE'),
('52320','VILLIERS SUR MARNE','HAUTE MARNE'),
('52320','VOUECOURT','HAUTE MARNE'),
('52330','ARGENTOLLES','HAUTE MARNE'),
('52330','BIERNES','HAUTE MARNE'),
('52330','BLAISE','HAUTE MARNE'),
('52330','BLAISY','HAUTE MARNE'),
('52330','BUCHEY','HAUTE MARNE'),
('52330','CHAMPCOURT','HAUTE MARNE'),
('52330','COLOMBEY LES DEUX EGLISES','HAUTE MARNE'),
('52330','CURMONT','HAUTE MARNE'),
('52330','GILLANCOURT','HAUTE MARNE'),
('52330','GUINDRECOURT SUR BLAISE','HAUTE MARNE'),
('52330','HARRICOURT','HAUTE MARNE'),
('52330','JUZENNECOURT','HAUTE MARNE'),
('52330','LACHAPELLE EN BLAISY','HAUTE MARNE'),
('52330','LAMOTHE EN BLAISY','HAUTE MARNE'),
('52330','LAVILLENEUVE AU ROI','HAUTE MARNE'),
('52330','LAVILLENEUVE AUX FRESNES','HAUTE MARNE'),
('52330','MONTHERIES','HAUTE MARNE'),
('52330','PRATZ','HAUTE MARNE'),
('52330','RIZAUCOURT BUCHEY','HAUTE MARNE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('52330','ST MARTIN SUR LA RENNE','HAUTE MARNE'),
('52330','SEXFONTAINES','HAUTE MARNE'),
('52330','VAUDREMONT','HAUTE MARNE'),
('52340','AGEVILLE','HAUTE MARNE'),
('52340','BIESLES','HAUTE MARNE'),
('52340','ESNOUVEAUX','HAUTE MARNE'),
('52340','LE PUITS DES MEZES','HAUTE MARNE'),
('52360','ANDILLY EN BASSIGNY','HAUTE MARNE'),
('52360','BANNES','HAUTE MARNE'),
('52360','BONNECOURT','HAUTE MARNE'),
('52360','CELLES EN BASSIGNY','HAUTE MARNE'),
('52360','CHANGEY','HAUTE MARNE'),
('52360','CHARMES','HAUTE MARNE'),
('52360','CHATENAY VAUDIN','HAUTE MARNE'),
('52360','DAMPIERRE','HAUTE MARNE'),
('52360','FRECOURT','HAUTE MARNE'),
('52360','LECEY','HAUTE MARNE'),
('52360','MARCILLY EN BASSIGNY','HAUTE MARNE'),
('52360','NEUILLY L EVEQUE','HAUTE MARNE'),
('52360','ORBIGNY AU MONT','HAUTE MARNE'),
('52360','ORBIGNY AU VAL','HAUTE MARNE'),
('52360','PLESNOY','HAUTE MARNE'),
('52360','POISEUL','HAUTE MARNE'),
('52370','CIRFONTAINES EN AZOIS','HAUTE MARNE'),
('52370','MARANVILLE','HAUTE MARNE'),
('52370','RENNEPONT','HAUTE MARNE'),
('52400','AIGREMONT','HAUTE MARNE'),
('52400','ARNONCOURT SUR APANCE','HAUTE MARNE'),
('52400','BEAUCHARMOY','HAUTE MARNE'),
('52400','BOURBONNE LES BAINS','HAUTE MARNE'),
('52400','CHAMPIGNY SOUS VARENNES','HAUTE MARNE'),
('52400','CHEZEAUX','HAUTE MARNE'),
('52400','COIFFY LE BAS','HAUTE MARNE'),
('52400','COIFFY LE HAUT','HAUTE MARNE'),
('52400','DAMREMONT','HAUTE MARNE'),
('52400','ENFONVELLE','HAUTE MARNE'),
('52400','FRESNES SUR APANCE','HAUTE MARNE'),
('52400','FRESNOY EN BASSIGNY','HAUTE MARNE'),
('52400','GENRUPT','HAUTE MARNE'),
('52400','GUYONVELLE','HAUTE MARNE'),
('52400','LANEUVELLE','HAUTE MARNE'),
('52400','LARIVIERE ARNONCOURT','HAUTE MARNE'),
('52400','MELAY','HAUTE MARNE'),
('52400','MONTCHARVOT','HAUTE MARNE'),
('52400','NEUVELLE LES VOISEY','HAUTE MARNE'),
('52400','PARNOY EN BASSIGNY','HAUTE MARNE'),
('52400','LE CHATELET SUR MEUSE','HAUTE MARNE'),
('52400','SERQUEUX','HAUTE MARNE'),
('52400','SOYERS','HAUTE MARNE'),
('52400','TERRE NATALE','HAUTE MARNE'),
('52400','VAUX LA DOUCE','HAUTE MARNE'),
('52400','VICQ','HAUTE MARNE'),
('52400','VILLARS ST MARCELLIN','HAUTE MARNE'),
('52400','VOISEY','HAUTE MARNE'),
('52400','PARNOT','HAUTE MARNE'),
('52400','POUILLY EN BASSIGNY','HAUTE MARNE'),
('52400','VARENNES SUR AMANCE','HAUTE MARNE'),
('52410','BIENVILLE','HAUTE MARNE'),
('52410','CHAMOUILLEY','HAUTE MARNE'),
('52410','EURVILLE BIENVILLE','HAUTE MARNE'),
('52410','ROCHES SUR MARNE','HAUTE MARNE'),
('52500','ANROSEY','HAUTE MARNE'),
('52500','ARBIGNY SOUS VARENNES','HAUTE MARNE'),
('52500','BELMONT','HAUTE MARNE'),
('52500','BIZE','HAUTE MARNE'),
('52500','BRONCOURT','HAUTE MARNE'),
('52500','CHAMPSEVRAINE','HAUTE MARNE'),
('52500','CHARMOY','HAUTE MARNE'),
('52500','CORGIRNON','HAUTE MARNE'),
('52500','COUBLANC','HAUTE MARNE'),
('52500','FARINCOURT','HAUTE MARNE'),
('52500','FAYL LA FORET','HAUTE MARNE'),
('52500','GENEVRIERES','HAUTE MARNE'),
('52500','GILLEY','HAUTE MARNE'),
('52500','GRENANT','HAUTE MARNE'),
('52500','LAFERTE SUR AMANCE','HAUTE MARNE'),
('52500','LES LOGES','HAUTE MARNE'),
('52500','MAATZ','HAUTE MARNE'),
('52500','MAIZIERES SUR AMANCE','HAUTE MARNE'),
('52500','MONTESSON','HAUTE MARNE'),
('52500','PIERREMONT SUR AMANCE','HAUTE MARNE'),
('52500','PISSELOUP','HAUTE MARNE'),
('52500','POINSON LES FAYL','HAUTE MARNE'),
('52500','PRESSIGNY','HAUTE MARNE'),
('52500','ROUGEUX','HAUTE MARNE'),
('52500','SAULLES','HAUTE MARNE'),
('52500','SAVIGNY','HAUTE MARNE'),
('52500','TORNAY','HAUTE MARNE'),
('52500','VALLEROY','HAUTE MARNE'),
('52500','VELLES','HAUTE MARNE'),
('52500','VONCOURT','HAUTE MARNE'),
('52500','BUSSIERES LES BELMONT','HAUTE MARNE'),
('52500','FAYL BILLOT','HAUTE MARNE'),
('52500','PIERREFAITES','HAUTE MARNE'),
('52600','CELSOY','HAUTE MARNE'),
('52600','CHALINDREY','HAUTE MARNE'),
('52600','CHAUDENAY','HAUTE MARNE'),
('52600','COHONS','HAUTE MARNE'),
('52600','CULMONT','HAUTE MARNE'),
('52600','GRANDCHAMP','HAUTE MARNE'),
('52600','HEUILLEY COTTON','HAUTE MARNE'),
('52600','HEUILLEY LE GRAND','HAUTE MARNE'),
('52600','HAUTE AMANCE','HAUTE MARNE'),
('52600','MONTLANDON','HAUTE MARNE'),
('52600','NOIDANT CHATENOY','HAUTE MARNE'),
('52600','LE PAILLY','HAUTE MARNE'),
('52600','PALAISEUL','HAUTE MARNE'),
('52600','RIVIERES LE BOIS','HAUTE MARNE'),
('52600','ROSOY SUR AMANCE','HAUTE MARNE'),
('52600','TORCENAY','HAUTE MARNE'),
('52600','TROISCHAMPS','HAUTE MARNE'),
('52600','VIOLOT','HAUTE MARNE'),
('52600','HORTES','HAUTE MARNE'),
('52700','AILLIANVILLE','HAUTE MARNE'),
('52700','ANDELOT BLANCHEVILLE','HAUTE MARNE'),
('52700','BLANCHEVILLE','HAUTE MARNE'),
('52700','BOURDONS SUR ROGNON','HAUTE MARNE'),
('52700','BRIAUCOURT','HAUTE MARNE'),
('52700','BUSSON','HAUTE MARNE'),
('52700','CHALVRAINES','HAUTE MARNE'),
('52700','CHAMBRONCOURT','HAUTE MARNE'),
('52700','CHANTRAINES','HAUTE MARNE'),
('52700','CIREY LES MAREILLES','HAUTE MARNE'),
('52700','CLINCHAMP','HAUTE MARNE'),
('52700','CONSIGNY','HAUTE MARNE'),
('52700','DARMANNES','HAUTE MARNE'),
('52700','ECOT LA COMBE','HAUTE MARNE'),
('52700','FORCEY','HAUTE MARNE'),
('52700','HUMBERVILLE','HAUTE MARNE'),
('52700','LAFAUCHE','HAUTE MARNE'),
('52700','LEURVILLE','HAUTE MARNE'),
('52700','LIFFOL LE PETIT','HAUTE MARNE'),
('52700','MANOIS','HAUTE MARNE'),
('52700','MAREILLES','HAUTE MARNE'),
('52700','MONTOT SUR ROGNON','HAUTE MARNE'),
('52700','MORIONVILLIERS','HAUTE MARNE'),
('52700','ORQUEVAUX','HAUTE MARNE'),
('52700','OZIERES','HAUTE MARNE'),
('52700','PREZ SOUS LAFAUCHE','HAUTE MARNE'),
('52700','REYNEL','HAUTE MARNE'),
('52700','RIMAUCOURT','HAUTE MARNE'),
('52700','ROCHEFORT SUR LA COTE','HAUTE MARNE'),
('52700','ST BLIN SEMILLY','HAUTE MARNE'),
('52700','SEMILLY','HAUTE MARNE'),
('52700','SIGNEVILLE','HAUTE MARNE'),
('52700','VESAIGNES SOUS LAFAUCHE','HAUTE MARNE'),
('52700','VIGNES LA COTE','HAUTE MARNE'),
('52800','DONNEMARIE','HAUTE MARNE'),
('52800','ESSEY LES EAUX','HAUTE MARNE'),
('52800','FOULAIN','HAUTE MARNE'),
('52800','LANQUES SUR ROGNON','HAUTE MARNE'),
('52800','LOUVIERES','HAUTE MARNE'),
('52800','MANDRES LA COTE','HAUTE MARNE'),
('52800','MARNAY SUR MARNE','HAUTE MARNE'),
('52800','NINVILLE','HAUTE MARNE'),
('52800','NOGENT','HAUTE MARNE'),
('52800','ODIVAL','HAUTE MARNE'),
('52800','POINSON LES NOGENT','HAUTE MARNE'),
('52800','POULANGY','HAUTE MARNE'),
('52800','SARCEY','HAUTE MARNE'),
('52800','THIVET','HAUTE MARNE'),
('52800','VESAIGNES SUR MARNE','HAUTE MARNE'),
('52800','VITRY LES NOGENT','HAUTE MARNE'),
('53000','LAVAL','MAYENNE'),
('53100','CHATILLON SUR COLMONT','MAYENNE'),
('53100','CONTEST','MAYENNE'),
('53100','MAYENNE','MAYENNE'),
('53100','MOULAY','MAYENNE'),
('53100','PARIGNE SUR BRAYE','MAYENNE'),
('53100','ST BAUDELLE','MAYENNE'),
('53100','ST GEORGES BUTTAVENT','MAYENNE'),
('53100','FONTAINE DANIEL','MAYENNE'),
('53110','LA BAROCHE GONDOUIN','MAYENNE'),
('53110','BRETIGNOLLES LE MOULIN','MAYENNE'),
('53110','LE HOUSSEAU BRETIGNOLLE','MAYENNE'),
('53110','LASSAY LES CHATEAUX','MAYENNE'),
('53110','MELLERAY LA VALLEE','MAYENNE'),
('53110','NIORT LA FONTAINE','MAYENNE'),
('53110','RENNES EN GRENOUILLES','MAYENNE'),
('53110','ST JULIEN DU TERROUX','MAYENNE'),
('53110','STE MARIE DU BOIS','MAYENNE'),
('53110','THUBOEUF','MAYENNE'),
('53120','BRECE','MAYENNE'),
('53120','CARELLES','MAYENNE'),
('53120','COLOMBIERS DU PLESSIS','MAYENNE'),
('53120','GORRON','MAYENNE'),
('53120','HERCE','MAYENNE'),
('53120','LESBOIS','MAYENNE'),
('53120','LEVARE','MAYENNE'),
('53120','ST AUBIN FOSSE LOUVAIN','MAYENNE'),
('53120','VIEUVY','MAYENNE'),
('53140','LIGNIERES ORGERES','MAYENNE'),
('53140','ORGERES LA ROCHE','MAYENNE'),
('53140','LA PALLU','MAYENNE'),
('53140','PRE EN PAIL','MAYENNE'),
('53140','ST CALAIS DU DESERT','MAYENNE'),
('53140','ST CYR EN PAIL','MAYENNE'),
('53140','ST SAMSON','MAYENNE'),
('53150','BREE','MAYENNE'),
('53150','LA CHAPELLE RAINSOUIN','MAYENNE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('53150','DEUX EVAILLES','MAYENNE'),
('53150','GESNES','MAYENNE'),
('53150','LIVET','MAYENNE'),
('53150','MONTOURTIER','MAYENNE'),
('53150','MONTSURS','MAYENNE'),
('53150','NEAU','MAYENNE'),
('53150','ST CENERE','MAYENNE'),
('53150','ST CHRISTOPHE DU LUAT','MAYENNE'),
('53150','ST OUEN DES VALLONS','MAYENNE'),
('53160','BAIS','MAYENNE'),
('53160','CHAMPGENETEUX','MAYENNE'),
('53160','HAMBERS','MAYENNE'),
('53160','IZE','MAYENNE'),
('53160','JUBLAINS','MAYENNE'),
('53160','ST MARTIN DE CONNEE','MAYENNE'),
('53160','ST PIERRE SUR ORTHE','MAYENNE'),
('53160','ST THOMAS DE COURCERIERS','MAYENNE'),
('53160','TRANS','MAYENNE'),
('53160','VIMARCE','MAYENNE'),
('53170','ARQUENAY','MAYENNE'),
('53170','LA BAZOUGE DE CHEMERE','MAYENNE'),
('53170','BAZOUGERS','MAYENNE'),
('53170','LE BIGNON DU MAINE','MAYENNE'),
('53170','LE BURET','MAYENNE'),
('53170','LA CROPTE','MAYENNE'),
('53170','MAISONCELLES DU MAINE','MAYENNE'),
('53170','MESLAY DU MAINE','MAYENNE'),
('53170','RUILLE FROID FONDS','MAYENNE'),
('53170','ST CHARLES LA FORET','MAYENNE'),
('53170','ST DENIS DU MAINE','MAYENNE'),
('53170','VILLIERS CHARLEMAGNE','MAYENNE'),
('53190','DESERTINES','MAYENNE'),
('53190','LA DOREE','MAYENNE'),
('53190','FOUGEROLLES DU PLESSIS','MAYENNE'),
('53190','LANDIVY','MAYENNE'),
('53200','AMPOIGNE','MAYENNE'),
('53200','AZE','MAYENNE'),
('53200','BAZOUGES','MAYENNE'),
('53200','CHATEAU GONTIER','MAYENNE'),
('53200','CHATELAIN','MAYENNE'),
('53200','CHEMAZE','MAYENNE'),
('53200','COUDRAY','MAYENNE'),
('53200','DAON','MAYENNE'),
('53200','FROMENTIERES','MAYENNE'),
('53200','GENNES SUR GLAIZE','MAYENNE'),
('53200','LAIGNE','MAYENNE'),
('53200','LOIGNE SUR MAYENNE','MAYENNE'),
('53200','LONGUEFUYE','MAYENNE'),
('53200','MARIGNE PEUTON','MAYENNE'),
('53200','MENIL','MAYENNE'),
('53200','ST FORT','MAYENNE'),
('53210','ARGENTRE','MAYENNE'),
('53210','LOUVIGNE','MAYENNE'),
('53210','NUILLE SUR OUETTE','MAYENNE'),
('53210','SOULGE SUR OUETTE','MAYENNE'),
('53220','LARCHAMP','MAYENNE'),
('53220','MONTAUDIN','MAYENNE'),
('53220','LA PELLERINE','MAYENNE'),
('53220','PONTMAIN','MAYENNE'),
('53220','ST BERTHEVIN LA TANNIERE','MAYENNE'),
('53220','ST ELLIER DU MAINE','MAYENNE'),
('53220','ST MARS SUR LA FUTAIE','MAYENNE'),
('53230','ASTILLE','MAYENNE'),
('53230','LA CHAPELLE CRAONNAISE','MAYENNE'),
('53230','COSMES','MAYENNE'),
('53230','COSSE LE VIVIEN','MAYENNE'),
('53230','COURBEVEILLE','MAYENNE'),
('53230','MERAL','MAYENNE'),
('53240','ALEXAIN','MAYENNE'),
('53240','ANDOUILLE','MAYENNE'),
('53240','LA BACONNIERE','MAYENNE'),
('53240','LA BIGOTTIERE','MAYENNE'),
('53240','MONTFLOURS','MAYENNE'),
('53240','PLACE','MAYENNE'),
('53240','ST GERMAIN D ANXURE','MAYENNE'),
('53240','ST GERMAIN LE FOUILLOUX','MAYENNE'),
('53240','ST GERMAIN LE GUILLAUME','MAYENNE'),
('53240','ST JEAN SUR MAYENNE','MAYENNE'),
('53250','LES CHAPELLES','MAYENNE'),
('53250','CHARCHIGNE','MAYENNE'),
('53250','CHEVAIGNE DU MAINE','MAYENNE'),
('53250','COUPTRAIN','MAYENNE'),
('53250','LE HAM','MAYENNE'),
('53250','JAVRON LES CHAPELLES','MAYENNE'),
('53250','MADRE','MAYENNE'),
('53250','NEUILLY LE VENDIN','MAYENNE'),
('53250','ST AIGNAN DE COUPTRAIN','MAYENNE'),
('53250','VILLEPAIL','MAYENNE'),
('53260','ENTRAMMES','MAYENNE'),
('53260','FORCE','MAYENNE'),
('53260','PARNE SUR ROC','MAYENNE'),
('53270','BLANDOUET','MAYENNE'),
('53270','CHAMMES','MAYENNE'),
('53270','ST JEAN SUR ERVE','MAYENNE'),
('53270','ST PIERRE SUR ERVE','MAYENNE'),
('53270','STE SUZANNE','MAYENNE'),
('53270','THORIGNE EN CHARNIE','MAYENNE'),
('53270','TORCE VIVIERS EN CHARNIE','MAYENNE'),
('53270','VIVIERS EN CHARNIE','MAYENNE'),
('53290','ARGENTON NOTRE DAME','MAYENNE'),
('53290','BEAUMONT PIED DE BOEUF','MAYENNE'),
('53290','BIERNE','MAYENNE'),
('53290','BOUERE','MAYENNE'),
('53290','BOUESSAY','MAYENNE'),
('53290','GREZ EN BOUERE','MAYENNE'),
('53290','ST BRICE','MAYENNE'),
('53290','ST DENIS D ANJOU','MAYENNE'),
('53290','ST LAURENT DES MORTIERS','MAYENNE'),
('53290','ST LOUP DU DORAT','MAYENNE'),
('53290','ST MICHEL DE FEINS','MAYENNE'),
('53300','AMBRIERES LES VALLEES','MAYENNE'),
('53300','CHANTRIGNE','MAYENNE'),
('53300','CIGNE','MAYENNE'),
('53300','COUESMES VAUCE','MAYENNE'),
('53300','LA HAIE TRAVERSAINE','MAYENNE'),
('53300','OISSEAU','MAYENNE'),
('53300','LE PAS','MAYENNE'),
('53300','ST FRAIMBAULT DE PRIERES','MAYENNE'),
('53300','ST LOUP DU GAST','MAYENNE'),
('53300','ST MARS SUR COLMONT','MAYENNE'),
('53300','SOUCE','MAYENNE'),
('53300','VAUCE','MAYENNE'),
('53320','BEAULIEU SUR OUDON','MAYENNE'),
('53320','LOIRON','MAYENNE'),
('53320','MONTJEAN','MAYENNE'),
('53320','RUILLE LE GRAVELAIS','MAYENNE'),
('53320','ST CYR LE GRAVELAIS','MAYENNE'),
('53340','BALLEE','MAYENNE'),
('53340','BANNES','MAYENNE'),
('53340','CHEMERE LE ROI','MAYENNE'),
('53340','COSSE EN CHAMPAGNE','MAYENNE'),
('53340','EPINEUX LE SEGUIN','MAYENNE'),
('53340','PREAUX','MAYENNE'),
('53340','SAULGES','MAYENNE'),
('53350','BALLOTS','MAYENNE'),
('53350','BRAINS SUR LES MARCHES','MAYENNE'),
('53350','FONTAINE COUVERTE','MAYENNE'),
('53350','LA ROE','MAYENNE'),
('53350','ST MICHEL DE LA ROE','MAYENNE'),
('53360','HOUSSAY','MAYENNE'),
('53360','ORIGNE','MAYENNE'),
('53360','PEUTON','MAYENNE'),
('53360','QUELAINES ST GAULT','MAYENNE'),
('53360','ST GAULT','MAYENNE'),
('53360','ST SULPICE','MAYENNE'),
('53360','SIMPLE','MAYENNE'),
('53370','BOULAY LES IFS','MAYENNE'),
('53370','CHAMPFREMONT','MAYENNE'),
('53370','GESVRES','MAYENNE'),
('53370','ST PIERRE DES NIDS','MAYENNE'),
('53380','LA CROIXILLE','MAYENNE'),
('53380','JUVIGNE','MAYENNE'),
('53380','ST HILAIRE DU MAINE','MAYENNE'),
('53390','LA ROUAUDIERE','MAYENNE'),
('53390','ST AIGNAN SUR ROE','MAYENNE'),
('53390','ST ERBLON','MAYENNE'),
('53390','SENONNES','MAYENNE'),
('53400','ATHEE','MAYENNE'),
('53400','CHERANCE','MAYENNE'),
('53400','CRAON','MAYENNE'),
('53400','DENAZE','MAYENNE'),
('53400','LIVRE','MAYENNE'),
('53400','MEE','MAYENNE'),
('53400','NIAFLES','MAYENNE'),
('53400','POMMERIEUX','MAYENNE'),
('53400','ST QUENTIN LES ANGES','MAYENNE'),
('53410','LE BOURGNEUF LA FORET','MAYENNE'),
('53410','BOURGON','MAYENNE'),
('53410','LA BRULATTE','MAYENNE'),
('53410','LA GRAVELLE','MAYENNE'),
('53410','LAUNAY VILLIERS','MAYENNE'),
('53410','OLIVET','MAYENNE'),
('53410','PORT BRILLET','MAYENNE'),
('53410','ST OUEN DES TOITS','MAYENNE'),
('53410','ST PIERRE LA COUR','MAYENNE'),
('53420','CHAILLAND','MAYENNE'),
('53440','ARON','MAYENNE'),
('53440','LA BAZOGE MONTPINCON','MAYENNE'),
('53440','BELGEARD','MAYENNE'),
('53440','LA CHAPELLE AU RIBOUL','MAYENNE'),
('53440','GRAZAY','MAYENNE'),
('53440','MARCILLE LA VILLE','MAYENNE'),
('53470','LA BAZOUGE DES ALLEUX','MAYENNE'),
('53470','CHALONS DU MAINE','MAYENNE'),
('53470','COMMER','MAYENNE'),
('53470','MARTIGNE SUR MAYENNE','MAYENNE'),
('53470','SACE','MAYENNE'),
('53480','ST GEORGES LE FLECHARD','MAYENNE'),
('53480','ST LEGER','MAYENNE'),
('53480','VAIGES','MAYENNE'),
('53500','ERNEE','MAYENNE'),
('53500','MONTENAY','MAYENNE'),
('53500','ST DENIS DE GASTINES','MAYENNE'),
('53500','ST PIERRE DES LANDES','MAYENNE'),
('53500','VAUTORTE','MAYENNE'),
('53540','CUILLE','MAYENNE'),
('53540','GASTINES','MAYENNE'),
('53540','LAUBRIERES','MAYENNE'),
('53540','ST POIX','MAYENNE'),
('53600','ASSE LE BERENGER','MAYENNE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('53600','CHATRES LA FORET','MAYENNE'),
('53600','EVRON','MAYENNE'),
('53600','MEZANGERS','MAYENNE'),
('53600','STE GEMMES LE ROBERT','MAYENNE'),
('53600','ST GEORGES SUR ERVE','MAYENNE'),
('53600','VOUTRE','MAYENNE'),
('53640','CHAMPEON','MAYENNE'),
('53640','HARDANGES','MAYENNE'),
('53640','LE HORPS','MAYENNE'),
('53640','MONTREUIL POULAY','MAYENNE'),
('53640','POULAY','MAYENNE'),
('53640','LE RIBAY','MAYENNE'),
('53700','AVERTON','MAYENNE'),
('53700','COURCITE','MAYENNE'),
('53700','CRENNES SUR FRAUBEE','MAYENNE'),
('53700','LOUPFOUGERES','MAYENNE'),
('53700','ST AUBIN DU DESERT','MAYENNE'),
('53700','ST GERMAIN DE COULAMER','MAYENNE'),
('53700','ST MARS DU DESERT','MAYENNE'),
('53700','VILLAINES LA JUHEL','MAYENNE'),
('53800','LA BOISSIERE','MAYENNE'),
('53800','BOUCHAMPS LES CRAON','MAYENNE'),
('53800','CONGRIER','MAYENNE'),
('53800','RENAZE','MAYENNE'),
('53800','ST MARTIN DU LIMET','MAYENNE'),
('53800','ST SATURNIN DU LIMET','MAYENNE'),
('53800','LA SELLE CRAONNAISE','MAYENNE'),
('53810','CHANGE','MAYENNE'),
('53940','AHUILLE','MAYENNE'),
('53940','LE GENEST ST ISLE','MAYENNE'),
('53940','ST BERTHEVIN','MAYENNE'),
('53940','ST ISLE','MAYENNE'),
('53950','LA CHAPELLE ANTHENAISE','MAYENNE'),
('53950','LOUVERNE','MAYENNE'),
('53960','BONCHAMP LES LAVAL','MAYENNE'),
('53970','L HUISSERIE','MAYENNE'),
('53970','MONTIGNE LE BRILLANT','MAYENNE'),
('53970','NUILLE SUR VICOIN','MAYENNE'),
('54000','NANCY','MEURTHE ET MOSELLE'),
('54110','ANTHELUPT','MEURTHE ET MOSELLE'),
('54110','BUISSONCOURT','MEURTHE ET MOSELLE'),
('54110','COURBESSEAUX','MEURTHE ET MOSELLE'),
('54110','CREVIC','MEURTHE ET MOSELLE'),
('54110','DOMBASLE SUR MEURTHE','MEURTHE ET MOSELLE'),
('54110','FLAINVAL','MEURTHE ET MOSELLE'),
('54110','GELLENONCOURT','MEURTHE ET MOSELLE'),
('54110','HARAUCOURT','MEURTHE ET MOSELLE'),
('54110','HUDIVILLER','MEURTHE ET MOSELLE'),
('54110','LENONCOURT','MEURTHE ET MOSELLE'),
('54110','REMEREVILLE','MEURTHE ET MOSELLE'),
('54110','ROSIERES AUX SALINES','MEURTHE ET MOSELLE'),
('54110','SOMMERVILLER','MEURTHE ET MOSELLE'),
('54110','VARANGEVILLE','MEURTHE ET MOSELLE'),
('54111','MONT BONVILLERS','MEURTHE ET MOSELLE'),
('54112','ALLAMPS','MEURTHE ET MOSELLE'),
('54112','GIBEAUMEIX','MEURTHE ET MOSELLE'),
('54112','URUFFE','MEURTHE ET MOSELLE'),
('54112','VANNES LE CHATEL','MEURTHE ET MOSELLE'),
('54113','BLENOD LES TOUL','MEURTHE ET MOSELLE'),
('54113','BULLIGNY','MEURTHE ET MOSELLE'),
('54113','CHARMES LA COTE','MEURTHE ET MOSELLE'),
('54113','CREZILLES','MEURTHE ET MOSELLE'),
('54113','GYE','MEURTHE ET MOSELLE'),
('54113','MONT LE VIGNOBLE','MEURTHE ET MOSELLE'),
('54113','MOUTROT','MEURTHE ET MOSELLE'),
('54114','JEANDELAINCOURT','MEURTHE ET MOSELLE'),
('54115','ABONCOURT','MEURTHE ET MOSELLE'),
('54115','BATTIGNY','MEURTHE ET MOSELLE'),
('54115','BEUVEZIN','MEURTHE ET MOSELLE'),
('54115','DOMMARIE EULMONT','MEURTHE ET MOSELLE'),
('54115','FAVIERES','MEURTHE ET MOSELLE'),
('54115','FECOCOURT','MEURTHE ET MOSELLE'),
('54115','GELAUCOURT','MEURTHE ET MOSELLE'),
('54115','GEMONVILLE','MEURTHE ET MOSELLE'),
('54115','GRIMONVILLER','MEURTHE ET MOSELLE'),
('54115','LALOEUF','MEURTHE ET MOSELLE'),
('54115','PULNEY','MEURTHE ET MOSELLE'),
('54115','SAULXEROTTE','MEURTHE ET MOSELLE'),
('54115','THOREY LYAUTEY','MEURTHE ET MOSELLE'),
('54115','TRAMONT EMY','MEURTHE ET MOSELLE'),
('54115','TRAMONT LASSUS','MEURTHE ET MOSELLE'),
('54115','TRAMONT ST ANDRE','MEURTHE ET MOSELLE'),
('54115','VANDELEVILLE','MEURTHE ET MOSELLE'),
('54116','PRAYE','MEURTHE ET MOSELLE'),
('54116','TANTONVILLE','MEURTHE ET MOSELLE'),
('54118','MOYEN','MEURTHE ET MOSELLE'),
('54119','DOMGERMAIN','MEURTHE ET MOSELLE'),
('54120','BACCARAT','MEURTHE ET MOSELLE'),
('54120','BERTRICHAMPS','MEURTHE ET MOSELLE'),
('54120','BROUVILLE','MEURTHE ET MOSELLE'),
('54120','DENEUVRE','MEURTHE ET MOSELLE'),
('54120','GELACOURT','MEURTHE ET MOSELLE'),
('54120','HABLAINVILLE','MEURTHE ET MOSELLE'),
('54120','LACHAPELLE','MEURTHE ET MOSELLE'),
('54120','MERVILLER','MEURTHE ET MOSELLE'),
('54120','PETTONVILLE','MEURTHE ET MOSELLE'),
('54120','REHERREY','MEURTHE ET MOSELLE'),
('54120','THIAVILLE SUR MEURTHE','MEURTHE ET MOSELLE'),
('54120','VAXAINVILLE','MEURTHE ET MOSELLE'),
('54120','BADMENIL','MEURTHE ET MOSELLE'),
('54120','CRIVILLER','MEURTHE ET MOSELLE'),
('54121','VANDIERES','MEURTHE ET MOSELLE'),
('54122','AZERAILLES','MEURTHE ET MOSELLE'),
('54122','CHENEVIERES','MEURTHE ET MOSELLE'),
('54122','FLIN','MEURTHE ET MOSELLE'),
('54122','FONTENOY LA JOUTE','MEURTHE ET MOSELLE'),
('54122','GLONVILLE','MEURTHE ET MOSELLE'),
('54122','VATHIMENIL','MEURTHE ET MOSELLE'),
('54123','VITERNE','MEURTHE ET MOSELLE'),
('54129','MAGNIERES','MEURTHE ET MOSELLE'),
('54130','DOMMARTEMONT','MEURTHE ET MOSELLE'),
('54130','ST MAX','MEURTHE ET MOSELLE'),
('54134','CEINTREY','MEURTHE ET MOSELLE'),
('54134','VOINEMONT','MEURTHE ET MOSELLE'),
('54135','MEXY','MEURTHE ET MOSELLE'),
('54136','BOUXIERES AUX DAMES','MEURTHE ET MOSELLE'),
('54140','JARVILLE LA MALGRANGE','MEURTHE ET MOSELLE'),
('54150','ANOUX','MEURTHE ET MOSELLE'),
('54150','AVRIL','MEURTHE ET MOSELLE'),
('54150','LES BAROCHES','MEURTHE ET MOSELLE'),
('54150','BRIEY','MEURTHE ET MOSELLE'),
('54150','FLEVILLE LIXIERES','MEURTHE ET MOSELLE'),
('54150','LANTEFONTAINE','MEURTHE ET MOSELLE'),
('54150','LUBEY','MEURTHE ET MOSELLE'),
('54150','MAIRY MAINVILLE','MEURTHE ET MOSELLE'),
('54150','MANCE','MEURTHE ET MOSELLE'),
('54150','NORROY LE SEC','MEURTHE ET MOSELLE'),
('54150','OZERAILLES','MEURTHE ET MOSELLE'),
('54150','GENAVILLE','MEURTHE ET MOSELLE'),
('54150','IMMONVILLE','MEURTHE ET MOSELLE'),
('54150','MAINVILLE','MEURTHE ET MOSELLE'),
('54160','AUTREY','MEURTHE ET MOSELLE'),
('54160','FROLOIS','MEURTHE ET MOSELLE'),
('54160','PIERREVILLE','MEURTHE ET MOSELLE'),
('54160','PULLIGNY','MEURTHE ET MOSELLE'),
('54170','ALLAIN','MEURTHE ET MOSELLE'),
('54170','BAGNEUX','MEURTHE ET MOSELLE'),
('54170','BARISEY AU PLAIN','MEURTHE ET MOSELLE'),
('54170','BARISEY LA COTE','MEURTHE ET MOSELLE'),
('54170','COLOMBEY LES BELLES','MEURTHE ET MOSELLE'),
('54170','CREPEY','MEURTHE ET MOSELLE'),
('54170','DOLCOURT','MEURTHE ET MOSELLE'),
('54170','GERMINY','MEURTHE ET MOSELLE'),
('54170','MONT L ETROIT','MEURTHE ET MOSELLE'),
('54170','OCHEY','MEURTHE ET MOSELLE'),
('54170','SAULXURES LES VANNES','MEURTHE ET MOSELLE'),
('54170','SELAINCOURT','MEURTHE ET MOSELLE'),
('54170','THUILLEY AUX GROSEILLES','MEURTHE ET MOSELLE'),
('54180','HEILLECOURT','MEURTHE ET MOSELLE'),
('54180','HOUDEMONT','MEURTHE ET MOSELLE'),
('54190','BREHAIN LA VILLE','MEURTHE ET MOSELLE'),
('54190','TIERCELET','MEURTHE ET MOSELLE'),
('54190','VILLERUPT','MEURTHE ET MOSELLE'),
('54190','CANTEBONNE','MEURTHE ET MOSELLE'),
('54200','ANDILLY','MEURTHE ET MOSELLE'),
('54200','BICQUELEY','MEURTHE ET MOSELLE'),
('54200','BOUCQ','MEURTHE ET MOSELLE'),
('54200','BOUVRON','MEURTHE ET MOSELLE'),
('54200','BRULEY','MEURTHE ET MOSELLE'),
('54200','CHAUDENEY SUR MOSELLE','MEURTHE ET MOSELLE'),
('54200','CHOLOY MENILLOT','MEURTHE ET MOSELLE'),
('54200','DOMMARTIN LES TOUL','MEURTHE ET MOSELLE'),
('54200','ECROUVES','MEURTHE ET MOSELLE'),
('54200','FRANCHEVILLE','MEURTHE ET MOSELLE'),
('54200','JAILLON','MEURTHE ET MOSELLE'),
('54200','LAGNEY','MEURTHE ET MOSELLE'),
('54200','LUCEY','MEURTHE ET MOSELLE'),
('54200','MENIL LA TOUR','MEURTHE ET MOSELLE'),
('54200','MENILLOT','MEURTHE ET MOSELLE'),
('54200','PAGNEY DERRIERE BARINE','MEURTHE ET MOSELLE'),
('54200','PIERRE LA TREICHE','MEURTHE ET MOSELLE'),
('54200','ROYAUMEIX','MEURTHE ET MOSELLE'),
('54200','SANZEY','MEURTHE ET MOSELLE'),
('54200','TOUL','MEURTHE ET MOSELLE'),
('54200','VILLEY ST ETIENNE','MEURTHE ET MOSELLE'),
('54200','GRAND MENIL','MEURTHE ET MOSELLE'),
('54210','AZELOT','MEURTHE ET MOSELLE'),
('54210','BURTHECOURT AUX CHENES','MEURTHE ET MOSELLE'),
('54210','COYVILLER','MEURTHE ET MOSELLE'),
('54210','FERRIERES','MEURTHE ET MOSELLE'),
('54210','LUPCOURT','MEURTHE ET MOSELLE'),
('54210','MANONCOURT EN VERMOIS','MEURTHE ET MOSELLE'),
('54210','SAFFAIS','MEURTHE ET MOSELLE'),
('54210','ST NICOLAS DE PORT','MEURTHE ET MOSELLE'),
('54210','TONNOY','MEURTHE ET MOSELLE'),
('54210','VILLE EN VERMOIS','MEURTHE ET MOSELLE'),
('54220','MALZEVILLE','MEURTHE ET MOSELLE'),
('54230','CHALIGNY','MEURTHE ET MOSELLE'),
('54230','CHAVIGNY','MEURTHE ET MOSELLE'),
('54230','MARON','MEURTHE ET MOSELLE'),
('54230','NEUVES MAISONS','MEURTHE ET MOSELLE'),
('54240','JOEUF','MEURTHE ET MOSELLE'),
('54250','CHAMPIGNEULLES','MEURTHE ET MOSELLE'),
('54260','ALLONDRELLE LA MALMAISON','MEURTHE ET MOSELLE'),
('54260','CHARENCY VEZIN','MEURTHE ET MOSELLE'),
('54260','COLMEY','MEURTHE ET MOSELLE'),
('54260','EPIEZ SUR CHIERS','MEURTHE ET MOSELLE'),
('54260','FRESNOIS LA MONTAGNE','MEURTHE ET MOSELLE'),
('54260','GRAND FAILLY','MEURTHE ET MOSELLE'),
('54260','LONGUYON','MEURTHE ET MOSELLE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('54260','OTHE','MEURTHE ET MOSELLE'),
('54260','PETIT FAILLY','MEURTHE ET MOSELLE'),
('54260','ST JEAN LES LONGUYON','MEURTHE ET MOSELLE'),
('54260','TELLANCOURT','MEURTHE ET MOSELLE'),
('54260','VILLERS LE ROND','MEURTHE ET MOSELLE'),
('54260','VILLETTE','MEURTHE ET MOSELLE'),
('54260','VIVIERS SUR CHIERS','MEURTHE ET MOSELLE'),
('54260','BRAUMONT','MEURTHE ET MOSELLE'),
('54260','FLABEUVILLE','MEURTHE ET MOSELLE'),
('54260','HAM LES ST JEAN','MEURTHE ET MOSELLE'),
('54260','NOERS','MEURTHE ET MOSELLE'),
('54260','PETIT XIVRY','MEURTHE ET MOSELLE'),
('54260','REVEMONT','MEURTHE ET MOSELLE'),
('54260','VILLANCY','MEURTHE ET MOSELLE'),
('54270','ESSEY LES NANCY','MEURTHE ET MOSELLE'),
('54280','BRIN SUR SEILLE','MEURTHE ET MOSELLE'),
('54280','CHAMPENOUX','MEURTHE ET MOSELLE'),
('54280','ERBEVILLER SUR AMEZULE','MEURTHE ET MOSELLE'),
('54280','LANEUVELOTTE','MEURTHE ET MOSELLE'),
('54280','MAZERULLES','MEURTHE ET MOSELLE'),
('54280','MONCEL SUR SEILLE','MEURTHE ET MOSELLE'),
('54280','SEICHAMPS','MEURTHE ET MOSELLE'),
('54280','SORNEVILLE','MEURTHE ET MOSELLE'),
('54280','VELAINE SOUS AMANCE','MEURTHE ET MOSELLE'),
('54290','BAINVILLE AUX MIROIRS','MEURTHE ET MOSELLE'),
('54290','BAYON','MEURTHE ET MOSELLE'),
('54290','BORVILLE','MEURTHE ET MOSELLE'),
('54290','BREMONCOURT','MEURTHE ET MOSELLE'),
('54290','CLAYEURES','MEURTHE ET MOSELLE'),
('54290','CREVECHAMPS','MEURTHE ET MOSELLE'),
('54290','DOMPTAIL EN L AIR','MEURTHE ET MOSELLE'),
('54290','FROVILLE','MEURTHE ET MOSELLE'),
('54290','GRIPPORT','MEURTHE ET MOSELLE'),
('54290','HAIGNEVILLE','MEURTHE ET MOSELLE'),
('54290','HAUSSONVILLE','MEURTHE ET MOSELLE'),
('54290','LOREY','MEURTHE ET MOSELLE'),
('54290','LOROMONTZEY','MEURTHE ET MOSELLE'),
('54290','MANGONVILLE','MEURTHE ET MOSELLE'),
('54290','NEUVILLER SUR MOSELLE','MEURTHE ET MOSELLE'),
('54290','ROVILLE DEVANT BAYON','MEURTHE ET MOSELLE'),
('54290','ROZELIEURES','MEURTHE ET MOSELLE'),
('54290','ST BOINGT','MEURTHE ET MOSELLE'),
('54290','ST GERMAIN','MEURTHE ET MOSELLE'),
('54290','ST MARD','MEURTHE ET MOSELLE'),
('54290','ST REMY AUX BOIS','MEURTHE ET MOSELLE'),
('54290','VELLE SUR MOSELLE','MEURTHE ET MOSELLE'),
('54290','VILLACOURT','MEURTHE ET MOSELLE'),
('54290','VIRECOURT','MEURTHE ET MOSELLE'),
('54300','BIENVILLE LA PETITE','MEURTHE ET MOSELLE'),
('54300','BONVILLER','MEURTHE ET MOSELLE'),
('54300','CHANTEHEUX','MEURTHE ET MOSELLE'),
('54300','CRION','MEURTHE ET MOSELLE'),
('54300','CROISMARE','MEURTHE ET MOSELLE'),
('54300','FRAIMBOIS','MEURTHE ET MOSELLE'),
('54300','HERIMENIL','MEURTHE ET MOSELLE'),
('54300','JOLIVET','MEURTHE ET MOSELLE'),
('54300','LAMATH','MEURTHE ET MOSELLE'),
('54300','LUNEVILLE','MEURTHE ET MOSELLE'),
('54300','MANONVILLER','MEURTHE ET MOSELLE'),
('54300','MARAINVILLER','MEURTHE ET MOSELLE'),
('54300','MONCEL LES LUNEVILLE','MEURTHE ET MOSELLE'),
('54300','REHAINVILLER','MEURTHE ET MOSELLE'),
('54300','SIONVILLER','MEURTHE ET MOSELLE'),
('54300','THIEBAUMENIL','MEURTHE ET MOSELLE'),
('54300','VITRIMONT','MEURTHE ET MOSELLE'),
('54300','XERMAMENIL','MEURTHE ET MOSELLE'),
('54310','HOMECOURT','MEURTHE ET MOSELLE'),
('54320','MAXEVILLE','MEURTHE ET MOSELLE'),
('54320','MAXEVILLE CHAMP LE BOEUF','MEURTHE ET MOSELLE'),
('54330','CHAOUILLEY','MEURTHE ET MOSELLE'),
('54330','CLEREY SUR BRENON','MEURTHE ET MOSELLE'),
('54330','ETREVAL','MEURTHE ET MOSELLE'),
('54330','FORCELLES ST GORGON','MEURTHE ET MOSELLE'),
('54330','GOVILLER','MEURTHE ET MOSELLE'),
('54330','HAMMEVILLE','MEURTHE ET MOSELLE'),
('54330','HOUDELMONT','MEURTHE ET MOSELLE'),
('54330','HOUDREVILLE','MEURTHE ET MOSELLE'),
('54330','MARTHEMONT','MEURTHE ET MOSELLE'),
('54330','OGNEVILLE','MEURTHE ET MOSELLE'),
('54330','OMELMONT','MEURTHE ET MOSELLE'),
('54330','PAREY ST CESAIRE','MEURTHE ET MOSELLE'),
('54330','QUEVILLONCOURT','MEURTHE ET MOSELLE'),
('54330','SAXON SION','MEURTHE ET MOSELLE'),
('54330','THELOD','MEURTHE ET MOSELLE'),
('54330','VAUDEMONT','MEURTHE ET MOSELLE'),
('54330','VEZELISE','MEURTHE ET MOSELLE'),
('54330','VITREY','MEURTHE ET MOSELLE'),
('54330','VRONCOURT','MEURTHE ET MOSELLE'),
('54340','POMPEY','MEURTHE ET MOSELLE'),
('54350','MONT ST MARTIN','MEURTHE ET MOSELLE'),
('54360','BARBONVILLE','MEURTHE ET MOSELLE'),
('54360','BLAINVILLE SUR L EAU','MEURTHE ET MOSELLE'),
('54360','CHARMOIS','MEURTHE ET MOSELLE'),
('54360','DAMELEVIERES','MEURTHE ET MOSELLE'),
('54360','EINVAUX','MEURTHE ET MOSELLE'),
('54360','LANDECOURT','MEURTHE ET MOSELLE'),
('54360','MEHONCOURT','MEURTHE ET MOSELLE'),
('54360','MONT SUR MEURTHE','MEURTHE ET MOSELLE'),
('54360','ROMAIN','MEURTHE ET MOSELLE'),
('54360','VIGNEULLES','MEURTHE ET MOSELLE'),
('54370','ARRACOURT','MEURTHE ET MOSELLE'),
('54370','ATHIENVILLE','MEURTHE ET MOSELLE'),
('54370','BATHELEMONT LES BAUZEMONT','MEURTHE ET MOSELLE'),
('54370','BAUZEMONT','MEURTHE ET MOSELLE'),
('54370','BEZANGE LA GRANDE','MEURTHE ET MOSELLE'),
('54370','BURES','MEURTHE ET MOSELLE'),
('54370','COINCOURT','MEURTHE ET MOSELLE'),
('54370','DEUXVILLE','MEURTHE ET MOSELLE'),
('54370','DROUVILLE','MEURTHE ET MOSELLE'),
('54370','EINVILLE AU JARD','MEURTHE ET MOSELLE'),
('54370','EMBERMENIL','MEURTHE ET MOSELLE'),
('54370','HENAMENIL','MEURTHE ET MOSELLE'),
('54370','HOEVILLE','MEURTHE ET MOSELLE'),
('54370','JUVRECOURT','MEURTHE ET MOSELLE'),
('54370','LANEUVEVILLE AUX BOIS','MEURTHE ET MOSELLE'),
('54370','MAIXE','MEURTHE ET MOSELLE'),
('54370','MOUACOURT','MEURTHE ET MOSELLE'),
('54370','PARROY','MEURTHE ET MOSELLE'),
('54370','RAVILLE SUR SANON','MEURTHE ET MOSELLE'),
('54370','RECHICOURT LA PETITE','MEURTHE ET MOSELLE'),
('54370','REMONCOURT','MEURTHE ET MOSELLE'),
('54370','SERRES','MEURTHE ET MOSELLE'),
('54370','VALHEY','MEURTHE ET MOSELLE'),
('54370','VAUCOURT','MEURTHE ET MOSELLE'),
('54370','XOUSSE','MEURTHE ET MOSELLE'),
('54370','XURES','MEURTHE ET MOSELLE'),
('54380','AUTREVILLE SUR MOSELLE','MEURTHE ET MOSELLE'),
('54380','BEZAUMONT','MEURTHE ET MOSELLE'),
('54380','DIEULOUARD','MEURTHE ET MOSELLE'),
('54380','GEZONCOURT','MEURTHE ET MOSELLE'),
('54380','GRISCOURT','MEURTHE ET MOSELLE'),
('54380','LANDREMONT','MEURTHE ET MOSELLE'),
('54380','MARTINCOURT','MEURTHE ET MOSELLE'),
('54380','ROGEVILLE','MEURTHE ET MOSELLE'),
('54380','SAIZERAIS','MEURTHE ET MOSELLE'),
('54380','VILLE AU VAL','MEURTHE ET MOSELLE'),
('54380','VILLERS EN HAYE','MEURTHE ET MOSELLE'),
('54385','AVRAINVILLE','MEURTHE ET MOSELLE'),
('54385','DOMEVRE EN HAYE','MEURTHE ET MOSELLE'),
('54385','MANONCOURT EN WOEVRE','MEURTHE ET MOSELLE'),
('54385','MANONVILLE','MEURTHE ET MOSELLE'),
('54385','MINORVILLE','MEURTHE ET MOSELLE'),
('54385','NOVIANT AUX PRES','MEURTHE ET MOSELLE'),
('54385','ROSIERES EN HAYE','MEURTHE ET MOSELLE'),
('54385','TREMBLECOURT','MEURTHE ET MOSELLE'),
('54390','FROUARD','MEURTHE ET MOSELLE'),
('54400','COSNES ET ROMAIN','MEURTHE ET MOSELLE'),
('54400','LONGWY','MEURTHE ET MOSELLE'),
('54400','VAUX WARNIMONT','MEURTHE ET MOSELLE'),
('54410','LANEUVEVILLE DEVANT NANCY','MEURTHE ET MOSELLE'),
('54410','LA MADELEINE','MEURTHE ET MOSELLE'),
('54420','CERVILLE','MEURTHE ET MOSELLE'),
('54420','PULNOY','MEURTHE ET MOSELLE'),
('54420','SAULXURES LES NANCY','MEURTHE ET MOSELLE'),
('54430','REHON','MEURTHE ET MOSELLE'),
('54430','HEUMONT','MEURTHE ET MOSELLE'),
('54440','HERSERANGE','MEURTHE ET MOSELLE'),
('54450','AMENONCOURT','MEURTHE ET MOSELLE'),
('54450','ANCERVILLER','MEURTHE ET MOSELLE'),
('54450','AUTREPIERRE','MEURTHE ET MOSELLE'),
('54450','AVRICOURT','MEURTHE ET MOSELLE'),
('54450','BARBAS','MEURTHE ET MOSELLE'),
('54450','BENAMENIL','MEURTHE ET MOSELLE'),
('54450','BLAMONT','MEURTHE ET MOSELLE'),
('54450','BLEMEREY','MEURTHE ET MOSELLE'),
('54450','BURIVILLE','MEURTHE ET MOSELLE'),
('54450','CHAZELLES SUR ALBE','MEURTHE ET MOSELLE'),
('54450','DOMEVRE SUR VEZOUZE','MEURTHE ET MOSELLE'),
('54450','DOMJEVIN','MEURTHE ET MOSELLE'),
('54450','FREMENIL','MEURTHE ET MOSELLE'),
('54450','FREMONVILLE','MEURTHE ET MOSELLE'),
('54450','GOGNEY','MEURTHE ET MOSELLE'),
('54450','GONDREXON','MEURTHE ET MOSELLE'),
('54450','HALLOVILLE','MEURTHE ET MOSELLE'),
('54450','HARBOUEY','MEURTHE ET MOSELLE'),
('54450','HERBEVILLER','MEURTHE ET MOSELLE'),
('54450','IGNEY','MEURTHE ET MOSELLE'),
('54450','LEINTREY','MEURTHE ET MOSELLE'),
('54450','MONTREUX','MEURTHE ET MOSELLE'),
('54450','NONHIGNY','MEURTHE ET MOSELLE'),
('54450','OGEVILLER','MEURTHE ET MOSELLE'),
('54450','RECLONVILLE','MEURTHE ET MOSELLE'),
('54450','REILLON','MEURTHE ET MOSELLE'),
('54450','REPAIX','MEURTHE ET MOSELLE'),
('54450','ST MARTIN','MEURTHE ET MOSELLE'),
('54450','VEHO','MEURTHE ET MOSELLE'),
('54450','VERDENAL','MEURTHE ET MOSELLE'),
('54460','AINGERAY','MEURTHE ET MOSELLE'),
('54460','LIVERDUN','MEURTHE ET MOSELLE'),
('54470','ANSAUVILLE','MEURTHE ET MOSELLE'),
('54470','BEAUMONT','MEURTHE ET MOSELLE'),
('54470','BERNECOURT','MEURTHE ET MOSELLE'),
('54470','BOUILLONVILLE','MEURTHE ET MOSELLE'),
('54470','CHAREY','MEURTHE ET MOSELLE'),
('54470','DAMPVITOUX','MEURTHE ET MOSELLE'),
('54470','DOMMARTIN LA CHAUSSEE','MEURTHE ET MOSELLE'),
('54470','ESSEY ET MAIZERAIS','MEURTHE ET MOSELLE'),
('54470','EUVEZIN','MEURTHE ET MOSELLE'),
('54470','FEY EN HAYE','MEURTHE ET MOSELLE'),
('54470','FLIREY','MEURTHE ET MOSELLE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('54470','GROSROUVRES','MEURTHE ET MOSELLE'),
('54470','HAGEVILLE','MEURTHE ET MOSELLE'),
('54470','HAMONVILLE','MEURTHE ET MOSELLE'),
('54470','JAULNY','MEURTHE ET MOSELLE'),
('54470','LIMEY REMENAUVILLE','MEURTHE ET MOSELLE'),
('54470','LIRONVILLE','MEURTHE ET MOSELLE'),
('54470','MAMEY','MEURTHE ET MOSELLE'),
('54470','MANDRES AUX QUATRE TOURS','MEURTHE ET MOSELLE'),
('54470','PANNES','MEURTHE ET MOSELLE'),
('54470','REMBERCOURT SUR MAD','MEURTHE ET MOSELLE'),
('54470','ST BAUSSANT','MEURTHE ET MOSELLE'),
('54470','ST JULIEN LES GORZE','MEURTHE ET MOSELLE'),
('54470','SEICHEPREY','MEURTHE ET MOSELLE'),
('54470','THIAUCOURT REGNIEVILLE','MEURTHE ET MOSELLE'),
('54470','VIEVILLE EN HAYE','MEURTHE ET MOSELLE'),
('54470','XAMMES','MEURTHE ET MOSELLE'),
('54480','BERTRAMBOIS','MEURTHE ET MOSELLE'),
('54480','CIREY SUR VEZOUZE','MEURTHE ET MOSELLE'),
('54480','PARUX','MEURTHE ET MOSELLE'),
('54480','PETITMONT','MEURTHE ET MOSELLE'),
('54480','ST SAUVEUR','MEURTHE ET MOSELLE'),
('54480','TANCONVILLE','MEURTHE ET MOSELLE'),
('54480','VAL ET CHATILLON','MEURTHE ET MOSELLE'),
('54490','AVILLERS','MEURTHE ET MOSELLE'),
('54490','DOMPRIX','MEURTHE ET MOSELLE'),
('54490','JOUDREVILLE','MEURTHE ET MOSELLE'),
('54490','MURVILLE','MEURTHE ET MOSELLE'),
('54490','PIENNES','MEURTHE ET MOSELLE'),
('54490','PREUTIN HIGNY','MEURTHE ET MOSELLE'),
('54490','XIVRY CIRCOURT','MEURTHE ET MOSELLE'),
('54490','BERTRAMEIX','MEURTHE ET MOSELLE'),
('54500','VANDOEUVRE LES NANCY','MEURTHE ET MOSELLE'),
('54510','ART SUR MEURTHE','MEURTHE ET MOSELLE'),
('54510','TOMBLAINE','MEURTHE ET MOSELLE'),
('54510','BOSSERVILLE','MEURTHE ET MOSELLE'),
('54520','LAXOU','MEURTHE ET MOSELLE'),
('54520','LAXOU CHAMP LE BOEUF','MEURTHE ET MOSELLE'),
('54530','ARNAVILLE','MEURTHE ET MOSELLE'),
('54530','PAGNY SUR MOSELLE','MEURTHE ET MOSELLE'),
('54530','PRENY','MEURTHE ET MOSELLE'),
('54540','ANGOMONT','MEURTHE ET MOSELLE'),
('54540','BADONVILLER','MEURTHE ET MOSELLE'),
('54540','BIONVILLE','MEURTHE ET MOSELLE'),
('54540','BREMENIL','MEURTHE ET MOSELLE'),
('54540','FENNEVILLER','MEURTHE ET MOSELLE'),
('54540','MIGNEVILLE','MEURTHE ET MOSELLE'),
('54540','MONTIGNY','MEURTHE ET MOSELLE'),
('54540','NEUFMAISONS','MEURTHE ET MOSELLE'),
('54540','NEUVILLER LES BADONVILLER','MEURTHE ET MOSELLE'),
('54540','PEXONNE','MEURTHE ET MOSELLE'),
('54540','PIERRE PERCEE','MEURTHE ET MOSELLE'),
('54540','RAON LES LEAU','MEURTHE ET MOSELLE'),
('54540','ST MAURICE AUX FORGES','MEURTHE ET MOSELLE'),
('54540','STE POLE','MEURTHE ET MOSELLE'),
('54540','VACQUEVILLE','MEURTHE ET MOSELLE'),
('54540','VENEY','MEURTHE ET MOSELLE'),
('54550','BAINVILLE SUR MADON','MEURTHE ET MOSELLE'),
('54550','MAIZIERES','MEURTHE ET MOSELLE'),
('54550','PONT ST VINCENT','MEURTHE ET MOSELLE'),
('54550','SEXEY AUX FORGES','MEURTHE ET MOSELLE'),
('54560','ANDERNY','MEURTHE ET MOSELLE'),
('54560','AUDUN LE ROMAN','MEURTHE ET MOSELLE'),
('54560','BEUVILLERS','MEURTHE ET MOSELLE'),
('54560','FILLIERES','MEURTHE ET MOSELLE'),
('54560','MALAVILLERS','MEURTHE ET MOSELLE'),
('54560','MERCY LE HAUT','MEURTHE ET MOSELLE'),
('54560','SANCY','MEURTHE ET MOSELLE'),
('54560','SERROUVILLE','MEURTHE ET MOSELLE'),
('54560','BOUDREZY','MEURTHE ET MOSELLE'),
('54570','FOUG','MEURTHE ET MOSELLE'),
('54570','LANEUVEVILLE DERRIERE FOU','MEURTHE ET MOSELLE'),
('54570','LAY ST REMY','MEURTHE ET MOSELLE'),
('54570','TRONDES','MEURTHE ET MOSELLE'),
('54580','AUBOUE','MEURTHE ET MOSELLE'),
('54580','MOINEVILLE','MEURTHE ET MOSELLE'),
('54580','ST AIL','MEURTHE ET MOSELLE'),
('54580','HABONVILLE','MEURTHE ET MOSELLE'),
('54590','HUSSIGNY GODBRANGE','MEURTHE ET MOSELLE'),
('54600','VILLERS LES NANCY','MEURTHE ET MOSELLE'),
('54610','ABAUCOURT','MEURTHE ET MOSELLE'),
('54610','BELLEAU','MEURTHE ET MOSELLE'),
('54610','BRATTE','MEURTHE ET MOSELLE'),
('54610','CHENICOURT','MEURTHE ET MOSELLE'),
('54610','CLEMERY','MEURTHE ET MOSELLE'),
('54610','EPLY','MEURTHE ET MOSELLE'),
('54610','LETRICOURT','MEURTHE ET MOSELLE'),
('54610','LIXIERES','MEURTHE ET MOSELLE'),
('54610','MAILLY SUR SEILLE','MEURTHE ET MOSELLE'),
('54610','MANONCOURT SUR SEILLE','MEURTHE ET MOSELLE'),
('54610','MOREY','MEURTHE ET MOSELLE'),
('54610','NOMENY','MEURTHE ET MOSELLE'),
('54610','PHLIN','MEURTHE ET MOSELLE'),
('54610','RAUCOURT','MEURTHE ET MOSELLE'),
('54610','ROUVES','MEURTHE ET MOSELLE'),
('54610','SERRIERES','MEURTHE ET MOSELLE'),
('54610','SIVRY','MEURTHE ET MOSELLE'),
('54610','THEZEY ST MARTIN','MEURTHE ET MOSELLE'),
('54620','BASLIEUX','MEURTHE ET MOSELLE'),
('54620','BAZAILLES','MEURTHE ET MOSELLE'),
('54620','BEUVEILLE','MEURTHE ET MOSELLE'),
('54620','BOISMONT','MEURTHE ET MOSELLE'),
('54620','DONCOURT LES LONGUYON','MEURTHE ET MOSELLE'),
('54620','JOPPECOURT','MEURTHE ET MOSELLE'),
('54620','PIERREPONT','MEURTHE ET MOSELLE'),
('54620','ST SUPPLET','MEURTHE ET MOSELLE'),
('54620','VILLE AU MONTOIS','MEURTHE ET MOSELLE'),
('54620','HAN DEVANT PIERREPONT','MEURTHE ET MOSELLE'),
('54630','FLAVIGNY SUR MOSELLE','MEURTHE ET MOSELLE'),
('54630','RICHARDMENIL','MEURTHE ET MOSELLE'),
('54640','BETTAINVILLERS','MEURTHE ET MOSELLE'),
('54640','TUCQUEGNIEUX','MEURTHE ET MOSELLE'),
('54650','SAULNES','MEURTHE ET MOSELLE'),
('54660','MOUTIERS','MEURTHE ET MOSELLE'),
('54670','CUSTINES','MEURTHE ET MOSELLE'),
('54670','MALLELOY','MEURTHE ET MOSELLE'),
('54670','MILLERY','MEURTHE ET MOSELLE'),
('54680','CRUSNES','MEURTHE ET MOSELLE'),
('54680','ERROUVILLE','MEURTHE ET MOSELLE'),
('54690','EULMONT','MEURTHE ET MOSELLE'),
('54690','LAY ST CHRISTOPHE','MEURTHE ET MOSELLE'),
('54700','ATTON','MEURTHE ET MOSELLE'),
('54700','BLENOD LES PONT A MOUSSON','MEURTHE ET MOSELLE'),
('54700','BOUXIERES SOUS FROIDMONT','MEURTHE ET MOSELLE'),
('54700','CHAMPEY SUR MOSELLE','MEURTHE ET MOSELLE'),
('54700','JEZAINVILLE','MEURTHE ET MOSELLE'),
('54700','LESMENILS','MEURTHE ET MOSELLE'),
('54700','LOISY','MEURTHE ET MOSELLE'),
('54700','MAIDIERES','MEURTHE ET MOSELLE'),
('54700','MONTAUVILLE','MEURTHE ET MOSELLE'),
('54700','MORVILLE SUR SEILLE','MEURTHE ET MOSELLE'),
('54700','MOUSSON','MEURTHE ET MOSELLE'),
('54700','NORROY LES PONT A MOUSSON','MEURTHE ET MOSELLE'),
('54700','PONT A MOUSSON','MEURTHE ET MOSELLE'),
('54700','PORT SUR SEILLE','MEURTHE ET MOSELLE'),
('54700','STE GENEVIEVE','MEURTHE ET MOSELLE'),
('54700','VILCEY SUR TREY','MEURTHE ET MOSELLE'),
('54700','VILLERS SOUS PRENY','MEURTHE ET MOSELLE'),
('54700','VITTONVILLE','MEURTHE ET MOSELLE'),
('54710','FLEVILLE DEVANT NANCY','MEURTHE ET MOSELLE'),
('54710','LUDRES','MEURTHE ET MOSELLE'),
('54720','CHENIERES','MEURTHE ET MOSELLE'),
('54720','CUTRY','MEURTHE ET MOSELLE'),
('54720','LAIX','MEURTHE ET MOSELLE'),
('54720','LEXY','MEURTHE ET MOSELLE'),
('54730','GORCY','MEURTHE ET MOSELLE'),
('54730','ST PANCRE','MEURTHE ET MOSELLE'),
('54730','VILLE HOUDLEMONT','MEURTHE ET MOSELLE'),
('54740','AFFRACOURT','MEURTHE ET MOSELLE'),
('54740','BENNEY','MEURTHE ET MOSELLE'),
('54740','BRALLEVILLE','MEURTHE ET MOSELLE'),
('54740','CRANTENOY','MEURTHE ET MOSELLE'),
('54740','GERBECOURT ET HAPLEMONT','MEURTHE ET MOSELLE'),
('54740','GERMONVILLE','MEURTHE ET MOSELLE'),
('54740','HAROUE','MEURTHE ET MOSELLE'),
('54740','JEVONCOURT','MEURTHE ET MOSELLE'),
('54740','LANEUVEVILLE DEVANT BAYON','MEURTHE ET MOSELLE'),
('54740','LEBEUVILLE','MEURTHE ET MOSELLE'),
('54740','LEMAINVILLE','MEURTHE ET MOSELLE'),
('54740','LEMENIL MITRY','MEURTHE ET MOSELLE'),
('54740','ORMES ET VILLE','MEURTHE ET MOSELLE'),
('54740','ST REMIMONT','MEURTHE ET MOSELLE'),
('54740','VAUDEVILLE','MEURTHE ET MOSELLE'),
('54740','VAUDIGNY','MEURTHE ET MOSELLE'),
('54740','XIROCOURT','MEURTHE ET MOSELLE'),
('54750','TRIEUX','MEURTHE ET MOSELLE'),
('54760','ARMAUCOURT','MEURTHE ET MOSELLE'),
('54760','ARRAYE ET HAN','MEURTHE ET MOSELLE'),
('54760','BEY SUR SEILLE','MEURTHE ET MOSELLE'),
('54760','FAULX','MEURTHE ET MOSELLE'),
('54760','LANFROICOURT','MEURTHE ET MOSELLE'),
('54760','LEYR','MEURTHE ET MOSELLE'),
('54760','MOIVRONS','MEURTHE ET MOSELLE'),
('54760','MONTENOY','MEURTHE ET MOSELLE'),
('54760','VILLERS LES MOIVRONS','MEURTHE ET MOSELLE'),
('54770','AGINCOURT','MEURTHE ET MOSELLE'),
('54770','AMANCE','MEURTHE ET MOSELLE'),
('54770','BOUXIERES AUX CHENES','MEURTHE ET MOSELLE'),
('54770','DOMMARTIN SOUS AMANCE','MEURTHE ET MOSELLE'),
('54770','LAITRE SOUS AMANCE','MEURTHE ET MOSELLE'),
('54770','MOULINS','MEURTHE ET MOSELLE'),
('54780','GIRAUMONT','MEURTHE ET MOSELLE'),
('54790','MANCIEULLES','MEURTHE ET MOSELLE'),
('54800','ABBEVILLE LES CONFLANS','MEURTHE ET MOSELLE'),
('54800','AFFLEVILLE','MEURTHE ET MOSELLE'),
('54800','ALLAMONT','MEURTHE ET MOSELLE'),
('54800','BECHAMPS','MEURTHE ET MOSELLE'),
('54800','BONCOURT','MEURTHE ET MOSELLE'),
('54800','BRAINVILLE','MEURTHE ET MOSELLE'),
('54800','BRUVILLE','MEURTHE ET MOSELLE'),
('54800','CONFLANS EN JARNISY','MEURTHE ET MOSELLE'),
('54800','DONCOURT LES CONFLANS','MEURTHE ET MOSELLE'),
('54800','FRIAUVILLE','MEURTHE ET MOSELLE'),
('54800','GONDRECOURT AIX','MEURTHE ET MOSELLE'),
('54800','HANNONVILLE SUZEMONT','MEURTHE ET MOSELLE'),
('54800','HATRIZE','MEURTHE ET MOSELLE'),
('54800','JARNY','MEURTHE ET MOSELLE'),
('54800','JEANDELIZE','MEURTHE ET MOSELLE'),
('54800','JOUAVILLE','MEURTHE ET MOSELLE'),
('54800','LABRY','MEURTHE ET MOSELLE'),
('54800','MARS LA TOUR','MEURTHE ET MOSELLE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('54800','MOUAVILLE','MEURTHE ET MOSELLE'),
('54800','OLLEY','MEURTHE ET MOSELLE'),
('54800','PUXE','MEURTHE ET MOSELLE'),
('54800','PUXIEUX','MEURTHE ET MOSELLE'),
('54800','ST MARCEL','MEURTHE ET MOSELLE'),
('54800','SPONVILLE','MEURTHE ET MOSELLE'),
('54800','THUMEREVILLE','MEURTHE ET MOSELLE'),
('54800','TRONVILLE','MEURTHE ET MOSELLE'),
('54800','VILLE SUR YRON','MEURTHE ET MOSELLE'),
('54800','XONVILLE','MEURTHE ET MOSELLE'),
('54800','DROITAUMONT','MEURTHE ET MOSELLE'),
('54810','LONGLAVILLE','MEURTHE ET MOSELLE'),
('54820','MARBACHE','MEURTHE ET MOSELLE'),
('54830','ESSEY LA COTE','MEURTHE ET MOSELLE'),
('54830','FRANCONVILLE','MEURTHE ET MOSELLE'),
('54830','GERBEVILLER','MEURTHE ET MOSELLE'),
('54830','GIRIVILLER','MEURTHE ET MOSELLE'),
('54830','HAUDONVILLE','MEURTHE ET MOSELLE'),
('54830','MATTEXEY','MEURTHE ET MOSELLE'),
('54830','MORIVILLER','MEURTHE ET MOSELLE'),
('54830','REMENOVILLE','MEURTHE ET MOSELLE'),
('54830','SERANVILLE','MEURTHE ET MOSELLE'),
('54830','VALLOIS','MEURTHE ET MOSELLE'),
('54830','VENNEZEY','MEURTHE ET MOSELLE'),
('54840','FONTENOY SUR MOSELLE','MEURTHE ET MOSELLE'),
('54840','GONDREVILLE','MEURTHE ET MOSELLE'),
('54840','SEXEY LES BOIS','MEURTHE ET MOSELLE'),
('54840','VELAINE EN HAYE','MEURTHE ET MOSELLE'),
('54840','VILLEY LE SEC','MEURTHE ET MOSELLE'),
('54850','MEREVILLE','MEURTHE ET MOSELLE'),
('54850','MESSEIN','MEURTHE ET MOSELLE'),
('54860','HAUCOURT MOULAINE','MEURTHE ET MOSELLE'),
('54860','ST CHARLES','MEURTHE ET MOSELLE'),
('54870','CONS LA GRANDVILLE','MEURTHE ET MOSELLE'),
('54870','MONTIGNY SUR CHIERS','MEURTHE ET MOSELLE'),
('54870','UGNY','MEURTHE ET MOSELLE'),
('54870','VILLERS LA CHEVRE','MEURTHE ET MOSELLE'),
('54870','FERMONT','MEURTHE ET MOSELLE'),
('54880','THIL','MEURTHE ET MOSELLE'),
('54890','BAYONVILLE SUR MAD','MEURTHE ET MOSELLE'),
('54890','CHAMBLEY BUSSIERES','MEURTHE ET MOSELLE'),
('54890','ONVILLE','MEURTHE ET MOSELLE'),
('54890','VANDELAINVILLE','MEURTHE ET MOSELLE'),
('54890','VILLECEY SUR MAD','MEURTHE ET MOSELLE'),
('54890','WAVILLE','MEURTHE ET MOSELLE'),
('54910','VALLEROY','MEURTHE ET MOSELLE'),
('54920','MORFONTAINE','MEURTHE ET MOSELLE'),
('54920','VILLERS LA MONTAGNE','MEURTHE ET MOSELLE'),
('54930','BOUZANVILLE','MEURTHE ET MOSELLE'),
('54930','COURCELLES','MEURTHE ET MOSELLE'),
('54930','DIARVILLE','MEURTHE ET MOSELLE'),
('54930','FORCELLES SOUS GUGNEY','MEURTHE ET MOSELLE'),
('54930','FRAISNES EN SAINTOIS','MEURTHE ET MOSELLE'),
('54930','GUGNEY','MEURTHE ET MOSELLE'),
('54930','HOUSSEVILLE','MEURTHE ET MOSELLE'),
('54930','ST FIRMIN','MEURTHE ET MOSELLE'),
('54930','THEY SOUS VAUDEMONT','MEURTHE ET MOSELLE'),
('54940','BELLEVILLE','MEURTHE ET MOSELLE'),
('54950','LARONXE','MEURTHE ET MOSELLE'),
('54950','ST CLEMENT','MEURTHE ET MOSELLE'),
('54960','MERCY LE BAS','MEURTHE ET MOSELLE'),
('54970','LANDRES','MEURTHE ET MOSELLE'),
('54980','BATILLY','MEURTHE ET MOSELLE'),
('54990','XEUILLEY','MEURTHE ET MOSELLE'),
('55000','BAR LE DUC','MEUSE'),
('55000','BEHONNE','MEUSE'),
('55000','BEUREY SUR SAULX','MEUSE'),
('55000','BRILLON EN BARROIS','MEUSE'),
('55000','BUSSY LA COTE','MEUSE'),
('55000','CHARDOGNE','MEUSE'),
('55000','COMBLES EN BARROIS','MEUSE'),
('55000','LES HAUTS DE CHEE','MEUSE'),
('55000','CULEY','MEUSE'),
('55000','ERIZE ST DIZIER','MEUSE'),
('55000','FAINS VEEL','MEUSE'),
('55000','GENICOURT SOUS CONDE','MEUSE'),
('55000','GERY','MEUSE'),
('55000','GUERPONT','MEUSE'),
('55000','HAIRONVILLE','MEUSE'),
('55000','HARGEVILLE SUR CHEE','MEUSE'),
('55000','LISLE EN RIGAULT','MEUSE'),
('55000','LOISEY CULEY','MEUSE'),
('55000','LONGEVILLE EN BARROIS','MEUSE'),
('55000','LOUPPY SUR CHEE','MEUSE'),
('55000','LES MARATS','MEUSE'),
('55000','MONTPLONNE','MEUSE'),
('55000','VAL D ORNAIN','MEUSE'),
('55000','NAIVES ROSIERES','MEUSE'),
('55000','RESSON','MEUSE'),
('55000','ROBERT ESPAGNE','MEUSE'),
('55000','ROSIERES DEVANT BAR','MEUSE'),
('55000','RUMONT','MEUSE'),
('55000','SALMAGNE','MEUSE'),
('55000','SAUDRUPT','MEUSE'),
('55000','SAVONNIERES DEVANT BAR','MEUSE'),
('55000','SEIGNEULLES','MEUSE'),
('55000','SILMONT','MEUSE'),
('55000','TANNOIS','MEUSE'),
('55000','TREMONT SUR SAULX','MEUSE'),
('55000','VARNEY','MEUSE'),
('55000','VAVINCOURT','MEUSE'),
('55000','VEEL','MEUSE'),
('55000','VILLE SUR SAULX','MEUSE'),
('55100','BELLERAY','MEUSE'),
('55100','BELRUPT EN VERDUNOIS','MEUSE'),
('55100','BETHELAINVILLE','MEUSE'),
('55100','BRABANT SUR MEUSE','MEUSE'),
('55100','BRAS SUR MEUSE','MEUSE'),
('55100','CHAMPNEUVILLE','MEUSE'),
('55100','CHARNY SUR MEUSE','MEUSE'),
('55100','CHATTANCOURT','MEUSE'),
('55100','CUMIERES LE MORT HOMME','MEUSE'),
('55100','DOUAUMONT','MEUSE'),
('55100','DUGNY SUR MEUSE','MEUSE'),
('55100','ESNES EN ARGONNE','MEUSE'),
('55100','FLEURY DEVANT DOUAUMONT','MEUSE'),
('55100','FROMEREVILLE LES VALLONS','MEUSE'),
('55100','HAUDAINVILLE','MEUSE'),
('55100','LANDRECOURT LEMPIRE','MEUSE'),
('55100','LEMPIRE AUX BOIS','MEUSE'),
('55100','MARRE','MEUSE'),
('55100','MONTZEVILLE','MEUSE'),
('55100','SAMOGNEUX','MEUSE'),
('55100','SIVRY LA PERCHE','MEUSE'),
('55100','VACHERAUVILLE','MEUSE'),
('55100','VERDUN','MEUSE'),
('55110','AINCREVILLE','MEUSE'),
('55110','BANTHEVILLE','MEUSE'),
('55110','BRIEULLES SUR MEUSE','MEUSE'),
('55110','CLERY GRAND','MEUSE'),
('55110','CLERY PETIT','MEUSE'),
('55110','CONSENVOYE','MEUSE'),
('55110','CUNEL','MEUSE'),
('55110','DANNEVOUX','MEUSE'),
('55110','DOULCON','MEUSE'),
('55110','DUN SUR MEUSE','MEUSE'),
('55110','FONTAINES ST CLAIR','MEUSE'),
('55110','FORGES SUR MEUSE','MEUSE'),
('55110','GERCOURT ET DRILLANCOURT','MEUSE'),
('55110','GESNES EN ARGONNE','MEUSE'),
('55110','HARAUMONT','MEUSE'),
('55110','LINY DEVANT DUN','MEUSE'),
('55110','LION DEVANT DUN','MEUSE'),
('55110','MILLY SUR BRADON','MEUSE'),
('55110','MONT DEVANT SASSEY','MEUSE'),
('55110','MONTIGNY DEVANT SASSEY','MEUSE'),
('55110','MURVAUX','MEUSE'),
('55110','REGNEVILLE SUR MEUSE','MEUSE'),
('55110','ROMAGNE SOUS MONTFAUCON','MEUSE'),
('55110','SASSEY SUR MEUSE','MEUSE'),
('55110','SAULMORY ET VILLEFRANCHE','MEUSE'),
('55110','SIVRY SUR MEUSE','MEUSE'),
('55110','VILLERS DEVANT DUN','MEUSE'),
('55110','VILOSNES HARAUMONT','MEUSE'),
('55120','AUBREVILLE','MEUSE'),
('55120','AUTRECOURT SUR AIRE','MEUSE'),
('55120','AUZEVILLE EN ARGONNE','MEUSE'),
('55120','BLERCOURT','MEUSE'),
('55120','BRABANT EN ARGONNE','MEUSE'),
('55120','BROCOURT EN ARGONNE','MEUSE'),
('55120','LE CLAON','MEUSE'),
('55120','CLERMONT EN ARGONNE','MEUSE'),
('55120','DOMBASLE EN ARGONNE','MEUSE'),
('55120','FROIDOS','MEUSE'),
('55120','FUTEAU','MEUSE'),
('55120','LES ISLETTES','MEUSE'),
('55120','JOUY EN ARGONNE','MEUSE'),
('55120','JUBECOURT','MEUSE'),
('55120','JULVECOURT','MEUSE'),
('55120','LACHALADE','MEUSE'),
('55120','LAVOYE','MEUSE'),
('55120','LE NEUFOUR','MEUSE'),
('55120','NEUVILLY EN ARGONNE','MEUSE'),
('55120','NIXEVILLE BLERCOURT','MEUSE'),
('55120','PAROIS','MEUSE'),
('55120','RARECOURT','MEUSE'),
('55120','RECICOURT','MEUSE'),
('55120','VILLE SUR COUSANCES','MEUSE'),
('55130','ABAINVILLE','MEUSE'),
('55130','AMANTY','MEUSE'),
('55130','BADONVILLIERS GERAUVILLIE','MEUSE'),
('55130','BAUDIGNECOURT','MEUSE'),
('55130','BONNET','MEUSE'),
('55130','CHASSEY BEAUPRE','MEUSE'),
('55130','DAINVILLE BERTHELEVILLE','MEUSE'),
('55130','DELOUZE ROZIERES','MEUSE'),
('55130','DEMANGE AUX EAUX','MEUSE'),
('55130','GERAUVILLIERS','MEUSE'),
('55130','GONDRECOURT LE CHATEAU','MEUSE'),
('55130','HORVILLE EN ORNOIS','MEUSE'),
('55130','HOUDELAINCOURT','MEUSE'),
('55130','LUMEVILLE EN ORNOIS','MEUSE'),
('55130','LES ROISES','MEUSE'),
('55130','ROSIERES EN BLOIS','MEUSE'),
('55130','ST JOIRE','MEUSE'),
('55130','TOURAILLES SOUS BOIS','MEUSE'),
('55130','TREVERAY','MEUSE'),
('55130','VAUDEVILLE LE HAUT','MEUSE'),
('55130','VOUTHON BAS','MEUSE'),
('55130','VOUTHON HAUT','MEUSE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('55140','BRIXEY AUX CHANOINES','MEUSE'),
('55140','BUREY EN VAUX','MEUSE'),
('55140','BUREY LA COTE','MEUSE'),
('55140','CHALAINES','MEUSE'),
('55140','CHAMPOUGNY','MEUSE'),
('55140','EPIEZ SUR MEUSE','MEUSE'),
('55140','GOUSSAINCOURT','MEUSE'),
('55140','MAXEY SUR VAISE','MEUSE'),
('55140','MONTBRAS','MEUSE'),
('55140','MONTIGNY LES VAUCOULEURS','MEUSE'),
('55140','NEUVILLE LES VAUCOULEURS','MEUSE'),
('55140','PAGNY LA BLANCHE COTE','MEUSE'),
('55140','RIGNY LA SALLE','MEUSE'),
('55140','RIGNY ST MARTIN','MEUSE'),
('55140','ST GERMAIN SUR MEUSE','MEUSE'),
('55140','SAUVIGNY','MEUSE'),
('55140','SEPVIGNY','MEUSE'),
('55140','TAILLANCOURT','MEUSE'),
('55140','UGNY SUR MEUSE','MEUSE'),
('55140','VAUCOULEURS','MEUSE'),
('55150','AZANNES ET SOUMAZANNES','MEUSE'),
('55150','BRANDEVILLE','MEUSE'),
('55150','BREHEVILLE','MEUSE'),
('55150','CHAUMONT DEVANT DAMVILLER','MEUSE'),
('55150','CREPION','MEUSE'),
('55150','DAMVILLERS','MEUSE'),
('55150','DELUT','MEUSE'),
('55150','DOMBRAS','MEUSE'),
('55150','ECUREY EN VERDUNOIS','MEUSE'),
('55150','ETRAYE','MEUSE'),
('55150','FLABAS','MEUSE'),
('55150','GREMILLY','MEUSE'),
('55150','LISSEY','MEUSE'),
('55150','MANGIENNES','MEUSE'),
('55150','MERLES SUR LOISON','MEUSE'),
('55150','MOIREY FLABAS CREPION','MEUSE'),
('55150','ORNES','MEUSE'),
('55150','PEUVILLERS','MEUSE'),
('55150','REVILLE AUX BOIS','MEUSE'),
('55150','ROMAGNE SOUS LES COTES','MEUSE'),
('55150','RUPT SUR OTHAIN','MEUSE'),
('55150','ST LAURENT SUR OTHAIN','MEUSE'),
('55150','VILLE DEVANT CHAUMONT','MEUSE'),
('55150','VILLERS LES MANGIENNES','MEUSE'),
('55150','VITTARVILLE','MEUSE'),
('55150','WAVRILLE','MEUSE'),
('55160','BONZEE','MEUSE'),
('55160','BUTGNEVILLE','MEUSE'),
('55160','CHAMPLON','MEUSE'),
('55160','COMBRES SOUS LES COTES','MEUSE'),
('55160','DOMMARTIN LA MONTAGNE','MEUSE'),
('55160','DONCOURT AUX TEMPLIERS','MEUSE'),
('55160','LES EPARGES','MEUSE'),
('55160','FRESNES EN WOEVRE','MEUSE'),
('55160','HARVILLE','MEUSE'),
('55160','HAUDIOMONT','MEUSE'),
('55160','HENNEMONT','MEUSE'),
('55160','JONVILLE EN WOEVRE','MEUSE'),
('55160','LABEUVILLE','MEUSE'),
('55160','LATOUR EN WOEVRE','MEUSE'),
('55160','MAIZERAY','MEUSE'),
('55160','MANHEULLES','MEUSE'),
('55160','MARCHEVILLE EN WOEVRE','MEUSE'),
('55160','MESNIL SOUS LES COTES','MEUSE'),
('55160','MONT VILLERS','MEUSE'),
('55160','MOULOTTE','MEUSE'),
('55160','PAREID','MEUSE'),
('55160','PINTHEVILLE','MEUSE'),
('55160','RIAVILLE','MEUSE'),
('55160','RONVAUX','MEUSE'),
('55160','ST HILAIRE EN WOEVRE','MEUSE'),
('55160','ST REMY LA CALONNE','MEUSE'),
('55160','SAUX LES CHAMPLON','MEUSE'),
('55160','TRESAUVAUX','MEUSE'),
('55160','VILLE EN WOEVRE','MEUSE'),
('55160','VILLERS SOUS PAREID','MEUSE'),
('55160','WADONVILLE EN WOEVRE','MEUSE'),
('55160','WATRONVILLE','MEUSE'),
('55170','ANCERVILLE','MEUSE'),
('55170','AULNOIS EN PERTHOIS','MEUSE'),
('55170','BAUDONVILLIERS','MEUSE'),
('55170','BAZINCOURT SUR SAULX','MEUSE'),
('55170','BRAUVILLIERS','MEUSE'),
('55170','COUSANCES LES FORGES','MEUSE'),
('55170','JUVIGNY EN PERTHOIS','MEUSE'),
('55170','LAVINCOURT','MEUSE'),
('55170','RUPT AUX NONAINS','MEUSE'),
('55170','SAVONNIERES EN PERTHOIS','MEUSE'),
('55170','SOMMELONNE','MEUSE'),
('55190','BOVEE SUR BARBOURE','MEUSE'),
('55190','BROUSSEY EN BLOIS','MEUSE'),
('55190','LANEUVILLE AU RUPT','MEUSE'),
('55190','MARSON SUR BARBOURE','MEUSE'),
('55190','MAUVAGES','MEUSE'),
('55190','MELIGNY LE GRAND','MEUSE'),
('55190','MELIGNY LE PETIT','MEUSE'),
('55190','MENIL LA HORGNE','MEUSE'),
('55190','NAIVES EN BLOIS','MEUSE'),
('55190','OURCHES SUR MEUSE','MEUSE'),
('55190','PAGNY SUR MEUSE','MEUSE'),
('55190','REFFROY','MEUSE'),
('55190','SAUVOY','MEUSE'),
('55190','SORCY ST MARTIN','MEUSE'),
('55190','TROUSSEY','MEUSE'),
('55190','VACON','MEUSE'),
('55190','VILLEROY SUR MEHOLLE','MEUSE'),
('55190','VOID VACON','MEUSE'),
('55200','AULNOIS SOUS VERTUZEY','MEUSE'),
('55200','BONCOURT SUR MEUSE','MEUSE'),
('55200','BROUSSEY RAULECOURT','MEUSE'),
('55200','CHONVILLE MALAUMONT','MEUSE'),
('55200','COMMERCY','MEUSE'),
('55200','CORNIEVILLE','MEUSE'),
('55200','EUVILLE','MEUSE'),
('55200','FREMEREVILLE SOUS LES COT','MEUSE'),
('55200','GIRAUVOISIN','MEUSE'),
('55200','GIRONVILLE SOUS LES COTES','MEUSE'),
('55200','GEVILLE','MEUSE'),
('55200','LEROUVILLE','MEUSE'),
('55200','MALAUMONT','MEUSE'),
('55200','PONT SUR MEUSE','MEUSE'),
('55200','RAULECOURT','MEUSE'),
('55200','ST JULIEN SOUS LES COTES','MEUSE'),
('55200','VADONVILLE','MEUSE'),
('55200','VERTUZEY','MEUSE'),
('55200','VIGNOT','MEUSE'),
('55200','VILLE ISSEY','MEUSE'),
('55210','AVILLERS STE CROIX','MEUSE'),
('55210','BENEY EN WOEVRE','MEUSE'),
('55210','BILLY SOUS LES COTES','MEUSE'),
('55210','CHAILLON','MEUSE'),
('55210','CREUE','MEUSE'),
('55210','HADONVILLE LES LA CHAUSSE','MEUSE'),
('55210','HANNONVILLE SOUS LES COTE','MEUSE'),
('55210','HATTONCHATEL','MEUSE'),
('55210','HATTONVILLE','MEUSE'),
('55210','HAUMONT LES LACHAUSSEE','MEUSE'),
('55210','HERBEUVILLE','MEUSE'),
('55210','HEUDICOURT SOUS LES COTES','MEUSE'),
('55210','LACHAUSSEE','MEUSE'),
('55210','LAMARCHE EN WOEVRE','MEUSE'),
('55210','NONSARD LAMARCHE','MEUSE'),
('55210','ST BENOIT EN WOEVRE','MEUSE'),
('55210','ST MAURICE SOUS LES COTES','MEUSE'),
('55210','THILLOT','MEUSE'),
('55210','VIEVILLE SOUS LES COTES','MEUSE'),
('55210','VIGNEULLES LES HATTONCHAT','MEUSE'),
('55210','WOEL','MEUSE'),
('55220','HEIPPES','MEUSE'),
('55220','IPPECOURT','MEUSE'),
('55220','LES TROIS DOMAINES','MEUSE'),
('55220','LEMMES','MEUSE'),
('55220','MONDRECOURT','MEUSE'),
('55220','OSCHES','MEUSE'),
('55220','RAMBLUZIN ET BENOITE VAUX','MEUSE'),
('55220','RAMPONT','MEUSE'),
('55220','RECOURT LE CREUX','MEUSE'),
('55220','RIGNAUCOURT','MEUSE'),
('55220','ST ANDRE EN BARROIS','MEUSE'),
('55220','SENONCOURT LES MAUJOUY','MEUSE'),
('55220','LES SOUHESMES RAMPONT','MEUSE'),
('55220','SOUILLY','MEUSE'),
('55220','TILLY SUR MEUSE','MEUSE'),
('55220','VADELAINCOURT','MEUSE'),
('55220','VILLERS SUR MEUSE','MEUSE'),
('55220','ISSONCOURT','MEUSE'),
('55230','AMEL SUR L ETANG','MEUSE'),
('55230','ARRANCY SUR CRUSNE','MEUSE'),
('55230','BILLY SOUS MANGIENNES','MEUSE'),
('55230','DUZEY','MEUSE'),
('55230','GOURAINCOURT','MEUSE'),
('55230','HAUCOURT LA RIGOLE','MEUSE'),
('55230','HOUDELAUCOURT SUR OTHAIN','MEUSE'),
('55230','LOISON','MEUSE'),
('55230','MUZERAY','MEUSE'),
('55230','NOUILLONPONT','MEUSE'),
('55230','OLLIERES','MEUSE'),
('55230','PILLON','MEUSE'),
('55230','RECHICOURT','MEUSE'),
('55230','ROUVROIS SUR OTHAIN','MEUSE'),
('55230','ST PIERREVILLERS','MEUSE'),
('55230','SENON','MEUSE'),
('55230','SORBEY','MEUSE'),
('55230','SPINCOURT','MEUSE'),
('55230','VAUDONCOURT','MEUSE'),
('55240','BOULIGNY','MEUSE'),
('55240','DOMMARY BARONCOURT','MEUSE'),
('55240','DOMREMY LA CANNE','MEUSE'),
('55240','ETON','MEUSE'),
('55250','AMBLAINCOURT','MEUSE'),
('55250','BEAULIEU EN ARGONNE','MEUSE'),
('55250','BEAUSITE','MEUSE'),
('55250','BRIZEAUX','MEUSE'),
('55250','BULAINVILLE','MEUSE'),
('55250','DEUXNOUDS DEVANT BEAUZEE','MEUSE'),
('55250','EVRES','MEUSE'),
('55250','FLEURY SUR AIRE','MEUSE'),
('55250','FOUCAUCOURT SUR THABAS','MEUSE'),
('55250','LISLE EN BARROIS','MEUSE'),
('55250','NUBECOURT','MEUSE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('55250','PRETZ EN ARGONNE','MEUSE'),
('55250','REMBERCOURT SOMMAISNE','MEUSE'),
('55250','SENARD','MEUSE'),
('55250','SERAUCOURT','MEUSE'),
('55250','SOMMAISNE','MEUSE'),
('55250','SEUIL D ARGONNE','MEUSE'),
('55250','VAUBECOURT','MEUSE'),
('55250','VILLOTTE DEVANT LOUPPY','MEUSE'),
('55250','WALY','MEUSE'),
('55250','TRIAUCOURT EN ARGONNE','MEUSE'),
('55260','BAUDREMONT','MEUSE'),
('55260','BELRAIN','MEUSE'),
('55260','CHAUMONT SUR AIRE','MEUSE'),
('55260','COURCELLES EN BARROIS','MEUSE'),
('55260','COURCELLES SUR AIRE','MEUSE'),
('55260','COUROUVRE','MEUSE'),
('55260','ERIZE LA BRULEE','MEUSE'),
('55260','ERIZE LA GRANDE','MEUSE'),
('55260','ERIZE LA PETITE','MEUSE'),
('55260','FRESNES AU MONT','MEUSE'),
('55260','GIMECOURT','MEUSE'),
('55260','LAHAYMEIX','MEUSE'),
('55260','LAVALLEE','MEUSE'),
('55260','LEVONCOURT','MEUSE'),
('55260','LIGNIERES SUR AIRE','MEUSE'),
('55260','LONGCHAMPS SUR AIRE','MEUSE'),
('55260','MENIL AUX BOIS','MEUSE'),
('55260','NEUVILLE EN VERDUNOIS','MEUSE'),
('55260','NICEY SUR AIRE','MEUSE'),
('55260','PIERREFITTE SUR AIRE','MEUSE'),
('55260','RAIVAL','MEUSE'),
('55260','RUPT DEVANT ST MIHIEL','MEUSE'),
('55260','THILLOMBOIS','MEUSE'),
('55260','VILLE DEVANT BELRAIN','MEUSE'),
('55260','VILLOTTE SUR AIRE','MEUSE'),
('55270','AVOCOURT','MEUSE'),
('55270','BAULNY','MEUSE'),
('55270','BETHINCOURT','MEUSE'),
('55270','BOUREUILLES','MEUSE'),
('55270','CHARPENTRY','MEUSE'),
('55270','CHEPPY','MEUSE'),
('55270','CIERGES SOUS MONTFAUCON','MEUSE'),
('55270','CUISY','MEUSE'),
('55270','EPINONVILLE','MEUSE'),
('55270','MALANCOURT','MEUSE'),
('55270','MONTBLAINVILLE','MEUSE'),
('55270','MONTFAUCON D\'ARGONNE','MEUSE'),
('55270','NANTILLOIS','MEUSE'),
('55270','SEPTSARGES','MEUSE'),
('55270','VARENNES EN ARGONNE','MEUSE'),
('55270','VAUQUOIS','MEUSE'),
('55270','VERY','MEUSE'),
('55290','BIENCOURT SUR ORGE','MEUSE'),
('55290','BURE','MEUSE'),
('55290','COUVERTPUIS','MEUSE'),
('55290','HEVILLIERS','MEUSE'),
('55290','MANDRES EN BARROIS','MEUSE'),
('55290','MONTIERS SUR SAULX','MEUSE'),
('55290','MORLEY','MEUSE'),
('55290','RIBEAUCOURT','MEUSE'),
('55300','AILLY SUR MEUSE','MEUSE'),
('55300','AMBLY SUR MEUSE','MEUSE'),
('55300','APREMONT LA FORET','MEUSE'),
('55300','BANNONCOURT','MEUSE'),
('55300','BISLEE','MEUSE'),
('55300','BOUCONVILLE SUR MADT','MEUSE'),
('55300','BOUQUEMONT','MEUSE'),
('55300','BRASSEITTE','MEUSE'),
('55300','BUXERULLES','MEUSE'),
('55300','BUXIERES SOUS LES COTES','MEUSE'),
('55300','CHAUVONCOURT','MEUSE'),
('55300','DEUXNOUDS AUX BOIS','MEUSE'),
('55300','DOMPCEVRIN','MEUSE'),
('55300','DOMPIERRE AUX BOIS','MEUSE'),
('55300','HAN SUR MEUSE','MEUSE'),
('55300','KOEUR LA GRANDE','MEUSE'),
('55300','KOEUR LA PETITE','MEUSE'),
('55300','LACROIX SUR MEUSE','MEUSE'),
('55300','LAHAYVILLE','MEUSE'),
('55300','LAMORVILLE','MEUSE'),
('55300','LAVIGNEVILLE','MEUSE'),
('55300','LIOUVILLE','MEUSE'),
('55300','LOUPMONT','MEUSE'),
('55300','MAIZEY','MEUSE'),
('55300','MARBOTTE','MEUSE'),
('55300','MECRIN','MEUSE'),
('55300','MONTSEC','MEUSE'),
('55300','LES PAROCHES','MEUSE'),
('55300','RAMBUCOURT','MEUSE'),
('55300','RANZIERES','MEUSE'),
('55300','RICHECOURT','MEUSE'),
('55300','ROUVROIS SUR MEUSE','MEUSE'),
('55300','ST AGNAN SOUS LES COTES','MEUSE'),
('55300','ST MIHIEL','MEUSE'),
('55300','SAMPIGNY','MEUSE'),
('55300','SAVONNIERES EN WOEVRE','MEUSE'),
('55300','SENONVILLE','MEUSE'),
('55300','SEUZEY','MEUSE'),
('55300','SPADA','MEUSE'),
('55300','TROYON','MEUSE'),
('55300','VARNEVILLE','MEUSE'),
('55300','VALBOIS','MEUSE'),
('55300','VAUX LES PALAMEIX','MEUSE'),
('55300','WOIMBEY','MEUSE'),
('55300','WOINVILLE','MEUSE'),
('55300','XIVRAY ET MARVOISIN','MEUSE'),
('55310','TRONVILLE EN BARROIS','MEUSE'),
('55320','ANCEMONT','MEUSE'),
('55320','DIEUE SUR MEUSE','MEUSE'),
('55320','GENICOURT SUR MEUSE','MEUSE'),
('55320','LES MONTHAIRONS','MEUSE'),
('55320','MOUILLY','MEUSE'),
('55320','RUPT EN WOEVRE','MEUSE'),
('55320','SOMMEDIEUE','MEUSE'),
('55400','ABAUCOURT HAUTECOURT','MEUSE'),
('55400','BLANZEE','MEUSE'),
('55400','BOINVILLE EN WOEVRE','MEUSE'),
('55400','BRAQUIS','MEUSE'),
('55400','BUZY DARMONT','MEUSE'),
('55400','CHATILLON SOUS LES COTES','MEUSE'),
('55400','DAMLOUP','MEUSE'),
('55400','DARMONT','MEUSE'),
('55400','DIEPPE SOUS DOUAUMONT','MEUSE'),
('55400','EIX','MEUSE'),
('55400','ETAIN','MEUSE'),
('55400','FOAMEIX ORNEL','MEUSE'),
('55400','FROMEZEY','MEUSE'),
('55400','GINCREY','MEUSE'),
('55400','GRIMAUCOURT EN WOEVRE','MEUSE'),
('55400','GUSSAINVILLE','MEUSE'),
('55400','HAUTECOURT LES BROVILLE','MEUSE'),
('55400','HERMEVILLE EN WOEVRE','MEUSE'),
('55400','LANHERES','MEUSE'),
('55400','MAUCOURT SUR ORNE','MEUSE'),
('55400','MOGEVILLE','MEUSE'),
('55400','MORANVILLE','MEUSE'),
('55400','MORGEMOULIN','MEUSE'),
('55400','MOULAINVILLE','MEUSE'),
('55400','ORNEL','MEUSE'),
('55400','PARFONDRUPT','MEUSE'),
('55400','ROUVRES EN WOEVRE','MEUSE'),
('55400','ST JEAN LES BUZY','MEUSE'),
('55400','VAUX DEVANT DAMLOUP','MEUSE'),
('55400','WARCQ','MEUSE'),
('55430','BELLEVILLE SUR MEUSE','MEUSE'),
('55500','LE BOUCHON SUR SAULX','MEUSE'),
('55500','BOVIOLLES','MEUSE'),
('55500','CHENNEVIERES','MEUSE'),
('55500','COUSANCES AUX BOIS','MEUSE'),
('55500','DAGONVILLE','MEUSE'),
('55500','DAMMARIE SUR SAULX','MEUSE'),
('55500','DOMREMY AUX BOIS','MEUSE'),
('55500','ERNEVILLE AUX BOIS','MEUSE'),
('55500','FOUCHERES AUX BOIS','MEUSE'),
('55500','GIVRAUVAL','MEUSE'),
('55500','GRIMAUCOURT PRES SAMPIGNY','MEUSE'),
('55500','LIGNY EN BARROIS','MEUSE'),
('55500','LONGEAUX','MEUSE'),
('55500','LOXEVILLE','MEUSE'),
('55500','MAULAN','MEUSE'),
('55500','MENAUCOURT','MEUSE'),
('55500','MENIL SUR SAULX','MEUSE'),
('55500','CHANTERAINE','MEUSE'),
('55500','NAIX AUX FORGES','MEUSE'),
('55500','NANCOIS LE GRAND','MEUSE'),
('55500','NANCOIS SUR ORNAIN','MEUSE'),
('55500','NANT LE GRAND','MEUSE'),
('55500','NANT LE PETIT','MEUSE'),
('55500','NANTOIS','MEUSE'),
('55500','OEY','MEUSE'),
('55500','ST AMAND SUR ORNAIN','MEUSE'),
('55500','ST AUBIN SUR AIRE','MEUSE'),
('55500','SAULVAUX','MEUSE'),
('55500','STAINVILLE','MEUSE'),
('55500','COUSANCES LES TRICONVILLE','MEUSE'),
('55500','VAUX LA GRANDE','MEUSE'),
('55500','VAUX LA PETITE','MEUSE'),
('55500','VELAINES','MEUSE'),
('55500','VILLERS LE SEC','MEUSE'),
('55500','WILLERONCOURT','MEUSE'),
('55600','AVIOTH','MEUSE'),
('55600','BAZEILLES SUR OTHAIN','MEUSE'),
('55600','BREUX','MEUSE'),
('55600','CHAUVENCY LE CHATEAU','MEUSE'),
('55600','CHAUVENCY ST HUBERT','MEUSE'),
('55600','ECOUVIEZ','MEUSE'),
('55600','FLASSIGNY','MEUSE'),
('55600','HAN LES JUVIGNY','MEUSE'),
('55600','IRE LE SEC','MEUSE'),
('55600','JAMETZ','MEUSE'),
('55600','JUVIGNY SUR LOISON','MEUSE'),
('55600','LOUPPY SUR LOISON','MEUSE'),
('55600','MARVILLE','MEUSE'),
('55600','MONTMEDY','MEUSE'),
('55600','QUINCY LANDZECOURT','MEUSE'),
('55600','REMOIVILLE','MEUSE'),
('55600','THONNE LA LONG','MEUSE'),
('55600','THONNE LE THIL','MEUSE'),
('55600','THONNE LES PRES','MEUSE'),
('55600','THONNELLE','MEUSE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('55600','VELOSNES','MEUSE'),
('55600','VERNEUIL GRAND','MEUSE'),
('55600','VERNEUIL PETIT','MEUSE'),
('55600','VIGNEUL SOUS MONTMEDY','MEUSE'),
('55600','VILLECLOYE','MEUSE'),
('55700','AUTREVILLE ST LAMBERT','MEUSE'),
('55700','BAALON','MEUSE'),
('55700','BEAUCLAIR','MEUSE'),
('55700','BEAUFORT EN ARGONNE','MEUSE'),
('55700','BROUENNES','MEUSE'),
('55700','CESSE','MEUSE'),
('55700','HALLES SOUS LES COTES','MEUSE'),
('55700','INOR','MEUSE'),
('55700','LAMOUILLY','MEUSE'),
('55700','LANEUVILLE SUR MEUSE','MEUSE'),
('55700','LUZY ST MARTIN','MEUSE'),
('55700','MARTINCOURT SUR MEUSE','MEUSE'),
('55700','MOULINS ST HUBERT','MEUSE'),
('55700','MOUZAY','MEUSE'),
('55700','NEPVANT','MEUSE'),
('55700','OLIZY SUR CHIERS','MEUSE'),
('55700','POUILLY SUR MEUSE','MEUSE'),
('55700','STENAY','MEUSE'),
('55700','WISEPPE','MEUSE'),
('55800','ANDERNAY','MEUSE'),
('55800','AUZECOURT','MEUSE'),
('55800','BRABANT LE ROI','MEUSE'),
('55800','CONTRISSON','MEUSE'),
('55800','COUVONGES','MEUSE'),
('55800','LAHEYCOURT','MEUSE'),
('55800','LAIMONT','MEUSE'),
('55800','LOUPPY LE CHATEAU','MEUSE'),
('55800','MOGNEVILLE','MEUSE'),
('55800','NETTANCOURT','MEUSE'),
('55800','NEUVILLE SUR ORNAIN','MEUSE'),
('55800','NOYERS AUZECOURT','MEUSE'),
('55800','RANCOURT SUR ORNAIN','MEUSE'),
('55800','REMENNECOURT','MEUSE'),
('55800','REVIGNY SUR ORNAIN','MEUSE'),
('55800','SOMMEILLES','MEUSE'),
('55800','VASSINCOURT','MEUSE'),
('55800','VILLERS AUX VENTS','MEUSE'),
('55840','THIERVILLE SUR MEUSE','MEUSE'),
('56000','VANNES','MORBIHAN'),
('56100','LORIENT','MORBIHAN'),
('56110','GOURIN','MORBIHAN'),
('56110','ROUDOUALLEC','MORBIHAN'),
('56110','LE SAINT','MORBIHAN'),
('56120','LA CROIX HELLEAN','MORBIHAN'),
('56120','LES FORGES','MORBIHAN'),
('56120','LA GREE ST LAURENT','MORBIHAN'),
('56120','GUEGON','MORBIHAN'),
('56120','HELLEAN','MORBIHAN'),
('56120','JOSSELIN','MORBIHAN'),
('56120','LANOUEE','MORBIHAN'),
('56120','LANTILLAC','MORBIHAN'),
('56120','PLEUGRIFFET','MORBIHAN'),
('56120','ST SERVANT','MORBIHAN'),
('56130','CAMOEL','MORBIHAN'),
('56130','FEREL','MORBIHAN'),
('56130','MARZAN','MORBIHAN'),
('56130','NIVILLAC','MORBIHAN'),
('56130','PEAULE','MORBIHAN'),
('56130','LA ROCHE BERNARD','MORBIHAN'),
('56130','ST DOLAY','MORBIHAN'),
('56130','THEHILLAC','MORBIHAN'),
('56140','BOHAL','MORBIHAN'),
('56140','CARO','MORBIHAN'),
('56140','MALESTROIT','MORBIHAN'),
('56140','MISSIRIAC','MORBIHAN'),
('56140','PLEUCADEUC','MORBIHAN'),
('56140','REMINIAC','MORBIHAN'),
('56140','RUFFIAC','MORBIHAN'),
('56140','ST ABRAHAM','MORBIHAN'),
('56140','ST CONGARD','MORBIHAN'),
('56140','ST LAURENT SUR OUST','MORBIHAN'),
('56140','ST MARCEL','MORBIHAN'),
('56140','TREAL','MORBIHAN'),
('56150','BAUD','MORBIHAN'),
('56150','GUENIN','MORBIHAN'),
('56150','ST BARTHELEMY','MORBIHAN'),
('56160','GUEMENE SUR SCORFF','MORBIHAN'),
('56160','LANGOELAN','MORBIHAN'),
('56160','LIGNOL','MORBIHAN'),
('56160','LOCMALO','MORBIHAN'),
('56160','PERSQUEN','MORBIHAN'),
('56160','PLOERDUT','MORBIHAN'),
('56160','SEGLIEN','MORBIHAN'),
('56170','HOEDIC','MORBIHAN'),
('56170','ILE D HOUAT','MORBIHAN'),
('56170','QUIBERON','MORBIHAN'),
('56190','AMBON','MORBIHAN'),
('56190','ARZAL','MORBIHAN'),
('56190','BILLIERS','MORBIHAN'),
('56190','LE GUERNO','MORBIHAN'),
('56190','LAUZACH','MORBIHAN'),
('56190','MUZILLAC','MORBIHAN'),
('56190','NOYAL MUZILLAC','MORBIHAN'),
('56190','LA TRINITE SURZUR','MORBIHAN'),
('56200','LA CHAPELLE GACELINE','MORBIHAN'),
('56200','COURNON','MORBIHAN'),
('56200','LES FOUGERETS','MORBIHAN'),
('56200','LA GACILLY','MORBIHAN'),
('56200','GLENAC','MORBIHAN'),
('56200','ST MARTIN','MORBIHAN'),
('56220','CADEN','MORBIHAN'),
('56220','LIMERZEL','MORBIHAN'),
('56220','MALANSAC','MORBIHAN'),
('56220','PEILLAC','MORBIHAN'),
('56220','PLUHERLIN','MORBIHAN'),
('56220','ROCHEFORT EN TERRE','MORBIHAN'),
('56220','ST GRAVE','MORBIHAN'),
('56220','ST JACUT LES PINS','MORBIHAN'),
('56230','BERRIC','MORBIHAN'),
('56230','LE COURS','MORBIHAN'),
('56230','LARRE','MORBIHAN'),
('56230','MOLAC','MORBIHAN'),
('56230','QUESTEMBERT','MORBIHAN'),
('56240','BERNE','MORBIHAN'),
('56240','CALAN','MORBIHAN'),
('56240','INGUINIEL','MORBIHAN'),
('56240','LANVAUDAN','MORBIHAN'),
('56240','PLOUAY','MORBIHAN'),
('56250','ELVEN','MORBIHAN'),
('56250','MONTERBLANC','MORBIHAN'),
('56250','ST NOLFF','MORBIHAN'),
('56250','SULNIAC','MORBIHAN'),
('56250','TREDION','MORBIHAN'),
('56250','TREFFLEAN','MORBIHAN'),
('56250','LA VRAIE CROIX','MORBIHAN'),
('56260','LARMOR PLAGE','MORBIHAN'),
('56270','PLOEMEUR','MORBIHAN'),
('56290','GAVRES','MORBIHAN'),
('56290','PORT LOUIS','MORBIHAN'),
('56300','KERGRIST','MORBIHAN'),
('56300','MALGUENAC','MORBIHAN'),
('56300','NEULLIAC','MORBIHAN'),
('56300','PONTIVY','MORBIHAN'),
('56300','ST THURIAU','MORBIHAN'),
('56300','LE SOURN','MORBIHAN'),
('56310','BIEUZY','MORBIHAN'),
('56310','BUBRY','MORBIHAN'),
('56310','GUERN','MORBIHAN'),
('56310','MELRAND','MORBIHAN'),
('56310','QUISTINIC','MORBIHAN'),
('56320','LE FAOUET','MORBIHAN'),
('56320','LANVENEGEN','MORBIHAN'),
('56320','MESLAN','MORBIHAN'),
('56320','PRIZIAC','MORBIHAN'),
('56330','CAMORS','MORBIHAN'),
('56330','PLUVIGNER','MORBIHAN'),
('56330','BIEUZY LANVAUX','MORBIHAN'),
('56340','CARNAC','MORBIHAN'),
('56340','PLOUHARNEL','MORBIHAN'),
('56350','ALLAIRE','MORBIHAN'),
('56350','BEGANNE','MORBIHAN'),
('56350','RIEUX','MORBIHAN'),
('56350','ST GORGON','MORBIHAN'),
('56350','ST JEAN LA POTERIE','MORBIHAN'),
('56350','ST PERREUX','MORBIHAN'),
('56350','ST VINCENT SUR OUST','MORBIHAN'),
('56360','BANGOR','MORBIHAN'),
('56360','LOCMARIA','MORBIHAN'),
('56360','LE PALAIS','MORBIHAN'),
('56360','SAUZON','MORBIHAN'),
('56370','SARZEAU','MORBIHAN'),
('56370','LE TOUR DU PARC','MORBIHAN'),
('56380','BEIGNON','MORBIHAN'),
('56380','GUER','MORBIHAN'),
('56380','MONTENEUF','MORBIHAN'),
('56380','PORCARO','MORBIHAN'),
('56380','ST MALO DE BEIGNON','MORBIHAN'),
('56380','COETQUIDAN BELLEVUE','MORBIHAN'),
('56390','BRANDIVY','MORBIHAN'),
('56390','COLPO','MORBIHAN'),
('56390','GRAND CHAMP','MORBIHAN'),
('56390','LOCMARIA GRAND CHAMP','MORBIHAN'),
('56390','LOCQUELTAS','MORBIHAN'),
('56400','AURAY','MORBIHAN'),
('56400','BRECH','MORBIHAN'),
('56400','PLOEMEL','MORBIHAN'),
('56400','PLOUGOUMELEN','MORBIHAN'),
('56400','PLUMERGAT','MORBIHAN'),
('56400','PLUNERET','MORBIHAN'),
('56400','BONO','MORBIHAN'),
('56400','STE ANNE D AURAY','MORBIHAN'),
('56410','ERDEVEN','MORBIHAN'),
('56410','ETEL','MORBIHAN'),
('56420','BILLIO','MORBIHAN'),
('56420','BULEON','MORBIHAN'),
('56420','CRUGUEL','MORBIHAN'),
('56420','GUEHENNO','MORBIHAN'),
('56420','PLAUDREN','MORBIHAN'),
('56420','PLUMELEC','MORBIHAN'),
('56430','BRIGNAC','MORBIHAN'),
('56430','CONCORET','MORBIHAN'),
('56430','MAURON','MORBIHAN'),
('56430','NEANT SUR YVEL','MORBIHAN'),
('56430','ST BRIEUC DE MAURON','MORBIHAN'),
('56430','ST LERY','MORBIHAN');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('56430','TREHORENTEUC','MORBIHAN'),
('56440','LANGUIDIC','MORBIHAN'),
('56450','LE HEZO','MORBIHAN'),
('56450','NOYALO','MORBIHAN'),
('56450','ST ARMEL','MORBIHAN'),
('56450','SURZUR','MORBIHAN'),
('56450','THEIX','MORBIHAN'),
('56460','LA CHAPELLE CARO','MORBIHAN'),
('56460','LIZIO','MORBIHAN'),
('56460','LE ROC ST ANDRE','MORBIHAN'),
('56460','ST GUYOMARD','MORBIHAN'),
('56460','SERENT','MORBIHAN'),
('56470','ST PHILIBERT','MORBIHAN'),
('56470','LA TRINITE SUR MER','MORBIHAN'),
('56480','CLEGUEREC','MORBIHAN'),
('56480','ST AIGNAN','MORBIHAN'),
('56480','STE BRIGITTE','MORBIHAN'),
('56480','SILFIAC','MORBIHAN'),
('56490','EVRIGUET','MORBIHAN'),
('56490','GUILLIERS','MORBIHAN'),
('56490','MENEAC','MORBIHAN'),
('56490','MOHON','MORBIHAN'),
('56490','ST MALO DES TROIS FONTAIN','MORBIHAN'),
('56500','BIGNAN','MORBIHAN'),
('56500','LA CHAPELLE NEUVE','MORBIHAN'),
('56500','LOCMINE','MORBIHAN'),
('56500','MOREAC','MORBIHAN'),
('56500','MOUSTOIR AC','MORBIHAN'),
('56500','MOUSTOIR REMUNGOL','MORBIHAN'),
('56500','NAIZIN','MORBIHAN'),
('56500','PLUMELIN','MORBIHAN'),
('56500','RADENAC','MORBIHAN'),
('56500','REGUINY','MORBIHAN'),
('56500','REMUNGOL','MORBIHAN'),
('56500','ST ALLOUESTRE','MORBIHAN'),
('56510','ST PIERRE QUIBERON','MORBIHAN'),
('56520','GUIDEL','MORBIHAN'),
('56530','QUEVEN','MORBIHAN'),
('56540','LE CROISTY','MORBIHAN'),
('56540','ST CARADEC TREGOMEL','MORBIHAN'),
('56540','ST TUGDUAL','MORBIHAN'),
('56540','KERNASCLEDEN','MORBIHAN'),
('56550','BELZ','MORBIHAN'),
('56550','LOCOAL MENDON','MORBIHAN'),
('56560','GUISCRIFF','MORBIHAN'),
('56570','LOCMIQUELIC','MORBIHAN'),
('56580','BREHAN','MORBIHAN'),
('56580','CREDIN','MORBIHAN'),
('56580','ROHAN','MORBIHAN'),
('56580','ST GOUVRY','MORBIHAN'),
('56580','ST SAMSON','MORBIHAN'),
('56590','GROIX','MORBIHAN'),
('56600','LANESTER','MORBIHAN'),
('56610','ARRADON','MORBIHAN'),
('56620','CLEGUER','MORBIHAN'),
('56620','PONT SCORFF','MORBIHAN'),
('56630','LANGONNET','MORBIHAN'),
('56640','ARZON','MORBIHAN'),
('56640','PORT NAVALO','MORBIHAN'),
('56650','INZINZAC LOCHRIST','MORBIHAN'),
('56660','ST JEAN BREVELAY','MORBIHAN'),
('56670','RIANTEC','MORBIHAN'),
('56680','PLOUHINEC','MORBIHAN'),
('56690','LANDAUL','MORBIHAN'),
('56690','LANDEVANT','MORBIHAN'),
('56690','NOSTANG','MORBIHAN'),
('56700','BRANDERION','MORBIHAN'),
('56700','HENNEBONT','MORBIHAN'),
('56700','KERVIGNAC','MORBIHAN'),
('56700','MERLEVENEZ','MORBIHAN'),
('56700','STE HELENE','MORBIHAN'),
('56710','LA TRINITE PORHOET','MORBIHAN'),
('56730','ST GILDAS DE RHUYS','MORBIHAN'),
('56740','LOCMARIAQUER','MORBIHAN'),
('56750','DAMGAN','MORBIHAN'),
('56760','PENESTIN','MORBIHAN'),
('56770','PLOURAY','MORBIHAN'),
('56780','ILE AUX MOINES','MORBIHAN'),
('56800','AUGAN','MORBIHAN'),
('56800','CAMPENEAC','MORBIHAN'),
('56800','GOURHEL','MORBIHAN'),
('56800','GUILLAC','MORBIHAN'),
('56800','LOYAT','MORBIHAN'),
('56800','MONTERREIN','MORBIHAN'),
('56800','MONTERTELOT','MORBIHAN'),
('56800','PLOERMEL','MORBIHAN'),
('56800','QUILY','MORBIHAN'),
('56800','TAUPONT','MORBIHAN'),
('56830','GESTEL','MORBIHAN'),
('56840','ILE D ARZ','MORBIHAN'),
('56850','CAUDAN','MORBIHAN'),
('56860','SENE','MORBIHAN'),
('56870','BADEN','MORBIHAN'),
('56870','LARMOR BADEN','MORBIHAN'),
('56880','PLOEREN','MORBIHAN'),
('56890','MEUCON','MORBIHAN'),
('56890','PLESCOP','MORBIHAN'),
('56890','ST AVE','MORBIHAN'),
('56910','CARENTOIR','MORBIHAN'),
('56910','QUELNEUC','MORBIHAN'),
('56910','ST NICOLAS DU TERTRE','MORBIHAN'),
('56920','CROIXANVEC','MORBIHAN'),
('56920','GUELTAS','MORBIHAN'),
('56920','KERFOURN','MORBIHAN'),
('56920','NOYAL PONTIVY','MORBIHAN'),
('56920','ST GERAND','MORBIHAN'),
('56920','ST GONNERY','MORBIHAN'),
('56930','PLUMELIAU','MORBIHAN'),
('56950','CRACH','MORBIHAN'),
('57000','METZ','MOSELLE'),
('57050','BAN ST MARTIN','MOSELLE'),
('57050','LONGEVILLE LES METZ','MOSELLE'),
('57050','LORRY LES METZ','MOSELLE'),
('57050','PLAPPEVILLE','MOSELLE'),
('57070','CHIEULLES','MOSELLE'),
('57070','MEY','MOSELLE'),
('57070','ST JULIEN LES METZ','MOSELLE'),
('57070','VANTOUX','MOSELLE'),
('57070','VANY','MOSELLE'),
('57100','GARCHE','MOSELLE'),
('57100','KOEKING','MOSELLE'),
('57100','MANOM','MOSELLE'),
('57100','OEUTRANGE','MOSELLE'),
('57100','THIONVILLE','MOSELLE'),
('57110','BUDLING','MOSELLE'),
('57110','ELZANGE','MOSELLE'),
('57110','BASSE HAM','MOSELLE'),
('57110','ILLANGE','MOSELLE'),
('57110','INGLANGE','MOSELLE'),
('57110','KOENIGSMACKER','MOSELLE'),
('57110','KUNTZIG','MOSELLE'),
('57110','OUDRENNE','MOSELLE'),
('57110','VALMESTROFF','MOSELLE'),
('57110','YUTZ','MOSELLE'),
('57110','STUCKANGE','MOSELLE'),
('57111','AMANVILLERS','MOSELLE'),
('57113','BOULANGE','MOSELLE'),
('57114','LAUDREFANG','MOSELLE'),
('57114','TETING SUR NIED','MOSELLE'),
('57114','TRITTELING','MOSELLE'),
('57115','SARREINSMING','MOSELLE'),
('57115','ZETTING','MOSELLE'),
('57116','BROUDERDORFF','MOSELLE'),
('57116','NIDERVILLER','MOSELLE'),
('57117','MONTOY FLANVILLE','MOSELLE'),
('57117','NOISSEVILLE','MOSELLE'),
('57117','NOUILLY','MOSELLE'),
('57117','RETONFEY','MOSELLE'),
('57118','STE MARIE AUX CHENES','MOSELLE'),
('57119','BROUVILLER','MOSELLE'),
('57119','FLEISHEIM','MOSELLE'),
('57119','HERANGE','MOSELLE'),
('57119','LIXHEIM','MOSELLE'),
('57119','VIEUX LIXHEIM','MOSELLE'),
('57119','WINTERSBOURG','MOSELLE'),
('57120','CLOUANGE','MOSELLE'),
('57120','PIERREVILLERS','MOSELLE'),
('57120','ROMBAS','MOSELLE'),
('57120','VITRY SUR ORNE','MOSELLE'),
('57124','ST PRIVAT LA MONTAGNE','MOSELLE'),
('57130','ANCY SUR MOSELLE','MOSELLE'),
('57130','ARS SUR MOSELLE','MOSELLE'),
('57130','DORNOT','MOSELLE'),
('57130','GRAVELOTTE','MOSELLE'),
('57130','JOUY AUX ARCHES','MOSELLE'),
('57130','JUSSY','MOSELLE'),
('57130','REZONVILLE','MOSELLE'),
('57130','STE RUFFINE','MOSELLE'),
('57130','VAUX','MOSELLE'),
('57130','VERNEVILLE','MOSELLE'),
('57130','VIONVILLE','MOSELLE'),
('57134','DISTROFF','MOSELLE'),
('57136','ERCHING','MOSELLE'),
('57136','RIMLING','MOSELLE'),
('57137','WITTRING','MOSELLE'),
('57140','LA MAXE','MOSELLE'),
('57140','NORROY LE VENEUR','MOSELLE'),
('57140','PLESNOIS','MOSELLE'),
('57140','SAULNY','MOSELLE'),
('57140','WOIPPY','MOSELLE'),
('57142','GONDREXANGE','MOSELLE'),
('57144','LUTTANGE','MOSELLE'),
('57145','WOUSTVILLER','MOSELLE'),
('57150','CREUTZWALD','MOSELLE'),
('57157','MARLY','MOSELLE'),
('57158','MONTIGNY LES METZ','MOSELLE'),
('57159','BRONVAUX','MOSELLE'),
('57159','MARANGE SILVANGE','MOSELLE'),
('57160','CHATEL ST GERMAIN','MOSELLE'),
('57160','LESSY','MOSELLE'),
('57160','MOULINS LES METZ','MOSELLE'),
('57160','ROZERIEULLES','MOSELLE'),
('57160','SCY CHAZELLES','MOSELLE'),
('57160','MOULINS ST PIERRE','MOSELLE'),
('57170','AMELECOURT','MOSELLE'),
('57170','ATTILLONCOURT','MOSELLE'),
('57170','BIONCOURT','MOSELLE'),
('57170','BURLIONCOURT','MOSELLE'),
('57170','CHAMBREY','MOSELLE'),
('57170','CHATEAU SALINS','MOSELLE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('57170','CHATEAU VOUE','MOSELLE'),
('57170','COUTURES','MOSELLE'),
('57170','DEDELING','MOSELLE'),
('57170','FRESNES EN SAULNOIS','MOSELLE'),
('57170','GERBECOURT','MOSELLE'),
('57170','GREMECEY','MOSELLE'),
('57170','HAMPONT','MOSELLE'),
('57170','LUBECOURT','MOSELLE'),
('57170','MORVILLE LES VIC','MOSELLE'),
('57170','OBRECK','MOSELLE'),
('57170','PETTONCOURT','MOSELLE'),
('57170','PUTTIGNY','MOSELLE'),
('57170','SALONNES','MOSELLE'),
('57170','SOTZELING','MOSELLE'),
('57170','VAXY','MOSELLE'),
('57170','WUISSE','MOSELLE'),
('57175','GANDRANGE','MOSELLE'),
('57176','AUGNY','MOSELLE'),
('57180','TERVILLE','MOSELLE'),
('57190','FLORANGE','MOSELLE'),
('57190','EBANGE','MOSELLE'),
('57200','BLIESBRUCK','MOSELLE'),
('57200','BLIES EBERSING','MOSELLE'),
('57200','BLIES GUERSVILLER','MOSELLE'),
('57200','FOLPERSVILLER','MOSELLE'),
('57200','FRAUENBERG','MOSELLE'),
('57200','REMELFING','MOSELLE'),
('57200','SARREGUEMINES','MOSELLE'),
('57200','WIESVILLER','MOSELLE'),
('57200','WOELFLING LES SARREGUEMIN','MOSELLE'),
('57210','FEVES','MOSELLE'),
('57210','HAUCONCOURT','MOSELLE'),
('57210','MAIZIERES LES METZ','MOSELLE'),
('57210','SEMECOURT','MOSELLE'),
('57220','BANNAY','MOSELLE'),
('57220','BETTANGE','MOSELLE'),
('57220','BIONVILLE SUR NIED','MOSELLE'),
('57220','BISTEN EN LORRAINE','MOSELLE'),
('57220','BOUCHEPORN','MOSELLE'),
('57220','BOULAY MOSELLE','MOSELLE'),
('57220','BROUCK','MOSELLE'),
('57220','BURTONCOURT','MOSELLE'),
('57220','CHARLEVILLE SOUS BOIS','MOSELLE'),
('57220','CONDE NORTHEN','MOSELLE'),
('57220','COUME','MOSELLE'),
('57220','DENTING','MOSELLE'),
('57220','EBLANGE','MOSELLE'),
('57220','FOULIGNY','MOSELLE'),
('57220','GOMELANGE','MOSELLE'),
('57220','GUINKIRCHEN','MOSELLE'),
('57220','GUIRLANGE','MOSELLE'),
('57220','HALLING LES BOULAY','MOSELLE'),
('57220','HELSTROFF','MOSELLE'),
('57220','HINCKANGE','MOSELLE'),
('57220','HOLLING','MOSELLE'),
('57220','LOUTREMANGE','MOSELLE'),
('57220','MEGANGE','MOSELLE'),
('57220','MOMERSTROFF','MOSELLE'),
('57220','NARBEFONTAINE','MOSELLE'),
('57220','NIEDERVISSE','MOSELLE'),
('57220','OBERVISSE','MOSELLE'),
('57220','OTTONVILLE','MOSELLE'),
('57220','PIBLANGE','MOSELLE'),
('57220','ROUPELDANGE','MOSELLE'),
('57220','ST BERNARD','MOSELLE'),
('57220','TETERCHEN','MOSELLE'),
('57220','VALMUNSTER','MOSELLE'),
('57220','VARIZE','MOSELLE'),
('57220','VAUDONCOURT','MOSELLE'),
('57220','VELVING','MOSELLE'),
('57220','VOLMERANGE LES BOULAY','MOSELLE'),
('57230','BAERENTHAL','MOSELLE'),
('57230','BITCHE','MOSELLE'),
('57230','BOUSSEVILLER','MOSELLE'),
('57230','EGUELSHARDT','MOSELLE'),
('57230','HANVILLER','MOSELLE'),
('57230','HASPELSCHIEDT','MOSELLE'),
('57230','LIEDERSCHIEDT','MOSELLE'),
('57230','PHILIPPSBOURG','MOSELLE'),
('57230','REYERSVILLER','MOSELLE'),
('57230','ROPPEVILLER','MOSELLE'),
('57230','SCHORBACH','MOSELLE'),
('57230','STURZELBRONN','MOSELLE'),
('57240','HAYANGE','MOSELLE'),
('57240','KNUTANGE','MOSELLE'),
('57240','NILVANGE','MOSELLE'),
('57245','CHESNY','MOSELLE'),
('57245','JURY','MOSELLE'),
('57245','MECLEUVES','MOSELLE'),
('57245','PELTRE','MOSELLE'),
('57250','MOYEUVRE GRANDE','MOSELLE'),
('57250','MOYEUVRE PETITE','MOSELLE'),
('57250','FROIDCUL','MOSELLE'),
('57260','BASSING','MOSELLE'),
('57260','BIDESTROFF','MOSELLE'),
('57260','BLANCHE EGLISE','MOSELLE'),
('57260','BOURGALTROFF','MOSELLE'),
('57260','CUTTING','MOSELLE'),
('57260','DIEUZE','MOSELLE'),
('57260','DOMNON LES DIEUZE','MOSELLE'),
('57260','GELUCOURT','MOSELLE'),
('57260','GUEBESTROFF','MOSELLE'),
('57260','GUEBLANGE LES DIEUZE','MOSELLE'),
('57260','GUEBLING','MOSELLE'),
('57260','VAL DE BRIDE','MOSELLE'),
('57260','KERPRICH LES DIEUZE','MOSELLE'),
('57260','LINDRE BASSE','MOSELLE'),
('57260','LINDRE HAUTE','MOSELLE'),
('57260','MULCEY','MOSELLE'),
('57260','RORBACH LES DIEUZE','MOSELLE'),
('57260','ST MEDARD','MOSELLE'),
('57260','TARQUIMPOL','MOSELLE'),
('57260','VERGAVILLE','MOSELLE'),
('57260','ZOMMANGE','MOSELLE'),
('57270','RICHEMONT','MOSELLE'),
('57270','UCKANGE','MOSELLE'),
('57290','FAMECK','MOSELLE'),
('57290','SEREMANGE ERZANGE','MOSELLE'),
('57290','OURY','MOSELLE'),
('57290','REMELANGE','MOSELLE'),
('57300','AY SUR MOSELLE','MOSELLE'),
('57300','HAGONDANGE','MOSELLE'),
('57300','MONDELANGE','MOSELLE'),
('57300','TREMERY','MOSELLE'),
('57310','BERTRANGE','MOSELLE'),
('57310','BOUSSE','MOSELLE'),
('57310','GUENANGE','MOSELLE'),
('57310','RURANGE LES THIONVILLE','MOSELLE'),
('57320','ALZING','MOSELLE'),
('57320','ANZELING','MOSELLE'),
('57320','BIBICHE','MOSELLE'),
('57320','BOUZONVILLE','MOSELLE'),
('57320','BRETTNACH','MOSELLE'),
('57320','CHATEAU ROUGE','MOSELLE'),
('57320','CHEMERY LES DEUX','MOSELLE'),
('57320','COLMEN','MOSELLE'),
('57320','DALSTEIN','MOSELLE'),
('57320','EBERSVILLER','MOSELLE'),
('57320','FILSTROFF','MOSELLE'),
('57320','FLASTROFF','MOSELLE'),
('57320','FREISTROFF','MOSELLE'),
('57320','GUERSTLING','MOSELLE'),
('57320','HEINING LES BOUZONVILLE','MOSELLE'),
('57320','HESTROFF','MOSELLE'),
('57320','MENSKIRCH','MOSELLE'),
('57320','NEUNKIRCHEN LES BOUZONVIL','MOSELLE'),
('57320','OBERDORFF','MOSELLE'),
('57320','REMELFANG','MOSELLE'),
('57320','ST FRANCOIS LA CROIX','MOSELLE'),
('57320','SCHWERDORFF','MOSELLE'),
('57320','TROMBORN','MOSELLE'),
('57320','VAUDRECHING','MOSELLE'),
('57320','WALDWEISTROFF','MOSELLE'),
('57320','VOELFLING LES BOUZONVILLE','MOSELLE'),
('57330','ENTRANGE','MOSELLE'),
('57330','ESCHERANGE','MOSELLE'),
('57330','HETTANGE GRANDE','MOSELLE'),
('57330','KANFEN','MOSELLE'),
('57330','ROUSSY LE VILLAGE','MOSELLE'),
('57330','VOLMERANGE LES MINES','MOSELLE'),
('57330','ZOUFFTGEN','MOSELLE'),
('57340','ACHAIN','MOSELLE'),
('57340','BARONVILLE','MOSELLE'),
('57340','BELLANGE','MOSELLE'),
('57340','BERMERING','MOSELLE'),
('57340','BREHAIN','MOSELLE'),
('57340','BRULANGE','MOSELLE'),
('57340','CHATEAU BREHAIN','MOSELLE'),
('57340','CONTHIL','MOSELLE'),
('57340','DALHAIN','MOSELLE'),
('57340','DESTRY','MOSELLE'),
('57340','EINCHEVILLE','MOSELLE'),
('57340','HABOUDANGE','MOSELLE'),
('57340','HARPRICH','MOSELLE'),
('57340','LANDROFF','MOSELLE'),
('57340','LIDREZING','MOSELLE'),
('57340','MARTHILLE','MOSELLE'),
('57340','MORHANGE','MOSELLE'),
('57340','PEVANGE','MOSELLE'),
('57340','RACRANGE','MOSELLE'),
('57340','RICHE','MOSELLE'),
('57340','RODALBE','MOSELLE'),
('57340','SUISSE','MOSELLE'),
('57340','VALLERANGE','MOSELLE'),
('57340','VANNECOURT','MOSELLE'),
('57340','VILLER','MOSELLE'),
('57340','VILLERS SUR NIED','MOSELLE'),
('57340','VIRMING','MOSELLE'),
('57340','ZARBELING','MOSELLE'),
('57350','SCHOENECK','MOSELLE'),
('57350','SPICHEREN','MOSELLE'),
('57350','STIRING WENDEL','MOSELLE'),
('57350','LA BREME','MOSELLE'),
('57350','HABSTERDICK','MOSELLE'),
('57350','VERRERIE SOPHIE','MOSELLE'),
('57360','AMNEVILLE','MOSELLE'),
('57365','CHAILLY LES ENNERY','MOSELLE'),
('57365','ENNERY','MOSELLE'),
('57365','FLEVY','MOSELLE'),
('57370','BERLING','MOSELLE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('57370','BICKENHOLTZ','MOSELLE'),
('57370','BOURSCHEID','MOSELLE'),
('57370','DANNE ET QUATRE VENTS','MOSELLE'),
('57370','HANGVILLER','MOSELLE'),
('57370','METTING','MOSELLE'),
('57370','MITTELBRONN','MOSELLE'),
('57370','PHALSBOURG','MOSELLE'),
('57370','ST JEAN KOURTZERODE','MOSELLE'),
('57370','SCHALBACH','MOSELLE'),
('57370','VECKERSVILLER','MOSELLE'),
('57370','VESCHEIM','MOSELLE'),
('57370','VILSBERG','MOSELLE'),
('57370','WALTEMBOURG','MOSELLE'),
('57370','ZILLING','MOSELLE'),
('57380','ADELANGE','MOSELLE'),
('57380','ARRAINCOURT','MOSELLE'),
('57380','BOUSTROFF','MOSELLE'),
('57380','CHEMERY','MOSELLE'),
('57380','FAULQUEMONT','MOSELLE'),
('57380','GUESSLING HEMERING','MOSELLE'),
('57380','HOLACOURT','MOSELLE'),
('57380','MAINVILLERS','MOSELLE'),
('57380','MANY','MOSELLE'),
('57380','PONTPIERRE','MOSELLE'),
('57380','THICOURT','MOSELLE'),
('57380','THONVILLE','MOSELLE'),
('57380','VAHL LES FAULQUEMONT','MOSELLE'),
('57390','AUDUN LE TICHE','MOSELLE'),
('57390','REDANGE','MOSELLE'),
('57390','RUSSANGE','MOSELLE'),
('57400','ARZVILLER','MOSELLE'),
('57400','BUHL LORRAINE','MOSELLE'),
('57400','DOLVING','MOSELLE'),
('57400','GUNTZVILLER','MOSELLE'),
('57400','HAUT CLOCHER','MOSELLE'),
('57400','HESSE','MOSELLE'),
('57400','HILBESHEIM','MOSELLE'),
('57400','HOMMARTING','MOSELLE'),
('57400','IMLING','MOSELLE'),
('57400','LANGATTE','MOSELLE'),
('57400','SARRALTROFF','MOSELLE'),
('57400','SARREBOURG','MOSELLE'),
('57400','SCHNECKENBUSCH','MOSELLE'),
('57410','ACHEN','MOSELLE'),
('57410','BETTVILLER','MOSELLE'),
('57410','BINING','MOSELLE'),
('57410','ENCHENBERG','MOSELLE'),
('57410','ETTING','MOSELLE'),
('57410','GROS REDERCHING','MOSELLE'),
('57410','KALHAUSEN','MOSELLE'),
('57410','LAMBACH','MOSELLE'),
('57410','MONTBRONN','MOSELLE'),
('57410','PETIT REDERCHING','MOSELLE'),
('57410','RAHLING','MOSELLE'),
('57410','ROHRBACH LES BITCHE','MOSELLE'),
('57410','SCHMITTVILLER','MOSELLE'),
('57410','SIERSTHAL','MOSELLE'),
('57420','BUCHY','MOSELLE'),
('57420','CHEMINOT','MOSELLE'),
('57420','CHERISEY','MOSELLE'),
('57420','COIN LES CUVRY','MOSELLE'),
('57420','COIN SUR SEILLE','MOSELLE'),
('57420','CUVRY','MOSELLE'),
('57420','FEY','MOSELLE'),
('57420','FLEURY','MOSELLE'),
('57420','FOVILLE','MOSELLE'),
('57420','GOIN','MOSELLE'),
('57420','LIEHON','MOSELLE'),
('57420','LORRY MARDIGNY','MOSELLE'),
('57420','LOUVIGNY','MOSELLE'),
('57420','MARIEULLES','MOSELLE'),
('57420','MONCHEUX','MOSELLE'),
('57420','ORNY','MOSELLE'),
('57420','PAGNY LES GOIN','MOSELLE'),
('57420','POMMERIEUX','MOSELLE'),
('57420','PONTOY','MOSELLE'),
('57420','POUILLY','MOSELLE'),
('57420','POURNOY LA CHETIVE','MOSELLE'),
('57420','POURNOY LA GRASSE','MOSELLE'),
('57420','SAILLY ACHATEL','MOSELLE'),
('57420','ST JURE','MOSELLE'),
('57420','SECOURT','MOSELLE'),
('57420','SILLEGNY','MOSELLE'),
('57420','SILLY EN SAULNOIS','MOSELLE'),
('57420','SOLGNE','MOSELLE'),
('57420','VERNY','MOSELLE'),
('57420','VIGNY','MOSELLE'),
('57420','VULMONT','MOSELLE'),
('57430','LE VAL DE GUEBLANGE','MOSELLE'),
('57430','HAZEMBOURG','MOSELLE'),
('57430','KAPPELKINGER','MOSELLE'),
('57430','KIRVILLER','MOSELLE'),
('57430','SARRALBE','MOSELLE'),
('57430','WILLERWALD','MOSELLE'),
('57440','ALGRANGE','MOSELLE'),
('57440','ANGEVILLERS','MOSELLE'),
('57444','REDING','MOSELLE'),
('57450','BARST','MOSELLE'),
('57450','CAPPEL','MOSELLE'),
('57450','FAREBERSVILLER','MOSELLE'),
('57450','FARSCHVILLER','MOSELLE'),
('57450','HENRIVILLE','MOSELLE'),
('57450','SEINGBOUSE','MOSELLE'),
('57450','THEDING','MOSELLE'),
('57460','BEHREN LES FORBACH','MOSELLE'),
('57460','BOUSBACH','MOSELLE'),
('57460','ETZLING','MOSELLE'),
('57460','KERBACH','MOSELLE'),
('57470','GUENVILLER','MOSELLE'),
('57470','HOMBOURG HAUT','MOSELLE'),
('57480','APACH','MOSELLE'),
('57480','CONTZ LES BAINS','MOSELLE'),
('57480','GRINDORFF','MOSELLE'),
('57480','HALSTROFF','MOSELLE'),
('57480','HUNTING','MOSELLE'),
('57480','KERLING LES SIERCK','MOSELLE'),
('57480','KIRSCH LES SIERCK','MOSELLE'),
('57480','KIRSCHNAUMEN','MOSELLE'),
('57480','HAUTE KONTZ','MOSELLE'),
('57480','LAUMESFELD','MOSELLE'),
('57480','LAUNSTROFF','MOSELLE'),
('57480','MALLING','MOSELLE'),
('57480','MANDEREN','MOSELLE'),
('57480','MERSCHWEILLER','MOSELLE'),
('57480','MONTENACH','MOSELLE'),
('57480','REMELING','MOSELLE'),
('57480','RETTEL','MOSELLE'),
('57480','RITZING','MOSELLE'),
('57480','RUSTROFF','MOSELLE'),
('57480','SIERCK LES BAINS','MOSELLE'),
('57480','WALDWISSE','MOSELLE'),
('57490','CARLING','MOSELLE'),
('57490','L HOPITAL','MOSELLE'),
('57500','ST AVOLD','MOSELLE'),
('57510','ERNESTVILLER','MOSELLE'),
('57510','GRUNDVILLER','MOSELLE'),
('57510','GUEBENHOUSE','MOSELLE'),
('57510','HILSPRICH','MOSELLE'),
('57510','HOLVING','MOSELLE'),
('57510','HOSTE','MOSELLE'),
('57510','LOUPERSHOUSE','MOSELLE'),
('57510','PUTTELANGE AUX LACS','MOSELLE'),
('57510','REMERING LES PUTTELANGE','MOSELLE'),
('57510','RICHELING','MOSELLE'),
('57510','ST JEAN ROHRBACH','MOSELLE'),
('57520','ALSTING','MOSELLE'),
('57520','GROSBLIEDERSTROFF','MOSELLE'),
('57520','LIXING LES ROUHLING','MOSELLE'),
('57520','ROUHLING','MOSELLE'),
('57525','TALANGE','MOSELLE'),
('57530','ARS LAQUENEXY','MOSELLE'),
('57530','BAZONCOURT','MOSELLE'),
('57530','COINCY','MOSELLE'),
('57530','COLLIGNY','MOSELLE'),
('57530','COURCELLES CHAUSSY','MOSELLE'),
('57530','COURCELLES SUR NIED','MOSELLE'),
('57530','LES ETANGS','MOSELLE'),
('57530','GLATIGNY','MOSELLE'),
('57530','HAYES','MOSELLE'),
('57530','LANDONVILLERS','MOSELLE'),
('57530','LAQUENEXY','MOSELLE'),
('57530','MAIZEROY','MOSELLE'),
('57530','MAIZERY','MOSELLE'),
('57530','MARSILLY','MOSELLE'),
('57530','OGY','MOSELLE'),
('57530','PANGE','MOSELLE'),
('57530','RAVILLE','MOSELLE'),
('57530','SANRY SUR NIED','MOSELLE'),
('57530','SERVIGNY LES RAVILLE','MOSELLE'),
('57530','SILLY SUR NIED','MOSELLE'),
('57530','VILLERS STONCOURT','MOSELLE'),
('57540','PETITE ROSSELLE','MOSELLE'),
('57550','BERVILLER EN MOSELLE','MOSELLE'),
('57550','DALEM','MOSELLE'),
('57550','FALCK','MOSELLE'),
('57550','HARGARTEN AUX MINES','MOSELLE'),
('57550','MERTEN','MOSELLE'),
('57550','REMERING','MOSELLE'),
('57550','VILLING','MOSELLE'),
('57560','ABRESCHVILLER','MOSELLE'),
('57560','LAFRIMBOLLE','MOSELLE'),
('57560','METAIRIES ST QUIRIN','MOSELLE'),
('57560','NIDERHOFF','MOSELLE'),
('57560','ST QUIRIN','MOSELLE'),
('57560','TURQUESTEIN BLANSCRUPT','MOSELLE'),
('57560','VASPERVILLER','MOSELLE'),
('57560','VOYER','MOSELLE'),
('57570','BERG SUR MOSELLE','MOSELLE'),
('57570','BEYREN LES SIERCK','MOSELLE'),
('57570','BOUST','MOSELLE'),
('57570','BREISTROFF LA GRANDE','MOSELLE'),
('57570','CATTENOM','MOSELLE'),
('57570','EVRANGE','MOSELLE'),
('57570','FIXEM','MOSELLE'),
('57570','GAVISSE','MOSELLE'),
('57570','HAGEN','MOSELLE'),
('57570','MONDORFF','MOSELLE'),
('57570','PUTTELANGE LES THIONVILLE','MOSELLE'),
('57570','BASSE RENTGEN','MOSELLE'),
('57570','RODEMACK','MOSELLE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('57580','ADAINCOURT','MOSELLE'),
('57580','ANCERVILLE','MOSELLE'),
('57580','ARRIANCE','MOSELLE'),
('57580','AUBE','MOSELLE'),
('57580','BAUDRECOURT','MOSELLE'),
('57580','BECHY','MOSELLE'),
('57580','BEUX','MOSELLE'),
('57580','CHANVILLE','MOSELLE'),
('57580','CHENOIS','MOSELLE'),
('57580','FLOCOURT','MOSELLE'),
('57580','HAN SUR NIED','MOSELLE'),
('57580','HERNY','MOSELLE'),
('57580','LEMUD','MOSELLE'),
('57580','LESSE','MOSELLE'),
('57580','LUPPY','MOSELLE'),
('57580','REMILLY','MOSELLE'),
('57580','ST EPVRE','MOSELLE'),
('57580','SORBEY','MOSELLE'),
('57580','THIMONVILLE','MOSELLE'),
('57580','TRAGNY','MOSELLE'),
('57580','VATIMONT','MOSELLE'),
('57580','VITTONCOURT','MOSELLE'),
('57580','VOIMHAUT','MOSELLE'),
('57590','ABONCOURT SUR SEILLE','MOSELLE'),
('57590','AJONCOURT','MOSELLE'),
('57590','ALAINCOURT LA COTE','MOSELLE'),
('57590','AULNOIS SUR SEILLE','MOSELLE'),
('57590','BACOURT','MOSELLE'),
('57590','CHICOURT','MOSELLE'),
('57590','CRAINCOURT','MOSELLE'),
('57590','DELME','MOSELLE'),
('57590','DONJEUX','MOSELLE'),
('57590','FONTENY','MOSELLE'),
('57590','FOSSIEUX','MOSELLE'),
('57590','FREMERY','MOSELLE'),
('57590','HANNOCOURT','MOSELLE'),
('57590','JALLAUCOURT','MOSELLE'),
('57590','JUVILLE','MOSELLE'),
('57590','LANEUVEVILLE EN SAULNOIS','MOSELLE'),
('57590','LEMONCOURT','MOSELLE'),
('57590','LIOCOURT','MOSELLE'),
('57590','LUCY','MOSELLE'),
('57590','MALAUCOURT SUR SEILLE','MOSELLE'),
('57590','MANHOUE','MOSELLE'),
('57590','MORVILLE SUR NIED','MOSELLE'),
('57590','ORIOCOURT','MOSELLE'),
('57590','ORON','MOSELLE'),
('57590','PREVOCOURT','MOSELLE'),
('57590','PUZIEUX','MOSELLE'),
('57590','TINCRY','MOSELLE'),
('57590','VIVIERS','MOSELLE'),
('57590','XOCOURT','MOSELLE'),
('57600','FOLKLING','MOSELLE'),
('57600','FORBACH','MOSELLE'),
('57600','MORSBACH','MOSELLE'),
('57600','OETING','MOSELLE'),
('57600','KREUTZBERG','MOSELLE'),
('57600','MARIENAU','MOSELLE'),
('57620','GOETZENBRUCK','MOSELLE'),
('57620','LEMBERG','MOSELLE'),
('57620','MOUTERHOUSE','MOSELLE'),
('57620','ST LOUIS LES BITCHE','MOSELLE'),
('57620','SARREINSBERG','MOSELLE'),
('57630','BEZANGE LA PETITE','MOSELLE'),
('57630','HARAUCOURT SUR SEILLE','MOSELLE'),
('57630','JUVELIZE','MOSELLE'),
('57630','LEZEY','MOSELLE'),
('57630','MARSAL','MOSELLE'),
('57630','MOYENVIC','MOSELLE'),
('57630','VIC SUR SEILLE','MOSELLE'),
('57630','XANREY','MOSELLE'),
('57640','ANTILLY','MOSELLE'),
('57640','ARGANCY','MOSELLE'),
('57640','BETTELAINVILLE','MOSELLE'),
('57640','CHARLY ORADOUR','MOSELLE'),
('57640','FAILLY','MOSELLE'),
('57640','MALROY','MOSELLE'),
('57640','STE BARBE','MOSELLE'),
('57640','ST HUBERT','MOSELLE'),
('57640','SANRY LES VIGY','MOSELLE'),
('57640','SERVIGNY LES STE BARBE','MOSELLE'),
('57640','VIGY','MOSELLE'),
('57640','VREMY','MOSELLE'),
('57640','VRY','MOSELLE'),
('57650','FONTOY','MOSELLE'),
('57650','HAVANGE','MOSELLE'),
('57650','LOMMERANGE','MOSELLE'),
('57660','ALTRIPPE','MOSELLE'),
('57660','BERIG VINTRANGE','MOSELLE'),
('57660','BIDING','MOSELLE'),
('57660','BISTROFF','MOSELLE'),
('57660','DIFFEMBACH LES HELLIMER','MOSELLE'),
('57660','ERSTROFF','MOSELLE'),
('57660','FREMESTROFF','MOSELLE'),
('57660','FREYBOUSE','MOSELLE'),
('57660','GRENING','MOSELLE'),
('57660','GROSTENQUIN','MOSELLE'),
('57660','HELLIMER','MOSELLE'),
('57660','LANING','MOSELLE'),
('57660','LELLING','MOSELLE'),
('57660','LEYVILLER','MOSELLE'),
('57660','LIXING LES ST AVOLD','MOSELLE'),
('57660','MAXSTADT','MOSELLE'),
('57660','PETIT TENQUIN','MOSELLE'),
('57660','VAHL EBERSING','MOSELLE'),
('57670','ALBESTROFF','MOSELLE'),
('57670','BENESTROFF','MOSELLE'),
('57670','FRANCALTROFF','MOSELLE'),
('57670','GIVRYCOURT','MOSELLE'),
('57670','GUINZELING','MOSELLE'),
('57670','HONSKIRCH','MOSELLE'),
('57670','INSMING','MOSELLE'),
('57670','INSVILLER','MOSELLE'),
('57670','LENING','MOSELLE'),
('57670','LHOR','MOSELLE'),
('57670','LOSTROFF','MOSELLE'),
('57670','LOUDREFING','MOSELLE'),
('57670','MARIMONT LES BENESTROFF','MOSELLE'),
('57670','MOLRING','MOSELLE'),
('57670','MONTDIDIER','MOSELLE'),
('57670','MUNSTER','MOSELLE'),
('57670','NEBING','MOSELLE'),
('57670','NELLING','MOSELLE'),
('57670','NEUFVILLAGE','MOSELLE'),
('57670','RENING','MOSELLE'),
('57670','TORCHEVILLE','MOSELLE'),
('57670','VAHL LES BENESTROFF','MOSELLE'),
('57670','VIBERSVILLER','MOSELLE'),
('57670','VITTERSBOURG','MOSELLE'),
('57680','ARRY','MOSELLE'),
('57680','CORNY SUR MOSELLE','MOSELLE'),
('57680','GORZE','MOSELLE'),
('57680','NOVEANT SUR MOSELLE','MOSELLE'),
('57690','BAMBIDERSTROFF','MOSELLE'),
('57690','CREHANGE','MOSELLE'),
('57690','ELVANGE','MOSELLE'),
('57690','FLETRANGE','MOSELLE'),
('57690','GUINGLANGE','MOSELLE'),
('57690','HALLERING','MOSELLE'),
('57690','HEMILLY','MOSELLE'),
('57690','MARANGE ZONDRANGE','MOSELLE'),
('57690','HAUTE VIGNEULLES','MOSELLE'),
('57690','ZIMMING','MOSELLE'),
('57700','MARSPICH','MOSELLE'),
('57700','NEUFCHEF','MOSELLE'),
('57700','RANGUEVAUX','MOSELLE'),
('57700','ST NICOLAS EN FORET','MOSELLE'),
('57710','AUMETZ','MOSELLE'),
('57710','TRESSANGE','MOSELLE'),
('57710','BURE','MOSELLE'),
('57720','BREIDENBACH','MOSELLE'),
('57720','EPPING','MOSELLE'),
('57720','HOTTVILLER','MOSELLE'),
('57720','LENGELSHEIM','MOSELLE'),
('57720','LOUTZVILLER','MOSELLE'),
('57720','NOUSSEVILLER LES BITCHE','MOSELLE'),
('57720','OBERGAILBACH','MOSELLE'),
('57720','ORMERSVILLER','MOSELLE'),
('57720','ROLBING','MOSELLE'),
('57720','SCHWEYEN','MOSELLE'),
('57720','VOLMUNSTER','MOSELLE'),
('57720','WALDHOUSE','MOSELLE'),
('57720','WALSCHBRONN','MOSELLE'),
('57730','ALTVILLER','MOSELLE'),
('57730','FOLSCHVILLER','MOSELLE'),
('57730','LACHAMBRE','MOSELLE'),
('57730','MACHEREN','MOSELLE'),
('57730','VALMONT','MOSELLE'),
('57730','PETIT EBERSVILLER','MOSELLE'),
('57740','LONGEVILLE LES ST AVOLD','MOSELLE'),
('57770','MOUSSEY','MOSELLE'),
('57780','ROSSELANGE','MOSELLE'),
('57790','ASPACH','MOSELLE'),
('57790','FRAQUELFING','MOSELLE'),
('57790','HATTIGNY','MOSELLE'),
('57790','HERMELANGE','MOSELLE'),
('57790','LANEUVEVILLE LES LORQUIN','MOSELLE'),
('57790','LORQUIN','MOSELLE'),
('57790','NITTING','MOSELLE'),
('57800','BENING LES ST AVOLD','MOSELLE'),
('57800','BETTING LES ST AVOLD','MOSELLE'),
('57800','COCHEREN','MOSELLE'),
('57800','FREYMING MERLEBACH','MOSELLE'),
('57800','MERLEBACH','MOSELLE'),
('57800','ROSBRUCK','MOSELLE'),
('57800','BELLE ROCHE','MOSELLE'),
('57810','ASSENONCOURT','MOSELLE'),
('57810','AVRICOURT','MOSELLE'),
('57810','AZOUDANGE','MOSELLE'),
('57810','BOURDONNAY','MOSELLE'),
('57810','DONNELAY','MOSELLE'),
('57810','FRIBOURG','MOSELLE'),
('57810','GUERMANGE','MOSELLE'),
('57810','LAGARDE','MOSELLE'),
('57810','LANGUIMBERG','MOSELLE'),
('57810','LEY','MOSELLE'),
('57810','MAIZIERES LES VIC','MOSELLE'),
('57810','MONCOURT','MOSELLE'),
('57810','OMMERAY','MOSELLE'),
('57810','RECHICOURT LE CHATEAU','MOSELLE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('57810','RHODES','MOSELLE'),
('57820','DANNELBOURG','MOSELLE'),
('57820','GARREBOURG','MOSELLE'),
('57820','HENRIDORFF','MOSELLE'),
('57820','HULTEHOUSE','MOSELLE'),
('57820','LUTZELBOURG','MOSELLE'),
('57820','ST LOUIS','MOSELLE'),
('57830','BARCHAIN','MOSELLE'),
('57830','BEBING','MOSELLE'),
('57830','DIANE CAPELLE','MOSELLE'),
('57830','FOULCREY','MOSELLE'),
('57830','HEMING','MOSELLE'),
('57830','HERTZING','MOSELLE'),
('57830','IBIGNY','MOSELLE'),
('57830','KERPRICH AUX BOIS','MOSELLE'),
('57830','LANDANGE','MOSELLE'),
('57830','NEUFMOULINS','MOSELLE'),
('57830','RICHEVAL','MOSELLE'),
('57830','ST GEORGES','MOSELLE'),
('57830','XOUAXANGE','MOSELLE'),
('57840','OTTANGE','MOSELLE'),
('57840','ROCHONVILLERS','MOSELLE'),
('57850','DABO','MOSELLE'),
('57850','HASELBOURG','MOSELLE'),
('57850','SCHAEFERHOF','MOSELLE'),
('57860','MALANCOURT LA MONTAGNE','MOSELLE'),
('57860','MONTOIS LA MONTAGNE','MOSELLE'),
('57860','RONCOURT','MOSELLE'),
('57870','HARREBERG','MOSELLE'),
('57870','HARTZVILLER','MOSELLE'),
('57870','HOMMERT','MOSELLE'),
('57870','PLAINE DE WALSH','MOSELLE'),
('57870','TROISFONTAINES','MOSELLE'),
('57870','WALSCHEID','MOSELLE'),
('57870','VALLERYSTHAL','MOSELLE'),
('57880','GUERTING','MOSELLE'),
('57880','HAM SOUS VARSBERG','MOSELLE'),
('57880','VARSBERG','MOSELLE'),
('57890','PORCELETTE','MOSELLE'),
('57890','DIESEN','MOSELLE'),
('57910','HAMBACH','MOSELLE'),
('57910','NEUFGRANGE','MOSELLE'),
('57920','ABONCOURT','MOSELLE'),
('57920','BUDING','MOSELLE'),
('57920','HOMBOURG BUDANGE','MOSELLE'),
('57920','KEDANGE SUR CANNER','MOSELLE'),
('57920','KEMPLICH','MOSELLE'),
('57920','KLANG','MOSELLE'),
('57920','METZERESCHE','MOSELLE'),
('57920','MONNEREN','MOSELLE'),
('57920','VECKRING','MOSELLE'),
('57930','ANGVILLER LES BISPING','MOSELLE'),
('57930','BERTHELMING','MOSELLE'),
('57930','BETTBORN','MOSELLE'),
('57930','BELLES FORETS','MOSELLE'),
('57930','DESSELING','MOSELLE'),
('57930','FENETRANGE','MOSELLE'),
('57930','GOSSELMING','MOSELLE'),
('57930','HELLERING LES FENETRANGE','MOSELLE'),
('57930','MITTERSHEIM','MOSELLE'),
('57930','NIEDERSTINZEL','MOSELLE'),
('57930','OBERSTINZEL','MOSELLE'),
('57930','POSTROFF','MOSELLE'),
('57930','ROMELFING','MOSELLE'),
('57930','ST JEAN DE BASSEL','MOSELLE'),
('57930','BISPING','MOSELLE'),
('57940','METZERVISSE','MOSELLE'),
('57940','VOLSTROFF','MOSELLE'),
('57960','MEISENTHAL','MOSELLE'),
('57960','SOUCHT','MOSELLE'),
('57980','DIEBLING','MOSELLE'),
('57980','METZING','MOSELLE'),
('57980','TENTELING','MOSELLE'),
('57990','HUNDLING','MOSELLE'),
('57990','IPPLING','MOSELLE'),
('57990','NOUSSEVILLER ST NABOR','MOSELLE'),
('58000','CHALLUY','NIEVRE'),
('58000','NEVERS','NIEVRE'),
('58000','ST ELOI','NIEVRE'),
('58000','SERMOISE SUR LOIRE','NIEVRE'),
('58000','PLAGNY','NIEVRE'),
('58110','ACHUN','NIEVRE'),
('58110','ALLUY','NIEVRE'),
('58110','AUNAY EN BAZOIS','NIEVRE'),
('58110','BAZOLLES','NIEVRE'),
('58110','BICHES','NIEVRE'),
('58110','BRINAY','NIEVRE'),
('58110','CHATILLON EN BAZOIS','NIEVRE'),
('58110','CHOUGNY','NIEVRE'),
('58110','DUN SUR GRANDRY','NIEVRE'),
('58110','MONTAPAS','NIEVRE'),
('58110','MONT ET MARRE','NIEVRE'),
('58110','OUGNY','NIEVRE'),
('58110','ROUY','NIEVRE'),
('58110','ST PEREUSE','NIEVRE'),
('58110','TAMNAY EN BAZOIS','NIEVRE'),
('58110','TINTURY','NIEVRE'),
('58110','BAYE','NIEVRE'),
('58120','BLISMES','NIEVRE'),
('58120','CHATEAU CHINON VILLE','NIEVRE'),
('58120','CHATEAU CHINON CAMPAGNE','NIEVRE'),
('58120','CHATIN','NIEVRE'),
('58120','CHAUMARD','NIEVRE'),
('58120','CORANCY','NIEVRE'),
('58120','DOMMARTIN','NIEVRE'),
('58120','MONTIGNY EN MORVAN','NIEVRE'),
('58120','ST HILAIRE EN MORVAN','NIEVRE'),
('58120','ST LEGER DE FOUGERET','NIEVRE'),
('58130','BALLERAY','NIEVRE'),
('58130','GUERIGNY','NIEVRE'),
('58130','MONTIGNY AUX AMOGNES','NIEVRE'),
('58130','OUROUER','NIEVRE'),
('58130','POISEUX','NIEVRE'),
('58130','ST AUBIN LES FORGES','NIEVRE'),
('58130','ST MARTIN D HEUILLE','NIEVRE'),
('58130','URZY','NIEVRE'),
('58140','BRASSY','NIEVRE'),
('58140','CHALAUX','NIEVRE'),
('58140','EMPURY','NIEVRE'),
('58140','GACOGNE','NIEVRE'),
('58140','LORMES','NIEVRE'),
('58140','MARIGNY L EGLISE','NIEVRE'),
('58140','MHERE','NIEVRE'),
('58140','POUQUES LORMES','NIEVRE'),
('58140','ST ANDRE EN MORVAN','NIEVRE'),
('58140','ST MARTIN DU PUY','NIEVRE'),
('58140','VAUCLAIX','NIEVRE'),
('58150','GARCHY','NIEVRE'),
('58150','POUILLY SUR LOIRE','NIEVRE'),
('58150','ST ANDELAIN','NIEVRE'),
('58150','ST LAURENT','NIEVRE'),
('58150','ST MARTIN SUR NOHAIN','NIEVRE'),
('58150','ST QUENTIN SUR NOHAIN','NIEVRE'),
('58150','SUILLY LA TOUR','NIEVRE'),
('58150','TRACY SUR LOIRE','NIEVRE'),
('58150','VIELMANAY','NIEVRE'),
('58150','BOISGIBAULT','NIEVRE'),
('58150','MAIZIERES','NIEVRE'),
('58160','BEARD','NIEVRE'),
('58160','CHEVENON','NIEVRE'),
('58160','DRUY PARIGNY','NIEVRE'),
('58160','LA FERMETE','NIEVRE'),
('58160','IMPHY','NIEVRE'),
('58160','ST OUEN SUR LOIRE','NIEVRE'),
('58160','SAUVIGNY LES BOIS','NIEVRE'),
('58160','FORGES','NIEVRE'),
('58170','AVREE','NIEVRE'),
('58170','CHIDDES','NIEVRE'),
('58170','FLETY','NIEVRE'),
('58170','LUZY','NIEVRE'),
('58170','MILLAY','NIEVRE'),
('58170','POIL','NIEVRE'),
('58170','SAVIGNY POIL FOL','NIEVRE'),
('58170','TAZILLY','NIEVRE'),
('58180','MARZY','NIEVRE'),
('58180','CORCELLES','NIEVRE'),
('58190','AMAZY','NIEVRE'),
('58190','ASNOIS','NIEVRE'),
('58190','BAZOCHES','NIEVRE'),
('58190','DIROL','NIEVRE'),
('58190','FLEZ CUZY','NIEVRE'),
('58190','LYS','NIEVRE'),
('58190','LA MAISON DIEU','NIEVRE'),
('58190','METZ LE COMTE','NIEVRE'),
('58190','MOISSY MOULINOT','NIEVRE'),
('58190','MONCEAUX LE COMTE','NIEVRE'),
('58190','NEUFFONTAINES','NIEVRE'),
('58190','NUARS','NIEVRE'),
('58190','RUAGES','NIEVRE'),
('58190','ST AUBIN DES CHAUMES','NIEVRE'),
('58190','ST DIDIER','NIEVRE'),
('58190','SAIZY','NIEVRE'),
('58190','TALON','NIEVRE'),
('58190','TANNAY','NIEVRE'),
('58190','TEIGNY','NIEVRE'),
('58190','VIGNOL','NIEVRE'),
('58200','ALLIGNY COSNE','NIEVRE'),
('58200','COSNE COURS SUR LOIRE','NIEVRE'),
('58200','COURS','NIEVRE'),
('58200','POUGNY','NIEVRE'),
('58200','ST LOUP','NIEVRE'),
('58200','ST PERE','NIEVRE'),
('58210','BEUVRON','NIEVRE'),
('58210','CHAMPLEMY','NIEVRE'),
('58210','LA CHAPELLE ST ANDRE','NIEVRE'),
('58210','CORVOL D EMBERNARD','NIEVRE'),
('58210','COURCELLES','NIEVRE'),
('58210','CUNCY LES VARZY','NIEVRE'),
('58210','MARCY','NIEVRE'),
('58210','MENOU','NIEVRE'),
('58210','OUDAN','NIEVRE'),
('58210','PARIGNY LA ROSE','NIEVRE'),
('58210','ST GERMAIN DES BOIS','NIEVRE'),
('58210','ST PIERRE DU MONT','NIEVRE'),
('58210','VARZY','NIEVRE'),
('58210','VILLIERS LE SEC','NIEVRE'),
('58220','CESSY LES BOIS','NIEVRE'),
('58220','CIEZ','NIEVRE'),
('58220','COULOUTRE','NIEVRE'),
('58220','DONZY','NIEVRE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('58220','PERROY','NIEVRE'),
('58220','STE COLOMBE DES BOIS','NIEVRE'),
('58230','ALLIGNY EN MORVAN','NIEVRE'),
('58230','DUN LES PLACES','NIEVRE'),
('58230','GIEN SUR CURE','NIEVRE'),
('58230','GOULOUX','NIEVRE'),
('58230','LAVAULT DE FRETOY','NIEVRE'),
('58230','MONTSAUCHE LES SETTONS','NIEVRE'),
('58230','MOUX EN MORVAN','NIEVRE'),
('58230','OUROUX EN MORVAN','NIEVRE'),
('58230','PLANCHEZ','NIEVRE'),
('58230','ST AGNAN','NIEVRE'),
('58230','ST BRISSON','NIEVRE'),
('58230','LES SETTONS','NIEVRE'),
('58240','AZY LE VIF','NIEVRE'),
('58240','CHANTENAY ST IMBERT','NIEVRE'),
('58240','FLEURY SUR LOIRE','NIEVRE'),
('58240','LANGERON','NIEVRE'),
('58240','LIVRY','NIEVRE'),
('58240','LUTHENAY UXELOUP','NIEVRE'),
('58240','MARS SUR ALLIER','NIEVRE'),
('58240','ST PIERRE LE MOUTIER','NIEVRE'),
('58240','TOURY SUR JOUR','NIEVRE'),
('58240','TRESNAY','NIEVRE'),
('58240','ST IMBERT','NIEVRE'),
('58250','FOURS','NIEVRE'),
('58250','LANTY','NIEVRE'),
('58250','MONTAMBERT','NIEVRE'),
('58250','MONTARON','NIEVRE'),
('58250','LA NOCLE MAULAIX','NIEVRE'),
('58250','REMILLY','NIEVRE'),
('58250','ST SEINE','NIEVRE'),
('58250','TERNANT','NIEVRE'),
('58250','THAIX','NIEVRE'),
('58260','LA MACHINE','NIEVRE'),
('58260','THIANGES','NIEVRE'),
('58260','TROIS VEVRES','NIEVRE'),
('58270','ANLEZY','NIEVRE'),
('58270','BEAUMONT SARDOLLES','NIEVRE'),
('58270','BILLY CHEVANNES','NIEVRE'),
('58270','CIZELY','NIEVRE'),
('58270','FERTREVE','NIEVRE'),
('58270','FRASNAY REUGNY','NIEVRE'),
('58270','LIMON','NIEVRE'),
('58270','ST BENIN D AZY','NIEVRE'),
('58270','ST FIRMIN','NIEVRE'),
('58270','ST JEAN AUX AMOGNES','NIEVRE'),
('58270','ST SULPICE','NIEVRE'),
('58270','VILLE LANGY','NIEVRE'),
('58290','ISENAY','NIEVRE'),
('58290','LIMANTON','NIEVRE'),
('58290','MAUX','NIEVRE'),
('58290','MOULINS ENGILBERT','NIEVRE'),
('58290','SERMAGES','NIEVRE'),
('58290','VANDENESSE','NIEVRE'),
('58300','AVRIL SUR LOIRE','NIEVRE'),
('58300','CHAMPVERT','NIEVRE'),
('58300','CHARRIN','NIEVRE'),
('58300','COSSAYE','NIEVRE'),
('58300','DECIZE','NIEVRE'),
('58300','DEVAY','NIEVRE'),
('58300','LAMENAY SUR LOIRE','NIEVRE'),
('58300','NEUVILLE LES DECIZE','NIEVRE'),
('58300','ST GERMAIN CHASSENAY','NIEVRE'),
('58300','ST HILAIRE FONTAINE','NIEVRE'),
('58300','ST LEGER DES VIGNES','NIEVRE'),
('58300','ST PARIZE EN VIRY','NIEVRE'),
('58300','SOUGY SUR LOIRE','NIEVRE'),
('58300','TOURY LURCY','NIEVRE'),
('58300','VERNEUIL','NIEVRE'),
('58310','ARQUIAN','NIEVRE'),
('58310','BITRY','NIEVRE'),
('58310','BOUHY','NIEVRE'),
('58310','DAMPIERRE SOUS BOUHY','NIEVRE'),
('58310','ST AMAND EN PUISAYE','NIEVRE'),
('58310','ST VERAIN','NIEVRE'),
('58320','GERMIGNY SUR LOIRE','NIEVRE'),
('58320','PARIGNY LES VAUX','NIEVRE'),
('58320','POUGUES LES EAUX','NIEVRE'),
('58330','BONA','NIEVRE'),
('58330','CRUX LA VILLE','NIEVRE'),
('58330','JAILLY','NIEVRE'),
('58330','ST BENIN DES BOIS','NIEVRE'),
('58330','ST FRANCHY','NIEVRE'),
('58330','STE MARIE','NIEVRE'),
('58330','ST MAURICE','NIEVRE'),
('58330','ST SAULGE','NIEVRE'),
('58330','SAXI BOURDON','NIEVRE'),
('58340','CERCY LA TOUR','NIEVRE'),
('58340','DIENNES AUBIGNY','NIEVRE'),
('58340','MONTIGNY SUR CANNE','NIEVRE'),
('58340','ST GRATIEN SAVIGNY','NIEVRE'),
('58350','ARBOURSE','NIEVRE'),
('58350','CHASNAY','NIEVRE'),
('58350','CHATEAUNEUF VAL DE BARGIS','NIEVRE'),
('58350','COLMERY','NIEVRE'),
('58350','DOMPIERRE SUR NIEVRE','NIEVRE'),
('58350','NANNAY','NIEVRE'),
('58350','ST MALO EN DONZIOIS','NIEVRE'),
('58360','PREPORCHE','NIEVRE'),
('58360','ST HONORE LES BAINS','NIEVRE'),
('58360','SEMELAY','NIEVRE'),
('58370','GLUX EN GLENNE','NIEVRE'),
('58370','LAROCHEMILLAY','NIEVRE'),
('58370','ONLAY','NIEVRE'),
('58370','VILLAPOURCON','NIEVRE'),
('58380','LUCENAY LES AIX','NIEVRE'),
('58390','DORNES','NIEVRE'),
('58400','BULCY','NIEVRE'),
('58400','CHAMPVOUX','NIEVRE'),
('58400','LA CHARITE SUR LOIRE','NIEVRE'),
('58400','CHAULGNES','NIEVRE'),
('58400','LA MARCHE','NIEVRE'),
('58400','MESVES SUR LOIRE','NIEVRE'),
('58400','NARCY','NIEVRE'),
('58400','RAVEAU','NIEVRE'),
('58400','TRONSANGES','NIEVRE'),
('58400','VARENNES LES NARCY','NIEVRE'),
('58410','ENTRAINS SUR NOHAIN','NIEVRE'),
('58410','MENESTREAU','NIEVRE'),
('58420','ASNAN','NIEVRE'),
('58420','BEAULIEU','NIEVRE'),
('58420','BRINON SUR BEUVRON','NIEVRE'),
('58420','BUSSY LA PESLE','NIEVRE'),
('58420','CHALLEMENT','NIEVRE'),
('58420','CHAMPALLEMENT','NIEVRE'),
('58420','CHEVANNES CHANGY','NIEVRE'),
('58420','DOMPIERRE SUR HERY','NIEVRE'),
('58420','GRENOIS','NIEVRE'),
('58420','GUIPY','NIEVRE'),
('58420','MICHAUGUES','NIEVRE'),
('58420','MORACHES','NIEVRE'),
('58420','NEUILLY','NIEVRE'),
('58420','ST REVERIEN','NIEVRE'),
('58420','TACONNAY','NIEVRE'),
('58420','VITRY LACHE','NIEVRE'),
('58430','ARLEUF','NIEVRE'),
('58430','FACHIN','NIEVRE'),
('58440','LA CELLE SUR LOIRE','NIEVRE'),
('58440','MYENNES','NIEVRE'),
('58450','ANNAY','NIEVRE'),
('58450','NEUVY SUR LOIRE','NIEVRE'),
('58460','BREUGNON','NIEVRE'),
('58460','CORVOL L ORGUEILLEUX','NIEVRE'),
('58460','TRUCY L ORGUEILLEUX','NIEVRE'),
('58470','GIMOUILLE','NIEVRE'),
('58470','MAGNY COURS','NIEVRE'),
('58470','SAINCAIZE MEAUCE','NIEVRE'),
('58490','ST PARIZE LE CHATEL','NIEVRE'),
('58490','MOIRY','NIEVRE'),
('58500','ARMES','NIEVRE'),
('58500','BILLY SUR OISY','NIEVRE'),
('58500','CHEVROCHES','NIEVRE'),
('58500','CLAMECY','NIEVRE'),
('58500','OISY','NIEVRE'),
('58500','OUAGNE','NIEVRE'),
('58500','POUSSEAUX','NIEVRE'),
('58500','RIX','NIEVRE'),
('58500','SURGY','NIEVRE'),
('58500','VILLIERS SUR YONNE','NIEVRE'),
('58500','BEAUGY','NIEVRE'),
('58500','MOULOT','NIEVRE'),
('58530','BREVES','NIEVRE'),
('58530','DORNECY','NIEVRE'),
('58600','FOURCHAMBAULT','NIEVRE'),
('58600','GARCHIZY','NIEVRE'),
('58640','VARENNES VAUZELLES','NIEVRE'),
('58660','COULANGES LES NEVERS','NIEVRE'),
('58700','ARTHEL','NIEVRE'),
('58700','ARZEMBOUY','NIEVRE'),
('58700','AUTHIOU','NIEVRE'),
('58700','BEAUMONT LA FERRIERE','NIEVRE'),
('58700','LA CELLE SUR NIEVRE','NIEVRE'),
('58700','CHAMPLIN','NIEVRE'),
('58700','CHAZEUIL','NIEVRE'),
('58700','GIRY','NIEVRE'),
('58700','LURCY LE BOURG','NIEVRE'),
('58700','MONTENOISON','NIEVRE'),
('58700','MOUSSY','NIEVRE'),
('58700','MURLIN','NIEVRE'),
('58700','NOLAY','NIEVRE'),
('58700','OULON','NIEVRE'),
('58700','PREMERY','NIEVRE'),
('58700','ST BONNOT','NIEVRE'),
('58700','SICHAMPS','NIEVRE'),
('58800','ANTHIEN','NIEVRE'),
('58800','CERVON','NIEVRE'),
('58800','CHAUMOT','NIEVRE'),
('58800','CHITRY LES MINES','NIEVRE'),
('58800','LA COLLANCELLE','NIEVRE'),
('58800','CORBIGNY','NIEVRE'),
('58800','EPIRY','NIEVRE'),
('58800','GERMENAY','NIEVRE'),
('58800','HERY','NIEVRE'),
('58800','MAGNY LORMES','NIEVRE'),
('58800','MARIGNY SUR YONNE','NIEVRE'),
('58800','MONTREUILLON','NIEVRE'),
('58800','MOURON SUR YONNE','NIEVRE'),
('58800','PAZY','NIEVRE'),
('58800','SARDY LES EPIRY','NIEVRE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('59000','LILLE','NORD'),
('59100','ROUBAIX','NORD'),
('59110','LA MADELEINE','NORD'),
('59111','BOUCHAIN','NORD'),
('59111','HORDAIN','NORD'),
('59111','LIEU ST AMAND','NORD'),
('59111','WAVRECHAIN SOUS FAULX','NORD'),
('59111','BASSIN ROND','NORD'),
('59112','ANNOEULLIN','NORD'),
('59112','CARNIN','NORD'),
('59113','SECLIN','NORD'),
('59114','EECKE','NORD'),
('59114','ST SYLVESTRE CAPPEL','NORD'),
('59114','STEENVOORDE','NORD'),
('59114','TERDEGHEM','NORD'),
('59115','LEERS','NORD'),
('59116','HOUPLINES','NORD'),
('59117','WERVICQ SUD','NORD'),
('59118','WAMBRECHIES','NORD'),
('59119','WAZIERS','NORD'),
('59120','LOOS','NORD'),
('59121','HAULCHIN','NORD'),
('59121','PROUVY','NORD'),
('59122','HONDSCHOOTE','NORD'),
('59122','KILLEM','NORD'),
('59122','LES MOERES','NORD'),
('59122','OOST CAPPEL','NORD'),
('59122','REXPOEDE','NORD'),
('59123','BRAY DUNES','NORD'),
('59123','ZUYDCOOTE','NORD'),
('59124','ESCAUDAIN','NORD'),
('59125','TRITH ST LEGER','NORD'),
('59126','LINSELLES','NORD'),
('59127','DEHERIES','NORD'),
('59127','ELINCOURT','NORD'),
('59127','ESNES','NORD'),
('59127','MALINCOURT','NORD'),
('59127','SELVIGNY','NORD'),
('59127','WALINCOURT SELVIGNY','NORD'),
('59128','FLERS EN ESCREBIEUX','NORD'),
('59129','AVESNES LES AUBERT','NORD'),
('59130','LAMBERSART','NORD'),
('59131','ROUSIES','NORD'),
('59132','BAIVES','NORD'),
('59132','EPPE SAUVAGE','NORD'),
('59132','GLAGEON','NORD'),
('59132','MOUSTIER EN FAGNE','NORD'),
('59132','OHAIN','NORD'),
('59132','TRELON','NORD'),
('59132','WALLERS TRELON','NORD'),
('59133','CAMPHIN EN CAREMBAULT','NORD'),
('59133','PHALEMPIN','NORD'),
('59134','BEAUCAMPS LIGNY','NORD'),
('59134','FOURNES EN WEPPES','NORD'),
('59134','HERLIES','NORD'),
('59134','LE MAISNIL','NORD'),
('59134','WICRES','NORD'),
('59135','BELLAING','NORD'),
('59135','WALLERS','NORD'),
('59135','AREMBERG','NORD'),
('59136','WAVRIN','NORD'),
('59137','BUSIGNY','NORD'),
('59138','BACHANT','NORD'),
('59138','HARGNIES','NORD'),
('59138','PONT SUR SAMBRE','NORD'),
('59138','VIEUX MESNIL','NORD'),
('59139','NOYELLES LES SECLIN','NORD'),
('59139','WATTIGNIES','NORD'),
('59140','DUNKERQUE','NORD'),
('59141','IWUY','NORD'),
('59141','THUN L EVEQUE','NORD'),
('59141','THUN ST MARTIN','NORD'),
('59142','VILLERS OUTREAUX','NORD'),
('59143','HOLQUE','NORD'),
('59143','LEDERZEELE','NORD'),
('59143','MILLAM','NORD'),
('59143','NIEURLET','NORD'),
('59143','ST MOMELIN','NORD'),
('59143','WATTEN','NORD'),
('59143','WULVERDINGHE','NORD'),
('59144','AMFROIPRET','NORD'),
('59144','BRY','NORD'),
('59144','ETH','NORD'),
('59144','GOMMEGNIES','NORD'),
('59144','JENLAIN','NORD'),
('59144','PREUX AU SART','NORD'),
('59144','WARGNIES LE GRAND','NORD'),
('59144','WARGNIES LE PETIT','NORD'),
('59145','BERLAIMONT','NORD'),
('59145','SASSEGNIES','NORD'),
('59146','PECQUENCOURT','NORD'),
('59147','CHEMY','NORD'),
('59147','GONDECOURT','NORD'),
('59147','HERRIN','NORD'),
('59148','FLINES LEZ RACHES','NORD'),
('59149','AIBES','NORD'),
('59149','BOUSIGNIES SUR ROC','NORD'),
('59149','COUSOLRE','NORD'),
('59150','WATTRELOS','NORD'),
('59151','ARLEUX','NORD'),
('59151','BRUNEMONT','NORD'),
('59151','BUGNICOURT','NORD'),
('59151','ESTREES','NORD'),
('59151','HAMEL','NORD'),
('59152','ANSTAING','NORD'),
('59152','CHERENG','NORD'),
('59152','GRUSON','NORD'),
('59152','TRESSIN','NORD'),
('59153','GRAND FORT PHILIPPE','NORD'),
('59154','CRESPIN','NORD'),
('59154','BLANC MISSERON ANF','NORD'),
('59155','FACHES THUMESNIL','NORD'),
('59156','LOURCHES','NORD'),
('59157','BEAUVOIS EN CAMBRESIS','NORD'),
('59157','FONTAINE AU PIRE','NORD'),
('59158','FLINES LES MORTAGNES','NORD'),
('59158','MAULDE','NORD'),
('59158','MORTAGNE DU NORD','NORD'),
('59158','THUN ST AMAND','NORD'),
('59159','MARCOING','NORD'),
('59159','NOYELLES SUR ESCAUT','NORD'),
('59159','RIBECOURT LA TOUR','NORD'),
('59160','CAPINGHEM','NORD'),
('59160','LOMME','NORD'),
('59161','CAGNONCLES','NORD'),
('59161','ESCAUDOEUVRES','NORD'),
('59161','NAVES','NORD'),
('59161','RAMILLIES','NORD'),
('59162','OSTRICOURT','NORD'),
('59163','CONDE SUR L ESCAUT','NORD'),
('59163','ST AYBERT','NORD'),
('59163','THIVENCELLES','NORD'),
('59164','MARPENT','NORD'),
('59165','AUBERCHICOURT','NORD'),
('59166','BOUSBECQUE','NORD'),
('59167','LALLAING','NORD'),
('59168','BOUSSOIS','NORD'),
('59169','CANTIN','NORD'),
('59169','ERCHIN','NORD'),
('59169','FERIN','NORD'),
('59169','GOEULZIN','NORD'),
('59169','ROUCOURT','NORD'),
('59170','CROIX','NORD'),
('59171','ERRE','NORD'),
('59171','HELESMES','NORD'),
('59171','HORNAING','NORD'),
('59172','MASTAING','NORD'),
('59172','ROEULX','NORD'),
('59173','BLARINGHEM','NORD'),
('59173','EBBLINGHEM','NORD'),
('59173','LYNDE','NORD'),
('59173','RENESCURE','NORD'),
('59173','SERCUS','NORD'),
('59174','LA SENTINELLE','NORD'),
('59175','TEMPLEMARS','NORD'),
('59175','VENDEVILLE','NORD'),
('59176','ECAILLON','NORD'),
('59176','MASNY','NORD'),
('59177','RAINSARS','NORD'),
('59177','RAMOUSIES','NORD'),
('59177','SAINS DU NORD','NORD'),
('59178','BOUSIGNIES','NORD'),
('59178','BRILLON','NORD'),
('59178','HASNON','NORD'),
('59178','MILLONFOSSE','NORD'),
('59179','FENAIN','NORD'),
('59180','CAPPELLE LA GRANDE','NORD'),
('59181','STEENWERCK','NORD'),
('59181','CROIX DU BAC','NORD'),
('59182','LOFFRE','NORD'),
('59182','MONTIGNY EN OSTREVENT','NORD'),
('59184','SAINGHIN EN WEPPES','NORD'),
('59185','PROVIN','NORD'),
('59186','ANOR','NORD'),
('59187','DECHY','NORD'),
('59188','ST AUBERT','NORD'),
('59188','ST VAAST EN CAMBRESIS','NORD'),
('59188','VILLERS EN CAUCHIES','NORD'),
('59189','BOESEGHEM','NORD'),
('59189','STEENBECQUE','NORD'),
('59189','THIENNES','NORD'),
('59190','BORRE','NORD'),
('59190','CAESTRE','NORD'),
('59190','HAZEBROUCK','NORD'),
('59190','HONDEGHEM','NORD'),
('59190','MORBECQUE','NORD'),
('59190','PRADELLES','NORD'),
('59190','STAPLE','NORD'),
('59190','WALLON CAPPEL','NORD'),
('59191','CAULLERY','NORD'),
('59191','HAUCOURT EN CAMBRESIS','NORD'),
('59191','LIGNY HAUCOURT','NORD'),
('59192','BEUVRAGES','NORD'),
('59193','ERQUINGHEM LYS','NORD'),
('59194','ANHIERS','NORD'),
('59194','RACHES','NORD'),
('59195','HERIN','NORD'),
('59195','OISY','NORD'),
('59198','HASPRES','NORD'),
('59199','BRUILLE ST AMAND','NORD');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('59199','HERGNIES','NORD'),
('59200','TOURCOING','NORD'),
('59210','COUDEKERQUE BRANCHE','NORD'),
('59211','SANTES','NORD'),
('59212','WIGNEHIES','NORD'),
('59213','BERMERAIN','NORD'),
('59213','CAPELLE','NORD'),
('59213','ESCARMAIN','NORD'),
('59213','ST MARTIN SUR ECAILLON','NORD'),
('59213','SOMMAING','NORD'),
('59213','VENDEGIES SUR ECAILLON','NORD'),
('59214','QUIEVY','NORD'),
('59215','ABSCON','NORD'),
('59216','BEUGNIES','NORD'),
('59216','DIMONT','NORD'),
('59216','SARS POTERIES','NORD'),
('59217','BEVILLERS','NORD'),
('59217','BOUSSIERES EN CAMBRESIS','NORD'),
('59217','CARNIERES','NORD'),
('59217','CATTENIERES','NORD'),
('59218','NEUVILLE EN AVESNOIS','NORD'),
('59218','POIX DU NORD','NORD'),
('59218','SALESCHES','NORD'),
('59218','VENDEGIES AU BOIS','NORD'),
('59219','ETROEUNGT','NORD'),
('59219','FLOYON','NORD'),
('59219','LAROUILLIES','NORD'),
('59220','DENAIN','NORD'),
('59220','ROUVIGNIES','NORD'),
('59220','WAVRECHAIN SOUS DENAIN','NORD'),
('59221','BAUVIN','NORD'),
('59222','BOUSIES','NORD'),
('59222','CROIX CALUYAU','NORD'),
('59222','FOREST CAMBRESIS','NORD'),
('59223','RONCQ','NORD'),
('59224','MONCHAUX SUR ECAILLON','NORD'),
('59224','THIANT','NORD'),
('59225','CLARY','NORD'),
('59225','MONTIGNY EN CAMBRESIS','NORD'),
('59226','LECELLES','NORD'),
('59226','RUMEGIES','NORD'),
('59227','MONTRECOURT','NORD'),
('59227','SAULZOIR','NORD'),
('59227','VERCHAIN MAUGRE','NORD'),
('59229','TETEGHEM','NORD'),
('59229','UXEM','NORD'),
('59230','CHATEAU L ABBAYE','NORD'),
('59230','NIVELLE','NORD'),
('59230','ROSULT','NORD'),
('59230','ST AMAND LES EAUX','NORD'),
('59230','SARS ET ROSIERES','NORD'),
('59231','GONNELIEU','NORD'),
('59231','GOUZEAUCOURT','NORD'),
('59231','VILLERS PLOUICH','NORD'),
('59232','VIEUX BERQUIN','NORD'),
('59233','MAING','NORD'),
('59234','FRESSAIN','NORD'),
('59234','MONCHECOURT','NORD'),
('59234','VILLERS AU TERTRE','NORD'),
('59235','BERSEE','NORD'),
('59236','FRELINGHIEN','NORD'),
('59237','VERLINGHEM','NORD'),
('59238','MARETZ','NORD'),
('59239','LA NEUVILLE','NORD'),
('59239','THUMERIES','NORD'),
('59240','MALO LES BAINS','NORD'),
('59240','ROSENDAEL','NORD'),
('59241','MASNIERES','NORD'),
('59242','CAPPELLE EN PEVELE','NORD'),
('59242','GENECH','NORD'),
('59242','TEMPLEUVE','NORD'),
('59243','QUAROUBLE','NORD'),
('59244','CARTIGNIES','NORD'),
('59244','GRAND FAYT','NORD'),
('59244','PETIT FAYT','NORD'),
('59245','RECQUIGNIES','NORD'),
('59246','MONS PEVELE','NORD'),
('59247','FECHAIN','NORD'),
('59247','FRESSIES','NORD'),
('59247','HEM LENGLET','NORD'),
('59249','AUBERS','NORD'),
('59249','FROMELLES','NORD'),
('59250','HALLUIN','NORD'),
('59251','ALLENNES LES MARAIS','NORD'),
('59252','MARCQ EN OSTREVENT','NORD'),
('59252','MARQUETTE EN OSTREVENT','NORD'),
('59252','WASNES AU BAC','NORD'),
('59253','LA GORGUE','NORD'),
('59254','GHYVELDE','NORD'),
('59255','HAVELUY','NORD'),
('59258','CREVECOEUR SUR L ESCAUT','NORD'),
('59258','LESDAIN','NORD'),
('59258','LES RUES DES VIGNES','NORD'),
('59259','LECLUSE','NORD'),
('59260','HELLEMMES LILLE','NORD'),
('59260','LEZENNES','NORD'),
('59261','WAHAGNIES','NORD'),
('59262','SAINGHIN EN MELANTOIS','NORD'),
('59263','HOUPLIN ANCOISNE','NORD'),
('59264','ONNAING','NORD'),
('59265','ABANCOURT','NORD'),
('59265','AUBENCHEUL AU BAC','NORD'),
('59265','AUBIGNY AU BAC','NORD'),
('59265','HAYNECOURT','NORD'),
('59265','SANCOURT','NORD'),
('59266','BANTEUX','NORD'),
('59266','BANTOUZELLE','NORD'),
('59266','HONNECOURT SUR ESCAUT','NORD'),
('59267','CANTAING SUR ESCAUT','NORD'),
('59267','FLESQUIERES','NORD'),
('59267','PROVILLE','NORD'),
('59269','ARTRES','NORD'),
('59269','QUERENAING','NORD'),
('59269','SEPMERIES','NORD'),
('59270','BAILLEUL','NORD'),
('59270','BERTHEN','NORD'),
('59270','FLETRE','NORD'),
('59270','GODEWAERSVELDE','NORD'),
('59270','MERRIS','NORD'),
('59270','METEREN','NORD'),
('59270','ST JANS CAPPEL','NORD'),
('59270','STRAZEELE','NORD'),
('59270','MONT DES CATS','NORD'),
('59270','MONT NOIR','NORD'),
('59271','VIESLY','NORD'),
('59272','DON','NORD'),
('59273','FRETIN','NORD'),
('59273','PERONNE EN MELANTOIS','NORD'),
('59274','MARQUILLIES','NORD'),
('59277','RIEUX EN CAMBRESIS','NORD'),
('59278','ESCAUTPONT','NORD'),
('59279','CRAYWICK','NORD'),
('59279','LOON PLAGE','NORD'),
('59279','MARDYCK','NORD'),
('59280','ARMENTIERES','NORD'),
('59280','BOIS GRENIER','NORD'),
('59280','LE BIZET','NORD'),
('59281','RUMILLY EN CAMBRESIS','NORD'),
('59282','DOUCHY LES MINES','NORD'),
('59282','NOYELLES SUR SELLE','NORD'),
('59283','MONCHEAUX','NORD'),
('59283','RAIMBEAUCOURT','NORD'),
('59284','PITGAM','NORD'),
('59285','ARNEKE','NORD'),
('59285','BUYSSCHEURE','NORD'),
('59285','RUBROUCK','NORD'),
('59286','ROOST WARENDIN','NORD'),
('59287','GUESNAIN','NORD'),
('59287','LEWARDE','NORD'),
('59288','PREUX AU BOIS','NORD'),
('59290','WASQUEHAL','NORD'),
('59292','ST HILAIRE LES CAMBRAI','NORD'),
('59293','NEUVILLE SUR ESCAUT','NORD'),
('59294','HAUSSY','NORD'),
('59295','ESTRUN','NORD'),
('59295','PAILLENCOURT','NORD'),
('59296','AVESNES LE SEC','NORD'),
('59297','VILLERS GUISLAIN','NORD'),
('59299','BOESCHEPE','NORD'),
('59300','AULNOY LEZ VALENCIENNES','NORD'),
('59300','FAMARS','NORD'),
('59300','VALENCIENNES','NORD'),
('59310','AIX','NORD'),
('59310','AUCHY LES ORCHIES','NORD'),
('59310','BEUVRY LA FORET','NORD'),
('59310','COUTICHES','NORD'),
('59310','FAUMONT','NORD'),
('59310','LANDAS','NORD'),
('59310','MOUCHIN','NORD'),
('59310','NOMAIN','NORD'),
('59310','ORCHIES','NORD'),
('59310','SAMEON','NORD'),
('59320','EMMERIN','NORD'),
('59320','ENGLOS','NORD'),
('59320','ENNETIERES EN WEPPES','NORD'),
('59320','ERQUINGHEM LE SEC','NORD'),
('59320','ESCOBECQUES','NORD'),
('59320','HALLENNES LEZ HAUBOURDIN','NORD'),
('59320','HAUBOURDIN','NORD'),
('59320','RADINGHEM EN WEPPES','NORD'),
('59320','SEQUEDIN','NORD'),
('59330','BEAUFORT','NORD'),
('59330','BOUSSIERES SUR SAMBRE','NORD'),
('59330','ECLAIBES','NORD'),
('59330','HAUTMONT','NORD'),
('59330','LIMONT FONTAINE','NORD'),
('59330','NEUF MESNIL','NORD'),
('59330','ST REMY DU NORD','NORD'),
('59350','ST ANDRE LEZ LILLE','NORD'),
('59360','ESCAUFOURT','NORD'),
('59360','BAZUEL','NORD'),
('59360','LE CATEAU CAMBRESIS','NORD'),
('59360','CATILLON SUR SAMBRE','NORD'),
('59360','LA GROISE','NORD'),
('59360','MAZINGHIEN','NORD'),
('59360','MONTAY','NORD'),
('59360','NEUVILLY','NORD'),
('59360','ORS','NORD'),
('59360','POMMEREUIL','NORD'),
('59360','REJET DE BEAULIEU','NORD');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('59360','ST BENIN','NORD'),
('59360','ST SOUPLET','NORD'),
('59370','MONS BAROEUL','NORD'),
('59380','ARMBOUTS CAPPEL','NORD'),
('59380','BERGUES','NORD'),
('59380','BIERNE','NORD'),
('59380','BISSEZEELE','NORD'),
('59380','COUDEKERQUE','NORD'),
('59380','CROCHTE','NORD'),
('59380','QUAEDYPRE','NORD'),
('59380','SOCX','NORD'),
('59380','SPYCKER','NORD'),
('59380','STEENE','NORD'),
('59380','WARHEM','NORD'),
('59380','WEST CAPPEL','NORD'),
('59380','WYLDER','NORD'),
('59390','LANNOY','NORD'),
('59390','LYS LEZ LANNOY','NORD'),
('59390','SAILLY LEZ LANNOY','NORD'),
('59390','TOUFFLERS','NORD'),
('59400','ANNEUX','NORD'),
('59400','AWOINGT','NORD'),
('59400','CAMBRAI','NORD'),
('59400','CAUROIR','NORD'),
('59400','ESTOURMEL','NORD'),
('59400','ESWARS','NORD'),
('59400','FONTAINE NOTRE DAME','NORD'),
('59400','NIERGNIES','NORD'),
('59400','SERANVILLERS FORENVILLE','NORD'),
('59400','WAMBAIX','NORD'),
('59410','ANZIN','NORD'),
('59420','MOUVAUX','NORD'),
('59430','FORT MARDYCK','NORD'),
('59430','ST POL SUR MER','NORD'),
('59440','AVESNELLES','NORD'),
('59440','AVESNES SUR HELPE','NORD'),
('59440','BAS LIEU','NORD'),
('59440','BOULOGNE SUR HELPE','NORD'),
('59440','DOMPIERRE SUR HELPE','NORD'),
('59440','DOURLERS','NORD'),
('59440','FLAUMONT WAUDRECH','NORD'),
('59440','FLOURSIES','NORD'),
('59440','HAUT LIEU','NORD'),
('59440','MARBAIX','NORD'),
('59440','ST AUBIN','NORD'),
('59440','ST HILAIRE SUR HELPE','NORD'),
('59440','SEMERIES','NORD'),
('59440','SEMOUSIES','NORD'),
('59450','SIN LE NOBLE','NORD'),
('59460','JEUMONT','NORD'),
('59470','BAMBECQUE','NORD'),
('59470','BOLLEZEELE','NORD'),
('59470','BROXEELE','NORD'),
('59470','ERINGHEM','NORD'),
('59470','ESQUELBECQ','NORD'),
('59470','HERZEELE','NORD'),
('59470','HOUTKERQUE','NORD'),
('59470','LEDRINGHEM','NORD'),
('59470','MERCKEGHEM','NORD'),
('59470','VOLCKERINCKHOVE','NORD'),
('59470','WORMHOUT','NORD'),
('59470','ZEGERSCAPPEL','NORD'),
('59480','LA BASSEE','NORD'),
('59480','ILLIES','NORD'),
('59490','BRUILLE LEZ MARCHIENNES','NORD'),
('59490','SOMAIN','NORD'),
('59491','VILLENEUVE D ASCQ','NORD'),
('59492','HOYMILLE','NORD'),
('59494','AUBRY DU HAINAUT','NORD'),
('59494','PETITE FORET','NORD'),
('59495','LEFFRINCKOUCKE','NORD'),
('59496','HANTAY','NORD'),
('59496','SALOME','NORD'),
('59500','DOUAI','NORD'),
('59500','DORIGNIES','NORD'),
('59500','FRAIS MARAIS','NORD'),
('59510','FOREST SUR MARQUE','NORD'),
('59510','HEM','NORD'),
('59520','MARQUETTE LEZ LILLE','NORD'),
('59530','BEAUDIGNIES','NORD'),
('59530','ENGLEFONTAINE','NORD'),
('59530','FRASNOY','NORD'),
('59530','GHISSIGNIES','NORD'),
('59530','HECQ','NORD'),
('59530','JOLIMETZ','NORD'),
('59530','LOCQUIGNOL','NORD'),
('59530','LOUVIGNIES QUESNOY','NORD'),
('59530','ORSINVAL','NORD'),
('59530','POTELLE','NORD'),
('59530','LE QUESNOY','NORD'),
('59530','RAUCOURT AU BOIS','NORD'),
('59530','RUESNES','NORD'),
('59530','VILLEREAU','NORD'),
('59530','VILLERS POL','NORD'),
('59530','HERBIGNIES VILLEREAU','NORD'),
('59540','AUDENCOURT','NORD'),
('59540','BEAUMONT EN CAMBRESIS','NORD'),
('59540','BETHENCOURT','NORD'),
('59540','CAUDRY','NORD'),
('59540','INCHY','NORD'),
('59550','BEAUREPAIRE SUR SAMBRE','NORD'),
('59550','LE FAVRIL','NORD'),
('59550','FONTAINE AU BOIS','NORD'),
('59550','LANDRECIES','NORD'),
('59550','MAROILLES','NORD'),
('59550','NOYELLES SUR SAMBRE','NORD'),
('59550','PRISCHES','NORD'),
('59550','ROBERSART','NORD'),
('59550','TAISNIERES EN THIERACHE','NORD'),
('59551','ATTICHES','NORD'),
('59551','TOURMIGNIES','NORD'),
('59552','COURCHELETTES','NORD'),
('59552','LAMBRES LEZ DOUAI','NORD'),
('59553','CUINCY','NORD'),
('59553','ESQUERCHIN','NORD'),
('59553','LAUWIN PLANQUE','NORD'),
('59554','BANTIGNY','NORD'),
('59554','BLECOURT','NORD'),
('59554','CUVILLERS','NORD'),
('59554','NEUVILLE ST REMY','NORD'),
('59554','RAILLENCOURT STE OLLE','NORD'),
('59554','SAILLY LEZ CAMBRAI','NORD'),
('59554','TILLOY LEZ CAMBRAI','NORD'),
('59560','COMINES','NORD'),
('59560','WARNETON','NORD'),
('59570','AUDIGNIES','NORD'),
('59570','BAVAY','NORD'),
('59570','BELLIGNIES','NORD'),
('59570','BERMERIES','NORD'),
('59570','BETTRECHIES','NORD'),
('59570','LA FLAMENGRIE','NORD'),
('59570','GUSSIGNIES','NORD'),
('59570','HON HERGIES','NORD'),
('59570','HOUDAIN LEZ BAVAY','NORD'),
('59570','LA LONGUEVILLE','NORD'),
('59570','LOUVIGNIES BAVAY','NORD'),
('59570','MECQUIGNIES','NORD'),
('59570','OBIES','NORD'),
('59570','ST WAAST','NORD'),
('59570','TAISNIERES SUR HON','NORD'),
('59580','ANICHE','NORD'),
('59580','EMERCHICOURT','NORD'),
('59590','RAISMES','NORD'),
('59600','ASSEVENT','NORD'),
('59600','BERSILLIES','NORD'),
('59600','BETTIGNIES','NORD'),
('59600','ELESMES','NORD'),
('59600','GOGNIES CHAUSSEE','NORD'),
('59600','MAIRIEUX','NORD'),
('59600','MAUBEUGE','NORD'),
('59600','VIEUX RENG','NORD'),
('59600','VILLERS SIRE NICOLE','NORD'),
('59600','DOUZIES','NORD'),
('59610','FERON','NORD'),
('59610','FOURMIES','NORD'),
('59620','AULNOYE AYMERIES','NORD'),
('59620','ECUELIN','NORD'),
('59620','LEVAL','NORD'),
('59620','MONCEAU ST WAAST','NORD'),
('59620','ST REMY CHAUSSEE','NORD'),
('59630','BOURBOURG','NORD'),
('59630','BROUCKERQUE','NORD'),
('59630','CAPPELLE BROUCK','NORD'),
('59630','DRINCHAM','NORD'),
('59630','LOOBERGHE','NORD'),
('59630','ST PIERRE BROUCK','NORD'),
('59640','PETITE SYNTHE','NORD'),
('59660','MERVILLE','NORD'),
('59670','BAVINCHOVE','NORD'),
('59670','CASSEL','NORD'),
('59670','HARDIFORT','NORD'),
('59670','NOORDPEENE','NORD'),
('59670','OCHTEZEELE','NORD'),
('59670','OUDEZEELE','NORD'),
('59670','OXELAERE','NORD'),
('59670','STE MARIE CAPPEL','NORD'),
('59670','WEMAERS CAPPEL','NORD'),
('59670','WINNEZEELE','NORD'),
('59670','ZERMEZEELE','NORD'),
('59670','ZUYTPEENE','NORD'),
('59680','CERFONTAINE','NORD'),
('59680','COLLERET','NORD'),
('59680','DAMOUSIES','NORD'),
('59680','FERRIERE LA GRANDE','NORD'),
('59680','FERRIERE LA PETITE','NORD'),
('59680','OBRECHIES','NORD'),
('59680','QUIEVELON','NORD'),
('59680','WATTIGNIES LA VICTOIRE','NORD'),
('59690','VIEUX CONDE','NORD'),
('59700','MARCQ EN BAROEUL','NORD'),
('59710','AVELIN','NORD'),
('59710','ENNEVELIN','NORD'),
('59710','MERIGNIES','NORD'),
('59710','PONT A MARCQ','NORD'),
('59720','LOUVROIL','NORD'),
('59730','BEAURAIN','NORD'),
('59730','BRIASTRE','NORD'),
('59730','ROMERIES','NORD'),
('59730','ST PYTHON','NORD'),
('59730','SOLESMES','NORD');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('59730','VERTAIN','NORD'),
('59740','BEAURIEUX','NORD'),
('59740','BERELLES','NORD'),
('59740','CHOISIES','NORD'),
('59740','CLAIRFAYTS','NORD'),
('59740','DIMECHAUX','NORD'),
('59740','ECCLES','NORD'),
('59740','FELLERIES','NORD'),
('59740','HESTRUD','NORD'),
('59740','LEZ FONTAINE','NORD'),
('59740','LIESSIES','NORD'),
('59740','SOLRE LE CHATEAU','NORD'),
('59740','SOLRINNES','NORD'),
('59740','WILLIES','NORD'),
('59750','FEIGNIES','NORD'),
('59750','DOUZIES FEIGNIES','NORD'),
('59760','GRANDE SYNTHE','NORD'),
('59770','MARLY','NORD'),
('59777','EURALILLE','NORD'),
('59780','BAISIEUX','NORD'),
('59780','CAMPHIN EN PEVELE','NORD'),
('59780','WILLEMS','NORD'),
('59790','RONCHIN','NORD'),
('59810','LESQUIN','NORD'),
('59820','GRAVELINES','NORD'),
('59820','ST GEORGES SUR L AA','NORD'),
('59830','BACHY','NORD'),
('59830','BOURGHELLES','NORD'),
('59830','BOUVINES','NORD'),
('59830','COBRIEUX','NORD'),
('59830','CYSOING','NORD'),
('59830','LOUVIL','NORD'),
('59830','WANNEHAIN','NORD'),
('59840','LOMPRET','NORD'),
('59840','PERENCHIES','NORD'),
('59840','PREMESQUES','NORD'),
('59840','MONT DE PREMESQUES','NORD'),
('59850','NIEPPE','NORD'),
('59860','BRUAY SUR L ESCAUT','NORD'),
('59870','BOUVIGNIES','NORD'),
('59870','MARCHIENNES','NORD'),
('59870','RIEULAY','NORD'),
('59870','TILLOY LEZ MARCHIENNES','NORD'),
('59870','VRED','NORD'),
('59870','WANDIGNIES HAMAGE','NORD'),
('59870','WARLAING','NORD'),
('59880','ST SAULVE','NORD'),
('59890','DEULEMONT','NORD'),
('59890','QUESNOY SUR DEULE','NORD'),
('59910','BONDUES','NORD'),
('59920','QUIEVRECHAIN','NORD'),
('59920','BLANC MISSERON','NORD'),
('59930','LA CHAPELLE D ARMENTIERES','NORD'),
('59940','LE DOULIEU','NORD'),
('59940','ESTAIRES','NORD'),
('59940','NEUF BERQUIN','NORD'),
('59950','AUBY','NORD'),
('59960','NEUVILLE EN FERRAIN','NORD'),
('59970','FRESNES SUR ESCAUT','NORD'),
('59970','ODOMEZ','NORD'),
('59970','VICQ','NORD'),
('59980','BERTRY','NORD'),
('59980','HONNECHY','NORD'),
('59980','MAUROIS','NORD'),
('59980','REUMONT','NORD'),
('59980','TROISVILLES','NORD'),
('59990','CURGIES','NORD'),
('59990','ESTREUX','NORD'),
('59990','MARESCHES','NORD'),
('59990','PRESEAU','NORD'),
('59990','ROMBIES ET MARCHIPONT','NORD'),
('59990','SAULTAIN','NORD'),
('59990','SEBOURG','NORD'),
('60000','ALLONNE','OISE'),
('60000','BEAUVAIS','OISE'),
('60000','FOUQUENIES','OISE'),
('60000','FROCOURT','OISE'),
('60000','GOINCOURT','OISE'),
('60000','ST MARTIN LE NOEUD','OISE'),
('60000','TILLE','OISE'),
('60000','AUX MARAIS','OISE'),
('60100','CREIL','OISE'),
('60110','AMBLAINVILLE','OISE'),
('60110','CORBEIL CERF','OISE'),
('60110','ESCHES','OISE'),
('60110','LORMAISON','OISE'),
('60110','MERU','OISE'),
('60112','BONNIERES','OISE'),
('60112','CRILLON','OISE'),
('60112','HAUCOURT','OISE'),
('60112','HERCHIES','OISE'),
('60112','JUVIGNIES','OISE'),
('60112','MAISONCELLE ST PIERRE','OISE'),
('60112','MARTINCOURT','OISE'),
('60112','MILLY SUR THERAIN','OISE'),
('60112','LA NEUVILLE VAULT','OISE'),
('60112','PIERREFITE EN BEAUVAISIS','OISE'),
('60112','SAUQUEUSE ST LUCIEN','OISE'),
('60112','TROISSEREUX','OISE'),
('60112','VERDEREL LES SAUQUEUSE','OISE'),
('60112','VROCOURT','OISE'),
('60113','BAUGY','OISE'),
('60113','BRAISNES','OISE'),
('60113','MONCHY HUMIERES','OISE'),
('60117','GONDREVILLE','OISE'),
('60117','RUSSY BEMONT','OISE'),
('60117','VAUCIENNES','OISE'),
('60117','VAUMOISE','OISE'),
('60117','VEZ','OISE'),
('60119','HENONVILLE','OISE'),
('60119','MONTS','OISE'),
('60119','NEUVILLE BOSC','OISE'),
('60120','ANSAUVILLERS','OISE'),
('60120','BACOUEL','OISE'),
('60120','BEAUVOIR','OISE'),
('60120','BLANCFOSSE','OISE'),
('60120','BONNEUIL LES EAUX','OISE'),
('60120','BONVILLERS','OISE'),
('60120','BRETEUIL','OISE'),
('60120','BROYES','OISE'),
('60120','CHEPOIX','OISE'),
('60120','CORMEILLES','OISE'),
('60120','LE CROCQ','OISE'),
('60120','CROISSY SUR CELLE','OISE'),
('60120','ESQUENNOY','OISE'),
('60120','FLECHY','OISE'),
('60120','GANNES','OISE'),
('60120','GOUY LES GROSEILLERS','OISE'),
('60120','HARDIVILLERS','OISE'),
('60120','LA HERELLE','OISE'),
('60120','LAVACQUERIE','OISE'),
('60120','LE MESNIL ST FIRMIN','OISE'),
('60120','MORY MONTCRUX','OISE'),
('60120','PAILLART','OISE'),
('60120','PLAINVILLE','OISE'),
('60120','ROCQUENCOURT','OISE'),
('60120','ROUVROY LES MERLES','OISE'),
('60120','SEREVILLERS','OISE'),
('60120','TARTIGNY','OISE'),
('60120','TROUSSENCOURT','OISE'),
('60120','VENDEUIL CAPLY','OISE'),
('60120','VILLERS VICOMTE','OISE'),
('60123','BONNEUIL EN VALOIS','OISE'),
('60123','EMEVILLE','OISE'),
('60126','LONGUEIL STE MARIE','OISE'),
('60126','RIVECOURT','OISE'),
('60127','FRESNOY LA RIVIERE','OISE'),
('60127','MORIENVAL','OISE'),
('60128','MORTEFONTAINE','OISE'),
('60128','PLAILLY','OISE'),
('60129','BETHANCOURT EN VALOIS','OISE'),
('60129','GILOCOURT','OISE'),
('60129','GLAIGNES','OISE'),
('60129','ORROUY','OISE'),
('60130','ANGIVILLERS','OISE'),
('60130','AVRECHY','OISE'),
('60130','BRUNVILLERS LA MOTTE','OISE'),
('60130','BULLES','OISE'),
('60130','CATILLON FUMECHON','OISE'),
('60130','CUIGNIERES','OISE'),
('60130','ERQUINVILLERS','OISE'),
('60130','FOURNIVAL','OISE'),
('60130','LIEUVILLERS','OISE'),
('60130','LE MESNIL SUR BULLES','OISE'),
('60130','NOROY','OISE'),
('60130','NOURARD LE FRANC','OISE'),
('60130','PLAINVAL','OISE'),
('60130','LE PLESSIER SUR BULLES','OISE'),
('60130','LE PLESSIER SUR ST JUST','OISE'),
('60130','QUINQUEMPOIX','OISE'),
('60130','RAVENEL','OISE'),
('60130','ST JUST EN CHAUSSEE','OISE'),
('60130','ST REMY EN L EAU','OISE'),
('60130','VALESCOURT','OISE'),
('60130','WAVIGNIES','OISE'),
('60134','MONTREUIL SUR THERAIN','OISE'),
('60134','VILLERS ST SEPULCRE','OISE'),
('60138','CHIRY OURSCAMPS','OISE'),
('60140','BAILLEVAL','OISE'),
('60140','LABRUYERE','OISE'),
('60140','LIANCOURT','OISE'),
('60140','MOGNEVILLE','OISE'),
('60140','ROSOY','OISE'),
('60140','VERDERONNE','OISE'),
('60141','BOURSONNE','OISE'),
('60141','IVORS','OISE'),
('60149','ST CREPIN IBOUVILLERS','OISE'),
('60150','CHEVINCOURT','OISE'),
('60150','COUDUN','OISE'),
('60150','GIRAUMONT','OISE'),
('60150','JANVILLE','OISE'),
('60150','LONGUEIL ANNEL','OISE'),
('60150','MACHEMONT','OISE'),
('60150','MELICOCQ','OISE'),
('60150','MONTMACQ','OISE'),
('60150','LE PLESSIS BRION','OISE'),
('60150','THOUROTTE','OISE'),
('60150','VILLERS SUR COUDUN','OISE'),
('60153','RETHONDES','OISE'),
('60155','RAINVILLERS','OISE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('60155','ST LEGER EN BRAY','OISE'),
('60157','ELINCOURT STE MARGUERITE','OISE'),
('60160','MONTATAIRE','OISE'),
('60160','THIVERNY','OISE'),
('60162','ANTHEUIL PORTES','OISE'),
('60162','VIGNEMONT','OISE'),
('60170','BAILLY','OISE'),
('60170','CAMBRONNE LES RIBECOURT','OISE'),
('60170','CARLEPONT','OISE'),
('60170','DRESLINCOURT','OISE'),
('60170','PIMPREZ','OISE'),
('60170','RIBECOURT DRESLINCOURT','OISE'),
('60170','ST CREPIN AUX BOIS','OISE'),
('60170','ST LEGER AUX BOIS','OISE'),
('60170','TRACY LE MONT','OISE'),
('60170','TRACY LE VAL','OISE'),
('60170','OLLENCOURT','OISE'),
('60173','IVRY LE TEMPLE','OISE'),
('60175','VILLENEUVE LES SABLONS','OISE'),
('60180','NOGENT SUR OISE','OISE'),
('60190','ARSY','OISE'),
('60190','AVRIGNY','OISE'),
('60190','BAILLEUL LE SOC','OISE'),
('60190','BLINCOURT','OISE'),
('60190','CERNOY','OISE'),
('60190','CHOISY LA VICTOIRE','OISE'),
('60190','CRESSONSACQ','OISE'),
('60190','EPINEUSE','OISE'),
('60190','ESTREES ST DENIS','OISE'),
('60190','FOUILLEUSE','OISE'),
('60190','FRANCIERES','OISE'),
('60190','GOURNAY SUR ARONDE','OISE'),
('60190','GRANDVILLERS AUX BOIS','OISE'),
('60190','HEMEVILLERS','OISE'),
('60190','LACHELLE','OISE'),
('60190','MONTIERS','OISE'),
('60190','MONTMARTIN','OISE'),
('60190','MOYENNEVILLE','OISE'),
('60190','MOYVILLERS','OISE'),
('60190','NEUFVY SUR ARONDE','OISE'),
('60190','LANEUVILLEROY','OISE'),
('60190','PRONLEROY','OISE'),
('60190','REMY','OISE'),
('60190','ROUVILLERS','OISE'),
('60190','SACY LE PETIT','OISE'),
('60200','BIENVILLE','OISE'),
('60200','CLAIROIX','OISE'),
('60200','COMPIEGNE','OISE'),
('60200','VENETTE','OISE'),
('60210','BEAUDEDUIT','OISE'),
('60210','BRIOT','OISE'),
('60210','BROMBOS','OISE'),
('60210','CEMPUIS','OISE'),
('60210','DAMERAUCOURT','OISE'),
('60210','DARGIES','OISE'),
('60210','ELENCOURT','OISE'),
('60210','GAUDECHART','OISE'),
('60210','GRANDVILLIERS','OISE'),
('60210','GREZ','OISE'),
('60210','HALLOY','OISE'),
('60210','LE HAMEL','OISE'),
('60210','HAUTBOS','OISE'),
('60210','LAVERRIERE','OISE'),
('60210','LE MESNIL CONTEVILLE','OISE'),
('60210','OFFOY','OISE'),
('60210','ST MAUR','OISE'),
('60210','ST THIBAULT','OISE'),
('60210','SARCUS','OISE'),
('60210','SARNOIS','OISE'),
('60210','SOMMEREUX','OISE'),
('60210','THIEULOY ST ANTOINE','OISE'),
('60220','ABANCOURT','OISE'),
('60220','BLARGIES','OISE'),
('60220','BOUTAVENT','OISE'),
('60220','BOUVRESSE','OISE'),
('60220','BROQUIERS','OISE'),
('60220','CAMPEAUX','OISE'),
('60220','CANNY SUR THERAIN','OISE'),
('60220','ESCLES ST PIERRE','OISE'),
('60220','FORMERIE','OISE'),
('60220','FOUILLOY','OISE'),
('60220','GOURCHELLES','OISE'),
('60220','LANNOY CUILLERE','OISE'),
('60220','MOLIENS','OISE'),
('60220','MONCEAUX L ABBAYE','OISE'),
('60220','MUREAUMONT','OISE'),
('60220','OMECOURT','OISE'),
('60220','QUINCAMPOIX FLEUZY','OISE'),
('60220','ROMESCAMPS','OISE'),
('60220','ST ARNOULT','OISE'),
('60220','ST SAMSON LA POTERIE','OISE'),
('60220','ST VALERY','OISE'),
('60230','CHAMBLY','OISE'),
('60240','BACHIVILLERS','OISE'),
('60240','BOISSY LE BOIS','OISE'),
('60240','BOUBIERS','OISE'),
('60240','BOUCONVILLERS','OISE'),
('60240','BOURY EN VEXIN','OISE'),
('60240','CHAMBORS','OISE'),
('60240','CHAUMONT EN VEXIN','OISE'),
('60240','CHAVENCON','OISE'),
('60240','COURCELLES LES GISOR','OISE'),
('60240','DELINCOURT','OISE'),
('60240','ENENCOURT LE SEC','OISE'),
('60240','FAY LES ETANGS','OISE'),
('60240','FLEURY','OISE'),
('60240','FRESNEAUX MONTCHEVREUIL','OISE'),
('60240','FRESNE LEGUILLON','OISE'),
('60240','HADANCOURT LE HAUT CLOCHE','OISE'),
('60240','HARDIVILLERS EN VEXIN','OISE'),
('60240','JAMERICOURT','OISE'),
('60240','JOUY SOUS THELLE','OISE'),
('60240','LATTAINVILLE','OISE'),
('60240','LAVILLETERTRE','OISE'),
('60240','LIANCOURT ST PIERRE','OISE'),
('60240','LIERVILLE','OISE'),
('60240','LOCONVILLE','OISE'),
('60240','LE MESNIL THERIBUS','OISE'),
('60240','MONNEVILLE','OISE'),
('60240','MONTAGNY EN VEXIN','OISE'),
('60240','MONTJAVOULT','OISE'),
('60240','PARNES','OISE'),
('60240','REILLY','OISE'),
('60240','SENOTS','OISE'),
('60240','SERANS','OISE'),
('60240','THIBIVILLERS','OISE'),
('60240','TOURLY','OISE'),
('60240','VAUDANCOURT','OISE'),
('60250','ANGY','OISE'),
('60250','ANSACQ','OISE'),
('60250','BALAGNY SUR THERAIN','OISE'),
('60250','BURY','OISE'),
('60250','FOULANGUES','OISE'),
('60250','HEILLES','OISE'),
('60250','HONDAINVILLE','OISE'),
('60250','MOUCHY LE CHATEL','OISE'),
('60250','MOUY','OISE'),
('60250','THURY SOUS CLERMONT','OISE'),
('60260','LAMORLAYE','OISE'),
('60270','GOUVIEUX','OISE'),
('60280','MARGNY LES COMPIEGNE','OISE'),
('60290','CAMBRONNE LES CLERMONT','OISE'),
('60290','CAUFFRY','OISE'),
('60290','LAIGNEVILLE','OISE'),
('60290','MONCHY ST ELOI','OISE'),
('60290','NEUILLY SOUS CLERMONT','OISE'),
('60290','RANTIGNY','OISE'),
('60300','APREMONT','OISE'),
('60300','AUMONT EN HALATTE','OISE'),
('60300','AVILLY ST LEONARD','OISE'),
('60300','BARON','OISE'),
('60300','BOREST','OISE'),
('60300','CHAMANT','OISE'),
('60300','COURTEUIL','OISE'),
('60300','FONTAINE CHAALIS','OISE'),
('60300','MONT L EVEQUE','OISE'),
('60300','MONTLOGNON','OISE'),
('60300','SENLIS','OISE'),
('60310','AMY','OISE'),
('60310','AVRICOURT','OISE'),
('60310','BEAULIEU LES FONTAINES','OISE'),
('60310','CANDOR','OISE'),
('60310','CANNECTANCOURT','OISE'),
('60310','CANNY SUR MATZ','OISE'),
('60310','CRAPEAUMESNIL','OISE'),
('60310','CUY','OISE'),
('60310','DIVES','OISE'),
('60310','ECUVILLY','OISE'),
('60310','EVRICOURT','OISE'),
('60310','FRESNIERES','OISE'),
('60310','GURY','OISE'),
('60310','LABERLIERE','OISE'),
('60310','LAGNY','OISE'),
('60310','LASSIGNY','OISE'),
('60310','MARGNY AUX CERISES','OISE'),
('60310','OGNOLLES','OISE'),
('60310','PLESSIS DE ROYE','OISE'),
('60310','ROYE SUR MATZ','OISE'),
('60310','SOLENTE','OISE'),
('60310','THIESCOURT','OISE'),
('60320','BETHISY ST MARTIN','OISE'),
('60320','BETHISY ST PIERRE','OISE'),
('60320','NERY','OISE'),
('60320','ST SAUVEUR','OISE'),
('60330','EVE','OISE'),
('60330','LAGNY LE SEC','OISE'),
('60330','LE PLESSIS BELLEVILLE','OISE'),
('60330','SILLY LE LONG','OISE'),
('60340','ST LEU D ESSERENT','OISE'),
('60340','VILLERS SOUS ST LEU','OISE'),
('60350','ATTICHY','OISE'),
('60350','AUTRECHES','OISE'),
('60350','BERNEUIL SUR AISNE','OISE'),
('60350','BITRY','OISE'),
('60350','CHELLES','OISE'),
('60350','COULOISY','OISE'),
('60350','COURTIEUX','OISE'),
('60350','CROUTOY','OISE'),
('60350','CUISE LA MOTTE','OISE'),
('60350','HAUTEFONTAINE','OISE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('60350','JAULZY','OISE'),
('60350','MOULIN SOUS TOUVENT','OISE'),
('60350','PIERREFONDS','OISE'),
('60350','ST ETIENNE ROILAYE','OISE'),
('60350','ST JEAN AUX BOIS','OISE'),
('60350','ST PIERRE LES BITRY','OISE'),
('60350','TROSLY BREUIL','OISE'),
('60350','VIEUX MOULIN','OISE'),
('60360','AUCHY LA MONTAGNE','OISE'),
('60360','CATHEUX','OISE'),
('60360','CHOQUEUSE LES BENARDS','OISE'),
('60360','CONTEVILLE','OISE'),
('60360','CREVECOEUR LE GRAND','OISE'),
('60360','DOMELIERS','OISE'),
('60360','FONTAINE BONNELEAU','OISE'),
('60360','LE GALLET','OISE'),
('60360','HETOMESNIL','OISE'),
('60360','LIHUS','OISE'),
('60360','LUCHY','OISE'),
('60360','PREVILLERS','OISE'),
('60360','ROTANGY','OISE'),
('60360','LE SAULCHOY','OISE'),
('60360','VIEFVILLERS','OISE'),
('60370','BERTHECOURT','OISE'),
('60370','HERMES','OISE'),
('60370','ST FELIX','OISE'),
('60380','BAZANCOURT','OISE'),
('60380','BUICOURT','OISE'),
('60380','ERNEMONT BOUTAVENT','OISE'),
('60380','ESCAMES','OISE'),
('60380','FONTENAY TORCY','OISE'),
('60380','GERBEROY','OISE'),
('60380','GREMEVILLERS','OISE'),
('60380','HECOURT','OISE'),
('60380','HERICOURT SUR THERAIN','OISE'),
('60380','LACHAPELLE SOUS GERBEROY','OISE'),
('60380','LOUEUSE','OISE'),
('60380','MORVILLERS','OISE'),
('60380','ST DENISCOURT','OISE'),
('60380','ST QUENTIN DES PRES','OISE'),
('60380','SONGEONS','OISE'),
('60380','SULLY','OISE'),
('60380','THERINES','OISE'),
('60380','VILLERS VERMONT','OISE'),
('60380','WAMBEZ','OISE'),
('60390','AUNEUIL','OISE'),
('60390','AUTEUIL','OISE'),
('60390','BEAUMONT LES NONAINS','OISE'),
('60390','BERNEUIL EN BRAY','OISE'),
('60390','LA HOUSSOYE','OISE'),
('60390','LA NEUVILLE GARNIER','OISE'),
('60390','PORCHEUX','OISE'),
('60390','TROUSSURES','OISE'),
('60390','LE VAUROUX','OISE'),
('60390','VILLOTRAN','OISE'),
('60400','APPILLY','OISE'),
('60400','BABOEUF','OISE'),
('60400','BEAURAINS LES NOYON','OISE'),
('60400','BEHERICOURT','OISE'),
('60400','BRETIGNY','OISE'),
('60400','BUSSY','OISE'),
('60400','CAISNES','OISE'),
('60400','CRISOLLES','OISE'),
('60400','CUTS','OISE'),
('60400','GENVRY','OISE'),
('60400','GRANDRU','OISE'),
('60400','LARBROYE','OISE'),
('60400','MONDESCOURT','OISE'),
('60400','MORLINCOURT','OISE'),
('60400','NAMPCEL','OISE'),
('60400','NOYON','OISE'),
('60400','PASSEL','OISE'),
('60400','PONT L EVEQUE','OISE'),
('60400','PONTOISE LES NOYON','OISE'),
('60400','PORQUERICOURT','OISE'),
('60400','SALENCY','OISE'),
('60400','SEMPIGNY','OISE'),
('60400','SERMAIZE','OISE'),
('60400','SUZOY','OISE'),
('60400','VARESNES','OISE'),
('60400','VAUCHELLES','OISE'),
('60400','VILLE','OISE'),
('60410','RHUIS','OISE'),
('60410','ROBERVAL','OISE'),
('60410','SAINTINES','OISE'),
('60410','ST VAAST DE LONGMONT','OISE'),
('60410','VERBERIE','OISE'),
('60410','VILLENEUVE SUR VERBERIE','OISE'),
('60420','COIVREL','OISE'),
('60420','COURCELLES EPAYELLES','OISE'),
('60420','CREVECOEUR LE PETIT','OISE'),
('60420','DOMFRONT','OISE'),
('60420','DOMPIERRE','OISE'),
('60420','FERRIERES','OISE'),
('60420','LE FRESTOY VAUX','OISE'),
('60420','GODENVILLERS','OISE'),
('60420','LEGLANTIERS','OISE'),
('60420','MAIGNELAY MONTIGNY','OISE'),
('60420','MENEVILLERS','OISE'),
('60420','MERY LA BATAILLE','OISE'),
('60420','MONTGERAIN','OISE'),
('60420','LE PLOYRON','OISE'),
('60420','ROYAUCOURT','OISE'),
('60420','SAINS MORAINVILLERS','OISE'),
('60420','ST MARTIN AUX BOIS','OISE'),
('60420','TRICOT','OISE'),
('60420','WACQUEMOULIN','OISE'),
('60420','WELLES PERENNES','OISE'),
('60430','ABBECOURT','OISE'),
('60430','HODENC L EVEQUE','OISE'),
('60430','NOAILLES','OISE'),
('60430','PONCHON','OISE'),
('60430','ST SULPICE','OISE'),
('60430','SILLY TILLARD','OISE'),
('60430','WARLUIS','OISE'),
('60440','BOISSY FRESNOY','OISE'),
('60440','BREGY','OISE'),
('60440','CHEVREVILLE','OISE'),
('60440','NANTEUIL LE HAUDOUIN','OISE'),
('60440','OGNES','OISE'),
('60440','PEROY LES GOMBRIES','OISE'),
('60440','ROSIERES','OISE'),
('60440','VERSIGNY','OISE'),
('60460','BLAINCOURT LES PRECY','OISE'),
('60460','PRECY SUR OISE','OISE'),
('60480','ABBEVILLE ST LUCIEN','OISE'),
('60480','BUCAMPS','OISE'),
('60480','CAMPREMY','OISE'),
('60480','FONTAINE ST LUCIEN','OISE'),
('60480','FRANCASTEL','OISE'),
('60480','FROISSY','OISE'),
('60480','GUIGNECOURT','OISE'),
('60480','LACHAUSSEE DU BOIS D ECU','OISE'),
('60480','MAISONCELLE TUILERIE','OISE'),
('60480','MAULERS','OISE'),
('60480','MONTREUIL SUR BRECHE','OISE'),
('60480','MUIDORGE','OISE'),
('60480','LA NEUVILLE ST PIERRE','OISE'),
('60480','NOIREMONT','OISE'),
('60480','NOYERS ST MARTIN','OISE'),
('60480','OURCEL MAISON','OISE'),
('60480','PUITS LA VALLEE','OISE'),
('60480','LE QUESNEL AUBRY','OISE'),
('60480','REUIL SUR BRECHE','OISE'),
('60480','ST ANDRE FARIVILLERS','OISE'),
('60480','STE EUSOYE','OISE'),
('60480','THIEUX','OISE'),
('60490','BELLOY','OISE'),
('60490','BIERMONT','OISE'),
('60490','BOULOGNE LA GRASSE','OISE'),
('60490','CONCHY LES POTS','OISE'),
('60490','CUVILLY','OISE'),
('60490','HAINVILLERS','OISE'),
('60490','LATAULE','OISE'),
('60490','MAREST SUR MATZ','OISE'),
('60490','MAREUIL LA MOTTE','OISE'),
('60490','MARGNY SUR MATZ','OISE'),
('60490','MARQUEGLISE','OISE'),
('60490','MORTEMER','OISE'),
('60490','LA NEUVILLE RESSONS','OISE'),
('60490','ORVILLERS SOREL','OISE'),
('60490','RESSONS SUR MATZ','OISE'),
('60490','RICQUEBOURG','OISE'),
('60490','VANDELICOURT','OISE'),
('60500','CHANTILLY','OISE'),
('60500','VINEUIL ST FIRMIN','OISE'),
('60510','BONLIER','OISE'),
('60510','BRESLES','OISE'),
('60510','ESSUILES','OISE'),
('60510','LE FAY ST QUENTIN','OISE'),
('60510','FOUQUEROLLES','OISE'),
('60510','HAUDIVILLERS','OISE'),
('60510','LAFRAYE','OISE'),
('60510','LAVERSINES','OISE'),
('60510','LITZ','OISE'),
('60510','LA NEUVILLE EN HEZ','OISE'),
('60510','NIVILLERS','OISE'),
('60510','OROER','OISE'),
('60510','REMERANGLES','OISE'),
('60510','ROCHY CONDE','OISE'),
('60510','LA RUE ST PIERRE','OISE'),
('60510','THERDONNE','OISE'),
('60510','VELENNES','OISE'),
('60520','LA CHAPELLE EN SERVAL','OISE'),
('60520','PONTARME','OISE'),
('60520','THIERS SUR THEVE','OISE'),
('60530','CROUY EN THELLE','OISE'),
('60530','DIEUDONNE','OISE'),
('60530','ERCUIS','OISE'),
('60530','FRESNOY EN THELLE','OISE'),
('60530','LE MESNIL EN THELLE','OISE'),
('60530','MORANGLES','OISE'),
('60530','NEUILLY EN THELLE','OISE'),
('60540','ANSERVILLE','OISE'),
('60540','BELLE EGLISE','OISE'),
('60540','BORNEL','OISE'),
('60540','FOSSEUSE','OISE'),
('60540','PUISEUX LE HAUBERGER','OISE'),
('60550','VERNEUIL EN HALATTE','OISE'),
('60560','ORRY LA VILLE','OISE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('60570','ANDEVILLE','OISE'),
('60570','LABOISSIERE EN THELLE','OISE'),
('60570','MORTEFONTAINE EN THELLE','OISE'),
('60580','COYE LA FORET','OISE'),
('60590','BOUTENCOURT','OISE'),
('60590','ENENCOURT LEAGE','OISE'),
('60590','ERAGNY SUR EPTE','OISE'),
('60590','FLAVACOURT','OISE'),
('60590','LABOSSE','OISE'),
('60590','LALANDE EN SON','OISE'),
('60590','SERIFONTAINE','OISE'),
('60590','TALMONTIERS','OISE'),
('60590','TRIE CHATEAU','OISE'),
('60590','TRIE LA VILLE','OISE'),
('60590','LE VAUMAIN','OISE'),
('60590','VILLERS SUR TRIE','OISE'),
('60600','AGNETZ','OISE'),
('60600','AIRION','OISE'),
('60600','BREUIL LE SEC','OISE'),
('60600','BREUIL LE VERT','OISE'),
('60600','CATENOY','OISE'),
('60600','CLERMONT','OISE'),
('60600','ERQUERY','OISE'),
('60600','ETOUY','OISE'),
('60600','FITZ JAMES','OISE'),
('60600','LAMECOURT','OISE'),
('60600','MAIMBEVILLE','OISE'),
('60600','NOINTEL','OISE'),
('60600','REMECOURT','OISE'),
('60600','ST AUBIN SOUS ERQUERY','OISE'),
('60610','LACROIX ST OUEN','OISE'),
('60620','ACY EN MULTIEN','OISE'),
('60620','ANTILLY','OISE'),
('60620','BARGNY','OISE'),
('60620','BETZ','OISE'),
('60620','BOUILLANCY','OISE'),
('60620','BOULLARRE','OISE'),
('60620','CUVERGNON','OISE'),
('60620','ETAVIGNY','OISE'),
('60620','ORMOY LE DAVIEN','OISE'),
('60620','REEZ FOSSE MARTIN','OISE'),
('60620','ROSOY EN MULTIEN','OISE'),
('60620','ROUVRES EN MULTIEN','OISE'),
('60620','VILLERS ST GENEST','OISE'),
('60640','BEAUGIES SOUS BOIS','OISE'),
('60640','BERLANCOURT','OISE'),
('60640','CAMPAGNE','OISE'),
('60640','CATIGNY','OISE'),
('60640','FLAVY LE MELDEUX','OISE'),
('60640','FRENICHES','OISE'),
('60640','FRETOY LE CHATEAU','OISE'),
('60640','GOLANCOURT','OISE'),
('60640','GUISCARD','OISE'),
('60640','LIBERMONT','OISE'),
('60640','MAUCOURT','OISE'),
('60640','MUIRANCOURT','OISE'),
('60640','LE PLESSIS PATTE OIE','OISE'),
('60640','QUESMY','OISE'),
('60640','VILLESELVE','OISE'),
('60650','BLACOURT','OISE'),
('60650','ESPAUBOURG','OISE'),
('60650','GLATIGNY','OISE'),
('60650','HANNACHES','OISE'),
('60650','HANVOILE','OISE'),
('60650','HODENC EN BRAY','OISE'),
('60650','LACHAPELLE AUX POTS','OISE'),
('60650','LHERAULE','OISE'),
('60650','LE MONT ST ADRIEN','OISE'),
('60650','ONS EN BRAY','OISE'),
('60650','ST AUBIN EN BRAY','OISE'),
('60650','ST GERMAIN LA POTERIE','OISE'),
('60650','ST PAUL','OISE'),
('60650','SAVIGNIES','OISE'),
('60650','SENANTES','OISE'),
('60650','VILLEMBRAY','OISE'),
('60650','VILLERS ST BARTHELEMY','OISE'),
('60650','VILLERS SUR AUCHY','OISE'),
('60650','LES FONTAINETTES','OISE'),
('60660','CIRES LES MELLO','OISE'),
('60660','CRAMOISY','OISE'),
('60660','MAYSEL','OISE'),
('60660','MELLO','OISE'),
('60660','ROUSSELOY','OISE'),
('60660','ST VAAST LES MELLO','OISE'),
('60680','CANLY','OISE'),
('60680','LE FAYEL','OISE'),
('60680','GRANDFRESNOY','OISE'),
('60680','JONQUIERES','OISE'),
('60690','ACHY','OISE'),
('60690','FONTAINE LAVAGANNE','OISE'),
('60690','HAUTE EPINE','OISE'),
('60690','MARSEILLE EN BEAUVAISIS','OISE'),
('60690','LA NEUVILLE SUR OUDEUIL','OISE'),
('60690','ROTHOIS','OISE'),
('60690','ROY BOISSY','OISE'),
('60700','LES AGEUX','OISE'),
('60700','BAZICOURT','OISE'),
('60700','BEAUREPAIRE','OISE'),
('60700','FLEURINES','OISE'),
('60700','PONTPOINT','OISE'),
('60700','PONT STE MAXENCE','OISE'),
('60700','SACY LE GRAND','OISE'),
('60700','ST MARTIN LONGUEAU','OISE'),
('60710','CHEVRIERES','OISE'),
('60710','HOUDANCOURT','OISE'),
('60730','CAUVIGNY','OISE'),
('60730','LACHAPELLE ST PIERRE','OISE'),
('60730','NOVILLERS','OISE'),
('60730','STE GENEVIEVE','OISE'),
('60730','ULLY ST GEORGES','OISE'),
('60740','ST MAXIMIN','OISE'),
('60750','CHOISY AU BAC','OISE'),
('60790','LE DELUGE','OISE'),
('60790','MONTHERLANT','OISE'),
('60790','LA NEUVILLE D AUMONT','OISE'),
('60790','POUILLY','OISE'),
('60790','RESSONS L\'ABBAYE','OISE'),
('60790','VALDAMPIERRE','OISE'),
('60790','LE COUDRAY SUR THELLE','OISE'),
('60800','AUGER ST VINCENT','OISE'),
('60800','CREPY EN VALOIS','OISE'),
('60800','DUVY','OISE'),
('60800','FEIGNEUX','OISE'),
('60800','FRESNOY LE LUAT','OISE'),
('60800','LEVIGNEN','OISE'),
('60800','ORMOY VILLERS','OISE'),
('60800','ROCQUEMONT','OISE'),
('60800','ROUVILLE','OISE'),
('60800','SERY MAGNEVAL','OISE'),
('60800','TRUMILLY','OISE'),
('60810','BARBERY','OISE'),
('60810','BRASSEUSE','OISE'),
('60810','MONTEPILLOY','OISE'),
('60810','OGNON','OISE'),
('60810','RARAY','OISE'),
('60810','RULLY','OISE'),
('60810','VILLERS ST FRAMBOURG','OISE'),
('60820','BORAN SUR OISE','OISE'),
('60850','LE COUDRAY ST GERMER','OISE'),
('60850','CUIGY EN BRAY','OISE'),
('60850','LALANDELLE','OISE'),
('60850','PUISEUX EN BRAY','OISE'),
('60850','ST GERMER DE FLY','OISE'),
('60850','ST PIERRE ES CHAMPS','OISE'),
('60860','BLICOURT','OISE'),
('60860','OUDEUIL','OISE'),
('60860','PISSELEU','OISE'),
('60860','ST OMER EN CHAUSSEE','OISE'),
('60860','VILLERS SUR BONNIERES','OISE'),
('60870','BRENOUILLE','OISE'),
('60870','RIEUX','OISE'),
('60870','VILLERS ST PAUL','OISE'),
('60880','ARMANCOURT','OISE'),
('60880','JAUX','OISE'),
('60880','LE MEUX','OISE'),
('60890','AUTHEUIL EN VALOIS','OISE'),
('60890','MAREUIL SUR OURCQ','OISE'),
('60890','MAROLLES','OISE'),
('60890','NEUFCHELLES','OISE'),
('60890','THURY EN VALOIS','OISE'),
('60890','VARINFROY','OISE'),
('60890','LA VILLENEUVE THURY','OISE'),
('60930','BAILLEUL SUR THERAIN','OISE'),
('60940','ANGICOURT','OISE'),
('60940','CINQUEUX','OISE'),
('60940','MONCEAUX','OISE'),
('60950','ERMENONVILLE','OISE'),
('60950','MONTAGNY ST FELICITE','OISE'),
('60950','VER SUR LAUNETTE','OISE'),
('60960','FEUQUIERES','OISE'),
('61000','ALENCON','ORNE'),
('61000','CERISE','ORNE'),
('61000','ST GERMAIN DU CORBEIS','ORNE'),
('61100','AUBUSSON','ORNE'),
('61100','LA BAZOQUE','ORNE'),
('61100','BREEL','ORNE'),
('61100','CALIGNY','ORNE'),
('61100','LA CARNEILLE','ORNE'),
('61100','CERISY BELLE ETOILE','ORNE'),
('61100','LA CHAPELLE AU MOINE','ORNE'),
('61100','LA CHAPELLE BICHE','ORNE'),
('61100','DURCET','ORNE'),
('61100','FLERS','ORNE'),
('61100','LA LANDE PATRY','ORNE'),
('61100','LA LANDE ST SIMEON','ORNE'),
('61100','LANDIGOU','ORNE'),
('61100','LANDISACQ','ORNE'),
('61100','MONTILLY SUR NOIREAU','ORNE'),
('61100','NOTRE DAME DU ROCHER','ORNE'),
('61100','RONFEUGERAI','ORNE'),
('61100','ST GEORGES DES GROSEILLER','ORNE'),
('61100','STE OPPORTUNE','ORNE'),
('61100','ST PAUL','ORNE'),
('61100','SEGRIE FONTAINE','ORNE'),
('61100','LA SELLE LA FORGE','ORNE'),
('61100','TAILLEBOIS','ORNE'),
('61100','LES TOURAILLES','ORNE'),
('61110','BELLOU SUR HUISNE','ORNE'),
('61110','BOISSY MAUGIS','ORNE'),
('61110','BRETONCELLES','ORNE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('61110','CONDEAU','ORNE'),
('61110','CONDE SUR HUISNE','ORNE'),
('61110','COULONGES LES SABLONS','ORNE'),
('61110','DORCEAU','ORNE'),
('61110','LA MADELEINE BOUVET','ORNE'),
('61110','MAISON MAUGIS','ORNE'),
('61110','MOUTIERS AU PERCHE','ORNE'),
('61110','REMALARD','ORNE'),
('61110','ST GERMAIN DES GROIS','ORNE'),
('61110','ST MAURICE SUR HUISNE','ORNE'),
('61110','VERRIERES','ORNE'),
('61120','AUBRY LE PANTHOU','ORNE'),
('61120','CAMEMBERT','ORNE'),
('61120','CANAPVILLE','ORNE'),
('61120','LES CHAMPEAUX','ORNE'),
('61120','CHAMPOSOULT','ORNE'),
('61120','CROUTTES','ORNE'),
('61120','FRESNAY LE SAMSON','ORNE'),
('61120','GUERQUESALLES','ORNE'),
('61120','NEUVILLE SUR TOUQUES','ORNE'),
('61120','ORVILLE','ORNE'),
('61120','PONTCHARDON','ORNE'),
('61120','LE RENOUARD','ORNE'),
('61120','ROIVILLE','ORNE'),
('61120','TICHEVILLE','ORNE'),
('61120','VIMOUTIERS','ORNE'),
('61130','APPENAI SOUS BELLEME','ORNE'),
('61130','BELLEME','ORNE'),
('61130','BELLOU LE TRICHARD','ORNE'),
('61130','LA CHAPELLE SOUEF','ORNE'),
('61130','DAME MARIE','ORNE'),
('61130','GEMAGES','ORNE'),
('61130','LE GUE DE LA CHAINE','ORNE'),
('61130','IGE','ORNE'),
('61130','ORIGNY LE BUTIN','ORNE'),
('61130','ORIGNY LE ROUX','ORNE'),
('61130','POUVRAI','ORNE'),
('61130','ST CYR LA ROSIERE','ORNE'),
('61130','ST FULGENT DES ORMES','ORNE'),
('61130','ST GERMAIN DE LA COUDRE','ORNE'),
('61130','ST MARTIN DU VIEUX BELLEM','ORNE'),
('61130','ST OUEN DE LA COUR','ORNE'),
('61130','SERIGNY','ORNE'),
('61130','VAUNOISE','ORNE'),
('61140','BAGNOLES DE L ORNE','ORNE'),
('61140','BEAULANDAIS','ORNE'),
('61140','LA CHAPELLE D ANDAINE','ORNE'),
('61140','GENESLAY','ORNE'),
('61140','JUVIGNY SOUS ANDAINE','ORNE'),
('61140','TESSE LA MADELEINE','ORNE'),
('61150','AVOINE','ORNE'),
('61150','BATILLY','ORNE'),
('61150','LA COURBE','ORNE'),
('61150','ECOUCHE','ORNE'),
('61150','GOULET','ORNE'),
('61150','JOUE DU PLAIN','ORNE'),
('61150','LOUCE','ORNE'),
('61150','LOUGE SUR MAIRE','ORNE'),
('61150','MONTGAROULT','ORNE'),
('61150','RANES','ORNE'),
('61150','ST BRICE SOUS RANES','ORNE'),
('61150','ST OUEN SUR MAIRE','ORNE'),
('61150','SENTILLY','ORNE'),
('61150','SERANS','ORNE'),
('61150','SEVRAI','ORNE'),
('61150','TANQUES','ORNE'),
('61150','VIEUX PONT','ORNE'),
('61160','AUBRY EN EXMES','ORNE'),
('61160','BAILLEUL','ORNE'),
('61160','BRIEUX','ORNE'),
('61160','CHAMBOIS','ORNE'),
('61160','COUDEHARD','ORNE'),
('61160','COULONCES','ORNE'),
('61160','ECORCHES','ORNE'),
('61160','FEL','ORNE'),
('61160','FONTAINE LES BASSETS','ORNE'),
('61160','GUEPREI','ORNE'),
('61160','LOUVIERES EN AUGE','ORNE'),
('61160','MERRI','ORNE'),
('61160','MONTABARD','ORNE'),
('61160','MONT ORMEL','ORNE'),
('61160','MONTREUIL LA CAMBE','ORNE'),
('61160','NEAUPHE SUR DIVE','ORNE'),
('61160','NECY','ORNE'),
('61160','OMMEEL','ORNE'),
('61160','OMMOY','ORNE'),
('61160','RONAI','ORNE'),
('61160','ST GERVAIS DES SABLONS','ORNE'),
('61160','ST LAMBERT SUR DIVE','ORNE'),
('61160','TOURNAI SUR DIVE','ORNE'),
('61160','TRUN','ORNE'),
('61160','VILLEDIEU LES BAILLEUL','ORNE'),
('61170','BARVILLE','ORNE'),
('61170','BURE','ORNE'),
('61170','BURES','ORNE'),
('61170','COULONGES SUR SARTHE','ORNE'),
('61170','LALEU','ORNE'),
('61170','MARCHEMAISONS','ORNE'),
('61170','LE MELE SUR SARTHE','ORNE'),
('61170','LE MENIL GUYON','ORNE'),
('61170','MONTCHEVREL','ORNE'),
('61170','LE PLANTIS','ORNE'),
('61170','ST AGNAN SUR SARTHE','ORNE'),
('61170','ST AUBIN D APPENAI','ORNE'),
('61170','ST JULIEN SUR SARTHE','ORNE'),
('61170','ST LEGER SUR SARTHE','ORNE'),
('61170','STE SCOLASSE SUR SARTHE','ORNE'),
('61170','LES VENTES DE BOURSE','ORNE'),
('61190','AUTHEUIL','ORNE'),
('61190','BEAULIEU','ORNE'),
('61190','BIVILLIERS','ORNE'),
('61190','BRESOLETTES','ORNE'),
('61190','BUBERTRE','ORNE'),
('61190','CHAMPS','ORNE'),
('61190','IRAI','ORNE'),
('61190','LIGNEROLLES','ORNE'),
('61190','MOUSSONVILLIERS','ORNE'),
('61190','NORMANDEL','ORNE'),
('61190','LA POTERIE AU PERCHE','ORNE'),
('61190','PREPOTIN','ORNE'),
('61190','RANDONNAI','ORNE'),
('61190','ST MAURICE LES CHARENCEY','ORNE'),
('61190','TOUROUVRE','ORNE'),
('61190','LA VENTROUZE','ORNE'),
('61200','ARGENTAN','ORNE'),
('61200','AUNOU LE FAUCON','ORNE'),
('61200','COMMEAUX','ORNE'),
('61200','FLEURE','ORNE'),
('61200','FONTENAI SUR ORNE','ORNE'),
('61200','JUVIGNY SUR ORNE','ORNE'),
('61200','MOULINS SUR ORNE','ORNE'),
('61200','OCCAGNES','ORNE'),
('61200','SAI','ORNE'),
('61200','SARCEAUX','ORNE'),
('61200','SEVIGNY','ORNE'),
('61200','UROU ET CRENNES','ORNE'),
('61210','BAZOCHES AU HOULME','ORNE'),
('61210','CHAMPCERIE','ORNE'),
('61210','CHENEDOUIT','ORNE'),
('61210','LA FORET AUVRAY','ORNE'),
('61210','LA FRESNAYE AU SAUVAGE','ORNE'),
('61210','GIEL COURTEILLES','ORNE'),
('61210','HABLOVILLE','ORNE'),
('61210','LA LANDE DE LOUGE','ORNE'),
('61210','MENIL GONDOUIN','ORNE'),
('61210','MENIL HERMEI','ORNE'),
('61210','MENIL JEAN','ORNE'),
('61210','MENIL VIN','ORNE'),
('61210','MONTREUIL AU HOULME','ORNE'),
('61210','NEUVY AU HOULME','ORNE'),
('61210','PUTANGES PONT ECREPIN','ORNE'),
('61210','RABODANGES','ORNE'),
('61210','RI','ORNE'),
('61210','LES ROTOURS','ORNE'),
('61210','ST AUBERT SUR ORNE','ORNE'),
('61210','STE CROIX SUR ORNE','ORNE'),
('61210','STE HONORINE LA GUILLAUME','ORNE'),
('61210','LES YVETEAUX','ORNE'),
('61220','BELLOU EN HOULME','ORNE'),
('61220','BRIOUZE','ORNE'),
('61220','LA COULONCHE','ORNE'),
('61220','CRAMENIL','ORNE'),
('61220','LIGNOU','ORNE'),
('61220','LE MENIL DE BRIOUZE','ORNE'),
('61220','POINTEL','ORNE'),
('61220','ST ANDRE DE BRIOUZE','ORNE'),
('61220','ST HILAIRE DE BRIOUZE','ORNE'),
('61220','SAIRES LA VERRERIE','ORNE'),
('61230','CHAUMONT','ORNE'),
('61230','CISAI ST AUBIN','ORNE'),
('61230','COULMER','ORNE'),
('61230','CROISILLES','ORNE'),
('61230','LA FRESNAIE FAYEL','ORNE'),
('61230','GACE','ORNE'),
('61230','MARDILLY','ORNE'),
('61230','MENIL HUBERT EN EXMES','ORNE'),
('61230','ORGERES','ORNE'),
('61230','RESENLIEU','ORNE'),
('61230','ST EVROULT DE MONTFORT','ORNE'),
('61230','LE SAP ANDRE','ORNE'),
('61230','LA TRINITE DES LAITIERS','ORNE'),
('61240','LES AUTHIEUX DU PUITS','ORNE'),
('61240','CHAMP HAUT','ORNE'),
('61240','LA GENEVRAIE','ORNE'),
('61240','GODISSON','ORNE'),
('61240','LIGNERES','ORNE'),
('61240','MARMOUILLE','ORNE'),
('61240','MENIL FROGER','ORNE'),
('61240','LE MENIL VICOMTE','ORNE'),
('61240','LE MERLERAULT','ORNE'),
('61240','NONANT LE PIN','ORNE'),
('61240','ST GERMAIN DE CLAIREFEUIL','ORNE'),
('61250','COLOMBIERS','ORNE'),
('61250','CONDE SUR SARTHE','ORNE'),
('61250','CUISSAI','ORNE'),
('61250','DAMIGNY','ORNE'),
('61250','FORGES','ORNE'),
('61250','HAUTERIVE','ORNE'),
('61250','HELOUP','ORNE'),
('61250','LARRE','ORNE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('61250','LONRAI','ORNE'),
('61250','LE MENIL BROUT','ORNE'),
('61250','MENIL ERREUX','ORNE'),
('61250','MIEUXCE','ORNE'),
('61250','NEUILLY LE BISSON','ORNE'),
('61250','PACE','ORNE'),
('61250','RADON','ORNE'),
('61250','ST CENERI LE GEREI','ORNE'),
('61250','ST NICOLAS DES BOIS','ORNE'),
('61250','SEMALLE','ORNE'),
('61250','VALFRAMBERT','ORNE'),
('61250','VINGT HANAPS','ORNE'),
('61260','CETON','ORNE'),
('61260','L HERMITIERE','ORNE'),
('61260','MALE','ORNE'),
('61260','LA ROUGE','ORNE'),
('61260','LE THEIL','ORNE'),
('61270','AUBE','ORNE'),
('61270','AUGUAISE','ORNE'),
('61270','BEAUFAI','ORNE'),
('61270','BONNEFOI','ORNE'),
('61270','BRETHEL','ORNE'),
('61270','LA CHAPELLE VIEL','ORNE'),
('61270','ECORCEI','ORNE'),
('61270','LES GENETTES','ORNE'),
('61270','LE MENIL BERARD','ORNE'),
('61270','RAI','ORNE'),
('61270','ST HILAIRE SUR RILE','ORNE'),
('61270','LES ASPRES','ORNE'),
('61290','BIZOU','ORNE'),
('61290','L HOME CHAMONDOT','ORNE'),
('61290','LA LANDE SUR EURE','ORNE'),
('61290','LONGNY AU PERCHE','ORNE'),
('61290','LE MAGE','ORNE'),
('61290','MALETABLE','ORNE'),
('61290','MARCHAINVILLE','ORNE'),
('61290','LES MENUS','ORNE'),
('61290','MONCEAUX AU PERCHE','ORNE'),
('61290','MOULICENT','ORNE'),
('61290','NEUILLY SUR EURE','ORNE'),
('61290','LE PAS ST L HOMER','ORNE'),
('61290','ST VICTOR DE RENO','ORNE'),
('61300','CHANDAI','ORNE'),
('61300','CRULAI','ORNE'),
('61300','L AIGLE','ORNE'),
('61300','ST MARTIN D ECUBLEI','ORNE'),
('61300','ST MICHEL TUBOEUF','ORNE'),
('61300','ST OUEN SUR ITON','ORNE'),
('61300','ST SULPICE SUR RILLE','ORNE'),
('61300','ST SYMPHORIEN DES BRUYERE','ORNE'),
('61300','VITRAI SOUS LAIGLE','ORNE'),
('61310','AVERNES SOUS EXMES','ORNE'),
('61310','LE BOURG ST LEONARD','ORNE'),
('61310','LA COCHERE','ORNE'),
('61310','COURMENIL','ORNE'),
('61310','EXMES','ORNE'),
('61310','GINAI','ORNE'),
('61310','LE PIN AU HARAS','ORNE'),
('61310','ST PIERRE LA RIVIERE','ORNE'),
('61310','SILLY EN GOUFFERN','ORNE'),
('61310','SURVIE','ORNE'),
('61310','VILLEBADIN','ORNE'),
('61320','CARROUGES','ORNE'),
('61320','CHAHAINS','ORNE'),
('61320','LE CHAMP DE LA PIERRE','ORNE'),
('61320','CIRAL','ORNE'),
('61320','JOUE DU BOIS','ORNE'),
('61320','LALACELLE','ORNE'),
('61320','LA LANDE DE GOULT','ORNE'),
('61320','LONGUENOE','ORNE'),
('61320','LE MENIL SCELLEUR','ORNE'),
('61320','ROUPERROUX','ORNE'),
('61320','ST DIDIER SOUS ECOUVES','ORNE'),
('61320','ST ELLIER LES BOIS','ORNE'),
('61320','STE MARGUERITE DE CARROUG','ORNE'),
('61320','STE MARIE LA ROBERT','ORNE'),
('61320','ST MARTIN DES LANDES','ORNE'),
('61320','ST MARTIN L AIGUILLON','ORNE'),
('61320','ST SAUVEUR DE CARROUGES','ORNE'),
('61330','LA BAROCHE SOUS LUCE','ORNE'),
('61330','CEAUCE','ORNE'),
('61330','LORE','ORNE'),
('61330','LUCE','ORNE'),
('61330','ST DENIS DE VILLENETTE','ORNE'),
('61330','SEPT FORGES','ORNE'),
('61330','TORCHAMP','ORNE'),
('61340','BERD HUIS','ORNE'),
('61340','COLONARD CORUBERT','ORNE'),
('61340','COURCERAULT','ORNE'),
('61340','DANCE','ORNE'),
('61340','NOCE','ORNE'),
('61340','PREAUX DU PERCHE','ORNE'),
('61340','ST AGNAN SUR ERRE','ORNE'),
('61340','ST AUBIN DES GROIS','ORNE'),
('61340','ST HILAIRE SUR ERRE','ORNE'),
('61340','ST JEAN DE LA FORET','ORNE'),
('61340','ST PIERRE LA BRUYERE','ORNE'),
('61350','L EPINAY LE COMTE','ORNE'),
('61350','MANTILLY','ORNE'),
('61350','PASSAIS','ORNE'),
('61350','ST FRAIMBAULT','ORNE'),
('61350','ST MARS D EGRENNE','ORNE'),
('61350','ST ROCH SUR EGRENNE','ORNE'),
('61350','ST SIMEON','ORNE'),
('61360','BELLAVILLIERS','ORNE'),
('61360','CHEMILLI','ORNE'),
('61360','COULIMER','ORNE'),
('61360','MONTGAUDRY','ORNE'),
('61360','LA PERRIERE','ORNE'),
('61360','PERVENCHERES','ORNE'),
('61360','ST JOUIN DE BLAVOU','ORNE'),
('61360','ST QUENTIN DE BLAVOU','ORNE'),
('61360','SURE','ORNE'),
('61360','VIDAI','ORNE'),
('61370','ECHAUFFOUR','ORNE'),
('61370','PLANCHES','ORNE'),
('61370','STE GAUBURGE ST COLOMBE','ORNE'),
('61370','ST PIERRE DES LOGES','ORNE'),
('61380','BONSMOULINS','ORNE'),
('61380','LA FERRIERE AU DOYEN','ORNE'),
('61380','MAHERU','ORNE'),
('61380','MOULINS LA MARCHE','ORNE'),
('61380','ST AQUILIN DE CORBION','ORNE'),
('61380','STE CERONNE LES MORTAGNE','ORNE'),
('61380','ST MARTIN DES PEZERITS','ORNE'),
('61380','SOLIGNY LA TRAPPE','ORNE'),
('61390','BRULLEMAIL','ORNE'),
('61390','LE CHALANGE','ORNE'),
('61390','COURTOMER','ORNE'),
('61390','FAY','ORNE'),
('61390','FERRIERES LA VERRERIE','ORNE'),
('61390','GAPREE','ORNE'),
('61390','ST GERMAIN LE VIEUX','ORNE'),
('61390','ST LEONARD DES PARCS','ORNE'),
('61390','TELLIERES LE PLESSIS','ORNE'),
('61390','TREMONT','ORNE'),
('61400','LA CHAPELLE MONTLIGEON','ORNE'),
('61400','COMBLOT','ORNE'),
('61400','CORBON','ORNE'),
('61400','COURGEON','ORNE'),
('61400','EPERRAIS','ORNE'),
('61400','FEINGS','ORNE'),
('61400','LOISAIL','ORNE'),
('61400','MAUVES SUR HUISNE','ORNE'),
('61400','MORTAGNE AU PERCHE','ORNE'),
('61400','PARFONDEVAL','ORNE'),
('61400','LE PIN LA GARENNE','ORNE'),
('61400','REVEILLON','ORNE'),
('61400','ST DENIS SUR HUISNE','ORNE'),
('61400','ST HILAIRE LE CHATEL','ORNE'),
('61400','ST LANGIS LES MORTAGNE','ORNE'),
('61400','ST MARD DE RENO','ORNE'),
('61400','VILLIERS SOUS MORTAGNE','ORNE'),
('61410','ANTOIGNY','ORNE'),
('61410','COUTERNE','ORNE'),
('61410','HALEINE','ORNE'),
('61410','MEHOUDIN','ORNE'),
('61410','ST OUEN LE BRISOULT','ORNE'),
('61410','TESSE FROULAY','ORNE'),
('61420','RAVIGNY','ORNE'),
('61420','LA FERRIERE BOCHARD','ORNE'),
('61420','FONTENAI LES LOUVETS','ORNE'),
('61420','GANDELAIN','ORNE'),
('61420','LIVAIE','ORNE'),
('61420','LA ROCHE MABILE','ORNE'),
('61420','ST DENIS SUR SARTHON','ORNE'),
('61430','ATHIS DE L ORNE','ORNE'),
('61430','BERJOU','ORNE'),
('61430','CAHAN','ORNE'),
('61430','MENIL HUBERT SUR ORNE','ORNE'),
('61430','STE HONORINE LA CHARDONNE','ORNE'),
('61430','ST PHILBERT SUR ORNE','ORNE'),
('61440','ECHALOU','ORNE'),
('61440','MESSEI','ORNE'),
('61440','ST ANDRE DE MESSEI','ORNE'),
('61450','BANVOU','ORNE'),
('61450','LE CHATELLIER','ORNE'),
('61450','LA FERRIERE AUX ETANGS','ORNE'),
('61470','AVERNES ST GOURGON','ORNE'),
('61470','LE BOSC RENOULT','ORNE'),
('61470','HEUGON','ORNE'),
('61470','MONNAI','ORNE'),
('61470','ST AUBIN DE BONNEVAL','ORNE'),
('61470','ST GERMAIN D AUNAY','ORNE'),
('61470','LE SAP','ORNE'),
('61490','ST CLAIR DE HALOUZE','ORNE'),
('61500','AUNAY LES BOIS','ORNE'),
('61500','AUNOU SUR ORNE','ORNE'),
('61500','BELFONDS','ORNE'),
('61500','BOITRON','ORNE'),
('61500','LE BOUILLON','ORNE'),
('61500','BURSARD','ORNE'),
('61500','LE CERCUEIL','ORNE'),
('61500','CHAILLOUE','ORNE'),
('61500','LA CHAPELLE PRES SEES','ORNE'),
('61500','ESSAY','ORNE'),
('61500','LA FERRIERE BECHET','ORNE'),
('61500','MACE','ORNE'),
('61500','NEAUPHE SOUS ESSAI','ORNE'),
('61500','NEUVILLE PRES SEES','ORNE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('61500','ST GERVAIS DU PERRON','ORNE'),
('61500','ST HILAIRE LA GERARD','ORNE'),
('61500','SEES','ORNE'),
('61500','TANVILLE','ORNE'),
('61550','ANCEINS','ORNE'),
('61550','BOCQUENCE','ORNE'),
('61550','COUVAINS','ORNE'),
('61550','LA FERTE FRENEL','ORNE'),
('61550','GAUVILLE','ORNE'),
('61550','GLOS LA FERRIERE','ORNE'),
('61550','LA GONFRIERE','ORNE'),
('61550','MARNEFER','ORNE'),
('61550','ST EVROULT NOTRE DAME DU','ORNE'),
('61550','ST NICOLAS DES LAITIERS','ORNE'),
('61550','ST NICOLAS DE SOMMAIRE','ORNE'),
('61550','TOUQUETTES','ORNE'),
('61550','VILLERS EN OUCHE','ORNE'),
('61560','BAZOCHES SUR HOENE','ORNE'),
('61560','BOECE','ORNE'),
('61560','CHAMPEAUX SUR SARTHE','ORNE'),
('61560','COURGEOUT','ORNE'),
('61560','LA MESNIERE','ORNE'),
('61560','ST AUBIN DE COURTERAIE','ORNE'),
('61560','ST GERMAIN DE MARTIGNY','ORNE'),
('61560','ST OUEN DE SECHEROUVRE','ORNE'),
('61570','ALMENECHES','ORNE'),
('61570','LA BELLIERE','ORNE'),
('61570','BOISSEI LA LANDE','ORNE'),
('61570','BOUCE','ORNE'),
('61570','LE CHATEAU D ALMENECHES','ORNE'),
('61570','FRANCHEVILLE','ORNE'),
('61570','MARCEI','ORNE'),
('61570','MEDAVY','ORNE'),
('61570','MONTMERREI','ORNE'),
('61570','MORTREE','ORNE'),
('61570','ST CHRISTOPHE LE JAJOLET','ORNE'),
('61570','ST LOYER DES CHAMPS','ORNE'),
('61570','VRIGNY','ORNE'),
('61600','BEAUVAIN','ORNE'),
('61600','LA CHAUX','ORNE'),
('61600','FAVEROLLES','ORNE'),
('61600','LA FERTE MACE','ORNE'),
('61600','LE GRAIS','ORNE'),
('61600','LONLAY LE TESSON','ORNE'),
('61600','MAGNY LE DESERT','ORNE'),
('61600','LA MOTTE FOUQUET','ORNE'),
('61600','ST GEORGES D ANNEBECQ','ORNE'),
('61600','ST MAURICE DU DESERT','ORNE'),
('61600','ST MICHEL DES ANDAINES','ORNE'),
('61600','ST PATRICE DU DESERT','ORNE'),
('61600','LA SAUVAGERE','ORNE'),
('61700','AVRILLY','ORNE'),
('61700','CHAMPSECRET','ORNE'),
('61700','DOMFRONT','ORNE'),
('61700','DOMPIERRE','ORNE'),
('61700','LA HAUTE CHAPELLE','ORNE'),
('61700','LONLAY L ABBAYE','ORNE'),
('61700','PERROU','ORNE'),
('61700','ROUELLE','ORNE'),
('61700','ST BOMER LES FORGES','ORNE'),
('61700','ST BRICE','ORNE'),
('61700','ST GILLES DES MARAIS','ORNE'),
('61790','ST PIERRE DU REGARD','ORNE'),
('61800','BEAUCHENE','ORNE'),
('61800','CHANU','ORNE'),
('61800','CLAIREFOUGERE','ORNE'),
('61800','FRENES','ORNE'),
('61800','LARCHAMP','ORNE'),
('61800','LE MENIL CIBOULT','ORNE'),
('61800','MONCY','ORNE'),
('61800','MONTSECRET','ORNE'),
('61800','ST CHRISTOPHE DE CHAULIEU','ORNE'),
('61800','ST CORNIER DES LANDES','ORNE'),
('61800','ST JEAN DES BOIS','ORNE'),
('61800','ST PIERRE D ENTREMONT','ORNE'),
('61800','ST QUENTIN LES CHARDONNET','ORNE'),
('61800','TINCHEBRAY','ORNE'),
('61800','YVRANDES','ORNE'),
('62000','ARRAS','PAS DE CALAIS'),
('62000','DAINVILLE','PAS DE CALAIS'),
('62100','CALAIS','PAS DE CALAIS'),
('62110','HENIN BEAUMONT','PAS DE CALAIS'),
('62111','BIENVILLERS AU BOIS','PAS DE CALAIS'),
('62111','FONCQUEVILLERS','PAS DE CALAIS'),
('62111','GOMMECOURT','PAS DE CALAIS'),
('62111','HANNESCAMPS','PAS DE CALAIS'),
('62111','HEBUTERNE','PAS DE CALAIS'),
('62111','MONCHY AU BOIS','PAS DE CALAIS'),
('62111','POMMIER','PAS DE CALAIS'),
('62111','SAILLY AU BOIS','PAS DE CALAIS'),
('62111','SOUASTRE','PAS DE CALAIS'),
('62112','CORBEHEM','PAS DE CALAIS'),
('62112','GOUY SOUS BELLONNE','PAS DE CALAIS'),
('62113','LABOURSE','PAS DE CALAIS'),
('62113','SAILLY LABOURSE','PAS DE CALAIS'),
('62113','VERQUIGNEUL','PAS DE CALAIS'),
('62114','SAINS EN GOHELLE','PAS DE CALAIS'),
('62116','ABLAINZEVELLE','PAS DE CALAIS'),
('62116','ADINFER','PAS DE CALAIS'),
('62116','AYETTE','PAS DE CALAIS'),
('62116','BUCQUOY','PAS DE CALAIS'),
('62116','DOUCHY LES AYETTE','PAS DE CALAIS'),
('62116','PUISIEUX','PAS DE CALAIS'),
('62117','BREBIERES','PAS DE CALAIS'),
('62118','BIACHE ST VAAST','PAS DE CALAIS'),
('62118','FAMPOUX','PAS DE CALAIS'),
('62118','HAMBLAIN LES PRES','PAS DE CALAIS'),
('62118','MONCHY LE PREUX','PAS DE CALAIS'),
('62118','PELVES','PAS DE CALAIS'),
('62118','PLOUVAIN','PAS DE CALAIS'),
('62118','ROEUX','PAS DE CALAIS'),
('62119','DOURGES','PAS DE CALAIS'),
('62120','AIRE SUR LA LYS','PAS DE CALAIS'),
('62120','BLESSY','PAS DE CALAIS'),
('62120','CAMPAGNE LES WARDRECQUES','PAS DE CALAIS'),
('62120','LAMBRES','PAS DE CALAIS'),
('62120','LINGHEM','PAS DE CALAIS'),
('62120','MAMETZ','PAS DE CALAIS'),
('62120','MAZINGHEM','PAS DE CALAIS'),
('62120','NORRENT FONTES','PAS DE CALAIS'),
('62120','QUERNES','PAS DE CALAIS'),
('62120','QUIESTEDE','PAS DE CALAIS'),
('62120','RACQUINGHEM','PAS DE CALAIS'),
('62120','REBECQUES','PAS DE CALAIS'),
('62120','RELY','PAS DE CALAIS'),
('62120','ROMBLY','PAS DE CALAIS'),
('62120','ROQUETOIRE','PAS DE CALAIS'),
('62120','ST HILAIRE COTTES','PAS DE CALAIS'),
('62120','WARDRECQUES','PAS DE CALAIS'),
('62120','WITTERNESSE','PAS DE CALAIS'),
('62120','WITTES','PAS DE CALAIS'),
('62121','ACHIET LE GRAND','PAS DE CALAIS'),
('62121','ACHIET LE PETIT','PAS DE CALAIS'),
('62121','BEHAGNIES','PAS DE CALAIS'),
('62121','BIHUCOURT','PAS DE CALAIS'),
('62121','COURCELLES LE COMTE','PAS DE CALAIS'),
('62121','ERVILLERS','PAS DE CALAIS'),
('62121','GOMIECOURT','PAS DE CALAIS'),
('62121','HAMELINCOURT','PAS DE CALAIS'),
('62121','MOYENNEVILLE','PAS DE CALAIS'),
('62121','SAPIGNIES','PAS DE CALAIS'),
('62122','LABEUVRIERE','PAS DE CALAIS'),
('62122','LAPUGNOY','PAS DE CALAIS'),
('62123','BAILLEULMONT','PAS DE CALAIS'),
('62123','BAILLEULVAL','PAS DE CALAIS'),
('62123','BASSEUX','PAS DE CALAIS'),
('62123','BEAUMETZ LES LOGES','PAS DE CALAIS'),
('62123','BERLES AU BOIS','PAS DE CALAIS'),
('62123','BERNEVILLE','PAS DE CALAIS'),
('62123','GOUVES','PAS DE CALAIS'),
('62123','GOUY EN ARTOIS','PAS DE CALAIS'),
('62123','HABARCQ','PAS DE CALAIS'),
('62123','MONCHIET','PAS DE CALAIS'),
('62123','MONTENESCOURT','PAS DE CALAIS'),
('62123','NOYELLETTE','PAS DE CALAIS'),
('62123','SIMENCOURT','PAS DE CALAIS'),
('62123','WANQUETIN','PAS DE CALAIS'),
('62123','WARLUS','PAS DE CALAIS'),
('62124','BARASTRE','PAS DE CALAIS'),
('62124','BEAUMETZ LES CAMBRAI','PAS DE CALAIS'),
('62124','BERTINCOURT','PAS DE CALAIS'),
('62124','BEUGNY','PAS DE CALAIS'),
('62124','BUS','PAS DE CALAIS'),
('62124','HAPLINCOURT','PAS DE CALAIS'),
('62124','LEBUCQUIERE','PAS DE CALAIS'),
('62124','LECHELLE','PAS DE CALAIS'),
('62124','METZ EN COUTURE','PAS DE CALAIS'),
('62124','MORCHIES','PAS DE CALAIS'),
('62124','NEUVILLE BOURJONVAL','PAS DE CALAIS'),
('62124','RUYAULCOURT','PAS DE CALAIS'),
('62124','VELU','PAS DE CALAIS'),
('62124','YTRES','PAS DE CALAIS'),
('62126','CONTEVILLE LES BOULOGNE','PAS DE CALAIS'),
('62126','PERNES LES BOULOGNE','PAS DE CALAIS'),
('62126','PITTEFAUX','PAS DE CALAIS'),
('62126','WIMILLE','PAS DE CALAIS'),
('62127','AMBRINES','PAS DE CALAIS'),
('62127','AVERDOINGT','PAS DE CALAIS'),
('62127','BAILLEUL AUX CORNAILLES','PAS DE CALAIS'),
('62127','CHELERS','PAS DE CALAIS'),
('62127','FREVILLERS','PAS DE CALAIS'),
('62127','GOUY EN TERNOIS','PAS DE CALAIS'),
('62127','LIGNY ST FLOCHEL','PAS DE CALAIS'),
('62127','MAGNICOURT EN COMTE','PAS DE CALAIS'),
('62127','MAIZIERES','PAS DE CALAIS'),
('62127','MARQUAY','PAS DE CALAIS'),
('62127','MONCHY BRETON','PAS DE CALAIS'),
('62127','PENIN','PAS DE CALAIS'),
('62127','TERNAS','PAS DE CALAIS'),
('62127','TINCQUES','PAS DE CALAIS'),
('62127','VILLERS SIR SIMON','PAS DE CALAIS'),
('62128','BOIRY BECQUERELLE','PAS DE CALAIS'),
('62128','BOYELLES','PAS DE CALAIS'),
('62128','BULLECOURT','PAS DE CALAIS'),
('62128','CHERISY','PAS DE CALAIS'),
('62128','CROISILLES','PAS DE CALAIS'),
('62128','ECOUST ST MEIN','PAS DE CALAIS'),
('62128','FONTAINE LES CROISILLES','PAS DE CALAIS'),
('62128','GUEMAPPE','PAS DE CALAIS'),
('62128','HENINEL','PAS DE CALAIS');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('62128','HENIN SUR COJEUL','PAS DE CALAIS'),
('62128','NOREUIL','PAS DE CALAIS'),
('62128','ST LEGER','PAS DE CALAIS'),
('62128','ST MARTIN COJEUL','PAS DE CALAIS'),
('62128','WANCOURT','PAS DE CALAIS'),
('62129','CLARQUES','PAS DE CALAIS'),
('62129','DELETTES','PAS DE CALAIS'),
('62129','ECQUES','PAS DE CALAIS'),
('62129','HERBELLES','PAS DE CALAIS'),
('62129','INGHEM','PAS DE CALAIS'),
('62129','THEROUANNE','PAS DE CALAIS'),
('62130','BEAUVOIS','PAS DE CALAIS'),
('62130','BERMICOURT','PAS DE CALAIS'),
('62130','BRYAS','PAS DE CALAIS'),
('62130','BUNEVILLE','PAS DE CALAIS'),
('62130','CONTEVILLE EN TERNOIS','PAS DE CALAIS'),
('62130','CROISETTE','PAS DE CALAIS'),
('62130','CROIX EN TERNOIS','PAS DE CALAIS'),
('62130','FOUFFLIN RICAMETZ','PAS DE CALAIS'),
('62130','FRAMECOURT','PAS DE CALAIS'),
('62130','GAUCHIN VERLOINGT','PAS DE CALAIS'),
('62130','GUINECOURT','PAS DE CALAIS'),
('62130','HAUTECLOQUE','PAS DE CALAIS'),
('62130','HERICOURT','PAS DE CALAIS'),
('62130','HERLINCOURT','PAS DE CALAIS'),
('62130','HERLIN LE SEC','PAS DE CALAIS'),
('62130','HERNICOURT','PAS DE CALAIS'),
('62130','HUCLIER','PAS DE CALAIS'),
('62130','HUMEROEUILLE','PAS DE CALAIS'),
('62130','HUMIERES','PAS DE CALAIS'),
('62130','MAISNIL','PAS DE CALAIS'),
('62130','MONTS EN TERNOIS','PAS DE CALAIS'),
('62130','NEUVILLE AU CORNET','PAS DE CALAIS'),
('62130','OEUF EN TERNOIS','PAS DE CALAIS'),
('62130','OSTREVILLE','PAS DE CALAIS'),
('62130','PIERREMONT','PAS DE CALAIS'),
('62130','RAMECOURT','PAS DE CALAIS'),
('62130','ROELLECOURT','PAS DE CALAIS'),
('62130','ST MICHEL SUR TERNOISE','PAS DE CALAIS'),
('62130','ST POL SUR TERNOISE','PAS DE CALAIS'),
('62130','SIRACOURT','PAS DE CALAIS'),
('62130','LA THIEULOYE','PAS DE CALAIS'),
('62130','TROISVAUX','PAS DE CALAIS'),
('62130','WAVRANS SUR TERNOISE','PAS DE CALAIS'),
('62131','DROUVIN LE MARAIS','PAS DE CALAIS'),
('62131','VAUDRICOURT','PAS DE CALAIS'),
('62131','VERQUIN','PAS DE CALAIS'),
('62132','BOURSIN','PAS DE CALAIS'),
('62132','CAFFIERS','PAS DE CALAIS'),
('62132','FIENNES','PAS DE CALAIS'),
('62132','HARDINGHEN','PAS DE CALAIS'),
('62132','HERMELINGHEN','PAS DE CALAIS'),
('62134','ANVIN','PAS DE CALAIS'),
('62134','BERGUENEUSE','PAS DE CALAIS'),
('62134','BOYAVAL','PAS DE CALAIS'),
('62134','EPS','PAS DE CALAIS'),
('62134','EQUIRRE','PAS DE CALAIS'),
('62134','ERIN','PAS DE CALAIS'),
('62134','FIEFS','PAS DE CALAIS'),
('62134','FLEURY','PAS DE CALAIS'),
('62134','FONTAINE LES BOULANS','PAS DE CALAIS'),
('62134','HEUCHIN','PAS DE CALAIS'),
('62134','LISBOURG','PAS DE CALAIS'),
('62134','MONCHY CAYEUX','PAS DE CALAIS'),
('62134','PREDEFIN','PAS DE CALAIS'),
('62134','TENEUR','PAS DE CALAIS'),
('62134','TILLY CAPELLE','PAS DE CALAIS'),
('62136','LA COUTURE','PAS DE CALAIS'),
('62136','LESTREM','PAS DE CALAIS'),
('62136','RICHEBOURG','PAS DE CALAIS'),
('62136','VIEILLE CHAPELLE','PAS DE CALAIS'),
('62137','COULOGNE','PAS DE CALAIS'),
('62138','AUCHY LES MINES','PAS DE CALAIS'),
('62138','BILLY BERCLAU','PAS DE CALAIS'),
('62138','DOUVRIN','PAS DE CALAIS'),
('62138','HAISNES','PAS DE CALAIS'),
('62138','VIOLAINES','PAS DE CALAIS'),
('62140','AUBIN ST VAAST','PAS DE CALAIS'),
('62140','BOUIN','PAS DE CALAIS'),
('62140','BREVILLERS','PAS DE CALAIS'),
('62140','CAPELLE LES HESDIN','PAS DE CALAIS'),
('62140','CAUMONT','PAS DE CALAIS'),
('62140','CAVRON ST MARTIN','PAS DE CALAIS'),
('62140','CHERIENNES','PAS DE CALAIS'),
('62140','ERQUIERES','PAS DE CALAIS'),
('62140','FRESSIN','PAS DE CALAIS'),
('62140','GRIGNY','PAS DE CALAIS'),
('62140','GUIGNY','PAS DE CALAIS'),
('62140','GUISY','PAS DE CALAIS'),
('62140','HESDIN','PAS DE CALAIS'),
('62140','HUBY ST LEU','PAS DE CALAIS'),
('62140','LABROYE','PAS DE CALAIS'),
('62140','LA LOGE','PAS DE CALAIS'),
('62140','MARCONNE','PAS DE CALAIS'),
('62140','MARCONNELLE','PAS DE CALAIS'),
('62140','MOURIEZ','PAS DE CALAIS'),
('62140','BOUIN PLUMOISON','PAS DE CALAIS'),
('62140','LE QUESNOY EN ARTOIS','PAS DE CALAIS'),
('62140','RAYE SUR AUTHIE','PAS DE CALAIS'),
('62140','REGNAUVILLE','PAS DE CALAIS'),
('62140','STE AUSTREBERTHE','PAS DE CALAIS'),
('62140','TORTEFONTAINE','PAS DE CALAIS'),
('62140','VACQUERIETTE ERQUIERES','PAS DE CALAIS'),
('62140','WAMBERCOURT','PAS DE CALAIS'),
('62141','EVIN MALMAISON','PAS DE CALAIS'),
('62142','ALINCTHUN','PAS DE CALAIS'),
('62142','BELLEBRUNE','PAS DE CALAIS'),
('62142','BELLE ET HOULLEFORT','PAS DE CALAIS'),
('62142','COLEMBERT','PAS DE CALAIS'),
('62142','HENNEVEUX','PAS DE CALAIS'),
('62142','LONGUEVILLE','PAS DE CALAIS'),
('62142','NABRINGHEN','PAS DE CALAIS'),
('62142','LE WAST','PAS DE CALAIS'),
('62143','ANGRES','PAS DE CALAIS'),
('62144','ACQ','PAS DE CALAIS'),
('62144','CARENCY','PAS DE CALAIS'),
('62144','HAUTE AVESNES','PAS DE CALAIS'),
('62144','MONT ST ELOI','PAS DE CALAIS'),
('62144','VILLERS AU BOIS','PAS DE CALAIS'),
('62145','ENGUINEGATTE','PAS DE CALAIS'),
('62145','ENQUIN LES MINES','PAS DE CALAIS'),
('62145','ESTREE BLANCHE','PAS DE CALAIS'),
('62145','LIETTRES','PAS DE CALAIS'),
('62147','BOURSIES','PAS DE CALAIS'),
('62147','DOIGNIES','PAS DE CALAIS'),
('62147','MOEUVRES','PAS DE CALAIS'),
('62147','GRAINCOURT LES HAVRINCOUR','PAS DE CALAIS'),
('62147','HAVRINCOURT','PAS DE CALAIS'),
('62147','HERMIES','PAS DE CALAIS'),
('62147','TRESCAULT','PAS DE CALAIS'),
('62149','ANNEQUIN','PAS DE CALAIS'),
('62149','CAMBRIN','PAS DE CALAIS'),
('62149','CUINCHY','PAS DE CALAIS'),
('62149','FESTUBERT','PAS DE CALAIS'),
('62149','GIVENCHY LES LA BASSEE','PAS DE CALAIS'),
('62150','BAJUS','PAS DE CALAIS'),
('62150','BEUGIN','PAS DE CALAIS'),
('62150','CAUCOURT','PAS DE CALAIS'),
('62150','LA COMTE','PAS DE CALAIS'),
('62150','FRESNICOURT LE DOLMEN','PAS DE CALAIS'),
('62150','GAUCHIN LEGAL','PAS DE CALAIS'),
('62150','HERMIN','PAS DE CALAIS'),
('62150','HOUDAIN','PAS DE CALAIS'),
('62150','RANCHICOURT','PAS DE CALAIS'),
('62150','REBREUVE RANCHICOURT','PAS DE CALAIS'),
('62151','BURBURE','PAS DE CALAIS'),
('62152','NESLES','PAS DE CALAIS'),
('62152','NEUFCHATEL HARDELOT','PAS DE CALAIS'),
('62152','HARDELOT PLAGE','PAS DE CALAIS'),
('62153','ABLAIN ST NAZAIRE','PAS DE CALAIS'),
('62153','SOUCHEZ','PAS DE CALAIS'),
('62155','MERLIMONT','PAS DE CALAIS'),
('62156','BOIRY NOTRE DAME','PAS DE CALAIS'),
('62156','DURY','PAS DE CALAIS'),
('62156','ETAING','PAS DE CALAIS'),
('62156','ETERPIGNY','PAS DE CALAIS'),
('62156','HAUCOURT','PAS DE CALAIS'),
('62156','REMY','PAS DE CALAIS'),
('62156','VIS EN ARTOIS','PAS DE CALAIS'),
('62157','ALLOUAGNE','PAS DE CALAIS'),
('62158','BAVINCOURT','PAS DE CALAIS'),
('62158','LA CAUCHIE','PAS DE CALAIS'),
('62158','COULLEMONT','PAS DE CALAIS'),
('62158','COUTURELLE','PAS DE CALAIS'),
('62158','LA HERLIERE','PAS DE CALAIS'),
('62158','HUMBERCAMPS','PAS DE CALAIS'),
('62158','SAULTY','PAS DE CALAIS'),
('62158','L ARBRET','PAS DE CALAIS'),
('62159','LAGNICOURT MARCEL','PAS DE CALAIS'),
('62159','MORY','PAS DE CALAIS'),
('62159','VAULX VRAUCOURT','PAS DE CALAIS'),
('62160','AIX NOULETTE','PAS DE CALAIS'),
('62160','BULLY LES MINES','PAS DE CALAIS'),
('62160','GRENAY','PAS DE CALAIS'),
('62161','AGNEZ LES DUISANS','PAS DE CALAIS'),
('62161','DUISANS','PAS DE CALAIS'),
('62161','ETRUN','PAS DE CALAIS'),
('62161','MAROEUIL','PAS DE CALAIS'),
('62162','ST OMER CAPELLE','PAS DE CALAIS'),
('62162','VIEILLE EGLISE','PAS DE CALAIS'),
('62164','AMBLETEUSE','PAS DE CALAIS'),
('62164','AUDRESSELLES','PAS DE CALAIS'),
('62170','AIX EN ISSART','PAS DE CALAIS'),
('62170','ATTIN','PAS DE CALAIS'),
('62170','BEAUMERIE ST MARTIN','PAS DE CALAIS'),
('62170','BERNIEULLES','PAS DE CALAIS'),
('62170','BEUSSENT','PAS DE CALAIS'),
('62170','BEUTIN','PAS DE CALAIS'),
('62170','BOISJEAN','PAS DE CALAIS'),
('62170','BREXENT ENOCQ','PAS DE CALAIS'),
('62170','BRIMEUX','PAS DE CALAIS'),
('62170','LA CALOTTERIE','PAS DE CALAIS'),
('62170','CAMPIGNEULLES LES GRANDES','PAS DE CALAIS'),
('62170','CAMPIGNEULLES LES PETITES','PAS DE CALAIS'),
('62170','ECUIRES','PAS DE CALAIS'),
('62170','ESTREE','PAS DE CALAIS'),
('62170','ESTREELLES','PAS DE CALAIS'),
('62170','INXENT','PAS DE CALAIS'),
('62170','LEPINE','PAS DE CALAIS'),
('62170','LA MADELEINE SOUS MONTREU','PAS DE CALAIS');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('62170','MARANT','PAS DE CALAIS'),
('62170','MARLES SUR CANCHE','PAS DE CALAIS'),
('62170','MONTCAVREL','PAS DE CALAIS'),
('62170','MONTREUIL','PAS DE CALAIS'),
('62170','NEUVILLE SOUS MONTREUIL','PAS DE CALAIS'),
('62170','RECQUES SUR COURSE','PAS DE CALAIS'),
('62170','ST AUBIN','PAS DE CALAIS'),
('62170','ST JOSSE','PAS DE CALAIS'),
('62170','SEMPY','PAS DE CALAIS'),
('62170','SORRUS','PAS DE CALAIS'),
('62170','WAILLY BEAUCAMP','PAS DE CALAIS'),
('62172','BOUVIGNY BOYEFFLES','PAS DE CALAIS'),
('62173','BLAIRVILLE','PAS DE CALAIS'),
('62173','FICHEUX','PAS DE CALAIS'),
('62173','RANSART','PAS DE CALAIS'),
('62173','RIVIERE','PAS DE CALAIS'),
('62175','BOIRY ST MARTIN','PAS DE CALAIS'),
('62175','BOIRY STE RICTRUDE','PAS DE CALAIS'),
('62175','BOISLEUX AU MONT','PAS DE CALAIS'),
('62175','BOISLEUX ST MARC','PAS DE CALAIS'),
('62175','HENDECOURT LES RANSART','PAS DE CALAIS'),
('62176','CAMIERS','PAS DE CALAIS'),
('62176','STE CECILE','PAS DE CALAIS'),
('62179','AUDINGHEN','PAS DE CALAIS'),
('62179','ESCALLES','PAS DE CALAIS'),
('62179','HERVELINGHEN','PAS DE CALAIS'),
('62179','TARDINGHEN','PAS DE CALAIS'),
('62179','WISSANT','PAS DE CALAIS'),
('62180','AIRON NOTRE DAME','PAS DE CALAIS'),
('62180','AIRON ST VAAST','PAS DE CALAIS'),
('62180','COLLINE BEAUMONT','PAS DE CALAIS'),
('62180','CONCHIL LE TEMPLE','PAS DE CALAIS'),
('62180','NEMPONT ST FIRMIN','PAS DE CALAIS'),
('62180','RANG DU FLIERS','PAS DE CALAIS'),
('62180','TIGNY NOYELLE','PAS DE CALAIS'),
('62180','VERTON','PAS DE CALAIS'),
('62180','WABEN','PAS DE CALAIS'),
('62182','CAGNICOURT','PAS DE CALAIS'),
('62182','HENDECOURT LES CAGNICOURT','PAS DE CALAIS'),
('62182','RIENCOURT LES CAGNICOURT','PAS DE CALAIS'),
('62182','VILLERS LES CAGNICOURT','PAS DE CALAIS'),
('62185','FRETHUN','PAS DE CALAIS'),
('62185','NIELLES LES CALAIS','PAS DE CALAIS'),
('62185','ST TRICAT','PAS DE CALAIS'),
('62187','DANNES','PAS DE CALAIS'),
('62190','AMES','PAS DE CALAIS'),
('62190','AUCHY AU BOIS','PAS DE CALAIS'),
('62190','BOURECQ','PAS DE CALAIS'),
('62190','ECQUEDECQUES','PAS DE CALAIS'),
('62190','HAM EN ARTOIS','PAS DE CALAIS'),
('62190','LESPESSES','PAS DE CALAIS'),
('62190','LIERES','PAS DE CALAIS'),
('62190','LILLERS','PAS DE CALAIS'),
('62196','HESDIGNEUL LES BETHUNE','PAS DE CALAIS'),
('62199','GOSNAY','PAS DE CALAIS'),
('62200','BOULOGNE SUR MER','PAS DE CALAIS'),
('62210','AVION','PAS DE CALAIS'),
('62215','OYE PLAGE','PAS DE CALAIS'),
('62217','ACHICOURT','PAS DE CALAIS'),
('62217','AGNY','PAS DE CALAIS'),
('62217','BEAURAINS','PAS DE CALAIS'),
('62217','MERCATEL','PAS DE CALAIS'),
('62217','NEUVILLE VITASSE','PAS DE CALAIS'),
('62217','TILLOY LES MOFFLAINES','PAS DE CALAIS'),
('62217','WAILLY','PAS DE CALAIS'),
('62218','LOISON SOUS LENS','PAS DE CALAIS'),
('62219','LONGUENESSE','PAS DE CALAIS'),
('62219','WISQUES','PAS DE CALAIS'),
('62220','CARVIN','PAS DE CALAIS'),
('62221','NOYELLES SOUS LENS','PAS DE CALAIS'),
('62223','ANZIN ST AUBIN','PAS DE CALAIS'),
('62223','ATHIES','PAS DE CALAIS'),
('62223','ECURIE','PAS DE CALAIS'),
('62223','FEUCHY','PAS DE CALAIS'),
('62223','ROCLINCOURT','PAS DE CALAIS'),
('62223','STE CATHERINE','PAS DE CALAIS'),
('62223','ST LAURENT BLANGY','PAS DE CALAIS'),
('62223','ST NICOLAS','PAS DE CALAIS'),
('62224','EQUIHEN PLAGE','PAS DE CALAIS'),
('62230','OUTREAU','PAS DE CALAIS'),
('62231','COQUELLES','PAS DE CALAIS'),
('62231','PEUPLINGUES','PAS DE CALAIS'),
('62231','SANGATTE','PAS DE CALAIS'),
('62231','BLERIOT','PAS DE CALAIS'),
('62232','ANNEZIN','PAS DE CALAIS'),
('62232','FOUQUEREUIL','PAS DE CALAIS'),
('62232','FOUQUIERES LES BETHUNE','PAS DE CALAIS'),
('62232','HINGES','PAS DE CALAIS'),
('62232','VENDIN LES BETHUNE','PAS DE CALAIS'),
('62240','BECOURT','PAS DE CALAIS'),
('62240','BOURNONVILLE','PAS DE CALAIS'),
('62240','BRUNEMBERT','PAS DE CALAIS'),
('62240','COURSET','PAS DE CALAIS'),
('62240','CREMAREST','PAS DE CALAIS'),
('62240','DESVRES','PAS DE CALAIS'),
('62240','LONGFOSSE','PAS DE CALAIS'),
('62240','LOTTINGHEN','PAS DE CALAIS'),
('62240','MENNEVILLE','PAS DE CALAIS'),
('62240','QUESQUES','PAS DE CALAIS'),
('62240','ST MARTIN CHOQUEL','PAS DE CALAIS'),
('62240','SELLES','PAS DE CALAIS'),
('62240','SENLECQUES','PAS DE CALAIS'),
('62240','VIEIL MOUTIER','PAS DE CALAIS'),
('62240','WIRWIGNES','PAS DE CALAIS'),
('62250','AUDEMBERT','PAS DE CALAIS'),
('62250','BAZINGHEN','PAS DE CALAIS'),
('62250','BEUVREQUEN','PAS DE CALAIS'),
('62250','FERQUES','PAS DE CALAIS'),
('62250','LANDRETHUN LE NORD','PAS DE CALAIS'),
('62250','LEUBRINGHEN','PAS DE CALAIS'),
('62250','LEULINGHEN BERNES','PAS DE CALAIS'),
('62250','MANINGHEN HENNE','PAS DE CALAIS'),
('62250','MARQUISE','PAS DE CALAIS'),
('62250','OFFRETHUN','PAS DE CALAIS'),
('62250','ST INGLEVERT','PAS DE CALAIS'),
('62250','WACQUINGHEN','PAS DE CALAIS'),
('62260','AMETTES','PAS DE CALAIS'),
('62260','AUCHEL','PAS DE CALAIS'),
('62260','CAUCHY A LA TOUR','PAS DE CALAIS'),
('62260','FERFAY','PAS DE CALAIS'),
('62270','BLANGERMONT','PAS DE CALAIS'),
('62270','BLANGERVAL BLANGERMONT','PAS DE CALAIS'),
('62270','BONNIERES','PAS DE CALAIS'),
('62270','BOUBERS SUR CANCHE','PAS DE CALAIS'),
('62270','BOURET SUR CANCHE','PAS DE CALAIS'),
('62270','CANETTEMONT','PAS DE CALAIS'),
('62270','CANTELEUX','PAS DE CALAIS'),
('62270','CONCHY SUR CANCHE','PAS DE CALAIS'),
('62270','ECOIVRES','PAS DE CALAIS'),
('62270','FLERS','PAS DE CALAIS'),
('62270','FORTEL EN ARTOIS','PAS DE CALAIS'),
('62270','FREVENT','PAS DE CALAIS'),
('62270','HAUTECOTE','PAS DE CALAIS'),
('62270','HOUVIN HOUVIGNEUL','PAS DE CALAIS'),
('62270','LIGNY SUR CANCHE','PAS DE CALAIS'),
('62270','LINZEUX','PAS DE CALAIS'),
('62270','MAGNICOURT SUR CANCHE','PAS DE CALAIS'),
('62270','MONCHEAUX LES FREVENT','PAS DE CALAIS'),
('62270','MONCHEL SUR CANCHE','PAS DE CALAIS'),
('62270','NUNCQ HAUTECOTE','PAS DE CALAIS'),
('62270','REBREUVE SUR CANCHE','PAS DE CALAIS'),
('62270','REBREUVIETTE','PAS DE CALAIS'),
('62270','SERICOURT','PAS DE CALAIS'),
('62270','SIBIVILLE','PAS DE CALAIS'),
('62270','VACQUERIE LE BOUCQ','PAS DE CALAIS'),
('62280','ST MARTIN BOULOGNE','PAS DE CALAIS'),
('62290','NOEUX LES MINES','PAS DE CALAIS'),
('62300','ELEU DIT LEAUWETTE','PAS DE CALAIS'),
('62300','LENS','PAS DE CALAIS'),
('62310','AMBRICOURT','PAS DE CALAIS'),
('62310','AVONDANCE','PAS DE CALAIS'),
('62310','AZINCOURT','PAS DE CALAIS'),
('62310','CANLERS','PAS DE CALAIS'),
('62310','COUPELLE NEUVE','PAS DE CALAIS'),
('62310','COUPELLE VIEILLE','PAS DE CALAIS'),
('62310','CREPY','PAS DE CALAIS'),
('62310','CREQUY','PAS DE CALAIS'),
('62310','FRUGES','PAS DE CALAIS'),
('62310','HEZECQUES','PAS DE CALAIS'),
('62310','LUGY','PAS DE CALAIS'),
('62310','MAISONCELLE','PAS DE CALAIS'),
('62310','MATRINGHEM','PAS DE CALAIS'),
('62310','MENCAS','PAS DE CALAIS'),
('62310','PLANQUES','PAS DE CALAIS'),
('62310','RADINGHEM','PAS DE CALAIS'),
('62310','RUISSEAUVILLE','PAS DE CALAIS'),
('62310','SAINS LES FRESSIN','PAS DE CALAIS'),
('62310','SENLIS','PAS DE CALAIS'),
('62310','TORCY','PAS DE CALAIS'),
('62310','TRAMECOURT','PAS DE CALAIS'),
('62310','VERCHIN','PAS DE CALAIS'),
('62310','VINCLY','PAS DE CALAIS'),
('62320','ACHEVILLE','PAS DE CALAIS'),
('62320','BOIS BERNARD','PAS DE CALAIS'),
('62320','DROCOURT','PAS DE CALAIS'),
('62320','ROUVROY','PAS DE CALAIS'),
('62330','BERGUETTE','PAS DE CALAIS'),
('62330','GUARBECQUE','PAS DE CALAIS'),
('62330','ISBERGUES','PAS DE CALAIS'),
('62330','MOLINGHEM','PAS DE CALAIS'),
('62340','ANDRES','PAS DE CALAIS'),
('62340','BONNINGUES LES CALAIS','PAS DE CALAIS'),
('62340','BOUQUEHAULT','PAS DE CALAIS'),
('62340','CAMPAGNE LES GUINES','PAS DE CALAIS'),
('62340','GUINES','PAS DE CALAIS'),
('62340','HAMES BOUCRES','PAS DE CALAIS'),
('62340','PIHEN LES GUINES','PAS DE CALAIS'),
('62350','HAVERSKERQUE','PAS DE CALAIS'),
('62350','BUSNES','PAS DE CALAIS'),
('62350','CALONNE SUR LA LYS','PAS DE CALAIS'),
('62350','MONT BERNANCHON','PAS DE CALAIS'),
('62350','ROBECQ','PAS DE CALAIS'),
('62350','ST FLORIS','PAS DE CALAIS'),
('62350','ST VENANT','PAS DE CALAIS'),
('62360','BAINCTHUN','PAS DE CALAIS'),
('62360','CONDETTE','PAS DE CALAIS'),
('62360','ECHINGHEN','PAS DE CALAIS'),
('62360','HESDIGNEUL LES BOULOGNE','PAS DE CALAIS'),
('62360','HESDIN L ABBE','PAS DE CALAIS'),
('62360','ISQUES','PAS DE CALAIS');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('62360','ST ETIENNE AU MONT','PAS DE CALAIS'),
('62360','ST LEONARD','PAS DE CALAIS'),
('62360','LA CAPELLE LES BOULOGNE','PAS DE CALAIS'),
('62360','PONT DE BRIQUES ST ETIENN','PAS DE CALAIS'),
('62370','AUDRUICQ','PAS DE CALAIS'),
('62370','GUEMPS','PAS DE CALAIS'),
('62370','NORTKERQUE','PAS DE CALAIS'),
('62370','NOUVELLE EGLISE','PAS DE CALAIS'),
('62370','OFFEKERQUE','PAS DE CALAIS'),
('62370','POLINCOVE','PAS DE CALAIS'),
('62370','RUMINGHEM','PAS DE CALAIS'),
('62370','ST FOLQUIN','PAS DE CALAIS'),
('62370','STE MARIE KERQUE','PAS DE CALAIS'),
('62370','ZUTKERQUE','PAS DE CALAIS'),
('62380','ACQUIN WESTBECOURT','PAS DE CALAIS'),
('62380','AFFRINGUES','PAS DE CALAIS'),
('62380','BAYENGHEM LES SENINGHEM','PAS DE CALAIS'),
('62380','BLEQUIN','PAS DE CALAIS'),
('62380','BOUVELINGHEM','PAS DE CALAIS'),
('62380','CLETY','PAS DE CALAIS'),
('62380','COULOMBY','PAS DE CALAIS'),
('62380','DOHEM','PAS DE CALAIS'),
('62380','ELNES','PAS DE CALAIS'),
('62380','ESQUERDES','PAS DE CALAIS'),
('62380','LEDINGHEM','PAS DE CALAIS'),
('62380','LUMBRES','PAS DE CALAIS'),
('62380','NIELLES LES BLEQUIN','PAS DE CALAIS'),
('62380','OUVE WIRQUIN','PAS DE CALAIS'),
('62380','QUERCAMPS','PAS DE CALAIS'),
('62380','REMILLY WIRQUIN','PAS DE CALAIS'),
('62380','SENINGHEM','PAS DE CALAIS'),
('62380','SETQUES','PAS DE CALAIS'),
('62380','VAUDRINGHEM','PAS DE CALAIS'),
('62380','WAVRANS SUR L AA','PAS DE CALAIS'),
('62380','WESTBECOURT','PAS DE CALAIS'),
('62380','WISMES','PAS DE CALAIS'),
('62390','AUBROMETZ','PAS DE CALAIS'),
('62390','AUXI LE CHATEAU','PAS DE CALAIS'),
('62390','BOFFLES','PAS DE CALAIS'),
('62390','BUIRE AU BOIS','PAS DE CALAIS'),
('62390','FONTAINE L ETALON','PAS DE CALAIS'),
('62390','GENNES IVERGNY','PAS DE CALAIS'),
('62390','HARAVESNES','PAS DE CALAIS'),
('62390','HAUT MAINIL','PAS DE CALAIS'),
('62390','NOEUX LES AUXI','PAS DE CALAIS'),
('62390','LE PONCHEL','PAS DE CALAIS'),
('62390','QUOEUX HAUT MAINIL','PAS DE CALAIS'),
('62390','ROUGEFAY','PAS DE CALAIS'),
('62390','TOLLENT','PAS DE CALAIS'),
('62390','VAULX','PAS DE CALAIS'),
('62390','VILLERS L HOPITAL','PAS DE CALAIS'),
('62390','BEAUVOIR WAVANS','PAS DE CALAIS'),
('62390','WILLENCOURT','PAS DE CALAIS'),
('62400','BETHUNE','PAS DE CALAIS'),
('62400','ESSARS','PAS DE CALAIS'),
('62400','LOCON','PAS DE CALAIS'),
('62410','BENIFONTAINE','PAS DE CALAIS'),
('62410','HULLUCH','PAS DE CALAIS'),
('62410','MEURCHIN','PAS DE CALAIS'),
('62410','WINGLES','PAS DE CALAIS'),
('62420','BILLY MONTIGNY','PAS DE CALAIS'),
('62430','SALLAUMINES','PAS DE CALAIS'),
('62440','HARNES','PAS DE CALAIS'),
('62450','AVESNES LES BAPAUME','PAS DE CALAIS'),
('62450','BANCOURT','PAS DE CALAIS'),
('62450','BAPAUME','PAS DE CALAIS'),
('62450','BEAULENCOURT','PAS DE CALAIS'),
('62450','BEUGNATRE','PAS DE CALAIS'),
('62450','BIEFVILLERS LES BAPAUME','PAS DE CALAIS'),
('62450','FAVREUIL','PAS DE CALAIS'),
('62450','FREMICOURT','PAS DE CALAIS'),
('62450','GREVILLERS','PAS DE CALAIS'),
('62450','LIGNY THILLOY','PAS DE CALAIS'),
('62450','MARTINPUICH','PAS DE CALAIS'),
('62450','MORVAL','PAS DE CALAIS'),
('62450','RIENCOURT LES BAPAUME','PAS DE CALAIS'),
('62450','ROCQUIGNY','PAS DE CALAIS'),
('62450','LE SARS','PAS DE CALAIS'),
('62450','LE TRANSLOY','PAS DE CALAIS'),
('62450','VILLERS AU FLOS','PAS DE CALAIS'),
('62450','WARLENCOURT EAUCOURT','PAS DE CALAIS'),
('62460','DIEVAL','PAS DE CALAIS'),
('62460','DIVION','PAS DE CALAIS'),
('62460','OURTON','PAS DE CALAIS'),
('62470','CALONNE RICOUART','PAS DE CALAIS'),
('62470','CAMBLAIN CHATELAIN','PAS DE CALAIS'),
('62480','LE PORTEL','PAS DE CALAIS'),
('62490','BELLONNE','PAS DE CALAIS'),
('62490','FRESNE LES MONTAUBAN','PAS DE CALAIS'),
('62490','IZEL LES EQUERCHIN','PAS DE CALAIS'),
('62490','NOYELLES SOUS BELLONNE','PAS DE CALAIS'),
('62490','QUIERY LA MOTTE','PAS DE CALAIS'),
('62490','SAILLY EN OSTREVENT','PAS DE CALAIS'),
('62490','TORTEQUESNE','PAS DE CALAIS'),
('62490','VITRY EN ARTOIS','PAS DE CALAIS'),
('62500','BOISDINGHEM','PAS DE CALAIS'),
('62500','CLAIRMARAIS','PAS DE CALAIS'),
('62500','LEULINGHEM','PAS DE CALAIS'),
('62500','QUELMES','PAS DE CALAIS'),
('62500','ST MARTIN AU LAERT','PAS DE CALAIS'),
('62500','ST OMER','PAS DE CALAIS'),
('62500','SALPERWICK','PAS DE CALAIS'),
('62500','TATINGHEM','PAS DE CALAIS'),
('62500','TILQUES','PAS DE CALAIS'),
('62500','ZUDAUSQUES','PAS DE CALAIS'),
('62510','ARQUES','PAS DE CALAIS'),
('62520','LE TOUQUET PARIS PLAGE','PAS DE CALAIS'),
('62530','GOUY SERVINS','PAS DE CALAIS'),
('62530','HERSIN COUPIGNY','PAS DE CALAIS'),
('62530','SERVINS','PAS DE CALAIS'),
('62540','LOZINGHEM','PAS DE CALAIS'),
('62540','MARLES LES MINES','PAS DE CALAIS'),
('62550','AUMERVAL','PAS DE CALAIS'),
('62550','BAILLEUL LES PERNES','PAS DE CALAIS'),
('62550','BOURS','PAS DE CALAIS'),
('62550','FLORINGHEM','PAS DE CALAIS'),
('62550','FONTAINE LES HERMANS','PAS DE CALAIS'),
('62550','HESTRUS','PAS DE CALAIS'),
('62550','MAREST','PAS DE CALAIS'),
('62550','NEDON','PAS DE CALAIS'),
('62550','NEDONCHEL','PAS DE CALAIS'),
('62550','PERNES','PAS DE CALAIS'),
('62550','PRESSY','PAS DE CALAIS'),
('62550','SACHIN','PAS DE CALAIS'),
('62550','SAINS LES PERNES','PAS DE CALAIS'),
('62550','TANGRY','PAS DE CALAIS'),
('62550','VALHUON','PAS DE CALAIS'),
('62560','AUDINCTHUN','PAS DE CALAIS'),
('62560','AVROULT','PAS DE CALAIS'),
('62560','COYECQUES','PAS DE CALAIS'),
('62560','DENNEBROEUCQ','PAS DE CALAIS'),
('62560','FAUQUEMBERGUES','PAS DE CALAIS'),
('62560','MERCK ST LIEVIN','PAS DE CALAIS'),
('62560','RECLINGHEM','PAS DE CALAIS'),
('62560','RENTY','PAS DE CALAIS'),
('62560','ST MARTIN D HARDINGHEM','PAS DE CALAIS'),
('62560','THIEMBRONNE','PAS DE CALAIS'),
('62560','VERCHOCQ','PAS DE CALAIS'),
('62570','HALLINES','PAS DE CALAIS'),
('62570','HELFAUT','PAS DE CALAIS'),
('62570','PIHEM','PAS DE CALAIS'),
('62570','WIZERNES','PAS DE CALAIS'),
('62575','BLENDECQUES','PAS DE CALAIS'),
('62575','HEURINGHEM','PAS DE CALAIS'),
('62580','ARLEUX EN GOHELLE','PAS DE CALAIS'),
('62580','BAILLEUL SIR BERTHOULT','PAS DE CALAIS'),
('62580','FARBUS','PAS DE CALAIS'),
('62580','FRESNOY EN GOHELLE','PAS DE CALAIS'),
('62580','GAVRELLE','PAS DE CALAIS'),
('62580','GIVENCHY EN GOHELLE','PAS DE CALAIS'),
('62580','NEUVILLE ST VAAST','PAS DE CALAIS'),
('62580','NEUVIREUIL','PAS DE CALAIS'),
('62580','OPPY','PAS DE CALAIS'),
('62580','THELUS','PAS DE CALAIS'),
('62580','VIMY','PAS DE CALAIS'),
('62580','WILLERVAL','PAS DE CALAIS'),
('62590','OIGNIES','PAS DE CALAIS'),
('62600','BERCK','PAS DE CALAIS'),
('62600','GROFFLIERS','PAS DE CALAIS'),
('62610','ARDRES','PAS DE CALAIS'),
('62610','AUTINGUES','PAS DE CALAIS'),
('62610','BALINGHEM','PAS DE CALAIS'),
('62610','BREMES','PAS DE CALAIS'),
('62610','LANDRETHUN LES ARDRES','PAS DE CALAIS'),
('62610','LOUCHES','PAS DE CALAIS'),
('62610','NIELLES LES ARDRES','PAS DE CALAIS'),
('62610','RODELINGHEM','PAS DE CALAIS'),
('62610','BOIS EN ARDRES','PAS DE CALAIS'),
('62610','PONT D ARDRES','PAS DE CALAIS'),
('62620','BARLIN','PAS DE CALAIS'),
('62620','HOUCHIN','PAS DE CALAIS'),
('62620','MAISNIL LES RUITZ','PAS DE CALAIS'),
('62620','RUITZ','PAS DE CALAIS'),
('62630','CORMONT','PAS DE CALAIS'),
('62630','ETAPLES','PAS DE CALAIS'),
('62630','FRENCQ','PAS DE CALAIS'),
('62630','HUBERSENT','PAS DE CALAIS'),
('62630','LEFAUX','PAS DE CALAIS'),
('62630','LONGVILLERS','PAS DE CALAIS'),
('62630','MARESVILLE','PAS DE CALAIS'),
('62630','TUBERSENT','PAS DE CALAIS'),
('62630','WIDEHEM','PAS DE CALAIS'),
('62640','MONTIGNY EN GOHELLE','PAS DE CALAIS'),
('62650','AIX EN ERGNY','PAS DE CALAIS'),
('62650','ALETTE','PAS DE CALAIS'),
('62650','AVESNES','PAS DE CALAIS'),
('62650','BEZINGHEM','PAS DE CALAIS'),
('62650','BIMONT','PAS DE CALAIS'),
('62650','BOURTHES','PAS DE CALAIS'),
('62650','CAMPAGNE LES BOULONNAIS','PAS DE CALAIS'),
('62650','CLENLEU','PAS DE CALAIS'),
('62650','ENQUIN SUR BAILLONS','PAS DE CALAIS'),
('62650','ERGNY','PAS DE CALAIS'),
('62650','HERLY','PAS DE CALAIS'),
('62650','HUCQUELIERS','PAS DE CALAIS'),
('62650','HUMBERT','PAS DE CALAIS'),
('62650','MANINGHEM','PAS DE CALAIS'),
('62650','PARENTY','PAS DE CALAIS'),
('62650','PREURES','PAS DE CALAIS'),
('62650','QUILEN','PAS DE CALAIS');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('62650','RUMILLY','PAS DE CALAIS'),
('62650','ST MICHEL SOUS BOIS','PAS DE CALAIS'),
('62650','WICQUINGHEM','PAS DE CALAIS'),
('62650','ZOTEUX','PAS DE CALAIS'),
('62660','BEUVRY','PAS DE CALAIS'),
('62670','MAZINGARBE','PAS DE CALAIS'),
('62680','MERICOURT','PAS DE CALAIS'),
('62690','AGNIERES','PAS DE CALAIS'),
('62690','AUBIGNY EN ARTOIS','PAS DE CALAIS'),
('62690','BERLES MONCHEL','PAS DE CALAIS'),
('62690','BETHONSART','PAS DE CALAIS'),
('62690','CAMBLIGNEUL','PAS DE CALAIS'),
('62690','CAMBLAIN L ABBE','PAS DE CALAIS'),
('62690','CAPELLE FERMONT','PAS DE CALAIS'),
('62690','ESTREE CAUCHY','PAS DE CALAIS'),
('62690','FREVIN CAPELLE','PAS DE CALAIS'),
('62690','HERMAVILLE','PAS DE CALAIS'),
('62690','IZEL LES HAMEAUX','PAS DE CALAIS'),
('62690','MINGOVAL','PAS DE CALAIS'),
('62690','SAVY BERLETTE','PAS DE CALAIS'),
('62690','TILLOY LES HERMAVILLE','PAS DE CALAIS'),
('62690','VILLERS BRULIN','PAS DE CALAIS'),
('62690','VILLERS CHATEL','PAS DE CALAIS'),
('62700','BRUAY LA BUISSIERE','PAS DE CALAIS'),
('62700','LABUISSIERE','PAS DE CALAIS'),
('62710','COURRIERES','PAS DE CALAIS'),
('62720','RETY','PAS DE CALAIS'),
('62720','RINXENT','PAS DE CALAIS'),
('62720','WIERRE EFFROY','PAS DE CALAIS'),
('62730','LES ATTAQUES','PAS DE CALAIS'),
('62730','MARCK','PAS DE CALAIS'),
('62740','FOUQUIERES LES LENS','PAS DE CALAIS'),
('62750','LOOS EN GOHELLE','PAS DE CALAIS'),
('62760','AMPLIER','PAS DE CALAIS'),
('62760','COUIN','PAS DE CALAIS'),
('62760','FAMECHON','PAS DE CALAIS'),
('62760','GAUDIEMPRE','PAS DE CALAIS'),
('62760','GRINCOURT LES PAS','PAS DE CALAIS'),
('62760','HALLOY','PAS DE CALAIS'),
('62760','HENU','PAS DE CALAIS'),
('62760','MONDICOURT','PAS DE CALAIS'),
('62760','ORVILLE','PAS DE CALAIS'),
('62760','PAS EN ARTOIS','PAS DE CALAIS'),
('62760','POMMERA','PAS DE CALAIS'),
('62760','ST AMAND','PAS DE CALAIS'),
('62760','SARTON','PAS DE CALAIS'),
('62760','THIEVRES','PAS DE CALAIS'),
('62760','WARLINCOURT LES PAS','PAS DE CALAIS'),
('62770','AUCHY LES HESDIN','PAS DE CALAIS'),
('62770','BEALENCOURT','PAS DE CALAIS'),
('62770','BLANGY SUR TERNOISE','PAS DE CALAIS'),
('62770','BLINGEL','PAS DE CALAIS'),
('62770','ECLIMEUX','PAS DE CALAIS'),
('62770','FILLIEVRES','PAS DE CALAIS'),
('62770','FRESNOY','PAS DE CALAIS'),
('62770','GALAMETZ','PAS DE CALAIS'),
('62770','INCOURT','PAS DE CALAIS'),
('62770','NEULETTE','PAS DE CALAIS'),
('62770','NOYELLES LES HUMIERES','PAS DE CALAIS'),
('62770','LE PARCQ','PAS DE CALAIS'),
('62770','ROLLANCOURT','PAS DE CALAIS'),
('62770','ST GEORGES','PAS DE CALAIS'),
('62770','VIEIL HESDIN','PAS DE CALAIS'),
('62770','WAIL','PAS DE CALAIS'),
('62770','WAMIN','PAS DE CALAIS'),
('62770','WILLEMAN','PAS DE CALAIS'),
('62780','CUCQ','PAS DE CALAIS'),
('62780','STELLA','PAS DE CALAIS'),
('62780','TREPIED','PAS DE CALAIS'),
('62790','LEFOREST','PAS DE CALAIS'),
('62800','LIEVIN','PAS DE CALAIS'),
('62810','AVESNES LE COMTE','PAS DE CALAIS'),
('62810','BARLY','PAS DE CALAIS'),
('62810','BEAUDRICOURT','PAS DE CALAIS'),
('62810','BEAUFORT BLAVINCOURT','PAS DE CALAIS'),
('62810','BERLENCOURT LE CAUROY','PAS DE CALAIS'),
('62810','DENIER','PAS DE CALAIS'),
('62810','ESTREE WAMIN','PAS DE CALAIS'),
('62810','FOSSEUX','PAS DE CALAIS'),
('62810','GIVENCHY LE NOBLE','PAS DE CALAIS'),
('62810','GRAND RULLECOURT','PAS DE CALAIS'),
('62810','HAUTEVILLE','PAS DE CALAIS'),
('62810','IVERGNY','PAS DE CALAIS'),
('62810','LATTRE ST QUENTIN','PAS DE CALAIS'),
('62810','LIENCOURT','PAS DE CALAIS'),
('62810','LIGNEREUIL','PAS DE CALAIS'),
('62810','MANIN','PAS DE CALAIS'),
('62810','NOYELLE VION','PAS DE CALAIS'),
('62810','SARS LE BOIS','PAS DE CALAIS'),
('62810','SOMBRIN','PAS DE CALAIS'),
('62810','LE SOUICH','PAS DE CALAIS'),
('62810','SUS ST LEGER','PAS DE CALAIS'),
('62810','WARLUZEL','PAS DE CALAIS'),
('62820','LIBERCOURT','PAS DE CALAIS'),
('62830','CARLY','PAS DE CALAIS'),
('62830','DOUDEAUVILLE','PAS DE CALAIS'),
('62830','HALINGHEN','PAS DE CALAIS'),
('62830','LACRES','PAS DE CALAIS'),
('62830','QUESTRECQUES','PAS DE CALAIS'),
('62830','SAMER','PAS DE CALAIS'),
('62830','TINGRY','PAS DE CALAIS'),
('62830','VERLINCTHUN','PAS DE CALAIS'),
('62830','WIERRE AU BOIS','PAS DE CALAIS'),
('62840','FLEURBAIX','PAS DE CALAIS'),
('62840','LAVENTIE','PAS DE CALAIS'),
('62840','LORGIES','PAS DE CALAIS'),
('62840','NEUVE CHAPELLE','PAS DE CALAIS'),
('62840','SAILLY SUR LA LYS','PAS DE CALAIS'),
('62850','ALEMBON','PAS DE CALAIS'),
('62850','ALQUINES','PAS DE CALAIS'),
('62850','BAINGHEN','PAS DE CALAIS'),
('62850','ESCOEUILLES','PAS DE CALAIS'),
('62850','HAUT LOQUIN','PAS DE CALAIS'),
('62850','HERBINGHEN','PAS DE CALAIS'),
('62850','HOCQUINGHEN','PAS DE CALAIS'),
('62850','JOURNY','PAS DE CALAIS'),
('62850','LICQUES','PAS DE CALAIS'),
('62850','REBERGUES','PAS DE CALAIS'),
('62850','SANGHEN','PAS DE CALAIS'),
('62850','SURQUES','PAS DE CALAIS'),
('62860','BARALLE','PAS DE CALAIS'),
('62860','BOURLON','PAS DE CALAIS'),
('62860','BUISSY','PAS DE CALAIS'),
('62860','ECOURT ST QUENTIN','PAS DE CALAIS'),
('62860','EPINOY','PAS DE CALAIS'),
('62860','INCHY EN ARTOIS','PAS DE CALAIS'),
('62860','MARQUION','PAS DE CALAIS'),
('62860','OISY LE VERGER','PAS DE CALAIS'),
('62860','PALLUEL','PAS DE CALAIS'),
('62860','PRONVILLE','PAS DE CALAIS'),
('62860','QUEANT','PAS DE CALAIS'),
('62860','RECOURT','PAS DE CALAIS'),
('62860','RUMAUCOURT','PAS DE CALAIS'),
('62860','SAINS LES MARQUION','PAS DE CALAIS'),
('62860','SAUCHY CAUCHY','PAS DE CALAIS'),
('62860','SAUCHY LESTREE','PAS DE CALAIS'),
('62860','SAUDEMONT','PAS DE CALAIS'),
('62870','BUIRE LE SEC','PAS DE CALAIS'),
('62870','CAMPAGNE LES HESDIN','PAS DE CALAIS'),
('62870','DOURIEZ','PAS DE CALAIS'),
('62870','GOUY ST ANDRE','PAS DE CALAIS'),
('62870','MAINTENAY','PAS DE CALAIS'),
('62870','ROUSSENT','PAS DE CALAIS'),
('62870','ST REMY AU BOIS','PAS DE CALAIS'),
('62870','SAULCHOY','PAS DE CALAIS'),
('62880','ANNAY','PAS DE CALAIS'),
('62880','ESTEVELLES','PAS DE CALAIS'),
('62880','PONT A VENDIN','PAS DE CALAIS'),
('62880','VENDIN LE VIEIL','PAS DE CALAIS'),
('62890','AUDREHEM','PAS DE CALAIS'),
('62890','BONNINGUES LES ARDRES','PAS DE CALAIS'),
('62890','CLERQUES','PAS DE CALAIS'),
('62890','MENTQUE NOTBECOURT','PAS DE CALAIS'),
('62890','MUNCQ NIEURLET','PAS DE CALAIS'),
('62890','NORDAUSQUES','PAS DE CALAIS'),
('62890','NORT LEULINGHEM','PAS DE CALAIS'),
('62890','RECQUES SUR HEM','PAS DE CALAIS'),
('62890','TOURNEHEM SUR LA HEM','PAS DE CALAIS'),
('62890','ZOUAFQUES','PAS DE CALAIS'),
('62890','LA RECOUSSE','PAS DE CALAIS'),
('62910','BAYENGHEM LES EPERLECQUES','PAS DE CALAIS'),
('62910','EPERLECQUES','PAS DE CALAIS'),
('62910','HOULLE','PAS DE CALAIS'),
('62910','MORINGHEM','PAS DE CALAIS'),
('62910','MOULLE','PAS DE CALAIS'),
('62910','SERQUES','PAS DE CALAIS'),
('62920','CHOCQUES','PAS DE CALAIS'),
('62920','GONNEHEM','PAS DE CALAIS'),
('62920','OBLINGHEM','PAS DE CALAIS'),
('62930','WIMEREUX','PAS DE CALAIS'),
('62940','HAILLICOURT','PAS DE CALAIS'),
('62950','NOYELLES GODAULT','PAS DE CALAIS'),
('62960','BEAUMETZ LES AIRE','PAS DE CALAIS'),
('62960','BOMY','PAS DE CALAIS'),
('62960','ERNY ST JULIEN','PAS DE CALAIS'),
('62960','FEBVIN PALFART','PAS DE CALAIS'),
('62960','FLECHIN','PAS DE CALAIS'),
('62960','LAIRES','PAS DE CALAIS'),
('62960','LIGNY LES AIRE','PAS DE CALAIS'),
('62960','WESTREHEM','PAS DE CALAIS'),
('62970','COURCELLES LES LENS','PAS DE CALAIS'),
('62980','NOYELLES LES VERMELLES','PAS DE CALAIS'),
('62980','VERMELLES','PAS DE CALAIS'),
('62990','BEAURAINVILLE','PAS DE CALAIS'),
('62990','BOUBERS LES HESMOND','PAS DE CALAIS'),
('62990','CONTES','PAS DE CALAIS'),
('62990','EMBRY','PAS DE CALAIS'),
('62990','HESMOND','PAS DE CALAIS'),
('62990','LEBIEZ','PAS DE CALAIS'),
('62990','LESPINOY','PAS DE CALAIS'),
('62990','LOISON SUR CREQUOISE','PAS DE CALAIS'),
('62990','MARENLA','PAS DE CALAIS'),
('62990','MARESQUEL ECQUEMICOURT','PAS DE CALAIS'),
('62990','OFFIN','PAS DE CALAIS'),
('62990','RIMBOVAL','PAS DE CALAIS'),
('62990','ROYON','PAS DE CALAIS'),
('62990','ST DENOEUX','PAS DE CALAIS'),
('63000','CLERMONT FERRAND','PUY DE DOME'),
('63110','BEAUMONT','PUY DE DOME'),
('63111','DALLET','PUY DE DOME');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('63112','BLANZAT','PUY DE DOME'),
('63113','PICHERANDE','PUY DE DOME'),
('63114','COUDES','PUY DE DOME'),
('63114','MONTPEYROUX','PUY DE DOME'),
('63115','MEZEL','PUY DE DOME'),
('63116','BEAUREGARD L EVEQUE','PUY DE DOME'),
('63117','CHAURIAT','PUY DE DOME'),
('63118','CEBAZAT','PUY DE DOME'),
('63119','CHATEAUGAY','PUY DE DOME'),
('63120','AUBUSSON D AUVERGNE','PUY DE DOME'),
('63120','COURPIERE','PUY DE DOME'),
('63120','NERONDE SUR DORE','PUY DE DOME'),
('63120','STE AGATHE','PUY DE DOME'),
('63120','SAUVIAT','PUY DE DOME'),
('63120','SERMENTIZON','PUY DE DOME'),
('63120','VOLLORE MONTAGNE','PUY DE DOME'),
('63120','VOLLORE VILLE','PUY DE DOME'),
('63122','CEYRAT','PUY DE DOME'),
('63122','ST GENES CHAMPANELLE','PUY DE DOME'),
('63122','BOISSEJOUR','PUY DE DOME'),
('63122','BERZET','PUY DE DOME'),
('63122','FONT FREYDE','PUY DE DOME'),
('63122','MANSON','PUY DE DOME'),
('63122','THEIX','PUY DE DOME'),
('63130','ROYAT','PUY DE DOME'),
('63140','CHATELGUYON','PUY DE DOME'),
('63140','ST HIPPOLYTE','PUY DE DOME'),
('63150','LA BOURBOULE','PUY DE DOME'),
('63150','MURAT LE QUAIRE','PUY DE DOME'),
('63160','BILLOM','PUY DE DOME'),
('63160','BONGHEAT','PUY DE DOME'),
('63160','CHAS','PUY DE DOME'),
('63160','EGLISENEUVE PRES BILLOM','PUY DE DOME'),
('63160','ESPIRAT','PUY DE DOME'),
('63160','FAYET LE CHATEAU','PUY DE DOME'),
('63160','GLAINE MONTAIGUT','PUY DE DOME'),
('63160','MAUZUN','PUY DE DOME'),
('63160','MONTMORIN','PUY DE DOME'),
('63160','NEUVILLE','PUY DE DOME'),
('63160','REIGNAT','PUY DE DOME'),
('63160','ST JULIEN DE COPPEL','PUY DE DOME'),
('63170','AUBIERE','PUY DE DOME'),
('63170','PERIGNAT LES SARLIEVE','PUY DE DOME'),
('63190','BORT L ETANG','PUY DE DOME'),
('63190','LEMPTY','PUY DE DOME'),
('63190','LEZOUX','PUY DE DOME'),
('63190','MOISSAT','PUY DE DOME'),
('63190','ORLEAT','PUY DE DOME'),
('63190','RAVEL','PUY DE DOME'),
('63190','ST JEAN D HEURS','PUY DE DOME'),
('63190','SEYCHALLES','PUY DE DOME'),
('63200','CELLULE','PUY DE DOME'),
('63200','LE CHEIX','PUY DE DOME'),
('63200','DAVAYAT','PUY DE DOME'),
('63200','GIMEAUX','PUY DE DOME'),
('63200','MALAUZAT','PUY DE DOME'),
('63200','MARSAT','PUY DE DOME'),
('63200','MENETROL','PUY DE DOME'),
('63200','LA MOUTADE','PUY DE DOME'),
('63200','MOZAC','PUY DE DOME'),
('63200','PESSAT VILLENEUVE','PUY DE DOME'),
('63200','PROMPSAT','PUY DE DOME'),
('63200','RIOM','PUY DE DOME'),
('63200','ST BONNET PRES RIOM','PUY DE DOME'),
('63200','YSSAC LA TOURETTE','PUY DE DOME'),
('63210','AURIERES','PUY DE DOME'),
('63210','CEYSSAT','PUY DE DOME'),
('63210','HEUME L EGLISE','PUY DE DOME'),
('63210','NEBOUZAT','PUY DE DOME'),
('63210','OLBY','PUY DE DOME'),
('63210','ORCIVAL','PUY DE DOME'),
('63210','PERPEZAT','PUY DE DOME'),
('63210','ROCHEFORT MONTAGNE','PUY DE DOME'),
('63210','ST BONNET PRES ORCIVAL','PUY DE DOME'),
('63210','ST PIERRE ROCHE','PUY DE DOME'),
('63210','VERNINES','PUY DE DOME'),
('63220','ARLANC','PUY DE DOME'),
('63220','BEURIERES','PUY DE DOME'),
('63220','CHAUMONT LE BOURG','PUY DE DOME'),
('63220','DORANGES','PUY DE DOME'),
('63220','DORE L EGLISE','PUY DE DOME'),
('63220','MAYRES','PUY DE DOME'),
('63220','MEDEYROLLES','PUY DE DOME'),
('63220','NOVACELLES','PUY DE DOME'),
('63220','ST ALYRE D ARLANC','PUY DE DOME'),
('63220','ST SAUVEUR LA SAGNE','PUY DE DOME'),
('63230','BROMONT LAMOTHE','PUY DE DOME'),
('63230','CHAPDES BEAUFORT','PUY DE DOME'),
('63230','LA GOUTELLE','PUY DE DOME'),
('63230','MAZAYE','PUY DE DOME'),
('63230','MONTFERMY','PUY DE DOME'),
('63230','PONTGIBAUD','PUY DE DOME'),
('63230','PULVERIERES','PUY DE DOME'),
('63230','ST JACQUES D AMBUR','PUY DE DOME'),
('63230','ST OURS','PUY DE DOME'),
('63230','ST PIERRE LE CHASTEL','PUY DE DOME'),
('63240','MONT DORE','PUY DE DOME'),
('63250','ARCONSAT','PUY DE DOME'),
('63250','CELLES SUR DUROLLE','PUY DE DOME'),
('63250','CHABRELOCHE','PUY DE DOME'),
('63250','VISCOMTAT','PUY DE DOME'),
('63250','LES SARRAIX','PUY DE DOME'),
('63260','AIGUEPERSE','PUY DE DOME'),
('63260','AUBIAT','PUY DE DOME'),
('63260','BUSSIERES ET PRUNS','PUY DE DOME'),
('63260','CHAPTUZAT','PUY DE DOME'),
('63260','EFFIAT','PUY DE DOME'),
('63260','MONTPENSIER','PUY DE DOME'),
('63260','ST AGOULIN','PUY DE DOME'),
('63260','ST GENES DU RETZ','PUY DE DOME'),
('63260','SARDON','PUY DE DOME'),
('63260','THURET','PUY DE DOME'),
('63260','VENSAT','PUY DE DOME'),
('63260','CHAZELLES','PUY DE DOME'),
('63270','BUSSEOL','PUY DE DOME'),
('63270','ISSERTEAUX','PUY DE DOME'),
('63270','LAPS','PUY DE DOME'),
('63270','MANGLIEU','PUY DE DOME'),
('63270','PARENT','PUY DE DOME'),
('63270','PIGNOLS','PUY DE DOME'),
('63270','ST MAURICE','PUY DE DOME'),
('63270','SALLEDES','PUY DE DOME'),
('63270','VIC LE COMTE','PUY DE DOME'),
('63270','YRONDE ET BURON','PUY DE DOME'),
('63270','LONGUES','PUY DE DOME'),
('63290','CHARNAT','PUY DE DOME'),
('63290','CHATELDON','PUY DE DOME'),
('63290','LACHAUX','PUY DE DOME'),
('63290','LIMONS','PUY DE DOME'),
('63290','NOALHAT','PUY DE DOME'),
('63290','PASLIERES','PUY DE DOME'),
('63290','PUY GUILLAUME','PUY DE DOME'),
('63290','RIS','PUY DE DOME'),
('63300','DORAT','PUY DE DOME'),
('63300','ESCOUTOUX','PUY DE DOME'),
('63300','THIERS','PUY DE DOME'),
('63310','BAS ET LEZAT','PUY DE DOME'),
('63310','BEAUMONT LES RANDAN','PUY DE DOME'),
('63310','MONS','PUY DE DOME'),
('63310','RANDAN','PUY DE DOME'),
('63310','ST ANDRE LE COQ','PUY DE DOME'),
('63310','ST CLEMENT DE REGNAT','PUY DE DOME'),
('63310','ST DENIS COMBARNAZAT','PUY DE DOME'),
('63310','ST PRIEST BRAMEFANT','PUY DE DOME'),
('63310','ST SYLVESTRE PRAGOULIN','PUY DE DOME'),
('63310','VILLENEUVE LES CERFS','PUY DE DOME'),
('63320','CHADELEUF','PUY DE DOME'),
('63320','CHAMPEIX','PUY DE DOME'),
('63320','CHASSAGNE','PUY DE DOME'),
('63320','CHIDRAC','PUY DE DOME'),
('63320','CLEMENSAT','PUY DE DOME'),
('63320','COURGOUL','PUY DE DOME'),
('63320','CRESTE','PUY DE DOME'),
('63320','GRANDEYROLLES','PUY DE DOME'),
('63320','LUDESSE','PUY DE DOME'),
('63320','MEILHAUD','PUY DE DOME'),
('63320','MONTAIGUT LE BLANC','PUY DE DOME'),
('63320','NESCHERS','PUY DE DOME'),
('63320','ST CIRGUES SUR COUZE','PUY DE DOME'),
('63320','ST DIERY','PUY DE DOME'),
('63320','ST FLORET','PUY DE DOME'),
('63320','ST VINCENT','PUY DE DOME'),
('63320','SAURIER','PUY DE DOME'),
('63320','TOURZEL RONZIERES','PUY DE DOME'),
('63320','VERRIERES','PUY DE DOME'),
('63330','BUSSIERES','PUY DE DOME'),
('63330','LA CELLETTE','PUY DE DOME'),
('63330','CHATEAU SUR CHER','PUY DE DOME'),
('63330','PIONSAT','PUY DE DOME'),
('63330','LE QUARTIER','PUY DE DOME'),
('63330','ROCHE D AGOUX','PUY DE DOME'),
('63330','ST HILAIRE','PUY DE DOME'),
('63330','ST MAIGNER','PUY DE DOME'),
('63330','ST MAURICE PRES PIONSAT','PUY DE DOME'),
('63330','VERGHEAS','PUY DE DOME'),
('63330','VIRLET','PUY DE DOME'),
('63340','ANTOINGT','PUY DE DOME'),
('63340','AUGNAT','PUY DE DOME'),
('63340','BOUDES','PUY DE DOME'),
('63340','LE BREUIL SUR COUZE','PUY DE DOME'),
('63340','CHALUS','PUY DE DOME'),
('63340','CHARBONNIER LES MINES','PUY DE DOME'),
('63340','COLLANGES','PUY DE DOME'),
('63340','DAUZAT SUR VODABLE','PUY DE DOME'),
('63340','GIGNAT','PUY DE DOME'),
('63340','MADRIAT','PUY DE DOME'),
('63340','MAREUGHEOL','PUY DE DOME'),
('63340','MORIAT','PUY DE DOME'),
('63340','NONETTE','PUY DE DOME'),
('63340','ORSONNETTE','PUY DE DOME'),
('63340','ST GERMAIN LEMBRON','PUY DE DOME'),
('63340','ST GERVAZY','PUY DE DOME'),
('63340','ST HERENT','PUY DE DOME'),
('63340','TERNANT LES EAUX','PUY DE DOME'),
('63340','VICHEL','PUY DE DOME'),
('63340','VILLENEUVE','PUY DE DOME'),
('63350','BULHON','PUY DE DOME'),
('63350','CREVANT LAVEINE','PUY DE DOME'),
('63350','CULHAT','PUY DE DOME'),
('63350','JOZE','PUY DE DOME');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('63350','LUZILLAT','PUY DE DOME'),
('63350','MARINGUES','PUY DE DOME'),
('63350','ST LAURE','PUY DE DOME'),
('63350','VINZELLES','PUY DE DOME'),
('63360','GERZAT','PUY DE DOME'),
('63360','LUSSAT','PUY DE DOME'),
('63360','ST BEAUZIRE','PUY DE DOME'),
('63370','LEMPDES','PUY DE DOME'),
('63380','COMBRAILLES','PUY DE DOME'),
('63380','CONDAT EN COMBRAILLES','PUY DE DOME'),
('63380','LANDOGNE','PUY DE DOME'),
('63380','MIREMONT','PUY DE DOME'),
('63380','MONTEL DE GELAT','PUY DE DOME'),
('63380','PONTAUMUR','PUY DE DOME'),
('63380','ST AVIT','PUY DE DOME'),
('63380','ST ETIENNE DES CHAMPS','PUY DE DOME'),
('63380','ST HILAIRE LES MONGES','PUY DE DOME'),
('63380','TRALAIGUES','PUY DE DOME'),
('63380','VILLOSANGES','PUY DE DOME'),
('63390','AYAT SUR SIOULE','PUY DE DOME'),
('63390','CHATEAUNEUF LES BAINS','PUY DE DOME'),
('63390','ESPINASSE','PUY DE DOME'),
('63390','GOUTTIERES','PUY DE DOME'),
('63390','STE CHRISTINE','PUY DE DOME'),
('63390','ST GERVAIS D AUVERGNE','PUY DE DOME'),
('63390','ST JULIEN LA GENESTE','PUY DE DOME'),
('63390','SAURET BESSERVE','PUY DE DOME'),
('63400','CHAMALIERES','PUY DE DOME'),
('63410','CHARBONNIERES LES VARENNE','PUY DE DOME'),
('63410','CHARBONNIERES LES VIEILLE','PUY DE DOME'),
('63410','LOUBEYRAT','PUY DE DOME'),
('63410','MANZAT','PUY DE DOME'),
('63410','ST ANGEL','PUY DE DOME'),
('63410','VITRAC','PUY DE DOME'),
('63410','PAUGNAT','PUY DE DOME'),
('63420','ANZAT LE LUGUET','PUY DE DOME'),
('63420','APCHAT','PUY DE DOME'),
('63420','ARDES','PUY DE DOME'),
('63420','LA CHAPELLE MARCOUSSE','PUY DE DOME'),
('63420','LA MAYRAND','PUY DE DOME'),
('63420','MAZOIRES','PUY DE DOME'),
('63420','RENTIERES','PUY DE DOME'),
('63420','ROCHE CHARLES LA MAYRAND','PUY DE DOME'),
('63420','ST ALYRE ES MONTAGNE','PUY DE DOME'),
('63430','LES MARTRES D ARTIERE','PUY DE DOME'),
('63430','PONT DU CHATEAU','PUY DE DOME'),
('63440','BLOT L EGLISE','PUY DE DOME'),
('63440','CHAMPS','PUY DE DOME'),
('63440','LISSEUIL','PUY DE DOME'),
('63440','MARCILLAT','PUY DE DOME'),
('63440','POUZOL','PUY DE DOME'),
('63440','ST GAL SUR SIOULE','PUY DE DOME'),
('63440','ST HILAIRE LA CROIX','PUY DE DOME'),
('63440','ST PARDOUX','PUY DE DOME'),
('63440','ST QUINTIN SUR SIOULE','PUY DE DOME'),
('63440','ST REMY DE BLOT','PUY DE DOME'),
('63450','CHANONAT','PUY DE DOME'),
('63450','COURNOLS','PUY DE DOME'),
('63450','LE CREST','PUY DE DOME'),
('63450','OLLOIX','PUY DE DOME'),
('63450','ST AMANT TALLENDE','PUY DE DOME'),
('63450','ST SANDOUX','PUY DE DOME'),
('63450','ST SATURNIN','PUY DE DOME'),
('63450','TALLENDE','PUY DE DOME'),
('63460','ARTONNE','PUY DE DOME'),
('63460','BEAUREGARD VENDON','PUY DE DOME'),
('63460','COMBRONDE','PUY DE DOME'),
('63460','JOSERAND','PUY DE DOME'),
('63460','MONTCEL','PUY DE DOME'),
('63460','ST MYON','PUY DE DOME'),
('63460','TEILHEDE','PUY DE DOME'),
('63470','HERMENT','PUY DE DOME'),
('63470','PRONDINES','PUY DE DOME'),
('63470','PUY ST GULMIER','PUY DE DOME'),
('63470','ST GERMAIN PRES HERMENT','PUY DE DOME'),
('63470','SAUVAGNAT','PUY DE DOME'),
('63470','TORTEBESSE','PUY DE DOME'),
('63470','VERNEUGHEOL','PUY DE DOME'),
('63480','BERTIGNAT','PUY DE DOME'),
('63480','MARAT','PUY DE DOME'),
('63480','ST PIERRE LA BOURLHONNE','PUY DE DOME'),
('63480','VERTOLAYE','PUY DE DOME'),
('63490','BROUSSE','PUY DE DOME'),
('63490','CONDAT LES MONTBOISSIER','PUY DE DOME'),
('63490','EGLISENEUVE DES LIARDS','PUY DE DOME'),
('63490','ST JEAN EN VAL','PUY DE DOME'),
('63490','ST QUENTIN SUR SAUXILLANG','PUY DE DOME'),
('63490','SAUXILLANGES','PUY DE DOME'),
('63490','SUGERES','PUY DE DOME'),
('63490','USSON','PUY DE DOME'),
('63500','AULHAT ST PRIVAT','PUY DE DOME'),
('63500','BERGONNE','PUY DE DOME'),
('63500','BRENAT','PUY DE DOME'),
('63500','LE BROC','PUY DE DOME'),
('63500','FLAT','PUY DE DOME'),
('63500','ISSOIRE','PUY DE DOME'),
('63500','ORBEIL','PUY DE DOME'),
('63500','PARDINES','PUY DE DOME'),
('63500','PARENTIGNAT','PUY DE DOME'),
('63500','PERRIER','PUY DE DOME'),
('63500','LES PRADEAUX','PUY DE DOME'),
('63500','ST BABEL','PUY DE DOME'),
('63500','ST REMY DE CHARGNAT','PUY DE DOME'),
('63500','ST YVOINE','PUY DE DOME'),
('63500','SAUVAGNAT STE MARTHE','PUY DE DOME'),
('63500','SOLIGNAT','PUY DE DOME'),
('63500','VARENNES SUR USSON','PUY DE DOME'),
('63500','VODABLE','PUY DE DOME'),
('63510','AULNAT','PUY DE DOME'),
('63510','MALINTRAT','PUY DE DOME'),
('63520','CEILLOUX','PUY DE DOME'),
('63520','DOMAIZE','PUY DE DOME'),
('63520','ESTANDEUIL','PUY DE DOME'),
('63520','ST DIER D AUVERGNE','PUY DE DOME'),
('63520','ST FLOUR','PUY DE DOME'),
('63520','ST JEAN DES OLLIERES','PUY DE DOME'),
('63520','TREZIOUX','PUY DE DOME'),
('63530','CHANAT LA MOUTEYRE','PUY DE DOME'),
('63530','ENVAL','PUY DE DOME'),
('63530','SAYAT','PUY DE DOME'),
('63530','VOLVIC','PUY DE DOME'),
('63540','ROMAGNAT','PUY DE DOME'),
('63540','OPME','PUY DE DOME'),
('63540','SAULZET LE CHAUD','PUY DE DOME'),
('63550','PALLADUC','PUY DE DOME'),
('63550','ST REMY SUR DUROLLE','PUY DE DOME'),
('63550','ST VICTOR MONTVIANEIX','PUY DE DOME'),
('63560','MENAT','PUY DE DOME'),
('63560','NEUF EGLISE','PUY DE DOME'),
('63560','SERVANT','PUY DE DOME'),
('63560','TEILHET','PUY DE DOME'),
('63570','AUZAT SUR ALLIER','PUY DE DOME'),
('63570','BANSAT','PUY DE DOME'),
('63570','BEAULIEU','PUY DE DOME'),
('63570','BRASSAC LES MINES','PUY DE DOME'),
('63570','ESTEIL','PUY DE DOME'),
('63570','JUMEAUX','PUY DE DOME'),
('63570','LAMONTGIE','PUY DE DOME'),
('63570','ST JEAN ST GERVAIS','PUY DE DOME'),
('63570','ST MARTIN DES PLAINS','PUY DE DOME'),
('63570','LA COMBELLE','PUY DE DOME'),
('63580','CHAMEANE','PUY DE DOME'),
('63580','CHAMPAGNAT LE JEUNE','PUY DE DOME'),
('63580','LA CHAPELLE SUR USSON','PUY DE DOME'),
('63580','PESLIERES','PUY DE DOME'),
('63580','STE CATHERINE','PUY DE DOME'),
('63580','ST ETIENNE SUR USSON','PUY DE DOME'),
('63580','ST GENES LA TOURETTE','PUY DE DOME'),
('63580','ST MARTIN D OLLIERES','PUY DE DOME'),
('63580','VALZ SOUS CHATEAUNEUF','PUY DE DOME'),
('63580','VERNET LA VARENNE','PUY DE DOME'),
('63590','AUZELLES','PUY DE DOME'),
('63590','LA CHAPELLE AGNON','PUY DE DOME'),
('63590','CUNLHAT','PUY DE DOME'),
('63590','TOURS SUR MEYMONT','PUY DE DOME'),
('63600','AMBERT','PUY DE DOME'),
('63600','BAFFIE','PUY DE DOME'),
('63600','CHAMPETIERES','PUY DE DOME'),
('63600','LA FORIE','PUY DE DOME'),
('63600','GRANDRIF','PUY DE DOME'),
('63600','ST FERREOL DES COTES','PUY DE DOME'),
('63600','ST JUST','PUY DE DOME'),
('63600','ST MARTIN DES OLMES','PUY DE DOME'),
('63600','THIOLIERES','PUY DE DOME'),
('63600','VALCIVIERES','PUY DE DOME'),
('63610','BESSE ET ST ANASTAISE','PUY DE DOME'),
('63610','COMPAINS','PUY DE DOME'),
('63610','ST ANASTAISE','PUY DE DOME'),
('63610','ST PIERRE COLAMINE','PUY DE DOME'),
('63610','VALBELEIX','PUY DE DOME'),
('63610','SUPER BESSE','PUY DE DOME'),
('63620','LA CELLE','PUY DE DOME'),
('63620','FERNOEL','PUY DE DOME'),
('63620','GIAT','PUY DE DOME'),
('63620','VOINGT','PUY DE DOME'),
('63630','FAYET RONAYE','PUY DE DOME'),
('63630','ST BONNET LE BOURG','PUY DE DOME'),
('63630','ST BONNET LE CHASTEL','PUY DE DOME'),
('63630','ST GERMAIN L HERM','PUY DE DOME'),
('63640','BIOLLET','PUY DE DOME'),
('63640','CHARENSAT','PUY DE DOME'),
('63640','ST PRIEST DES CHAMPS','PUY DE DOME'),
('63650','LA MONNERIE LE MONTEL','PUY DE DOME'),
('63660','LA CHAULME','PUY DE DOME'),
('63660','ST ANTHEME','PUY DE DOME'),
('63660','ST CLEMENT DE VALORGUE','PUY DE DOME'),
('63660','ST ROMAIN','PUY DE DOME'),
('63670','LE CENDRE','PUY DE DOME'),
('63670','ORCET','PUY DE DOME'),
('63670','LA ROCHE BLANCHE','PUY DE DOME'),
('63680','CHASTREIX','PUY DE DOME'),
('63680','LA TOUR D AUVERGNE','PUY DE DOME'),
('63680','ST DONAT','PUY DE DOME'),
('63690','AVEZE','PUY DE DOME'),
('63690','LABESSETTE','PUY DE DOME'),
('63690','LARODDE','PUY DE DOME'),
('63690','SINGLES','PUY DE DOME'),
('63690','TAUVES','PUY DE DOME'),
('63700','ARS LES FAVETS','PUY DE DOME'),
('63700','BUXIERES SOUS MONTAIGUT','PUY DE DOME');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('63700','LA CROUZILLE','PUY DE DOME'),
('63700','DURMIGNAT','PUY DE DOME'),
('63700','LAPEYROUSE','PUY DE DOME'),
('63700','MONTAIGUT','PUY DE DOME'),
('63700','MOUREUILLE','PUY DE DOME'),
('63700','ST ELOY LES MINES','PUY DE DOME'),
('63700','YOUX','PUY DE DOME'),
('63700','MONTJOIE','PUY DE DOME'),
('63710','ST NECTAIRE','PUY DE DOME'),
('63710','LE VERNET STE MARGUERITE','PUY DE DOME'),
('63720','CHAPPES','PUY DE DOME'),
('63720','CHAVAROUX','PUY DE DOME'),
('63720','CLERLANDE','PUY DE DOME'),
('63720','ENNEZAT','PUY DE DOME'),
('63720','ENTRAIGUES','PUY DE DOME'),
('63720','MARTRES SUR MORGE','PUY DE DOME'),
('63720','ST IGNAT','PUY DE DOME'),
('63720','SURAT','PUY DE DOME'),
('63720','VARENNES SUR MORGE','PUY DE DOME'),
('63730','AUTHEZAT','PUY DE DOME'),
('63730','CORENT','PUY DE DOME'),
('63730','LES MARTRES DE VEYRE','PUY DE DOME'),
('63730','MIREFLEURS','PUY DE DOME'),
('63730','PLAUZAT','PUY DE DOME'),
('63730','LA SAUVETAT','PUY DE DOME'),
('63740','CISTERNES LA FORET','PUY DE DOME'),
('63740','GELLES','PUY DE DOME'),
('63750','MESSEIX','PUY DE DOME'),
('63750','SAVENNES','PUY DE DOME'),
('63750','BOGROS','PUY DE DOME'),
('63750','LES GANNES','PUY DE DOME'),
('63760','BOURG LASTIC','PUY DE DOME'),
('63760','LASTIC','PUY DE DOME'),
('63760','ST SULPICE','PUY DE DOME'),
('63770','LES ANCIZES COMPS','PUY DE DOME'),
('63780','QUEUILLE','PUY DE DOME'),
('63780','ST GEORGES DE MONS','PUY DE DOME'),
('63790','CHAMBON SUR LAC','PUY DE DOME'),
('63790','MUROL','PUY DE DOME'),
('63790','ST VICTOR LA RIVIERE','PUY DE DOME'),
('63800','COURNON D AUVERGNE','PUY DE DOME'),
('63800','PERIGNAT SUR ALLIER','PUY DE DOME'),
('63800','LA ROCHE NOIRE','PUY DE DOME'),
('63800','ST BONNET LES ALLIER','PUY DE DOME'),
('63800','ST GEORGES SUR ALLIER','PUY DE DOME'),
('63810','BAGNOLS','PUY DE DOME'),
('63810','CROS','PUY DE DOME'),
('63810','TREMOUILLE ST LOUP','PUY DE DOME'),
('63820','BRIFFONS','PUY DE DOME'),
('63820','LAQUEUILLE','PUY DE DOME'),
('63820','ST JULIEN PUY LAVEZE','PUY DE DOME'),
('63830','DURTOL','PUY DE DOME'),
('63830','NOHANENT','PUY DE DOME'),
('63840','EGLISOLLES','PUY DE DOME'),
('63840','SAILLANT','PUY DE DOME'),
('63840','SAUVESSANGES','PUY DE DOME'),
('63840','VIVEROLS','PUY DE DOME'),
('63850','EGLISENEUVE D ENTRAIGUE','PUY DE DOME'),
('63850','ESPINCHAL','PUY DE DOME'),
('63850','LA GODIVELLE','PUY DE DOME'),
('63850','ST GENES CHAMPESPE','PUY DE DOME'),
('63870','ORCINES','PUY DE DOME'),
('63880','LE BRUGERON','PUY DE DOME'),
('63880','OLLIERGUES','PUY DE DOME'),
('63880','OLMET','PUY DE DOME'),
('63880','ST GERVAIS SOUS MEYMONT','PUY DE DOME'),
('63890','GRANDVAL','PUY DE DOME'),
('63890','LE MONESTIER','PUY DE DOME'),
('63890','ST AMANT ROCHE SAVINE','PUY DE DOME'),
('63890','ST ELOI LA GLACIERE','PUY DE DOME'),
('63910','BOUZEL','PUY DE DOME'),
('63910','VASSEL','PUY DE DOME'),
('63910','VERTAIZON','PUY DE DOME'),
('63920','PESCHADOIRES','PUY DE DOME'),
('63920','PONT DE DORE','PUY DE DOME'),
('63930','AUGEROLLES','PUY DE DOME'),
('63930','LA RENAUDIE','PUY DE DOME'),
('63940','MARSAC EN LIVRADOIS','PUY DE DOME'),
('63950','ST SAUVES D AUVERGNE','PUY DE DOME'),
('63960','VEYRE MONTON','PUY DE DOME'),
('63970','AYDAT','PUY DE DOME'),
('63970','SAULZET LE FROID','PUY DE DOME'),
('63980','AIX LA FAYETTE','PUY DE DOME'),
('63980','CHAMBON SUR DOLORE','PUY DE DOME'),
('63980','ECHANDELYS','PUY DE DOME'),
('63980','FOURNOLS','PUY DE DOME'),
('63990','JOB','PUY DE DOME'),
('64000','PAU','PYRENEES ATLANTIQUES'),
('64100','BAYONNE','PYRENEES ATLANTIQUES'),
('64110','GELOS','PYRENEES ATLANTIQUES'),
('64110','JURANCON','PYRENEES ATLANTIQUES'),
('64110','LAROIN','PYRENEES ATLANTIQUES'),
('64110','MAZERES LEZONS','PYRENEES ATLANTIQUES'),
('64110','RONTIGNON','PYRENEES ATLANTIQUES'),
('64110','ST FAUST','PYRENEES ATLANTIQUES'),
('64110','UZOS','PYRENEES ATLANTIQUES'),
('64120','AICIRITS CAMOU SUHAST','PYRENEES ATLANTIQUES'),
('64120','AMENDEUIX ONEIX','PYRENEES ATLANTIQUES'),
('64120','AMOROTS SUCCOS','PYRENEES ATLANTIQUES'),
('64120','ARBERATS SILLEGUE','PYRENEES ATLANTIQUES'),
('64120','ARBOUET SUSSAUTE','PYRENEES ATLANTIQUES'),
('64120','ARHANSUS','PYRENEES ATLANTIQUES'),
('64120','AROUE ITHORROTS OLHAIBY','PYRENEES ATLANTIQUES'),
('64120','ARRAUTE CHARRITTE','PYRENEES ATLANTIQUES'),
('64120','BEGUIOS','PYRENEES ATLANTIQUES'),
('64120','BEHASQUE LAPISTE','PYRENEES ATLANTIQUES'),
('64120','BEYRIE SUR JOYEUSE','PYRENEES ATLANTIQUES'),
('64120','BUNUS','PYRENEES ATLANTIQUES'),
('64120','CAMOU MIXE SUHAST','PYRENEES ATLANTIQUES'),
('64120','DOMEZAIN BERRAUTE','PYRENEES ATLANTIQUES'),
('64120','ETCHARRY','PYRENEES ATLANTIQUES'),
('64120','GABAT','PYRENEES ATLANTIQUES'),
('64120','GARRIS','PYRENEES ATLANTIQUES'),
('64120','HOSTA','PYRENEES ATLANTIQUES'),
('64120','IBARROLLE','PYRENEES ATLANTIQUES'),
('64120','ILHARRE','PYRENEES ATLANTIQUES'),
('64120','ITHOROTS OLHAIBY','PYRENEES ATLANTIQUES'),
('64120','JUXUE','PYRENEES ATLANTIQUES'),
('64120','LABETS BISCAY','PYRENEES ATLANTIQUES'),
('64120','LARCEVEAU ARROS CIBITS','PYRENEES ATLANTIQUES'),
('64120','LARRIBAR SORHAPURU','PYRENEES ATLANTIQUES'),
('64120','LOHITZUN OYHERCQ','PYRENEES ATLANTIQUES'),
('64120','LUXE SUMBERRAUTE','PYRENEES ATLANTIQUES'),
('64120','MASPARRAUTE','PYRENEES ATLANTIQUES'),
('64120','MEHARIN','PYRENEES ATLANTIQUES'),
('64120','OREGUE','PYRENEES ATLANTIQUES'),
('64120','ORSANCO','PYRENEES ATLANTIQUES'),
('64120','OSTABAT ASME','PYRENEES ATLANTIQUES'),
('64120','PAGOLLE','PYRENEES ATLANTIQUES'),
('64120','ST JUST IBARRE','PYRENEES ATLANTIQUES'),
('64120','ST PALAIS','PYRENEES ATLANTIQUES'),
('64120','UHART MIXE','PYRENEES ATLANTIQUES'),
('64121','MONTARDON','PYRENEES ATLANTIQUES'),
('64121','SERRES CASTET','PYRENEES ATLANTIQUES'),
('64122','URRUGNE','PYRENEES ATLANTIQUES'),
('64130','AINHARP','PYRENEES ATLANTIQUES'),
('64130','ARRAST LARREBIEU','PYRENEES ATLANTIQUES'),
('64130','AUSSURUCQ','PYRENEES ATLANTIQUES'),
('64130','BARCUS','PYRENEES ATLANTIQUES'),
('64130','BERROGAIN LARUNS','PYRENEES ATLANTIQUES'),
('64130','CHARRITTE DE BAS','PYRENEES ATLANTIQUES'),
('64130','CHERAUTE','PYRENEES ATLANTIQUES'),
('64130','ESPES UNDUREIN','PYRENEES ATLANTIQUES'),
('64130','GARINDEIN','PYRENEES ATLANTIQUES'),
('64130','GOTEIN LIBARRENX','PYRENEES ATLANTIQUES'),
('64130','L HOPITAL ST BLAISE','PYRENEES ATLANTIQUES'),
('64130','IDAUX MENDY','PYRENEES ATLANTIQUES'),
('64130','LICHOS','PYRENEES ATLANTIQUES'),
('64130','MAULEON LICHARRE','PYRENEES ATLANTIQUES'),
('64130','MENDITTE','PYRENEES ATLANTIQUES'),
('64130','MONCAYOLLE LARRORY','PYRENEES ATLANTIQUES'),
('64130','MUSCULDY','PYRENEES ATLANTIQUES'),
('64130','ORDIARP','PYRENEES ATLANTIQUES'),
('64130','ROQUIAGUE','PYRENEES ATLANTIQUES'),
('64130','VIODOS ABENSE DE BAS','PYRENEES ATLANTIQUES'),
('64140','BILLERE','PYRENEES ATLANTIQUES'),
('64140','LONS','PYRENEES ATLANTIQUES'),
('64150','ABIDOS','PYRENEES ATLANTIQUES'),
('64150','BESINGRAND','PYRENEES ATLANTIQUES'),
('64150','LAGOR','PYRENEES ATLANTIQUES'),
('64150','LAHOURCADE','PYRENEES ATLANTIQUES'),
('64150','MOURENX','PYRENEES ATLANTIQUES'),
('64150','NOGUERES','PYRENEES ATLANTIQUES'),
('64150','OS MARSILLON','PYRENEES ATLANTIQUES'),
('64150','PARDIES','PYRENEES ATLANTIQUES'),
('64150','SAUVELADE','PYRENEES ATLANTIQUES'),
('64150','VIELLESEGURE','PYRENEES ATLANTIQUES'),
('64160','ABERE','PYRENEES ATLANTIQUES'),
('64160','ANOS','PYRENEES ATLANTIQUES'),
('64160','BARINQUE','PYRENEES ATLANTIQUES'),
('64160','BERNADETS','PYRENEES ATLANTIQUES'),
('64160','BUROS','PYRENEES ATLANTIQUES'),
('64160','CARRERE','PYRENEES ATLANTIQUES'),
('64160','COSLEDAA LUBE BOAST','PYRENEES ATLANTIQUES'),
('64160','ESCOUBES','PYRENEES ATLANTIQUES'),
('64160','ESPECHEDE','PYRENEES ATLANTIQUES'),
('64160','GABASTON','PYRENEES ATLANTIQUES'),
('64160','GERDEREST','PYRENEES ATLANTIQUES'),
('64160','HIGUERES SOUYE','PYRENEES ATLANTIQUES'),
('64160','LESPOURCY','PYRENEES ATLANTIQUES'),
('64160','LOMBIA','PYRENEES ATLANTIQUES'),
('64160','LUSSAGNET LUSSON','PYRENEES ATLANTIQUES'),
('64160','MAUCOR','PYRENEES ATLANTIQUES'),
('64160','MONASSUT AUDIRACQ','PYRENEES ATLANTIQUES'),
('64160','MORLAAS','PYRENEES ATLANTIQUES'),
('64160','OUILLON','PYRENEES ATLANTIQUES'),
('64160','RIUPEYROUS','PYRENEES ATLANTIQUES'),
('64160','ST ARMOU','PYRENEES ATLANTIQUES'),
('64160','ST CASTIN','PYRENEES ATLANTIQUES'),
('64160','ST JAMMES','PYRENEES ATLANTIQUES'),
('64160','ST LAURENT BRETAGNE','PYRENEES ATLANTIQUES'),
('64160','SEDZE MAUBECQ','PYRENEES ATLANTIQUES'),
('64160','SEDZERE','PYRENEES ATLANTIQUES'),
('64160','SERRES MORLAAS','PYRENEES ATLANTIQUES'),
('64160','SEVIGNACQ','PYRENEES ATLANTIQUES'),
('64160','UROST','PYRENEES ATLANTIQUES'),
('64170','ARTIX','PYRENEES ATLANTIQUES'),
('64170','AUDEJOS','PYRENEES ATLANTIQUES'),
('64170','CASTEIDE CAMI','PYRENEES ATLANTIQUES'),
('64170','CESCAU','PYRENEES ATLANTIQUES');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('64170','LABASTIDE CEZERACQ','PYRENEES ATLANTIQUES'),
('64170','LABASTIDE MONREJEAU','PYRENEES ATLANTIQUES'),
('64170','LACQ','PYRENEES ATLANTIQUES'),
('64170','SERRES STE MARIE','PYRENEES ATLANTIQUES'),
('64170','VIELLENAVE D ARTHEZ','PYRENEES ATLANTIQUES'),
('64190','ANGOUS','PYRENEES ATLANTIQUES'),
('64190','ARAUJUZON','PYRENEES ATLANTIQUES'),
('64190','ARAUX','PYRENEES ATLANTIQUES'),
('64190','AUDAUX','PYRENEES ATLANTIQUES'),
('64190','BASTANES','PYRENEES ATLANTIQUES'),
('64190','BUGNEIN','PYRENEES ATLANTIQUES'),
('64190','CASTETBON','PYRENEES ATLANTIQUES'),
('64190','CASTETNAU CAMBLONG','PYRENEES ATLANTIQUES'),
('64190','CHARRE','PYRENEES ATLANTIQUES'),
('64190','DOGNEN','PYRENEES ATLANTIQUES'),
('64190','GESTAS','PYRENEES ATLANTIQUES'),
('64190','GURS','PYRENEES ATLANTIQUES'),
('64190','JASSES','PYRENEES ATLANTIQUES'),
('64190','LAY LAMIDOU','PYRENEES ATLANTIQUES'),
('64190','MERITEIN','PYRENEES ATLANTIQUES'),
('64190','MONTFORT','PYRENEES ATLANTIQUES'),
('64190','NABAS','PYRENEES ATLANTIQUES'),
('64190','NARP','PYRENEES ATLANTIQUES'),
('64190','NAVARRENX','PYRENEES ATLANTIQUES'),
('64190','OGENNE CAMPTORT','PYRENEES ATLANTIQUES'),
('64190','OSSENX','PYRENEES ATLANTIQUES'),
('64190','PRECHACQ JOSBAIG','PYRENEES ATLANTIQUES'),
('64190','PRECHACQ NAVARRENX','PYRENEES ATLANTIQUES'),
('64190','RIVEHAUTE','PYRENEES ATLANTIQUES'),
('64190','SUS','PYRENEES ATLANTIQUES'),
('64190','SUSMIOU','PYRENEES ATLANTIQUES'),
('64190','TABAILLE USQUAIN','PYRENEES ATLANTIQUES'),
('64190','VIELLENAVE DE NAVARRENX','PYRENEES ATLANTIQUES'),
('64200','ARCANGUES','PYRENEES ATLANTIQUES'),
('64200','BASSUSSARRY','PYRENEES ATLANTIQUES'),
('64200','BIARRITZ','PYRENEES ATLANTIQUES'),
('64210','AHETZE','PYRENEES ATLANTIQUES'),
('64210','ARBONNE','PYRENEES ATLANTIQUES'),
('64210','BIDART','PYRENEES ATLANTIQUES'),
('64210','GUETHARY','PYRENEES ATLANTIQUES'),
('64220','AHAXE ALCIETTE BASCASSAN','PYRENEES ATLANTIQUES'),
('64220','AINCILLE','PYRENEES ATLANTIQUES'),
('64220','AINHICE MONGELOS','PYRENEES ATLANTIQUES'),
('64220','ANHAUX','PYRENEES ATLANTIQUES'),
('64220','ARNEGUY','PYRENEES ATLANTIQUES'),
('64220','ASCARAT','PYRENEES ATLANTIQUES'),
('64220','BEHORLEGUY','PYRENEES ATLANTIQUES'),
('64220','BUSSUNARITS SARRASQUETTE','PYRENEES ATLANTIQUES'),
('64220','BUSTINCE IRIBERRY','PYRENEES ATLANTIQUES'),
('64220','CARO','PYRENEES ATLANTIQUES'),
('64220','ESTERENCUBY','PYRENEES ATLANTIQUES'),
('64220','GAMARTHE','PYRENEES ATLANTIQUES'),
('64220','IROULEGUY','PYRENEES ATLANTIQUES'),
('64220','ISPOURE','PYRENEES ATLANTIQUES'),
('64220','JAXU','PYRENEES ATLANTIQUES'),
('64220','LACARRE','PYRENEES ATLANTIQUES'),
('64220','LASSE','PYRENEES ATLANTIQUES'),
('64220','LECUMBERRY','PYRENEES ATLANTIQUES'),
('64220','MENDIVE','PYRENEES ATLANTIQUES'),
('64220','ST JEAN LE VIEUX','PYRENEES ATLANTIQUES'),
('64220','ST JEAN PIED DE PORT','PYRENEES ATLANTIQUES'),
('64220','ST MICHEL','PYRENEES ATLANTIQUES'),
('64220','UHART CIZE','PYRENEES ATLANTIQUES'),
('64230','ARBUS','PYRENEES ATLANTIQUES'),
('64230','ARTIGUELOUVE','PYRENEES ATLANTIQUES'),
('64230','AUBIN','PYRENEES ATLANTIQUES'),
('64230','AUSSEVIELLE','PYRENEES ATLANTIQUES'),
('64230','BEYRIE EN BEARN','PYRENEES ATLANTIQUES'),
('64230','BOUGARBER','PYRENEES ATLANTIQUES'),
('64230','CAUBIOS LOOS','PYRENEES ATLANTIQUES'),
('64230','DENGUIN','PYRENEES ATLANTIQUES'),
('64230','LESCAR','PYRENEES ATLANTIQUES'),
('64230','MAZEROLLES','PYRENEES ATLANTIQUES'),
('64230','MOMAS','PYRENEES ATLANTIQUES'),
('64230','POEY DE LESCAR','PYRENEES ATLANTIQUES'),
('64230','SAUVAGNON','PYRENEES ATLANTIQUES'),
('64230','SIROS','PYRENEES ATLANTIQUES'),
('64230','UZEIN','PYRENEES ATLANTIQUES'),
('64240','AYHERRE','PYRENEES ATLANTIQUES'),
('64240','BONLOC','PYRENEES ATLANTIQUES'),
('64240','BRISCOUS','PYRENEES ATLANTIQUES'),
('64240','HASPARREN','PYRENEES ATLANTIQUES'),
('64240','ISTURITS','PYRENEES ATLANTIQUES'),
('64240','LA BASTIDE CLAIRENCE','PYRENEES ATLANTIQUES'),
('64240','MACAYE','PYRENEES ATLANTIQUES'),
('64240','MENDIONDE','PYRENEES ATLANTIQUES'),
('64240','URT','PYRENEES ATLANTIQUES'),
('64250','AINHOA','PYRENEES ATLANTIQUES'),
('64250','CAMBO LES BAINS','PYRENEES ATLANTIQUES'),
('64250','ESPELETTE','PYRENEES ATLANTIQUES'),
('64250','ITXASSOU','PYRENEES ATLANTIQUES'),
('64250','LOUHOSSOA','PYRENEES ATLANTIQUES'),
('64250','SOURAIDE','PYRENEES ATLANTIQUES'),
('64260','ARUDY','PYRENEES ATLANTIQUES'),
('64260','ASTE BEON','PYRENEES ATLANTIQUES'),
('64260','BESCAT','PYRENEES ATLANTIQUES'),
('64260','BIELLE','PYRENEES ATLANTIQUES'),
('64260','BILHERES','PYRENEES ATLANTIQUES'),
('64260','BUZY','PYRENEES ATLANTIQUES'),
('64260','CASTET','PYRENEES ATLANTIQUES'),
('64260','GERE BELESTEN','PYRENEES ATLANTIQUES'),
('64260','IZESTE','PYRENEES ATLANTIQUES'),
('64260','LOUVIE JUZON','PYRENEES ATLANTIQUES'),
('64260','LYS','PYRENEES ATLANTIQUES'),
('64260','REBENACQ','PYRENEES ATLANTIQUES'),
('64260','STE COLOME','PYRENEES ATLANTIQUES'),
('64260','SEVIGNACQ MEYRACQ','PYRENEES ATLANTIQUES'),
('64270','ARANCOU','PYRENEES ATLANTIQUES'),
('64270','AUTERRIVE','PYRENEES ATLANTIQUES'),
('64270','BELLOCQ','PYRENEES ATLANTIQUES'),
('64270','BERGOUEY VILLENAVE','PYRENEES ATLANTIQUES'),
('64270','CARRESSE CASSABER','PYRENEES ATLANTIQUES'),
('64270','CASSABER','PYRENEES ATLANTIQUES'),
('64270','CASTAGNEDE','PYRENEES ATLANTIQUES'),
('64270','ESCOS','PYRENEES ATLANTIQUES'),
('64270','L HOPITAL D ORION','PYRENEES ATLANTIQUES'),
('64270','LABASTIDE VILLEFRANCHE','PYRENEES ATLANTIQUES'),
('64270','LAHONTAN','PYRENEES ATLANTIQUES'),
('64270','LEREN','PYRENEES ATLANTIQUES'),
('64270','PUYOO','PYRENEES ATLANTIQUES'),
('64270','RAMOUS','PYRENEES ATLANTIQUES'),
('64270','ST DOS','PYRENEES ATLANTIQUES'),
('64270','ST PE DE LEREN','PYRENEES ATLANTIQUES'),
('64270','SALIES DE BEARN','PYRENEES ATLANTIQUES'),
('64270','VIELLENAVE SUR BIDOUZE','PYRENEES ATLANTIQUES'),
('64290','AUBERTIN','PYRENEES ATLANTIQUES'),
('64290','BOSDARROS','PYRENEES ATLANTIQUES'),
('64290','ESTIALESCQ','PYRENEES ATLANTIQUES'),
('64290','GAN','PYRENEES ATLANTIQUES'),
('64290','LASSEUBE','PYRENEES ATLANTIQUES'),
('64290','LASSEUBETAT','PYRENEES ATLANTIQUES'),
('64300','ARANCE','PYRENEES ATLANTIQUES'),
('64300','ARGAGNON','PYRENEES ATLANTIQUES'),
('64300','BAIGTS DE BEARN','PYRENEES ATLANTIQUES'),
('64300','BALANSUN','PYRENEES ATLANTIQUES'),
('64300','BERENX','PYRENEES ATLANTIQUES'),
('64300','BIRON','PYRENEES ATLANTIQUES'),
('64300','BONNUT','PYRENEES ATLANTIQUES'),
('64300','CASTETIS','PYRENEES ATLANTIQUES'),
('64300','CASTETNER','PYRENEES ATLANTIQUES'),
('64300','GOUZE','PYRENEES ATLANTIQUES'),
('64300','LAA MONDRANS','PYRENEES ATLANTIQUES'),
('64300','LABEYRIE','PYRENEES ATLANTIQUES'),
('64300','LACADEE','PYRENEES ATLANTIQUES'),
('64300','LANNEPLAA','PYRENEES ATLANTIQUES'),
('64300','LENDRESSE','PYRENEES ATLANTIQUES'),
('64300','LOUBIENG','PYRENEES ATLANTIQUES'),
('64300','MASLACQ','PYRENEES ATLANTIQUES'),
('64300','MONT','PYRENEES ATLANTIQUES'),
('64300','MONTESTRUCQ','PYRENEES ATLANTIQUES'),
('64300','ORTHEZ','PYRENEES ATLANTIQUES'),
('64300','OZENX MONTESTRUCQ','PYRENEES ATLANTIQUES'),
('64300','ST BOES','PYRENEES ATLANTIQUES'),
('64300','ST GIRONS','PYRENEES ATLANTIQUES'),
('64300','STE SUZANNE','PYRENEES ATLANTIQUES'),
('64300','SALLES MONGISCARD','PYRENEES ATLANTIQUES'),
('64300','SALLESPISSE','PYRENEES ATLANTIQUES'),
('64300','SARPOURENX','PYRENEES ATLANTIQUES'),
('64300','SAULT DE NAVAILLES','PYRENEES ATLANTIQUES'),
('64310','ASCAIN','PYRENEES ATLANTIQUES'),
('64310','ST PEE SUR NIVELLE','PYRENEES ATLANTIQUES'),
('64310','SARE','PYRENEES ATLANTIQUES'),
('64320','ARESSY','PYRENEES ATLANTIQUES'),
('64320','BIZANOS','PYRENEES ATLANTIQUES'),
('64320','IDRON-OUSSE-SENDETS','PYRENEES ATLANTIQUES'),
('64320','LEE','PYRENEES ATLANTIQUES'),
('64320','OUSSE','PYRENEES ATLANTIQUES'),
('64320','SENDETS','PYRENEES ATLANTIQUES'),
('64330','AUBOUS','PYRENEES ATLANTIQUES'),
('64330','AYDIE','PYRENEES ATLANTIQUES'),
('64330','BALIRACQ MAUMUSSON','PYRENEES ATLANTIQUES'),
('64330','BOUEILH BOUEILHO LASQUE','PYRENEES ATLANTIQUES'),
('64330','BUROSSE MENDOUSSE','PYRENEES ATLANTIQUES'),
('64330','CADILLON','PYRENEES ATLANTIQUES'),
('64330','CASTETPUGON','PYRENEES ATLANTIQUES'),
('64330','CLARACQ','PYRENEES ATLANTIQUES'),
('64330','CONCHEZ DE BEARN','PYRENEES ATLANTIQUES'),
('64330','DIUSSE','PYRENEES ATLANTIQUES'),
('64330','GARLIN','PYRENEES ATLANTIQUES'),
('64330','MASCARAAS HARON','PYRENEES ATLANTIQUES'),
('64330','MONCLA','PYRENEES ATLANTIQUES'),
('64330','MONT DISSE','PYRENEES ATLANTIQUES'),
('64330','MOUHOUS','PYRENEES ATLANTIQUES'),
('64330','PORTET','PYRENEES ATLANTIQUES'),
('64330','RIBARROUY','PYRENEES ATLANTIQUES'),
('64330','ST JEAN POUDGE','PYRENEES ATLANTIQUES'),
('64330','TADOUSSE USSAU','PYRENEES ATLANTIQUES'),
('64330','TARON SADIRAC VIELLENAVE','PYRENEES ATLANTIQUES'),
('64330','VIALER','PYRENEES ATLANTIQUES'),
('64340','BOUCAU','PYRENEES ATLANTIQUES'),
('64350','ANOYE','PYRENEES ATLANTIQUES'),
('64350','ARRICAU BORDES','PYRENEES ATLANTIQUES'),
('64350','ARROSES','PYRENEES ATLANTIQUES'),
('64350','AURIONS IDERNES','PYRENEES ATLANTIQUES'),
('64350','BASILLON VAUZE','PYRENEES ATLANTIQUES'),
('64350','BETRACQ','PYRENEES ATLANTIQUES'),
('64350','CASTILLON','PYRENEES ATLANTIQUES'),
('64350','CORBERE ABERES','PYRENEES ATLANTIQUES'),
('64350','CROUSEILLES','PYRENEES ATLANTIQUES'),
('64350','ESCURES','PYRENEES ATLANTIQUES');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('64350','GAYON','PYRENEES ATLANTIQUES'),
('64350','LALONGUE','PYRENEES ATLANTIQUES'),
('64350','LANNECAUBE','PYRENEES ATLANTIQUES'),
('64350','LASSERRE','PYRENEES ATLANTIQUES'),
('64350','LEMBEYE','PYRENEES ATLANTIQUES'),
('64350','LESPIELLE','PYRENEES ATLANTIQUES'),
('64350','LUCQ ARMAU','PYRENEES ATLANTIQUES'),
('64350','LUCARRE','PYRENEES ATLANTIQUES'),
('64350','MASPIE LALONQUERE JUILLAC','PYRENEES ATLANTIQUES'),
('64350','MOMY','PYRENEES ATLANTIQUES'),
('64350','MONCAUP','PYRENEES ATLANTIQUES'),
('64350','MONPEZAT','PYRENEES ATLANTIQUES'),
('64350','PEYRELONGUE ABOS','PYRENEES ATLANTIQUES'),
('64350','SAMSONS LION','PYRENEES ATLANTIQUES'),
('64350','SEMEACQ BLACHON','PYRENEES ATLANTIQUES'),
('64350','SIMACOURBE','PYRENEES ATLANTIQUES'),
('64360','ABOS','PYRENEES ATLANTIQUES'),
('64360','CARDESSE','PYRENEES ATLANTIQUES'),
('64360','CUQUERON','PYRENEES ATLANTIQUES'),
('64360','LACOMMANDE','PYRENEES ATLANTIQUES'),
('64360','LUCQ DE BEARN','PYRENEES ATLANTIQUES'),
('64360','MONEIN','PYRENEES ATLANTIQUES'),
('64360','PARBAYSE','PYRENEES ATLANTIQUES'),
('64360','TARSACQ','PYRENEES ATLANTIQUES'),
('64370','ARNOS','PYRENEES ATLANTIQUES'),
('64370','ARTHEZ DE BEARN','PYRENEES ATLANTIQUES'),
('64370','BOUMOURT','PYRENEES ATLANTIQUES'),
('64370','CASTEIDE CANDAU','PYRENEES ATLANTIQUES'),
('64370','CASTILLON','PYRENEES ATLANTIQUES'),
('64370','DOAZON','PYRENEES ATLANTIQUES'),
('64370','GEUS D ARZACQ','PYRENEES ATLANTIQUES'),
('64370','HAGETAUBIN','PYRENEES ATLANTIQUES'),
('64370','MESPLEDE','PYRENEES ATLANTIQUES'),
('64370','MORLANNE','PYRENEES ATLANTIQUES'),
('64370','POMPS','PYRENEES ATLANTIQUES'),
('64370','ST MEDARD','PYRENEES ATLANTIQUES'),
('64370','URDES','PYRENEES ATLANTIQUES'),
('64370','UZAN','PYRENEES ATLANTIQUES'),
('64390','ABITAIN','PYRENEES ATLANTIQUES'),
('64390','ANDREIN','PYRENEES ATLANTIQUES'),
('64390','ATHOS ASPIS','PYRENEES ATLANTIQUES'),
('64390','AUTEVIELLE ST MARTIN BIDE','PYRENEES ATLANTIQUES'),
('64390','BARRAUTE CAMU','PYRENEES ATLANTIQUES'),
('64390','BURGARONNE','PYRENEES ATLANTIQUES'),
('64390','ESPIUTE','PYRENEES ATLANTIQUES'),
('64390','GUINARTHE PARENTIES','PYRENEES ATLANTIQUES'),
('64390','LAAS','PYRENEES ATLANTIQUES'),
('64390','ORAAS','PYRENEES ATLANTIQUES'),
('64390','ORION','PYRENEES ATLANTIQUES'),
('64390','ORRIULE','PYRENEES ATLANTIQUES'),
('64390','OSSERAIN RIVAREYTE','PYRENEES ATLANTIQUES'),
('64390','ST GLADIE ARRIVE MUNEIN','PYRENEES ATLANTIQUES'),
('64390','SAUVETERRE DE BEARN','PYRENEES ATLANTIQUES'),
('64400','AGNOS','PYRENEES ATLANTIQUES'),
('64400','AREN','PYRENEES ATLANTIQUES'),
('64400','BIDOS','PYRENEES ATLANTIQUES'),
('64400','ESQUIULE','PYRENEES ATLANTIQUES'),
('64400','ESTOS','PYRENEES ATLANTIQUES'),
('64400','EYSUS','PYRENEES ATLANTIQUES'),
('64400','GERONCE','PYRENEES ATLANTIQUES'),
('64400','GEUS D OLORON','PYRENEES ATLANTIQUES'),
('64400','GOES','PYRENEES ATLANTIQUES'),
('64400','GURMENCON','PYRENEES ATLANTIQUES'),
('64400','LEDEUIX','PYRENEES ATLANTIQUES'),
('64400','MOUMOUR','PYRENEES ATLANTIQUES'),
('64400','OLORON STE MARIE','PYRENEES ATLANTIQUES'),
('64400','ORIN','PYRENEES ATLANTIQUES'),
('64400','POEY D OLORON','PYRENEES ATLANTIQUES'),
('64400','PRECILHON','PYRENEES ATLANTIQUES'),
('64400','ST GOIN','PYRENEES ATLANTIQUES'),
('64400','SAUCEDE','PYRENEES ATLANTIQUES'),
('64400','VERDETS','PYRENEES ATLANTIQUES'),
('64410','ARGET','PYRENEES ATLANTIQUES'),
('64410','ARZACQ ARRAZIGUET','PYRENEES ATLANTIQUES'),
('64410','BOUILLON','PYRENEES ATLANTIQUES'),
('64410','CABIDOS','PYRENEES ATLANTIQUES'),
('64410','COUBLUCQ','PYRENEES ATLANTIQUES'),
('64410','FICHOUS RIUMAYOU','PYRENEES ATLANTIQUES'),
('64410','GAROS','PYRENEES ATLANTIQUES'),
('64410','LARREULE','PYRENEES ATLANTIQUES'),
('64410','LONCON','PYRENEES ATLANTIQUES'),
('64410','LOUVIGNY','PYRENEES ATLANTIQUES'),
('64410','MALAUSSANNE','PYRENEES ATLANTIQUES'),
('64410','MERACQ','PYRENEES ATLANTIQUES'),
('64410','MIALOS','PYRENEES ATLANTIQUES'),
('64410','MONTAGUT','PYRENEES ATLANTIQUES'),
('64410','PIETS PLASENCE MOUSTROU','PYRENEES ATLANTIQUES'),
('64410','POULIACQ','PYRENEES ATLANTIQUES'),
('64410','POURSIUGUES BOUCOUE','PYRENEES ATLANTIQUES'),
('64410','SEBY','PYRENEES ATLANTIQUES'),
('64410','VIGNES','PYRENEES ATLANTIQUES'),
('64420','ANDOINS','PYRENEES ATLANTIQUES'),
('64420','ARRIEN','PYRENEES ATLANTIQUES'),
('64420','ARTIGUELOUTAN','PYRENEES ATLANTIQUES'),
('64420','ESLOURENTIES DABAN','PYRENEES ATLANTIQUES'),
('64420','ESPOEY','PYRENEES ATLANTIQUES'),
('64420','GOMER','PYRENEES ATLANTIQUES'),
('64420','HOURS','PYRENEES ATLANTIQUES'),
('64420','LIMENDOUS','PYRENEES ATLANTIQUES'),
('64420','LOURENTIES','PYRENEES ATLANTIQUES'),
('64420','LUCGARIER','PYRENEES ATLANTIQUES'),
('64420','NOUSTY','PYRENEES ATLANTIQUES'),
('64420','SAUBOLE','PYRENEES ATLANTIQUES'),
('64420','SOUMOULOU','PYRENEES ATLANTIQUES'),
('64430','ALDUDES','PYRENEES ATLANTIQUES'),
('64430','BANCA','PYRENEES ATLANTIQUES'),
('64430','ST ETIENNE DE BAIGORRY','PYRENEES ATLANTIQUES'),
('64430','UREPEL','PYRENEES ATLANTIQUES'),
('64440','BEOST','PYRENEES ATLANTIQUES'),
('64440','EAUX BONNES','PYRENEES ATLANTIQUES'),
('64440','LARUNS','PYRENEES ATLANTIQUES'),
('64440','LOUVIE SOUBIRON','PYRENEES ATLANTIQUES'),
('64440','GABAS','PYRENEES ATLANTIQUES'),
('64440','EAUX CHAUDES','PYRENEES ATLANTIQUES'),
('64440','GOURETTE','PYRENEES ATLANTIQUES'),
('64450','ARGELOS','PYRENEES ATLANTIQUES'),
('64450','ASTIS','PYRENEES ATLANTIQUES'),
('64450','AUGA','PYRENEES ATLANTIQUES'),
('64450','AURIAC','PYRENEES ATLANTIQUES'),
('64450','BOURNOS','PYRENEES ATLANTIQUES'),
('64450','DOUMY','PYRENEES ATLANTIQUES'),
('64450','GARLEDE MONDEBAT','PYRENEES ATLANTIQUES'),
('64450','LALONQUETTE','PYRENEES ATLANTIQUES'),
('64450','LASCLAVERIES','PYRENEES ATLANTIQUES'),
('64450','LEME','PYRENEES ATLANTIQUES'),
('64450','MIOSSENS LANUSSE','PYRENEES ATLANTIQUES'),
('64450','NAVAILLES ANGOS','PYRENEES ATLANTIQUES'),
('64450','THEZE','PYRENEES ATLANTIQUES'),
('64450','VIVEN','PYRENEES ATLANTIQUES'),
('64460','AAST','PYRENEES ATLANTIQUES'),
('64460','BALEIX','PYRENEES ATLANTIQUES'),
('64460','BEDEILLE','PYRENEES ATLANTIQUES'),
('64460','BENTAYOU SEREE','PYRENEES ATLANTIQUES'),
('64460','CASTEIDE DOAT','PYRENEES ATLANTIQUES'),
('64460','CASTERA LOUBIX','PYRENEES ATLANTIQUES'),
('64460','LABATUT','PYRENEES ATLANTIQUES'),
('64460','LAMAYOU','PYRENEES ATLANTIQUES'),
('64460','MAURE','PYRENEES ATLANTIQUES'),
('64460','MONSEGUR','PYRENEES ATLANTIQUES'),
('64460','MONTANER','PYRENEES ATLANTIQUES'),
('64460','PONSON DEBAT POUTS','PYRENEES ATLANTIQUES'),
('64460','PONSON DESSUS','PYRENEES ATLANTIQUES'),
('64460','PONTIACQ VIELLEPINTE','PYRENEES ATLANTIQUES'),
('64470','ALCAY ALCABEHETY SUNHARET','PYRENEES ATLANTIQUES'),
('64470','ALOS SIBAS ABENSE','PYRENEES ATLANTIQUES'),
('64470','CAMOU CIHIGUE','PYRENEES ATLANTIQUES'),
('64470','ETCHEBAR','PYRENEES ATLANTIQUES'),
('64470','HAUX','PYRENEES ATLANTIQUES'),
('64470','LACARRY ARHAN CHARRITTE D','PYRENEES ATLANTIQUES'),
('64470','LAGUINGE RESTOUE','PYRENEES ATLANTIQUES'),
('64470','LICHANS SUNHAR','PYRENEES ATLANTIQUES'),
('64470','MONTORY','PYRENEES ATLANTIQUES'),
('64470','OSSAS SUHARE','PYRENEES ATLANTIQUES'),
('64470','SAUGUIS ST ETIENNE','PYRENEES ATLANTIQUES'),
('64470','TARDETS SORHOLUS','PYRENEES ATLANTIQUES'),
('64470','TROIS VILLES','PYRENEES ATLANTIQUES'),
('64480','HALSOU','PYRENEES ATLANTIQUES'),
('64480','JATXOU','PYRENEES ATLANTIQUES'),
('64480','LARRESSORE','PYRENEES ATLANTIQUES'),
('64480','USTARITZ','PYRENEES ATLANTIQUES'),
('64490','ACCOUS','PYRENEES ATLANTIQUES'),
('64490','AYDIUS','PYRENEES ATLANTIQUES'),
('64490','BEDOUS','PYRENEES ATLANTIQUES'),
('64490','BORCE','PYRENEES ATLANTIQUES'),
('64490','CETTE EYGUN','PYRENEES ATLANTIQUES'),
('64490','ESCOT','PYRENEES ATLANTIQUES'),
('64490','ETSAUT','PYRENEES ATLANTIQUES'),
('64490','LEES ATHAS','PYRENEES ATLANTIQUES'),
('64490','LESCUN','PYRENEES ATLANTIQUES'),
('64490','OSSE EN ASPE','PYRENEES ATLANTIQUES'),
('64490','SARRANCE','PYRENEES ATLANTIQUES'),
('64490','URDOS','PYRENEES ATLANTIQUES'),
('64500','CIBOURE','PYRENEES ATLANTIQUES'),
('64500','ST JEAN DE LUZ','PYRENEES ATLANTIQUES'),
('64510','ANGAIS','PYRENEES ATLANTIQUES'),
('64510','ASSAT','PYRENEES ATLANTIQUES'),
('64510','BALIROS','PYRENEES ATLANTIQUES'),
('64510','BOEIL BEZING','PYRENEES ATLANTIQUES'),
('64510','BORDES','PYRENEES ATLANTIQUES'),
('64510','MEILLON','PYRENEES ATLANTIQUES'),
('64510','NARCASTET','PYRENEES ATLANTIQUES'),
('64520','BARDOS','PYRENEES ATLANTIQUES'),
('64520','BIDACHE','PYRENEES ATLANTIQUES'),
('64520','CAME','PYRENEES ATLANTIQUES'),
('64520','GUICHE','PYRENEES ATLANTIQUES'),
('64520','SAMES','PYRENEES ATLANTIQUES'),
('64530','BARZUN','PYRENEES ATLANTIQUES'),
('64530','GER','PYRENEES ATLANTIQUES'),
('64530','LABATMALE','PYRENEES ATLANTIQUES'),
('64530','LIVRON','PYRENEES ATLANTIQUES'),
('64530','PONTACQ','PYRENEES ATLANTIQUES'),
('64560','LARRAU','PYRENEES ATLANTIQUES'),
('64560','LICQ ATHEREY','PYRENEES ATLANTIQUES'),
('64560','STE ENGRACE','PYRENEES ATLANTIQUES'),
('64570','ANCE','PYRENEES ATLANTIQUES'),
('64570','ARAMITS','PYRENEES ATLANTIQUES'),
('64570','ARETTE','PYRENEES ATLANTIQUES'),
('64570','FEAS','PYRENEES ATLANTIQUES'),
('64570','ISSOR','PYRENEES ATLANTIQUES'),
('64570','LANNE EN BARETOUS','PYRENEES ATLANTIQUES');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('64570','LOURDIOS ICHERE','PYRENEES ATLANTIQUES'),
('64600','ANGLET','PYRENEES ATLANTIQUES'),
('64640','ARMENDARITS','PYRENEES ATLANTIQUES'),
('64640','HELETTE','PYRENEES ATLANTIQUES'),
('64640','IHOLDY','PYRENEES ATLANTIQUES'),
('64640','LANTABAT','PYRENEES ATLANTIQUES'),
('64640','ST ESTEBEN','PYRENEES ATLANTIQUES'),
('64640','ST MARTIN D ARBEROUE','PYRENEES ATLANTIQUES'),
('64660','ARROS D OLORON','PYRENEES ATLANTIQUES'),
('64660','ASASP ARROS','PYRENEES ATLANTIQUES'),
('64660','LURBE ST CHRISTAU','PYRENEES ATLANTIQUES'),
('64680','BUZIET','PYRENEES ATLANTIQUES'),
('64680','HERRERE','PYRENEES ATLANTIQUES'),
('64680','OGEU LES BAINS','PYRENEES ATLANTIQUES'),
('64700','BIRIATOU','PYRENEES ATLANTIQUES'),
('64700','HENDAYE','PYRENEES ATLANTIQUES'),
('64700','BEHOBIE','PYRENEES ATLANTIQUES'),
('64780','BIDARRAY','PYRENEES ATLANTIQUES'),
('64780','IRISSARRY','PYRENEES ATLANTIQUES'),
('64780','OSSES','PYRENEES ATLANTIQUES'),
('64780','ST MARTIN D ARROSSA','PYRENEES ATLANTIQUES'),
('64780','SUHESCUN','PYRENEES ATLANTIQUES'),
('64780','EYHARCE','PYRENEES ATLANTIQUES'),
('64800','ARROS','PYRENEES ATLANTIQUES'),
('64800','ARTHEZ D ASSON','PYRENEES ATLANTIQUES'),
('64800','ASSON','PYRENEES ATLANTIQUES'),
('64800','BAUDREIX','PYRENEES ATLANTIQUES'),
('64800','BENEJACQ','PYRENEES ATLANTIQUES'),
('64800','BEUSTE','PYRENEES ATLANTIQUES'),
('64800','BORDERES','PYRENEES ATLANTIQUES'),
('64800','BOURDETTES','PYRENEES ATLANTIQUES'),
('64800','BRUGES CAPBIS MIFAGET','PYRENEES ATLANTIQUES'),
('64800','CAPBIS','PYRENEES ATLANTIQUES'),
('64800','COARRAZE','PYRENEES ATLANTIQUES'),
('64800','HAUT DE BOSDARROS','PYRENEES ATLANTIQUES'),
('64800','IGON','PYRENEES ATLANTIQUES'),
('64800','LAGOS','PYRENEES ATLANTIQUES'),
('64800','LESTELLE BETHARRAM','PYRENEES ATLANTIQUES'),
('64800','MIFAGET','PYRENEES ATLANTIQUES'),
('64800','MIREPEIX','PYRENEES ATLANTIQUES'),
('64800','MONTAUT','PYRENEES ATLANTIQUES'),
('64800','NAY BOURDETTES','PYRENEES ATLANTIQUES'),
('64800','PARDIES PIETAT','PYRENEES ATLANTIQUES'),
('64800','ST ABIT','PYRENEES ATLANTIQUES'),
('64800','ST VINCENT','PYRENEES ATLANTIQUES'),
('64870','ESCOU','PYRENEES ATLANTIQUES'),
('64870','ESCOUT','PYRENEES ATLANTIQUES'),
('64990','LAHONCE','PYRENEES ATLANTIQUES'),
('64990','MOUGUERRE','PYRENEES ATLANTIQUES'),
('64990','ST PIERRE D IRUBE','PYRENEES ATLANTIQUES'),
('64990','URCUIT','PYRENEES ATLANTIQUES'),
('64990','VILLEFRANQUE','PYRENEES ATLANTIQUES'),
('65000','TARBES','HAUTES PYRENEES'),
('65100','ADE','HAUTES PYRENEES'),
('65100','LES ANGLES','HAUTES PYRENEES'),
('65100','ARCIZAC EZ ANGLES','HAUTES PYRENEES'),
('65100','ARRODETS EZ ANGLES','HAUTES PYRENEES'),
('65100','ARTIGUES','HAUTES PYRENEES'),
('65100','ASPIN EN LAVEDAN','HAUTES PYRENEES'),
('65100','BARLEST','HAUTES PYRENEES'),
('65100','BARTRES','HAUTES PYRENEES'),
('65100','BERBERUST LIAS','HAUTES PYRENEES'),
('65100','BOURREAC','HAUTES PYRENEES'),
('65100','CHEUST','HAUTES PYRENEES'),
('65100','ESCOUBES POUTS','HAUTES PYRENEES'),
('65100','GAZOST','HAUTES PYRENEES'),
('65100','GER','HAUTES PYRENEES'),
('65100','GEU','HAUTES PYRENEES'),
('65100','GEZ EZ ANGLES','HAUTES PYRENEES'),
('65100','JARRET','HAUTES PYRENEES'),
('65100','JULOS','HAUTES PYRENEES'),
('65100','JUNCALAS','HAUTES PYRENEES'),
('65100','LAHITTE EZ ANGLES','HAUTES PYRENEES'),
('65100','LEZIGNAN','HAUTES PYRENEES'),
('65100','LOUBAJAC','HAUTES PYRENEES'),
('65100','LOURDES','HAUTES PYRENEES'),
('65100','LUGAGNAN','HAUTES PYRENEES'),
('65100','OMEX','HAUTES PYRENEES'),
('65100','OSSEN','HAUTES PYRENEES'),
('65100','OSSUN EZ ANGLES','HAUTES PYRENEES'),
('65100','OURDIS COTDOUSSAN','HAUTES PYRENEES'),
('65100','OURDON','HAUTES PYRENEES'),
('65100','OUSTE','HAUTES PYRENEES'),
('65100','PAREAC','HAUTES PYRENEES'),
('65100','POUEYFERRE','HAUTES PYRENEES'),
('65100','ST CREAC','HAUTES PYRENEES'),
('65100','SEGUS','HAUTES PYRENEES'),
('65100','SERE LANSO','HAUTES PYRENEES'),
('65100','VIGER','HAUTES PYRENEES'),
('65110','CAUTERETS','HAUTES PYRENEES'),
('65120','BETPOUEY','HAUTES PYRENEES'),
('65120','CHEZE','HAUTES PYRENEES'),
('65120','ESQUIEZE SERE','HAUTES PYRENEES'),
('65120','ESTERRE','HAUTES PYRENEES'),
('65120','GAVARNIE','HAUTES PYRENEES'),
('65120','GEDRE','HAUTES PYRENEES'),
('65120','GRUST','HAUTES PYRENEES'),
('65120','LUZ ST SAUVEUR','HAUTES PYRENEES'),
('65120','SALIGOS','HAUTES PYRENEES'),
('65120','SASSIS','HAUTES PYRENEES'),
('65120','SAZOS','HAUTES PYRENEES'),
('65120','SERS','HAUTES PYRENEES'),
('65120','VIELLA','HAUTES PYRENEES'),
('65120','VIEY','HAUTES PYRENEES'),
('65120','VISCOS','HAUTES PYRENEES'),
('65120','VIZOS','HAUTES PYRENEES'),
('65120','BAREGES','HAUTES PYRENEES'),
('65120','ST SAUVEUR LES BAINS','HAUTES PYRENEES'),
('65130','ARRODETS','HAUTES PYRENEES'),
('65130','ARTIGUEMY','HAUTES PYRENEES'),
('65130','ASQUE','HAUTES PYRENEES'),
('65130','AVEZAC PRAT LAHITTE','HAUTES PYRENEES'),
('65130','BATSERE','HAUTES PYRENEES'),
('65130','BENQUE','HAUTES PYRENEES'),
('65130','BETTES','HAUTES PYRENEES'),
('65130','BONNEMAZON','HAUTES PYRENEES'),
('65130','BOURG DE BIGORRE','HAUTES PYRENEES'),
('65130','BULAN','HAUTES PYRENEES'),
('65130','CAPVERN','HAUTES PYRENEES'),
('65130','CASTILLON','HAUTES PYRENEES'),
('65130','CHELLE SPOU','HAUTES PYRENEES'),
('65130','ESCONNETS','HAUTES PYRENEES'),
('65130','ESCOTS','HAUTES PYRENEES'),
('65130','ESPARROS','HAUTES PYRENEES'),
('65130','ESPECHE','HAUTES PYRENEES'),
('65130','ESPIEILH','HAUTES PYRENEES'),
('65130','FRECHENDETS','HAUTES PYRENEES'),
('65130','GOURGUE','HAUTES PYRENEES'),
('65130','LABASTIDE','HAUTES PYRENEES'),
('65130','LABORDE','HAUTES PYRENEES'),
('65130','LAHITTE','HAUTES PYRENEES'),
('65130','LOMNE','HAUTES PYRENEES'),
('65130','MAUVEZIN','HAUTES PYRENEES'),
('65130','MOLERE','HAUTES PYRENEES'),
('65130','PERE','HAUTES PYRENEES'),
('65130','SARLABOUS','HAUTES PYRENEES'),
('65130','TILHOUSE','HAUTES PYRENEES'),
('65140','ANSOST','HAUTES PYRENEES'),
('65140','BARBACHEN','HAUTES PYRENEES'),
('65140','BAZILLAC','HAUTES PYRENEES'),
('65140','BOUILH DEVANT','HAUTES PYRENEES'),
('65140','BUZON','HAUTES PYRENEES'),
('65140','ESCONDEAUX','HAUTES PYRENEES'),
('65140','GENSAC','HAUTES PYRENEES'),
('65140','LACASSAGNE','HAUTES PYRENEES'),
('65140','LAMEAC','HAUTES PYRENEES'),
('65140','LESCURRY','HAUTES PYRENEES'),
('65140','LIAC','HAUTES PYRENEES'),
('65140','MANSAN','HAUTES PYRENEES'),
('65140','MINGOT','HAUTES PYRENEES'),
('65140','MONFAUCON','HAUTES PYRENEES'),
('65140','MOUMOULOUS','HAUTES PYRENEES'),
('65140','PEYRUN','HAUTES PYRENEES'),
('65140','RABASTENS DE BIGORRE','HAUTES PYRENEES'),
('65140','ST SEVER DE RUSTAN','HAUTES PYRENEES'),
('65140','SARRIAC BIGORRE','HAUTES PYRENEES'),
('65140','SEGALAS','HAUTES PYRENEES'),
('65140','SENAC','HAUTES PYRENEES'),
('65140','TOSTAT','HAUTES PYRENEES'),
('65140','TROULEY LABARTHE','HAUTES PYRENEES'),
('65140','UGNOUAS','HAUTES PYRENEES'),
('65150','ANERES','HAUTES PYRENEES'),
('65150','BIZE','HAUTES PYRENEES'),
('65150','BIZOUS','HAUTES PYRENEES'),
('65150','GENEREST','HAUTES PYRENEES'),
('65150','HAUTAGET','HAUTES PYRENEES'),
('65150','LOMBRES','HAUTES PYRENEES'),
('65150','MONTEGUT','HAUTES PYRENEES'),
('65150','MONTSERIE','HAUTES PYRENEES'),
('65150','NESTIER','HAUTES PYRENEES'),
('65150','NISTOS','HAUTES PYRENEES'),
('65150','ST LAURENT DE NESTE','HAUTES PYRENEES'),
('65150','ST PAUL','HAUTES PYRENEES'),
('65150','SEICH','HAUTES PYRENEES'),
('65150','TUZAGUET','HAUTES PYRENEES'),
('65150','CANTAOUS','HAUTES PYRENEES'),
('65170','ARAGNOUET','HAUTES PYRENEES'),
('65170','AZET','HAUTES PYRENEES'),
('65170','BAZUS AURE','HAUTES PYRENEES'),
('65170','BOURISP','HAUTES PYRENEES'),
('65170','CADEILHAN TRACHERE','HAUTES PYRENEES'),
('65170','CAMPARAN','HAUTES PYRENEES'),
('65170','ENS','HAUTES PYRENEES'),
('65170','ESTENSAN','HAUTES PYRENEES'),
('65170','GRAILHEN','HAUTES PYRENEES'),
('65170','GUCHAN','HAUTES PYRENEES'),
('65170','SAILHAN','HAUTES PYRENEES'),
('65170','ST LARY SOULAN','HAUTES PYRENEES'),
('65170','TRAMEZAIGUES','HAUTES PYRENEES'),
('65170','VIELLE AURE','HAUTES PYRENEES'),
('65170','VIGNEC','HAUTES PYRENEES'),
('65190','BEGOLE','HAUTES PYRENEES'),
('65190','BERNADETS DESSUS','HAUTES PYRENEES'),
('65190','BORDES','HAUTES PYRENEES'),
('65190','BURG','HAUTES PYRENEES'),
('65190','CAHARET','HAUTES PYRENEES'),
('65190','CALAVANTE','HAUTES PYRENEES'),
('65190','CASTERA LANUSSE','HAUTES PYRENEES'),
('65190','CLARAC','HAUTES PYRENEES'),
('65190','FRECHOU FRECHET','HAUTES PYRENEES');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('65190','GOUDON','HAUTES PYRENEES'),
('65190','HITTE','HAUTES PYRENEES'),
('65190','LANESPEDE','HAUTES PYRENEES'),
('65190','LESPOUEY','HAUTES PYRENEES'),
('65190','LHEZ','HAUTES PYRENEES'),
('65190','LUC','HAUTES PYRENEES'),
('65190','MASCARAS','HAUTES PYRENEES'),
('65190','MOULEDOUS','HAUTES PYRENEES'),
('65190','OLEAC DESSUS','HAUTES PYRENEES'),
('65190','ORIEUX','HAUTES PYRENEES'),
('65190','OUEILLOUX','HAUTES PYRENEES'),
('65190','OZON','HAUTES PYRENEES'),
('65190','PEYRAUBE','HAUTES PYRENEES'),
('65190','POUMAROUS','HAUTES PYRENEES'),
('65190','RICAUD','HAUTES PYRENEES'),
('65190','SINZOS','HAUTES PYRENEES'),
('65190','TOURNAY','HAUTES PYRENEES'),
('65200','ANTIST','HAUTES PYRENEES'),
('65200','ARGELES','HAUTES PYRENEES'),
('65200','ASTE','HAUTES PYRENEES'),
('65200','ASTUGUE','HAUTES PYRENEES'),
('65200','BAGNERES DE BIGORRE','HAUTES PYRENEES'),
('65200','BANIOS','HAUTES PYRENEES'),
('65200','CIEUTAT','HAUTES PYRENEES'),
('65200','GERDE','HAUTES PYRENEES'),
('65200','GERMS SUR LOUSSOUET','HAUTES PYRENEES'),
('65200','HAUBAN','HAUTES PYRENEES'),
('65200','HIIS','HAUTES PYRENEES'),
('65200','LABASSERE','HAUTES PYRENEES'),
('65200','LIES','HAUTES PYRENEES'),
('65200','LOUCRUP','HAUTES PYRENEES'),
('65200','MARSAS','HAUTES PYRENEES'),
('65200','MERILHEU','HAUTES PYRENEES'),
('65200','MONTGAILLARD','HAUTES PYRENEES'),
('65200','NEUILH','HAUTES PYRENEES'),
('65200','ORDIZAN','HAUTES PYRENEES'),
('65200','ORIGNAC','HAUTES PYRENEES'),
('65200','POUZAC','HAUTES PYRENEES'),
('65200','TREBONS','HAUTES PYRENEES'),
('65200','UZER','HAUTES PYRENEES'),
('65200','VISKER','HAUTES PYRENEES'),
('65200','LA MONGIE','HAUTES PYRENEES'),
('65220','ANTIN','HAUTES PYRENEES'),
('65220','BERNADETS DEBAT','HAUTES PYRENEES'),
('65220','BONNEFONT','HAUTES PYRENEES'),
('65220','BUGARD','HAUTES PYRENEES'),
('65220','ESTAMPURES','HAUTES PYRENEES'),
('65220','FONTRAILLES','HAUTES PYRENEES'),
('65220','FRECHEDE','HAUTES PYRENEES'),
('65220','LALANNE TRIE','HAUTES PYRENEES'),
('65220','LAMARQUE RUSTAING','HAUTES PYRENEES'),
('65220','LAPEYRE','HAUTES PYRENEES'),
('65220','LUBRET ST LUC','HAUTES PYRENEES'),
('65220','LUBY BETMONT','HAUTES PYRENEES'),
('65220','LUSTAR','HAUTES PYRENEES'),
('65220','MAZEROLLES','HAUTES PYRENEES'),
('65220','PUYDARRIEUX','HAUTES PYRENEES'),
('65220','SADOURNIN','HAUTES PYRENEES'),
('65220','SERE RUSTAING','HAUTES PYRENEES'),
('65220','TOURNOUS DARRE','HAUTES PYRENEES'),
('65220','TRIE SUR BAISE','HAUTES PYRENEES'),
('65220','VIDOU','HAUTES PYRENEES'),
('65220','VILLEMBITS','HAUTES PYRENEES'),
('65230','ARIES ESPENAN','HAUTES PYRENEES'),
('65230','BARTHE','HAUTES PYRENEES'),
('65230','BETBEZE','HAUTES PYRENEES'),
('65230','BETPOUY','HAUTES PYRENEES'),
('65230','CAMPUZAN','HAUTES PYRENEES'),
('65230','CASTELNAU MAGNOAC','HAUTES PYRENEES'),
('65230','CASTERETS','HAUTES PYRENEES'),
('65230','CAUBOUS','HAUTES PYRENEES'),
('65230','CIZOS','HAUTES PYRENEES'),
('65230','DEVEZE','HAUTES PYRENEES'),
('65230','GUIZERIX','HAUTES PYRENEES'),
('65230','HACHAN','HAUTES PYRENEES'),
('65230','LALANNE','HAUTES PYRENEES'),
('65230','LARROQUE','HAUTES PYRENEES'),
('65230','ORGAN','HAUTES PYRENEES'),
('65230','PEYRET ST ANDRE','HAUTES PYRENEES'),
('65230','POUY','HAUTES PYRENEES'),
('65230','PUNTOUS','HAUTES PYRENEES'),
('65230','SARIAC MAGNOAC','HAUTES PYRENEES'),
('65230','THERMES MAGNOAC','HAUTES PYRENEES'),
('65230','VIEUZOS','HAUTES PYRENEES'),
('65230','VILLEMUR','HAUTES PYRENEES'),
('65240','ADERVIELLE POUCHERGUES','HAUTES PYRENEES'),
('65240','ARDENGOST','HAUTES PYRENEES'),
('65240','ARREAU','HAUTES PYRENEES'),
('65240','ASPIN AURE','HAUTES PYRENEES'),
('65240','AVAJAN','HAUTES PYRENEES'),
('65240','BAREILLES','HAUTES PYRENEES'),
('65240','BARRANCOUEU','HAUTES PYRENEES'),
('65240','CADEAC','HAUTES PYRENEES'),
('65240','FRECHET AURE','HAUTES PYRENEES'),
('65240','JEZEAU','HAUTES PYRENEES'),
('65240','LANCON','HAUTES PYRENEES'),
('65240','PAILHAC','HAUTES PYRENEES'),
('65240','POUCHERGUES','HAUTES PYRENEES'),
('65240','VIELLE LOURON','HAUTES PYRENEES'),
('65250','LA BARTHE DE NESTE','HAUTES PYRENEES'),
('65250','BAZUS NESTE','HAUTES PYRENEES'),
('65250','ESCALA','HAUTES PYRENEES'),
('65250','GAZAVE','HAUTES PYRENEES'),
('65250','HECHES','HAUTES PYRENEES'),
('65250','IZAUX','HAUTES PYRENEES'),
('65250','LORTET','HAUTES PYRENEES'),
('65250','MAZOUAU','HAUTES PYRENEES'),
('65250','MONTOUSSE','HAUTES PYRENEES'),
('65250','ST ARROMAN','HAUTES PYRENEES'),
('65250','REBOUC','HAUTES PYRENEES'),
('65260','ADAST','HAUTES PYRENEES'),
('65260','PIERREFITTE NESTALAS','HAUTES PYRENEES'),
('65260','SOULOM','HAUTES PYRENEES'),
('65260','VILLELONGUE','HAUTES PYRENEES'),
('65270','PEYROUSE','HAUTES PYRENEES'),
('65270','ST PE DE BIGORRE','HAUTES PYRENEES'),
('65290','JUILLAN','HAUTES PYRENEES'),
('65290','LOUEY','HAUTES PYRENEES'),
('65300','CAMPISTROUS','HAUTES PYRENEES'),
('65300','CLARENS','HAUTES PYRENEES'),
('65300','LAGRANGE','HAUTES PYRENEES'),
('65300','LANNEMEZAN','HAUTES PYRENEES'),
('65300','LUTILHOUS','HAUTES PYRENEES'),
('65300','PINAS','HAUTES PYRENEES'),
('65300','REJAUMONT','HAUTES PYRENEES'),
('65300','TAJAN','HAUTES PYRENEES'),
('65300','UGLAS','HAUTES PYRENEES'),
('65310','HORGUES','HAUTES PYRENEES'),
('65310','LALOUBERE','HAUTES PYRENEES'),
('65310','ODOS','HAUTES PYRENEES'),
('65320','BORDERES SUR L ECHEZ','HAUTES PYRENEES'),
('65320','GARDERES','HAUTES PYRENEES'),
('65320','GAYAN','HAUTES PYRENEES'),
('65320','LAGARDE','HAUTES PYRENEES'),
('65320','LUQUET','HAUTES PYRENEES'),
('65320','OROIX','HAUTES PYRENEES'),
('65320','PINTAC','HAUTES PYRENEES'),
('65320','SERON','HAUTES PYRENEES'),
('65320','TARASTEIX','HAUTES PYRENEES'),
('65330','BONREPOS','HAUTES PYRENEES'),
('65330','CASTELBAJAC','HAUTES PYRENEES'),
('65330','GALAN','HAUTES PYRENEES'),
('65330','GALEZ','HAUTES PYRENEES'),
('65330','HOUEYDETS','HAUTES PYRENEES'),
('65330','LIBAROS','HAUTES PYRENEES'),
('65330','MONTASTRUC','HAUTES PYRENEES'),
('65330','RECURT','HAUTES PYRENEES'),
('65330','SABARROS','HAUTES PYRENEES'),
('65330','SENTOUS','HAUTES PYRENEES'),
('65330','TOURNOUS DEVANT','HAUTES PYRENEES'),
('65350','AUBAREDE','HAUTES PYRENEES'),
('65350','BOUILH PEREUILH','HAUTES PYRENEES'),
('65350','BOULIN','HAUTES PYRENEES'),
('65350','CABANAC','HAUTES PYRENEES'),
('65350','CASTELVIEILH','HAUTES PYRENEES'),
('65350','CASTERA LOU','HAUTES PYRENEES'),
('65350','CHELLE DEBAT','HAUTES PYRENEES'),
('65350','COLLONGUES','HAUTES PYRENEES'),
('65350','COUSSAN','HAUTES PYRENEES'),
('65350','DOURS','HAUTES PYRENEES'),
('65350','GONEZ','HAUTES PYRENEES'),
('65350','HOURC','HAUTES PYRENEES'),
('65350','JACQUE','HAUTES PYRENEES'),
('65350','LANSAC','HAUTES PYRENEES'),
('65350','LASLADES','HAUTES PYRENEES'),
('65350','LIZOS','HAUTES PYRENEES'),
('65350','LOUIT','HAUTES PYRENEES'),
('65350','MARQUERIE','HAUTES PYRENEES'),
('65350','MARSEILLAN','HAUTES PYRENEES'),
('65350','MUN','HAUTES PYRENEES'),
('65350','OLEAC DEBAT','HAUTES PYRENEES'),
('65350','OSMETS','HAUTES PYRENEES'),
('65350','PEYRIGUERE','HAUTES PYRENEES'),
('65350','POUYASTRUC','HAUTES PYRENEES'),
('65350','SABALOS','HAUTES PYRENEES'),
('65350','SOREAC','HAUTES PYRENEES'),
('65350','SOUYEAUX','HAUTES PYRENEES'),
('65350','THUY','HAUTES PYRENEES'),
('65360','ALLIER','HAUTES PYRENEES'),
('65360','ARCIZAC ADOUR','HAUTES PYRENEES'),
('65360','BARBAZAN DESSUS','HAUTES PYRENEES'),
('65360','BERNAC DEBAT','HAUTES PYRENEES'),
('65360','BERNAC DESSUS','HAUTES PYRENEES'),
('65360','MOMERES','HAUTES PYRENEES'),
('65360','ST MARTIN','HAUTES PYRENEES'),
('65360','SALLES ADOUR','HAUTES PYRENEES'),
('65360','VIELLE ADOUR','HAUTES PYRENEES'),
('65370','ANLA','HAUTES PYRENEES'),
('65370','ANTICHAN','HAUTES PYRENEES'),
('65370','AVEUX','HAUTES PYRENEES'),
('65370','BERTREN','HAUTES PYRENEES'),
('65370','BRAMEVAQUE','HAUTES PYRENEES'),
('65370','CAZARILH','HAUTES PYRENEES'),
('65370','CRECHETS','HAUTES PYRENEES'),
('65370','ESBAREICH','HAUTES PYRENEES'),
('65370','FERRERE','HAUTES PYRENEES'),
('65370','GAUDENT','HAUTES PYRENEES'),
('65370','GEMBRIE','HAUTES PYRENEES'),
('65370','ILHEU','HAUTES PYRENEES'),
('65370','IZAOURT','HAUTES PYRENEES');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('65370','LOURES BAROUSSE','HAUTES PYRENEES'),
('65370','MAULEON BAROUSSE','HAUTES PYRENEES'),
('65370','OURDE','HAUTES PYRENEES'),
('65370','SACOUE','HAUTES PYRENEES'),
('65370','STE MARIE','HAUTES PYRENEES'),
('65370','SALECHAN','HAUTES PYRENEES'),
('65370','SAMURAN','HAUTES PYRENEES'),
('65370','SARP','HAUTES PYRENEES'),
('65370','SIRADAN','HAUTES PYRENEES'),
('65370','SOST','HAUTES PYRENEES'),
('65370','THEBE','HAUTES PYRENEES'),
('65370','TROUBAT','HAUTES PYRENEES'),
('65380','AVERAN','HAUTES PYRENEES'),
('65380','AZEREIX','HAUTES PYRENEES'),
('65380','BARRY','HAUTES PYRENEES'),
('65380','BENAC','HAUTES PYRENEES'),
('65380','HIBARETTE','HAUTES PYRENEES'),
('65380','LAMARQUE PONTACQ','HAUTES PYRENEES'),
('65380','LANNE','HAUTES PYRENEES'),
('65380','LAYRISSE','HAUTES PYRENEES'),
('65380','ORINCLES','HAUTES PYRENEES'),
('65380','OSSUN','HAUTES PYRENEES'),
('65390','ANDREST','HAUTES PYRENEES'),
('65390','AURENSAN','HAUTES PYRENEES'),
('65390','SARNIGUET','HAUTES PYRENEES'),
('65400','AGOS VIDALOS','HAUTES PYRENEES'),
('65400','ARCIZANS AVANT','HAUTES PYRENEES'),
('65400','ARCIZANS DESSUS','HAUTES PYRENEES'),
('65400','ARGELES GAZOST','HAUTES PYRENEES'),
('65400','ARRAS EN LAVEDAN','HAUTES PYRENEES'),
('65400','ARRENS MARSOUS','HAUTES PYRENEES'),
('65400','ARTALENS SOUIN','HAUTES PYRENEES'),
('65400','AUCUN','HAUTES PYRENEES'),
('65400','AYROS ARBOUIX','HAUTES PYRENEES'),
('65400','AYZAC OST','HAUTES PYRENEES'),
('65400','BEAUCENS','HAUTES PYRENEES'),
('65400','BOO SILHEN','HAUTES PYRENEES'),
('65400','BUN','HAUTES PYRENEES'),
('65400','ESTAING','HAUTES PYRENEES'),
('65400','GAILLAGOS','HAUTES PYRENEES'),
('65400','GEZ','HAUTES PYRENEES'),
('65400','LAU BALAGNAS','HAUTES PYRENEES'),
('65400','MARSOUS','HAUTES PYRENEES'),
('65400','OUZOUS','HAUTES PYRENEES'),
('65400','PRECHAC','HAUTES PYRENEES'),
('65400','ST PASTOUS','HAUTES PYRENEES'),
('65400','ST SAVIN','HAUTES PYRENEES'),
('65400','SALLES','HAUTES PYRENEES'),
('65400','SERE EN LAVEDAN','HAUTES PYRENEES'),
('65400','SIREIX','HAUTES PYRENEES'),
('65400','UZ','HAUTES PYRENEES'),
('65400','VIER BORDES','HAUTES PYRENEES'),
('65410','BEYREDE JUMET','HAUTES PYRENEES'),
('65410','CAMOUS','HAUTES PYRENEES'),
('65410','ILHET','HAUTES PYRENEES'),
('65410','SARRANCOLIN','HAUTES PYRENEES'),
('65420','IBOS','HAUTES PYRENEES'),
('65430','SOUES','HAUTES PYRENEES'),
('65440','ANCIZAN','HAUTES PYRENEES'),
('65440','AULON','HAUTES PYRENEES'),
('65440','GOUAUX','HAUTES PYRENEES'),
('65440','GREZIAN','HAUTES PYRENEES'),
('65440','GUCHEN','HAUTES PYRENEES'),
('65460','BAZET','HAUTES PYRENEES'),
('65460','BOURS','HAUTES PYRENEES'),
('65490','OURSBELILLE','HAUTES PYRENEES'),
('65500','ARTAGNAN','HAUTES PYRENEES'),
('65500','CAIXON','HAUTES PYRENEES'),
('65500','CAMALES','HAUTES PYRENEES'),
('65500','ESCAUNETS','HAUTES PYRENEES'),
('65500','MARSAC','HAUTES PYRENEES'),
('65500','NOUILHAN','HAUTES PYRENEES'),
('65500','PUJO','HAUTES PYRENEES'),
('65500','ST LEZER','HAUTES PYRENEES'),
('65500','SANOUS','HAUTES PYRENEES'),
('65500','SIARROUY','HAUTES PYRENEES'),
('65500','TALAZAC','HAUTES PYRENEES'),
('65500','VIC EN BIGORRE','HAUTES PYRENEES'),
('65500','VILLENAVE PRES BEARN','HAUTES PYRENEES'),
('65500','VILLENAVE PRES MARSAC','HAUTES PYRENEES'),
('65510','ANERAN CAMORS','HAUTES PYRENEES'),
('65510','ARMENTEULE','HAUTES PYRENEES'),
('65510','CAZAUX FRECHET ANERAN CAM','HAUTES PYRENEES'),
('65510','ESTARVIELLE','HAUTES PYRENEES'),
('65510','GENOS','HAUTES PYRENEES'),
('65510','GERM','HAUTES PYRENEES'),
('65510','LOUDENVIELLE','HAUTES PYRENEES'),
('65510','LOUDERVIELLE','HAUTES PYRENEES'),
('65510','MONT','HAUTES PYRENEES'),
('65510','CAZAUX FRECHET','HAUTES PYRENEES'),
('65560','ARBEOST','HAUTES PYRENEES'),
('65560','FERRIERES','HAUTES PYRENEES'),
('65590','BORDERES LOURON','HAUTES PYRENEES'),
('65590','CAZAUX DEBAT','HAUTES PYRENEES'),
('65590','ILHAN','HAUTES PYRENEES'),
('65590','RIS','HAUTES PYRENEES'),
('65600','SARROUILLES','HAUTES PYRENEES'),
('65600','SEMEAC','HAUTES PYRENEES'),
('65660','AVENTIGNAN','HAUTES PYRENEES'),
('65660','MAZERES DE NESTE','HAUTES PYRENEES'),
('65660','TIBIRAN JAUNAC','HAUTES PYRENEES'),
('65670','ARNE','HAUTES PYRENEES'),
('65670','BAZORDAN','HAUTES PYRENEES'),
('65670','GAUSSAN','HAUTES PYRENEES'),
('65670','LARAN','HAUTES PYRENEES'),
('65670','LASSALES','HAUTES PYRENEES'),
('65670','MONLEON MAGNOAC','HAUTES PYRENEES'),
('65670','MONLONG','HAUTES PYRENEES'),
('65690','ANGOS','HAUTES PYRENEES'),
('65690','BARBAZAN DEBAT','HAUTES PYRENEES'),
('65690','MONTIGNAC','HAUTES PYRENEES'),
('65700','AURIEBAT','HAUTES PYRENEES'),
('65700','CASTELNAU RIVIERE BASSE','HAUTES PYRENEES'),
('65700','CAUSSADE RIVIERE','HAUTES PYRENEES'),
('65700','ESTIRAC','HAUTES PYRENEES'),
('65700','HAGEDET','HAUTES PYRENEES'),
('65700','HERES','HAUTES PYRENEES'),
('65700','LABATUT RIVIERE','HAUTES PYRENEES'),
('65700','LAFITOLE','HAUTES PYRENEES'),
('65700','LAHITTE TOUPIERE','HAUTES PYRENEES'),
('65700','LARREULE','HAUTES PYRENEES'),
('65700','LASCAZERES','HAUTES PYRENEES'),
('65700','MADIRAN','HAUTES PYRENEES'),
('65700','MAUBOURGUET','HAUTES PYRENEES'),
('65700','ST LANNE','HAUTES PYRENEES'),
('65700','SAUVETERRE','HAUTES PYRENEES'),
('65700','SOMBRUN','HAUTES PYRENEES'),
('65700','SOUBLECAUSE','HAUTES PYRENEES'),
('65700','VIDOUZE','HAUTES PYRENEES'),
('65700','VILLEFRANQUE','HAUTES PYRENEES'),
('65710','BEAUDEAN','HAUTES PYRENEES'),
('65710','CAMPAN','HAUTES PYRENEES'),
('65710','GRIPP','HAUTES PYRENEES'),
('65710','LA SEOUBE','HAUTES PYRENEES'),
('65710','LESPONNE','HAUTES PYRENEES'),
('65710','STE MARIE DE CAMPAN','HAUTES PYRENEES'),
('65710','ARTIGUES CAMPAN','HAUTES PYRENEES'),
('65800','AUREILHAN','HAUTES PYRENEES'),
('65800','CHIS','HAUTES PYRENEES'),
('65800','ORLEIX','HAUTES PYRENEES'),
('66000','PERPIGNAN','PYRENEES ORIENTALES'),
('66110','AMELIE LES BAINS PALALDA','PYRENEES ORIENTALES'),
('66110','LA BASTIDE','PYRENEES ORIENTALES'),
('66110','MONTBOLO','PYRENEES ORIENTALES'),
('66110','ST MARSAL','PYRENEES ORIENTALES'),
('66110','TAULIS','PYRENEES ORIENTALES'),
('66120','EGAT','PYRENEES ORIENTALES'),
('66120','FONT ROMEU ODEILLO VIA','PYRENEES ORIENTALES'),
('66120','TARGASSONNE','PYRENEES ORIENTALES'),
('66120','ODEILLO VIA','PYRENEES ORIENTALES'),
('66130','BOULE D AMONT','PYRENEES ORIENTALES'),
('66130','BOULETERNERE','PYRENEES ORIENTALES'),
('66130','CASEFABRE','PYRENEES ORIENTALES'),
('66130','CORBERE','PYRENEES ORIENTALES'),
('66130','CORBERE LES CABANES','PYRENEES ORIENTALES'),
('66130','ILLE SUR TET','PYRENEES ORIENTALES'),
('66130','MONTALBA LE CHATEAU','PYRENEES ORIENTALES'),
('66130','PRUNET ET BELPUIG','PYRENEES ORIENTALES'),
('66130','ST MICHEL DE LLOTES','PYRENEES ORIENTALES'),
('66130','TREVILLACH','PYRENEES ORIENTALES'),
('66140','CANET EN ROUSSILLON','PYRENEES ORIENTALES'),
('66140','ST NAZAIRE','PYRENEES ORIENTALES'),
('66140','CANET PLAGE','PYRENEES ORIENTALES'),
('66150','ARLES SUR TECH','PYRENEES ORIENTALES'),
('66150','CORSAVY','PYRENEES ORIENTALES'),
('66150','MONTFERRER','PYRENEES ORIENTALES'),
('66160','LE BOULOU','PYRENEES ORIENTALES'),
('66170','MILLAS','PYRENEES ORIENTALES'),
('66170','NEFIACH','PYRENEES ORIENTALES'),
('66170','ST FELIU D AMONT','PYRENEES ORIENTALES'),
('66170','ST FELIU D AVALL','PYRENEES ORIENTALES'),
('66180','VILLENEUVE DE LA RAHO','PYRENEES ORIENTALES'),
('66190','COLLIOURE','PYRENEES ORIENTALES'),
('66200','ALENYA','PYRENEES ORIENTALES'),
('66200','CORNEILLA DEL VERCOL','PYRENEES ORIENTALES'),
('66200','ELNE','PYRENEES ORIENTALES'),
('66200','LATOUR BAS ELNE','PYRENEES ORIENTALES'),
('66200','MONTESCOT','PYRENEES ORIENTALES'),
('66200','THEZA','PYRENEES ORIENTALES'),
('66210','LES ANGLES','PYRENEES ORIENTALES'),
('66210','BOLQUERE','PYRENEES ORIENTALES'),
('66210','LA CABANASSE','PYRENEES ORIENTALES'),
('66210','FONTRABIOUSE','PYRENEES ORIENTALES'),
('66210','FORMIGUERES','PYRENEES ORIENTALES'),
('66210','LA LLAGONNE','PYRENEES ORIENTALES'),
('66210','MATEMALE','PYRENEES ORIENTALES'),
('66210','MONT LOUIS','PYRENEES ORIENTALES'),
('66210','PLANES','PYRENEES ORIENTALES'),
('66210','PUYVALADOR','PYRENEES ORIENTALES'),
('66210','REAL','PYRENEES ORIENTALES'),
('66210','ST PIERRE DELS FORCATS','PYRENEES ORIENTALES'),
('66210','SAUTO','PYRENEES ORIENTALES'),
('66210','SUPERBOLQUERE','PYRENEES ORIENTALES'),
('66220','ANSIGNAN','PYRENEES ORIENTALES'),
('66220','CAUDIES DE FENOUILLEDES','PYRENEES ORIENTALES'),
('66220','FENOUILLET','PYRENEES ORIENTALES'),
('66220','FOSSE','PYRENEES ORIENTALES'),
('66220','LESQUERDE','PYRENEES ORIENTALES'),
('66220','PRUGNANES','PYRENEES ORIENTALES'),
('66220','ST ARNAC','PYRENEES ORIENTALES');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('66220','ST MARTIN','PYRENEES ORIENTALES'),
('66220','ST PAUL DE FENOUILLET','PYRENEES ORIENTALES'),
('66220','TRILLA','PYRENEES ORIENTALES'),
('66220','VIRA','PYRENEES ORIENTALES'),
('66230','LAMANERE','PYRENEES ORIENTALES'),
('66230','PRATS DE MOLLO LA PRESTE','PYRENEES ORIENTALES'),
('66230','SERRALONGUE','PYRENEES ORIENTALES'),
('66230','LE TECH','PYRENEES ORIENTALES'),
('66230','LA PRESTE','PYRENEES ORIENTALES'),
('66240','ST ESTEVE','PYRENEES ORIENTALES'),
('66250','ST LAURENT DE LA SALANQUE','PYRENEES ORIENTALES'),
('66260','COUSTOUGES','PYRENEES ORIENTALES'),
('66260','ST LAURENT DE CERDANS','PYRENEES ORIENTALES'),
('66270','LE SOLER','PYRENEES ORIENTALES'),
('66280','SALEILLES','PYRENEES ORIENTALES'),
('66290','CERBERE','PYRENEES ORIENTALES'),
('66300','BANYULS DELS ASPRES','PYRENEES ORIENTALES'),
('66300','CAIXAS','PYRENEES ORIENTALES'),
('66300','CAMELAS','PYRENEES ORIENTALES'),
('66300','CASTELNOU','PYRENEES ORIENTALES'),
('66300','FOURQUES','PYRENEES ORIENTALES'),
('66300','LLAURO','PYRENEES ORIENTALES'),
('66300','LLUPIA','PYRENEES ORIENTALES'),
('66300','MONTAURIOL','PYRENEES ORIENTALES'),
('66300','PASSA','PYRENEES ORIENTALES'),
('66300','PONTEILLA','PYRENEES ORIENTALES'),
('66300','STE COLOMBE DE LA COMMAND','PYRENEES ORIENTALES'),
('66300','ST JEAN LASSEILLE','PYRENEES ORIENTALES'),
('66300','TERRATS','PYRENEES ORIENTALES'),
('66300','THUIR','PYRENEES ORIENTALES'),
('66300','TORDERES','PYRENEES ORIENTALES'),
('66300','TRESSERRE','PYRENEES ORIENTALES'),
('66300','TROUILLAS','PYRENEES ORIENTALES'),
('66300','VILLEMOLAQUE','PYRENEES ORIENTALES'),
('66310','ESTAGEL','PYRENEES ORIENTALES'),
('66320','ARBOUSSOLS','PYRENEES ORIENTALES'),
('66320','BAILLESTAVY','PYRENEES ORIENTALES'),
('66320','ESPIRA DE CONFLENT','PYRENEES ORIENTALES'),
('66320','ESTOHER','PYRENEES ORIENTALES'),
('66320','FINESTRET','PYRENEES ORIENTALES'),
('66320','GLORIANES','PYRENEES ORIENTALES'),
('66320','JOCH','PYRENEES ORIENTALES'),
('66320','MARQUIXANES','PYRENEES ORIENTALES'),
('66320','RIGARDA','PYRENEES ORIENTALES'),
('66320','RODES','PYRENEES ORIENTALES'),
('66320','TARERACH','PYRENEES ORIENTALES'),
('66320','VALMANYA','PYRENEES ORIENTALES'),
('66320','VINCA','PYRENEES ORIENTALES'),
('66330','CABESTANY','PYRENEES ORIENTALES'),
('66340','NAHUJA','PYRENEES ORIENTALES'),
('66340','OSSEJA','PYRENEES ORIENTALES'),
('66340','PALAU DE CERDAGNE','PYRENEES ORIENTALES'),
('66340','VALCEBOLLERE','PYRENEES ORIENTALES'),
('66350','TOULOUGES','PYRENEES ORIENTALES'),
('66360','AYGUATEBIA TALAU','PYRENEES ORIENTALES'),
('66360','CANAVEILLES','PYRENEES ORIENTALES'),
('66360','CAUDIES DE CONFLENT','PYRENEES ORIENTALES'),
('66360','ESCARO','PYRENEES ORIENTALES'),
('66360','FONTPEDROUSE','PYRENEES ORIENTALES'),
('66360','JUJOLS','PYRENEES ORIENTALES'),
('66360','MANTET','PYRENEES ORIENTALES'),
('66360','NYER','PYRENEES ORIENTALES'),
('66360','OLETTE','PYRENEES ORIENTALES'),
('66360','OREILLA','PYRENEES ORIENTALES'),
('66360','PY','PYRENEES ORIENTALES'),
('66360','RAILLEU','PYRENEES ORIENTALES'),
('66360','SAHORRE','PYRENEES ORIENTALES'),
('66360','SANSA','PYRENEES ORIENTALES'),
('66360','SERDINYA','PYRENEES ORIENTALES'),
('66360','SOUANYAS','PYRENEES ORIENTALES'),
('66360','TALAU','PYRENEES ORIENTALES'),
('66360','THUES ENTRE VALLS','PYRENEES ORIENTALES'),
('66370','PEZILLA LA RIVIERE','PYRENEES ORIENTALES'),
('66380','PIA','PYRENEES ORIENTALES'),
('66390','BAIXAS','PYRENEES ORIENTALES'),
('66400','CALMEILLES','PYRENEES ORIENTALES'),
('66400','CERET','PYRENEES ORIENTALES'),
('66400','OMS','PYRENEES ORIENTALES'),
('66400','REYNES','PYRENEES ORIENTALES'),
('66400','ST JEAN PLA DE CORTS','PYRENEES ORIENTALES'),
('66400','TAILLET','PYRENEES ORIENTALES'),
('66400','VIVES','PYRENEES ORIENTALES'),
('66410','VILLELONGUE DE LA SALANQU','PYRENEES ORIENTALES'),
('66420','LE BARCARES','PYRENEES ORIENTALES'),
('66420','PORT BARCARES','PYRENEES ORIENTALES'),
('66430','BOMPAS','PYRENEES ORIENTALES'),
('66440','TORREILLES','PYRENEES ORIENTALES'),
('66450','POLLESTRES','PYRENEES ORIENTALES'),
('66460','MAURY','PYRENEES ORIENTALES'),
('66470','STE MARIE','PYRENEES ORIENTALES'),
('66480','L ALBERE','PYRENEES ORIENTALES'),
('66480','LES CLUSES','PYRENEES ORIENTALES'),
('66480','LAS ILLAS','PYRENEES ORIENTALES'),
('66480','MAUREILLAS LAS ILLAS','PYRENEES ORIENTALES'),
('66480','LE PERTHUS','PYRENEES ORIENTALES'),
('66480','RIUNOGUES','PYRENEES ORIENTALES'),
('66500','CAMPOME','PYRENEES ORIENTALES'),
('66500','CATLLAR','PYRENEES ORIENTALES'),
('66500','CLARA','PYRENEES ORIENTALES'),
('66500','CODALET','PYRENEES ORIENTALES'),
('66500','CONAT','PYRENEES ORIENTALES'),
('66500','EUS','PYRENEES ORIENTALES'),
('66500','LOS MASOS','PYRENEES ORIENTALES'),
('66500','MOLITG LES BAINS','PYRENEES ORIENTALES'),
('66500','MOSSET','PYRENEES ORIENTALES'),
('66500','NOHEDES','PYRENEES ORIENTALES'),
('66500','PRADES','PYRENEES ORIENTALES'),
('66500','RIA SIRACH','PYRENEES ORIENTALES'),
('66500','TAURINYA','PYRENEES ORIENTALES'),
('66500','URBANYA','PYRENEES ORIENTALES'),
('66500','VILLEFRANCHE DE CONFLENT','PYRENEES ORIENTALES'),
('66510','ST HIPPOLYTE','PYRENEES ORIENTALES'),
('66530','CLAIRA','PYRENEES ORIENTALES'),
('66540','BAHO','PYRENEES ORIENTALES'),
('66550','CORNEILLA LA RIVIERE','PYRENEES ORIENTALES'),
('66560','ORTAFFA','PYRENEES ORIENTALES'),
('66600','CALCE','PYRENEES ORIENTALES'),
('66600','CASES DE PENE','PYRENEES ORIENTALES'),
('66600','ESPIRA DE L AGLY','PYRENEES ORIENTALES'),
('66600','OPOUL PERILLOS','PYRENEES ORIENTALES'),
('66600','PERILLOS','PYRENEES ORIENTALES'),
('66600','PEYRESTORTES','PYRENEES ORIENTALES'),
('66600','RIVESALTES','PYRENEES ORIENTALES'),
('66600','SALSES LE CHATEAU','PYRENEES ORIENTALES'),
('66600','VINGRAU','PYRENEES ORIENTALES'),
('66610','VILLENEUVE LA RIVIERE','PYRENEES ORIENTALES'),
('66620','BROUILLA','PYRENEES ORIENTALES'),
('66650','BANYULS SUR MER','PYRENEES ORIENTALES'),
('66660','PORT VENDRES','PYRENEES ORIENTALES'),
('66670','BAGES','PYRENEES ORIENTALES'),
('66680','CANOHES','PYRENEES ORIENTALES'),
('66690','PALAU DEL VIDRE','PYRENEES ORIENTALES'),
('66690','ST ANDRE','PYRENEES ORIENTALES'),
('66690','SOREDE','PYRENEES ORIENTALES'),
('66700','ARGELES SUR MER','PYRENEES ORIENTALES'),
('66700','ARGELES PLAGE','PYRENEES ORIENTALES'),
('66720','BELESTA','PYRENEES ORIENTALES'),
('66720','CARAMANY','PYRENEES ORIENTALES'),
('66720','CASSAGNES','PYRENEES ORIENTALES'),
('66720','LANSAC','PYRENEES ORIENTALES'),
('66720','LATOUR DE FRANCE','PYRENEES ORIENTALES'),
('66720','MONTNER','PYRENEES ORIENTALES'),
('66720','PLANEZES','PYRENEES ORIENTALES'),
('66720','RASIGUERES','PYRENEES ORIENTALES'),
('66720','TAUTAVEL','PYRENEES ORIENTALES'),
('66730','CAMPOUSSY','PYRENEES ORIENTALES'),
('66730','FELLUNS','PYRENEES ORIENTALES'),
('66730','PEZILLA DE CONFLENT','PYRENEES ORIENTALES'),
('66730','PRATS DE SOURNIA','PYRENEES ORIENTALES'),
('66730','RABOUILLET','PYRENEES ORIENTALES'),
('66730','SOURNIA','PYRENEES ORIENTALES'),
('66730','LE VIVIER','PYRENEES ORIENTALES'),
('66740','LAROQUE DES ALBERES','PYRENEES ORIENTALES'),
('66740','MONTESQUIEU DES ALBERES','PYRENEES ORIENTALES'),
('66740','ST GENIS DES FONTAINES','PYRENEES ORIENTALES'),
('66740','VILLELONGUE DELS MONTS','PYRENEES ORIENTALES'),
('66750','ST CYPRIEN','PYRENEES ORIENTALES'),
('66750','ST CYPRIEN PLAGE','PYRENEES ORIENTALES'),
('66760','ANGOUSTRINE VILLENEUVE DE','PYRENEES ORIENTALES'),
('66760','BOURG MADAME','PYRENEES ORIENTALES'),
('66760','CALDEGAS','PYRENEES ORIENTALES'),
('66760','DORRES','PYRENEES ORIENTALES'),
('66760','ENVEITG','PYRENEES ORIENTALES'),
('66760','LATOUR DE CAROL','PYRENEES ORIENTALES'),
('66760','PORTA','PYRENEES ORIENTALES'),
('66760','PORTE PUYMORENS','PYRENEES ORIENTALES'),
('66760','UR','PYRENEES ORIENTALES'),
('66760','VILLENEUVE DES ESCALDES','PYRENEES ORIENTALES'),
('66800','ERR','PYRENEES ORIENTALES'),
('66800','ESTAVAR','PYRENEES ORIENTALES'),
('66800','EYNE','PYRENEES ORIENTALES'),
('66800','LLO','PYRENEES ORIENTALES'),
('66800','SAILLAGOUSE','PYRENEES ORIENTALES'),
('66800','STE LEOCADIE','PYRENEES ORIENTALES'),
('66820','CASTEIL','PYRENEES ORIENTALES'),
('66820','CORNEILLA DE CONFLENT','PYRENEES ORIENTALES'),
('66820','FILLOLS','PYRENEES ORIENTALES'),
('66820','FUILLA','PYRENEES ORIENTALES'),
('66820','VERNET LES BAINS','PYRENEES ORIENTALES'),
('67000','STRASBOURG','BAS RHIN'),
('67110','DAMBACH','BAS RHIN'),
('67110','EBERBACH WOERTH','BAS RHIN'),
('67110','GRIESBACH','BAS RHIN'),
('67110','GUMBRECHTSHOFFEN','BAS RHIN'),
('67110','GUNDERSHOFFEN','BAS RHIN'),
('67110','NEHWILLER','BAS RHIN'),
('67110','NIEDERBRONN LES BAINS','BAS RHIN'),
('67110','OBERBRONN','BAS RHIN'),
('67110','REICHSHOFFEN','BAS RHIN'),
('67110','UTTENHOFFEN','BAS RHIN'),
('67110','WINDSTEIN','BAS RHIN'),
('67110','ZINSWILLER','BAS RHIN'),
('67110','JAEGERTHAL','BAS RHIN'),
('67110','NEUNHOFFEN','BAS RHIN'),
('67110','SCHIRLENHOF','BAS RHIN'),
('67112','BREUSCHWICKERSHEIM','BAS RHIN'),
('67113','BLAESHEIM','BAS RHIN'),
('67114','ESCHAU','BAS RHIN'),
('67115','PLOBSHEIM','BAS RHIN'),
('67116','REICHSTETT','BAS RHIN');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('67117','DOSSENHEIM KOCHERSBERG','BAS RHIN'),
('67117','FESSENHEIM LE BAS','BAS RHIN'),
('67117','FURDENHEIM','BAS RHIN'),
('67117','HANDSCHUHEIM','BAS RHIN'),
('67117','HURTIGHEIM','BAS RHIN'),
('67117','ITTENHEIM','BAS RHIN'),
('67117','QUATZENHEIM','BAS RHIN'),
('67120','ALTORF','BAS RHIN'),
('67120','AVOLSHEIM','BAS RHIN'),
('67120','DACHSTEIN','BAS RHIN'),
('67120','DORLISHEIM','BAS RHIN'),
('67120','DUPPIGHEIM','BAS RHIN'),
('67120','DUTTLENHEIM','BAS RHIN'),
('67120','ERGERSHEIM','BAS RHIN'),
('67120','ERNOLSHEIM BRUCHE','BAS RHIN'),
('67120','KOLBSHEIM','BAS RHIN'),
('67120','MOLSHEIM','BAS RHIN'),
('67120','SOULTZ LES BAINS','BAS RHIN'),
('67120','WOLXHEIM','BAS RHIN'),
('67120','CANAL','BAS RHIN'),
('67130','BAREMBACH','BAS RHIN'),
('67130','BELLEFOSSE','BAS RHIN'),
('67130','BELMONT','BAS RHIN'),
('67130','BLANCHERUPT','BAS RHIN'),
('67130','LA BROQUE','BAS RHIN'),
('67130','FOUDAY','BAS RHIN'),
('67130','GRANDFONTAINE','BAS RHIN'),
('67130','LUTZELHOUSE','BAS RHIN'),
('67130','MUHLBACH SUR BRUCHE','BAS RHIN'),
('67130','NATZWILLER','BAS RHIN'),
('67130','NEUWILLER LA ROCHE','BAS RHIN'),
('67130','RUSS','BAS RHIN'),
('67130','SCHIRMECK','BAS RHIN'),
('67130','SOLBACH','BAS RHIN'),
('67130','WALDERSBACH','BAS RHIN'),
('67130','WILDERSBACH','BAS RHIN'),
('67130','WISCHES','BAS RHIN'),
('67130','FRECONRUPT','BAS RHIN'),
('67130','HAUTE GOUTTE','BAS RHIN'),
('67130','HERSBACH','BAS RHIN'),
('67130','NETZENBACH','BAS RHIN'),
('67130','SCHWARZBACH','BAS RHIN'),
('67130','STEINBACH','BAS RHIN'),
('67130','WACKENBACH','BAS RHIN'),
('67130','WACQUENOUX','BAS RHIN'),
('67140','ANDLAU','BAS RHIN'),
('67140','BARR','BAS RHIN'),
('67140','BERNARDVILLE','BAS RHIN'),
('67140','BOURGHEIM','BAS RHIN'),
('67140','EICHHOFFEN','BAS RHIN'),
('67140','GERTWILLER','BAS RHIN'),
('67140','HEILIGENSTEIN','BAS RHIN'),
('67140','LE HOHWALD','BAS RHIN'),
('67140','ITTERSWILLER','BAS RHIN'),
('67140','MITTELBERGHEIM','BAS RHIN'),
('67140','REICHSFELD','BAS RHIN'),
('67140','ST PIERRE','BAS RHIN'),
('67140','STOTZHEIM','BAS RHIN'),
('67140','ZELLWILLER','BAS RHIN'),
('67150','BOLSENHEIM','BAS RHIN'),
('67150','DAUBENSAND','BAS RHIN'),
('67150','ERSTEIN','BAS RHIN'),
('67150','GERSTHEIM','BAS RHIN'),
('67150','HINDISHEIM','BAS RHIN'),
('67150','HIPSHEIM','BAS RHIN'),
('67150','LIMERSHEIM','BAS RHIN'),
('67150','MATZENHEIM','BAS RHIN'),
('67150','NORDHOUSE','BAS RHIN'),
('67150','OSTHOUSE','BAS RHIN'),
('67150','SCHAEFFERSHEIM','BAS RHIN'),
('67150','UTTENHEIM','BAS RHIN'),
('67150','HAEUSERN','BAS RHIN'),
('67150','KRAFFT','BAS RHIN'),
('67160','ALTENSTADT','BAS RHIN'),
('67160','BIRLENBACH','BAS RHIN'),
('67160','BREMMELBACH','BAS RHIN'),
('67160','CLEEBOURG','BAS RHIN'),
('67160','DRACHENBRONN BIRLENBACH','BAS RHIN'),
('67160','NIEDERSEEBACH','BAS RHIN'),
('67160','OBERHOFFEN LES WISSENBOUR','BAS RHIN'),
('67160','OBERLAUTERBACH','BAS RHIN'),
('67160','SEEBACH','BAS RHIN'),
('67160','RIEDSELTZ','BAS RHIN'),
('67160','ROTT','BAS RHIN'),
('67160','SALMBACH','BAS RHIN'),
('67160','SCHLEITHAL','BAS RHIN'),
('67160','SIEGEN','BAS RHIN'),
('67160','STEINSELTZ','BAS RHIN'),
('67160','WISSEMBOURG','BAS RHIN'),
('67160','OBERSEEBACH','BAS RHIN'),
('67160','WEILER','BAS RHIN'),
('67170','BERNOLSHEIM','BAS RHIN'),
('67170','BERSTHEIM','BAS RHIN'),
('67170','BILWISHEIM','BAS RHIN'),
('67170','BRUMATH','BAS RHIN'),
('67170','DONNENHEIM','BAS RHIN'),
('67170','GEUDERTHEIM','BAS RHIN'),
('67170','HOCHSTETT','BAS RHIN'),
('67170','HOHATZENHEIM','BAS RHIN'),
('67170','KRAUTWILLER','BAS RHIN'),
('67170','KRIEGSHEIM','BAS RHIN'),
('67170','MITTELHAUSEN','BAS RHIN'),
('67170','MITTELSCHAEFFOLSHEIM','BAS RHIN'),
('67170','OLWISHEIM','BAS RHIN'),
('67170','ROTTELSHEIM','BAS RHIN'),
('67170','WAHLENHEIM','BAS RHIN'),
('67170','WINGERSHEIM','BAS RHIN'),
('67170','KEFFENDORF','BAS RHIN'),
('67190','DINSHEIM','BAS RHIN'),
('67190','GRENDELBRUCH','BAS RHIN'),
('67190','GRESSWILLER','BAS RHIN'),
('67190','HEILIGENBERG','BAS RHIN'),
('67190','MOLLKIRCH','BAS RHIN'),
('67190','MUTZIG','BAS RHIN'),
('67190','STILL','BAS RHIN'),
('67201','ECKBOLSHEIM','BAS RHIN'),
('67202','WOLFISHEIM','BAS RHIN'),
('67203','OBERSCHAEFFOLSHEIM','BAS RHIN'),
('67204','ACHENHEIM','BAS RHIN'),
('67205','OBERHAUSBERGEN','BAS RHIN'),
('67206','MITTELHAUSBERGEN','BAS RHIN'),
('67207','NIEDERHAUSBERGEN','BAS RHIN'),
('67210','BERNARDSWILLER','BAS RHIN'),
('67210','GOXWILLER','BAS RHIN'),
('67210','GRIESHEIM PRES MOLSHEIM','BAS RHIN'),
('67210','MEISTRATZHEIM','BAS RHIN'),
('67210','NIEDERNAI','BAS RHIN'),
('67210','OBERNAI','BAS RHIN'),
('67210','VALFF','BAS RHIN'),
('67220','ALBE','BAS RHIN'),
('67220','BASSEMBERG','BAS RHIN'),
('67220','BREITENAU','BAS RHIN'),
('67220','BREITENBACH','BAS RHIN'),
('67220','DIEFFENBACH AU VAL','BAS RHIN'),
('67220','FOUCHY','BAS RHIN'),
('67220','LALAYE','BAS RHIN'),
('67220','MAISONSGOUTTE','BAS RHIN'),
('67220','NEUBOIS','BAS RHIN'),
('67220','NEUVE EGLISE','BAS RHIN'),
('67220','ST MARTIN','BAS RHIN'),
('67220','ST MAURICE','BAS RHIN'),
('67220','ST PIERRE BOIS','BAS RHIN'),
('67220','STEIGE','BAS RHIN'),
('67220','THANVILLE','BAS RHIN'),
('67220','TRIEMBACH AU VAL','BAS RHIN'),
('67220','URBEIS','BAS RHIN'),
('67220','VILLE','BAS RHIN'),
('67220','CHARBES','BAS RHIN'),
('67220','HOHWART','BAS RHIN'),
('67220','WAGENBACH','BAS RHIN'),
('67230','BENFELD','BAS RHIN'),
('67230','DIEBOLSHEIM','BAS RHIN'),
('67230','HERBSHEIM','BAS RHIN'),
('67230','HUTTENHEIM','BAS RHIN'),
('67230','KERTZFELD','BAS RHIN'),
('67230','KOGENHEIM','BAS RHIN'),
('67230','OBENHEIM','BAS RHIN'),
('67230','ROSSFELD','BAS RHIN'),
('67230','SAND','BAS RHIN'),
('67230','SERMERSHEIM','BAS RHIN'),
('67230','WESTHOUSE','BAS RHIN'),
('67230','WITTERNHEIM','BAS RHIN'),
('67240','BISCHWILLER','BAS RHIN'),
('67240','GRIES','BAS RHIN'),
('67240','KALTENHOUSE','BAS RHIN'),
('67240','KURTZENHOUSE','BAS RHIN'),
('67240','OBERHOFFEN SUR MODER','BAS RHIN'),
('67240','SCHIRRHEIN','BAS RHIN'),
('67240','SCHIRRHOFFEN','BAS RHIN'),
('67240','CAMP D OBERHOFFEN','BAS RHIN'),
('67250','ASCHBACH','BAS RHIN'),
('67250','HERMERSWILLER','BAS RHIN'),
('67250','HOFFEN','BAS RHIN'),
('67250','HOHWILLER','BAS RHIN'),
('67250','HUNSPACH','BAS RHIN'),
('67250','INGOLSHEIM','BAS RHIN'),
('67250','KEFFENACH','BAS RHIN'),
('67250','KUTZENHAUSEN','BAS RHIN'),
('67250','LAMPERTSLOCH','BAS RHIN'),
('67250','LEITERSWILLER','BAS RHIN'),
('67250','LOBSANN','BAS RHIN'),
('67250','MEMMELSHOFFEN','BAS RHIN'),
('67250','MERKWILLER PECHELBRONN','BAS RHIN'),
('67250','OBERROEDERN','BAS RHIN'),
('67250','PREUSCHDORF','BAS RHIN'),
('67250','RETSCHWILLER','BAS RHIN'),
('67250','SCHOENENBOURG','BAS RHIN'),
('67250','SOULTZ SOUS FORETS','BAS RHIN'),
('67250','STUNDWILLER','BAS RHIN'),
('67250','SURBOURG','BAS RHIN'),
('67250','HOELSCHLOCH','BAS RHIN'),
('67250','OBERKUTZENHAUSEN','BAS RHIN'),
('67260','ALTWILLER','BAS RHIN'),
('67260','BISSERT','BAS RHIN'),
('67260','BURBACH','BAS RHIN'),
('67260','DIEDENDORF','BAS RHIN'),
('67260','HARSKIRCHEN','BAS RHIN'),
('67260','HERBITZHEIM','BAS RHIN'),
('67260','HINSINGEN','BAS RHIN'),
('67260','KESKASTEL','BAS RHIN');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('67260','BISCHTROFF SUR SARRE','BAS RHIN'),
('67260','RIMSDORF','BAS RHIN'),
('67260','SARRE UNION','BAS RHIN'),
('67260','SARREWERDEN','BAS RHIN'),
('67260','SCHOPPERTEN','BAS RHIN'),
('67260','SILTZHEIM','BAS RHIN'),
('67260','WOLFSKIRCHEN','BAS RHIN'),
('67260','ZOLLINGEN','BAS RHIN'),
('67270','ALTECKENDORF','BAS RHIN'),
('67270','BOSSENDORF','BAS RHIN'),
('67270','DUNTZENHEIM','BAS RHIN'),
('67270','DURNINGEN','BAS RHIN'),
('67270','GEISWILLER','BAS RHIN'),
('67270','GINGSHEIM','BAS RHIN'),
('67270','GOUGENHEIM','BAS RHIN'),
('67270','HOCHFELDEN','BAS RHIN'),
('67270','HOHFRANKENHEIM','BAS RHIN'),
('67270','HUTTENDORF','BAS RHIN'),
('67270','INGENHEIM','BAS RHIN'),
('67270','KIENHEIM','BAS RHIN'),
('67270','LIXHAUSEN','BAS RHIN'),
('67270','MELSHEIM','BAS RHIN'),
('67270','MINVERSHEIM','BAS RHIN'),
('67270','MUTZENHOUSE','BAS RHIN'),
('67270','ROHR','BAS RHIN'),
('67270','SAESSOLSHEIM','BAS RHIN'),
('67270','SCHAFFHOUSE SUR ZORN','BAS RHIN'),
('67270','SCHERLENHEIM','BAS RHIN'),
('67270','SCHWINDRATZHEIM','BAS RHIN'),
('67270','WICKERSHEIM WILSHAUSSEN','BAS RHIN'),
('67270','WILSHAUSEN','BAS RHIN'),
('67270','WILWISHEIM','BAS RHIN'),
('67270','ZOEBERSDORF','BAS RHIN'),
('67280','NIEDERHASLACH','BAS RHIN'),
('67280','OBERHASLACH','BAS RHIN'),
('67280','URMATT','BAS RHIN'),
('67290','ERCKARTSWILLER','BAS RHIN'),
('67290','FROHMUHL','BAS RHIN'),
('67290','HINSBOURG','BAS RHIN'),
('67290','LOHR','BAS RHIN'),
('67290','PETERSBACH','BAS RHIN'),
('67290','LA PETITE PIERRE','BAS RHIN'),
('67290','PUBERG','BAS RHIN'),
('67290','ROSTEIG','BAS RHIN'),
('67290','STRUTH','BAS RHIN'),
('67290','TIEFFENBACH','BAS RHIN'),
('67290','VOLKSBERG','BAS RHIN'),
('67290','WEISLINGEN','BAS RHIN'),
('67290','WIMMENAU','BAS RHIN'),
('67290','WINGEN SUR MODER','BAS RHIN'),
('67290','ZITTERSHEIM','BAS RHIN'),
('67300','SCHILTIGHEIM','BAS RHIN'),
('67310','ALLENWILLER','BAS RHIN'),
('67310','BALBRONN','BAS RHIN'),
('67310','BERGBIETEN','BAS RHIN'),
('67310','COSSWILLER','BAS RHIN'),
('67310','CRASTATT','BAS RHIN'),
('67310','DAHLENHEIM','BAS RHIN'),
('67310','DANGOLSHEIM','BAS RHIN'),
('67310','FLEXBOURG','BAS RHIN'),
('67310','HOHENGOEFT','BAS RHIN'),
('67310','IRMSTETT','BAS RHIN'),
('67310','KNOERSHEIM','BAS RHIN'),
('67310','RANGEN','BAS RHIN'),
('67310','ROMANSWILLER','BAS RHIN'),
('67310','SCHARRACHBERGHEIM IRMSTET','BAS RHIN'),
('67310','TRAENHEIM','BAS RHIN'),
('67310','WASSELONNE','BAS RHIN'),
('67310','WESTHOFFEN','BAS RHIN'),
('67310','ZEHNACKER','BAS RHIN'),
('67310','ZEINHEIM','BAS RHIN'),
('67310','BRECHLINGEN','BAS RHIN'),
('67320','ADAMSWILLER','BAS RHIN'),
('67320','ASSWILLER','BAS RHIN'),
('67320','BAERENDORF','BAS RHIN'),
('67320','BERG','BAS RHIN'),
('67320','BETTWILLER','BAS RHIN'),
('67320','BUST','BAS RHIN'),
('67320','DRULINGEN','BAS RHIN'),
('67320','DURSTEL','BAS RHIN'),
('67320','ESCHBOURG','BAS RHIN'),
('67320','ESCHWILLER','BAS RHIN'),
('67320','EYWILLER','BAS RHIN'),
('67320','GOERLINGEN','BAS RHIN'),
('67320','GUNGWILLER','BAS RHIN'),
('67320','HIRSCHLAND','BAS RHIN'),
('67320','KIRRBERG','BAS RHIN'),
('67320','OTTWILLER','BAS RHIN'),
('67320','PFALZWEYER','BAS RHIN'),
('67320','RAUWILLER','BAS RHIN'),
('67320','REXINGEN','BAS RHIN'),
('67320','SCHOENBOURG','BAS RHIN'),
('67320','SIEWILLER','BAS RHIN'),
('67320','THAL DRULINGEN','BAS RHIN'),
('67320','WEYER','BAS RHIN'),
('67320','GRAUFTHAL','BAS RHIN'),
('67330','BOSSELSHAUSEN','BAS RHIN'),
('67330','BOUXWILLER','BAS RHIN'),
('67330','DOSSENHEIM SUR ZINSEL','BAS RHIN'),
('67330','ERNOLSHEIM LES SAVERNE','BAS RHIN'),
('67330','GRIESBACH LE BASTBERG','BAS RHIN'),
('67330','HATTMATT','BAS RHIN'),
('67330','IMBSHEIM','BAS RHIN'),
('67330','ISSENHAUSEN','BAS RHIN'),
('67330','KIRRWILLER BOSSELSHAUSEN','BAS RHIN'),
('67330','NEUWILLER LES SAVERNE','BAS RHIN'),
('67330','NIEDERSOULTZBACH','BAS RHIN'),
('67330','OBERMODERN ZUTZENDORF','BAS RHIN'),
('67330','OBERSOULTZBACH','BAS RHIN'),
('67330','RIEDHEIM','BAS RHIN'),
('67330','UTTWILLER','BAS RHIN'),
('67330','ZUTZENDORF','BAS RHIN'),
('67330','OBERMODERN','BAS RHIN'),
('67340','BISCHHOLTZ','BAS RHIN'),
('67340','INGWILLER','BAS RHIN'),
('67340','LICHTENBERG','BAS RHIN'),
('67340','MENCHHOFFEN','BAS RHIN'),
('67340','OFFWILLER','BAS RHIN'),
('67340','REIPERTSWILLER','BAS RHIN'),
('67340','ROTHBACH','BAS RHIN'),
('67340','SCHILLERSDORF','BAS RHIN'),
('67340','SPARSBACH','BAS RHIN'),
('67340','WEINBOURG','BAS RHIN'),
('67340','WEITERSWILLER','BAS RHIN'),
('67350','BITSCHHOFFEN','BAS RHIN'),
('67350','BUSWILLER','BAS RHIN'),
('67350','DAUENDORF','BAS RHIN'),
('67350','ENGWILLER','BAS RHIN'),
('67350','ETTENDORF','BAS RHIN'),
('67350','GRASSENDORF','BAS RHIN'),
('67350','KINDWILLER','BAS RHIN'),
('67350','MORSCHWILLER','BAS RHIN'),
('67350','MULHAUSEN','BAS RHIN'),
('67350','NIEDERMODERN','BAS RHIN'),
('67350','PFAFFENHOFFEN','BAS RHIN'),
('67350','RINGELDORF','BAS RHIN'),
('67350','RINGENDORF','BAS RHIN'),
('67350','SCHALKENDORF','BAS RHIN'),
('67350','UBERACH','BAS RHIN'),
('67350','UHLWILLER','BAS RHIN'),
('67350','UHRWILLER','BAS RHIN'),
('67350','LA WALCK','BAS RHIN'),
('67350','NEUBOURG','BAS RHIN'),
('67350','NIEDERALTDORF','BAS RHIN'),
('67360','BIBLISHEIM','BAS RHIN'),
('67360','DIEFFENBACH LES WOERTH','BAS RHIN'),
('67360','DURRENBACH','BAS RHIN'),
('67360','ESCHBACH','BAS RHIN'),
('67360','FROESCHWILLER','BAS RHIN'),
('67360','GOERSDORF','BAS RHIN'),
('67360','GUNSTETT','BAS RHIN'),
('67360','HEGENEY','BAS RHIN'),
('67360','LANGENSOULTZBACH','BAS RHIN'),
('67360','MITSCHDORF','BAS RHIN'),
('67360','MORSBRONN LES BAINS','BAS RHIN'),
('67360','OBERDORF SPACHBACH','BAS RHIN'),
('67360','WALBOURG','BAS RHIN'),
('67360','WOERTH','BAS RHIN'),
('67370','AVENHEIM','BAS RHIN'),
('67370','BEHLENHEIM','BAS RHIN'),
('67370','BERSTETT','BAS RHIN'),
('67370','DINGSHEIM','BAS RHIN'),
('67370','GIMBRETT','BAS RHIN'),
('67370','GRIESHEIM SUR SOUFFEL','BAS RHIN'),
('67370','NEUGARTHEIM ITTLENHEIM','BAS RHIN'),
('67370','KLEINFRANKENHEIM','BAS RHIN'),
('67370','NEUGARTHEIM','BAS RHIN'),
('67370','OFFENHEIM','BAS RHIN'),
('67370','PFETTISHEIM','BAS RHIN'),
('67370','PFULGRIESHEIM','BAS RHIN'),
('67370','REITWILLER','BAS RHIN'),
('67370','RUMERSHEIM','BAS RHIN'),
('67370','SCHNERSHEIM','BAS RHIN'),
('67370','STUTZHEIM OFFENHEIM','BAS RHIN'),
('67370','TRUCHTERSHEIM','BAS RHIN'),
('67370','WILLGOTTHEIM','BAS RHIN'),
('67370','WINTZENHEIM KOCHERSBERG','BAS RHIN'),
('67370','WIWERSHEIM','BAS RHIN'),
('67370','WOELLENHEIM','BAS RHIN'),
('67370','ITTLENHEIM','BAS RHIN'),
('67380','LINGOLSHEIM','BAS RHIN'),
('67390','ARTOLSHEIM','BAS RHIN'),
('67390','BOESENBIESEN','BAS RHIN'),
('67390','BOOTZHEIM','BAS RHIN'),
('67390','ELSENHEIM','BAS RHIN'),
('67390','HEIDOLSHEIM','BAS RHIN'),
('67390','HESSENHEIM','BAS RHIN'),
('67390','MACKENHEIM','BAS RHIN'),
('67390','MARCKOLSHEIM','BAS RHIN'),
('67390','OHNENHEIM','BAS RHIN'),
('67390','RICHTOLSHEIM','BAS RHIN'),
('67390','SAASENHEIM','BAS RHIN'),
('67390','SCHOENAU','BAS RHIN'),
('67390','SCHWOBSHEIM','BAS RHIN'),
('67400','GEISPOLSHEIM','BAS RHIN'),
('67400','ILLKIRCH GRAFFENSTADEN','BAS RHIN'),
('67410','DRUSENHEIM','BAS RHIN'),
('67410','ROHRWILLER','BAS RHIN'),
('67420','BOURG BRUCHE','BAS RHIN'),
('67420','COLROY LA ROCHE','BAS RHIN');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('67420','PLAINE','BAS RHIN'),
('67420','RANRUPT','BAS RHIN'),
('67420','SAALES','BAS RHIN'),
('67420','ST BLAISE LA ROCHE','BAS RHIN'),
('67420','SAULXURES','BAS RHIN'),
('67420','BOURG','BAS RHIN'),
('67420','CHAMPENAY','BAS RHIN'),
('67420','POUTAY','BAS RHIN'),
('67430','BUTTEN','BAS RHIN'),
('67430','DEHLINGEN','BAS RHIN'),
('67430','DIEMERINGEN','BAS RHIN'),
('67430','DOMFESSEL','BAS RHIN'),
('67430','LORENTZEN','BAS RHIN'),
('67430','MACKWILLER','BAS RHIN'),
('67430','RATZWILLER','BAS RHIN'),
('67430','VOELLERDINGEN','BAS RHIN'),
('67430','WALDHAMBACH','BAS RHIN'),
('67440','BIRKENWALD','BAS RHIN'),
('67440','DIMBSTHAL','BAS RHIN'),
('67440','HENGWILLER','BAS RHIN'),
('67440','JETTERSWILLER','BAS RHIN'),
('67440','KLEINGOEFT','BAS RHIN'),
('67440','LOCHWILLER','BAS RHIN'),
('67440','MARMOUTIER','BAS RHIN'),
('67440','REINHARDSMUNSTER','BAS RHIN'),
('67440','REUTENBOURG','BAS RHIN'),
('67440','SALENTHAL','BAS RHIN'),
('67440','SCHWENHEIM','BAS RHIN'),
('67440','SINGRIST','BAS RHIN'),
('67440','THAL MARMOUTIER','BAS RHIN'),
('67440','WESTHOUSE MARMOUTIER','BAS RHIN'),
('67440','SCHWEBWILLER','BAS RHIN'),
('67440','ST GALL','BAS RHIN'),
('67450','LAMPERTHEIM','BAS RHIN'),
('67450','MUNDOLSHEIM','BAS RHIN'),
('67460','SOUFFELWEYERSHEIM','BAS RHIN'),
('67470','BUHL','BAS RHIN'),
('67470','CROETTWILLER','BAS RHIN'),
('67470','EBERBACH SELTZ','BAS RHIN'),
('67470','MOTHERN','BAS RHIN'),
('67470','MUNCHHAUSEN','BAS RHIN'),
('67470','NIEDERROEDERN','BAS RHIN'),
('67470','SCHAFFHOUSE PRES SELTZ','BAS RHIN'),
('67470','SELTZ','BAS RHIN'),
('67470','TRIMBACH','BAS RHIN'),
('67470','WINTZENBACH','BAS RHIN'),
('67480','AUENHEIM','BAS RHIN'),
('67480','FORSTFELD','BAS RHIN'),
('67480','FORT LOUIS','BAS RHIN'),
('67480','KAUFFENHEIM','BAS RHIN'),
('67480','LEUTENHEIM','BAS RHIN'),
('67480','NEUHAEUSEL','BAS RHIN'),
('67480','ROESCHWOOG','BAS RHIN'),
('67480','ROPPENHEIM','BAS RHIN'),
('67480','ROUNTZENHEIM','BAS RHIN'),
('67490','ALTENHEIM','BAS RHIN'),
('67490','DETTWILLER','BAS RHIN'),
('67490','FRIEDOLSHEIM','BAS RHIN'),
('67490','GOTTESHEIM','BAS RHIN'),
('67490','LITTENHEIM','BAS RHIN'),
('67490','LUPSTEIN','BAS RHIN'),
('67490','PRINTZHEIM','BAS RHIN'),
('67500','BATZENDORF','BAS RHIN'),
('67500','HAGUENAU','BAS RHIN'),
('67500','NIEDERSCHAEFFOLSHEIM','BAS RHIN'),
('67500','WEITBRUCH','BAS RHIN'),
('67500','HARTHOUSE','BAS RHIN'),
('67500','MARIENTHAL','BAS RHIN'),
('67510','CLIMBACH','BAS RHIN'),
('67510','LEMBACH','BAS RHIN'),
('67510','MATTSTALL','BAS RHIN'),
('67510','NIEDERSTEINBACH','BAS RHIN'),
('67510','OBERSTEINBACH','BAS RHIN'),
('67510','WINGEN','BAS RHIN'),
('67510','PETIT WINGEN','BAS RHIN'),
('67520','KIRCHHEIM','BAS RHIN'),
('67520','KUTTOLSHEIM','BAS RHIN'),
('67520','MARLENHEIM','BAS RHIN'),
('67520','NORDHEIM','BAS RHIN'),
('67520','ODRATZHEIM','BAS RHIN'),
('67520','WANGEN','BAS RHIN'),
('67530','BOERSCH','BAS RHIN'),
('67530','OTTROTT','BAS RHIN'),
('67530','ST NABOR','BAS RHIN'),
('67530','KLINGENTHAL','BAS RHIN'),
('67540','OSTWALD','BAS RHIN'),
('67550','ECKWERSHEIM','BAS RHIN'),
('67550','VENDENHEIM','BAS RHIN'),
('67560','ROSENWILLER','BAS RHIN'),
('67560','ROSHEIM','BAS RHIN'),
('67570','ROTHAU','BAS RHIN'),
('67570','LA CLAQUETTE','BAS RHIN'),
('67580','FORSTHEIM','BAS RHIN'),
('67580','LAUBACH','BAS RHIN'),
('67580','MERTZWILLER','BAS RHIN'),
('67580','MIETESHEIM','BAS RHIN'),
('67590','OHLUNGEN','BAS RHIN'),
('67590','SCHWEIGHOUSE SUR MODER','BAS RHIN'),
('67590','WINTERSHOUSE','BAS RHIN'),
('67600','BALDENHEIM','BAS RHIN'),
('67600','BINDERNHEIM','BAS RHIN'),
('67600','EBERSHEIM','BAS RHIN'),
('67600','EBERSMUNSTER','BAS RHIN'),
('67600','HILSENHEIM','BAS RHIN'),
('67600','KINTZHEIM','BAS RHIN'),
('67600','MUSSIG','BAS RHIN'),
('67600','MUTTERSHOLTZ','BAS RHIN'),
('67600','ORSCHWILLER','BAS RHIN'),
('67600','SELESTAT','BAS RHIN'),
('67600','EHNWIHR','BAS RHIN'),
('67610','LA WANTZENAU','BAS RHIN'),
('67620','SOUFFLENHEIM','BAS RHIN'),
('67630','LAUTERBOURG','BAS RHIN'),
('67630','NEEWILLER PRES LAUTERBOUR','BAS RHIN'),
('67630','NIEDERLAUTERBACH','BAS RHIN'),
('67630','SCHEIBENHARD','BAS RHIN'),
('67640','FEGERSHEIM','BAS RHIN'),
('67640','ICHTRATZHEIM','BAS RHIN'),
('67640','LIPSHEIM','BAS RHIN'),
('67640','OHNHEIM','BAS RHIN'),
('67650','BLIENSCHWILLER','BAS RHIN'),
('67650','DAMBACH LA VILLE','BAS RHIN'),
('67650','DIEFFENTHAL','BAS RHIN'),
('67660','KUHLENDORF','BAS RHIN'),
('67660','BETSCHDORF','BAS RHIN'),
('67660','REIMERSWILLER','BAS RHIN'),
('67660','SCHWABWILLER','BAS RHIN'),
('67670','MOMMENHEIM','BAS RHIN'),
('67670','WALTENHEIM SUR ZORN','BAS RHIN'),
('67670','WITTERSHEIM','BAS RHIN'),
('67680','EPFIG','BAS RHIN'),
('67680','NOTHALTEN','BAS RHIN'),
('67690','HATTEN','BAS RHIN'),
('67690','RITTERSHOFFEN','BAS RHIN'),
('67700','ECKARTSWILLER','BAS RHIN'),
('67700','FURCHHAUSEN','BAS RHIN'),
('67700','GOTTENHOUSE','BAS RHIN'),
('67700','HAEGEN','BAS RHIN'),
('67700','LANDERSHEIM','BAS RHIN'),
('67700','MAENNOLSHEIM','BAS RHIN'),
('67700','MONSWILLER','BAS RHIN'),
('67700','OTTERSTHAL','BAS RHIN'),
('67700','OTTERSWILLER','BAS RHIN'),
('67700','ST JEAN SAVERNE','BAS RHIN'),
('67700','SAVERNE','BAS RHIN'),
('67700','WALDOLWISHEIM','BAS RHIN'),
('67700','WOLSCHHEIM','BAS RHIN'),
('67700','ZORNHOF','BAS RHIN'),
('67700','ZORNTHAL','BAS RHIN'),
('67710','WANGENBOURG ENGENTHAL','BAS RHIN'),
('67710','WANGENBOURG','BAS RHIN'),
('67710','ENGENTHAL','BAS RHIN'),
('67710','SCHNEETHAL','BAS RHIN'),
('67710','WOLFSTHAL','BAS RHIN'),
('67720','BIETLENHEIM','BAS RHIN'),
('67720','HOERDT','BAS RHIN'),
('67720','WEYERSHEIM','BAS RHIN'),
('67730','CHATENOIS','BAS RHIN'),
('67730','LA VANCELLE','BAS RHIN'),
('67750','SCHERWILLER','BAS RHIN'),
('67750','KIENTZVILLE','BAS RHIN'),
('67760','GAMBSHEIM','BAS RHIN'),
('67770','DALHUNDEN','BAS RHIN'),
('67770','SESSENHEIM','BAS RHIN'),
('67770','STATTMATTEN','BAS RHIN'),
('67790','STEINBOURG','BAS RHIN'),
('67800','BISCHHEIM','BAS RHIN'),
('67800','HOENHEIM','BAS RHIN'),
('67810','HOLTZHEIM','BAS RHIN'),
('67820','WITTISHEIM','BAS RHIN'),
('67840','KILSTETT','BAS RHIN'),
('67850','HERRLISHEIM','BAS RHIN'),
('67850','OFFENDORF','BAS RHIN'),
('67860','BOOFZHEIM','BAS RHIN'),
('67860','FRIESENHEIM','BAS RHIN'),
('67860','RHINAU','BAS RHIN'),
('67870','BISCHOFFSHEIM','BAS RHIN'),
('67880','INNENHEIM','BAS RHIN'),
('67880','KRAUTERGERSHEIM','BAS RHIN'),
('67920','SUNDHOUSE','BAS RHIN'),
('67930','BEINHEIM','BAS RHIN'),
('67930','KESSELDORF','BAS RHIN'),
('67960','ENTZHEIM','BAS RHIN'),
('67970','OERMINGEN','BAS RHIN'),
('67980','HANGENBIETEN','BAS RHIN'),
('67990','OSTHOFFEN','BAS RHIN'),
('68000','COLMAR','HAUT RHIN'),
('68040','INGERSHEIM','HAUT RHIN'),
('68100','MULHOUSE','HAUT RHIN'),
('68110','ILLZACH','HAUT RHIN'),
('68110','MODENHEIM','HAUT RHIN'),
('68116','GUEWENHEIM','HAUT RHIN'),
('68118','HIRTZBACH','HAUT RHIN'),
('68120','PFASTATT','HAUT RHIN'),
('68120','RICHWILLER','HAUT RHIN'),
('68121','URBES','HAUT RHIN'),
('68124','LOGELBACH','HAUT RHIN'),
('68125','HOUSSEN','HAUT RHIN'),
('68126','BENNWIHR GARE','HAUT RHIN'),
('68127','STE CROIX EN PLAINE','HAUT RHIN');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('68128','ROSENAU','HAUT RHIN'),
('68128','VILLAGE NEUF','HAUT RHIN'),
('68130','ALTKIRCH','HAUT RHIN'),
('68130','ASPACH','HAUT RHIN'),
('68130','BERENTZWILLER','HAUT RHIN'),
('68130','CARSPACH','HAUT RHIN'),
('68130','EMLINGEN','HAUT RHIN'),
('68130','FRANKEN','HAUT RHIN'),
('68130','HAUSGAUEN','HAUT RHIN'),
('68130','HEIWILLER','HAUT RHIN'),
('68130','HUNDSBACH','HAUT RHIN'),
('68130','JETTINGEN','HAUT RHIN'),
('68130','OBERMORSCHWILLER','HAUT RHIN'),
('68130','SCHWOBEN','HAUT RHIN'),
('68130','TAGSDORF','HAUT RHIN'),
('68130','WAHLBACH','HAUT RHIN'),
('68130','WALHEIM','HAUT RHIN'),
('68130','WITTERSDORF','HAUT RHIN'),
('68130','ZAESSINGUE','HAUT RHIN'),
('68140','ESCHBACH AU VAL','HAUT RHIN'),
('68140','GRIESBACH AU VAL','HAUT RHIN'),
('68140','GUNSBACH','HAUT RHIN'),
('68140','HOHROD','HAUT RHIN'),
('68140','LUTTENBACH PRES MUNSTER','HAUT RHIN'),
('68140','MUNSTER','HAUT RHIN'),
('68140','SOULTZEREN','HAUT RHIN'),
('68140','STOSSWIHR','HAUT RHIN'),
('68150','AUBURE','HAUT RHIN'),
('68150','HUNAWIHR','HAUT RHIN'),
('68150','OSTHEIM','HAUT RHIN'),
('68150','RIBEAUVILLE','HAUT RHIN'),
('68160','STE CROIX AUX MINES','HAUT RHIN'),
('68160','STE MARIE AUX MINES','HAUT RHIN'),
('68160','ECHERY','HAUT RHIN'),
('68170','RIXHEIM','HAUT RHIN'),
('68180','HORBOURG WIHR','HAUT RHIN'),
('68180','WIHR EN PLAINE','HAUT RHIN'),
('68190','ENSISHEIM','HAUT RHIN'),
('68190','RAEDERSHEIM','HAUT RHIN'),
('68190','UNGERSHEIM','HAUT RHIN'),
('68200','BOURTZWILLER','HAUT RHIN'),
('68200','DORNACH','HAUT RHIN'),
('68210','ALTENACH','HAUT RHIN'),
('68210','AMMERZWILLER','HAUT RHIN'),
('68210','BALLERSDORF','HAUT RHIN'),
('68210','BALSCHWILLER','HAUT RHIN'),
('68210','BELLEMAGNY','HAUT RHIN'),
('68210','BERNWILLER','HAUT RHIN'),
('68210','BRECHAUMONT','HAUT RHIN'),
('68210','BUETHWILLER','HAUT RHIN'),
('68210','CHAVANNES SUR L ETANG','HAUT RHIN'),
('68210','DANNEMARIE','HAUT RHIN'),
('68210','ELBACH','HAUT RHIN'),
('68210','ETEIMBES','HAUT RHIN'),
('68210','FALKWILLER','HAUT RHIN'),
('68210','FULLEREN','HAUT RHIN'),
('68210','GILDWILLER','HAUT RHIN'),
('68210','GOMMERSDORF','HAUT RHIN'),
('68210','GUEVENATTEN','HAUT RHIN'),
('68210','HAGENBACH','HAUT RHIN'),
('68210','HECKEN','HAUT RHIN'),
('68210','VALDIEU LUTRAN','HAUT RHIN'),
('68210','MAGNY','HAUT RHIN'),
('68210','MANSPACH','HAUT RHIN'),
('68210','MERTZEN','HAUT RHIN'),
('68210','MONTREUX JEUNE','HAUT RHIN'),
('68210','MONTREUX VIEUX','HAUT RHIN'),
('68210','RETZWILLER','HAUT RHIN'),
('68210','ROMAGNY','HAUT RHIN'),
('68210','ST COSME','HAUT RHIN'),
('68210','ST ULRICH','HAUT RHIN'),
('68210','TRAUBACH LE BAS','HAUT RHIN'),
('68210','TRAUBACH LE HAUT','HAUT RHIN'),
('68210','UEBERKUMEN','HAUT RHIN'),
('68210','VALDIEU','HAUT RHIN'),
('68210','WOLFERSDORF','HAUT RHIN'),
('68220','ATTENSCHWILLER','HAUT RHIN'),
('68220','BUSCHWILLER','HAUT RHIN'),
('68220','FOLGENSBOURG','HAUT RHIN'),
('68220','HAGENTHAL LE BAS','HAUT RHIN'),
('68220','HAGENTHAL LE HAUT','HAUT RHIN'),
('68220','HEGENHEIM','HAUT RHIN'),
('68220','HESINGUE','HAUT RHIN'),
('68220','KNOERINGUE','HAUT RHIN'),
('68220','LEYMEN','HAUT RHIN'),
('68220','LIEBENSWILLER','HAUT RHIN'),
('68220','MICHELBACH LE HAUT','HAUT RHIN'),
('68220','NEUWILLER','HAUT RHIN'),
('68220','RANSPACH LE HAUT','HAUT RHIN'),
('68220','WENTZWILLER','HAUT RHIN'),
('68230','KATZENTHAL','HAUT RHIN'),
('68230','NIEDERMORSCHWIHR','HAUT RHIN'),
('68230','SOULTZBACH LES BAINS','HAUT RHIN'),
('68230','TURCKHEIM','HAUT RHIN'),
('68230','WALBACH','HAUT RHIN'),
('68230','WASSERBOURG','HAUT RHIN'),
('68230','WIHR AU VAL','HAUT RHIN'),
('68230','ZIMMERBACH','HAUT RHIN'),
('68240','FRELAND','HAUT RHIN'),
('68240','KAYSERSBERG','HAUT RHIN'),
('68240','KIENTZHEIM','HAUT RHIN'),
('68240','SIGOLSHEIM','HAUT RHIN'),
('68250','BILZHEIM','HAUT RHIN'),
('68250','GUNDOLSHEIM','HAUT RHIN'),
('68250','MUNWILLER','HAUT RHIN'),
('68250','NIEDERENTZEN','HAUT RHIN'),
('68250','NIEDERHERGHEIM','HAUT RHIN'),
('68250','OBERENTZEN','HAUT RHIN'),
('68250','OBERHERGHEIM','HAUT RHIN'),
('68250','PFAFFENHEIM','HAUT RHIN'),
('68250','ROUFFACH','HAUT RHIN'),
('68250','WESTHALTEN','HAUT RHIN'),
('68260','KINGERSHEIM','HAUT RHIN'),
('68270','RUELISHEIM','HAUT RHIN'),
('68270','WITTENHEIM','HAUT RHIN'),
('68280','ANDOLSHEIM','HAUT RHIN'),
('68280','APPENWIHR','HAUT RHIN'),
('68280','LOGELHEIM','HAUT RHIN'),
('68280','SUNDHOFFEN','HAUT RHIN'),
('68290','BOURBACH LE BAS','HAUT RHIN'),
('68290','BOURBACH LE HAUT','HAUT RHIN'),
('68290','DOLLEREN','HAUT RHIN'),
('68290','KIRCHBERG','HAUT RHIN'),
('68290','LAUW','HAUT RHIN'),
('68290','MASEVAUX','HAUT RHIN'),
('68290','NIEDERBRUCK','HAUT RHIN'),
('68290','OBERBRUCK','HAUT RHIN'),
('68290','RIMBACH PRES MASEVAUX','HAUT RHIN'),
('68290','SEWEN','HAUT RHIN'),
('68290','SICKERT','HAUT RHIN'),
('68290','WEGSCHEID','HAUT RHIN'),
('68300','BOURGFELDEN','HAUT RHIN'),
('68300','ST LOUIS','HAUT RHIN'),
('68300','ST LOUIS LA CHAUSSEE','HAUT RHIN'),
('68310','WITTELSHEIM','HAUT RHIN'),
('68320','ARTZENHEIM','HAUT RHIN'),
('68320','BALTZENHEIM','HAUT RHIN'),
('68320','BISCHWIHR','HAUT RHIN'),
('68320','DURRENENTZEN','HAUT RHIN'),
('68320','FORTSCHWIHR','HAUT RHIN'),
('68320','GRUSSENHEIM','HAUT RHIN'),
('68320','HOLTZWIHR','HAUT RHIN'),
('68320','JEBSHEIM','HAUT RHIN'),
('68320','KUNHEIM','HAUT RHIN'),
('68320','MUNTZENHEIM','HAUT RHIN'),
('68320','RIEDWIHR','HAUT RHIN'),
('68320','URSCHENHEIM','HAUT RHIN'),
('68320','WICKERSCHWIHR','HAUT RHIN'),
('68320','WIDENSOHLEN','HAUT RHIN'),
('68330','HUNINGUE','HAUT RHIN'),
('68340','RIQUEWIHR','HAUT RHIN'),
('68340','ZELLENBERG','HAUT RHIN'),
('68350','BRUNSTATT','HAUT RHIN'),
('68350','DIDENHEIM','HAUT RHIN'),
('68360','SOULTZ HAUT RHIN','HAUT RHIN'),
('68370','ORBEY','HAUT RHIN'),
('68380','BREITENBACH HAUT RHIN','HAUT RHIN'),
('68380','METZERAL','HAUT RHIN'),
('68380','MITTLACH','HAUT RHIN'),
('68380','MUHLBACH SUR MUNSTER','HAUT RHIN'),
('68380','SONDERNACH','HAUT RHIN'),
('68390','BALDERSHEIM','HAUT RHIN'),
('68390','BATTENHEIM','HAUT RHIN'),
('68390','SAUSHEIM','HAUT RHIN'),
('68400','RIEDISHEIM','HAUT RHIN'),
('68410','TROIS EPIS','HAUT RHIN'),
('68420','EGUISHEIM','HAUT RHIN'),
('68420','GUEBERSCHWIHR','HAUT RHIN'),
('68420','HATTSTATT','HAUT RHIN'),
('68420','HERRLISHEIM PRES COLMAR','HAUT RHIN'),
('68420','HUSSEREN LES CHATEAUX','HAUT RHIN'),
('68420','OBERMORSCHWIHR','HAUT RHIN'),
('68420','VOEGTLINSHOFEN','HAUT RHIN'),
('68440','BRUEBACH','HAUT RHIN'),
('68440','DIETWILLER','HAUT RHIN'),
('68440','ESCHENTZWILLER','HAUT RHIN'),
('68440','HABSHEIM','HAUT RHIN'),
('68440','LANDSER','HAUT RHIN'),
('68440','SCHLIERBACH','HAUT RHIN'),
('68440','STEINBRUNN LE BAS','HAUT RHIN'),
('68440','STEINBRUNN LE HAUT','HAUT RHIN'),
('68440','ZIMMERSHEIM','HAUT RHIN'),
('68460','LUTTERBACH','HAUT RHIN'),
('68470','FELLERING','HAUT RHIN'),
('68470','HUSSEREN WESSERLING','HAUT RHIN'),
('68470','MITZACH','HAUT RHIN'),
('68470','MOLLAU','HAUT RHIN'),
('68470','RANSPACH','HAUT RHIN'),
('68470','STORCKENSOHN','HAUT RHIN'),
('68470','WESSERLING','HAUT RHIN'),
('68480','BENDORF','HAUT RHIN'),
('68480','BETTLACH','HAUT RHIN'),
('68480','BIEDERTHAL','HAUT RHIN'),
('68480','BOUXWILLER','HAUT RHIN'),
('68480','COURTAVON','HAUT RHIN'),
('68480','DURLINSDORF','HAUT RHIN'),
('68480','DURMENACH','HAUT RHIN'),
('68480','FERRETTE','HAUT RHIN'),
('68480','FISLIS','HAUT RHIN'),
('68480','KIFFIS','HAUT RHIN');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('68480','KOESTLACH','HAUT RHIN'),
('68480','LEVONCOURT','HAUT RHIN'),
('68480','LIEBSDORF','HAUT RHIN'),
('68480','LIGSDORF','HAUT RHIN'),
('68480','LINSDORF','HAUT RHIN'),
('68480','LUCELLE','HAUT RHIN'),
('68480','LUTTER','HAUT RHIN'),
('68480','MOERNACH','HAUT RHIN'),
('68480','OBERLARG','HAUT RHIN'),
('68480','OLTINGUE','HAUT RHIN'),
('68480','PFETTERHOUSE','HAUT RHIN'),
('68480','RAEDERSDORF','HAUT RHIN'),
('68480','ROPPENTZWILLER','HAUT RHIN'),
('68480','SONDERSDORF','HAUT RHIN'),
('68480','VIEUX FERRETTE','HAUT RHIN'),
('68480','WERENTZHOUSE','HAUT RHIN'),
('68480','WINKEL','HAUT RHIN'),
('68480','WOLSCHWILLER','HAUT RHIN'),
('68490','BANTZENHEIM','HAUT RHIN'),
('68490','CHALAMPE','HAUT RHIN'),
('68490','HOMBOURG','HAUT RHIN'),
('68490','OTTMARSHEIM','HAUT RHIN'),
('68490','PETIT LANDAU','HAUT RHIN'),
('68500','BERGHOLTZ','HAUT RHIN'),
('68500','BERGHOLTZ ZELL','HAUT RHIN'),
('68500','BERRWILLER','HAUT RHIN'),
('68500','GUEBWILLER','HAUT RHIN'),
('68500','HARTMANNSWILLER','HAUT RHIN'),
('68500','ISSENHEIM','HAUT RHIN'),
('68500','JUNGHOLTZ','HAUT RHIN'),
('68500','MERXHEIM','HAUT RHIN'),
('68500','ORSCHWIHR','HAUT RHIN'),
('68500','RIMBACH PRES GUEBWILLER','HAUT RHIN'),
('68500','RIMBACHZELL','HAUT RHIN'),
('68500','WUENHEIM','HAUT RHIN'),
('68510','GEISPITZEN','HAUT RHIN'),
('68510','HELFRANTZKIRCH','HAUT RHIN'),
('68510','KAPPELEN','HAUT RHIN'),
('68510','KOETZINGUE','HAUT RHIN'),
('68510','MAGSTATT LE BAS','HAUT RHIN'),
('68510','MAGSTATT LE HAUT','HAUT RHIN'),
('68510','RANTZWILLER','HAUT RHIN'),
('68510','SIERENTZ','HAUT RHIN'),
('68510','STETTEN','HAUT RHIN'),
('68510','UFFHEIM','HAUT RHIN'),
('68510','WALTENHEIM','HAUT RHIN'),
('68520','BURNHAUPT LE BAS','HAUT RHIN'),
('68520','BURNHAUPT LE HAUT','HAUT RHIN'),
('68520','SCHWEIGHOUSE PRES THANN','HAUT RHIN'),
('68530','BUHL','HAUT RHIN'),
('68530','MURBACH','HAUT RHIN'),
('68540','BOLLWILLER','HAUT RHIN'),
('68540','FELDKIRCH','HAUT RHIN'),
('68550','MALMERSPACH','HAUT RHIN'),
('68550','ST AMARIN','HAUT RHIN'),
('68560','BETTENDORF','HAUT RHIN'),
('68560','HEIMERSDORF','HAUT RHIN'),
('68560','HIRSINGUE','HAUT RHIN'),
('68560','RUEDERBACH','HAUT RHIN'),
('68570','OSENBACH','HAUT RHIN'),
('68570','SOULTZMATT','HAUT RHIN'),
('68570','WINTZFELDEN','HAUT RHIN'),
('68580','BISEL','HAUT RHIN'),
('68580','FRIESEN','HAUT RHIN'),
('68580','HINDLINGEN','HAUT RHIN'),
('68580','LARGITZEN','HAUT RHIN'),
('68580','MOOSLARGUE','HAUT RHIN'),
('68580','NIEDERLARG','HAUT RHIN'),
('68580','SEPPOIS LE BAS','HAUT RHIN'),
('68580','SEPPOIS LE HAUT','HAUT RHIN'),
('68580','STRUETH','HAUT RHIN'),
('68580','UEBERSTRASS','HAUT RHIN'),
('68590','RODERN','HAUT RHIN'),
('68590','RORSCHWIHR','HAUT RHIN'),
('68590','ST HIPPOLYTE','HAUT RHIN'),
('68590','THANNENKIRCH','HAUT RHIN'),
('68600','ALGOLSHEIM','HAUT RHIN'),
('68600','BIESHEIM','HAUT RHIN'),
('68600','DESSENHEIM','HAUT RHIN'),
('68600','GEISWASSER','HAUT RHIN'),
('68600','HEITEREN','HAUT RHIN'),
('68600','HETTENSCHLAG','HAUT RHIN'),
('68600','NEUF BRISACH','HAUT RHIN'),
('68600','OBERSAASHEIM','HAUT RHIN'),
('68600','VOGELGRUN','HAUT RHIN'),
('68600','VOLGELSHEIM','HAUT RHIN'),
('68600','WECKOLSHEIM','HAUT RHIN'),
('68600','WOLFGANTZEN','HAUT RHIN'),
('68610','LAUTENBACH','HAUT RHIN'),
('68610','LAUTENBACHZELL','HAUT RHIN'),
('68610','LINTHAL','HAUT RHIN'),
('68610','MARKSTEIN','HAUT RHIN'),
('68610','SCHWEIGHOUSE','HAUT RHIN'),
('68610','SENGERN','HAUT RHIN'),
('68620','BITSCHWILLER LES THANN','HAUT RHIN'),
('68630','BENNWIHR','HAUT RHIN'),
('68630','MITTELWIHR','HAUT RHIN'),
('68640','FELDBACH','HAUT RHIN'),
('68640','MOYEN MUESPACH','HAUT RHIN'),
('68640','MUESPACH','HAUT RHIN'),
('68640','MUESPACH LE HAUT','HAUT RHIN'),
('68640','RIESPACH','HAUT RHIN'),
('68640','STEINSOULTZ','HAUT RHIN'),
('68640','WALDIGHOFEN','HAUT RHIN'),
('68650','LE BONHOMME','HAUT RHIN'),
('68650','LAPOUTROIE','HAUT RHIN'),
('68660','LIEPVRE','HAUT RHIN'),
('68660','ROMBACH LE FRANC','HAUT RHIN'),
('68680','KEMBS','HAUT RHIN'),
('68680','NIFFER','HAUT RHIN'),
('68680','KEMBS LOECHLE','HAUT RHIN'),
('68690','GEISHOUSE','HAUT RHIN'),
('68690','MOOSCH','HAUT RHIN'),
('68700','ASPACH LE BAS','HAUT RHIN'),
('68700','ASPACH LE HAUT','HAUT RHIN'),
('68700','CERNAY','HAUT RHIN'),
('68700','MICHELBACH','HAUT RHIN'),
('68700','STEINBACH','HAUT RHIN'),
('68700','UFFHOLTZ','HAUT RHIN'),
('68700','WATTWILLER','HAUT RHIN'),
('68720','BRINIGHOFFEN','HAUT RHIN'),
('68720','EGLINGEN','HAUT RHIN'),
('68720','ST BERNARD','HAUT RHIN'),
('68720','FLAXLANDEN','HAUT RHIN'),
('68720','FROENINGEN','HAUT RHIN'),
('68720','HEIDWILLER','HAUT RHIN'),
('68720','HOCHSTATT','HAUT RHIN'),
('68720','ILLFURTH','HAUT RHIN'),
('68720','LUEMSCHWILLER','HAUT RHIN'),
('68720','SPECHBACH LE BAS','HAUT RHIN'),
('68720','SPECHBACH LE HAUT','HAUT RHIN'),
('68720','TAGOLSHEIM','HAUT RHIN'),
('68720','ZILLISHEIM','HAUT RHIN'),
('68730','BLOTZHEIM','HAUT RHIN'),
('68730','MICHELBACH LE BAS','HAUT RHIN'),
('68730','RANSPACH LE BAS','HAUT RHIN'),
('68740','BALGAU','HAUT RHIN'),
('68740','BLODELSHEIM','HAUT RHIN'),
('68740','FESSENHEIM','HAUT RHIN'),
('68740','HIRTZFELDEN','HAUT RHIN'),
('68740','MUNCHHOUSE','HAUT RHIN'),
('68740','NAMBSHEIM','HAUT RHIN'),
('68740','ROGGENHOUSE','HAUT RHIN'),
('68740','RUSTENHART','HAUT RHIN'),
('68740','RUMERSHEIM LE HAUT','HAUT RHIN'),
('68750','BERGHEIM','HAUT RHIN'),
('68760','ALTENBACH','HAUT RHIN'),
('68760','GOLDBACH ALTENBACH','HAUT RHIN'),
('68760','WILLER SUR THUR','HAUT RHIN'),
('68770','AMMERSCHWIHR','HAUT RHIN'),
('68780','BRETTEN','HAUT RHIN'),
('68780','DIEFMATTEN','HAUT RHIN'),
('68780','MORTZWILLER','HAUT RHIN'),
('68780','SENTHEIM','HAUT RHIN'),
('68780','SOPPE LE BAS','HAUT RHIN'),
('68780','SOPPE LE HAUT','HAUT RHIN'),
('68780','STERNENBERG','HAUT RHIN'),
('68790','MORSCHWILLER LE BAS','HAUT RHIN'),
('68800','LEIMBACH','HAUT RHIN'),
('68800','RAMMERSMATT','HAUT RHIN'),
('68800','RODEREN','HAUT RHIN'),
('68800','THANN','HAUT RHIN'),
('68800','VIEUX THANN','HAUT RHIN'),
('68820','KRUTH','HAUT RHIN'),
('68820','WILDENSTEIN','HAUT RHIN'),
('68830','ODEREN','HAUT RHIN'),
('68840','PULVERSHEIM','HAUT RHIN'),
('68850','STAFFELFELDEN','HAUT RHIN'),
('68870','BARTENHEIM','HAUT RHIN'),
('68870','BRINCKHEIM','HAUT RHIN'),
('68870','BARTENHEIM LA CHAUSSEE','HAUT RHIN'),
('68890','MEYENHEIM','HAUT RHIN'),
('68890','REGUISHEIM','HAUT RHIN'),
('68910','LABAROCHE','HAUT RHIN'),
('68920','WETTOLSHEIM','HAUT RHIN'),
('68920','WINTZENHEIM','HAUT RHIN'),
('68950','REININGUE','HAUT RHIN'),
('68960','GRENTZINGEN','HAUT RHIN'),
('68960','HENFLINGEN','HAUT RHIN'),
('68960','OBERDORF','HAUT RHIN'),
('68960','WILLER','HAUT RHIN'),
('68970','GUEMAR','HAUT RHIN'),
('68970','ILLHAEUSERN','HAUT RHIN'),
('68980','BEBLENHEIM','HAUT RHIN'),
('68990','GALFINGUE','HAUT RHIN'),
('68990','HEIMSBRUNN','HAUT RHIN'),
('69000','LYON','RHONE'),
('69001','LYON 1ER ARRONDISSEMENT','RHONE'),
('69002','LYON 2EME ARRONDISSEMENT','RHONE'),
('69003','LYON 3EME ARRONDISSEMENT','RHONE'),
('69004','LYON 4EME ARRONDISSEMENT','RHONE'),
('69005','LYON 5EME ARRONDISSEMENT','RHONE'),
('69006','LYON 6EME ARRONDISSEMENT','RHONE'),
('69007','LYON 7EME ARRONDISSEMENT','RHONE'),
('69008','LYON 8EME ARRONDISSEMENT','RHONE'),
('69009','LYON 9EME ARRONDISSEMENT','RHONE'),
('69100','VILLEURBANNE','RHONE'),
('69110','STE FOY LES LYON','RHONE'),
('69115','CHIROUBLES','RHONE'),
('69120','VAULX EN VELIN','RHONE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('69124','COLOMBIER SAUGNIEU','RHONE'),
('69124','SAUGNIEU','RHONE'),
('69125','SATOLAS AEROPORT','RHONE'),
('69125','LYON SATOLAS AEROPORT','RHONE'),
('69126','BRINDAS','RHONE'),
('69130','ECULLY','RHONE'),
('69140','CREPIEUX LA PAPE','RHONE'),
('69140','RILLIEUX LA PAPE','RHONE'),
('69150','DECINES CHARPIEU','RHONE'),
('69150','LE MOLARD','RHONE'),
('69160','TASSIN LA DEMI LUNE','RHONE'),
('69170','AFFOUX','RHONE'),
('69170','DIEME','RHONE'),
('69170','JOUX','RHONE'),
('69170','LES SAUVAGES','RHONE'),
('69170','ST APPOLINAIRE','RHONE'),
('69170','ST CLEMENT SUR VALSONNE','RHONE'),
('69170','ST MARCEL L ECLAIRE','RHONE'),
('69170','TARARE','RHONE'),
('69170','VALSONNE','RHONE'),
('69190','ST FONS','RHONE'),
('69200','VENISSIEUX','RHONE'),
('69210','L ARBRESLE','RHONE'),
('69210','BULLY','RHONE'),
('69210','CHEVINAY','RHONE'),
('69210','EVEUX','RHONE'),
('69210','FLEURIEUX SUR L ARBRESLE','RHONE'),
('69210','LENTILLY','RHONE'),
('69210','NUELLES','RHONE'),
('69210','SAIN BEL','RHONE'),
('69210','SAVIGNY','RHONE'),
('69210','SOURCIEUX LES MINES','RHONE'),
('69210','ST GERMAIN SUR L ARBRESLE','RHONE'),
('69210','ST PIERRE LA PALUD','RHONE'),
('69220','BELLEVILLE','RHONE'),
('69220','CERCIE','RHONE'),
('69220','CHARENTAY','RHONE'),
('69220','CORCELLES EN BEAUJOLAIS','RHONE'),
('69220','DRACE','RHONE'),
('69220','LANCIE','RHONE'),
('69220','ST JEAN D ARDIERES','RHONE'),
('69220','ST LAGER','RHONE'),
('69220','TAPONAS','RHONE'),
('69230','ST GENIS LAVAL','RHONE'),
('69240','BOURG DE THIZY','RHONE'),
('69240','LA CHAPELLE DE MARDORE','RHONE'),
('69240','MARDORE','RHONE'),
('69240','MARNAND','RHONE'),
('69240','PONT TRAMBOUZE','RHONE'),
('69240','ST VINCENT DE REINS','RHONE'),
('69240','THIZY','RHONE'),
('69250','ALBIGNY SUR SAONE','RHONE'),
('69250','CURIS AU MONT D OR','RHONE'),
('69250','FLEURIEU SUR SAONE','RHONE'),
('69250','NEUVILLE SUR SAONE','RHONE'),
('69250','POLEYMIEUX AU MONT D OR','RHONE'),
('69250','MONTANAY','RHONE'),
('69260','CHARBONNIERES LES BAINS','RHONE'),
('69270','CAILLOUX SUR FONTAINES','RHONE'),
('69270','COUZON AU MONT D OR','RHONE'),
('69270','FONTAINES ST MARTIN','RHONE'),
('69270','FONTAINES SUR SAONE','RHONE'),
('69270','ROCHETAILLEE SUR SAONE','RHONE'),
('69270','ST ROMAIN AU MONT D OR','RHONE'),
('69280','MARCY L ETOILE','RHONE'),
('69280','STE CONSORCE','RHONE'),
('69290','CRAPONNE','RHONE'),
('69290','GREZIEU LA VARENNE','RHONE'),
('69290','POLLIONNAY','RHONE'),
('69290','ST GENIS LES OLLIERES','RHONE'),
('69300','CALUIRE ET CUIRE','RHONE'),
('69310','PIERRE BENITE','RHONE'),
('69320','FEYZIN','RHONE'),
('69330','JONAGE','RHONE'),
('69330','JONS','RHONE'),
('69330','MEYZIEU','RHONE'),
('69330','PUSIGNAN','RHONE'),
('69340','FRANCHEVILLE','RHONE'),
('69350','LA MULATIERE','RHONE'),
('69360','COMMUNAY','RHONE'),
('69360','ST SYMPHORIEN D OZON','RHONE'),
('69360','SEREZIN DU RHONE','RHONE'),
('69360','SIMANDRES','RHONE'),
('69360','SOLAIZE','RHONE'),
('69360','TERNAY','RHONE'),
('69370','ST DIDIER AU MONT D OR','RHONE'),
('69380','ALIX','RHONE'),
('69380','BELMONT','RHONE'),
('69380','CHARNAY','RHONE'),
('69380','CHASSELAY','RHONE'),
('69380','CHATILLON','RHONE'),
('69380','CHAZAY D AZERGUES','RHONE'),
('69380','LES CHERES','RHONE'),
('69380','CHESSY','RHONE'),
('69380','CIVRIEUX D AZERGUES','RHONE'),
('69380','DOMMARTIN','RHONE'),
('69380','LISSIEU','RHONE'),
('69380','LOZANNE','RHONE'),
('69380','MARCILLY D AZERGUES','RHONE'),
('69380','ST JEAN DES VIGNES','RHONE'),
('69390','CHARLY','RHONE'),
('69390','MILLERY','RHONE'),
('69390','VERNAISON','RHONE'),
('69390','VOURLES','RHONE'),
('69390','SEPT CHEMINS','RHONE'),
('69400','ARNAS','RHONE'),
('69400','GLEIZE','RHONE'),
('69400','LIERGUES','RHONE'),
('69400','LIMAS','RHONE'),
('69400','POUILLY LE MONIAL','RHONE'),
('69400','VILLEFRANCHE SUR SAONE','RHONE'),
('69400','LA COMBE','RHONE'),
('69410','CHAMPAGNE AU MONT D OR','RHONE'),
('69420','AMPUIS','RHONE'),
('69420','CONDRIEU','RHONE'),
('69420','LES HAIES','RHONE'),
('69420','LONGES','RHONE'),
('69420','TREVES','RHONE'),
('69420','TUPIN ET SEMONS','RHONE'),
('69430','LES ARDILLATS','RHONE'),
('69430','AVENAS','RHONE'),
('69430','BEAUJEU','RHONE'),
('69430','CHENELETTE','RHONE'),
('69430','DURETTE','RHONE'),
('69430','LANTIGNIE','RHONE'),
('69430','MARCHAMPT','RHONE'),
('69430','QUINCIE EN BEAUJOLAIS','RHONE'),
('69430','REGNIE DURETTE','RHONE'),
('69430','ST DIDIER SUR BEAUJEU','RHONE'),
('69430','VERNAY','RHONE'),
('69430','LE MOLARD','RHONE'),
('69440','CHAUSSAN','RHONE'),
('69440','MORNANT','RHONE'),
('69440','RIVERIE','RHONE'),
('69440','ST ANDRE LA COTE','RHONE'),
('69440','STE CATHERINE','RHONE'),
('69440','ST DIDIER SOUS RIVERIE','RHONE'),
('69440','ST LAURENT D AGNY','RHONE'),
('69440','ST MAURICE SUR DARGOIRE','LOIRE'),
('69440','ST SORLIN','RHONE'),
('69440','TALUYERS','RHONE'),
('69440','PINS','RHONE'),
('69440','LE BATARD','RHONE'),
('69440','BELLEVUE','RHONE'),
('69440','DARGOIRE','RHONE'),
('69440','BARROT','RHONE'),
('69440','FILLONNIERE','RHONE'),
('69440','LA FLACHERE','RHONE'),
('69440','LE RICHOUD','RHONE'),
('69440','LE ROSSEON','RHONE'),
('69440','ROUSSILLIERE','RHONE'),
('69440','ST VINCENT','RHONE'),
('69450','ST CYR AU MONT D OR','RHONE'),
('69460','ARBUISSONNAS','RHONE'),
('69460','BLACE','RHONE'),
('69460','ODENAS','RHONE'),
('69460','LE PERREON','RHONE'),
('69460','SALLES ARBUISSONNAS EN BE','RHONE'),
('69460','ST ETIENNE DES OULLIERES','RHONE'),
('69460','ST ETIENNE LA VARENNE','RHONE'),
('69460','VAUX EN BEAUJOLAIS','RHONE'),
('69470','COURS LA VILLE','RHONE'),
('69470','RANCHAL','RHONE'),
('69470','THEL','RHONE'),
('69470','LA VILLE','RHONE'),
('69480','AMBERIEUX','RHONE'),
('69480','ANSE','RHONE'),
('69480','LACHASSAGNE','RHONE'),
('69480','LUCENAY','RHONE'),
('69480','MARCY','RHONE'),
('69480','MORANCE','RHONE'),
('69480','POMMIERS','RHONE'),
('69480','ST PIERRE','RHONE'),
('69490','ANCY','RHONE'),
('69490','DAREIZE','RHONE'),
('69490','LES OLMES','RHONE'),
('69490','PONTCHARRA SUR TURDINE','RHONE'),
('69490','SARCEY','RHONE'),
('69490','ST FORGEUX','RHONE'),
('69490','ST LOUP','RHONE'),
('69490','ST ROMAIN DE POPEY','RHONE'),
('69500','BRON','RHONE'),
('69510','MESSIMY','RHONE'),
('69510','RONTALON','RHONE'),
('69510','SOUCIEU EN JARREST','RHONE'),
('69510','THURINS','RHONE'),
('69510','YZERON','RHONE'),
('69520','GRIGNY','RHONE'),
('69530','BRIGNAIS','RHONE'),
('69530','ORLIENAS','RHONE'),
('69530','LE BOULARD','RHONE'),
('69530','SEPT CHEMINS','RHONE'),
('69540','IRIGNY','RHONE'),
('69550','AMPLEPUIS','RHONE'),
('69550','CUBLIZE','RHONE'),
('69550','MEAUX LA MONTAGNE','RHONE'),
('69550','RONNO','RHONE'),
('69550','ST JEAN LA BUSSIERE','RHONE'),
('69550','DORIEU','RHONE'),
('69560','STE COLOMBE','RHONE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('69560','ST CYR SUR LE RHONE','RHONE'),
('69560','ST ROMAIN EN GAL','RHONE'),
('69560','POMERIEUX','RHONE'),
('69570','DARDILLY','RHONE'),
('69580','SATHONAY CAMP','RHONE'),
('69580','SATHONAY VILLAGE','RHONE'),
('69590','LA CHAPELLE SUR COISE','RHONE'),
('69590','COISE','RHONE'),
('69590','LARAJASSE','RHONE'),
('69590','POMEYS','RHONE'),
('69590','ST SYMPHORIEN SUR COISE','RHONE'),
('69590','MOSOEUVRE','RHONE'),
('69600','OULLINS','RHONE'),
('69610','AVEIZE','RHONE'),
('69610','GREZIEU LE MARCHE','RHONE'),
('69610','LES HALLES','RHONE'),
('69610','HAUTE RIVOIRE','RHONE'),
('69610','MEYS','RHONE'),
('69610','MONTROMANT','RHONE'),
('69610','SOUZY','RHONE'),
('69610','STE FOY L ARGENTIERE','RHONE'),
('69610','ST GENIS L ARGENTIERE','RHONE'),
('69620','BAGNOLS','RHONE'),
('69620','LE BOIS D OINGT','RHONE'),
('69620','LE BREUIL','RHONE'),
('69620','CHAMELET','RHONE'),
('69620','FRONTENAS','RHONE'),
('69620','LEGNY','RHONE'),
('69620','LETRA','RHONE'),
('69620','MOIRE','RHONE'),
('69620','OINGT','RHONE'),
('69620','ST LAURENT D OINGT','RHONE'),
('69620','STE PAULE','RHONE'),
('69620','ST VERAND','RHONE'),
('69620','TERNAND','RHONE'),
('69620','THEIZE','RHONE'),
('69620','LA ROCHE','RHONE'),
('69630','CHAPONOST','RHONE'),
('69640','COGNY','RHONE'),
('69640','DENICE','RHONE'),
('69640','JARNIOUX','RHONE'),
('69640','LACENAS','RHONE'),
('69640','MONTMELAS ST SORLIN','RHONE'),
('69640','RIVOLET','RHONE'),
('69640','ST JULIEN','RHONE'),
('69640','VILLE SUR JARNIOUX','RHONE'),
('69640','LA FOUILLOUSE','RHONE'),
('69640','LA ROCHE','RHONE'),
('69650','QUINCIEUX','RHONE'),
('69650','ST GERMAIN AU MONT D OR','RHONE'),
('69650','LES MINES','RHONE'),
('69660','COLLONGES AU MONT D OR','RHONE'),
('69670','ST LAURENT DE VAUX','RHONE'),
('69670','VAUGNERAY','RHONE'),
('69680','CHASSIEU','RHONE'),
('69690','BESSENAY','RHONE'),
('69690','BIBOST','RHONE'),
('69690','BRULLIOLES','RHONE'),
('69690','BRUSSIEU','RHONE'),
('69690','COURZIEU','RHONE'),
('69690','ST JULIEN SUR BIBOST','RHONE'),
('69690','LA BREVENNE','RHONE'),
('69690','LA CALONNIERE','RHONE'),
('69690','LA GIRAUDIERE','RHONE'),
('69690','LURCIEUX','RHONE'),
('69690','POMERIEUX','RHONE'),
('69690','LES ROCHES','RHONE'),
('69700','CHASSAGNY','RHONE'),
('69700','ECHALAS','RHONE'),
('69700','GIVORS','RHONE'),
('69700','LOIRE SUR RHONE','RHONE'),
('69700','MONTAGNY','RHONE'),
('69700','ST ANDEOL LE CHATEAU','RHONE'),
('69700','ST JEAN DE TOUSLAS','RHONE'),
('69700','ST ROMAIN EN GIER','RHONE'),
('69700','LA RODIERE','RHONE'),
('69700','SOURZY','RHONE'),
('69700','ST MARTIN DE CORNAS','RHONE'),
('69720','ST BONNET DE MURE','RHONE'),
('69720','ST LAURENT DE MURE','RHONE'),
('69730','GENAY','RHONE'),
('69740','GENAS','RHONE'),
('69760','LIMONEST','RHONE'),
('69770','CHAMBOST LONGESSAIGNE','RHONE'),
('69770','LONGESSAIGNE','RHONE'),
('69770','MONTROTTIER','RHONE'),
('69770','VILLECHENEVE','RHONE'),
('69780','MIONS','RHONE'),
('69780','ST PIERRE DE CHANDIEU','RHONE'),
('69780','TOUSSIEU','RHONE'),
('69790','AIGUEPERSE','RHONE'),
('69790','AZOLETTE','RHONE'),
('69790','PROPIERES','RHONE'),
('69790','ST BONNET DES BRUYERES','RHONE'),
('69790','ST CLEMENT DE VERS','RHONE'),
('69790','ST IGNY DE VERS','RHONE'),
('69800','ST PRIEST','RHONE'),
('69820','FLEURIE','RHONE'),
('69820','VAUXRENARD','RHONE'),
('69830','ST GEORGES DE RENEINS','RHONE'),
('69840','CENVES','RHONE'),
('69840','CHENAS','RHONE'),
('69840','EMERINGES','RHONE'),
('69840','JULIENAS','RHONE'),
('69840','JULLIE','RHONE'),
('69850','DUERNE','RHONE'),
('69850','ST MARTIN EN HAUT','RHONE'),
('69850','GLAY','RHONE'),
('69860','MONSOLS','RHONE'),
('69860','OUROUX','RHONE'),
('69860','ST CHRISTOPHE','RHONE'),
('69860','ST JACQUES DES ARRETS','RHONE'),
('69860','ST MAMERT','RHONE'),
('69860','TRADES','RHONE'),
('69870','CHAMBOST ALLIERES','RHONE'),
('69870','CLAVEISOLLES','RHONE'),
('69870','GRANDRIS','RHONE'),
('69870','LAMURE SUR AZERGUES','RHONE'),
('69870','POULE LES ECHARMEAUX','RHONE'),
('69870','ST BONNET LE TRONCY','RHONE'),
('69870','ST CYR LE CHATOUX','RHONE'),
('69870','ST JUST D AVRAY','RHONE'),
('69870','ST NIZIER D AZERGUES','RHONE'),
('69870','LES ECHARMEAUX','RHONE'),
('69890','LA TOUR DE SALVAGNY','RHONE'),
('69910','VILLIE MORGON','RHONE'),
('69930','ST CLEMENT LES PLACES','RHONE'),
('69930','ST LAURENT DE CHAMOUSSET','RHONE'),
('69960','CORBAS','RHONE'),
('69970','CHAPONNAY','RHONE'),
('69970','MARENNES','RHONE'),
('70000','ANDELARRE','HAUTE SAONE'),
('70000','ANDELARROT','HAUTE SAONE'),
('70000','AUXON','HAUTE SAONE'),
('70000','BAIGNES','HAUTE SAONE'),
('70000','BOURSIERES','HAUTE SAONE'),
('70000','CERRE LES NOROY','HAUTE SAONE'),
('70000','CHARIEZ','HAUTE SAONE'),
('70000','CHARMOILLE','HAUTE SAONE'),
('70000','CLANS','HAUTE SAONE'),
('70000','COLOMBE LES VESOUL','HAUTE SAONE'),
('70000','COLOMBIER','HAUTE SAONE'),
('70000','COMBERJON','HAUTE SAONE'),
('70000','COULEVON','HAUTE SAONE'),
('70000','DAMPVALLEY LES COLOMBE','HAUTE SAONE'),
('70000','LA DEMIE','HAUTE SAONE'),
('70000','ECHENOZ LA MELINE','HAUTE SAONE'),
('70000','ECHENOZ LE SEC','HAUTE SAONE'),
('70000','FLAGY','HAUTE SAONE'),
('70000','FROTEY LES VESOUL','HAUTE SAONE'),
('70000','LE MAGNORAY','HAUTE SAONE'),
('70000','MAILLEY ET CHAZELOT','HAUTE SAONE'),
('70000','MONTCEY','HAUTE SAONE'),
('70000','MONTIGNY LES VESOUL','HAUTE SAONE'),
('70000','MONT LE VERNOIS','HAUTE SAONE'),
('70000','NAVENNE','HAUTE SAONE'),
('70000','NEUREY LES LA DEMIE','HAUTE SAONE'),
('70000','NOIDANS LES VESOUL','HAUTE SAONE'),
('70000','NOROY LE BOURG','HAUTE SAONE'),
('70000','PUSEY','HAUTE SAONE'),
('70000','PUSY ET EPENOUX','HAUTE SAONE'),
('70000','QUINCEY','HAUTE SAONE'),
('70000','RAZE','HAUTE SAONE'),
('70000','ROSEY','HAUTE SAONE'),
('70000','VAIVRE ET MONTOILLE','HAUTE SAONE'),
('70000','VALLEROIS LE BOIS','HAUTE SAONE'),
('70000','VALLEROIS LORIOZ','HAUTE SAONE'),
('70000','VELLEFAUX','HAUTE SAONE'),
('70000','VELLEGUINDRY ET LEVRECEY','HAUTE SAONE'),
('70000','VELLE LE CHATEL','HAUTE SAONE'),
('70000','VESOUL','HAUTE SAONE'),
('70000','VILLEPAROIS','HAUTE SAONE'),
('70000','VILLERS LE SEC','HAUTE SAONE'),
('70100','ANCIER','HAUTE SAONE'),
('70100','APREMONT','HAUTE SAONE'),
('70100','ARC LES GRAY','HAUTE SAONE'),
('70100','ARSANS','HAUTE SAONE'),
('70100','ATTRICOURT','HAUTE SAONE'),
('70100','AUTREY LES GRAY','HAUTE SAONE'),
('70100','AUVET ET LA CHAPELOTTE','HAUTE SAONE'),
('70100','BATTRANS','HAUTE SAONE'),
('70100','BEAUJEU ST VALLIER PIERRE','HAUTE SAONE'),
('70100','BOUHANS ET FEURG','HAUTE SAONE'),
('70100','BROYE LOUP VERFONTAINE','HAUTE SAONE'),
('70100','CHAMPTONNAY','HAUTE SAONE'),
('70100','CHAMPVANS','HAUTE SAONE'),
('70100','CHARGEY LES GRAY','HAUTE SAONE'),
('70100','CRESANCEY','HAUTE SAONE'),
('70100','ECHEVANNE','HAUTE SAONE'),
('70100','ESMOULINS','HAUTE SAONE'),
('70100','ESSERTENNE ET CECEY','HAUTE SAONE'),
('70100','FAHY LES AUTREY','HAUTE SAONE'),
('70100','GERMIGNEY','HAUTE SAONE'),
('70100','GRAY','HAUTE SAONE'),
('70100','GRAY LA VILLE','HAUTE SAONE'),
('70100','LOEUILLEY','HAUTE SAONE'),
('70100','MANTOCHE','HAUTE SAONE'),
('70100','MONTUREUX ET PRANTIGNY','HAUTE SAONE'),
('70100','NANTILLY','HAUTE SAONE'),
('70100','NANTOUARD','HAUTE SAONE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('70100','NOIRON','HAUTE SAONE'),
('70100','ONAY','HAUTE SAONE'),
('70100','POYANS','HAUTE SAONE'),
('70100','QUITTEUR','HAUTE SAONE'),
('70100','RIGNY','HAUTE SAONE'),
('70100','ST BROING','HAUTE SAONE'),
('70100','ST LOUP NANTOUARD','HAUTE SAONE'),
('70100','SAUVIGNEY LES GRAY','HAUTE SAONE'),
('70100','LE TREMBLOIS','HAUTE SAONE'),
('70100','VELESMES ECHEVANNE','HAUTE SAONE'),
('70100','VELET','HAUTE SAONE'),
('70100','VENERE','HAUTE SAONE'),
('70110','AILLEVANS','HAUTE SAONE'),
('70110','ATHESANS ETROITE FONTAINE','HAUTE SAONE'),
('70110','AUTREY LES CERRE','HAUTE SAONE'),
('70110','AUTREY LE VAY','HAUTE SAONE'),
('70110','BEVEUGE','HAUTE SAONE'),
('70110','BOREY','HAUTE SAONE'),
('70110','COURCHATON','HAUTE SAONE'),
('70110','ESPRELS','HAUTE SAONE'),
('70110','ETROITE FONTAINE','HAUTE SAONE'),
('70110','FALLON','HAUTE SAONE'),
('70110','GEORFANS','HAUTE SAONE'),
('70110','GOUHENANS','HAUTE SAONE'),
('70110','GRAMMONT','HAUTE SAONE'),
('70110','LONGEVELLE','HAUTE SAONE'),
('70110','LES MAGNY','HAUTE SAONE'),
('70110','MARAST','HAUTE SAONE'),
('70110','MELECEY','HAUTE SAONE'),
('70110','MIGNAFANS','HAUTE SAONE'),
('70110','MOIMAY','HAUTE SAONE'),
('70110','MONTJUSTIN ET VELOTTE','HAUTE SAONE'),
('70110','OPPENANS','HAUTE SAONE'),
('70110','ORICOURT','HAUTE SAONE'),
('70110','PONT SUR L OGNON','HAUTE SAONE'),
('70110','ST FERJEUX','HAUTE SAONE'),
('70110','ST SULPICE','HAUTE SAONE'),
('70110','SENARGENT MIGNAFANS','HAUTE SAONE'),
('70110','VELLECHEVREUX COURBENANS','HAUTE SAONE'),
('70110','VILLAFANS','HAUTE SAONE'),
('70110','VILLARGENT','HAUTE SAONE'),
('70110','VILLERSEXEL','HAUTE SAONE'),
('70110','VILLERS LA VILLE','HAUTE SAONE'),
('70120','BETONCOURT LES MENETRIERS','HAUTE SAONE'),
('70120','BOURGUIGNON LES MOREY','HAUTE SAONE'),
('70120','CHARMES ST VALBERT','HAUTE SAONE'),
('70120','CINTREY','HAUTE SAONE'),
('70120','COMBEAUFONTAINE','HAUTE SAONE'),
('70120','CONFRACOURT','HAUTE SAONE'),
('70120','CORNOT','HAUTE SAONE'),
('70120','FEDRY','HAUTE SAONE'),
('70120','FLEUREY LES LAVONCOURT','HAUTE SAONE'),
('70120','GOURGEON','HAUTE SAONE'),
('70120','GRANDECOURT','HAUTE SAONE'),
('70120','LAVIGNEY','HAUTE SAONE'),
('70120','LAVONCOURT','HAUTE SAONE'),
('70120','MALVILLERS','HAUTE SAONE'),
('70120','MELIN','HAUTE SAONE'),
('70120','MOLAY','HAUTE SAONE'),
('70120','MONT ST LEGER','HAUTE SAONE'),
('70120','LA ROCHE MOREY','HAUTE SAONE'),
('70120','OIGNEY','HAUTE SAONE'),
('70120','PREIGNEY','HAUTE SAONE'),
('70120','LA QUARTE','HAUTE SAONE'),
('70120','RENAUCOURT','HAUTE SAONE'),
('70120','LA ROCHELLE','HAUTE SAONE'),
('70120','ST JULIEN','HAUTE SAONE'),
('70120','SEMMADON','HAUTE SAONE'),
('70120','SUAUCOURT ET PISSELOUP','HAUTE SAONE'),
('70120','THEULEY','HAUTE SAONE'),
('70120','TINCEY ET PONTREBEAU','HAUTE SAONE'),
('70120','VAUCONCOURT NERVEZAIN','HAUTE SAONE'),
('70120','VILLERS VAUDEY','HAUTE SAONE'),
('70120','VY LES RUPT','HAUTE SAONE'),
('70130','LES BATIES','HAUTE SAONE'),
('70130','CHARENTENAY','HAUTE SAONE'),
('70130','CUBRY LES SOING','HAUTE SAONE'),
('70130','FERRIERES LES RAY','HAUTE SAONE'),
('70130','FRESNE ST MAMES','HAUTE SAONE'),
('70130','FRETIGNEY VELLOREILLE','HAUTE SAONE'),
('70130','GREUCOURT','HAUTE SAONE'),
('70130','MERCEY SUR SAONE','HAUTE SAONE'),
('70130','MOTEY SUR SAONE','HAUTE SAONE'),
('70130','NEUVELLE LES LA CHARITE','HAUTE SAONE'),
('70130','NOIDANS LE FERROUX','HAUTE SAONE'),
('70130','LE PONT DE PLANCHES','HAUTE SAONE'),
('70130','RAY SUR SAONE','HAUTE SAONE'),
('70130','RECOLOGNE','HAUTE SAONE'),
('70130','ST GAND','HAUTE SAONE'),
('70130','SAVOYEUX','HAUTE SAONE'),
('70130','SEVEUX','HAUTE SAONE'),
('70130','SOING CUBRY CHARENTENAY','HAUTE SAONE'),
('70130','VANNE','HAUTE SAONE'),
('70130','VELLEXON QUEUTREY VAUDEY','HAUTE SAONE'),
('70130','LA VERNOTTE','HAUTE SAONE'),
('70130','VEZET','HAUTE SAONE'),
('70130','VY LE FERROUX','HAUTE SAONE'),
('70140','AUBIGNEY','HAUTE SAONE'),
('70140','BARD LES PESMES','HAUTE SAONE'),
('70140','BRESILLEY','HAUTE SAONE'),
('70140','BROYE AUBIGNEY MONTSEUGNY','HAUTE SAONE'),
('70140','CHANCEY','HAUTE SAONE'),
('70140','CHAUMERCENNE','HAUTE SAONE'),
('70140','CHEVIGNEY','HAUTE SAONE'),
('70140','LIEUCOURT','HAUTE SAONE'),
('70140','MALANS','HAUTE SAONE'),
('70140','MONTAGNEY','HAUTE SAONE'),
('70140','MONTSEUGNY','HAUTE SAONE'),
('70140','MOTEY BESUCHE','HAUTE SAONE'),
('70140','PESMES','HAUTE SAONE'),
('70140','LA GRANDE RESIE','HAUTE SAONE'),
('70140','LA RESIE ST MARTIN','HAUTE SAONE'),
('70140','SAUVIGNEY LES PESMES','HAUTE SAONE'),
('70140','VADANS','HAUTE SAONE'),
('70140','VALAY','HAUTE SAONE'),
('70150','AVRIGNEY VIREY','HAUTE SAONE'),
('70150','BAY','HAUTE SAONE'),
('70150','BEAUMOTTE LES PIN','HAUTE SAONE'),
('70150','BONBOILLON','HAUTE SAONE'),
('70150','BRUSSEY','HAUTE SAONE'),
('70150','CHAMBORNAY LES PIN','HAUTE SAONE'),
('70150','CHENEVREY ET MOROGNE','HAUTE SAONE'),
('70150','COURCUIRE','HAUTE SAONE'),
('70150','CULT','HAUTE SAONE'),
('70150','ETUZ','HAUTE SAONE'),
('70150','HUGIER','HAUTE SAONE'),
('70150','MARNAY','HAUTE SAONE'),
('70150','PIN','HAUTE SAONE'),
('70150','SORNAY','HAUTE SAONE'),
('70150','TROMAREY','HAUTE SAONE'),
('70150','VIREY','HAUTE SAONE'),
('70150','VREGILLE','HAUTE SAONE'),
('70160','AMANCE','HAUTE SAONE'),
('70160','ARBECEY','HAUTE SAONE'),
('70160','BAULAY','HAUTE SAONE'),
('70160','BREUREY LES FAVERNEY','HAUTE SAONE'),
('70160','CONTREGLISE','HAUTE SAONE'),
('70160','CUBRY LES FAVERNEY','HAUTE SAONE'),
('70160','EQUEVILLEY','HAUTE SAONE'),
('70160','FAVERNEY','HAUTE SAONE'),
('70160','FLEUREY LES FAVERNEY','HAUTE SAONE'),
('70160','FOUCHECOURT','HAUTE SAONE'),
('70160','MENOUX','HAUTE SAONE'),
('70160','MERSUAY','HAUTE SAONE'),
('70160','NEUREY EN VAUX','HAUTE SAONE'),
('70160','PURGEROT','HAUTE SAONE'),
('70160','ST REMY','HAUTE SAONE'),
('70160','SENONCOURT','HAUTE SAONE'),
('70160','LE VAL ST ELOI','HAUTE SAONE'),
('70160','LA VILLEDIEU EN FONTENETT','HAUTE SAONE'),
('70160','PORT D ATELIER','HAUTE SAONE'),
('70170','AMONCOURT','HAUTE SAONE'),
('70170','BOUGNON','HAUTE SAONE'),
('70170','CHARGEY LES PORT','HAUTE SAONE'),
('70170','CHAUX LES PORT','HAUTE SAONE'),
('70170','CONFLANDEY','HAUTE SAONE'),
('70170','GRATTERY','HAUTE SAONE'),
('70170','PORT SUR SAONE','HAUTE SAONE'),
('70170','PROVENCHERE','HAUTE SAONE'),
('70170','SCYE','HAUTE SAONE'),
('70170','VAUCHOUX','HAUTE SAONE'),
('70170','VILLERS SUR PORT','HAUTE SAONE'),
('70180','ACHEY','HAUTE SAONE'),
('70180','AUTET','HAUTE SAONE'),
('70180','BROTTE LES RAY','HAUTE SAONE'),
('70180','DAMPIERRE SUR SALON','HAUTE SAONE'),
('70180','DELAIN','HAUTE SAONE'),
('70180','DENEVRE','HAUTE SAONE'),
('70180','FRANCOURT','HAUTE SAONE'),
('70180','MEMBREY','HAUTE SAONE'),
('70180','MONTOT','HAUTE SAONE'),
('70180','ROCHE ET RAUCOURT','HAUTE SAONE'),
('70180','VAITE','HAUTE SAONE'),
('70180','VEREUX','HAUTE SAONE'),
('70180','VOLON','HAUTE SAONE'),
('70190','AUBERTANS','HAUTE SAONE'),
('70190','AULX LES CROMARY','HAUTE SAONE'),
('70190','AUTHOISON','HAUTE SAONE'),
('70190','LA BARRE','HAUTE SAONE'),
('70190','BEAUMOTTE AUBERTANS','HAUTE SAONE'),
('70190','BOULOT','HAUTE SAONE'),
('70190','BOULT','HAUTE SAONE'),
('70190','BOURGUIGNON LES LA CHARIT','HAUTE SAONE'),
('70190','BUSSIERES','HAUTE SAONE'),
('70190','BUTHIERS','HAUTE SAONE'),
('70190','CHAMBORNAY LES BELLEVAUX','HAUTE SAONE'),
('70190','CHAUX LA LOTIERE','HAUTE SAONE'),
('70190','CIREY','HAUTE SAONE'),
('70190','CORDONNET','HAUTE SAONE'),
('70190','CROMARY','HAUTE SAONE'),
('70190','FONDREMAND','HAUTE SAONE'),
('70190','LES FONTENIS','HAUTE SAONE'),
('70190','GRANDVELLE ET LE PERRENOT','HAUTE SAONE'),
('70190','HYET','HAUTE SAONE'),
('70190','LIEFFRANS','HAUTE SAONE'),
('70190','MAIZIERES','HAUTE SAONE'),
('70190','LA MALACHERE','HAUTE SAONE'),
('70190','MONTARLOT LES RIOZ','HAUTE SAONE'),
('70190','NEUVELLE LES CROMARY','HAUTE SAONE'),
('70190','PENNESIERES','HAUTE SAONE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('70190','PERROUSE','HAUTE SAONE'),
('70190','QUENOCHE','HAUTE SAONE'),
('70190','RECOLOGNE LES RIOZ','HAUTE SAONE'),
('70190','RIOZ','HAUTE SAONE'),
('70190','RUHANS','HAUTE SAONE'),
('70190','SORANS LES BREUREY','HAUTE SAONE'),
('70190','TRAITIEFONTAINE','HAUTE SAONE'),
('70190','TRESILLEY','HAUTE SAONE'),
('70190','VANDELANS','HAUTE SAONE'),
('70190','VILLERS BOUTON','HAUTE SAONE'),
('70190','VILLERS PATER','HAUTE SAONE'),
('70190','VORAY SUR L OGNON','HAUTE SAONE'),
('70200','ADELANS ET LE VAL DE BITH','HAUTE SAONE'),
('70200','AMBLANS ET VELOTTE','HAUTE SAONE'),
('70200','ANDORNAY','HAUTE SAONE'),
('70200','ARPENANS','HAUTE SAONE'),
('70200','LES AYNANS','HAUTE SAONE'),
('70200','BOUHANS LES LURE','HAUTE SAONE'),
('70200','CLAIREGOUTTE','HAUTE SAONE'),
('70200','COLOMBE LES BITHAINE','HAUTE SAONE'),
('70200','LA COTE','HAUTE SAONE'),
('70200','DAMBENOIT LES COLOMBE','HAUTE SAONE'),
('70200','FAYMONT','HAUTE SAONE'),
('70200','FRANCHEVELLE','HAUTE SAONE'),
('70200','FREDERIC FONTAINE','HAUTE SAONE'),
('70200','FROIDETERRE','HAUTE SAONE'),
('70200','FROTEY LES LURE','HAUTE SAONE'),
('70200','LANTENOT','HAUTE SAONE'),
('70200','LINEXERT','HAUTE SAONE'),
('70200','LOMONT','HAUTE SAONE'),
('70200','LURE','HAUTE SAONE'),
('70200','LYOFFANS','HAUTE SAONE'),
('70200','MAGNY DANIGON','HAUTE SAONE'),
('70200','MAGNY JOBERT','HAUTE SAONE'),
('70200','MAGNY VERNOIS','HAUTE SAONE'),
('70200','MALBOUHANS','HAUTE SAONE'),
('70200','MOFFANS ET VACHERESSE','HAUTE SAONE'),
('70200','LA NEUVELLE LES LURE','HAUTE SAONE'),
('70200','PALANTE','HAUTE SAONE'),
('70200','QUERS','HAUTE SAONE'),
('70200','RIGNOVELLE','HAUTE SAONE'),
('70200','ROYE','HAUTE SAONE'),
('70200','ST GERMAIN','HAUTE SAONE'),
('70200','LE VAL DE GOUHENANS','HAUTE SAONE'),
('70200','LA VERGENNE','HAUTE SAONE'),
('70200','VOUHENANS','HAUTE SAONE'),
('70200','VY LES LURE','HAUTE SAONE'),
('70210','ALAINCOURT','HAUTE SAONE'),
('70210','AMBIEVILLERS','HAUTE SAONE'),
('70210','ANCHENONCOURT ET CHAZEL','HAUTE SAONE'),
('70210','LA BASSE VAIVRE','HAUTE SAONE'),
('70210','BETONCOURT ST PANCRAS','HAUTE SAONE'),
('70210','DAMPVALLEY ST PANCRAS','HAUTE SAONE'),
('70210','DEMANGEVELLE','HAUTE SAONE'),
('70210','FONTENOIS LA VILLE','HAUTE SAONE'),
('70210','GIREFONTAINE','HAUTE SAONE'),
('70210','HURECOURT','HAUTE SAONE'),
('70210','MAILLERONCOURT PANCRAS','HAUTE SAONE'),
('70210','MELINCOURT','HAUTE SAONE'),
('70210','MONTDORE','HAUTE SAONE'),
('70210','PASSAVANT LA ROCHERE','HAUTE SAONE'),
('70210','POLAINCOURT ET CLAIREFONT','HAUTE SAONE'),
('70210','PONT DU BOIS','HAUTE SAONE'),
('70210','SAPONCOURT','HAUTE SAONE'),
('70210','SELLES','HAUTE SAONE'),
('70210','VAUVILLERS','HAUTE SAONE'),
('70220','FOUGEROLLES','HAUTE SAONE'),
('70230','BESNANS','HAUTE SAONE'),
('70230','BOUHANS LES MONTBOZON','HAUTE SAONE'),
('70230','CENANS','HAUTE SAONE'),
('70230','CHASSEY LES MONTBOZON','HAUTE SAONE'),
('70230','COGNIERES','HAUTE SAONE'),
('70230','DAMPIERRE SUR LINOTTE','HAUTE SAONE'),
('70230','FILAIN','HAUTE SAONE'),
('70230','FONTENOIS LES MONTBOZON','HAUTE SAONE'),
('70230','LARIANS ET MUNANS','HAUTE SAONE'),
('70230','LOULANS VERCHAMP','HAUTE SAONE'),
('70230','MAUSSANS','HAUTE SAONE'),
('70230','MONTBOZON','HAUTE SAONE'),
('70230','ORMENANS','HAUTE SAONE'),
('70230','PRESLE','HAUTE SAONE'),
('70230','ROCHE LINOTTE SORANS','HAUTE SAONE'),
('70230','THIEFFRANS','HAUTE SAONE'),
('70230','THIENANS','HAUTE SAONE'),
('70230','TREVEY','HAUTE SAONE'),
('70230','VERCHAMP','HAUTE SAONE'),
('70230','VY LES FILAIN','HAUTE SAONE'),
('70240','CALMOUTIER','HAUTE SAONE'),
('70240','CHATENEY','HAUTE SAONE'),
('70240','CHATENOIS','HAUTE SAONE'),
('70240','COLOMBOTTE','HAUTE SAONE'),
('70240','LA CREUSE','HAUTE SAONE'),
('70240','CREVENEY','HAUTE SAONE'),
('70240','GENEVREUILLE','HAUTE SAONE'),
('70240','GENEVREY','HAUTE SAONE'),
('70240','LIEVANS','HAUTE SAONE'),
('70240','MAILLERONCOURT CHARETTE','HAUTE SAONE'),
('70240','MOLLANS','HAUTE SAONE'),
('70240','POMOY','HAUTE SAONE'),
('70240','SAULX','HAUTE SAONE'),
('70240','SERVIGNEY','HAUTE SAONE'),
('70240','VAROGNE','HAUTE SAONE'),
('70240','VELLEFRIE','HAUTE SAONE'),
('70240','VELLEMINFROY','HAUTE SAONE'),
('70240','VILLENEUVE BELLENOYE ET L','HAUTE SAONE'),
('70240','VILORY','HAUTE SAONE'),
('70250','RONCHAMP','HAUTE SAONE'),
('70270','BELMONT','HAUTE SAONE'),
('70270','BELONCHAMP','HAUTE SAONE'),
('70270','ECROMAGNY','HAUTE SAONE'),
('70270','FRESSE','HAUTE SAONE'),
('70270','LA LANTERNE LES ARMONTS','HAUTE SAONE'),
('70270','MELISEY','HAUTE SAONE'),
('70270','MONTESSAUX','HAUTE SAONE'),
('70270','ST BARTHELEMY','HAUTE SAONE'),
('70270','TERNUAY MELAY ST HILAIRE','HAUTE SAONE'),
('70280','AMAGE','HAUTE SAONE'),
('70280','BREUCHOTTE','HAUTE SAONE'),
('70280','LA BRUYERE','HAUTE SAONE'),
('70280','RADDON ET CHAPENDU','HAUTE SAONE'),
('70280','ST BRESSON','HAUTE SAONE'),
('70290','BELFAHY','HAUTE SAONE'),
('70290','CHAMPAGNEY','HAUTE SAONE'),
('70290','PLANCHER BAS','HAUTE SAONE'),
('70290','PLANCHER LES MINES','HAUTE SAONE'),
('70300','ABELCOURT','HAUTE SAONE'),
('70300','AILLONCOURT','HAUTE SAONE'),
('70300','BAUDONCOURT','HAUTE SAONE'),
('70300','BETONCOURT LES BROTTE','HAUTE SAONE'),
('70300','BREUCHES','HAUTE SAONE'),
('70300','BROTTE LES LUXEUIL','HAUTE SAONE'),
('70300','LA CHAPELLE LES LUXEUIL','HAUTE SAONE'),
('70300','CITERS','HAUTE SAONE'),
('70300','LA CORBIERE','HAUTE SAONE'),
('70300','EHUNS','HAUTE SAONE'),
('70300','ESBOZ BREST','HAUTE SAONE'),
('70300','FROIDECONCHE','HAUTE SAONE'),
('70300','LUXEUIL LES BAINS','HAUTE SAONE'),
('70300','MAGNIVRAY','HAUTE SAONE'),
('70300','MEURCOURT','HAUTE SAONE'),
('70300','ORMOICHE','HAUTE SAONE'),
('70300','STE MARIE EN CHAUX','HAUTE SAONE'),
('70300','ST SAUVEUR','HAUTE SAONE'),
('70300','ST VALBERT','HAUTE SAONE'),
('70300','VELORCEY','HAUTE SAONE'),
('70300','VILLERS LES LUXEUIL','HAUTE SAONE'),
('70300','VISONCOURT','HAUTE SAONE'),
('70310','AMONT ET EFFRENEY','HAUTE SAONE'),
('70310','BEULOTTE ST LAURENT','HAUTE SAONE'),
('70310','CORRAVILLERS','HAUTE SAONE'),
('70310','ESMOULIERES','HAUTE SAONE'),
('70310','FAUCOGNEY ET LA MER','HAUTE SAONE'),
('70310','LES FESSEY','HAUTE SAONE'),
('70310','LA LONGINE','HAUTE SAONE'),
('70310','LA MONTAGNE','HAUTE SAONE'),
('70310','LA PROISELIERE ET LANGLE','HAUTE SAONE'),
('70310','LA ROSIERE','HAUTE SAONE'),
('70310','STE MARIE EN CHANOIS','HAUTE SAONE'),
('70310','LA VOIVRE','HAUTE SAONE'),
('70320','AILLEVILLERS ET LYAUMONT','HAUTE SAONE'),
('70320','CORBENAY','HAUTE SAONE'),
('70320','LA VAIVRE','HAUTE SAONE'),
('70360','AROZ','HAUTE SAONE'),
('70360','BUCEY LES TRAVES','HAUTE SAONE'),
('70360','CHANTES','HAUTE SAONE'),
('70360','CHASSEY LES SCEY','HAUTE SAONE'),
('70360','CHEMILLY','HAUTE SAONE'),
('70360','FERRIERES LES SCEY','HAUTE SAONE'),
('70360','LA NEUVELLE LES SCEY','HAUTE SAONE'),
('70360','OVANCHES','HAUTE SAONE'),
('70360','PONTCEY','HAUTE SAONE'),
('70360','RUPT SUR SAONE','HAUTE SAONE'),
('70360','SCEY SUR SAONE ET ST ALBI','HAUTE SAONE'),
('70360','TRAVES','HAUTE SAONE'),
('70400','BELVERNE','HAUTE SAONE'),
('70400','BREVILLIERS','HAUTE SAONE'),
('70400','BUSSUREL','HAUTE SAONE'),
('70400','BYANS','HAUTE SAONE'),
('70400','CHAGEY','HAUTE SAONE'),
('70400','CHALONVILLARS','HAUTE SAONE'),
('70400','CHAMPEY','HAUTE SAONE'),
('70400','CHAVANNE','HAUTE SAONE'),
('70400','CHENEBIER','HAUTE SAONE'),
('70400','COISEVAUX','HAUTE SAONE'),
('70400','CORCELLES','HAUTE SAONE'),
('70400','COURMONT','HAUTE SAONE'),
('70400','COUTHENANS','HAUTE SAONE'),
('70400','CREVANS CHAPELLE GRANGES','HAUTE SAONE'),
('70400','ECHAVANNE','HAUTE SAONE'),
('70400','ECHENANS SOUS MONT VAUDOI','HAUTE SAONE'),
('70400','ERREVET','HAUTE SAONE'),
('70400','ETOBON','HAUTE SAONE'),
('70400','FRAHIER ET CHATEBIER','HAUTE SAONE'),
('70400','GONVILLARS','HAUTE SAONE'),
('70400','GRANGES LA VILLE','HAUTE SAONE'),
('70400','GRANGES LE BOURG','HAUTE SAONE'),
('70400','HERICOURT','HAUTE SAONE'),
('70400','LUZE','HAUTE SAONE'),
('70400','MANDREVILLARS','HAUTE SAONE'),
('70400','MIGNAVILLERS','HAUTE SAONE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('70400','SAULNOT','HAUTE SAONE'),
('70400','SECENANS','HAUTE SAONE'),
('70400','TAVEY','HAUTE SAONE'),
('70400','TREMOINS','HAUTE SAONE'),
('70400','VERLANS','HAUTE SAONE'),
('70400','VILLERS SUR SAULNOT','HAUTE SAONE'),
('70400','VYANS LE VAL','HAUTE SAONE'),
('70440','CHATEAU LAMBERT','HAUTE SAONE'),
('70440','LE HAUT DU THEM CHATEAU L','HAUTE SAONE'),
('70440','MIELLIN','HAUTE SAONE'),
('70440','SERVANCE','HAUTE SAONE'),
('70500','ABONCOURT GESINCOURT','HAUTE SAONE'),
('70500','AISEY ET RICHECOURT','HAUTE SAONE'),
('70500','AUGICOURT','HAUTE SAONE'),
('70500','BARGES','HAUTE SAONE'),
('70500','BETAUCOURT','HAUTE SAONE'),
('70500','BETONCOURT SUR MANCE','HAUTE SAONE'),
('70500','BLONDEFONTAINE','HAUTE SAONE'),
('70500','BOUGEY','HAUTE SAONE'),
('70500','BOURBEVELLE','HAUTE SAONE'),
('70500','BOUSSERAUCOURT','HAUTE SAONE'),
('70500','BUFFIGNECOURT','HAUTE SAONE'),
('70500','CEMBOING','HAUTE SAONE'),
('70500','CENDRECOURT','HAUTE SAONE'),
('70500','CHAUVIREY LE CHATEL','HAUTE SAONE'),
('70500','CHAUVIREY LE VIEIL','HAUTE SAONE'),
('70500','CORRE','HAUTE SAONE'),
('70500','GEVIGNEY ET MERCEY','HAUTE SAONE'),
('70500','JONVELLE','HAUTE SAONE'),
('70500','JUSSEY','HAUTE SAONE'),
('70500','LAMBREY','HAUTE SAONE'),
('70500','MAGNY LES JUSSEY','HAUTE SAONE'),
('70500','MONTCOURT','HAUTE SAONE'),
('70500','MONTIGNY LES CHERLIEU','HAUTE SAONE'),
('70500','MONTUREUX LES BAULAY','HAUTE SAONE'),
('70500','NOROY LES JUSSEY','HAUTE SAONE'),
('70500','ORMOY','HAUTE SAONE'),
('70500','OUGE','HAUTE SAONE'),
('70500','RAINCOURT','HAUTE SAONE'),
('70500','RANZEVELLE','HAUTE SAONE'),
('70500','ROSIERES SUR MANCE','HAUTE SAONE'),
('70500','ST MARCEL','HAUTE SAONE'),
('70500','TARTECOURT','HAUTE SAONE'),
('70500','VENISEY','HAUTE SAONE'),
('70500','VERNOIS SUR MANCE','HAUTE SAONE'),
('70500','VILLARS LE PAUTEL','HAUTE SAONE'),
('70500','VITREY SUR MANCE','HAUTE SAONE'),
('70500','VOUGECOURT','HAUTE SAONE'),
('70600','ARGILLIERES','HAUTE SAONE'),
('70600','CHAMPLITTE','HAUTE SAONE'),
('70600','CHAMPLITTE LA VILLE','HAUTE SAONE'),
('70600','COURTESOULT ET GATEY','HAUTE SAONE'),
('70600','ECUELLE','HAUTE SAONE'),
('70600','FOUVENT LE BAS','HAUTE SAONE'),
('70600','FOUVENT ST ANDOCHE','HAUTE SAONE'),
('70600','FRAMONT','HAUTE SAONE'),
('70600','LARRET','HAUTE SAONE'),
('70600','LEFFOND','HAUTE SAONE'),
('70600','MARGILLEY','HAUTE SAONE'),
('70600','MONTARLOT LES CHAMPLITT','HAUTE SAONE'),
('70600','MONT LE FRANOIS','HAUTE SAONE'),
('70600','NEUVELLE LES CHAMPLITTE','HAUTE SAONE'),
('70600','OYRIERES','HAUTE SAONE'),
('70600','PERCEY LE GRAND','HAUTE SAONE'),
('70600','PIERRECOURT','HAUTE SAONE'),
('70600','ST ANDOCHE','HAUTE SAONE'),
('70600','VARS','HAUTE SAONE'),
('70600','FRETTES','HAUTE SAONE'),
('70700','ANGIREY','HAUTE SAONE'),
('70700','AUTOREILLE','HAUTE SAONE'),
('70700','BONNEVENT VELLOREILLE','HAUTE SAONE'),
('70700','BUCEY LES GY','HAUTE SAONE'),
('70700','LA CHAPELLE ST QUILLAIN','HAUTE SAONE'),
('70700','CHARCENNE','HAUTE SAONE'),
('70700','CHOYE','HAUTE SAONE'),
('70700','CITEY','HAUTE SAONE'),
('70700','CUGNEY','HAUTE SAONE'),
('70700','ETRELLES ET MONTBLEUSE','HAUTE SAONE'),
('70700','FRASNE LE CHATEAU','HAUTE SAONE'),
('70700','GEZIER ET FONTENELAY','HAUTE SAONE'),
('70700','GY','HAUTE SAONE'),
('70700','IGNY','HAUTE SAONE'),
('70700','MONTBOILLON','HAUTE SAONE'),
('70700','VILLERS CHEMIN ET MONT LE','HAUTE SAONE'),
('70700','OISELAY ET GRACHAUX','HAUTE SAONE'),
('70700','STE REINE','HAUTE SAONE'),
('70700','VANTOUX ET LONGEVELLE','HAUTE SAONE'),
('70700','VAUX LE MONCELOT','HAUTE SAONE'),
('70700','VELLECLAIRE','HAUTE SAONE'),
('70700','VELLEFREY VELLEFRANGE','HAUTE SAONE'),
('70700','VELLEMOZ','HAUTE SAONE'),
('70700','VELLOREILLE LES CHOYE','HAUTE SAONE'),
('70700','VILLEFRANCON','HAUTE SAONE'),
('70800','AINVELLE','HAUTE SAONE'),
('70800','ANJEUX','HAUTE SAONE'),
('70800','BASSIGNEY','HAUTE SAONE'),
('70800','BOULIGNEY','HAUTE SAONE'),
('70800','BOURGUIGNON LES CONFLANS','HAUTE SAONE'),
('70800','BRIAUCOURT','HAUTE SAONE'),
('70800','CONFLANS SUR LANTERNE','HAUTE SAONE'),
('70800','CUVE','HAUTE SAONE'),
('70800','DAMPIERRE LES CONFLANS','HAUTE SAONE'),
('70800','FLEUREY LES ST LOUP','HAUTE SAONE'),
('70800','FONTAINE LES LUXEUIL','HAUTE SAONE'),
('70800','FRANCALMONT','HAUTE SAONE'),
('70800','HAUTEVELLE','HAUTE SAONE'),
('70800','JASNEY','HAUTE SAONE'),
('70800','MAGNONCOURT','HAUTE SAONE'),
('70800','LA PISSEURE','HAUTE SAONE'),
('70800','PLAINEMONT','HAUTE SAONE'),
('70800','ST LOUP SUR SEMOUSE','HAUTE SAONE'),
('71000','FLACE LES MACON','SAONE ET LOIRE'),
('71000','LOCHE','SAONE ET LOIRE'),
('71000','ST JEAN LE PRICHE','SAONE ET LOIRE'),
('71000','SANCE','SAONE ET LOIRE'),
('71000','SENNECE LES MACON','SAONE ET LOIRE'),
('71000','VARENNES LES MACON','SAONE ET LOIRE'),
('71100','CHALON SUR SAONE','SAONE ET LOIRE'),
('71100','LA CHARMEE','SAONE ET LOIRE'),
('71100','LUX','SAONE ET LOIRE'),
('71100','ST REMY','SAONE ET LOIRE'),
('71100','SEVREY','SAONE ET LOIRE'),
('71110','ANZY LE DUC','SAONE ET LOIRE'),
('71110','ARTAIX','SAONE ET LOIRE'),
('71110','BAUGY','SAONE ET LOIRE'),
('71110','BOURG LE COMTE','SAONE ET LOIRE'),
('71110','BRIANT','SAONE ET LOIRE'),
('71110','CERON','SAONE ET LOIRE'),
('71110','CHAMBILLY','SAONE ET LOIRE'),
('71110','LIGNY EN BRIONNAIS','SAONE ET LOIRE'),
('71110','MARCIGNY','SAONE ET LOIRE'),
('71110','MONTCEAUX L ETOILE','SAONE ET LOIRE'),
('71110','ST DIDIER EN BRIONNAIS','SAONE ET LOIRE'),
('71110','STE FOY','SAONE ET LOIRE'),
('71110','ST JULIEN DE JONCY','SAONE ET LOIRE'),
('71110','ST MARTIN DU LAC','SAONE ET LOIRE'),
('71110','SARRY','SAONE ET LOIRE'),
('71110','SEMUR EN BRIONNAIS','SAONE ET LOIRE'),
('71110','VARENNE L ARCONCE','SAONE ET LOIRE'),
('71110','VERSAUGUES','SAONE ET LOIRE'),
('71110','VINDECY','SAONE ET LOIRE'),
('71118','ST MARTIN BELLE ROCHE','SAONE ET LOIRE'),
('71120','BARON','SAONE ET LOIRE'),
('71120','CHAMPLECY','SAONE ET LOIRE'),
('71120','CHANGY','SAONE ET LOIRE'),
('71120','CHAROLLES','SAONE ET LOIRE'),
('71120','FONTENAY','SAONE ET LOIRE'),
('71120','LUGNY LES CHAROLLES','SAONE ET LOIRE'),
('71120','MARCILLY LA GUEURCE','SAONE ET LOIRE'),
('71120','OZOLLES','SAONE ET LOIRE'),
('71120','VAUDEBARRIER','SAONE ET LOIRE'),
('71120','VENDENESSE LES CHAROLLES','SAONE ET LOIRE'),
('71120','VIRY','SAONE ET LOIRE'),
('71130','LA CHAPELLE AU MANS','SAONE ET LOIRE'),
('71130','CHASSY','SAONE ET LOIRE'),
('71130','CLESSY','SAONE ET LOIRE'),
('71130','CURDIN','SAONE ET LOIRE'),
('71130','GUEUGNON','SAONE ET LOIRE'),
('71130','NEUVY GRANDCHAMP','SAONE ET LOIRE'),
('71130','UXEAU','SAONE ET LOIRE'),
('71130','VENDENESSE SUR ARROUX','SAONE ET LOIRE'),
('71133','GEANGES','SAONE ET LOIRE'),
('71133','ST LOUP DE LA SALLE','SAONE ET LOIRE'),
('71140','BOURBON LANCY','SAONE ET LOIRE'),
('71140','CHALMOUX','SAONE ET LOIRE'),
('71140','CRONAT','SAONE ET LOIRE'),
('71140','LESME','SAONE ET LOIRE'),
('71140','MALTAT','SAONE ET LOIRE'),
('71140','MONT','SAONE ET LOIRE'),
('71140','ST AUBIN SUR LOIRE','SAONE ET LOIRE'),
('71140','VITRY SUR LOIRE','SAONE ET LOIRE'),
('71150','BOUZERON','SAONE ET LOIRE'),
('71150','CHAGNY','SAONE ET LOIRE'),
('71150','CHASSEY LE CAMP','SAONE ET LOIRE'),
('71150','CHAUDENAY','SAONE ET LOIRE'),
('71150','CHEILLY LES MARANGES','SAONE ET LOIRE'),
('71150','DEMIGNY','SAONE ET LOIRE'),
('71150','DEZIZE LES MARANGES','SAONE ET LOIRE'),
('71150','FARGES LES CHALON','SAONE ET LOIRE'),
('71150','FONTAINES','SAONE ET LOIRE'),
('71150','PARIS L HOPITAL','SAONE ET LOIRE'),
('71150','REMIGNY','SAONE ET LOIRE'),
('71150','RULLY','SAONE ET LOIRE'),
('71150','SAMPIGNY LES MARANGES','SAONE ET LOIRE'),
('71160','DIGOIN','SAONE ET LOIRE'),
('71160','GILLY SUR LOIRE','SAONE ET LOIRE'),
('71160','LES GUERREAUX','SAONE ET LOIRE'),
('71160','LA MOTTE ST JEAN','SAONE ET LOIRE'),
('71160','PERRIGNY SUR LOIRE','SAONE ET LOIRE'),
('71160','RIGNY SUR ARROUX','SAONE ET LOIRE'),
('71160','ST AGNAN','SAONE ET LOIRE'),
('71160','VIGNY LES PARAY','SAONE ET LOIRE'),
('71170','ANGLURE SOUS DUN','SAONE ET LOIRE'),
('71170','CHASSIGNY SOUS DUN','SAONE ET LOIRE'),
('71170','CHAUFFAILLES','SAONE ET LOIRE'),
('71170','COUBLANC','SAONE ET LOIRE'),
('71170','MUSSY SOUS DUN','SAONE ET LOIRE'),
('71170','ST IGNY DE ROCHE','SAONE ET LOIRE'),
('71190','BRION','SAONE ET LOIRE'),
('71190','BROYE','SAONE ET LOIRE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('71190','LA CHAPELLE SOUS UCHON','SAONE ET LOIRE'),
('71190','DETTEY','SAONE ET LOIRE'),
('71190','ETANG SUR ARROUX','SAONE ET LOIRE'),
('71190','LAIZY','SAONE ET LOIRE'),
('71190','MESVRES','SAONE ET LOIRE'),
('71190','ST DIDIER SUR ARROUX','SAONE ET LOIRE'),
('71190','ST EUGENE','SAONE ET LOIRE'),
('71190','ST NIZIER SUR ARROUX','SAONE ET LOIRE'),
('71190','LA TAGNIERE','SAONE ET LOIRE'),
('71190','THIL SUR ARROUX','SAONE ET LOIRE'),
('71190','UCHON','SAONE ET LOIRE'),
('71200','LE CREUSOT','SAONE ET LOIRE'),
('71200','ST SERNIN DU BOIS','SAONE ET LOIRE'),
('71210','ECUISSES','SAONE ET LOIRE'),
('71210','MONTCHANIN','SAONE ET LOIRE'),
('71210','ST EUSEBE','SAONE ET LOIRE'),
('71210','ST JULIEN SUR DHEUNE','SAONE ET LOIRE'),
('71210','ST LAURENT D ANDENAY','SAONE ET LOIRE'),
('71210','TORCY','SAONE ET LOIRE'),
('71220','BALLORE','SAONE ET LOIRE'),
('71220','BEAUBERY','SAONE ET LOIRE'),
('71220','CHEVAGNY SUR GUYE','SAONE ET LOIRE'),
('71220','CHIDDES','SAONE ET LOIRE'),
('71220','LA GUICHE','SAONE ET LOIRE'),
('71220','MARIZY','SAONE ET LOIRE'),
('71220','MARTIGNY LE COMTE','SAONE ET LOIRE'),
('71220','MORNAY','SAONE ET LOIRE'),
('71220','PASSY','SAONE ET LOIRE'),
('71220','PRESSY SOUS DONDIN','SAONE ET LOIRE'),
('71220','LE ROUSSET','SAONE ET LOIRE'),
('71220','ST ANDRE LE DESERT','SAONE ET LOIRE'),
('71220','ST BONNET DE JOUX','SAONE ET LOIRE'),
('71220','ST MARTIN DE SALENCEY','SAONE ET LOIRE'),
('71220','SIVIGNON','SAONE ET LOIRE'),
('71220','SUIN','SAONE ET LOIRE'),
('71220','VEROSVRES','SAONE ET LOIRE'),
('71230','POUILLOUX','SAONE ET LOIRE'),
('71230','ST ROMAIN SOUS GOURDON','SAONE ET LOIRE'),
('71230','ST VALLIER','SAONE ET LOIRE'),
('71230','LES GAUTHERETS','SAONE ET LOIRE'),
('71240','BEAUMONT SUR GROSNE','SAONE ET LOIRE'),
('71240','CHAMPLIEU','SAONE ET LOIRE'),
('71240','LA CHAPELLE DE BRAGNY','SAONE ET LOIRE'),
('71240','ETRIGNY','SAONE ET LOIRE'),
('71240','GIGNY SUR SAONE','SAONE ET LOIRE'),
('71240','JUGY','SAONE ET LOIRE'),
('71240','LAIVES','SAONE ET LOIRE'),
('71240','LALHEUE','SAONE ET LOIRE'),
('71240','MANCEY','SAONE ET LOIRE'),
('71240','MARNAY','SAONE ET LOIRE'),
('71240','MONTCEAUX RAGNY','SAONE ET LOIRE'),
('71240','NANTON','SAONE ET LOIRE'),
('71240','ST AMBREUIL','SAONE ET LOIRE'),
('71240','ST CYR','SAONE ET LOIRE'),
('71240','ST LOUP DE VARENNES','SAONE ET LOIRE'),
('71240','SENNECEY LE GRAND','SAONE ET LOIRE'),
('71240','VARENNES LE GRAND','SAONE ET LOIRE'),
('71240','VERS','SAONE ET LOIRE'),
('71250','BERGESSERIN','SAONE ET LOIRE'),
('71250','BLANOT','SAONE ET LOIRE'),
('71250','BRAY','SAONE ET LOIRE'),
('71250','BUFFIERES','SAONE ET LOIRE'),
('71250','CHATEAU','SAONE ET LOIRE'),
('71250','CHERIZET','SAONE ET LOIRE'),
('71250','CLUNY','SAONE ET LOIRE'),
('71250','CORTAMBERT','SAONE ET LOIRE'),
('71250','DONZY LE NATIONAL','SAONE ET LOIRE'),
('71250','DONZY LE PERTUIS','SAONE ET LOIRE'),
('71250','FLAGY','SAONE ET LOIRE'),
('71250','JALOGNY','SAONE ET LOIRE'),
('71250','LOURNAND','SAONE ET LOIRE'),
('71250','MASSILLY','SAONE ET LOIRE'),
('71250','MASSY','SAONE ET LOIRE'),
('71250','MAZILLE','SAONE ET LOIRE'),
('71250','SAILLY','SAONE ET LOIRE'),
('71250','STE CECILE','SAONE ET LOIRE'),
('71250','ST VINCENT DES PRES','SAONE ET LOIRE'),
('71250','SALORNAY SUR GUYE','SAONE ET LOIRE'),
('71250','SIGY LE CHATEL','SAONE ET LOIRE'),
('71250','TAIZE','SAONE ET LOIRE'),
('71250','LA VINEUSE','SAONE ET LOIRE'),
('71250','VITRY LES CLUNY','SAONE ET LOIRE'),
('71250','BERGESSERIN LA CHATELAINE','SAONE ET LOIRE'),
('71250','TAIZE COMMUNAUTE','SAONE ET LOIRE'),
('71260','AZE','SAONE ET LOIRE'),
('71260','BISSY LA MACONNAISE','SAONE ET LOIRE'),
('71260','BURGY','SAONE ET LOIRE'),
('71260','CHARBONNIERES','SAONE ET LOIRE'),
('71260','CLESSE','SAONE ET LOIRE'),
('71260','CRUZILLE','SAONE ET LOIRE'),
('71260','LUGNY','SAONE ET LOIRE'),
('71260','MONTBELLET','SAONE ET LOIRE'),
('71260','PERONNE','SAONE ET LOIRE'),
('71260','ST ALBAIN','SAONE ET LOIRE'),
('71260','ST GENGOUX DE SCISSE','SAONE ET LOIRE'),
('71260','ST MAURICE DE SATONNAY','SAONE ET LOIRE'),
('71260','LA SALLE','SAONE ET LOIRE'),
('71260','SENOZAN','SAONE ET LOIRE'),
('71260','VERIZET','SAONE ET LOIRE'),
('71260','VIRE','SAONE ET LOIRE'),
('71260','FLEURVILLE','SAONE ET LOIRE'),
('71270','AUTHUMES','SAONE ET LOIRE'),
('71270','BEAUVERNOIS','SAONE ET LOIRE'),
('71270','BELLEVESVRE','SAONE ET LOIRE'),
('71270','CHARETTE','SAONE ET LOIRE'),
('71270','CLUX','SAONE ET LOIRE'),
('71270','FRETTERANS','SAONE ET LOIRE'),
('71270','FRONTENARD','SAONE ET LOIRE'),
('71270','LAYS SUR LE DOUBS','SAONE ET LOIRE'),
('71270','LONGEPIERRE','SAONE ET LOIRE'),
('71270','MONT LES SEURRE','SAONE ET LOIRE'),
('71270','MOUTHIER EN BRESSE','SAONE ET LOIRE'),
('71270','NAVILLY','SAONE ET LOIRE'),
('71270','PIERRE DE BRESSE','SAONE ET LOIRE'),
('71270','PONTOUX','SAONE ET LOIRE'),
('71270','POURLANS','SAONE ET LOIRE'),
('71270','TERRANS','SAONE ET LOIRE'),
('71270','TORPES','SAONE ET LOIRE'),
('71270','VARENNE SUR LE DOUBS','SAONE ET LOIRE'),
('71270','LA VILLENEUVE','SAONE ET LOIRE'),
('71290','L ABERGEMENT DE CUISERY','SAONE ET LOIRE'),
('71290','BRIENNE','SAONE ET LOIRE'),
('71290','CUISERY','SAONE ET LOIRE'),
('71290','LA GENETE','SAONE ET LOIRE'),
('71290','HUILLY SUR SEILLE','SAONE ET LOIRE'),
('71290','JOUVENCON','SAONE ET LOIRE'),
('71290','LOISY','SAONE ET LOIRE'),
('71290','ORMES','SAONE ET LOIRE'),
('71290','PRETY','SAONE ET LOIRE'),
('71290','RANCY','SAONE ET LOIRE'),
('71290','RATENELLE','SAONE ET LOIRE'),
('71290','SIMANDRE','SAONE ET LOIRE'),
('71290','LA TRUCHERE','SAONE ET LOIRE'),
('71300','MONTCEAU LES MINES','SAONE ET LOIRE'),
('71300','ST BERAIN SOUS SANVIGNES','SAONE ET LOIRE'),
('71310','LA CHAPELLE ST SAUVEUR','SAONE ET LOIRE'),
('71310','LA CHAUX','SAONE ET LOIRE'),
('71310','DAMPIERRE EN BRESSE','SAONE ET LOIRE'),
('71310','MERVANS','SAONE ET LOIRE'),
('71310','MONTJAY','SAONE ET LOIRE'),
('71310','LA RACINEUSE','SAONE ET LOIRE'),
('71310','ST BONNET EN BRESSE','SAONE ET LOIRE'),
('71310','SERLEY','SAONE ET LOIRE'),
('71310','SERRIGNY EN BRESSE','SAONE ET LOIRE'),
('71320','LA BOULAYE','SAONE ET LOIRE'),
('71320','CHARBONNAT','SAONE ET LOIRE'),
('71320','CUZY','SAONE ET LOIRE'),
('71320','MONTMORT','SAONE ET LOIRE'),
('71320','STE RADEGONDE','SAONE ET LOIRE'),
('71320','TOULON SUR ARROUX','SAONE ET LOIRE'),
('71330','BOSJEAN','SAONE ET LOIRE'),
('71330','BOUHANS','SAONE ET LOIRE'),
('71330','DEVROUZE','SAONE ET LOIRE'),
('71330','DICONNE','SAONE ET LOIRE'),
('71330','FRANGY EN BRESSE','SAONE ET LOIRE'),
('71330','LE PLANOIS','SAONE ET LOIRE'),
('71330','ST GERMAIN DU BOIS','SAONE ET LOIRE'),
('71330','SENS SUR SEILLE','SAONE ET LOIRE'),
('71330','SIMARD','SAONE ET LOIRE'),
('71330','LE TARTRE','SAONE ET LOIRE'),
('71340','CHENAY LE CHATEL','SAONE ET LOIRE'),
('71340','FLEURY LA MONTAGNE','SAONE ET LOIRE'),
('71340','IGUERANDE','SAONE ET LOIRE'),
('71340','MAILLY','SAONE ET LOIRE'),
('71340','MELAY','SAONE ET LOIRE'),
('71340','ST BONNET DE CRAY','SAONE ET LOIRE'),
('71350','ALLEREY SUR SAONE','SAONE ET LOIRE'),
('71350','LES BORDES','SAONE ET LOIRE'),
('71350','BRAGNY SUR SAONE','SAONE ET LOIRE'),
('71350','CHARNAY LES CHALON','SAONE ET LOIRE'),
('71350','CIEL','SAONE ET LOIRE'),
('71350','ECUELLES','SAONE ET LOIRE'),
('71350','PALLEAU','SAONE ET LOIRE'),
('71350','ST GERVAIS EN VALLIERE','SAONE ET LOIRE'),
('71350','ST MARTIN EN GATINOIS','SAONE ET LOIRE'),
('71350','SAUNIERES','SAONE ET LOIRE'),
('71350','SERMESSE','SAONE ET LOIRE'),
('71350','TOUTENANT','SAONE ET LOIRE'),
('71350','VERDUN SUR LE DOUBS','SAONE ET LOIRE'),
('71360','COLLONGE LA MADELEINE','SAONE ET LOIRE'),
('71360','EPERTULLY','SAONE ET LOIRE'),
('71360','EPINAC','SAONE ET LOIRE'),
('71360','MORLET','SAONE ET LOIRE'),
('71360','ST LEGER DU BOIS','SAONE ET LOIRE'),
('71360','SAISY','SAONE ET LOIRE'),
('71360','SULLY','SAONE ET LOIRE'),
('71370','L ABERGEMENT ST COLOMBE','SAONE ET LOIRE'),
('71370','BAUDRIERES','SAONE ET LOIRE'),
('71370','OUROUX SUR SAONE','SAONE ET LOIRE'),
('71370','ST CHRISTOPHE EN BRESSE','SAONE ET LOIRE'),
('71370','ST ETIENNE EN BRESSE','SAONE ET LOIRE'),
('71370','ST GERMAIN DU PLAIN','SAONE ET LOIRE'),
('71380','ALLERIOT','SAONE ET LOIRE'),
('71380','CHATENOY EN BRESSE','SAONE ET LOIRE'),
('71380','EPERVANS','SAONE ET LOIRE'),
('71380','LANS','SAONE ET LOIRE'),
('71380','OSLON','SAONE ET LOIRE'),
('71380','ST MARCEL','SAONE ET LOIRE'),
('71390','BISSEY SOUS CRUCHAUD','SAONE ET LOIRE'),
('71390','BUXY','SAONE ET LOIRE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('71390','CERSOT','SAONE ET LOIRE'),
('71390','FLEY','SAONE ET LOIRE'),
('71390','GRANGES','SAONE ET LOIRE'),
('71390','JULLY LES BUXY','SAONE ET LOIRE'),
('71390','MARCILLY LES BUXY','SAONE ET LOIRE'),
('71390','MONTAGNY LES BUXY','SAONE ET LOIRE'),
('71390','MOROGES','SAONE ET LOIRE'),
('71390','ROSEY','SAONE ET LOIRE'),
('71390','ST DESERT','SAONE ET LOIRE'),
('71390','ST GERMAIN LES BUXY','SAONE ET LOIRE'),
('71390','STE HELENE','SAONE ET LOIRE'),
('71390','ST MARTIN D AUXY','SAONE ET LOIRE'),
('71390','ST PRIVE','SAONE ET LOIRE'),
('71390','ST VALLERIN','SAONE ET LOIRE'),
('71390','SASSANGY','SAONE ET LOIRE'),
('71390','VILLENEUVE EN MONTAGNE','SAONE ET LOIRE'),
('71400','ANTULLY','SAONE ET LOIRE'),
('71400','AUTUN','SAONE ET LOIRE'),
('71400','AUXY','SAONE ET LOIRE'),
('71400','CURGY','SAONE ET LOIRE'),
('71400','DRACY ST LOUP','SAONE ET LOIRE'),
('71400','MONTHELON','SAONE ET LOIRE'),
('71400','LA PETITE VERRIERE','SAONE ET LOIRE'),
('71400','ST FORGEOT','SAONE ET LOIRE'),
('71400','ST PANTALEON','SAONE ET LOIRE'),
('71400','LA CELLE EN MORVAN','SAONE ET LOIRE'),
('71400','TAVERNAY','SAONE ET LOIRE'),
('71410','SANVIGNES LES MINES','SAONE ET LOIRE'),
('71420','CIRY LE NOBLE','SAONE ET LOIRE'),
('71420','DOMPIERRE SOUS SANVIGNE','SAONE ET LOIRE'),
('71420','GENELARD','SAONE ET LOIRE'),
('71420','MARLY SUR ARROUX','SAONE ET LOIRE'),
('71420','OUDRY','SAONE ET LOIRE'),
('71420','PERRECY LES FORGES','SAONE ET LOIRE'),
('71420','ST ROMAIN SOUS VERSIGNY','SAONE ET LOIRE'),
('71430','BRAGNY EN CHAROLLAIS','SAONE ET LOIRE'),
('71430','GRANDVAUX','SAONE ET LOIRE'),
('71430','PALINGES','SAONE ET LOIRE'),
('71430','ST AUBIN EN CHAROLLAIS','SAONE ET LOIRE'),
('71430','ST BONNET DE VIEILLE VIGN','SAONE ET LOIRE'),
('71430','ST VINCENT BRAGNY','SAONE ET LOIRE'),
('71440','LA FRETTE','SAONE ET LOIRE'),
('71440','JUIF','SAONE ET LOIRE'),
('71440','LESSARD EN BRESSE','SAONE ET LOIRE'),
('71440','MONTRET','SAONE ET LOIRE'),
('71440','ST ANDRE EN BRESSE','SAONE ET LOIRE'),
('71440','ST VINCENT EN BRESSE','SAONE ET LOIRE'),
('71440','SAVIGNY SUR SEILLE','SAONE ET LOIRE'),
('71440','THUREY','SAONE ET LOIRE'),
('71440','TRONCHY','SAONE ET LOIRE'),
('71440','VERISSEY','SAONE ET LOIRE'),
('71450','BLANZY','SAONE ET LOIRE'),
('71460','AMEUGNY','SAONE ET LOIRE'),
('71460','BISSY SOUS UXELLES','SAONE ET LOIRE'),
('71460','BISSY SUR FLEY','SAONE ET LOIRE'),
('71460','BONNAY','SAONE ET LOIRE'),
('71460','BRESSE SUR GROSNE','SAONE ET LOIRE'),
('71460','BURNAND','SAONE ET LOIRE'),
('71460','BURZY','SAONE ET LOIRE'),
('71460','CHAMPAGNY SOUS UXELLES','SAONE ET LOIRE'),
('71460','CHAPAIZE','SAONE ET LOIRE'),
('71460','CHISSEY LES MACON','SAONE ET LOIRE'),
('71460','COLLONGE EN CHAROLLAIS','SAONE ET LOIRE'),
('71460','CORMATIN','SAONE ET LOIRE'),
('71460','CORTEVAIX','SAONE ET LOIRE'),
('71460','CULLES LES ROCHES','SAONE ET LOIRE'),
('71460','CURTIL SOUS BURNAND','SAONE ET LOIRE'),
('71460','GENOUILLY','SAONE ET LOIRE'),
('71460','GERMAGNY','SAONE ET LOIRE'),
('71460','JONCY','SAONE ET LOIRE'),
('71460','MALAY','SAONE ET LOIRE'),
('71460','LE PULEY','SAONE ET LOIRE'),
('71460','ST CLEMENT SUR GUYE','SAONE ET LOIRE'),
('71460','ST GENGOUX LE NATIONAL','SAONE ET LOIRE'),
('71460','ST HURUGE','SAONE ET LOIRE'),
('71460','ST MARCELIN DE CRAY','SAONE ET LOIRE'),
('71460','ST MARTIN DU TARTRE','SAONE ET LOIRE'),
('71460','ST MARTIN LA PATROUILLE','SAONE ET LOIRE'),
('71460','ST MAURICE DES CHAMPS','SAONE ET LOIRE'),
('71460','ST MICAUD','SAONE ET LOIRE'),
('71460','ST YTHAIRE','SAONE ET LOIRE'),
('71460','SANTILLY','SAONE ET LOIRE'),
('71460','SAVIANGES','SAONE ET LOIRE'),
('71460','SAVIGNY SUR GROSNE','SAONE ET LOIRE'),
('71460','SERCY','SAONE ET LOIRE'),
('71460','VAUX EN PRE','SAONE ET LOIRE'),
('71470','LA CHAPELLE THECLE','SAONE ET LOIRE'),
('71470','MENETREUIL','SAONE ET LOIRE'),
('71470','MONTPONT EN BRESSE','SAONE ET LOIRE'),
('71470','ROMENAY','SAONE ET LOIRE'),
('71470','STE CROIX','SAONE ET LOIRE'),
('71480','CHAMPAGNAT','SAONE ET LOIRE'),
('71480','CONDAL','SAONE ET LOIRE'),
('71480','CUISEAUX','SAONE ET LOIRE'),
('71480','DOMMARTIN LES CUISEAUX','SAONE ET LOIRE'),
('71480','JOUDES','SAONE ET LOIRE'),
('71480','LE MIROIR','SAONE ET LOIRE'),
('71480','VARENNES ST SAUVEUR','SAONE ET LOIRE'),
('71490','COUCHES','SAONE ET LOIRE'),
('71490','CREOT','SAONE ET LOIRE'),
('71490','DRACY LES COUCHES','SAONE ET LOIRE'),
('71490','ST EMILAND','SAONE ET LOIRE'),
('71490','ST GERVAIS SUR COUCHES','SAONE ET LOIRE'),
('71490','ST JEAN DE TREZY','SAONE ET LOIRE'),
('71490','ST MARTIN DE COMMUNE','SAONE ET LOIRE'),
('71490','ST MAURICE LES COUCHES','SAONE ET LOIRE'),
('71490','TINTRY','SAONE ET LOIRE'),
('71500','BANTANGES','SAONE ET LOIRE'),
('71500','BRANGES','SAONE ET LOIRE'),
('71500','BRUAILLES','SAONE ET LOIRE'),
('71500','LA CHAPELLE NAUDE','SAONE ET LOIRE'),
('71500','CHATEAURENAUD','SAONE ET LOIRE'),
('71500','LOUHANS','SAONE ET LOIRE'),
('71500','MONTAGNY PRES LOUHANS','SAONE ET LOIRE'),
('71500','MONTCONY','SAONE ET LOIRE'),
('71500','RATTE','SAONE ET LOIRE'),
('71500','ST USUGE','SAONE ET LOIRE'),
('71500','SORNAY','SAONE ET LOIRE'),
('71500','VINCELLES','SAONE ET LOIRE'),
('71510','ALUZE','SAONE ET LOIRE'),
('71510','CHAMILLY','SAONE ET LOIRE'),
('71510','CHARRECEY','SAONE ET LOIRE'),
('71510','CHATEL MORON','SAONE ET LOIRE'),
('71510','DENNEVY','SAONE ET LOIRE'),
('71510','ESSERTENNE','SAONE ET LOIRE'),
('71510','MOREY','SAONE ET LOIRE'),
('71510','PERREUIL','SAONE ET LOIRE'),
('71510','ST BERAIN SUR DHEUNE','SAONE ET LOIRE'),
('71510','ST GILLES','SAONE ET LOIRE'),
('71510','ST LEGER SUR DHEUNE','SAONE ET LOIRE'),
('71510','ST SERNIN DU PLAIN','SAONE ET LOIRE'),
('71520','BRANDON','SAONE ET LOIRE'),
('71520','LA CHAPELLE DU MONT DE FR','SAONE ET LOIRE'),
('71520','CLERMAIN','SAONE ET LOIRE'),
('71520','CURTIL SOUS BUFFIERES','SAONE ET LOIRE'),
('71520','DOMPIERRE LES ORMES','SAONE ET LOIRE'),
('71520','MATOUR','SAONE ET LOIRE'),
('71520','MEULIN','SAONE ET LOIRE'),
('71520','MONTAGNY SUR GROSNE','SAONE ET LOIRE'),
('71520','MONTMELARD','SAONE ET LOIRE'),
('71520','ST LEGER SOUS BUSSIERE','SAONE ET LOIRE'),
('71520','ST PIERRE LE VIEUX','SAONE ET LOIRE'),
('71520','TRAMAYES','SAONE ET LOIRE'),
('71520','TRAMBLY','SAONE ET LOIRE'),
('71520','TRIVY','SAONE ET LOIRE'),
('71530','CHAMPFORGEUIL','SAONE ET LOIRE'),
('71530','CRISSEY','SAONE ET LOIRE'),
('71530','FRAGNES','SAONE ET LOIRE'),
('71530','LESSARD LE NATIONAL','SAONE ET LOIRE'),
('71530','LA LOYERE','SAONE ET LOIRE'),
('71530','SASSENAY','SAONE ET LOIRE'),
('71530','VIREY LE GRAND','SAONE ET LOIRE'),
('71540','BARNAY','SAONE ET LOIRE'),
('71540','CHISSEY EN MORVAN','SAONE ET LOIRE'),
('71540','CORDESSE','SAONE ET LOIRE'),
('71540','IGORNAY','SAONE ET LOIRE'),
('71540','LUCENAY L EVEQUE','SAONE ET LOIRE'),
('71540','RECLESNE','SAONE ET LOIRE'),
('71540','SOMMANT','SAONE ET LOIRE'),
('71550','ANOST','SAONE ET LOIRE'),
('71550','CUSSY EN MORVAN','SAONE ET LOIRE'),
('71550','ROUSSILLON EN MORVAN','SAONE ET LOIRE'),
('71570','CHAINTRE','SAONE ET LOIRE'),
('71570','CHANES','SAONE ET LOIRE'),
('71570','LA CHAPELLE DE GUINCHAY','SAONE ET LOIRE'),
('71570','CHASSELAS','SAONE ET LOIRE'),
('71570','LEYNES','SAONE ET LOIRE'),
('71570','PRUZILLY','SAONE ET LOIRE'),
('71570','ROMANECHE THORINS','SAONE ET LOIRE'),
('71570','ST AMOUR BELLEVUE','SAONE ET LOIRE'),
('71570','ST ROMAIN DES ILES','SAONE ET LOIRE'),
('71570','ST SYMPHORIEN D ANCELLES','SAONE ET LOIRE'),
('71570','ST VERAND','SAONE ET LOIRE'),
('71570','LA CHAPELLE PONTANEVAUX','SAONE ET LOIRE'),
('71570','PONTANEVAUX','SAONE ET LOIRE'),
('71580','BEAUREPAIRE EN BRESSE','SAONE ET LOIRE'),
('71580','LE FAY','SAONE ET LOIRE'),
('71580','FLACEY EN BRESSE','SAONE ET LOIRE'),
('71580','FRONTENAUD','SAONE ET LOIRE'),
('71580','SAGY','SAONE ET LOIRE'),
('71580','SAILLENARD','SAONE ET LOIRE'),
('71580','ST MARTIN DU MONT','SAONE ET LOIRE'),
('71580','SAVIGNY EN REVERMONT','SAONE ET LOIRE'),
('71590','GERGY','SAONE ET LOIRE'),
('71590','VERJUX','SAONE ET LOIRE'),
('71600','HAUTEFOND','SAONE ET LOIRE'),
('71600','L HOPITAL LE MERCIER','SAONE ET LOIRE'),
('71600','NOCHIZE','SAONE ET LOIRE'),
('71600','PARAY LE MONIAL','SAONE ET LOIRE'),
('71600','POISSON','SAONE ET LOIRE'),
('71600','ST GERMAIN DES RIVES','SAONE ET LOIRE'),
('71600','ST LEGER LES PARAY','SAONE ET LOIRE'),
('71600','ST YAN','SAONE ET LOIRE'),
('71600','VARENNE ST GERMAIN','SAONE ET LOIRE'),
('71600','VITRY EN CHAROLLAIS','SAONE ET LOIRE'),
('71600','VOLESVRES','SAONE ET LOIRE'),
('71610','AMANZE','SAONE ET LOIRE'),
('71610','DYO','SAONE ET LOIRE'),
('71610','OYE','SAONE ET LOIRE'),
('71610','PRIZY','SAONE ET LOIRE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('71610','ST GERMAIN EN BRIONNAIS','SAONE ET LOIRE'),
('71610','ST JULIEN DE CIVRY','SAONE ET LOIRE'),
('71620','BEY','SAONE ET LOIRE'),
('71620','DAMEREY','SAONE ET LOIRE'),
('71620','GUERFAND','SAONE ET LOIRE'),
('71620','MONTCOY','SAONE ET LOIRE'),
('71620','ST DIDIER EN BRESSE','SAONE ET LOIRE'),
('71620','ST MARTIN EN BRESSE','SAONE ET LOIRE'),
('71620','ST MAURICE EN RIVIERE','SAONE ET LOIRE'),
('71620','VILLEGAUDIN','SAONE ET LOIRE'),
('71630','BOURGVILAIN','SAONE ET LOIRE'),
('71630','GERMOLLES SUR GROSNE','SAONE ET LOIRE'),
('71630','ST POINT','SAONE ET LOIRE'),
('71640','BARIZEY','SAONE ET LOIRE'),
('71640','BOURGNEUF VAL D OR','SAONE ET LOIRE'),
('71640','DRACY LE FORT','SAONE ET LOIRE'),
('71640','GIVRY','SAONE ET LOIRE'),
('71640','JAMBLES','SAONE ET LOIRE'),
('71640','MELLECEY','SAONE ET LOIRE'),
('71640','MERCUREY','SAONE ET LOIRE'),
('71640','ST DENIS DE VAUX','SAONE ET LOIRE'),
('71640','ST JEAN DE VAUX','SAONE ET LOIRE'),
('71640','ST MARD DE VAUX','SAONE ET LOIRE'),
('71640','ST MARTIN SOUS MONTAIGU','SAONE ET LOIRE'),
('71640','GERMOLLES','SAONE ET LOIRE'),
('71670','LE BREUIL','SAONE ET LOIRE'),
('71670','ST FIRMIN','SAONE ET LOIRE'),
('71670','ST PIERRE DE VARENNES','SAONE ET LOIRE'),
('71680','CRECHES SUR SAONE','SAONE ET LOIRE'),
('71680','VINZELLES','SAONE ET LOIRE'),
('71690','GOURDON','SAONE ET LOIRE'),
('71690','MARIGNY','SAONE ET LOIRE'),
('71690','MARY','SAONE ET LOIRE'),
('71690','MONT ST VINCENT','SAONE ET LOIRE'),
('71700','BOYER','SAONE ET LOIRE'),
('71700','LA CHAPELLE SOUS BRANCION','SAONE ET LOIRE'),
('71700','CHARDONNAY','SAONE ET LOIRE'),
('71700','FARGES LES MACON','SAONE ET LOIRE'),
('71700','GREVILLY','SAONE ET LOIRE'),
('71700','LACROST','SAONE ET LOIRE'),
('71700','MARTAILLY LES BRANCION','SAONE ET LOIRE'),
('71700','OZENAY','SAONE ET LOIRE'),
('71700','PLOTTES','SAONE ET LOIRE'),
('71700','ROYER','SAONE ET LOIRE'),
('71700','TOURNUS','SAONE ET LOIRE'),
('71700','UCHIZY','SAONE ET LOIRE'),
('71700','LE VILLARS','SAONE ET LOIRE'),
('71710','LES BIZOTS','SAONE ET LOIRE'),
('71710','CHARMOY','SAONE ET LOIRE'),
('71710','MARMAGNE','SAONE ET LOIRE'),
('71710','MONTCENIS','SAONE ET LOIRE'),
('71710','ST SYMPHORIEN DE MARMAGNE','SAONE ET LOIRE'),
('71740','CHATEAUNEUF','SAONE ET LOIRE'),
('71740','ST EDMOND','SAONE ET LOIRE'),
('71740','ST MARTIN DE LIXY','SAONE ET LOIRE'),
('71740','ST MAURICE LES CHATEAUNEU','SAONE ET LOIRE'),
('71740','TANCON','SAONE ET LOIRE'),
('71760','CRESSY SUR SOMME','SAONE ET LOIRE'),
('71760','GRURY','SAONE ET LOIRE'),
('71760','ISSY L EVEQUE','SAONE ET LOIRE'),
('71760','MARLY SOUS ISSY','SAONE ET LOIRE'),
('71800','BAUDEMONT','SAONE ET LOIRE'),
('71800','BOIS STE MARIE','SAONE ET LOIRE'),
('71800','LA CHAPELLE SOUS DUN','SAONE ET LOIRE'),
('71800','CHATENAY','SAONE ET LOIRE'),
('71800','LA CLAYETTE','SAONE ET LOIRE'),
('71800','COLOMBIER EN BRIONNAIS','SAONE ET LOIRE'),
('71800','CURBIGNY','SAONE ET LOIRE'),
('71800','GIBLES','SAONE ET LOIRE'),
('71800','OUROUX SOUS LE BOIS STE M','SAONE ET LOIRE'),
('71800','ST CHRISTOPHE EN BRIONNAI','SAONE ET LOIRE'),
('71800','ST LAURENT EN BRIONNAIS','SAONE ET LOIRE'),
('71800','ST RACHO','SAONE ET LOIRE'),
('71800','ST SYMPHORIEN DES BOIS','SAONE ET LOIRE'),
('71800','VAREILLES','SAONE ET LOIRE'),
('71800','VARENNES SOUS DUN','SAONE ET LOIRE'),
('71800','VAUBAN','SAONE ET LOIRE'),
('71850','CHARNAY LES MACON','SAONE ET LOIRE'),
('71870','HURIGNY','SAONE ET LOIRE'),
('71870','LAIZE','SAONE ET LOIRE'),
('71870','MACON','SAONE ET LOIRE'),
('71880','CHATENOY LE ROYAL','SAONE ET LOIRE'),
('71940','CHENOVES','SAONE ET LOIRE'),
('71940','MESSEY SUR GROSNE','SAONE ET LOIRE'),
('71940','ST BOIL','SAONE ET LOIRE'),
('71940','SAULES','SAONE ET LOIRE'),
('71960','BERZE LE CHATEL','SAONE ET LOIRE'),
('71960','BERZE LA VILLE','SAONE ET LOIRE'),
('71960','BUSSIERES','SAONE ET LOIRE'),
('71960','CHEVAGNY CHEVRIERES','SAONE ET LOIRE'),
('71960','DAVAYE','SAONE ET LOIRE'),
('71960','FUISSE','SAONE ET LOIRE'),
('71960','IGE','SAONE ET LOIRE'),
('71960','MILLY LAMARTINE','SAONE ET LOIRE'),
('71960','PIERRECLOS','SAONE ET LOIRE'),
('71960','PRISSE','SAONE ET LOIRE'),
('71960','LA ROCHE VINEUSE','SAONE ET LOIRE'),
('71960','SERRIERES','SAONE ET LOIRE'),
('71960','SOLOGNY','SAONE ET LOIRE'),
('71960','SOLUTRE POUILLY','SAONE ET LOIRE'),
('71960','VERGISSON','SAONE ET LOIRE'),
('71960','VERZE','SAONE ET LOIRE'),
('71990','LA COMELLE','SAONE ET LOIRE'),
('71990','LA GRANDE VERRIERE','SAONE ET LOIRE'),
('71990','ST LEGER SOUS BEUVRAY','SAONE ET LOIRE'),
('71990','ST PRIX','SAONE ET LOIRE'),
('72000','LE MANS','SARTHE'),
('72110','BEAUFAY','SARTHE'),
('72110','BONNETABLE','SARTHE'),
('72110','BRIOSNE LES SABLES','SARTHE'),
('72110','COURCEMONT','SARTHE'),
('72110','COURCIVAL','SARTHE'),
('72110','JAUZE','SARTHE'),
('72110','NOGENT LE BERNARD','SARTHE'),
('72110','PREVELLES','SARTHE'),
('72110','ROUPERROUX LE COQUET','SARTHE'),
('72110','ST AIGNAN','SARTHE'),
('72110','ST CELERIN','SARTHE'),
('72110','ST COSME EN VAIRAIS','SARTHE'),
('72110','ST DENIS DES COUDRAIS','SARTHE'),
('72110','ST GEORGES DU ROSAY','SARTHE'),
('72110','TERREHAULT','SARTHE'),
('72110','TORCE EN VALLEE','SARTHE'),
('72120','CONFLANS SUR ANILLE','SARTHE'),
('72120','ECORPAIN','SARTHE'),
('72120','EVAILLE','SARTHE'),
('72120','MAROLLES LES ST CALAIS','SARTHE'),
('72120','MONTAILLE','SARTHE'),
('72120','RAHAY','SARTHE'),
('72120','ST CALAIS','SARTHE'),
('72120','STE CEROTTE','SARTHE'),
('72120','ST GERVAIS DE VIC','SARTHE'),
('72120','STE OSMANE','SARTHE'),
('72130','ASSE LE BOISNE','SARTHE'),
('72130','COULOMBIERS','SARTHE'),
('72130','FRESNAY SUR SARTHE','SARTHE'),
('72130','GESNES LE GANDELIN','SARTHE'),
('72130','MONTREUIL LE CHETIF','SARTHE'),
('72130','MOULINS LE CARBONNEL','SARTHE'),
('72130','ST AUBIN DE LOCQUENAY','SARTHE'),
('72130','ST GERMAIN SUR SARTHE','SARTHE'),
('72130','ST OUEN DE MIMBRE','SARTHE'),
('72130','ST VICTEUR','SARTHE'),
('72130','SOUGE LE GANELON','SARTHE'),
('72130','LA HUTTE','SARTHE'),
('72140','CRISSE','SARTHE'),
('72140','LE GREZ','SARTHE'),
('72140','MONT ST JEAN','SARTHE'),
('72140','NEUVILLETTE EN CHARNIE','SARTHE'),
('72140','PARENNES','SARTHE'),
('72140','PEZE LE ROBERT','SARTHE'),
('72140','ROUESSE VASSE','SARTHE'),
('72140','ROUEZ','SARTHE'),
('72140','ST REMY DE SILLE','SARTHE'),
('72140','SILLE LE GUILLAUME','SARTHE'),
('72150','COURDEMANCHE','SARTHE'),
('72150','LE GRAND LUCE','SARTHE'),
('72150','MONTREUIL LE HENRI','SARTHE'),
('72150','PRUILLE L EGUILLE','SARTHE'),
('72150','ST GEORGES DE LA COUEE','SARTHE'),
('72150','ST PIERRE DU LOROUER','SARTHE'),
('72150','ST VINCENT DU LOROUER','SARTHE'),
('72150','VILLAINES SOUS LUCE','SARTHE'),
('72150','BRIVES','SARTHE'),
('72160','BEILLE','SARTHE'),
('72160','LA CHAPELLE ST REMY','SARTHE'),
('72160','CONNERRE','SARTHE'),
('72160','DUNEAU','SARTHE'),
('72160','ST HILAIRE LE LIERRU','SARTHE'),
('72160','SCEAUX SUR HUISNE','SARTHE'),
('72160','THORIGNE SUR DUE','SARTHE'),
('72160','TUFFE','SARTHE'),
('72160','VOUVRAY SUR HUISNE','SARTHE'),
('72170','ASSE LE RIBOUL','SARTHE'),
('72170','BEAUMONT SUR SARTHE','SARTHE'),
('72170','CHERANCE','SARTHE'),
('72170','DOUCELLES','SARTHE'),
('72170','JUILLE','SARTHE'),
('72170','MARESCHE','SARTHE'),
('72170','MEURCE','SARTHE'),
('72170','MOITRON SUR SARTHE','SARTHE'),
('72170','PIACE','SARTHE'),
('72170','ST CHRISTOPHE DU JAMBET','SARTHE'),
('72170','ST MARCEAU','SARTHE'),
('72170','SEGRIE','SARTHE'),
('72170','LE TRONCHET','SARTHE'),
('72170','VERNIE','SARTHE'),
('72170','VIVOIN','SARTHE'),
('72170','LE GUE LIAN','SARTHE'),
('72190','COULAINES','SARTHE'),
('72190','NEUVILLE SUR SARTHE','SARTHE'),
('72190','ST PAVACE','SARTHE'),
('72190','SARGE LES LE MANS','SARTHE'),
('72200','LE BAILLEUL','SARTHE'),
('72200','BAZOUGES SUR LE LOIR','SARTHE'),
('72200','CLERMONT CREANS','SARTHE'),
('72200','CRE','SARTHE'),
('72200','CROSMIERES','SARTHE'),
('72200','LA FLECHE','SARTHE'),
('72200','MAREIL SUR LOIR','SARTHE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('72210','CHEMIRE LE GAUDIN','SARTHE'),
('72210','FILLE','SARTHE'),
('72210','LOUPLANDE','SARTHE'),
('72210','MAIGNE','SARTHE'),
('72210','ROEZE SUR SARTHE','SARTHE'),
('72210','SOULIGNE FLACE','SARTHE'),
('72210','LA SUZE SUR SARTHE','SARTHE'),
('72210','VOIVRES LES LE MANS','SARTHE'),
('72220','ECOMMOY','SARTHE'),
('72220','LAIGNE EN BELIN','SARTHE'),
('72220','MARIGNE LAILLE','SARTHE'),
('72220','ST BIEZ EN BELIN','SARTHE'),
('72220','ST GERVAIS EN BELIN','SARTHE'),
('72220','ST MARS D OUTILLE','SARTHE'),
('72220','ST OUEN EN BELIN','SARTHE'),
('72220','TELOCHE','SARTHE'),
('72230','ARNAGE','SARTHE'),
('72230','GUECELARD','SARTHE'),
('72230','MONCE EN BELIN','SARTHE'),
('72230','MULSANNE','SARTHE'),
('72230','RUAUDIN','SARTHE'),
('72240','BERNAY','SARTHE'),
('72240','LA CHAPELLE ST FRAY','SARTHE'),
('72240','CONLIE','SARTHE'),
('72240','CURES','SARTHE'),
('72240','DOMFRONT EN CHAMPAGNE','SARTHE'),
('72240','LAVARDIN','SARTHE'),
('72240','MEZIERES SOUS LAVARDIN','SARTHE'),
('72240','NEUVILLALAIS','SARTHE'),
('72240','NEUVY EN CHAMPAGNE','SARTHE'),
('72240','RUILLE EN CHAMPAGNE','SARTHE'),
('72240','ST SYMPHORIEN','SARTHE'),
('72240','TENNIE','SARTHE'),
('72250','BRETTE LES PINS','SARTHE'),
('72250','CHALLES','SARTHE'),
('72250','PARIGNE L EVEQUE','SARTHE'),
('72260','AVESNES EN SAOSNOIS','SARTHE'),
('72260','COURGAINS','SARTHE'),
('72260','DANGEUL','SARTHE'),
('72260','DISSE SOUS BALLON','SARTHE'),
('72260','MAROLLES LES BRAULTS','SARTHE'),
('72260','LES MEES','SARTHE'),
('72260','MONCE EN SAOSNOIS','SARTHE'),
('72260','MONHOUDOU','SARTHE'),
('72260','NAUVAY','SARTHE'),
('72260','NOUANS','SARTHE'),
('72260','PERAY','SARTHE'),
('72260','RENE','SARTHE'),
('72260','THOIGNE','SARTHE'),
('72270','ARTHEZE','SARTHE'),
('72270','BOUSSE','SARTHE'),
('72270','COURCELLES LA FORET','SARTHE'),
('72270','DUREIL','SARTHE'),
('72270','LIGRON','SARTHE'),
('72270','MALICORNE SUR SARTHE','SARTHE'),
('72270','MEZERAY','SARTHE'),
('72270','VILLAINES SOUS MALICORNE','SARTHE'),
('72290','BALLON','SARTHE'),
('72290','CONGE SUR ORNE','SARTHE'),
('72290','COURCEBOEUFS','SARTHE'),
('72290','LUCE SOUS BALLON','SARTHE'),
('72290','MEZIERE SUR PONTHOUIN','SARTHE'),
('72290','ST MARS SOUS BALLON','SARTHE'),
('72290','SOULIGNE SOUS BALLON','SARTHE'),
('72290','TEILLE','SARTHE'),
('72300','AUVERS LE HAMON','SARTHE'),
('72300','LA CHAPELLE D ALIGNE','SARTHE'),
('72300','COURTILLERS','SARTHE'),
('72300','JUIGNE SUR SARTHE','SARTHE'),
('72300','LOUAILLES','SARTHE'),
('72300','PARCE SUR SARTHE','SARTHE'),
('72300','NOTRE DAME DU PE','SARTHE'),
('72300','PINCE','SARTHE'),
('72300','PRECIGNE','SARTHE'),
('72300','SABLE SUR SARTHE','SARTHE'),
('72300','SOLESMES','SARTHE'),
('72300','SOUVIGNE SUR SARTHE','SARTHE'),
('72300','VION','SARTHE'),
('72310','BESSE SUR BRAYE','SARTHE'),
('72310','LA CHAPELLE GAUGAIN','SARTHE'),
('72310','LA CHAPELLE HUON','SARTHE'),
('72310','COGNERS','SARTHE'),
('72310','LAVENAY','SARTHE'),
('72310','VANCE','SARTHE'),
('72310','PONT DE BRAYE','SARTHE'),
('72320','BERFAY','SARTHE'),
('72320','CHAMPROND','SARTHE'),
('72320','COURGENARD','SARTHE'),
('72320','GREEZ SUR ROC','SARTHE'),
('72320','LAMNAY','SARTHE'),
('72320','MELLERAY','SARTHE'),
('72320','MONTMIRAIL','SARTHE'),
('72320','ST JEAN DES ECHELLES','SARTHE'),
('72320','ST MAIXENT','SARTHE'),
('72320','ST ULPHACE','SARTHE'),
('72320','THELIGNY','SARTHE'),
('72320','VALENNES','SARTHE'),
('72320','VIBRAYE','SARTHE'),
('72330','CERANS FOULLETOURTE','SARTHE'),
('72330','LA FONTAINE ST MARTIN','SARTHE'),
('72330','OIZE','SARTHE'),
('72330','PARIGNE LE POLIN','SARTHE'),
('72330','YVRE LE POLIN','SARTHE'),
('72340','BEAUMONT SUR DEME','SARTHE'),
('72340','CHAHAIGNES','SARTHE'),
('72340','LA CHARTRE SUR LE LOIR','SARTHE'),
('72340','LHOMME','SARTHE'),
('72340','MARCON','SARTHE'),
('72340','PONCE SUR LE LOIR','SARTHE'),
('72340','RUILLE SUR LOIR','SARTHE'),
('72350','AVESSE','SARTHE'),
('72350','BRULON','SARTHE'),
('72350','CHEVILLE','SARTHE'),
('72350','FONTENAY SUR VEGRE','SARTHE'),
('72350','POILLE SUR VEGRE','SARTHE'),
('72350','ST DENIS D ORQUES','SARTHE'),
('72350','ST OUEN EN CHAMPAGNE','SARTHE'),
('72350','VIRE EN CHAMPAGNE','SARTHE'),
('72360','MAYET','SARTHE'),
('72360','SARCE','SARTHE'),
('72360','VERNEIL LE CHETIF','SARTHE'),
('72370','ARDENAY SUR MERIZE','SARTHE'),
('72370','LE BREIL SUR MERIZE','SARTHE'),
('72370','NUILLE LE JALAIS','SARTHE'),
('72370','SOULITRE','SARTHE'),
('72370','SURFONDS','SARTHE'),
('72380','LA GUIERCHE','SARTHE'),
('72380','JOUE L ABBE','SARTHE'),
('72380','MONTBIZOT','SARTHE'),
('72380','STE JAMME SUR SARTHE','SARTHE'),
('72380','ST JEAN D ASSE','SARTHE'),
('72380','STE SABINE SUR LONGEVE','SARTHE'),
('72380','SOUILLE','SARTHE'),
('72380','ANTOIGNE','SARTHE'),
('72390','BOUER','SARTHE'),
('72390','DOLLON','SARTHE'),
('72390','LAVARE','SARTHE'),
('72390','LE LUART','SARTHE'),
('72390','SEMUR EN VALLON','SARTHE'),
('72400','AVEZE','SARTHE'),
('72400','BOESSE LE SEC','SARTHE'),
('72400','LA BOSSE','SARTHE'),
('72400','LA CHAPELLE DU BOIS','SARTHE'),
('72400','CHERRE','SARTHE'),
('72400','CHERREAU','SARTHE'),
('72400','CORMES','SARTHE'),
('72400','DEHAULT','SARTHE'),
('72400','LA FERTE BERNARD','SARTHE'),
('72400','PREVAL','SARTHE'),
('72400','ST AUBIN DES COUDRAIS','SARTHE'),
('72400','ST MARTIN DES MONTS','SARTHE'),
('72400','SOUVIGNE SUR MEME','SARTHE'),
('72400','VILLAINES LA GONAIS','SARTHE'),
('72430','ASNIERES SUR VEGRE','SARTHE'),
('72430','AVOISE','SARTHE'),
('72430','CHANTENAY VILLEDIEU','SARTHE'),
('72430','FERCE SUR SARTHE','SARTHE'),
('72430','NOYEN SUR SARTHE','SARTHE'),
('72430','PIRMIL','SARTHE'),
('72430','ST JEAN DU BOIS','SARTHE'),
('72430','ST PIERRE DES BOIS','SARTHE'),
('72430','TASSE','SARTHE'),
('72440','BOULOIRE','SARTHE'),
('72440','COUDRECIEUX','SARTHE'),
('72440','MAISONCELLES','SARTHE'),
('72440','ST MARS DE LOCQUENAY','SARTHE'),
('72440','ST MICHEL DE CHAVAIGNES','SARTHE'),
('72440','TRESSON','SARTHE'),
('72440','VOLNAY','SARTHE'),
('72450','LOMBRON','SARTHE'),
('72450','MONTFORT LE GESNOIS','SARTHE'),
('72460','ST CORNEILLE','SARTHE'),
('72460','SAVIGNE L EVEQUE','SARTHE'),
('72460','SILLE LE PHILIPPE','SARTHE'),
('72470','CHAMPAGNE','SARTHE'),
('72470','FATINES','SARTHE'),
('72470','ST MARS LA BRIERE','SARTHE'),
('72500','BEAUMONT PIED DE BOEUF','SARTHE'),
('72500','LA BRUERE SUR LOIR','SARTHE'),
('72500','CHATEAU DU LOIR','SARTHE'),
('72500','CHENU','SARTHE'),
('72500','DISSAY SOUS COURCILLON','SARTHE'),
('72500','FLEE','SARTHE'),
('72500','JUPILLES','SARTHE'),
('72500','LAVERNAT','SARTHE'),
('72500','LUCEAU','SARTHE'),
('72500','MONTABON','SARTHE'),
('72500','NOGENT SUR LOIR','SARTHE'),
('72500','ST GERMAIN D ARCE','SARTHE'),
('72500','ST PIERRE DE CHEVILLE','SARTHE'),
('72500','THOIRE SUR DINAN','SARTHE'),
('72500','VAAS','SARTHE'),
('72500','VOUVRAY SUR LOIR','SARTHE'),
('72500','COEMONT','SARTHE'),
('72510','CHATEAU L HERMITAGE','SARTHE'),
('72510','MANSIGNE','SARTHE'),
('72510','PONTVALLAIN','SARTHE'),
('72510','REQUEIL','SARTHE'),
('72510','ST JEAN DE LA MOTTE','SARTHE'),
('72530','YVRE L EVEQUE','SARTHE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('72540','AMNE','SARTHE'),
('72540','AUVERS SOUS MONTFAUCON','SARTHE'),
('72540','CHASSILLE','SARTHE'),
('72540','CHEMIRE EN CHARNIE','SARTHE'),
('72540','CRANNES EN CHAMPAGNE','SARTHE'),
('72540','EPINEU LE CHEVREUIL','SARTHE'),
('72540','JOUE EN CHARNIE','SARTHE'),
('72540','LONGNES','SARTHE'),
('72540','LOUE','SARTHE'),
('72540','MAREIL EN CHAMPAGNE','SARTHE'),
('72540','ST CHRISTOPHE EN CHAMPAGN','SARTHE'),
('72540','TASSILLE','SARTHE'),
('72540','VALLON SUR GEE','SARTHE'),
('72550','BRAINS SUR GEE','SARTHE'),
('72550','CHAUFOUR NOTRE DAME','SARTHE'),
('72550','COULANS SUR GEE','SARTHE'),
('72550','DEGRE','SARTHE'),
('72550','FAY','SARTHE'),
('72550','LA QUINTE','SARTHE'),
('72560','CHANGE','SARTHE'),
('72590','DOUILLET','SARTHE'),
('72590','ST GEORGES LE GAULTIER','SARTHE'),
('72590','ST LEONARD DES BOIS','SARTHE'),
('72590','ST PAUL LE GAULTIER','SARTHE'),
('72600','AILLIERES BEAUVOIR','SARTHE'),
('72600','COMMERVEIL','SARTHE'),
('72600','CONTILLY','SARTHE'),
('72600','LOUVIGNY','SARTHE'),
('72600','MAMERS','SARTHE'),
('72600','MAROLLETTE','SARTHE'),
('72600','NEUFCHATEL EN SAOSNOIS','SARTHE'),
('72600','PANON','SARTHE'),
('72600','PIZIEUX','SARTHE'),
('72600','ST CALEZ EN SAOSNOIS','SARTHE'),
('72600','ST LONGIS','SARTHE'),
('72600','ST PIERRE DES ORMES','SARTHE'),
('72600','ST REMY DES MONTS','SARTHE'),
('72600','ST REMY DU VAL','SARTHE'),
('72600','ST VINCENT DES PRES','SARTHE'),
('72600','SAOSNES','SARTHE'),
('72600','VEZOT','SARTHE'),
('72600','VILLAINES LA CARELLE','SARTHE'),
('72610','ANCINNES','SARTHE'),
('72610','ARCONNAY','SARTHE'),
('72610','BERUS','SARTHE'),
('72610','BETHON','SARTHE'),
('72610','BOURG LE ROI','SARTHE'),
('72610','CHAMPFLEUR','SARTHE'),
('72610','CHENAY','SARTHE'),
('72610','CHERISAY','SARTHE'),
('72610','LE CHEVAIN','SARTHE'),
('72610','FYE','SARTHE'),
('72610','GRANDCHAMP','SARTHE'),
('72610','LIGNIERES LA CARELLE','SARTHE'),
('72610','LIVET EN SAOSNOIS','SARTHE'),
('72610','OISSEAU LE PETIT','SARTHE'),
('72610','ROUESSE FONTAINE','SARTHE'),
('72610','ST PATERNE','SARTHE'),
('72610','ST RIGOMER DES BOIS','SARTHE'),
('72610','THOIRE SOUS CONTENSOR','SARTHE'),
('72610','LE BUISSON','SARTHE'),
('72650','AIGNE','SARTHE'),
('72650','LA BAZOGE','SARTHE'),
('72650','LA CHAPELLE ST AUBIN','SARTHE'),
('72650','LA MILESSE','SARTHE'),
('72650','ST SATURNIN','SARTHE'),
('72650','TRANGE','SARTHE'),
('72670','LES AULNEAUX','SARTHE'),
('72670','BLEVES','SARTHE'),
('72670','CHASSE','SARTHE'),
('72670','LA FRESNAYE SUR CHEDOUET','SARTHE'),
('72670','LOUZES','SARTHE'),
('72670','MONTIGNY','SARTHE'),
('72670','ROULLEE','SARTHE'),
('72700','ALLONNES','SARTHE'),
('72700','ETIVAL LES LE MANS','SARTHE'),
('72700','PRUILLE LE CHETIF','SARTHE'),
('72700','ROUILLON','SARTHE'),
('72700','ST GEORGES DU BOIS','SARTHE'),
('72700','SPAY','SARTHE'),
('72800','AUBIGNE RACAN','SARTHE'),
('72800','LA CHAPELLE AUX CHOUX','SARTHE'),
('72800','COULONGE','SARTHE'),
('72800','DISSE SOUS LE LUDE','SARTHE'),
('72800','LUCHE PRINGE','SARTHE'),
('72800','LE LUDE','SARTHE'),
('72800','SAVIGNE SOUS LE LUDE','SARTHE'),
('72800','THOREE LES PINS','SARTHE'),
('73000','BARBERAZ','SAVOIE'),
('73000','BASSENS','SAVOIE'),
('73000','CHAMBERY','SAVOIE'),
('73000','JACOB BELLECOMBETTE','SAVOIE'),
('73000','MONTAGNOLE','SAVOIE'),
('73000','SONNAZ','SAVOIE'),
('73100','AIX LES BAINS','SAVOIE'),
('73100','BRISON ST INNOCENT','SAVOIE'),
('73100','GRESY SUR AIX','SAVOIE'),
('73100','MONTCEL','SAVOIE'),
('73100','MOUXY','SAVOIE'),
('73100','PUGNY CHATENOD','SAVOIE'),
('73100','ST OFFENGE DESSOUS','SAVOIE'),
('73100','ST OFFENGE DESSUS','SAVOIE'),
('73100','TRESSERVE','SAVOIE'),
('73100','TREVIGNIN','SAVOIE'),
('73110','ARVILLARD','SAVOIE'),
('73110','BOURGET EN HUILE','SAVOIE'),
('73110','LA CHAPELLE BLANCHE','SAVOIE'),
('73110','LA CROIX DE LA ROCHETTE','SAVOIE'),
('73110','DETRIER','SAVOIE'),
('73110','ETABLE','SAVOIE'),
('73110','LE PONTET','SAVOIE'),
('73110','PRESLE','SAVOIE'),
('73110','LA ROCHETTE','SAVOIE'),
('73110','ROTHERENS','SAVOIE'),
('73110','LA TABLE','SAVOIE'),
('73110','LA TRINITE','SAVOIE'),
('73110','LE VERNEIL','SAVOIE'),
('73110','VILLARD SALLET','SAVOIE'),
('73110','VILLAROUX','SAVOIE'),
('73120','LA PERRIERE','SAVOIE'),
('73120','ST BON TARENTAISE','SAVOIE'),
('73120','COURCHEVEL','SAVOIE'),
('73130','LA CHAMBRE','SAVOIE'),
('73130','MONTAIMONT','SAVOIE'),
('73130','MONTGELLAFREY','SAVOIE'),
('73130','NOTRE DAME DU CRUET','SAVOIE'),
('73130','ST ALBAN DES VILLARDS','SAVOIE'),
('73130','ST AVRE','SAVOIE'),
('73130','ST COLOMBAN DES VILLARDS','SAVOIE'),
('73130','ST ETIENNE DE CUINES','SAVOIE'),
('73130','ST FRANCOIS LONGCHAMP','SAVOIE'),
('73130','STE MARIE DE CUINES','SAVOIE'),
('73130','ST MARTIN SUR LA CHAMBRE','SAVOIE'),
('73140','BEAUNE','SAVOIE'),
('73140','ORELLE','SAVOIE'),
('73140','ST MARTIN D ARC','SAVOIE'),
('73140','ST MARTIN DE LA PORTE','SAVOIE'),
('73140','ST MICHEL DE MAURIENNE','SAVOIE'),
('73140','THYL','SAVOIE'),
('73150','VAL D ISERE','SAVOIE'),
('73160','COGNIN','SAVOIE'),
('73160','CORBEL','SAVOIE'),
('73160','ST CASSIN','SAVOIE'),
('73160','ST JEAN DE COUZ','SAVOIE'),
('73160','ST SULPICE','SAVOIE'),
('73160','ST THIBAUD DE COUZ','SAVOIE'),
('73160','VIMINES','SAVOIE'),
('73170','LA BALME','SAVOIE'),
('73170','BILLIEME','SAVOIE'),
('73170','LA CHAPELLE ST MARTIN','SAVOIE'),
('73170','JONGIEUX','SAVOIE'),
('73170','LOISIEUX','SAVOIE'),
('73170','LUCEY','SAVOIE'),
('73170','MEYRIEUX TROUET','SAVOIE'),
('73170','ST JEAN DE CHEVELU','SAVOIE'),
('73170','ST PAUL','SAVOIE'),
('73170','ST PIERRE D ALVEY','SAVOIE'),
('73170','TRAIZE','SAVOIE'),
('73170','VERTHEMEX','SAVOIE'),
('73170','YENNE','SAVOIE'),
('73190','APREMONT','SAVOIE'),
('73190','CHALLES LES EAUX','SAVOIE'),
('73190','CURIENNE','SAVOIE'),
('73190','PUYGROS','SAVOIE'),
('73190','ST BALDOPH','SAVOIE'),
('73190','ST JEOIRE PRIEURE','SAVOIE'),
('73190','LA THUILE','SAVOIE'),
('73200','ALBERTVILLE','SAVOIE'),
('73200','ALLONDAZ','SAVOIE'),
('73200','CESARCHES','SAVOIE'),
('73200','GILLY SUR ISERE','SAVOIE'),
('73200','GRIGNON','SAVOIE'),
('73200','MERCURY','SAVOIE'),
('73200','MONTHION','SAVOIE'),
('73200','PALLUD','SAVOIE'),
('73200','PLANCHERINE','SAVOIE'),
('73200','THENESOL','SAVOIE'),
('73200','VENTHON','SAVOIE'),
('73210','AIME','SAVOIE'),
('73210','BELLENTRE','SAVOIE'),
('73210','LA COTE D AIME','SAVOIE'),
('73210','GRANIER','SAVOIE'),
('73210','LANDRY','SAVOIE'),
('73210','LONGEFOY SUR AIME','SAVOIE'),
('73210','MACOT LA PLAGNE','SAVOIE'),
('73210','MONTGIROD','SAVOIE'),
('73210','PEISEY NANCROIX','SAVOIE'),
('73210','TESSENS','SAVOIE'),
('73210','VALEZAN','SAVOIE'),
('73210','VILLETTE','SAVOIE'),
('73210','LA PLAGNE','SAVOIE'),
('73220','AIGUEBELLE','SAVOIE'),
('73220','AITON','SAVOIE'),
('73220','ARGENTINE','SAVOIE'),
('73220','BONVILLARET','SAVOIE'),
('73220','EPIERRE','SAVOIE'),
('73220','MONTGILGERT','SAVOIE'),
('73220','MONTSAPEY','SAVOIE'),
('73220','RANDENS','SAVOIE'),
('73220','ST ALBAN DES HURTIERES','SAVOIE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('73220','ST GEORGES DES HURTIERES','SAVOIE'),
('73220','ST LEGER','SAVOIE'),
('73220','ST PIERRE DE BELLEVILLE','SAVOIE'),
('73230','BARBY','SAVOIE'),
('73230','LES DESERTS','SAVOIE'),
('73230','ST ALBAN LEYSSE','SAVOIE'),
('73230','ST JEAN D ARVEY','SAVOIE'),
('73230','THOIRY','SAVOIE'),
('73230','VEREL PRAGONDRAN','SAVOIE'),
('73230','LA FECLAZ','SAVOIE'),
('73240','AVRESSIEUX','SAVOIE'),
('73240','CHAMPAGNEUX','SAVOIE'),
('73240','GRESIN','SAVOIE'),
('73240','ROCHEFORT','SAVOIE'),
('73240','ST GENIX SUR GUIERS','SAVOIE'),
('73240','STE MARIE D ALVEY','SAVOIE'),
('73240','ST MAURICE DE ROTHERENS','SAVOIE'),
('73250','FRETERIVE','SAVOIE'),
('73250','ST JEAN DE LA PORTE','SAVOIE'),
('73250','ST PIERRE D ALBIGNY','SAVOIE'),
('73260','AIGUEBLANCHE','SAVOIE'),
('73260','LES AVANCHERS VALMOREL','SAVOIE'),
('73260','LE BOIS','SAVOIE'),
('73260','BONNEVAL','SAVOIE'),
('73260','CELLIERS','SAVOIE'),
('73260','DOUCY','SAVOIE'),
('73260','FEISSONS SUR ISERE','SAVOIE'),
('73260','NAVES','SAVOIE'),
('73260','LA LECHERE','SAVOIE'),
('73260','PETIT COEUR','SAVOIE'),
('73260','PUSSY','SAVOIE'),
('73260','ST OYEN','SAVOIE'),
('73270','BEAUFORT','SAVOIE'),
('73270','VILLARD SUR DORON','SAVOIE'),
('73270','ARECHES','SAVOIE'),
('73290','LA MOTTE SERVOLEX','SAVOIE'),
('73300','ALBIEZ LE JEUNE','SAVOIE'),
('73300','ALBIEZ MONTROND','SAVOIE'),
('73300','LE CHATEL','SAVOIE'),
('73300','FONTCOUVERTE LA TOUSSUIRE','SAVOIE'),
('73300','HERMILLON','SAVOIE'),
('73300','JARRIER','SAVOIE'),
('73300','MONTPASCAL','SAVOIE'),
('73300','MONTVERNIER','SAVOIE'),
('73300','PONTAMAFREY MONTPASCAL','SAVOIE'),
('73300','ST JEAN DE MAURIENNE','SAVOIE'),
('73300','ST PANCRACE','SAVOIE'),
('73300','VILLAREMBERT','SAVOIE'),
('73300','VILLARGONDRAN','SAVOIE'),
('73300','LA TOUSSUIRE','SAVOIE'),
('73300','LE CORBIER','SAVOIE'),
('73310','CHANAZ','SAVOIE'),
('73310','CHINDRIEUX','SAVOIE'),
('73310','CONJUX','SAVOIE'),
('73310','MOTZ','SAVOIE'),
('73310','ONTEX','SAVOIE'),
('73310','RUFFIEUX','SAVOIE'),
('73310','ST PIERRE DE CURTILLE','SAVOIE'),
('73310','SERRIERES EN CHAUTAGNE','SAVOIE'),
('73310','VIONS','SAVOIE'),
('73320','TIGNES','SAVOIE'),
('73330','BELMONT TRAMONET','SAVOIE'),
('73330','DOMESSIN','SAVOIE'),
('73330','LE PONT DE BEAUVOISIN','SAVOIE'),
('73330','VEREL DE MONTBEL','SAVOIE'),
('73340','AILLON LE JEUNE','SAVOIE'),
('73340','AILLON LE VIEUX','SAVOIE'),
('73340','ARITH','SAVOIE'),
('73340','BELLECOMBE EN BAUGES','SAVOIE'),
('73340','LESCHERAINES','SAVOIE'),
('73340','LA MOTTE EN BAUGES','SAVOIE'),
('73340','LE NOYER','SAVOIE'),
('73340','ST FRANCOIS DE SALES','SAVOIE'),
('73350','BOZEL','SAVOIE'),
('73350','CHAMPAGNY EN VANOISE','SAVOIE'),
('73350','FEISSONS SUR SALINS','SAVOIE'),
('73350','MONTAGNY','SAVOIE'),
('73350','PLANAY','SAVOIE'),
('73360','LA BAUCHE','SAVOIE'),
('73360','LES ECHELLES','SAVOIE'),
('73360','ST CHRISTOPHE','SAVOIE'),
('73360','ST FRANC','SAVOIE'),
('73360','ST PIERRE DE GENEBROZ','SAVOIE'),
('73370','BOURDEAU','SAVOIE'),
('73370','LE BOURGET DU LAC','SAVOIE'),
('73370','LA CHAPELLE DU MONT DU CH','SAVOIE'),
('73390','BETTON BETTONET','SAVOIE'),
('73390','BOURGNEUF','SAVOIE'),
('73390','CHAMOUSSET','SAVOIE'),
('73390','CHAMOUX SUR GELON','SAVOIE'),
('73390','CHAMPLAURENT','SAVOIE'),
('73390','CHATEAUNEUF','SAVOIE'),
('73390','HAUTEVILLE','SAVOIE'),
('73390','MONTENDRY','SAVOIE'),
('73390','VILLARD LEGER','SAVOIE'),
('73400','COHENNOZ','SAVOIE'),
('73400','MARTHOD','SAVOIE'),
('73400','UGINE','SAVOIE'),
('73410','ALBENS','SAVOIE'),
('73410','ANSIGNY','SAVOIE'),
('73410','LA BIOLLE','SAVOIE'),
('73410','CESSENS','SAVOIE'),
('73410','EPERSY','SAVOIE'),
('73410','MOGNARD','SAVOIE'),
('73410','ST GERMAIN LA CHAMBOTTE','SAVOIE'),
('73410','ST GIROD','SAVOIE'),
('73410','ST OURS','SAVOIE'),
('73420','DRUMETTAZ CLARAFOND','SAVOIE'),
('73420','MERY','SAVOIE'),
('73420','VIVIERS DU LAC','SAVOIE'),
('73420','VOGLANS','SAVOIE'),
('73440','ST JEAN DE BELLEVILLE','SAVOIE'),
('73440','ST MARTIN DE BELLEVILLE','SAVOIE'),
('73440','LES MENUIRES','SAVOIE'),
('73440','VAL THORENS','SAVOIE'),
('73450','VALLOIRE','SAVOIE'),
('73450','VALMEINIER','SAVOIE'),
('73460','BONVILLARD','SAVOIE'),
('73460','CLERY','SAVOIE'),
('73460','FRONTENEX','SAVOIE'),
('73460','GRESY SUR ISERE','SAVOIE'),
('73460','MONTAILLEUR','SAVOIE'),
('73460','NOTRE DAME DES MILLIERES','SAVOIE'),
('73460','STE HELENE SUR ISERE','SAVOIE'),
('73460','ST VITAL','SAVOIE'),
('73460','TOURNON','SAVOIE'),
('73460','VERRENS ARVEY','SAVOIE'),
('73470','AYN','SAVOIE'),
('73470','GERBAIX','SAVOIE'),
('73470','MARCIEUX','SAVOIE'),
('73470','NANCES','SAVOIE'),
('73470','NOVALAISE','SAVOIE'),
('73480','BESSANS','SAVOIE'),
('73480','BONNEVAL SUR ARC','SAVOIE'),
('73480','LANSLEBOURG MONT CENIS','SAVOIE'),
('73480','LANSLEVILLARD','SAVOIE'),
('73490','LA RAVOIRE','SAVOIE'),
('73500','AUSSOIS','SAVOIE'),
('73500','AVRIEUX','SAVOIE'),
('73500','BRAMANS','SAVOIE'),
('73500','FOURNEAUX','SAVOIE'),
('73500','FRENEY','SAVOIE'),
('73500','MODANE','SAVOIE'),
('73500','ST ANDRE','SAVOIE'),
('73500','SOLLIERES SARDIERES','SAVOIE'),
('73500','TERMIGNON','SAVOIE'),
('73500','VILLARODIN BOURGET','SAVOIE'),
('73520','LA BRIDOIRE','SAVOIE'),
('73520','ST BERON','SAVOIE'),
('73530','MONTROND','SAVOIE'),
('73530','ST JEAN D ARVES','SAVOIE'),
('73530','ST SORLIN D ARVES','SAVOIE'),
('73540','LA BATHIE','SAVOIE'),
('73540','ESSERTS BLAY','SAVOIE'),
('73550','LES ALLUES','SAVOIE'),
('73550','MERIBEL LES ALLUES','SAVOIE'),
('73570','BRIDES LES BAINS','SAVOIE'),
('73590','CREST VOLAND','SAVOIE'),
('73590','FLUMET','SAVOIE'),
('73590','LA GIETTAZ','SAVOIE'),
('73590','NOTRE DAME DE BELLECOMBE','SAVOIE'),
('73590','ST NICOLAS LA CHAPELLE','SAVOIE'),
('73600','FONTAINE LE PUITS','SAVOIE'),
('73600','HAUTECOUR','SAVOIE'),
('73600','MOUTIERS','SAVOIE'),
('73600','NOTRE DAME DU PRE','SAVOIE'),
('73600','ST MARCEL','SAVOIE'),
('73600','SALINS LES THERMES','SAVOIE'),
('73600','VILLARLURIN','SAVOIE'),
('73610','AIGUEBELETTE LE LAC','SAVOIE'),
('73610','ATTIGNAT ONCIN','SAVOIE'),
('73610','DULLIN','SAVOIE'),
('73610','LEPIN LE LAC','SAVOIE'),
('73610','ST ALBAN DE MONTBEL','SAVOIE'),
('73620','HAUTELUCE','SAVOIE'),
('73630','LE CHATELARD','SAVOIE'),
('73630','LA COMPOTE','SAVOIE'),
('73630','DOUCY EN BAUGES','SAVOIE'),
('73630','ECOLE','SAVOIE'),
('73630','JARSY','SAVOIE'),
('73630','STE REINE','SAVOIE'),
('73640','STE FOY TARENTAISE','SAVOIE'),
('73640','VILLAROGER','SAVOIE'),
('73660','LA CHAPELLE','SAVOIE'),
('73660','LES CHAVANNES EN MAURIENN','SAVOIE'),
('73660','ST REMY DE MAURIENNE','SAVOIE'),
('73670','ST PIERRE D ENTREMONT','SAVOIE'),
('73670','ENTREMONT LE VIEUX','SAVOIE'),
('73700','BOURG ST MAURICE','SAVOIE'),
('73700','LES CHAPELLES','SAVOIE'),
('73700','MONTVALEZAN','SAVOIE'),
('73700','SEEZ','SAVOIE'),
('73700','LES ARCS','SAVOIE'),
('73700','HAUTEVILLE GONDON','SAVOIE'),
('73710','PRALOGNAN LA VANOISE','SAVOIE'),
('73720','QUEIGE','SAVOIE'),
('73730','CEVINS','SAVOIE'),
('73730','ROGNAIX','SAVOIE'),
('73730','ST PAUL SUR ISERE','SAVOIE'),
('73790','TOURS EN SAVOIE','SAVOIE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('73800','ARBIN','SAVOIE'),
('73800','LA CHAVANE','SAVOIE'),
('73800','CHIGNIN','SAVOIE'),
('73800','COISE ST JEAN PIED GAUTHI','SAVOIE'),
('73800','CRUET','SAVOIE'),
('73800','FRANCIN','SAVOIE'),
('73800','LAISSAUD','SAVOIE'),
('73800','LES MARCHES','SAVOIE'),
('73800','LES MOLLETTES','SAVOIE'),
('73800','MONTMELIAN','SAVOIE'),
('73800','MYANS','SAVOIE'),
('73800','PLANAISE','SAVOIE'),
('73800','STE HELENE DU LAC','SAVOIE'),
('73800','ST PIERRE DE SOUCY','SAVOIE'),
('73800','VILLARD D HERY','SAVOIE'),
('73870','MONTRICHER ALBANNE','SAVOIE'),
('73870','ST JULIEN MONT DENIS','SAVOIE'),
('73870','LES KARELIS','SAVOIE'),
('74000','ANNECY','HAUTE SAVOIE'),
('74100','AMBILLY','HAUTE SAVOIE'),
('74100','ANNEMASSE','HAUTE SAVOIE'),
('74100','ETREMBIERES','HAUTE SAVOIE'),
('74100','JUVIGNY','HAUTE SAVOIE'),
('74100','VETRAZ MONTHOUX','HAUTE SAVOIE'),
('74100','VILLE LA GRAND','HAUTE SAVOIE'),
('74100','PAS DE L ECHELLE','HAUTE SAVOIE'),
('74110','LA COTE D ARBROZ','HAUTE SAVOIE'),
('74110','ESSERT ROMAND','HAUTE SAVOIE'),
('74110','MONTRIOND','HAUTE SAVOIE'),
('74110','MORZINE','HAUTE SAVOIE'),
('74110','AVORIAZ','HAUTE SAVOIE'),
('74120','DEMI QUARTIER','HAUTE SAVOIE'),
('74120','MEGEVE','HAUTE SAVOIE'),
('74120','PRAZ SUR ARLY','HAUTE SAVOIE'),
('74130','AYSE','HAUTE SAVOIE'),
('74130','BONNEVILLE','HAUTE SAVOIE'),
('74130','BRIZON','HAUTE SAVOIE'),
('74130','CONTAMINE SUR ARVE','HAUTE SAVOIE'),
('74130','ENTREMONT','HAUTE SAVOIE'),
('74130','FAUCIGNY','HAUTE SAVOIE'),
('74130','MONT SAXONNEX','HAUTE SAVOIE'),
('74130','LE PETIT BORNAND LES GLIE','HAUTE SAVOIE'),
('74130','VOUGY','HAUTE SAVOIE'),
('74140','BALLAISON','HAUTE SAVOIE'),
('74140','CHENS SUR LEMAN','HAUTE SAVOIE'),
('74140','DOUVAINE','HAUTE SAVOIE'),
('74140','EXCENEVEX','HAUTE SAVOIE'),
('74140','LOISIN','HAUTE SAVOIE'),
('74140','MACHILLY','HAUTE SAVOIE'),
('74140','MASSONGY','HAUTE SAVOIE'),
('74140','MESSERY','HAUTE SAVOIE'),
('74140','NERNIER','HAUTE SAVOIE'),
('74140','ST CERGUES','HAUTE SAVOIE'),
('74140','SCIEZ','HAUTE SAVOIE'),
('74140','VEIGY FONCENEX','HAUTE SAVOIE'),
('74140','YVOIRE','HAUTE SAVOIE'),
('74150','BLOYE','HAUTE SAVOIE'),
('74150','BONNEGUETE','HAUTE SAVOIE'),
('74150','BOUSSY','HAUTE SAVOIE'),
('74150','CREMPIGNY BONNEGUETE','HAUTE SAVOIE'),
('74150','ETERCY','HAUTE SAVOIE'),
('74150','HAUTEVILLE SUR FIER','HAUTE SAVOIE'),
('74150','LORNAY','HAUTE SAVOIE'),
('74150','MARCELLAZ ALBANAIS','HAUTE SAVOIE'),
('74150','MARIGNY ST MARCEL','HAUTE SAVOIE'),
('74150','MASSINGY','HAUTE SAVOIE'),
('74150','MOYE','HAUTE SAVOIE'),
('74150','RUMILLY','HAUTE SAVOIE'),
('74150','ST ANDRE VAL DE FIER','HAUTE SAVOIE'),
('74150','ST EUSEBE','HAUTE SAVOIE'),
('74150','SALES','HAUTE SAVOIE'),
('74150','VAL DE FIER','HAUTE SAVOIE'),
('74150','THUSY','HAUTE SAVOIE'),
('74150','VALLIERES','HAUTE SAVOIE'),
('74150','VAULX','HAUTE SAVOIE'),
('74150','VERSONNEX','HAUTE SAVOIE'),
('74150','SION','HAUTE SAVOIE'),
('74160','ARCHAMPS','HAUTE SAVOIE'),
('74160','BEAUMONT','HAUTE SAVOIE'),
('74160','BOSSEY','HAUTE SAVOIE'),
('74160','COLLONGES SUR SALEVE','HAUTE SAVOIE'),
('74160','FEIGERES','HAUTE SAVOIE'),
('74160','NEYDENS','HAUTE SAVOIE'),
('74160','PRESILLY','HAUTE SAVOIE'),
('74160','ST JULIEN EN GENEVOIS','HAUTE SAVOIE'),
('74160','VERS','HAUTE SAVOIE'),
('74170','LES CONTAMINES MONTJOIE','HAUTE SAVOIE'),
('74170','ST GERVAIS LES BAINS','HAUTE SAVOIE'),
('74190','PASSY','HAUTE SAVOIE'),
('74190','ST NICOLAS DE VEROCE','HAUTE SAVOIE'),
('74190','CHEDDE','HAUTE SAVOIE'),
('74190','LE FAYET','HAUTE SAVOIE'),
('74200','ALLINGES','HAUTE SAVOIE'),
('74200','ANTHY SUR LEMAN','HAUTE SAVOIE'),
('74200','ARMOY','HAUTE SAVOIE'),
('74200','LA FORCLAZ','HAUTE SAVOIE'),
('74200','LYAUD','HAUTE SAVOIE'),
('74200','MARGENCEL','HAUTE SAVOIE'),
('74200','MARIN','HAUTE SAVOIE'),
('74200','REYVROZ','HAUTE SAVOIE'),
('74200','THONON LES BAINS','HAUTE SAVOIE'),
('74200','LA VERNAZ','HAUTE SAVOIE'),
('74200','VONGY','HAUTE SAVOIE'),
('74210','CHEVALINE','HAUTE SAVOIE'),
('74210','CONS STE COLOMBE','HAUTE SAVOIE'),
('74210','DOUSSARD','HAUTE SAVOIE'),
('74210','FAVERGES','HAUTE SAVOIE'),
('74210','GIEZ','HAUTE SAVOIE'),
('74210','LATHUILE','HAUTE SAVOIE'),
('74210','MARLENS','HAUTE SAVOIE'),
('74210','MONTMIN','HAUTE SAVOIE'),
('74210','ST FERREOL','HAUTE SAVOIE'),
('74210','SEYTHENEX','HAUTE SAVOIE'),
('74220','LA CLUSAZ','HAUTE SAVOIE'),
('74230','LA BALME DE THUY','HAUTE SAVOIE'),
('74230','LE BOUCHET','HAUTE SAVOIE'),
('74230','LES CLEFS','HAUTE SAVOIE'),
('74230','DINGY ST CLAIR','HAUTE SAVOIE'),
('74230','MANIGOD','HAUTE SAVOIE'),
('74230','SERRAVAL','HAUTE SAVOIE'),
('74230','THONES','HAUTE SAVOIE'),
('74230','LES VILLARDS SUR THONES','HAUTE SAVOIE'),
('74240','GAILLARD','HAUTE SAVOIE'),
('74250','BOGEVE','HAUTE SAVOIE'),
('74250','FILLINGES','HAUTE SAVOIE'),
('74250','MARCELLAZ','HAUTE SAVOIE'),
('74250','PEILLONNEX','HAUTE SAVOIE'),
('74250','ST JEAN DE THOLOME','HAUTE SAVOIE'),
('74250','LA TOUR','HAUTE SAVOIE'),
('74250','VILLE EN SALLAZ','HAUTE SAVOIE'),
('74250','VIUZ EN SALLAZ','HAUTE SAVOIE'),
('74260','LES GETS','HAUTE SAVOIE'),
('74270','ARCINE','HAUTE SAVOIE'),
('74270','CHAUMONT','HAUTE SAVOIE'),
('74270','CHAVANNAZ','HAUTE SAVOIE'),
('74270','CHENE EN SEMINE','HAUTE SAVOIE'),
('74270','CHESSENAZ','HAUTE SAVOIE'),
('74270','CHILLY','HAUTE SAVOIE'),
('74270','CLARAFOND','HAUTE SAVOIE'),
('74270','CLERMONT','HAUTE SAVOIE'),
('74270','CONTAMINE SARZIN','HAUTE SAVOIE'),
('74270','DESINGY','HAUTE SAVOIE'),
('74270','DROISY','HAUTE SAVOIE'),
('74270','FRANGY','HAUTE SAVOIE'),
('74270','MARLIOZ','HAUTE SAVOIE'),
('74270','MENTHONNEX SOUS CLERMONT','HAUTE SAVOIE'),
('74270','MINZIER','HAUTE SAVOIE'),
('74270','MUSIEGES','HAUTE SAVOIE'),
('74270','SALLENOVES','HAUTE SAVOIE'),
('74270','VANZY','HAUTE SAVOIE'),
('74290','ALEX','HAUTE SAVOIE'),
('74290','BLUFFY','HAUTE SAVOIE'),
('74290','MENTHON ST BERNARD','HAUTE SAVOIE'),
('74290','TALLOIRES','HAUTE SAVOIE'),
('74290','VEYRIER DU LAC','HAUTE SAVOIE'),
('74300','ARACHES','HAUTE SAVOIE'),
('74300','CHATILLON SUR CLUSES','HAUTE SAVOIE'),
('74300','CLUSES','HAUTE SAVOIE'),
('74300','LA FRASSE','HAUTE SAVOIE'),
('74300','MAGLAND','HAUTE SAVOIE'),
('74300','NANCY SUR CLUSES','HAUTE SAVOIE'),
('74300','ST SIGISMOND','HAUTE SAVOIE'),
('74300','THYEZ','HAUTE SAVOIE'),
('74300','LES CARROZ D ARRACHES','HAUTE SAVOIE'),
('74300','FLAINE','HAUTE SAVOIE'),
('74310','LES HOUCHES','HAUTE SAVOIE'),
('74310','SERVOZ','HAUTE SAVOIE'),
('74320','LESCHAUX','HAUTE SAVOIE'),
('74320','SEVRIER','HAUTE SAVOIE'),
('74330','LA BALME DE SILLINGY','HAUTE SAVOIE'),
('74330','CHOISY','HAUTE SAVOIE'),
('74330','EPAGNY','HAUTE SAVOIE'),
('74330','LOVAGNY','HAUTE SAVOIE'),
('74330','MESIGNY','HAUTE SAVOIE'),
('74330','NONGLARD','HAUTE SAVOIE'),
('74330','POISY','HAUTE SAVOIE'),
('74330','SILLINGY','HAUTE SAVOIE'),
('74340','SAMOENS','HAUTE SAVOIE'),
('74350','ALLONZIER LA CAILLE','HAUTE SAVOIE'),
('74350','ANDILLY','HAUTE SAVOIE'),
('74350','AVREGNY','HAUTE SAVOIE'),
('74350','CERCIER','HAUTE SAVOIE'),
('74350','CERNEX','HAUTE SAVOIE'),
('74350','COPPONEX','HAUTE SAVOIE'),
('74350','CRUSEILLES','HAUTE SAVOIE'),
('74350','CUVAT','HAUTE SAVOIE'),
('74350','MENTHONNEX EN BORNES','HAUTE SAVOIE'),
('74350','ST BLAISE','HAUTE SAVOIE'),
('74350','LE SAPPEY','HAUTE SAVOIE'),
('74350','VILLY LE BOUVERET','HAUTE SAVOIE'),
('74350','VILLY LE PELLOUX','HAUTE SAVOIE'),
('74350','VOVRAY EN BORNES','HAUTE SAVOIE'),
('74350','JUSSY','HAUTE SAVOIE'),
('74360','ABONDANCE','HAUTE SAVOIE'),
('74360','BONNEVAUX','HAUTE SAVOIE'),
('74360','LA CHAPELLE D ABONDANCE','HAUTE SAVOIE'),
('74360','VACHERESSE','HAUTE SAVOIE'),
('74370','ARGONAY','HAUTE SAVOIE'),
('74370','CHARVONNEX','HAUTE SAVOIE'),
('74370','FERRIERES','HAUTE SAVOIE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('74370','METZ TESSY','HAUTE SAVOIE'),
('74370','NAVES PARMELAN','HAUTE SAVOIE'),
('74370','LES OLLIERES','HAUTE SAVOIE'),
('74370','PRINGY','HAUTE SAVOIE'),
('74370','ST MARTIN BELLEVUE','HAUTE SAVOIE'),
('74370','VILLAZ','HAUTE SAVOIE'),
('74380','ARTHAZ PONT NOTRE DAME','HAUTE SAVOIE'),
('74380','BONNE','HAUTE SAVOIE'),
('74380','CRANVES SALES','HAUTE SAVOIE'),
('74380','LOEX','HAUTE SAVOIE'),
('74380','LUCINGES','HAUTE SAVOIE'),
('74380','NANGY','HAUTE SAVOIE'),
('74390','CHATEL','HAUTE SAVOIE'),
('74400','CHAMONIX MONT BLANC','HAUTE SAVOIE'),
('74400','ARGENTIERE','HAUTE SAVOIE'),
('74400','LES BOSSONS','HAUTE SAVOIE'),
('74400','LES PRAZ DE CHAMONIX','HAUTE SAVOIE'),
('74410','LA CHAPELLE ST MAURICE','HAUTE SAVOIE'),
('74410','DUINGT','HAUTE SAVOIE'),
('74410','ENTREVERNES','HAUTE SAVOIE'),
('74410','ST EUSTACHE','HAUTE SAVOIE'),
('74410','ST JORIOZ','HAUTE SAVOIE'),
('74420','BOEGE','HAUTE SAVOIE'),
('74420','BURDIGNIN','HAUTE SAVOIE'),
('74420','HABERE LULLIN','HAUTE SAVOIE'),
('74420','HABERE POCHE','HAUTE SAVOIE'),
('74420','ST ANDRE DE BOEGE','HAUTE SAVOIE'),
('74420','SAXEL','HAUTE SAVOIE'),
('74420','VILLARD','HAUTE SAVOIE'),
('74430','LA BAUME','HAUTE SAVOIE'),
('74430','LE BIOT','HAUTE SAVOIE'),
('74430','ST JEAN D AULPS','HAUTE SAVOIE'),
('74430','SEYTROUX','HAUTE SAVOIE'),
('74440','MIEUSSY','HAUTE SAVOIE'),
('74440','MORILLON','HAUTE SAVOIE'),
('74440','LA RIVIERE ENVERSE','HAUTE SAVOIE'),
('74440','TANINGES','HAUTE SAVOIE'),
('74440','VERCHAIX','HAUTE SAVOIE'),
('74440','SOMMAND','HAUTE SAVOIE'),
('74440','LE PRAZ DE LYS','HAUTE SAVOIE'),
('74450','LE GRAND BORNAND','HAUTE SAVOIE'),
('74450','ST JEAN DE SIXT','HAUTE SAVOIE'),
('74460','MARNAZ','HAUTE SAVOIE'),
('74470','BELLEVAUX','HAUTE SAVOIE'),
('74470','LULLIN','HAUTE SAVOIE'),
('74470','VAILLY','HAUTE SAVOIE'),
('74480','PLATEAU D ASSY','HAUTE SAVOIE'),
('74480','GUEBRIANT','HAUTE SAVOIE'),
('74480','MARTEL DE JANVILLE','HAUTE SAVOIE'),
('74480','MONT BLANC D ASSY','HAUTE SAVOIE'),
('74480','PRAZ COUTANT','HAUTE SAVOIE'),
('74480','SANCELLEMOZ','HAUTE SAVOIE'),
('74490','MEGEVETTE','HAUTE SAVOIE'),
('74490','ONNION','HAUTE SAVOIE'),
('74490','ST JEOIRE','HAUTE SAVOIE'),
('74500','BERNEX','HAUTE SAVOIE'),
('74500','CHAMPANGES','HAUTE SAVOIE'),
('74500','CHEVENOZ','HAUTE SAVOIE'),
('74500','EVIAN LES BAINS','HAUTE SAVOIE'),
('74500','FETERNES','HAUTE SAVOIE'),
('74500','LARRINGES','HAUTE SAVOIE'),
('74500','LUGRIN','HAUTE SAVOIE'),
('74500','MAXILLY SUR LEMAN','HAUTE SAVOIE'),
('74500','MEILLERIE','HAUTE SAVOIE'),
('74500','NEUVECELLE','HAUTE SAVOIE'),
('74500','NOVEL','HAUTE SAVOIE'),
('74500','PUBLIER','HAUTE SAVOIE'),
('74500','ST GINGOLPH','HAUTE SAVOIE'),
('74500','ST PAUL EN CHABLAIS','HAUTE SAVOIE'),
('74500','THOLLON LES MEMISES','HAUTE SAVOIE'),
('74500','VINZIER','HAUTE SAVOIE'),
('74500','AMPHION LES BAINS','HAUTE SAVOIE'),
('74520','CHENEX','HAUTE SAVOIE'),
('74520','CHEVRIER','HAUTE SAVOIE'),
('74520','DINGY EN VUACHE','HAUTE SAVOIE'),
('74520','JONZIER EPAGNY','HAUTE SAVOIE'),
('74520','SAVIGNY','HAUTE SAVOIE'),
('74520','VALLEIRY','HAUTE SAVOIE'),
('74520','VULBENS','HAUTE SAVOIE'),
('74540','ALBY SUR CHERAN','HAUTE SAVOIE'),
('74540','ALLEVES','HAUTE SAVOIE'),
('74540','CHAINAZ LES FRASSES','HAUTE SAVOIE'),
('74540','CHAPEIRY','HAUTE SAVOIE'),
('74540','CUSY','HAUTE SAVOIE'),
('74540','GRUFFY','HAUTE SAVOIE'),
('74540','HERY SUR ALBY','HAUTE SAVOIE'),
('74540','MURES','HAUTE SAVOIE'),
('74540','ST FELIX','HAUTE SAVOIE'),
('74540','ST SYLVESTRE','HAUTE SAVOIE'),
('74540','VIUZ LA CHIESAZ','HAUTE SAVOIE'),
('74550','CERVENS','HAUTE SAVOIE'),
('74550','DRAILLANT','HAUTE SAVOIE'),
('74550','ORCIER','HAUTE SAVOIE'),
('74550','PERRIGNIER','HAUTE SAVOIE'),
('74560','ESSERTS SALEVE','HAUTE SAVOIE'),
('74560','MONNETIER MORNEX','HAUTE SAVOIE'),
('74560','LA MURAZ','HAUTE SAVOIE'),
('74570','AVIERNOZ','HAUTE SAVOIE'),
('74570','EVIRES','HAUTE SAVOIE'),
('74570','GROISY','HAUTE SAVOIE'),
('74570','THORENS GLIERES','HAUTE SAVOIE'),
('74580','VIRY','HAUTE SAVOIE'),
('74600','BALMONT','HAUTE SAVOIE'),
('74600','MONTAGNY LES LANCHES','HAUTE SAVOIE'),
('74600','QUINTAL','HAUTE SAVOIE'),
('74600','SEYNOD','HAUTE SAVOIE'),
('74600','VIEUGY','HAUTE SAVOIE'),
('74650','CHAVANOD','HAUTE SAVOIE'),
('74660','VALLORCINE','HAUTE SAVOIE'),
('74700','CORDON','HAUTE SAVOIE'),
('74700','DOMANCY','HAUTE SAVOIE'),
('74700','ST MARTIN SUR AVRE','HAUTE SAVOIE'),
('74700','ST ROCH','HAUTE SAVOIE'),
('74700','SALLANCHES','HAUTE SAVOIE'),
('74740','SIXT FER A CHEVAL','HAUTE SAVOIE'),
('74800','AMANCY','HAUTE SAVOIE'),
('74800','ARENTHON','HAUTE SAVOIE'),
('74800','LA CHAPELLE RAMBAUD','HAUTE SAVOIE'),
('74800','CORNIER','HAUTE SAVOIE'),
('74800','ETAUX','HAUTE SAVOIE'),
('74800','LA ROCHE SUR FORON','HAUTE SAVOIE'),
('74800','ST LAURENT','HAUTE SAVOIE'),
('74800','ST PIERRE EN FAUCIGNY','HAUTE SAVOIE'),
('74800','ST SIXT','HAUTE SAVOIE'),
('74890','BONS EN CHABLAIS','HAUTE SAVOIE'),
('74890','BRENTHONNE','HAUTE SAVOIE'),
('74890','FESSY','HAUTE SAVOIE'),
('74890','LULLY','HAUTE SAVOIE'),
('74910','BASSY','HAUTE SAVOIE'),
('74910','CHALLONGES','HAUTE SAVOIE'),
('74910','FRANCLENS','HAUTE SAVOIE'),
('74910','SEYSSEL','HAUTE SAVOIE'),
('74910','USINENS','HAUTE SAVOIE'),
('74920','COMBLOUX','HAUTE SAVOIE'),
('74930','ARBUSIGNY','HAUTE SAVOIE'),
('74930','ESERY','HAUTE SAVOIE'),
('74930','PERS JUSSY','HAUTE SAVOIE'),
('74930','REIGNIER','HAUTE SAVOIE'),
('74930','SCIENTRIER','HAUTE SAVOIE'),
('74940','ANNECY LE VIEUX','HAUTE SAVOIE'),
('74950','LE REPOSOIR','HAUTE SAVOIE'),
('74950','SCIONZIER','HAUTE SAVOIE'),
('74960','CRAN GEVRIER','HAUTE SAVOIE'),
('74960','MEYTHET','HAUTE SAVOIE'),
('74970','MARIGNIER','HAUTE SAVOIE'),
('75000','PARIS','PARIS'),
('75001','PARIS 1ER ARRONDISSEMENT','PARIS'),
('75002','PARIS 2EME ARRONDISSEMENT','PARIS'),
('75003','PARIS 3EME ARRONDISSEMENT','PARIS'),
('75004','PARIS 4EME ARRONDISSEMENT','PARIS'),
('75005','PARIS 5EME ARRONDISSEMENT','PARIS'),
('75006','PARIS 6EME ARRONDISSEMENT','PARIS'),
('75007','PARIS 7EME ARRONDISSEMENT','PARIS'),
('75008','PARIS 8EME ARRONDISSEMENT','PARIS'),
('75009','PARIS 9EME ARRONDISSEMENT','PARIS'),
('75010','PARIS 10EME ARRONDISSEMENT','PARIS'),
('75011','PARIS 11EME ARRONDISSEMENT','PARIS'),
('75012','PARIS 12EME ARRONDISSEMENT','PARIS'),
('75013','PARIS 13EME ARRONDISSEMENT','PARIS'),
('75014','PARIS 14EME ARRONDISSEMENT','PARIS'),
('75015','PARIS 15EME ARRONDISSEMENT','PARIS'),
('75016','PARIS 16EME ARRONDISSEMENT','PARIS'),
('75017','PARIS 17EME ARRONDISSEMENT','PARIS'),
('75018','PARIS 18EME ARRONDISSEMENT','PARIS'),
('75019','PARIS 19EME ARRONDISSEMENT','PARIS'),
('75020','PARIS 20EME ARRONDISSEMENT','PARIS'),
('76000','ROUEN','SEINE MARITIME'),
('76110','ANGERVILLE BAILLEUL','SEINE MARITIME'),
('76110','ANNOUVILLE VILMESNIL','SEINE MARITIME'),
('76110','AUBERVILLE LA RENAULT','SEINE MARITIME'),
('76110','BEC DE MORTAGNE','SEINE MARITIME'),
('76110','BENARVILLE','SEINE MARITIME'),
('76110','BORNAMBUSC','SEINE MARITIME'),
('76110','BREAUTE','SEINE MARITIME'),
('76110','BRETEVILLE DU GRAND CAUX','SEINE MARITIME'),
('76110','DAUBEUF SERVILLE','SEINE MARITIME'),
('76110','ECRAINVILLE','SEINE MARITIME'),
('76110','GODERVILLE','SEINE MARITIME'),
('76110','GONFREVILLE CAILLOT','SEINE MARITIME'),
('76110','GRAINVILLE YMAUVILLE','SEINE MARITIME'),
('76110','HOUQUETOT','SEINE MARITIME'),
('76110','MANNEVILLE LA GOUPIL','SEINE MARITIME'),
('76110','MENTHEVILLE','SEINE MARITIME'),
('76110','ST MACLOU LA BRIERE','SEINE MARITIME'),
('76110','ST SAUVEUR D EMALLEVILLE','SEINE MARITIME'),
('76110','SAUSSEUZEMARE EN CAU','SEINE MARITIME'),
('76110','TOCQUEVILLE LES MURS','SEINE MARITIME'),
('76110','VATTETOT SOUS BEAUMONT','SEINE MARITIME'),
('76110','VIRVILLE','SEINE MARITIME'),
('76111','CRIQUEBEUF EN CAUX','SEINE MARITIME'),
('76111','VATTETOT SUR MER','SEINE MARITIME'),
('76111','YPORT','SEINE MARITIME'),
('76113','HAUTOT SUR SEINE','SEINE MARITIME'),
('76113','SAHURS','SEINE MARITIME'),
('76113','ST PIERRE DE MANNEVILLE','SEINE MARITIME'),
('76116','AUZOUVILLE SUR RY','SEINE MARITIME'),
('76116','BLAINVILLE CREVON','SEINE MARITIME'),
('76116','CATENAY','SEINE MARITIME'),
('76116','GRAINVILLE SUR RY','SEINE MARITIME'),
('76116','MARTAINVILLE EPREVILLE','SEINE MARITIME');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('76116','RY','SEINE MARITIME'),
('76116','ST AIGNAN SUR RY','SEINE MARITIME'),
('76116','ST DENIS LE THIBOULT','SEINE MARITIME'),
('76116','SERVAVILLE SALMONVILLE','SEINE MARITIME'),
('76117','INCHEVILLE','SEINE MARITIME'),
('76119','STE MARGUERITE SUR MER','SEINE MARITIME'),
('76119','VARENGEVILLE SUR MER','SEINE MARITIME'),
('76120','LE GRAND QUEVILLY','SEINE MARITIME'),
('76130','MONT ST AIGNAN','SEINE MARITIME'),
('76133','EPOUVILLE','SEINE MARITIME'),
('76133','MANEGLISE','SEINE MARITIME'),
('76133','NOTRE DAME DU BEC','SEINE MARITIME'),
('76133','ROLLEVILLE','SEINE MARITIME'),
('76133','ST MARTIN DU BEC','SEINE MARITIME'),
('76140','LE PETIT QUEVILLY','SEINE MARITIME'),
('76150','MAROMME','SEINE MARITIME'),
('76150','ST JEAN DU CARDONNAY','SEINE MARITIME'),
('76150','LA VAUPALIERE','SEINE MARITIME'),
('76150','LA MAINE','SEINE MARITIME'),
('76160','BOIS D ENNEBOURG','SEINE MARITIME'),
('76160','BOIS L EVEQUE','SEINE MARITIME'),
('76160','DARNETAL','SEINE MARITIME'),
('76160','FONTAINE SOUS PREAUX','SEINE MARITIME'),
('76160','PREAUX','SEINE MARITIME'),
('76160','RONCHEROLLES SUR LE VIVIE','SEINE MARITIME'),
('76160','ST AUBIN EPINAY','SEINE MARITIME'),
('76160','ST JACQUES SUR DARNETAL','SEINE MARITIME'),
('76160','ST LEGER DU BOURG DENIS','SEINE MARITIME'),
('76160','ST MARTIN DU VIVIER','SEINE MARITIME'),
('76160','LA VIEUX RUE','SEINE MARITIME'),
('76170','AUBERVILLE LA CAMPAGNE','SEINE MARITIME'),
('76170','LA FRENAYE','SEINE MARITIME'),
('76170','GRAND CAMP','SEINE MARITIME'),
('76170','LILLEBONNE','SEINE MARITIME'),
('76170','MELAMARE','SEINE MARITIME'),
('76170','ST ANTOINE LA FORET','SEINE MARITIME'),
('76170','ST JEAN DE FOLLEVILLE','SEINE MARITIME'),
('76170','ST NICOLAS DE LA TAILLE','SEINE MARITIME'),
('76170','TOUFFREVILLE LA CABLE','SEINE MARITIME'),
('76170','LA TRINITE DU MONT','SEINE MARITIME'),
('76170','TRIQUERVILLE','SEINE MARITIME'),
('76190','ALLOUVILLE BELLEFOSSE','SEINE MARITIME'),
('76190','AUTRETOT','SEINE MARITIME'),
('76190','AUZEBOSC','SEINE MARITIME'),
('76190','BAONS LE COMTE','SEINE MARITIME'),
('76190','BETTEVILLE','SEINE MARITIME'),
('76190','BLACQUEVILLE','SEINE MARITIME'),
('76190','BOIS HIMONT','SEINE MARITIME'),
('76190','CARVILLE LA FOLLETIERE','SEINE MARITIME'),
('76190','CROIX MARE','SEINE MARITIME'),
('76190','ECALLES ALIX','SEINE MARITIME'),
('76190','ECRETTEVILLE LES BAONS','SEINE MARITIME'),
('76190','ETOUTTEVILLE','SEINE MARITIME'),
('76190','LA FOLLETIERE','SEINE MARITIME'),
('76190','FREVILLE','SEINE MARITIME'),
('76190','HAUTOT LE VATOIS','SEINE MARITIME'),
('76190','HAUTOT ST SULPICE','SEINE MARITIME'),
('76190','MONT DE L IF','SEINE MARITIME'),
('76190','ST AUBIN DE CRETOT','SEINE MARITIME'),
('76190','ST CLAIR SUR LES MONTS','SEINE MARITIME'),
('76190','STE MARIE DES CHAMPS','SEINE MARITIME'),
('76190','TOUFFREVILLE LA CORBELINE','SEINE MARITIME'),
('76190','VALLIQUERVILLE','SEINE MARITIME'),
('76190','VEAUVILLE LES BAONS','SEINE MARITIME'),
('76190','YVETOT','SEINE MARITIME'),
('76200','DIEPPE','SEINE MARITIME'),
('76210','BERNIERES','SEINE MARITIME'),
('76210','BEUZEVILLE LA GRENIER','SEINE MARITIME'),
('76210','BEUZEVILLETTE','SEINE MARITIME'),
('76210','BOLBEC','SEINE MARITIME'),
('76210','BOLLEVILLE','SEINE MARITIME'),
('76210','GRUCHET LE VALASSE','SEINE MARITIME'),
('76210','LANQUETOT','SEINE MARITIME'),
('76210','LINTOT','SEINE MARITIME'),
('76210','MIRVILLE','SEINE MARITIME'),
('76210','NOINTOT','SEINE MARITIME'),
('76210','PARC D ANXTOT','SEINE MARITIME'),
('76210','RAFFETOT','SEINE MARITIME'),
('76210','ROUVILLE','SEINE MARITIME'),
('76210','ST EUSTACHE LA FORET','SEINE MARITIME'),
('76210','ST JEAN DE LA NEUVILLE','SEINE MARITIME'),
('76210','TROUVILLE ALLIQUERVILLE','SEINE MARITIME'),
('76220','AVESNES EN BRAY','SEINE MARITIME'),
('76220','BEAUVOIR EN LYONS','SEINE MARITIME'),
('76220','BEZANCOURT','SEINE MARITIME'),
('76220','BOSC HYONS','SEINE MARITIME'),
('76220','BREMONTIER MERVAL','SEINE MARITIME'),
('76220','CUY ST FIACRE','SEINE MARITIME'),
('76220','DAMPIERRE EN BRAY','SEINE MARITIME'),
('76220','DOUDEAUVILLE','SEINE MARITIME'),
('76220','ELBEUF EN BRAY','SEINE MARITIME'),
('76220','ERNEMONT LA VILLETTE','SEINE MARITIME'),
('76220','FERRIERES EN BRAY','SEINE MARITIME'),
('76220','LA FEUILLIE','SEINE MARITIME'),
('76220','GANCOURT ST ETIENNE','SEINE MARITIME'),
('76220','GOURNAY EN BRAY','SEINE MARITIME'),
('76220','MENERVAL','SEINE MARITIME'),
('76220','MOLAGNIES','SEINE MARITIME'),
('76220','MONTROTY','SEINE MARITIME'),
('76220','NEUF MARCHE','SEINE MARITIME'),
('76230','BOIS GUILLAUME','SEINE MARITIME'),
('76230','ISNEAUVILLE','SEINE MARITIME'),
('76230','QUINCAMPOIX','SEINE MARITIME'),
('76240','BELBEUF','SEINE MARITIME'),
('76240','BONSECOURS','SEINE MARITIME'),
('76240','LE MESNIL ESNARD','SEINE MARITIME'),
('76250','DEVILLE LES ROUEN','SEINE MARITIME'),
('76260','BAROMESNIL','SEINE MARITIME'),
('76260','CANEHAN','SEINE MARITIME'),
('76260','CUVERVILLE SUR YERES','SEINE MARITIME'),
('76260','ETALONDES','SEINE MARITIME'),
('76260','EU','SEINE MARITIME'),
('76260','FLOCQUES','SEINE MARITIME'),
('76260','LONGROY','SEINE MARITIME'),
('76260','MELLEVILLE','SEINE MARITIME'),
('76260','LE MESNIL REAUME','SEINE MARITIME'),
('76260','MILLEBOSC','SEINE MARITIME'),
('76260','MONCHY SUR EU','SEINE MARITIME'),
('76260','PONTS ET MARAIS','SEINE MARITIME'),
('76260','ST MARTIN LE GAILLARD','SEINE MARITIME'),
('76260','ST PIERRE EN VAL','SEINE MARITIME'),
('76260','ST REMY BOSCROCOURT','SEINE MARITIME'),
('76260','SEPT MEULES','SEINE MARITIME'),
('76260','VILLY LE BAS','SEINE MARITIME'),
('76270','AUVILLIERS','SEINE MARITIME'),
('76270','CALLENGEVILLE','SEINE MARITIME'),
('76270','BOUELLES','SEINE MARITIME'),
('76270','BULLY','SEINE MARITIME'),
('76270','ESCLAVELLES','SEINE MARITIME'),
('76270','LES ESSARTS VARIMPRE','SEINE MARITIME'),
('76270','FESQUES','SEINE MARITIME'),
('76270','FLAMETS FRETILS','SEINE MARITIME'),
('76270','FRESLES','SEINE MARITIME'),
('76270','GRAVAL','SEINE MARITIME'),
('76270','LUCY','SEINE MARITIME'),
('76270','MASSY','SEINE MARITIME'),
('76270','MENONVAL','SEINE MARITIME'),
('76270','MESNIERES EN BRAY','SEINE MARITIME'),
('76270','MORTEMER','SEINE MARITIME'),
('76270','NESLE HODENG','SEINE MARITIME'),
('76270','NEUFCHATEL EN BRAY','SEINE MARITIME'),
('76270','NEUVILLE FERRIERES','SEINE MARITIME'),
('76270','QUIEVRECOURT','SEINE MARITIME'),
('76270','STE BEUVE EN RIVIERE','SEINE MARITIME'),
('76270','ST GERMAIN SUR EAULNE','SEINE MARITIME'),
('76270','ST MARTIN L HORTIER','SEINE MARITIME'),
('76270','ST SAIRE','SEINE MARITIME'),
('76270','VATIERVILLE','SEINE MARITIME'),
('76280','ANGERVILLE L ORCHER','SEINE MARITIME'),
('76280','ANGLESQUEVILLE L ESNEVAL','SEINE MARITIME'),
('76280','BEAUREPAIRE','SEINE MARITIME'),
('76280','CRIQUETOT L ESNEVAL','SEINE MARITIME'),
('76280','CUVERVILLE','SEINE MARITIME'),
('76280','FONGUEUSEMARE','SEINE MARITIME'),
('76280','GONNEVILLE LA MALLET','SEINE MARITIME'),
('76280','HERMEVILLE','SEINE MARITIME'),
('76280','HEUQUEVILLE','SEINE MARITIME'),
('76280','PIERREFIQUES','SEINE MARITIME'),
('76280','LA POTERIE CAP D ANTIFER','SEINE MARITIME'),
('76280','ST JOUIN BRUNEVAL','SEINE MARITIME'),
('76280','STE MARIE AU BOSC','SEINE MARITIME'),
('76280','TURRETOT','SEINE MARITIME'),
('76280','VERGETOT','SEINE MARITIME'),
('76280','VILLAINVILLE','SEINE MARITIME'),
('76290','FONTAINE LA MALLET','SEINE MARITIME'),
('76290','FONTENAY','SEINE MARITIME'),
('76290','MANNEVILLETTE','SEINE MARITIME'),
('76290','MONTIVILLIERS','SEINE MARITIME'),
('76290','ST MARTIN DU MANOIR','SEINE MARITIME'),
('76300','SOTTEVILLE LES ROUEN','SEINE MARITIME'),
('76310','STE ADRESSE','SEINE MARITIME'),
('76320','CAUDEBEC LES ELBEUF','SEINE MARITIME'),
('76320','ST PIERRE LES ELBEUF','SEINE MARITIME'),
('76330','NORVILLE','SEINE MARITIME'),
('76330','NOTRE DAME DE GRAVENCHON','SEINE MARITIME'),
('76330','PETIVILLE','SEINE MARITIME'),
('76330','ST MAURICE D ETELAN','SEINE MARITIME'),
('76340','AUBERMESNIL AUX ERABLES','SEINE MARITIME'),
('76340','BAZINVAL','SEINE MARITIME'),
('76340','BLANGY SUR BRESLE','SEINE MARITIME'),
('76340','CAMPNEUSEVILLE','SEINE MARITIME'),
('76340','DANCOURT','SEINE MARITIME'),
('76340','FALLENCOURT','SEINE MARITIME'),
('76340','FOUCARMONT','SEINE MARITIME'),
('76340','GUERVILLE','SEINE MARITIME'),
('76340','HODENG AU BOSC','SEINE MARITIME'),
('76340','MONCHAUX SORENG','SEINE MARITIME'),
('76340','NESLE NORMANDEUSE','SEINE MARITIME'),
('76340','PIERRECOURT','SEINE MARITIME'),
('76340','REALCAMP','SEINE MARITIME'),
('76340','RETONVAL','SEINE MARITIME'),
('76340','RIEUX','SEINE MARITIME'),
('76340','ST LEGER AUX BOIS','SEINE MARITIME'),
('76340','ST MARTIN AU BOSC','SEINE MARITIME'),
('76340','ST RIQUIER EN RIVIERE','SEINE MARITIME'),
('76340','VILLERS SOUS FOUCARMONT','SEINE MARITIME'),
('76350','OISSEL','SEINE MARITIME'),
('76360','BARENTIN','SEINE MARITIME'),
('76360','BOUVILLE','SEINE MARITIME'),
('76360','PISSY POVILLE','SEINE MARITIME');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('76360','VILLERS ECALLES','SEINE MARITIME'),
('76370','ANCOURT','SEINE MARITIME'),
('76370','BELLEVILLE SUR MER','SEINE MARITIME'),
('76370','BERNEVAL LE GRAND','SEINE MARITIME'),
('76370','BRACQUEMONT','SEINE MARITIME'),
('76370','DERCHIGNY','SEINE MARITIME'),
('76370','GREGES','SEINE MARITIME'),
('76370','MARTIN EGLISE','SEINE MARITIME'),
('76370','NEUVILLE LES DIEPPE','SEINE MARITIME'),
('76370','ROUXMESNIL BOUTEILLES','SEINE MARITIME'),
('76370','ST MARTIN EN CAMPAGNE','SEINE MARITIME'),
('76380','CANTELEU','SEINE MARITIME'),
('76380','MONTIGNY','SEINE MARITIME'),
('76380','VAL DE LA HAYE','SEINE MARITIME'),
('76380','BAPEAUME LES ROUEN','SEINE MARITIME'),
('76380','DIEPPEDALLE CROISSET','SEINE MARITIME'),
('76390','AUBEGUIMONT','SEINE MARITIME'),
('76390','AUMALE','SEINE MARITIME'),
('76390','LE CAULE STE BEUVE','SEINE MARITIME'),
('76390','CONTEVILLE','SEINE MARITIME'),
('76390','CRIQUIERS','SEINE MARITIME'),
('76390','ELLECOURT','SEINE MARITIME'),
('76390','HAUDRICOURT','SEINE MARITIME'),
('76390','ILLOIS','SEINE MARITIME'),
('76390','LANDES VIEILLES ET NEUVES','SEINE MARITIME'),
('76390','MARQUES','SEINE MARITIME'),
('76390','NULLEMONT','SEINE MARITIME'),
('76390','RICHEMONT','SEINE MARITIME'),
('76390','RONCHOIS','SEINE MARITIME'),
('76390','MORIENNE','SEINE MARITIME'),
('76390','VIEUX ROUEN SUR BRESLE','SEINE MARITIME'),
('76400','COLLEVILLE','SEINE MARITIME'),
('76400','CONTREMOULINS','SEINE MARITIME'),
('76400','EPREVILLE','SEINE MARITIME'),
('76400','FECAMP','SEINE MARITIME'),
('76400','FROBERVILLE','SEINE MARITIME'),
('76400','GANZEVILLE','SEINE MARITIME'),
('76400','MANIQUERVILLE','SEINE MARITIME'),
('76400','STE HELENE BONDEVILLE','SEINE MARITIME'),
('76400','ST LEONARD','SEINE MARITIME'),
('76400','SENNEVILLE SUR FECAMP','SEINE MARITIME'),
('76400','TOURVILLE LES IFS','SEINE MARITIME'),
('76400','TOUSSAINT','SEINE MARITIME'),
('76410','CLEON','SEINE MARITIME'),
('76410','FRENEUSE','SEINE MARITIME'),
('76410','ST AUBIN LES ELBEUF','SEINE MARITIME'),
('76410','SOTTEVILLE SOUS LE VAL','SEINE MARITIME'),
('76410','TOURVILLE LA RIVIERE','SEINE MARITIME'),
('76420','BIHOREL','SEINE MARITIME'),
('76430','LA CERLANGUE','SEINE MARITIME'),
('76430','EPRETOT','SEINE MARITIME'),
('76430','ETAINHUS','SEINE MARITIME'),
('76430','GOMMERVILLE','SEINE MARITIME'),
('76430','GRAIMBOUVILLE','SEINE MARITIME'),
('76430','OUDALLE','SEINE MARITIME'),
('76430','LA REMUEE','SEINE MARITIME'),
('76430','SAINNEVILLE','SEINE MARITIME'),
('76430','ST AUBIN ROUTOT','SEINE MARITIME'),
('76430','ST GILLES DE LA NEUVILLE','SEINE MARITIME'),
('76430','ST ROMAIN DE COLBOSC','SEINE MARITIME'),
('76430','ST VIGOR D YMONVILLE','SEINE MARITIME'),
('76430','ST VINCENT CRAMESNIL','SEINE MARITIME'),
('76430','SANDOUVILLE','SEINE MARITIME'),
('76430','TANCARVILLE','SEINE MARITIME'),
('76430','LES TROIS PIERRES','SEINE MARITIME'),
('76440','BEAUBEC LA ROSIERE','SEINE MARITIME'),
('76440','LA BELLIERE','SEINE MARITIME'),
('76440','COMPAINVILLE','SEINE MARITIME'),
('76440','LA FERTE ST SAMSON','SEINE MARITIME'),
('76440','FONTAINE EN BRAY','SEINE MARITIME'),
('76440','FORGES LES EAUX','SEINE MARITIME'),
('76440','LE FOSSE','SEINE MARITIME'),
('76440','GRUMESNIL','SEINE MARITIME'),
('76440','HAUCOURT','SEINE MARITIME'),
('76440','HAUSSEZ','SEINE MARITIME'),
('76440','LONGMESNIL','SEINE MARITIME'),
('76440','MAUQUENCHY','SEINE MARITIME'),
('76440','MESNIL MAUGER','SEINE MARITIME'),
('76440','POMMEREUX','SEINE MARITIME'),
('76440','RONCHEROLLES EN BRAY','SEINE MARITIME'),
('76440','ROUVRAY CATILLON','SEINE MARITIME'),
('76440','STE GENEVIEVE','SEINE MARITIME'),
('76440','ST MICHEL D HALLESCOURT','SEINE MARITIME'),
('76440','SAUMONT LA POTERIE','SEINE MARITIME'),
('76440','SERQUEUX','SEINE MARITIME'),
('76440','SOMMERY','SEINE MARITIME'),
('76440','LE THIL RIBERPRE','SEINE MARITIME'),
('76450','AUBERVILLE LA MANUEL','SEINE MARITIME'),
('76450','BERTHEAUVILLE','SEINE MARITIME'),
('76450','BERTREVILLE','SEINE MARITIME'),
('76450','BEUZEVILLE LA GUERARD','SEINE MARITIME'),
('76450','BOSVILLE','SEINE MARITIME'),
('76450','BUTOT EN CAUX','SEINE MARITIME'),
('76450','CANOUVILLE','SEINE MARITIME'),
('76450','CANY BARVILLE','SEINE MARITIME'),
('76450','CLASVILLE','SEINE MARITIME'),
('76450','CLEUVILLE','SEINE MARITIME'),
('76450','CRASVILLE LA MALLET','SEINE MARITIME'),
('76450','GRAINVILLE LA TEINTURIERE','SEINE MARITIME'),
('76450','LE HANOUARD','SEINE MARITIME'),
('76450','HAUTOT L AUVRAY','SEINE MARITIME'),
('76450','MALLEVILLE LES GRES','SEINE MARITIME'),
('76450','OCQUEVILLE','SEINE MARITIME'),
('76450','OUAINVILLE','SEINE MARITIME'),
('76450','OURVILLE EN CAUX','SEINE MARITIME'),
('76450','PALUEL','SEINE MARITIME'),
('76450','ST VAAST DIEPPEDALLE','SEINE MARITIME'),
('76450','SASSEVILLE','SEINE MARITIME'),
('76450','THIOUVILLE','SEINE MARITIME'),
('76450','BUTOT VENESVILLE','SEINE MARITIME'),
('76450','VEULETTES SUR MER','SEINE MARITIME'),
('76450','VITTEFLEUR','SEINE MARITIME'),
('76460','BLOSSEVILLE','SEINE MARITIME'),
('76460','CAILLEVILLE','SEINE MARITIME'),
('76460','DROSAY','SEINE MARITIME'),
('76460','GUETTEVILLE LES GRES','SEINE MARITIME'),
('76460','INGOUVILLE','SEINE MARITIME'),
('76460','MANNEVILLE ES PLAINS','SEINE MARITIME'),
('76460','LE MESNIL DURDENT','SEINE MARITIME'),
('76460','NEVILLE','SEINE MARITIME'),
('76460','PLEINE SEVE','SEINE MARITIME'),
('76460','STE COLOMBE','SEINE MARITIME'),
('76460','ST RIQUIER ES PLAINS','SEINE MARITIME'),
('76460','ST SYLVAIN','SEINE MARITIME'),
('76460','ST VALERY EN CAUX','SEINE MARITIME'),
('76470','LE TREPORT','SEINE MARITIME'),
('76480','AMBOURVILLE','SEINE MARITIME'),
('76480','ANNEVILLE AMBOURVILLE','SEINE MARITIME'),
('76480','BARDOUVILLE','SEINE MARITIME'),
('76480','BERVILLE SUR SEINE','SEINE MARITIME'),
('76480','DUCLAIR','SEINE MARITIME'),
('76480','EPINAY SUR DUCLAIR','SEINE MARITIME'),
('76480','JUMIEGES','SEINE MARITIME'),
('76480','LE MESNIL SOUS JUMIEGES','SEINE MARITIME'),
('76480','ROUMARE','SEINE MARITIME'),
('76480','STE MARGUERITE SUR DUCLAI','SEINE MARITIME'),
('76480','ST PAER','SEINE MARITIME'),
('76480','ST PIERRE DE VARENGEVILLE','SEINE MARITIME'),
('76480','YAINVILLE','SEINE MARITIME'),
('76490','ANQUETIERVILLE','SEINE MARITIME'),
('76490','CAUDEBEC EN CAUX','SEINE MARITIME'),
('76490','LOUVETOT','SEINE MARITIME'),
('76490','MAULEVRIER STE GERTRUDE','SEINE MARITIME'),
('76490','ST ARNOULT','SEINE MARITIME'),
('76490','ST GILLES DE CRETOT','SEINE MARITIME'),
('76490','ST NICOLAS DE LA HAIE','SEINE MARITIME'),
('76490','ST WANDRILLE RANCON','SEINE MARITIME'),
('76490','VILLEQUIER','SEINE MARITIME'),
('76500','ELBEUF','SEINE MARITIME'),
('76500','LA LONDE','SEINE MARITIME'),
('76500','ORIVAL','SEINE MARITIME'),
('76510','DAMPIERRE ST NICOLAS','SEINE MARITIME'),
('76510','FREULLEVILLE','SEINE MARITIME'),
('76510','MEULERS','SEINE MARITIME'),
('76510','NOTRE DAME D ALIERMONT','SEINE MARITIME'),
('76510','RICARVILLE DU VAL','SEINE MARITIME'),
('76510','ST AUBIN LE CAUF','SEINE MARITIME'),
('76510','ST JACQUES D ALIERMONT','SEINE MARITIME'),
('76510','ST NICOLAS D ALIERMONT','SEINE MARITIME'),
('76510','ST VAAST D EQUIQUEVILLE','SEINE MARITIME'),
('76520','AUTHIEUX SUR LE PORT ST O','SEINE MARITIME'),
('76520','BOOS','SEINE MARITIME'),
('76520','FRESNE LE PLAN','SEINE MARITIME'),
('76520','GOUY','SEINE MARITIME'),
('76520','MESNIL RAOUL','SEINE MARITIME'),
('76520','MONTMAIN','SEINE MARITIME'),
('76520','LANEUVILLE CHANT D OISEL','SEINE MARITIME'),
('76520','FRANQUEVILLE ST PIERRE','SEINE MARITIME'),
('76520','QUEVREVILLE LA POTERIE','SEINE MARITIME'),
('76520','ST AUBIN CELLOVILLE','SEINE MARITIME'),
('76520','YMARE','SEINE MARITIME'),
('76530','LA BOUILLE','SEINE MARITIME'),
('76530','GRAND COURONNE','SEINE MARITIME'),
('76530','MAUNY','SEINE MARITIME'),
('76530','MOULINEAUX','SEINE MARITIME'),
('76530','YVILLE SUR SEINE','SEINE MARITIME'),
('76530','LES ESSARTS','SEINE MARITIME'),
('76540','ANCRETTEVILLE SUR MER','SEINE MARITIME'),
('76540','ANGERVILLE LA MARTEL','SEINE MARITIME'),
('76540','CRIQUETOT LE MAUCONDUIT','SEINE MARITIME'),
('76540','ECRETTEVILLE SUR MER','SEINE MARITIME'),
('76540','ELETOT','SEINE MARITIME'),
('76540','GERPONVILLE','SEINE MARITIME'),
('76540','LIMPIVILLE','SEINE MARITIME'),
('76540','RIVILLE','SEINE MARITIME'),
('76540','ST MARTIN AUX BUNEAUX','SEINE MARITIME'),
('76540','ST PIERRE EN PORT','SEINE MARITIME'),
('76540','SASSETOT MAUCONDUIT','SEINE MARITIME'),
('76540','SORQUAINVILLE','SEINE MARITIME'),
('76540','THEROULDEVILLE','SEINE MARITIME'),
('76540','THEUVILLE AUX MAILLOTS','SEINE MARITIME'),
('76540','THIERGEVILLE','SEINE MARITIME'),
('76540','THIETREVILLE','SEINE MARITIME'),
('76540','VALMONT','SEINE MARITIME'),
('76540','VINNEMERVILLE','SEINE MARITIME'),
('76540','YPREVILLE BIVILLE','SEINE MARITIME'),
('76540','YPREVILLE','SEINE MARITIME'),
('76540','LES GRANDES DALLES','SEINE MARITIME'),
('76540','LES PETITES DALLES','SEINE MARITIME'),
('76550','AMBRUMESNIL','SEINE MARITIME');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('76550','AUBERMESNIL BEAUMAIS','SEINE MARITIME'),
('76550','COLMESNIL MANNEVILLE','SEINE MARITIME'),
('76550','HAUTOT SUR MER','SEINE MARITIME'),
('76550','OFFRANVILLE','SEINE MARITIME'),
('76550','ST AUBIN SUR SCIE','SEINE MARITIME'),
('76550','SAUQUEVILLE','SEINE MARITIME'),
('76550','TOURVILLE SUR ARQUES','SEINE MARITIME'),
('76550','LE PETIT APPEVILLE','SEINE MARITIME'),
('76560','AMFREVILLE LES CHAMPS','SEINE MARITIME'),
('76560','ANCOURTEVILLE SUR HERICOU','SEINE MARITIME'),
('76560','ANVEVILLE','SEINE MARITIME'),
('76560','BENESVILLE','SEINE MARITIME'),
('76560','BERVILLE','SEINE MARITIME'),
('76560','BOUDEVILLE','SEINE MARITIME'),
('76560','BRETTEVILLE LAURENT','SEINE MARITIME'),
('76560','CANVILLE LES DEUX EGLISES','SEINE MARITIME'),
('76560','CARVILLE POT DE FER','SEINE MARITIME'),
('76560','DOUDEVILLE','SEINE MARITIME'),
('76560','ETALLEVILLE','SEINE MARITIME'),
('76560','FULTOT','SEINE MARITIME'),
('76560','GONZEVILLE','SEINE MARITIME'),
('76560','HARCANVILLE','SEINE MARITIME'),
('76560','HERICOURT EN CAUX','SEINE MARITIME'),
('76560','OHERVILLE','SEINE MARITIME'),
('76560','PRETOT VICQUEMARE','SEINE MARITIME'),
('76560','REUVILLE','SEINE MARITIME'),
('76560','ROBERTOT','SEINE MARITIME'),
('76560','ROUTES','SEINE MARITIME'),
('76560','ST LAURENT EN CAUX','SEINE MARITIME'),
('76560','SOMMESNIL','SEINE MARITIME'),
('76560','LE TORP MESNIL','SEINE MARITIME'),
('76560','VEAUVILLE LES QUELLE','SEINE MARITIME'),
('76560','YVECRIQUE','SEINE MARITIME'),
('76570','CIDEVILLE','SEINE MARITIME'),
('76570','EMANVILLE','SEINE MARITIME'),
('76570','FRESQUIENNES','SEINE MARITIME'),
('76570','GOUPILLIERES','SEINE MARITIME'),
('76570','HUGLEVILLE EN CAUX','SEINE MARITIME'),
('76570','LIMESY','SEINE MARITIME'),
('76570','MESNIL PANNEVILLE','SEINE MARITIME'),
('76570','PAVILLY','SEINE MARITIME'),
('76570','STE AUSTREBERTHE','SEINE MARITIME'),
('76580','LE TRAIT','SEINE MARITIME'),
('76590','ANNEVILLE SUR SCIE','SEINE MARITIME'),
('76590','BELMESNIL','SEINE MARITIME'),
('76590','BERTREVILLE ST OUEN','SEINE MARITIME'),
('76590','LE BOIS ROBERT','SEINE MARITIME'),
('76590','LE CATELIER','SEINE MARITIME'),
('76590','LES CENT ACRES','SEINE MARITIME'),
('76590','LA CHAPELLE DU BOURGAY','SEINE MARITIME'),
('76590','LA CHAUSSEE','SEINE MARITIME'),
('76590','CRIQUETOT SUR LONGUEVILLE','SEINE MARITIME'),
('76590','CROSVILLE SUR SCIE','SEINE MARITIME'),
('76590','DENESTANVILLE','SEINE MARITIME'),
('76590','GONNEVILLE SUR SCIE','SEINE MARITIME'),
('76590','LINTOT LES BOIS','SEINE MARITIME'),
('76590','LONGUEVILLE SUR SCIE','SEINE MARITIME'),
('76590','MANEHOUVILLE','SEINE MARITIME'),
('76590','MUCHEDENT','SEINE MARITIME'),
('76590','NOTRE DAME DU PARC','SEINE MARITIME'),
('76590','ST CRESPIN','SEINE MARITIME'),
('76590','STE FOY','SEINE MARITIME'),
('76590','ST GERMAIN D ETABLES','SEINE MARITIME'),
('76590','ST HONORE','SEINE MARITIME'),
('76590','TORCY LE GRAND','SEINE MARITIME'),
('76590','TORCY LE PETIT','SEINE MARITIME'),
('76600','LE HAVRE','SEINE MARITIME'),
('76610','ROUELLES','SEINE MARITIME'),
('76630','ASSIGNY','SEINE MARITIME'),
('76630','AUQUEMESNIL','SEINE MARITIME'),
('76630','AVESNES EN VAL','SEINE MARITIME'),
('76630','BAILLY EN RIVIERE','SEINE MARITIME'),
('76630','BELLENGREVILLE','SEINE MARITIME'),
('76630','BIVILLE SUR MER','SEINE MARITIME'),
('76630','BRUNVILLE','SEINE MARITIME'),
('76630','DOUVREND','SEINE MARITIME'),
('76630','ENVERMEU','SEINE MARITIME'),
('76630','GLICOURT','SEINE MARITIME'),
('76630','GOUCHAUPRE','SEINE MARITIME'),
('76630','GRENY','SEINE MARITIME'),
('76630','GUILMECOURT','SEINE MARITIME'),
('76630','LES IFS','SEINE MARITIME'),
('76630','INTRAVILLE','SEINE MARITIME'),
('76630','PENLY','SEINE MARITIME'),
('76630','ST OUEN SOUS BAILLY','SEINE MARITIME'),
('76630','ST QUENTIN AU BOSC','SEINE MARITIME'),
('76630','SAUCHAY','SEINE MARITIME'),
('76630','TOURVILLE LA CHAPELLE','SEINE MARITIME'),
('76640','ALVIMARE','SEINE MARITIME'),
('76640','AUZOUVILLE AUBERBOSC','SEINE MARITIME'),
('76640','BENNETOT','SEINE MARITIME'),
('76640','BERMONVILLE','SEINE MARITIME'),
('76640','CLEVILLE','SEINE MARITIME'),
('76640','CLIPONVILLE','SEINE MARITIME'),
('76640','ENVRONVILLE','SEINE MARITIME'),
('76640','FAUVILLE EN CAUX','SEINE MARITIME'),
('76640','FOUCART','SEINE MARITIME'),
('76640','HATTENVILLE','SEINE MARITIME'),
('76640','NORMANVILLE','SEINE MARITIME'),
('76640','RICARVILLE','SEINE MARITIME'),
('76640','ROCQUEFORT','SEINE MARITIME'),
('76640','STE MARGUERITE SUR FAUVIL','SEINE MARITIME'),
('76640','ST PIERRE LAVIS','SEINE MARITIME'),
('76640','TREMAUVILLE','SEINE MARITIME'),
('76640','YEBLERON','SEINE MARITIME'),
('76650','PETIT COURONNE','SEINE MARITIME'),
('76660','BAILLEUL NEUVILLE','SEINE MARITIME'),
('76660','BAILLOLET','SEINE MARITIME'),
('76660','BURES EN BRAY','SEINE MARITIME'),
('76660','CLAIS','SEINE MARITIME'),
('76660','CROIXDALLE','SEINE MARITIME'),
('76660','FREAUVILLE','SEINE MARITIME'),
('76660','FRESNOY FOLNY','SEINE MARITIME'),
('76660','GRANDCOURT','SEINE MARITIME'),
('76660','LONDINIERES','SEINE MARITIME'),
('76660','MESNIL FOLLEMPRISE','SEINE MARITIME'),
('76660','OSMOY ST VALERY','SEINE MARITIME'),
('76660','PREUSEVILLE','SEINE MARITIME'),
('76660','PUISENVAL','SEINE MARITIME'),
('76660','STE AGATHE D ALIERMONT','SEINE MARITIME'),
('76660','ST PIERRE DES JONQUIERES','SEINE MARITIME'),
('76660','SMERMESNIL','SEINE MARITIME'),
('76660','WANCHY CAPVAL','SEINE MARITIME'),
('76680','ARDOUVAL','SEINE MARITIME'),
('76680','BELLENCOMBRE','SEINE MARITIME'),
('76680','BOSC BERENGER','SEINE MARITIME'),
('76680','BOSC MESNIL','SEINE MARITIME'),
('76680','BRADIANCOURT','SEINE MARITIME'),
('76680','CRITOT','SEINE MARITIME'),
('76680','MATHONVILLE','SEINE MARITIME'),
('76680','MAUCOMBLE','SEINE MARITIME'),
('76680','MONTEROLIER','SEINE MARITIME'),
('76680','NEUFBOSC','SEINE MARITIME'),
('76680','POMMEREVAL','SEINE MARITIME'),
('76680','ROCQUEMONT','SEINE MARITIME'),
('76680','ROSAY','SEINE MARITIME'),
('76680','ST HELLIER','SEINE MARITIME'),
('76680','ST MARTIN OMONVILLE','SEINE MARITIME'),
('76680','ST SAENS','SEINE MARITIME'),
('76680','VENTES ST REMY','SEINE MARITIME'),
('76690','AUTHIEUX RATIEVILLE','SEINE MARITIME'),
('76690','LE BOCASSE','SEINE MARITIME'),
('76690','CAILLY','SEINE MARITIME'),
('76690','CLAVILLE MOTTEVILLE','SEINE MARITIME'),
('76690','CLERES','SEINE MARITIME'),
('76690','ESTEVILLE','SEINE MARITIME'),
('76690','FONTAINE LE BOURG','SEINE MARITIME'),
('76690','FRICHEMESNIL','SEINE MARITIME'),
('76690','GRUGNY','SEINE MARITIME'),
('76690','LA HOUSSAYE BERANGER','SEINE MARITIME'),
('76690','MONT CAUVAIRE','SEINE MARITIME'),
('76690','LA RUE ST PIERRE','SEINE MARITIME'),
('76690','ST ANDRE SUR CAILLY','SEINE MARITIME'),
('76690','ST GEORGES SUR FONTAINE','SEINE MARITIME'),
('76690','ST GERMAIN SOUS CAILLY','SEINE MARITIME'),
('76690','SIERVILLE','SEINE MARITIME'),
('76690','YQUEBEUF','SEINE MARITIME'),
('76700','GAINNEVILLE','SEINE MARITIME'),
('76700','GONFREVILLE L ORCHER','SEINE MARITIME'),
('76700','HARFLEUR','SEINE MARITIME'),
('76700','ROGERVILLE','SEINE MARITIME'),
('76700','ST LAURENT DE BREVEDENT','SEINE MARITIME'),
('76700','GOURNAY EN CAUX','SEINE MARITIME'),
('76700','MAYVILLE','SEINE MARITIME'),
('76710','ANCEAUMEVILLE','SEINE MARITIME'),
('76710','BOSC GUERARD ST ADRIEN','SEINE MARITIME'),
('76710','ESLETTES','SEINE MARITIME'),
('76710','MONTVILLE','SEINE MARITIME'),
('76720','AUFFAY','SEINE MARITIME'),
('76720','CRESSY','SEINE MARITIME'),
('76720','CROPUS','SEINE MARITIME'),
('76720','HEUGLEVILLE SUR SCIE','SEINE MARITIME'),
('76730','AUPPEGARD','SEINE MARITIME'),
('76730','AUZOUVILLE SUR SAANE','SEINE MARITIME'),
('76730','AVREMESNIL','SEINE MARITIME'),
('76730','BACQUEVILLE EN CAUX','SEINE MARITIME'),
('76730','BIVILLE LA RIVIERE','SEINE MARITIME'),
('76730','BRACHY','SEINE MARITIME'),
('76730','GONNETOT','SEINE MARITIME'),
('76730','GUEURES','SEINE MARITIME'),
('76730','HERMANVILLE','SEINE MARITIME'),
('76730','LAMBERVILLE','SEINE MARITIME'),
('76730','LAMMERVILLE','SEINE MARITIME'),
('76730','LESTANVILLE','SEINE MARITIME'),
('76730','OMONVILLE','SEINE MARITIME'),
('76730','RAINFREVILLE','SEINE MARITIME'),
('76730','ROYVILLE','SEINE MARITIME'),
('76730','SAANE ST JUST','SEINE MARITIME'),
('76730','ST MARDS','SEINE MARITIME'),
('76730','ST OUEN LE MAUGER','SEINE MARITIME'),
('76730','SASSETOT LE MALGARDE','SEINE MARITIME'),
('76730','THIL MANNEVILLE','SEINE MARITIME'),
('76730','TOCQUEVILLE EN CAUX','SEINE MARITIME'),
('76730','VENESTANVILLE','SEINE MARITIME'),
('76740','ANGIENS','SEINE MARITIME'),
('76740','ANGLESQUEVILLE LA BRAS LO','SEINE MARITIME'),
('76740','AUTIGNY','SEINE MARITIME'),
('76740','LE BOURG DUN','SEINE MARITIME'),
('76740','BOURVILLE','SEINE MARITIME'),
('76740','BRAMETOT','SEINE MARITIME');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('76740','LA CHAPELLE SUR DUN','SEINE MARITIME'),
('76740','CRASVILLE LA ROCQUEFORT','SEINE MARITIME'),
('76740','ERMENOUVILLE','SEINE MARITIME'),
('76740','FONTAINE LE DUN','SEINE MARITIME'),
('76740','LA GAILLARDE','SEINE MARITIME'),
('76740','HEBERVILLE','SEINE MARITIME'),
('76740','HOUDETOT','SEINE MARITIME'),
('76740','ST AUBIN SUR MER','SEINE MARITIME'),
('76740','ST PIERRE LE VIEUX','SEINE MARITIME'),
('76740','ST PIERRE LE VIGER','SEINE MARITIME'),
('76740','SOTTEVILLE SUR MER','SEINE MARITIME'),
('76750','BIERVILLE','SEINE MARITIME'),
('76750','BOIS GUILBERT','SEINE MARITIME'),
('76750','BOIS HEROULT','SEINE MARITIME'),
('76750','BOISSAY','SEINE MARITIME'),
('76750','BOSC BORDEL','SEINE MARITIME'),
('76750','BOSC EDELINE','SEINE MARITIME'),
('76750','BOSC ROGER SUR BUCHY','SEINE MARITIME'),
('76750','BUCHY','SEINE MARITIME'),
('76750','ERNEMONT SUR BUCHY','SEINE MARITIME'),
('76750','ESTOUTEVILLE ECALLES','SEINE MARITIME'),
('76750','HERONCHELLES','SEINE MARITIME'),
('76750','LONGUERUE','SEINE MARITIME'),
('76750','MORGNY LA POMMERAYE','SEINE MARITIME'),
('76750','PIERREVAL','SEINE MARITIME'),
('76750','REBETS','SEINE MARITIME'),
('76750','STE CROIX SUR BUCHY','SEINE MARITIME'),
('76750','ST GERMAIN DES ESSOURTS','SEINE MARITIME'),
('76750','VIEUX MANOIR','SEINE MARITIME'),
('76760','ANCRETIEVILLE VICTOR','SEINE MARITIME'),
('76760','AUZOUVILLE L ESNEVAL','SEINE MARITIME'),
('76760','BOURDAINVILLE','SEINE MARITIME'),
('76760','CRIQUETOT SUR OUVILLE','SEINE MARITIME'),
('76760','ECTOT L AUBER','SEINE MARITIME'),
('76760','LINDEBEUF','SEINE MARITIME'),
('76760','OUVILLE L ABBAYE','SEINE MARITIME'),
('76760','ST MARTIN AUX ARBRES','SEINE MARITIME'),
('76760','SAUSSAY','SEINE MARITIME'),
('76760','VIBEUF','SEINE MARITIME'),
('76760','YERVILLE','SEINE MARITIME'),
('76770','LE HOULME','SEINE MARITIME'),
('76770','HOUPPEVILLE','SEINE MARITIME'),
('76770','MALAUNAY','SEINE MARITIME'),
('76780','ARGUEIL','SEINE MARITIME'),
('76780','LA CHAPELLE ST OUEN','SEINE MARITIME'),
('76780','CROISY SUR ANDELLE','SEINE MARITIME'),
('76780','ELBEUF SUR ANDELLE','SEINE MARITIME'),
('76780','FRY','SEINE MARITIME'),
('76780','LA HALLOTIERE','SEINE MARITIME'),
('76780','LA HAYE','SEINE MARITIME'),
('76780','LE HERON','SEINE MARITIME'),
('76780','HODENG HODENGER','SEINE MARITIME'),
('76780','MESANGUEVILLE','SEINE MARITIME'),
('76780','LE MESNIL LIEUBRAY','SEINE MARITIME'),
('76780','MORVILLE SUR ANDELLE','SEINE MARITIME'),
('76780','NOLLEVAL','SEINE MARITIME'),
('76780','ST LUCIEN','SEINE MARITIME'),
('76780','SIGY EN BRAY','SEINE MARITIME'),
('76790','BENOUVILLE','SEINE MARITIME'),
('76790','BORDEAUX ST CLAIR','SEINE MARITIME'),
('76790','ETRETAT','SEINE MARITIME'),
('76790','GERVILLE','SEINE MARITIME'),
('76790','LES LOGES','SEINE MARITIME'),
('76790','LE TILLEUL','SEINE MARITIME'),
('76800','ST ETIENNE DU ROUVRAY','SEINE MARITIME'),
('76810','GREUVILLE','SEINE MARITIME'),
('76810','GRUCHET ST SIMEON','SEINE MARITIME'),
('76810','LUNERAY','SEINE MARITIME'),
('76840','HENOUVILLE','SEINE MARITIME'),
('76840','QUEVILLON','SEINE MARITIME'),
('76840','ST MARTIN DE BOSCHERVILLE','SEINE MARITIME'),
('76850','BEAUMONT LE HARENG','SEINE MARITIME'),
('76850','BOSC LE HARD','SEINE MARITIME'),
('76850','BRACQUETUIT','SEINE MARITIME'),
('76850','COTTEVRARD','SEINE MARITIME'),
('76850','LA CRIQUE','SEINE MARITIME'),
('76850','ETAIMPUIS','SEINE MARITIME'),
('76850','FRESNAY LE LONG','SEINE MARITIME'),
('76850','GRIGNEUSEVILLE','SEINE MARITIME'),
('76850','MONTREUIL EN CAUX','SEINE MARITIME'),
('76850','SEVIS','SEINE MARITIME'),
('76860','LONGUEIL','SEINE MARITIME'),
('76860','OUVILLE LA RIVIERE','SEINE MARITIME'),
('76860','QUIBERVILLE','SEINE MARITIME'),
('76860','ST DENIS D ACLON','SEINE MARITIME'),
('76870','BEAUSSAULT','SEINE MARITIME'),
('76870','GAILLEFONTAINE','SEINE MARITIME'),
('76880','ARQUES LA BATAILLE','SEINE MARITIME'),
('76880','MARTIGNY','SEINE MARITIME'),
('76890','VAL DE SAANE','SEINE MARITIME'),
('76890','BEAUVAL EN CAUX','SEINE MARITIME'),
('76890','BEAUTOT','SEINE MARITIME'),
('76890','BELLEVILLE EN CAUX','SEINE MARITIME'),
('76890','BERTRIMONT','SEINE MARITIME'),
('76890','BIVILLE LA BAIGNARDE','SEINE MARITIME'),
('76890','BUTOT','SEINE MARITIME'),
('76890','CALLEVILLE LES DEUX EGLIS','SEINE MARITIME'),
('76890','LA FONTELAYE','SEINE MARITIME'),
('76890','GUEUTTEVILLE','SEINE MARITIME'),
('76890','IMBLEVILLE','SEINE MARITIME'),
('76890','ST DENIS SUR SCIE','SEINE MARITIME'),
('76890','ST MACLOU DE FOLLEVILLE','SEINE MARITIME'),
('76890','ST OUEN DU BREUIL','SEINE MARITIME'),
('76890','ST PIERRE BENOUVILLE','SEINE MARITIME'),
('76890','ST VAAST DU VAL','SEINE MARITIME'),
('76890','ST VICTOR L ABBAYE','SEINE MARITIME'),
('76890','TOTES','SEINE MARITIME'),
('76890','VARNEVILLE BRETTEVILLE','SEINE MARITIME'),
('76890','VASSONVILLE','SEINE MARITIME'),
('76910','CRIEL SUR MER','SEINE MARITIME'),
('76910','TOCQUEVILLE SUR EU','SEINE MARITIME'),
('76910','TOUFFREVILLE SUR EU','SEINE MARITIME'),
('76910','MESNIL VAL','SEINE MARITIME'),
('76920','AMFREVILLE LA MI VOIE','SEINE MARITIME'),
('76930','CAUVILLE','SEINE MARITIME'),
('76930','OCTEVILLE SUR MER','SEINE MARITIME'),
('76940','HEURTEAUVILLE','SEINE MARITIME'),
('76940','LA MAILLERAYE SUR SEINE','SEINE MARITIME'),
('76940','NOTRE DAME DE BLIQUETUIT','SEINE MARITIME'),
('76940','ST NICOLAS DE BLIQUETUIT','SEINE MARITIME'),
('76940','VATTEVILLE LA RUE','SEINE MARITIME'),
('76950','LES GRANDES VENTES','SEINE MARITIME'),
('76960','NOTRE DAME DE BONDEVILLE','SEINE MARITIME'),
('76970','ECTOT LES BAONS','SEINE MARITIME'),
('76970','FLAMANVILLE','SEINE MARITIME'),
('76970','GREMONVILLE','SEINE MARITIME'),
('76970','MOTTEVILLE','SEINE MARITIME'),
('76980','VEULES LES ROSES','SEINE MARITIME'),
('77000','LIVRY SUR SEINE','SEINE ET MARNE'),
('77000','MELUN','SEINE ET MARNE'),
('77000','LA ROCHETTE','SEINE ET MARNE'),
('77000','VAUX LE PENIL','SEINE ET MARNE'),
('77090','COLLEGIEN','SEINE ET MARNE'),
('77100','MAREUIL LES MEAUX','SEINE ET MARNE'),
('77100','MEAUX','SEINE ET MARNE'),
('77100','NANTEUIL LES MEAUX','SEINE ET MARNE'),
('77111','SOIGNOLLES EN BRIE','SEINE ET MARNE'),
('77111','SOLERS','SEINE ET MARNE'),
('77114','GOUAIX','SEINE ET MARNE'),
('77114','HERME','SEINE ET MARNE'),
('77114','NOYEN SUR SEINE','SEINE ET MARNE'),
('77114','VILLIERS SUR SEINE','SEINE ET MARNE'),
('77115','BLANDY','SEINE ET MARNE'),
('77115','SIVRY COURTRY','SEINE ET MARNE'),
('77118','BALLOY','SEINE ET MARNE'),
('77118','BAZOCHES LES BRAY','SEINE ET MARNE'),
('77118','GRAVON','SEINE ET MARNE'),
('77120','AMILLIS','SEINE ET MARNE'),
('77120','AULNOY','SEINE ET MARNE'),
('77120','BEAUTHEIL','SEINE ET MARNE'),
('77120','CHAILLY EN BRIE','SEINE ET MARNE'),
('77120','COULOMMIERS','SEINE ET MARNE'),
('77120','GIREMOUTIERS','SEINE ET MARNE'),
('77120','MAROLLES EN BRIE','SEINE ET MARNE'),
('77120','MAUPERTHUIS','SEINE ET MARNE'),
('77120','MOUROUX','SEINE ET MARNE'),
('77120','SAINTS','SEINE ET MARNE'),
('77122','MONTHYON','SEINE ET MARNE'),
('77123','NOISY SUR ECOLE','SEINE ET MARNE'),
('77123','TOUSSON','SEINE ET MARNE'),
('77123','LE VAUDOUE','SEINE ET MARNE'),
('77124','CHAUCONIN','SEINE ET MARNE'),
('77124','CREGY LES MEAUX','SEINE ET MARNE'),
('77124','CHAUCONIN NEUFMONTIERS','SEINE ET MARNE'),
('77124','PENCHARD','SEINE ET MARNE'),
('77124','VILLENOY','SEINE ET MARNE'),
('77124','NEUFMONTIERS LES MEAUX','SEINE ET MARNE'),
('77126','CHATENAY SUR SEINE','SEINE ET MARNE'),
('77126','COURCELLES EN BASSEE','SEINE ET MARNE'),
('77126','EGLIGNY','SEINE ET MARNE'),
('77127','LIEUSAINT','SEINE ET MARNE'),
('77130','BARBEY','SEINE ET MARNE'),
('77130','CANNES ECLUSES','SEINE ET MARNE'),
('77130','DORMELLES','SEINE ET MARNE'),
('77130','FORGES','SEINE ET MARNE'),
('77130','LA GRANDE PAROISSE','SEINE ET MARNE'),
('77130','MAROLLES SUR SEINE','SEINE ET MARNE'),
('77130','MISY SUR YONNE','SEINE ET MARNE'),
('77130','MONTEREAU FAUT YONNE','SEINE ET MARNE'),
('77130','ST GERMAIN LAVAL','SEINE ET MARNE'),
('77130','LA TOMBE','SEINE ET MARNE'),
('77130','VARENNES SUR SEINE','SEINE ET MARNE'),
('77130','VILLE ST JACQUES','SEINE ET MARNE'),
('77131','PEZARCHES','SEINE ET MARNE'),
('77131','TOUQUIN','SEINE ET MARNE'),
('77133','FERICY','SEINE ET MARNE'),
('77133','MACHAULT','SEINE ET MARNE'),
('77134','LES ORMES SUR VOULZIE','SEINE ET MARNE'),
('77135','PONTCARRE','SEINE ET MARNE'),
('77138','LUZANCY','SEINE ET MARNE'),
('77139','DOUY LA RAMEE','SEINE ET MARNE'),
('77139','ETREPILLY','SEINE ET MARNE'),
('77139','MARCILLY','SEINE ET MARNE'),
('77139','PUISIEUX','SEINE ET MARNE'),
('77139','VINCY MANOEUVRE','SEINE ET MARNE'),
('77140','DARVAULT','SEINE ET MARNE'),
('77140','MONTCOURT FROMONVILLE','SEINE ET MARNE'),
('77140','NEMOURS','SEINE ET MARNE'),
('77140','NONVILLE','SEINE ET MARNE'),
('77140','ST PIERRE LES NEMOURS','SEINE ET MARNE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('77141','VAUDOY EN BRIE','SEINE ET MARNE'),
('77144','CHALIFERT','SEINE ET MARNE'),
('77144','MONTEVRAIN','SEINE ET MARNE'),
('77145','MAY EN MULTIEN','SEINE ET MARNE'),
('77148','LAVAL EN BRIE','SEINE ET MARNE'),
('77148','SALINS','SEINE ET MARNE'),
('77150','FEROLLES ATTILLY','SEINE ET MARNE'),
('77150','LESIGNY','SEINE ET MARNE'),
('77151','MONTCEAUX LES PROVINS','SEINE ET MARNE'),
('77154','COUTENCON','SEINE ET MARNE'),
('77154','VILLENEUVE LES BORDES','SEINE ET MARNE'),
('77156','THOURY FEROTTES','SEINE ET MARNE'),
('77157','EVERLY','SEINE ET MARNE'),
('77160','CHALAUTRE LA PETITE','SEINE ET MARNE'),
('77160','LA CHAPELLE ST SULPICE','SEINE ET MARNE'),
('77160','CHENOISE','SEINE ET MARNE'),
('77160','CUCHARMOY','SEINE ET MARNE'),
('77160','MORTERY','SEINE ET MARNE'),
('77160','POIGNY','SEINE ET MARNE'),
('77160','PROVINS','SEINE ET MARNE'),
('77160','ROUILLY','SEINE ET MARNE'),
('77160','ST BRICE','SEINE ET MARNE'),
('77160','ST HILLIERS','SEINE ET MARNE'),
('77160','VULAINES LES PROVINS','SEINE ET MARNE'),
('77163','DAMMARTIN SUR TIGEAUX','SEINE ET MARNE'),
('77163','MORTCERF','SEINE ET MARNE'),
('77163','TIGEAUX','SEINE ET MARNE'),
('77164','FERRIERES','SEINE ET MARNE'),
('77165','CUISY','SEINE ET MARNE'),
('77165','FORFRY','SEINE ET MARNE'),
('77165','GESVRES LE CHAPITRE','SEINE ET MARNE'),
('77165','IVERNY','SEINE ET MARNE'),
('77165','LE PLESSIS AUX BOIS','SEINE ET MARNE'),
('77165','LE PLESSIS L EVEQUE','SEINE ET MARNE'),
('77165','ST SOUPPLETS','SEINE ET MARNE'),
('77166','EVRY GREGY SUR YERRE','SEINE ET MARNE'),
('77166','GREGY SUR YERRE','SEINE ET MARNE'),
('77166','GRISY SUISNES','SEINE ET MARNE'),
('77166','SUISNES','SEINE ET MARNE'),
('77167','BAGNEAUX SUR LOING','SEINE ET MARNE'),
('77167','CHATENOY','SEINE ET MARNE'),
('77167','FAY LES NEMOURS','SEINE ET MARNE'),
('77167','ORMESSON','SEINE ET MARNE'),
('77167','POLIGNY','SEINE ET MARNE'),
('77169','BOISSY LE CHATEL','SEINE ET MARNE'),
('77169','CHAUFFRY','SEINE ET MARNE'),
('77169','ST GERMAIN SOUS DOUE','SEINE ET MARNE'),
('77169','ST SIMEON','SEINE ET MARNE'),
('77170','BRIE COMTE ROBERT','SEINE ET MARNE'),
('77170','COUBERT','SEINE ET MARNE'),
('77170','SERVON','SEINE ET MARNE'),
('77171','CHALAUTRE LA GRANDE','SEINE ET MARNE'),
('77171','LECHELLE','SEINE ET MARNE'),
('77171','MELZ SUR SEINE','SEINE ET MARNE'),
('77171','SOURDUN','SEINE ET MARNE'),
('77173','CHEVRY COSSIGNY','SEINE ET MARNE'),
('77173','COSSIGNY','SEINE ET MARNE'),
('77174','VILLENEUVE LE COMTE','SEINE ET MARNE'),
('77174','VILLENEUVE ST DENIS','SEINE ET MARNE'),
('77176','NANDY','SEINE ET MARNE'),
('77176','SAVIGNY LE TEMPLE','SEINE ET MARNE'),
('77177','BROU SUR CHANTEREINE','SEINE ET MARNE'),
('77178','OISSERY','SEINE ET MARNE'),
('77178','ST PATHUS','SEINE ET MARNE'),
('77181','COURTRY','SEINE ET MARNE'),
('77181','LE PIN','SEINE ET MARNE'),
('77183','CROISSY BEAUBOURG','SEINE ET MARNE'),
('77183','BEUABOURG','SEINE ET MARNE'),
('77184','EMERAINVILLE','SEINE ET MARNE'),
('77184','MALNOUE','SEINE ET MARNE'),
('77185','LOGNES','SEINE ET MARNE'),
('77186','NOISIEL','SEINE ET MARNE'),
('77190','DAMMARIE LES LYS','SEINE ET MARNE'),
('77190','VILLIERS EN BIERE','SEINE ET MARNE'),
('77200','TORCY','SEINE ET MARNE'),
('77210','AVON','SEINE ET MARNE'),
('77210','SAMOREAU','SEINE ET MARNE'),
('77220','FAVIERES','SEINE ET MARNE'),
('77220','GRETZ ARMAINVILLIERS','SEINE ET MARNE'),
('77220','LIVERDY EN BRIE','SEINE ET MARNE'),
('77220','PRESLES EN BRIE','SEINE ET MARNE'),
('77220','TOURNAN EN BRIE','SEINE ET MARNE'),
('77230','DAMMARTIN EN GOELE','SEINE ET MARNE'),
('77230','JUILLY','SEINE ET MARNE'),
('77230','LONGPERRIER','SEINE ET MARNE'),
('77230','MARCHEMORET','SEINE ET MARNE'),
('77230','MONTGE EN GOELE','SEINE ET MARNE'),
('77230','MOUSSY LE NEUF','SEINE ET MARNE'),
('77230','MOUSSY LE VIEUX','SEINE ET MARNE'),
('77230','NANTOUILLET','SEINE ET MARNE'),
('77230','ROUVRES','SEINE ET MARNE'),
('77230','ST MARD','SEINE ET MARNE'),
('77230','THIEUX','SEINE ET MARNE'),
('77230','VILLENEUVE SOUS DAMMARTIN','SEINE ET MARNE'),
('77230','VINANTES','SEINE ET MARNE'),
('77240','CESSON','SEINE ET MARNE'),
('77240','SEINE PORT','SEINE ET MARNE'),
('77240','VERT ST DENIS','SEINE ET MARNE'),
('77250','ECUELLES','SEINE ET MARNE'),
('77250','EPISY','SEINE ET MARNE'),
('77250','MONTARLOT','SEINE ET MARNE'),
('77250','MORET SUR LOING','SEINE ET MARNE'),
('77250','VENEUX LES SABLONS','SEINE ET MARNE'),
('77250','VILLECERF','SEINE ET MARNE'),
('77250','VILLEMER','SEINE ET MARNE'),
('77260','CHAMIGNY','SEINE ET MARNE'),
('77260','LA FERTE SOUS JOUARRE','SEINE ET MARNE'),
('77260','REUIL EN BRIE','SEINE ET MARNE'),
('77260','ST AULDE','SEINE ET MARNE'),
('77260','SAMMERON','SEINE ET MARNE'),
('77260','SEPT SORTS','SEINE ET MARNE'),
('77260','USSY SUR MARNE','SEINE ET MARNE'),
('77270','VILLEPARISIS','SEINE ET MARNE'),
('77280','OTHIS','SEINE ET MARNE'),
('77290','COMPANS','SEINE ET MARNE'),
('77290','MITRY MORY','SEINE ET MARNE'),
('77300','FONTAINEBLEAU','SEINE ET MARNE'),
('77310','BOISSISE LE ROI','SEINE ET MARNE'),
('77310','PRINGY','SEINE ET MARNE'),
('77310','ST FARGEAU PONTHIERRY','SEINE ET MARNE'),
('77310','PONTHIERRY','SEINE ET MARNE'),
('77320','BETON BAZOCHES','SEINE ET MARNE'),
('77320','CERNEUX','SEINE ET MARNE'),
('77320','LA CHAPELLE MOUTILS','SEINE ET MARNE'),
('77320','CHARTRONGES','SEINE ET MARNE'),
('77320','CHEVRU','SEINE ET MARNE'),
('77320','CHOISY EN BRIE','SEINE ET MARNE'),
('77320','DAGNY','SEINE ET MARNE'),
('77320','LA FERTE GAUCHER','SEINE ET MARNE'),
('77320','FRETOY','SEINE ET MARNE'),
('77320','JOUY SUR MORIN','SEINE ET MARNE'),
('77320','LESCHEROLLES','SEINE ET MARNE'),
('77320','LEUDON EN BRIE','SEINE ET MARNE'),
('77320','MEILLERAY','SEINE ET MARNE'),
('77320','MONTDAUPHIN','SEINE ET MARNE'),
('77320','MONTENILS','SEINE ET MARNE'),
('77320','MONTOLIVET','SEINE ET MARNE'),
('77320','MOUTILS','SEINE ET MARNE'),
('77320','ST BARTHELEMY','SEINE ET MARNE'),
('77320','ST MARS VIEUX MAISONS','SEINE ET MARNE'),
('77320','ST MARTIN DES CHAMPS','SEINE ET MARNE'),
('77320','ST MARTIN DU BOSCHET','SEINE ET MARNE'),
('77320','ST REMY DE LA VANNE','SEINE ET MARNE'),
('77320','SANCY LES PROVINS','SEINE ET MARNE'),
('77320','VIEUX MAISONS','SEINE ET MARNE'),
('77330','OZOIR LA FERRIERE','SEINE ET MARNE'),
('77340','PONTAULT COMBAULT','SEINE ET MARNE'),
('77340','LE PAVE DE PONTAULT','SEINE ET MARNE'),
('77350','BOISSETTES','SEINE ET MARNE'),
('77350','BOISSISE LA BERTRAND','SEINE ET MARNE'),
('77350','LE MEE SUR SEINE','SEINE ET MARNE'),
('77360','VAIRES SUR MARNE','SEINE ET MARNE'),
('77370','LA CHAPELLE RABLAIS','SEINE ET MARNE'),
('77370','CHATEAUBLEAU','SEINE ET MARNE'),
('77370','CLOS FONTAINE','SEINE ET MARNE'),
('77370','LA CROIX EN BRIE','SEINE ET MARNE'),
('77370','FONTAINS','SEINE ET MARNE'),
('77370','FONTENAILLES','SEINE ET MARNE'),
('77370','GASTINS','SEINE ET MARNE'),
('77370','MAISON ROUGE','SEINE ET MARNE'),
('77370','NANGIS','SEINE ET MARNE'),
('77370','RAMPILLON','SEINE ET MARNE'),
('77370','ST JUST EN BRIE','SEINE ET MARNE'),
('77370','VANVILLE','SEINE ET MARNE'),
('77370','VIEUX CHAMPAGNE','SEINE ET MARNE'),
('77380','COMBS LA VILLE','SEINE ET MARNE'),
('77390','ANDREZEL','SEINE ET MARNE'),
('77390','ARGENTIERES','SEINE ET MARNE'),
('77390','BEAUVOIR','SEINE ET MARNE'),
('77390','CHAMPDEUIL','SEINE ET MARNE'),
('77390','CHAUMES EN BRIE','SEINE ET MARNE'),
('77390','COURQUETAINE','SEINE ET MARNE'),
('77390','COURTOMER','SEINE ET MARNE'),
('77390','CRISENOY','SEINE ET MARNE'),
('77390','FOUJU','SEINE ET MARNE'),
('77390','GUIGNES','SEINE ET MARNE'),
('77390','OZOUER LE VOULGIS','SEINE ET MARNE'),
('77390','VERNEUIL L ETANG','SEINE ET MARNE'),
('77390','YEBLES','SEINE ET MARNE'),
('77400','CARNETIN','SEINE ET MARNE'),
('77400','DAMPMART','SEINE ET MARNE'),
('77400','GOUVERNES','SEINE ET MARNE'),
('77400','LAGNY SUR MARNE','SEINE ET MARNE'),
('77400','POMPONNE','SEINE ET MARNE'),
('77400','ST THIBAULT DES VIGNES','SEINE ET MARNE'),
('77400','THORIGNY SUR MARNE','SEINE ET MARNE'),
('77400','LA POMPONNETTE','SEINE ET MARNE'),
('77400','RENTILLY','SEINE ET MARNE'),
('77410','ANNET SUR MARNE','SEINE ET MARNE'),
('77410','CHARMENTRAY','SEINE ET MARNE'),
('77410','CHARNY','SEINE ET MARNE'),
('77410','CLAYE SOUILLY','SEINE ET MARNE'),
('77410','FRESNES SUR MARNE','SEINE ET MARNE'),
('77410','GRESSY','SEINE ET MARNE'),
('77410','MESSY','SEINE ET MARNE'),
('77410','PRECY SUR MARNE','SEINE ET MARNE'),
('77410','ST MESMES','SEINE ET MARNE'),
('77410','VILLEROY','SEINE ET MARNE'),
('77410','VILLEVAUDE','SEINE ET MARNE'),
('77410','SOUILLY','SEINE ET MARNE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('77410','MONTJAY LA TOUR','SEINE ET MARNE'),
('77410','BORDEAUX','SEINE ET MARNE'),
('77420','CHAMPS SUR MARNE','SEINE ET MARNE'),
('77430','CHAMPAGNE SUR SEINE','SEINE ET MARNE'),
('77440','ARMENTIERES EN BRIE','SEINE ET MARNE'),
('77440','COCHEREL','SEINE ET MARNE'),
('77440','CONGIS SUR THEROUANNE','SEINE ET MARNE'),
('77440','DHUISY','SEINE ET MARNE'),
('77440','ISLES LES MELDEUSES','SEINE ET MARNE'),
('77440','JAIGNES','SEINE ET MARNE'),
('77440','LIZY SUR OURCQ','SEINE ET MARNE'),
('77440','MARY SUR MARNE','SEINE ET MARNE'),
('77440','OCQUERRE','SEINE ET MARNE'),
('77440','LE PLESSIS PLACY','SEINE ET MARNE'),
('77440','TANCROU','SEINE ET MARNE'),
('77440','TROCY EN MULTIEN','SEINE ET MARNE'),
('77440','VENDREST','SEINE ET MARNE'),
('77450','CONDE STE LIBIAIRE','SEINE ET MARNE'),
('77450','ESBLY','SEINE ET MARNE'),
('77450','ISLES LES VILLENOY','SEINE ET MARNE'),
('77450','JABLINES','SEINE ET MARNE'),
('77450','LESCHES','SEINE ET MARNE'),
('77450','MONTRY','SEINE ET MARNE'),
('77450','TRILBARDOU','SEINE ET MARNE'),
('77450','VIGNELY','SEINE ET MARNE'),
('77460','CHAINTREAUX','SEINE ET MARNE'),
('77460','SOUPPES SUR LOING','SEINE ET MARNE'),
('77470','BOUTIGNY','SEINE ET MARNE'),
('77470','FUBLAINES','SEINE ET MARNE'),
('77470','MONTCEAUX LES MEAUX','SEINE ET MARNE'),
('77470','POINCY','SEINE ET MARNE'),
('77470','ST FIACRE','SEINE ET MARNE'),
('77470','TRILPORT','SEINE ET MARNE'),
('77470','VILLEMAREUIL','SEINE ET MARNE'),
('77480','BABY','SEINE ET MARNE'),
('77480','BRAY SUR SEINE','SEINE ET MARNE'),
('77480','FONTAINE FOURCHES','SEINE ET MARNE'),
('77480','GRISY SUR SEINE','SEINE ET MARNE'),
('77480','JAULNES','SEINE ET MARNE'),
('77480','MONTIGNY LE GUESDIER','SEINE ET MARNE'),
('77480','MOUSSEAUX LES BRAY','SEINE ET MARNE'),
('77480','MOUY SUR SEINE','SEINE ET MARNE'),
('77480','PASSY SUR SEINE','SEINE ET MARNE'),
('77480','ST SAUVEUR LES BRAY','SEINE ET MARNE'),
('77480','VILLENAUXE LA PETITE','SEINE ET MARNE'),
('77480','VILLUIS','SEINE ET MARNE'),
('77500','CHELLES','SEINE ET MARNE'),
('77500','CHANTEREINE','SEINE ET MARNE'),
('77510','BELLOT','SEINE ET MARNE'),
('77510','DOUE','SEINE ET MARNE'),
('77510','HONDEVILLIERS','SEINE ET MARNE'),
('77510','REBAIS','SEINE ET MARNE'),
('77510','SABLONNIERES','SEINE ET MARNE'),
('77510','ST DENIS LES REBAIS','SEINE ET MARNE'),
('77510','ST LEGER','SEINE ET MARNE'),
('77510','LA TRETOIRE','SEINE ET MARNE'),
('77510','VERDELOT','SEINE ET MARNE'),
('77510','VILLENEUVE SUR BELLOT','SEINE ET MARNE'),
('77515','LA CELLE SUR MORIN','SEINE ET MARNE'),
('77515','FAREMOUTIERS','SEINE ET MARNE'),
('77515','HAUTEFEUILLE','SEINE ET MARNE'),
('77515','POMMEUSE','SEINE ET MARNE'),
('77515','ST AUGUSTIN','SEINE ET MARNE'),
('77520','CESSOY EN MONTOIS','SEINE ET MARNE'),
('77520','CHALAUTRE LA REPOSTE','SEINE ET MARNE'),
('77520','DONNEMARIE DONTILLY','SEINE ET MARNE'),
('77520','GURCY LE CHATEL','SEINE ET MARNE'),
('77520','LUISETAINES','SEINE ET MARNE'),
('77520','MEIGNEUX','SEINE ET MARNE'),
('77520','MONS EN MONTOIS','SEINE ET MARNE'),
('77520','MONTIGNY LENCOUP','SEINE ET MARNE'),
('77520','PAROY','SEINE ET MARNE'),
('77520','SIGY','SEINE ET MARNE'),
('77520','SOGNOLLES EN MONTOIS','SEINE ET MARNE'),
('77520','THENISY','SEINE ET MARNE'),
('77520','VIMPELLES','SEINE ET MARNE'),
('77540','BERNAY VILBERT','SEINE ET MARNE'),
('77540','LA CHAPELLE IGER','SEINE ET MARNE'),
('77540','COURPALAY','SEINE ET MARNE'),
('77540','LUMIGNY NESLES ORMEAUX','SEINE ET MARNE'),
('77540','NESLES LA GILBERDE','SEINE ET MARNE'),
('77540','ORMEAUX','SEINE ET MARNE'),
('77540','LE PLESSIS FEU AUSSOUX','SEINE ET MARNE'),
('77540','ROZAY EN BRIE','SEINE ET MARNE'),
('77540','VILBERT','SEINE ET MARNE'),
('77540','VOINSLES','SEINE ET MARNE'),
('77550','LIMOGES FOURCHES','SEINE ET MARNE'),
('77550','LISSY','SEINE ET MARNE'),
('77550','MOISSY CRAMAYEL','SEINE ET MARNE'),
('77550','REAU','SEINE ET MARNE'),
('77560','AUGERS EN BRIE','SEINE ET MARNE'),
('77560','BEAUCHERY ST MARTIN','SEINE ET MARNE'),
('77560','CHAMPCENEST','SEINE ET MARNE'),
('77560','COURCHAMP','SEINE ET MARNE'),
('77560','COURTACON','SEINE ET MARNE'),
('77560','FONTAINE SOUS MONTAIGUILL','SEINE ET MARNE'),
('77560','LOUAN VILLEGRUIS FONTAINE','SEINE ET MARNE'),
('77560','LES MARETS','SEINE ET MARNE'),
('77560','RUPEREUX','SEINE ET MARNE'),
('77560','ST MARTIN CHENNETRON','SEINE ET MARNE'),
('77560','VILLEGRUIS','SEINE ET MARNE'),
('77560','VILLIERS ST GEORGES','SEINE ET MARNE'),
('77560','VOULTON','SEINE ET MARNE'),
('77570','AUFFERVILLE','SEINE ET MARNE'),
('77570','BOUGLIGNY','SEINE ET MARNE'),
('77570','CHATEAU LANDON','SEINE ET MARNE'),
('77570','CHENOU','SEINE ET MARNE'),
('77570','LA MADELEINE SUR LOING','SEINE ET MARNE'),
('77570','MAISONCELLES EN GATINAIS','SEINE ET MARNE'),
('77570','MONDREVILLE','SEINE ET MARNE'),
('77580','BOULEURS','SEINE ET MARNE'),
('77580','LA CHAPELLE SUR CRECY','SEINE ET MARNE'),
('77580','COULOMMES','SEINE ET MARNE'),
('77580','COUTEVROULT','SEINE ET MARNE'),
('77580','CRECY LA CHAPELLE','SEINE ET MARNE'),
('77580','GUERARD','SEINE ET MARNE'),
('77580','LA HAUTE MAISON','SEINE ET MARNE'),
('77580','MAISONCELLES EN BRIE','SEINE ET MARNE'),
('77580','PIERRE LEVEE','SEINE ET MARNE'),
('77580','SANCY','SEINE ET MARNE'),
('77580','VAUCOURTOIS','SEINE ET MARNE'),
('77580','VILLIERS SUR MORIN','SEINE ET MARNE'),
('77580','VOULANGIS','SEINE ET MARNE'),
('77590','BOIS LE ROI','SEINE ET MARNE'),
('77590','CHARTRETTES','SEINE ET MARNE'),
('77590','FONTAINE LE PORT','SEINE ET MARNE'),
('77600','BUSSY ST GEORGES','SEINE ET MARNE'),
('77600','BUSSY ST MARTIN','SEINE ET MARNE'),
('77600','CHANTELOUP EN BRIE','SEINE ET MARNE'),
('77600','CONCHES SUR GONDOIRE','SEINE ET MARNE'),
('77600','GUERMANTES','SEINE ET MARNE'),
('77600','JOSSIGNY','SEINE ET MARNE'),
('77610','LES CHAPELLES BOURBON','SEINE ET MARNE'),
('77610','CHATRES','SEINE ET MARNE'),
('77610','CREVECOEUR EN BRIE','SEINE ET MARNE'),
('77610','FONTENAY TRESIGNY','SEINE ET MARNE'),
('77610','LA HOUSSAYE EN BRIE','SEINE ET MARNE'),
('77610','MARLES EN BRIE','SEINE ET MARNE'),
('77610','NEUFMOUTIERS EN BRIE','SEINE ET MARNE'),
('77620','BRANSLES','SEINE ET MARNE'),
('77620','EGREVILLE','SEINE ET MARNE'),
('77630','ARBONNE LA FORET','SEINE ET MARNE'),
('77630','BARBIZON','SEINE ET MARNE'),
('77630','ST MARTIN EN BIERE','SEINE ET MARNE'),
('77640','JOUARRE','SEINE ET MARNE'),
('77640','SIGNY SIGNETS','SEINE ET MARNE'),
('77650','CHALMAISON','SEINE ET MARNE'),
('77650','JUTIGNY','SEINE ET MARNE'),
('77650','LIZINES','SEINE ET MARNE'),
('77650','LONGUEVILLE','SEINE ET MARNE'),
('77650','STE COLOMBE','SEINE ET MARNE'),
('77650','ST LOUP DE NAUD','SEINE ET MARNE'),
('77650','SAVINS','SEINE ET MARNE'),
('77650','SOISY BOUY','SEINE ET MARNE'),
('77660','CHANGIS SUR MARNE','SEINE ET MARNE'),
('77660','ST JEAN LES DEUX JUMEAUX','SEINE ET MARNE'),
('77670','LA CELLE SUR SEINE','SEINE ET MARNE'),
('77670','ST MAMMES','SEINE ET MARNE'),
('77670','VERNOU LA CELLE SUR SEINE','SEINE ET MARNE'),
('77680','ROISSY EN BRIE','SEINE ET MARNE'),
('77690','LA GENEVRAYE','SEINE ET MARNE'),
('77690','MONTIGNY SUR LOING','SEINE ET MARNE'),
('77700','BAILLY ROMAINVILLIERS','SEINE ET MARNE'),
('77700','CHESSY','SEINE ET MARNE'),
('77700','COUPVRAY','SEINE ET MARNE'),
('77700','MAGNY LE HONGRE','SEINE ET MARNE'),
('77700','SERRIS','SEINE ET MARNE'),
('77710','CHEVRY EN SEREINE','SEINE ET MARNE'),
('77710','LORREZ LE BOCAGE PREAUX','SEINE ET MARNE'),
('77710','NANTEAU SUR LUNAIN','SEINE ET MARNE'),
('77710','PALEY','SEINE ET MARNE'),
('77710','PREAUX','SEINE ET MARNE'),
('77710','REMAUVILLE','SEINE ET MARNE'),
('77710','ST ANGE LE VIEL','SEINE ET MARNE'),
('77710','TREUZY LEVELAY','SEINE ET MARNE'),
('77710','VAUX SUR LUNAIN','SEINE ET MARNE'),
('77710','VILLEBEON','SEINE ET MARNE'),
('77710','VILLEMARECHAL','SEINE ET MARNE'),
('77720','AUBEPIERRE OZOUER LE REPO','SEINE ET MARNE'),
('77720','BAILLY CARROIS','SEINE ET MARNE'),
('77720','BOMBON','SEINE ET MARNE'),
('77720','BREAU','SEINE ET MARNE'),
('77720','CHAMPEAUX','SEINE ET MARNE'),
('77720','LA CHAPELLE GAUTHIER','SEINE ET MARNE'),
('77720','GRANDPUITS BAILLY CARROIS','SEINE ET MARNE'),
('77720','MORMANT','SEINE ET MARNE'),
('77720','OZOUER LE REPOS','SEINE ET MARNE'),
('77720','QUIERS','SEINE ET MARNE'),
('77720','ST MERY','SEINE ET MARNE'),
('77720','ST OUEN EN BRIE','SEINE ET MARNE'),
('77730','CITRY','SEINE ET MARNE'),
('77730','MERY SUR MARNE','SEINE ET MARNE'),
('77730','NANTEUIL SUR MARNE','SEINE ET MARNE'),
('77730','SAACY SUR MARNE','SEINE ET MARNE'),
('77750','BASSEVELLE','SEINE ET MARNE'),
('77750','BOITRON','SEINE ET MARNE'),
('77750','BUSSIERES','SEINE ET MARNE'),
('77750','ORLY SUR MORIN','SEINE ET MARNE'),
('77750','ST CYR SUR MORIN','SEINE ET MARNE'),
('77750','ST OUEN SUR MORIN','SEINE ET MARNE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('77760','ACHERES LA FORET','SEINE ET MARNE'),
('77760','AMPONVILLE','SEINE ET MARNE'),
('77760','BOISSY AUX CAILLES','SEINE ET MARNE'),
('77760','BOULANCOURT','SEINE ET MARNE'),
('77760','BUTHIERS','SEINE ET MARNE'),
('77760','LA CHAPELLE LA REINE','SEINE ET MARNE'),
('77760','CHEVRAINVILLIERS','SEINE ET MARNE'),
('77760','FROMONT','SEINE ET MARNE'),
('77760','GUERCHEVILLE','SEINE ET MARNE'),
('77760','LARCHANT','SEINE ET MARNE'),
('77760','NANTEAU SUR ESSONNES','SEINE ET MARNE'),
('77760','RECLOSES','SEINE ET MARNE'),
('77760','RUMONT','SEINE ET MARNE'),
('77760','URY','SEINE ET MARNE'),
('77760','VILLIERS SOUS GREZ','SEINE ET MARNE'),
('77780','BOURRON MARLOTTE','SEINE ET MARNE'),
('77810','THOMERY','SEINE ET MARNE'),
('77820','LE CHATELET EN BRIE','SEINE ET MARNE'),
('77820','CHATILLON LA BORDE','SEINE ET MARNE'),
('77820','LES ECRENNES','SEINE ET MARNE'),
('77830','ECHOUBOULAINS','SEINE ET MARNE'),
('77830','PAMFOU','SEINE ET MARNE'),
('77830','VALENCE EN BRIE','SEINE ET MARNE'),
('77840','COULOMBS EN VALOIS','SEINE ET MARNE'),
('77840','CROUY SUR OURCQ','SEINE ET MARNE'),
('77840','GERMIGNY SOUS COULOMBS','SEINE ET MARNE'),
('77850','HERICY','SEINE ET MARNE'),
('77860','COUILLY PONT AUX DAMES','SEINE ET MARNE'),
('77860','QUINCY VOISINS','SEINE ET MARNE'),
('77860','ST GERMAIN SUR MORIN','SEINE ET MARNE'),
('77870','VULAINES SUR SEINE','SEINE ET MARNE'),
('77880','GREZ SUR LOING','SEINE ET MARNE'),
('77890','ARVILLE','SEINE ET MARNE'),
('77890','BEAUMONT DU GATINAIS','SEINE ET MARNE'),
('77890','BURCY','SEINE ET MARNE'),
('77890','GARENTREVILLE','SEINE ET MARNE'),
('77890','GIRONVILLE','SEINE ET MARNE'),
('77890','ICHY','SEINE ET MARNE'),
('77890','OBSONVILLE','SEINE ET MARNE'),
('77910','BARCY','SEINE ET MARNE'),
('77910','CHAMBRY','SEINE ET MARNE'),
('77910','GERMIGNY L EVEQUE','SEINE ET MARNE'),
('77910','VARREDDES','SEINE ET MARNE'),
('77920','SAMOIS SUR SEINE','SEINE ET MARNE'),
('77930','CELY','SEINE ET MARNE'),
('77930','CHAILLY EN BIERE','SEINE ET MARNE'),
('77930','FLEURY EN BIERE','SEINE ET MARNE'),
('77930','PERTHES','SEINE ET MARNE'),
('77930','ST GERMAIN SUR ECOLE','SEINE ET MARNE'),
('77930','ST SAUVEUR SUR ECOLE','SEINE ET MARNE'),
('77940','BLENNES','SEINE ET MARNE'),
('77940','LA BROSSE MONTCEAUX','SEINE ET MARNE'),
('77940','DIANT','SEINE ET MARNE'),
('77940','ESMANS','SEINE ET MARNE'),
('77940','FLAGY','SEINE ET MARNE'),
('77940','MONTMACHOUX','SEINE ET MARNE'),
('77940','NOISY RUDIGNON','SEINE ET MARNE'),
('77940','VOULX','SEINE ET MARNE'),
('77950','MAINCY','SEINE ET MARNE'),
('77950','MOISENAY','SEINE ET MARNE'),
('77950','MONTEREAU SUR LE JARD','SEINE ET MARNE'),
('77950','RUBELLES','SEINE ET MARNE'),
('77950','ST GERMAIN LAXIS','SEINE ET MARNE'),
('77950','VOISENON','SEINE ET MARNE'),
('77970','BANNOST VILLEGAGNON','SEINE ET MARNE'),
('77970','BEZALLES','SEINE ET MARNE'),
('77970','BOISDON','SEINE ET MARNE'),
('77970','JOUY LE CHATEL','SEINE ET MARNE'),
('77970','PECY','SEINE ET MARNE'),
('77970','VILLEGAGNON','SEINE ET MARNE'),
('77990','MAUREGARD','SEINE ET MARNE'),
('77990','LE MESNIL AMELOT','SEINE ET MARNE'),
('78000','VERSAILLES','YVELINES'),
('78100','ST GERMAIN EN LAYE','YVELINES'),
('78110','LE VESINET','YVELINES'),
('78111','DAMMARTIN EN SERVE','YVELINES'),
('78112','FOURQUEUX','YVELINES'),
('78113','ADAINVILLE','YVELINES'),
('78113','BOURDONNE','YVELINES'),
('78113','CONDE SUR VESGRE','YVELINES'),
('78113','GRANDCHAMP','YVELINES'),
('78113','LA HAUTEVILLE','YVELINES'),
('78113','LE TARTRE GAUDRAN','YVELINES'),
('78114','MAGNY LES HAMEAUX','YVELINES'),
('78114','CRESSELY','YVELINES'),
('78117','CHATEAUFORT','YVELINES'),
('78117','TOUSSUS LE NOBLE','YVELINES'),
('78120','CLAIREFONTAINE EN YVELINE','YVELINES'),
('78120','RAMBOUILLET','YVELINES'),
('78120','SONCHAMP','YVELINES'),
('78121','CRESPIERES','YVELINES'),
('78124','MAREIL SUR MAULDRE','YVELINES'),
('78124','MONTAINVILLE','YVELINES'),
('78125','LA BOISSIERE ECOLE','YVELINES'),
('78125','EMANCE','YVELINES'),
('78125','GAZERAN','YVELINES'),
('78125','HERMERAY','YVELINES'),
('78125','MITTAINVILLE','YVELINES'),
('78125','ORCEMONT','YVELINES'),
('78125','ORPHIN','YVELINES'),
('78125','POIGNY LA FORET','YVELINES'),
('78125','RAIZEUX','YVELINES'),
('78125','ST HILARION','YVELINES'),
('78125','VIEILLE EGLISE YVELINES','YVELINES'),
('78126','AULNAY SUR MAULDRE','YVELINES'),
('78130','CHAPET','YVELINES'),
('78130','LES MUREAUX','YVELINES'),
('78140','VELIZY VILLACOUBLAY','YVELINES'),
('78150','LE CHESNAY','YVELINES'),
('78150','ROCQUENCOURT','YVELINES'),
('78150','PARLY','YVELINES'),
('78160','MARLY LE ROI','YVELINES'),
('78160','MONTVAL','YVELINES'),
('78170','LA CELLE ST CLOUD','YVELINES'),
('78180','MONTIGNY LE BRETONNEUX','YVELINES'),
('78190','TRAPPES','YVELINES'),
('78200','BOINVILLIERS','YVELINES'),
('78200','BOISSY MAUVOISIN','YVELINES'),
('78200','BUCHELAY','YVELINES'),
('78200','FAVRIEUX','YVELINES'),
('78200','FLACOURT','YVELINES'),
('78200','FONTENAY MAUVOISIN','YVELINES'),
('78200','JOUY MAUVOISIN','YVELINES'),
('78200','MAGNANVILLE','YVELINES'),
('78200','MANTES LA JOLIE','YVELINES'),
('78200','MANTES LA VILLE','YVELINES'),
('78200','MENERVILLE','YVELINES'),
('78200','PERDREAUVILLE','YVELINES'),
('78200','SOINDRES','YVELINES'),
('78210','ST CYR L ECOLE','YVELINES'),
('78220','VIROFLAY','YVELINES'),
('78230','LE PECQ','YVELINES'),
('78240','AIGREMONT','YVELINES'),
('78240','CHAMBOURCY','YVELINES'),
('78250','GAILLON SUR MONTCIENT','YVELINES'),
('78250','HARDRICOURT','YVELINES'),
('78250','MEULAN','YVELINES'),
('78250','MEZY SUR SEINE','YVELINES'),
('78250','OINVILLE SUR MONTCIENT','YVELINES'),
('78250','TESSANCOURT SUR AUBETTE','YVELINES'),
('78260','ACHERES','YVELINES'),
('78270','BENNECOURT','YVELINES'),
('78270','BLARU','YVELINES'),
('78270','BONNIERES SUR SEINE','YVELINES'),
('78270','CHAUFOUR LES BONNIERES','YVELINES'),
('78270','CRAVENT','YVELINES'),
('78270','GOMMECOURT','YVELINES'),
('78270','JEUFOSSE','YVELINES'),
('78270','LIMETZ VILLEZ','YVELINES'),
('78270','LOMMOYE','YVELINES'),
('78270','MERICOURT','YVELINES'),
('78270','MOUSSEAUX SUR SEINE','YVELINES'),
('78270','PORT VILLEZ','YVELINES'),
('78270','ROLLEBOISE','YVELINES'),
('78270','LA VILLENEUVE EN CHEVRIE','YVELINES'),
('78280','GUYANCOURT','YVELINES'),
('78280','BOUVIERS','YVELINES'),
('78280','VILLAROY','YVELINES'),
('78290','CROISSY SUR SEINE','YVELINES'),
('78300','POISSY','YVELINES'),
('78300','LA MALADRERIE','YVELINES'),
('78310','COIGNIERES','YVELINES'),
('78310','MAUREPAS','YVELINES'),
('78320','LEVIS ST NOM','YVELINES'),
('78320','LE MESNIL ST DENIS','YVELINES'),
('78320','LA VERRIERE','YVELINES'),
('78330','FONTENAY LE FLEURY','YVELINES'),
('78340','LES CLAYES SOUS BOIS','YVELINES'),
('78350','JOUY EN JOSAS','YVELINES'),
('78350','LES LOGES EN JOSAS','YVELINES'),
('78360','MONTESSON','YVELINES'),
('78370','PLAISIR','YVELINES'),
('78380','BOUGIVAL','YVELINES'),
('78390','BOIS D ARCY','YVELINES'),
('78400','CHATOU','YVELINES'),
('78410','AUBERGENVILLE','YVELINES'),
('78410','BOUAFLE','YVELINES'),
('78410','LA FALAISE','YVELINES'),
('78410','FLINS SUR SEINE','YVELINES'),
('78410','NEZEL','YVELINES'),
('78410','ELISABETHVILLE','YVELINES'),
('78420','CARRIERES SUR SEINE','YVELINES'),
('78430','LOUVECIENNES','YVELINES'),
('78440','BRUEIL EN VEXIN','YVELINES'),
('78440','DROCOURT','YVELINES'),
('78440','FONTENAY ST PERE','YVELINES'),
('78440','GARGENVILLE','YVELINES'),
('78440','GUITRANCOURT','YVELINES'),
('78440','ISSOU','YVELINES'),
('78440','JAMBVILLE','YVELINES'),
('78440','LAINVILLE','YVELINES'),
('78440','MONTALET LE BOIS','YVELINES'),
('78440','PORCHEVILLE','YVELINES'),
('78440','SAILLY','YVELINES'),
('78450','CHAVENAY','YVELINES'),
('78450','VILLEPREUX','YVELINES'),
('78460','CHEVREUSE','YVELINES'),
('78460','CHOISEL','YVELINES'),
('78470','MILON LA CHAPELLE','YVELINES'),
('78470','ST LAMBERT','YVELINES');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('78470','ST REMY LES CHEVREUSE','YVELINES'),
('78470','RHODON','YVELINES'),
('78480','VERNEUIL SUR SEINE','YVELINES'),
('78490','BAZOCHES SUR GUYONNE','YVELINES'),
('78490','BOISSY SANS AVOIR','YVELINES'),
('78490','GALLUIS','YVELINES'),
('78490','GAMBAISEUIL','YVELINES'),
('78490','GROSROUVRE','YVELINES'),
('78490','MAREIL LE GUYON','YVELINES'),
('78490','MERE','YVELINES'),
('78490','LES MESNULS','YVELINES'),
('78490','MONTFORT L AMAURY','YVELINES'),
('78490','LE TREMBLAY SUR MAULDRE','YVELINES'),
('78490','VICQ','YVELINES'),
('78500','SARTROUVILLE','YVELINES'),
('78510','TRIEL SUR SEINE','YVELINES'),
('78510','HAUTIL','YVELINES'),
('78510','CHEVERCHEMONT','YVELINES'),
('78520','FOLLAINVILLE DENNEMONT','YVELINES'),
('78520','GUERNES','YVELINES'),
('78520','LIMAY','YVELINES'),
('78520','ST MARTIN LA GARENNE','YVELINES'),
('78530','BUC','YVELINES'),
('78540','VERNOUILLET','YVELINES'),
('78540','MARSINVAL','YVELINES'),
('78550','BAZAINVILLE','YVELINES'),
('78550','DANNEMARIE','YVELINES'),
('78550','GRESSEY','YVELINES'),
('78550','HOUDAN','YVELINES'),
('78550','MAULETTE','YVELINES'),
('78550','RICHEBOURG','YVELINES'),
('78550','THIONVILLE SUR OPTON','YVELINES'),
('78560','LE PORT MARLY','YVELINES'),
('78570','ANDRESY','YVELINES'),
('78570','CHANTELOUP LES VIGNES','YVELINES'),
('78570','DENOUVAL','YVELINES'),
('78580','LES ALLUETS LE ROI','YVELINES'),
('78580','BAZEMONT','YVELINES'),
('78580','HERBEVILLE','YVELINES'),
('78580','JUMEAUVILLE','YVELINES'),
('78580','MAULE','YVELINES'),
('78590','NOISY LE ROI','YVELINES'),
('78590','RENNEMOULIN','YVELINES'),
('78600','MAISONS LAFFITTE','YVELINES'),
('78600','MESNIL LE ROI','YVELINES'),
('78600','CARRIERES SOUS BOIS','YVELINES'),
('78610','AUFFARGIS','YVELINES'),
('78610','LES BREVIAIRES','YVELINES'),
('78610','LE PERRAY EN YVELINES','YVELINES'),
('78610','ST LEGER EN YVELINES','YVELINES'),
('78620','L ETANG LA VILLE','YVELINES'),
('78630','MORAINVILLIERS','YVELINES'),
('78630','ORGEVAL','YVELINES'),
('78640','NEAUPHLE LE CHATEAU','YVELINES'),
('78640','NEAUPHLE LE VIEUX','YVELINES'),
('78640','ST GERMAIN DE LA GRANGE','YVELINES'),
('78640','VILLIERS ST FREDERIC','YVELINES'),
('78650','BEYNES','YVELINES'),
('78650','SAULX MARCHAIS','YVELINES'),
('78650','VAL DES QUATRE PIGNONS','YVELINES'),
('78650','LA MALADRERIE','YVELINES'),
('78660','ABLIS','YVELINES'),
('78660','ALLAINVILLE','YVELINES'),
('78660','BOINVILLE LE GAILLARD','YVELINES'),
('78660','CRACHES','YVELINES'),
('78660','ORSONVILLE','YVELINES'),
('78660','PARAY DOUAVILLE','YVELINES'),
('78660','PRUNAY EN YVELINES','YVELINES'),
('78660','ST MARTIN BRETHENCOURT','YVELINES'),
('78670','MEDAN','YVELINES'),
('78670','VILLENNES SUR SEINE','YVELINES'),
('78680','EPONE','YVELINES'),
('78690','LES ESSARTS LE ROI','YVELINES'),
('78690','ST REMY L HONORE','YVELINES'),
('78690','ST HUBERT LE ROI','YVELINES'),
('78700','CONFLANS STE HONORINE','YVELINES'),
('78710','ROSNY SUR SEINE','YVELINES'),
('78720','LA CELLE LES BORDES','YVELINES'),
('78720','CERNAY LA VILLE','YVELINES'),
('78720','DAMPIERRE EN YVELINES','YVELINES'),
('78720','MAINCOURT SUR YVETTE','YVELINES'),
('78720','ST FORGET','YVELINES'),
('78720','SENLISSE','YVELINES'),
('78730','LONGVILLIERS','YVELINES'),
('78730','PONTHEVRARD','YVELINES'),
('78730','ROCHEFORT EN YVELINES','YVELINES'),
('78730','ST ARNOULT EN YVELINES','YVELINES'),
('78730','STE MESME','YVELINES'),
('78740','EVECQUEMONT','YVELINES'),
('78740','VAUX SUR SEINE','YVELINES'),
('78750','MAREIL MARLY','YVELINES'),
('78760','JOUARS PONTCHARTRAIN','YVELINES'),
('78770','ANDELU','YVELINES'),
('78770','AUTEUIL','YVELINES'),
('78770','AUTOUILLET','YVELINES'),
('78770','GOUPILLIERES','YVELINES'),
('78770','MARCQ','YVELINES'),
('78770','THOIRY','YVELINES'),
('78770','VILLIERS LE MAHIEU','YVELINES'),
('78780','MAURECOURT','YVELINES'),
('78790','ARNOUVILLE LES MANTES','YVELINES'),
('78790','COURGENT','YVELINES'),
('78790','FLINS NEUVE EGLISE','YVELINES'),
('78790','HARGEVILLE','YVELINES'),
('78790','MONTCHAUVET','YVELINES'),
('78790','MULCENT','YVELINES'),
('78790','ROSAY','YVELINES'),
('78790','ST MARTIN DES CHAMPS','YVELINES'),
('78790','SEPTEUIL','YVELINES'),
('78790','TILLY','YVELINES'),
('78800','HOUILLES','YVELINES'),
('78810','DAVRON','YVELINES'),
('78810','FEUCHEROLLES','YVELINES'),
('78820','JUZIERS','YVELINES'),
('78830','BONNELLES','YVELINES'),
('78830','BULLION','YVELINES'),
('78840','FRENEUSE','YVELINES'),
('78840','MOISSON','YVELINES'),
('78850','THIVERVAL GRIGNON','YVELINES'),
('78860','ST NOM LA BRETECHE','YVELINES'),
('78860','LA BRETECHE','YVELINES'),
('78870','BAILLY','YVELINES'),
('78890','GARANCIERES','YVELINES'),
('78910','BEHOUST','YVELINES'),
('78910','BOISSETS','YVELINES'),
('78910','CIVRY LA FORET','YVELINES'),
('78910','FLEXANVILLE','YVELINES'),
('78910','ORGERUS','YVELINES'),
('78910','ORVILLIERS','YVELINES'),
('78910','OSMOY','YVELINES'),
('78910','PRUNAY LE TEMPLE','YVELINES'),
('78910','TACOIGNIERES','YVELINES'),
('78920','ECQUEVILLY','YVELINES'),
('78930','AUFREVILLE BRASSEUIL','YVELINES'),
('78930','BOINVILLE EN MANTOIS','YVELINES'),
('78930','BREUIL BOIS ROBERT','YVELINES'),
('78930','GOUSSONVILLE','YVELINES'),
('78930','GUERVILLE','YVELINES'),
('78930','VERT','YVELINES'),
('78930','VILLETTE','YVELINES'),
('78940','MILLEMONT','YVELINES'),
('78940','LA QUEUE LES YVELINES','YVELINES'),
('78950','GAMBAIS','YVELINES'),
('78955','CARRIERES SOUS POISSY','YVELINES'),
('78955','LES GRESILLONS','YVELINES'),
('78960','VOISINS LE BRETONNEUX','YVELINES'),
('78970','MEZIERES SUR SEINE','YVELINES'),
('78980','BREVAL','YVELINES'),
('78980','LONGNES','YVELINES'),
('78980','MONDREVILLE','YVELINES'),
('78980','NEAUPHLETTE','YVELINES'),
('78980','ST ILLIERS LA VILLE','YVELINES'),
('78980','ST ILLIERS LE BOIS','YVELINES'),
('78980','LE TERTRE ST DENIS','YVELINES'),
('78990','ELANCOURT','YVELINES'),
('79000','BESSINES','DEUX SEVRES'),
('79000','NIORT','DEUX SEVRES'),
('79000','ST FLORENT','DEUX SEVRES'),
('79000','ST LIGUAIRE','DEUX SEVRES'),
('79000','STE PEZENNE','DEUX SEVRES'),
('79000','SCIECQ','DEUX SEVRES'),
('79000','SOUCHE','DEUX SEVRES'),
('79100','BILAZAIS','DEUX SEVRES'),
('79100','BRIE','DEUX SEVRES'),
('79100','LOUZY','DEUX SEVRES'),
('79100','LUZAY','DEUX SEVRES'),
('79100','MAULAIS','DEUX SEVRES'),
('79100','MAUZE THOUARSAIS','DEUX SEVRES'),
('79100','MISSE','DEUX SEVRES'),
('79100','NOIZE','DEUX SEVRES'),
('79100','OIRON','DEUX SEVRES'),
('79100','PAS DE JEU','DEUX SEVRES'),
('79100','RIGNE','DEUX SEVRES'),
('79100','ST CYR LA LANDE','DEUX SEVRES'),
('79100','ST JACQUES DE THOUARS','DEUX SEVRES'),
('79100','ST JEAN DE THOUARS','DEUX SEVRES'),
('79100','ST LEGER DE MONTBRUN','DEUX SEVRES'),
('79100','ST MARTIN DE MACON','DEUX SEVRES'),
('79100','STE RADEGONDE','DEUX SEVRES'),
('79100','STE VERGE','DEUX SEVRES'),
('79100','TAIZE','DEUX SEVRES'),
('79100','THOUARS','DEUX SEVRES'),
('79100','TOURTENAY','DEUX SEVRES'),
('79110','ARDILLEUX','DEUX SEVRES'),
('79110','AUBIGNE','DEUX SEVRES'),
('79110','LA BATAILLE','DEUX SEVRES'),
('79110','BOUIN','DEUX SEVRES'),
('79110','CHEF BOUTONNE','DEUX SEVRES'),
('79110','COUTURE D ARGENSON','DEUX SEVRES'),
('79110','CREZIERES','DEUX SEVRES'),
('79110','FONTENILLE ST MARTIN D EN','DEUX SEVRES'),
('79110','GOURNAY LOIZE','DEUX SEVRES'),
('79110','HANC','DEUX SEVRES'),
('79110','LOIZE','DEUX SEVRES'),
('79110','LOUBIGNE','DEUX SEVRES'),
('79110','LOUBILLE','DEUX SEVRES'),
('79110','PIOUSSAY','DEUX SEVRES'),
('79110','ST MARTIN D ENTRAIGUES','DEUX SEVRES'),
('79110','SOMPT','DEUX SEVRES'),
('79110','TILLOU','DEUX SEVRES');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('79110','VILLEMAIN','DEUX SEVRES'),
('79120','CHENAY','DEUX SEVRES'),
('79120','CHEY','DEUX SEVRES'),
('79120','LEZAY','DEUX SEVRES'),
('79120','MESSE','DEUX SEVRES'),
('79120','ROM','DEUX SEVRES'),
('79120','ST COUTANT','DEUX SEVRES'),
('79120','STE SOLINE','DEUX SEVRES'),
('79120','SEPVRET','DEUX SEVRES'),
('79120','VANCAIS','DEUX SEVRES'),
('79120','VANZAY','DEUX SEVRES'),
('79130','ALLONNE','DEUX SEVRES'),
('79130','AZAY SUR THOUET','DEUX SEVRES'),
('79130','LE BEUGNON','DEUX SEVRES'),
('79130','NEUVY BOUIN','DEUX SEVRES'),
('79130','POUGNE HERISSON','DEUX SEVRES'),
('79130','LE RETAIL','DEUX SEVRES'),
('79130','SECONDIGNY','DEUX SEVRES'),
('79140','BRETIGNOLLES','DEUX SEVRES'),
('79140','CERIZAY','DEUX SEVRES'),
('79140','CIRIERE','DEUX SEVRES'),
('79140','COMBRAND','DEUX SEVRES'),
('79140','MONTRAVERS','DEUX SEVRES'),
('79140','LE PIN','DEUX SEVRES'),
('79150','ARGENTON CHATEAU','DEUX SEVRES'),
('79150','BOESSE','DEUX SEVRES'),
('79150','LE BREUIL SOUS ARGENTON','DEUX SEVRES'),
('79150','LA COUDRE','DEUX SEVRES'),
('79150','ETUSSON','DEUX SEVRES'),
('79150','GENNETON','DEUX SEVRES'),
('79150','MASSAIS','DEUX SEVRES'),
('79150','MOUTIERS SOUS ARGENTON','DEUX SEVRES'),
('79150','ST CLEMENTIN','DEUX SEVRES'),
('79150','ST MAURICE LA FOUGEREUSE','DEUX SEVRES'),
('79150','SANZAY','DEUX SEVRES'),
('79150','ULCOT','DEUX SEVRES'),
('79150','VOULTEGON','DEUX SEVRES'),
('79160','ARDIN','DEUX SEVRES'),
('79160','BECELEUF','DEUX SEVRES'),
('79160','LA CHAPELLE THIREUIL','DEUX SEVRES'),
('79160','COULONGES SUR L AUTIZE','DEUX SEVRES'),
('79160','FAYE SUR ARDIN','DEUX SEVRES'),
('79160','FENIOUX','DEUX SEVRES'),
('79160','PUIHARDY','DEUX SEVRES'),
('79160','ST LAURS','DEUX SEVRES'),
('79160','ST MAIXENT DE BEUGNE','DEUX SEVRES'),
('79160','ST POMPAIN','DEUX SEVRES'),
('79160','VILLIERS EN PLAINE','DEUX SEVRES'),
('79170','ASNIERES EN POITOU','DEUX SEVRES'),
('79170','AVAILLES SUR CHIZE','DEUX SEVRES'),
('79170','BRIEUIL SUR CHIZE','DEUX SEVRES'),
('79170','BRIOUX SUR BOUTONNE','DEUX SEVRES'),
('79170','CHERIGNE','DEUX SEVRES'),
('79170','CHIZE','DEUX SEVRES'),
('79170','ENSIGNE','DEUX SEVRES'),
('79170','JUILLE','DEUX SEVRES'),
('79170','LUCHE SUR BRIOUX','DEUX SEVRES'),
('79170','LUSSERAY','DEUX SEVRES'),
('79170','PAIZAY LE CHAPT','DEUX SEVRES'),
('79170','PERIGNE','DEUX SEVRES'),
('79170','SECONDIGNE SUR BELLE','DEUX SEVRES'),
('79170','SELIGNE','DEUX SEVRES'),
('79170','VERNOUX SUR BOUTONNE','DEUX SEVRES'),
('79170','LE VERT','DEUX SEVRES'),
('79170','VILLEFOLLET','DEUX SEVRES'),
('79170','VILLIERS SUR CHIZE','DEUX SEVRES'),
('79180','CHAURAY','DEUX SEVRES'),
('79190','LES ALLEUDS','DEUX SEVRES'),
('79190','CAUNAY','DEUX SEVRES'),
('79190','LA CHAPELLE POUILLOUX','DEUX SEVRES'),
('79190','CLUSSAIS LA POMMERAIE','DEUX SEVRES'),
('79190','LIMALONGES','DEUX SEVRES'),
('79190','LORIGNE','DEUX SEVRES'),
('79190','MAIRE LEVESCAULT','DEUX SEVRES'),
('79190','MELLERAN','DEUX SEVRES'),
('79190','MONTALEMBERT','DEUX SEVRES'),
('79190','PERS','DEUX SEVRES'),
('79190','PLIBOUX','DEUX SEVRES'),
('79190','SAUZE VAUSSAIS','DEUX SEVRES'),
('79200','ADILLY','DEUX SEVRES'),
('79200','LA CHAPELLE BERTRAND','DEUX SEVRES'),
('79200','CHATILLON SUR THOUET','DEUX SEVRES'),
('79200','GOURGE','DEUX SEVRES'),
('79200','LAGEON','DEUX SEVRES'),
('79200','PARTHENAY','DEUX SEVRES'),
('79200','LA PEYRATTE','DEUX SEVRES'),
('79200','POMPAIRE','DEUX SEVRES'),
('79200','ST GERMAIN DE LONGUE CHAU','DEUX SEVRES'),
('79200','SAURAIS','DEUX SEVRES'),
('79200','LE TALLUD','DEUX SEVRES'),
('79200','VIENNAY','DEUX SEVRES'),
('79210','AMURE','DEUX SEVRES'),
('79210','ARCAIS','DEUX SEVRES'),
('79210','LE BOURDET','DEUX SEVRES'),
('79210','MAUZE SUR LE MIGNON','DEUX SEVRES'),
('79210','PRIAIRES','DEUX SEVRES'),
('79210','PRIN DEYRANCON','DEUX SEVRES'),
('79210','ST GEORGES DE REX','DEUX SEVRES'),
('79210','ST HILAIRE LA PALUD','DEUX SEVRES'),
('79210','USSEAU','DEUX SEVRES'),
('79220','CHAMPDENIERS ST DENIS','DEUX SEVRES'),
('79220','CHAMPEAUX','DEUX SEVRES'),
('79220','LA CHAPELLE BATON','DEUX SEVRES'),
('79220','COURS','DEUX SEVRES'),
('79220','GERMOND ROUVRE','DEUX SEVRES'),
('79220','LES GROSEILLERS','DEUX SEVRES'),
('79220','PAMPLIE','DEUX SEVRES'),
('79220','ROUVRE','DEUX SEVRES'),
('79220','ST CHRISTOPHE SUR ROC','DEUX SEVRES'),
('79220','ST DENIS','DEUX SEVRES'),
('79220','STE OUENNE','DEUX SEVRES'),
('79220','SURIN','DEUX SEVRES'),
('79220','XAINTRAY','DEUX SEVRES'),
('79230','AIFFRES','DEUX SEVRES'),
('79230','BRULAIN','DEUX SEVRES'),
('79230','FORS','DEUX SEVRES'),
('79230','JUSCORPS','DEUX SEVRES'),
('79230','PRAHECQ','DEUX SEVRES'),
('79230','ST MARTIN DE BERNEGOUE','DEUX SEVRES'),
('79230','ST ROMANS DES CHAMPS','DEUX SEVRES'),
('79230','VOUILLE','DEUX SEVRES'),
('79240','L ABSIE','DEUX SEVRES'),
('79240','LE BUSSEAU','DEUX SEVRES'),
('79240','LA CHAPELLE ST ETIENNE','DEUX SEVRES'),
('79240','LARGEASSE','DEUX SEVRES'),
('79240','ST PAUL EN GATINE','DEUX SEVRES'),
('79240','SCILLE','DEUX SEVRES'),
('79240','TRAYES','DEUX SEVRES'),
('79240','VERNOUX EN GATINE','DEUX SEVRES'),
('79250','LES AUBIERS','DEUX SEVRES'),
('79250','NUEIL SUR ARGENT','DEUX SEVRES'),
('79260','LA CRECHE','DEUX SEVRES'),
('79260','FRANCOIS','DEUX SEVRES'),
('79260','ROMANS','DEUX SEVRES'),
('79260','STE NEOMAYE','DEUX SEVRES'),
('79270','EPANNES','DEUX SEVRES'),
('79270','FRONTENAY ROHAN ROHAN','DEUX SEVRES'),
('79270','LA ROCHENARD','DEUX SEVRES'),
('79270','ST SYMPHORIEN','DEUX SEVRES'),
('79270','SANSAIS','DEUX SEVRES'),
('79270','VALLANS','DEUX SEVRES'),
('79270','LE VANNEAU','DEUX SEVRES'),
('79290','ARGENTON L EGLISE','DEUX SEVRES'),
('79290','BAGNEUX','DEUX SEVRES'),
('79290','BOUILLE LORETZ','DEUX SEVRES'),
('79290','BOUILLE ST PAUL','DEUX SEVRES'),
('79290','BRION PRES THOUET','DEUX SEVRES'),
('79290','CERSAY','DEUX SEVRES'),
('79290','ST MARTIN DE SANZAY','DEUX SEVRES'),
('79290','ST PIERRE A CHAMP','DEUX SEVRES'),
('79300','BEAULIEU SOUS BRESSUIRE','DEUX SEVRES'),
('79300','BOISME','DEUX SEVRES'),
('79300','BRESSUIRE','DEUX SEVRES'),
('79300','BREUIL CHAUSSEE','DEUX SEVRES'),
('79300','CHAMBROUTET','DEUX SEVRES'),
('79300','LA CHAPELLE GAUDIN','DEUX SEVRES'),
('79300','CLAZAY','DEUX SEVRES'),
('79300','NOIRLIEU','DEUX SEVRES'),
('79300','NOIRTERRE','DEUX SEVRES'),
('79300','ST AUBIN DU PLAIN','DEUX SEVRES'),
('79300','ST SAUVEUR DE GIVRE EN MA','DEUX SEVRES'),
('79300','TERVES','DEUX SEVRES'),
('79310','LA BOISSIERE EN GATINE','DEUX SEVRES'),
('79310','MAZIERES EN GATINE','DEUX SEVRES'),
('79310','ST MARC LA LANDE','DEUX SEVRES'),
('79310','ST PARDOUX','DEUX SEVRES'),
('79310','SOUTIERS','DEUX SEVRES'),
('79310','VERRUYES','DEUX SEVRES'),
('79310','VOUHE','DEUX SEVRES'),
('79320','LE BREUIL BERNARD','DEUX SEVRES'),
('79320','CHANTELOUP','DEUX SEVRES'),
('79320','MONCOUTANT','DEUX SEVRES'),
('79320','MOUTIERS SOUS CHANTEMERLE','DEUX SEVRES'),
('79320','PUGNY','DEUX SEVRES'),
('79330','COULONGES THOUARSAIS','DEUX SEVRES'),
('79330','GEAY','DEUX SEVRES'),
('79330','GLENAY','DEUX SEVRES'),
('79330','LUCHE THOUARSAIS','DEUX SEVRES'),
('79330','PIERREFITTE','DEUX SEVRES'),
('79330','STE GEMME','DEUX SEVRES'),
('79330','ST VARENT','DEUX SEVRES'),
('79340','CHANTECORPS','DEUX SEVRES'),
('79340','COUTIERES','DEUX SEVRES'),
('79340','FOMPERRON','DEUX SEVRES'),
('79340','LES FORGES','DEUX SEVRES'),
('79340','MENIGOUTE','DEUX SEVRES'),
('79340','ST GERMIER','DEUX SEVRES'),
('79340','VASLES','DEUX SEVRES'),
('79350','AMAILLOUX','DEUX SEVRES'),
('79350','CHICHE','DEUX SEVRES'),
('79350','CLESSE','DEUX SEVRES'),
('79350','FAYE L ABBESSE','DEUX SEVRES'),
('79360','BEAUVOIR SUR NIORT','DEUX SEVRES'),
('79360','BELLEVILLE','DEUX SEVRES'),
('79360','BOISSEROLLES','DEUX SEVRES'),
('79360','PRISSE LA CHARRIERE','DEUX SEVRES'),
('79360','LE CORMENIER','DEUX SEVRES'),
('79360','LES FOSSES','DEUX SEVRES'),
('79360','LA FOYE MONJAULT','DEUX SEVRES'),
('79360','GRANZAY GRIPT','DEUX SEVRES');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('79360','GRIPT','DEUX SEVRES'),
('79360','MARIGNY','DEUX SEVRES'),
('79360','PRISSE','DEUX SEVRES'),
('79360','LA REVETIZON','DEUX SEVRES'),
('79360','ST ETIENNE LA CIGOGNE','DEUX SEVRES'),
('79360','THORIGNY','DEUX SEVRES'),
('79360','VILLIERS EN BOIS','DEUX SEVRES'),
('79360','LA CHARRIERE','DEUX SEVRES'),
('79370','AIGONNAY','DEUX SEVRES'),
('79370','BEAUSSAIS','DEUX SEVRES'),
('79370','CELLES SUR BELLE','DEUX SEVRES'),
('79370','FRESSINES','DEUX SEVRES'),
('79370','MONTIGNE','DEUX SEVRES'),
('79370','MOUGON','DEUX SEVRES'),
('79370','PRAILLES','DEUX SEVRES'),
('79370','STE BLANDINE','DEUX SEVRES'),
('79370','ST MEDARD','DEUX SEVRES'),
('79370','THORIGNE','DEUX SEVRES'),
('79370','VERRINES SOUS CELLES','DEUX SEVRES'),
('79370','VITRE','DEUX SEVRES'),
('79380','LA FORET SUR SEVRE','DEUX SEVRES'),
('79380','MONTIGNY','DEUX SEVRES'),
('79380','LA RONDE','DEUX SEVRES'),
('79380','ST ANDRE SUR SEVRE','DEUX SEVRES'),
('79380','ST JOUIN DE MILLY','DEUX SEVRES'),
('79380','ST MARSAULT','DEUX SEVRES'),
('79390','AUBIGNY','DEUX SEVRES'),
('79390','DOUX','DEUX SEVRES'),
('79390','LA FERRIERE EN PARTHENAY','DEUX SEVRES'),
('79390','LHOUMOIS','DEUX SEVRES'),
('79390','OROUX','DEUX SEVRES'),
('79390','PRESSIGNY','DEUX SEVRES'),
('79390','THENEZAY','DEUX SEVRES'),
('79400','AUGE','DEUX SEVRES'),
('79400','AZAY LE BRULE','DEUX SEVRES'),
('79400','EXIREUIL','DEUX SEVRES'),
('79400','NANTEUIL','DEUX SEVRES'),
('79400','ST GEORGES DE NOISNE','DEUX SEVRES'),
('79400','ST MAIXENT L ECOLE','DEUX SEVRES'),
('79400','ST MARTIN DE ST MAIXENT','DEUX SEVRES'),
('79400','SAIVRES','DEUX SEVRES'),
('79410','CHERVEUX','DEUX SEVRES'),
('79410','ECHIRE','DEUX SEVRES'),
('79410','ST GELAIS','DEUX SEVRES'),
('79410','ST MAXIRE','DEUX SEVRES'),
('79410','ST REMY','DEUX SEVRES'),
('79420','BEAULIEU SOUS PARTHENAY','DEUX SEVRES'),
('79420','CLAVE','DEUX SEVRES'),
('79420','REFFANNES','DEUX SEVRES'),
('79420','ST LIN','DEUX SEVRES'),
('79420','ST MARTIN DU FOUILLOUX','DEUX SEVRES'),
('79420','VAUSSEROUX','DEUX SEVRES'),
('79420','VAUTEBIS','DEUX SEVRES'),
('79430','LA CHAPELLE ST LAURENT','DEUX SEVRES'),
('79440','COURLAY','DEUX SEVRES'),
('79450','FENERY','DEUX SEVRES'),
('79450','ST AUBIN LE CLOUD','DEUX SEVRES'),
('79460','MAGNE','DEUX SEVRES'),
('79500','CHAIL','DEUX SEVRES'),
('79500','L ENCLAVE DE LA MARTINIER','DEUX SEVRES'),
('79500','MAISONNAY','DEUX SEVRES'),
('79500','MAZIERES SUR BERONNE','DEUX SEVRES'),
('79500','MELLE','DEUX SEVRES'),
('79500','PAIZAY LE TORT','DEUX SEVRES'),
('79500','POUFFONDS','DEUX SEVRES'),
('79500','ST GENARD','DEUX SEVRES'),
('79500','ST LEGER DE LA MARTINIERE','DEUX SEVRES'),
('79500','ST MARTIN LES MELLE','DEUX SEVRES'),
('79500','ST ROMANS LES MELLE','DEUX SEVRES'),
('79500','ST VINCENT LA CHATRE','DEUX SEVRES'),
('79510','COULON','DEUX SEVRES'),
('79600','AIRVAULT','DEUX SEVRES'),
('79600','ASSAIS LES JUMEAUX','DEUX SEVRES'),
('79600','AVAILLES THOUARSAIS','DEUX SEVRES'),
('79600','BORCQ SUR AIRVAULT','DEUX SEVRES'),
('79600','BOUSSAIS','DEUX SEVRES'),
('79600','LE CHILLOU','DEUX SEVRES'),
('79600','IRAIS','DEUX SEVRES'),
('79600','LES JUMEAUX','DEUX SEVRES'),
('79600','LAMAIRE','DEUX SEVRES'),
('79600','LOUIN','DEUX SEVRES'),
('79600','MAISONTIERS','DEUX SEVRES'),
('79600','MARNES','DEUX SEVRES'),
('79600','ST GENEROUX','DEUX SEVRES'),
('79600','ST JOUIN DE MARNES','DEUX SEVRES'),
('79600','ST LOUP LAMAIRE','DEUX SEVRES'),
('79600','SOULIEVRES','DEUX SEVRES'),
('79600','TESSONNIERE','DEUX SEVRES'),
('79700','LA CHAPELLE LARGEAU','DEUX SEVRES'),
('79700','MAULEON','DEUX SEVRES'),
('79700','LOUBLANDE','DEUX SEVRES'),
('79700','MOULINS','DEUX SEVRES'),
('79700','LA PETITE BOISSIERE','DEUX SEVRES'),
('79700','RORTHAIS','DEUX SEVRES'),
('79700','ST AMAND SUR SEVRE','DEUX SEVRES'),
('79700','ST AUBIN DE BAUBIGNE','DEUX SEVRES'),
('79700','ST PIERRE DES ECHAUBROGNE','DEUX SEVRES'),
('79700','LE TEMPLE','DEUX SEVRES'),
('79800','AVON','DEUX SEVRES'),
('79800','BOUGON','DEUX SEVRES'),
('79800','LA COUARDE','DEUX SEVRES'),
('79800','EXOUDUN','DEUX SEVRES'),
('79800','LA MOTHE ST HERAY','DEUX SEVRES'),
('79800','PAMPROUX','DEUX SEVRES'),
('79800','STE EANNE','DEUX SEVRES'),
('79800','SALLES','DEUX SEVRES'),
('79800','SOUDAN','DEUX SEVRES'),
('79800','SOUVIGNE','DEUX SEVRES'),
('80000','AMIENS','SOMME'),
('80100','ABBEVILLE','SOMME'),
('80110','AUBERCOURT','SOMME'),
('80110','AUBVILLERS','SOMME'),
('80110','BEAUCOURT EN SANTERRE','SOMME'),
('80110','BERTEAUCOURT LES THENNES','SOMME'),
('80110','BRACHES','SOMME'),
('80110','DEMUIN','SOMME'),
('80110','DOMART SUR LA LUCE','SOMME'),
('80110','FRESNOY EN CHAUSSEE','SOMME'),
('80110','HAILLES','SOMME'),
('80110','HANGARD','SOMME'),
('80110','MAILLY RAINEVAL','SOMME'),
('80110','MEZIERES EN SANTERRE','SOMME'),
('80110','MOREUIL','SOMME'),
('80110','MORISEL','SOMME'),
('80110','NEUVILLE SIRE BERNARD','SOMME'),
('80110','LE PLESSIER ROZAINVILLIER','SOMME'),
('80110','SAUVILLERS MONGIVAL','SOMME'),
('80110','THENNES','SOMME'),
('80110','THEZY GLIMONT','SOMME'),
('80110','VILLERS AUX ERABLES','SOMME'),
('80112','VILLERS FAUCON','SOMME'),
('80113','HEILLY','SOMME'),
('80113','MERICOURT L ABBE','SOMME'),
('80113','RIBEMONT SUR ANCRE','SOMME'),
('80115','PONT NOYELLES','SOMME'),
('80115','QUERRIEU','SOMME'),
('80118','LE QUESNEL','SOMME'),
('80120','ARGOULES','SOMME'),
('80120','ARRY','SOMME'),
('80120','BERNAY EN PONTHIEU','SOMME'),
('80120','DOMINOIS','SOMME'),
('80120','FAVIERES','SOMME'),
('80120','FOREST MONTIERS','SOMME'),
('80120','NAMPONT','SOMME'),
('80120','QUEND','SOMME'),
('80120','REGNIERE ECLUSE','SOMME'),
('80120','RUE','SOMME'),
('80120','ST QUENTIN EN TOURMONT','SOMME'),
('80120','VERCOURT','SOMME'),
('80120','VILLERS SUR AUTHIE','SOMME'),
('80120','VRON','SOMME'),
('80121','PROYART','SOMME'),
('80122','HEUDICOURT','SOMME'),
('80126','THIEULLOY L ABBAYE','SOMME'),
('80130','BOURSEVILLE','SOMME'),
('80130','FRIVILLE ESCARBOTIN','SOMME'),
('80131','FRAMERVILLE RAINECOURT','SOMME'),
('80131','HARBONNIERES','SOMME'),
('80131','VAUVILLERS','SOMME'),
('80132','BELLANCOURT','SOMME'),
('80132','BUIGNY L ABBE','SOMME'),
('80132','BUIGNY ST MACLOU','SOMME'),
('80132','CAHON','SOMME'),
('80132','CAMBRON','SOMME'),
('80132','CAOURS','SOMME'),
('80132','DRUCAT','SOMME'),
('80132','GRAND LAVIERS','SOMME'),
('80132','HAUTVILLERS OUVILLE','SOMME'),
('80132','HUCHENNEVILLE','SOMME'),
('80132','MAREUIL CAUBERT','SOMME'),
('80132','MIANNAY','SOMME'),
('80132','NEUFMOULIN','SOMME'),
('80132','NEUILLY L HOPITAL','SOMME'),
('80132','PORT LE GRAND','SOMME'),
('80132','QUESNOY LE MONTANT','SOMME'),
('80132','LE TITRE','SOMME'),
('80132','VAUCHELLES LES QUESNOY','SOMME'),
('80132','YONVAL','SOMME'),
('80134','HANGEST EN SANTERRE','SOMME'),
('80135','BUSSUS BUSSUEL','SOMME'),
('80135','COULONVILLERS','SOMME'),
('80135','MAISON ROLAND','SOMME'),
('80135','MILLENCOURT EN PONTHIEU','SOMME'),
('80135','ONEUX','SOMME'),
('80135','ST RIQUIER','SOMME'),
('80135','YAUCOURT BUSSUS','SOMME'),
('80136','RIVERY','SOMME'),
('80140','ANDAINVILLE','SOMME'),
('80140','ARGUEL','SOMME'),
('80140','AUMATRE','SOMME'),
('80140','AVESNES CHAUSSOY','SOMME'),
('80140','BERMESNIL','SOMME'),
('80140','BIENCOURT','SOMME'),
('80140','CANNESSIERES','SOMME'),
('80140','CERISY BULEUX','SOMME'),
('80140','DOUDELAINVILLE','SOMME'),
('80140','EPAUMESNIL','SOMME'),
('80140','ETREJUST','SOMME'),
('80140','FONTAINE LE SEC','SOMME'),
('80140','FORCEVILLE EN VIMEU','SOMME');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('80140','FOUCAUCOURT HORS NESLE','SOMME'),
('80140','FRAMICOURT','SOMME'),
('80140','FRESNES TILLOLOY','SOMME'),
('80140','FRESNEVILLE','SOMME'),
('80140','FRESNOY ANDAINVILLE','SOMME'),
('80140','FRETTECUISSE','SOMME'),
('80140','GREBAULT MESNIL','SOMME'),
('80140','HUPPY','SOMME'),
('80140','LIGNIERES EN VIMEU','SOMME'),
('80140','MARTAINNEVILLE','SOMME'),
('80140','MESNIL EUDIN','SOMME'),
('80140','MOUFLIERES','SOMME'),
('80140','NESLE L HOPITAL','SOMME'),
('80140','NESLETTE','SOMME'),
('80140','NEUVILLE AUX BOIS','SOMME'),
('80140','OISEMONT','SOMME'),
('80140','RAMBURELLES','SOMME'),
('80140','RAMBURES','SOMME'),
('80140','ST LEGER SUR BRESLE','SOMME'),
('80140','ST MAULVIS','SOMME'),
('80140','ST MAXENT','SOMME'),
('80140','SENARPONT','SOMME'),
('80140','LE TRANSLAY','SOMME'),
('80140','VAUX MARQUENNEVILLE','SOMME'),
('80140','VILLEROY','SOMME'),
('80140','VILLERS CAMPSART','SOMME'),
('80140','VISMES','SOMME'),
('80140','WOIREL','SOMME'),
('80150','AGENVILLERS','SOMME'),
('80150','LE BOISLE','SOMME'),
('80150','BOUFFLERS','SOMME'),
('80150','BRAILLY CORNEHOTTE','SOMME'),
('80150','CANCHY','SOMME'),
('80150','CRECY EN PONTHIEU','SOMME'),
('80150','DOMPIERRE SUR AUTHIE','SOMME'),
('80150','DOMVAST','SOMME'),
('80150','ESTREES LES CRECY','SOMME'),
('80150','FONTAINE SUR MAYE','SOMME'),
('80150','FOREST L ABBAYE','SOMME'),
('80150','FROYELLES','SOMME'),
('80150','GAPENNES','SOMME'),
('80150','GUESCHART','SOMME'),
('80150','LAMOTTE BULEUX','SOMME'),
('80150','LIGESCOURT','SOMME'),
('80150','MACHIEL','SOMME'),
('80150','MACHY','SOMME'),
('80150','MAISON PONTHIEU','SOMME'),
('80150','MARCHEVILLE','SOMME'),
('80150','NEUILLY LE DIEN','SOMME'),
('80150','NOYELLES EN CHAUSSEE','SOMME'),
('80150','PONCHES ESTRUVAL','SOMME'),
('80150','VIRONCHAUX','SOMME'),
('80150','VITZ SUR AUTHIE','SOMME'),
('80150','YVRENCH','SOMME'),
('80150','YVRENCHEUX','SOMME'),
('80160','BELLEUSE','SOMME'),
('80160','BOSQUEL','SOMME'),
('80160','BRASSY','SOMME'),
('80160','CONTRE','SOMME'),
('80160','CONTY','SOMME'),
('80160','COURCELLES SOUS THOIX','SOMME'),
('80160','ESSERTAUX','SOMME'),
('80160','FLERS SUR NOYE','SOMME'),
('80160','FLEURY','SOMME'),
('80160','FOSSEMANANT','SOMME'),
('80160','FRANSURES','SOMME'),
('80160','FREMONTIERS','SOMME'),
('80160','LOEUILLY','SOMME'),
('80160','MONSURES','SOMME'),
('80160','NAMPTY','SOMME'),
('80160','NEUVILLE LOEUILLY','SOMME'),
('80160','ORESMAUX','SOMME'),
('80160','PLACHY BUYON','SOMME'),
('80160','PROUZEL','SOMME'),
('80160','ROGY','SOMME'),
('80160','ST SAUFLIEU','SOMME'),
('80160','SENTELIE','SOMME'),
('80160','THOIX','SOMME'),
('80160','TILLOY LES CONTY','SOMME'),
('80160','VELENNES','SOMME'),
('80160','WAILLY','SOMME'),
('80170','BAYONVILLERS','SOMME'),
('80170','BEAUFORT EN SANTERRE','SOMME'),
('80170','CAIX','SOMME'),
('80170','CHILLY','SOMME'),
('80170','FOLIES','SOMME'),
('80170','FOUQUESCOURT','SOMME'),
('80170','GUILLAUCOURT','SOMME'),
('80170','MAUCOURT','SOMME'),
('80170','MEHARICOURT','SOMME'),
('80170','ROSIERES EN SANTERRE','SOMME'),
('80170','ROUVROY EN SANTERRE','SOMME'),
('80170','VRELY','SOMME'),
('80170','WARVILLERS','SOMME'),
('80170','WIENCOURT L EQUIPEE','SOMME'),
('80190','BETHENCOURT SUR SOMME','SOMME'),
('80190','BIARRE','SOMME'),
('80190','BILLANCOURT','SOMME'),
('80190','CRESSY OMENCOURT','SOMME'),
('80190','CURCHY','SOMME'),
('80190','EPENANCOURT','SOMME'),
('80190','ETALON','SOMME'),
('80190','FALVY','SOMME'),
('80190','HERLY','SOMME'),
('80190','LANGUEVOISIN QUIQUERY','SOMME'),
('80190','MANICOURT','SOMME'),
('80190','MESNIL ST NICAISE','SOMME'),
('80190','MORCHAIN','SOMME'),
('80190','NESLE','SOMME'),
('80190','PARGNY','SOMME'),
('80190','POTTE','SOMME'),
('80190','ROUY LE GRAND','SOMME'),
('80190','ROUY LE PETIT','SOMME'),
('80190','VILLECOURT','SOMME'),
('80190','Y','SOMME'),
('80200','AIZECOURT LE HAUT','SOMME'),
('80200','ALLAINES','SOMME'),
('80200','ASSEVILLERS','SOMME'),
('80200','ATHIES','SOMME'),
('80200','BARLEUX','SOMME'),
('80200','BELLOY EN SANTERRE','SOMME'),
('80200','BERNY EN SANTERRE','SOMME'),
('80200','BIACHES','SOMME'),
('80200','BOUCHAVESNES BERGEN','SOMME'),
('80200','BOUVINCOURT EN VERMANDOIS','SOMME'),
('80200','BRIE','SOMME'),
('80200','BUIRE COURCELLES','SOMME'),
('80200','BUSSU','SOMME'),
('80200','CARTIGNY','SOMME'),
('80200','CIZANCOURT','SOMME'),
('80200','CLERY SUR SOMME','SOMME'),
('80200','DEVISE','SOMME'),
('80200','DOINGT','SOMME'),
('80200','ENNEMAIN','SOMME'),
('80200','ESTREES DENIECOURT','SOMME'),
('80200','ESTREES EN CHAUSSEE','SOMME'),
('80200','ETERPIGNY','SOMME'),
('80200','FAY','SOMME'),
('80200','FEUILLERES','SOMME'),
('80200','FLAUCOURT','SOMME'),
('80200','HERBECOURT','SOMME'),
('80200','MARCHELEPOT','SOMME'),
('80200','MESNIL BRUNTEL','SOMME'),
('80200','MONCHY LAGACHE','SOMME'),
('80200','ESTREES MONS','SOMME'),
('80200','PERONNE','SOMME'),
('80200','ST CHRIST BRIOST','SOMME'),
('80200','SOYECOURT','SOMME'),
('80200','TERTRY','SOMME'),
('80200','VILLERS CARBONNEL','SOMME'),
('80200','MEREAUCOURT','SOMME'),
('80210','ACHEUX EN VIMEU','SOMME'),
('80210','AIGNEVILLE','SOMME'),
('80210','CHEPY','SOMME'),
('80210','ERCOURT','SOMME'),
('80210','FEUQUIERES EN VIMEU','SOMME'),
('80210','FRANLEU','SOMME'),
('80210','MONS BOUBERT','SOMME'),
('80210','OCHANCOURT','SOMME'),
('80210','TOURS EN VIMEU','SOMME'),
('80210','VALINES','SOMME'),
('80220','BOUILLANCOURT EN SERY','SOMME'),
('80220','BOUTTENCOURT','SOMME'),
('80220','BOUVAINCOURT SUR BRESLE','SOMME'),
('80220','BUIGNY LES GAMACHES','SOMME'),
('80220','FRETTEMEULE','SOMME'),
('80220','GAMACHES','SOMME'),
('80220','MAISNIERES','SOMME'),
('80220','TILLOY FLORIVILLE','SOMME'),
('80230','BOISMONT','SOMME'),
('80230','BRUTELLES','SOMME'),
('80230','ESTREBOEUF','SOMME'),
('80230','LANCHERES','SOMME'),
('80230','PENDE','SOMME'),
('80230','SAIGNEVILLE','SOMME'),
('80230','ST VALERY SUR SOMME','SOMME'),
('80230','VAUDRICOURT','SOMME'),
('80240','AIZECOURT LE BAS','SOMME'),
('80240','BERNES','SOMME'),
('80240','DRIENCOURT','SOMME'),
('80240','GUYENCOURT SAULCOURT','SOMME'),
('80240','HANCOURT','SOMME'),
('80240','HERVILLY','SOMME'),
('80240','HESBECOURT','SOMME'),
('80240','LIERAMONT','SOMME'),
('80240','LONGAVESNES','SOMME'),
('80240','MARQUAIX','SOMME'),
('80240','NURLU','SOMME'),
('80240','POEUILLY','SOMME'),
('80240','ROISEL','SOMME'),
('80240','SOREL','SOMME'),
('80240','TEMPLEUX LA FOSSE','SOMME'),
('80240','TEMPLEUX LE GUERARD','SOMME'),
('80240','TINCOURT BOUCLY','SOMME'),
('80240','VRAIGNES VERMANDOIS','SOMME'),
('80250','AILLY SUR NOYE','SOMME'),
('80250','CHAUSSOY EPAGNY','SOMME'),
('80250','CHIRMONT','SOMME'),
('80250','COULLEMELLE','SOMME'),
('80250','ESCLAINVILLERS','SOMME');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('80250','ESTREES SUR NOYE','SOMME'),
('80250','LA FALOISE','SOMME'),
('80250','FOLLEVILLE','SOMME'),
('80250','GRIVESNES','SOMME'),
('80250','GUYENCOURT SUR NOYE','SOMME'),
('80250','HALLIVILLERS','SOMME'),
('80250','JUMEL','SOMME'),
('80250','LAWARDE MAUGER L HORTOY','SOMME'),
('80250','LOUVRECHY','SOMME'),
('80250','MALPART','SOMME'),
('80250','QUIRY LE SEC','SOMME'),
('80250','REMIENCOURT','SOMME'),
('80250','ROUVREL','SOMME'),
('80250','SOURDON','SOMME'),
('80250','THORY','SOMME'),
('80260','ALLONVILLE','SOMME'),
('80260','BAVELINCOURT','SOMME'),
('80260','BEAUCOURT SUR L HALLUE','SOMME'),
('80260','BEHENCOURT','SOMME'),
('80260','BERTANGLES','SOMME'),
('80260','CARDONNETTE','SOMME'),
('80260','COISY','SOMME'),
('80260','FLESSELLES','SOMME'),
('80260','FRECHENCOURT','SOMME'),
('80260','HERISSART','SOMME'),
('80260','MIRVAUX','SOMME'),
('80260','MOLLIENS AU BOIS','SOMME'),
('80260','MONTIGNY SUR L HALLUE','SOMME'),
('80260','MONTONVILLERS','SOMME'),
('80260','NAOURS','SOMME'),
('80260','PIERREGOT','SOMME'),
('80260','POULAINVILLE','SOMME'),
('80260','RAINNEVILLE','SOMME'),
('80260','RUBEMPRE','SOMME'),
('80260','ST GRATIEN','SOMME'),
('80260','TALMAS','SOMME'),
('80260','VAUX EN AMIENOIS','SOMME'),
('80260','LA VICOGNE','SOMME'),
('80260','VILLERS BOCAGE','SOMME'),
('80270','AIRAINES','SOMME'),
('80270','ALLERY','SOMME'),
('80270','AVELESGES','SOMME'),
('80270','BELLOY ST LEONARD','SOMME'),
('80270','BETTENCOURT RIVIERE','SOMME'),
('80270','DREUIL HAMEL','SOMME'),
('80270','HEUCOURT CROQUOISON','SOMME'),
('80270','LALEU','SOMME'),
('80270','METIGNY','SOMME'),
('80270','QUESNOY SUR AIRAINES','SOMME'),
('80270','TAILLY','SOMME'),
('80270','VERGIES','SOMME'),
('80270','WARLUS','SOMME'),
('80270','WIRY AU MONT','SOMME'),
('80290','AGNIERES','SOMME'),
('80290','BERGICOURT','SOMME'),
('80290','BLANGY SOUS POIX','SOMME'),
('80290','BUSSY LES POIX','SOMME'),
('80290','COURCELLES SOUS MOYENCOUR','SOMME'),
('80290','CROIXRAULT','SOMME'),
('80290','EPLESSIER','SOMME'),
('80290','EQUENNES ERAMECOURT','SOMME'),
('80290','ERAMECOURT','SOMME'),
('80290','FAMECHON','SOMME'),
('80290','FRETTEMOLLE','SOMME'),
('80290','FRICAMPS','SOMME'),
('80290','GUIZANCOURT','SOMME'),
('80290','HESCAMPS','SOMME'),
('80290','LACHAPELLE','SOMME'),
('80290','LAHAYE ST ROMAIN','SOMME'),
('80290','MEREAUCOURT','SOMME'),
('80290','MOYENCOURT LES POIX','SOMME'),
('80290','POIX DE PICARDIE','SOMME'),
('80290','STE SEGREE','SOMME'),
('80290','SAULCHOY SOUS POIX','SOMME'),
('80290','SOUPLICOURT','SOMME'),
('80290','THIEULLOY LA VILLE','SOMME'),
('80300','ALBERT','SOMME'),
('80300','AUTHUILLE','SOMME'),
('80300','AVELUY','SOMME'),
('80300','BAIZIEUX','SOMME'),
('80300','BAZENTIN','SOMME'),
('80300','BEAUCOURT SUR L ANCRE','SOMME'),
('80300','BEAUMONT HAMEL','SOMME'),
('80300','BECORDEL BECOURT','SOMME'),
('80300','BOUZINCOURT','SOMME'),
('80300','BRESLE','SOMME'),
('80300','BUIRE SUR L ANCRE','SOMME'),
('80300','CARNOY','SOMME'),
('80300','CONTALMAISON','SOMME'),
('80300','COURCELETTE','SOMME'),
('80300','DERNANCOURT','SOMME'),
('80300','ENGLEBELMER','SOMME'),
('80300','FRICOURT','SOMME'),
('80300','GRANDCOURT','SOMME'),
('80300','HENENCOURT','SOMME'),
('80300','IRLES','SOMME'),
('80300','LAVIEVILLE','SOMME'),
('80300','MAMETZ','SOMME'),
('80300','MESNIL MARTINSART','SOMME'),
('80300','MILLENCOURT','SOMME'),
('80300','MIRAUMONT','SOMME'),
('80300','MONTAUBAN DE PICARDIE','SOMME'),
('80300','MORLANCOURT','SOMME'),
('80300','OVILLERS BOISSELLE','SOMME'),
('80300','POZIERES','SOMME'),
('80300','PYS','SOMME'),
('80300','SENLIS LE SEC','SOMME'),
('80300','THIEPVAL','SOMME'),
('80300','TREUX','SOMME'),
('80300','VILLE SUR ANCRE','SOMME'),
('80300','WARLOY BAILLON','SOMME'),
('80310','BELLOY SUR SOMME','SOMME'),
('80310','BOURDON','SOMME'),
('80310','CAVILLON','SOMME'),
('80310','LA CHAUSSEE TIRANCOURT','SOMME'),
('80310','CROUY ST PIERRE','SOMME'),
('80310','FOURDRINOY','SOMME'),
('80310','HANGEST SUR SOMME','SOMME'),
('80310','LE MESGE','SOMME'),
('80310','PICQUIGNY','SOMME'),
('80310','RIENCOURT','SOMME'),
('80310','ST PIERRE A GOUY','SOMME'),
('80310','ST VAAST EN CHAUSSEE','SOMME'),
('80310','SOUES','SOMME'),
('80310','YZEUX','SOMME'),
('80320','ABLAINCOURT PRESSOIRE','SOMME'),
('80320','CHAULNES','SOMME'),
('80320','FRESNES MAZANCOURT','SOMME'),
('80320','HALLU','SOMME'),
('80320','HYENCOURT LE GRAND','SOMME'),
('80320','LICOURT','SOMME'),
('80320','LIHONS','SOMME'),
('80320','MISERY','SOMME'),
('80320','OMIECOURT','SOMME'),
('80320','PERTAIN','SOMME'),
('80320','PUNCHY','SOMME'),
('80320','PUZEAUX','SOMME'),
('80320','VERMANDOVILLERS','SOMME'),
('80330','CAGNY','SOMME'),
('80330','LONGUEAU','SOMME'),
('80340','BRAY SUR SOMME','SOMME'),
('80340','CAPPY','SOMME'),
('80340','CHUIGNES','SOMME'),
('80340','CHUIGNOLLES','SOMME'),
('80340','ECLUSIER VAUX','SOMME'),
('80340','ETINEHEM','SOMME'),
('80340','FONTAINE LES CAPPY','SOMME'),
('80340','FOUCAUCOURT SANTERRE','SOMME'),
('80340','FRISE','SOMME'),
('80340','HERLEVILLE','SOMME'),
('80340','MERICOURT SUR SOMME','SOMME'),
('80340','MORCOURT','SOMME'),
('80340','LA NEUVILLE LES BRAY','SOMME'),
('80340','SUZANNE','SOMME'),
('80350','MERS LES BAINS','SOMME'),
('80360','COMBLES','SOMME'),
('80360','CURLU','SOMME'),
('80360','EQUANCOURT','SOMME'),
('80360','ETRICOURT MANANCOURT','SOMME'),
('80360','FINS','SOMME'),
('80360','FLERS','SOMME'),
('80360','GINCHY','SOMME'),
('80360','GUEUDECOURT','SOMME'),
('80360','GUILLEMONT','SOMME'),
('80360','HARDECOURT AUX BOIS','SOMME'),
('80360','HEM MONACU','SOMME'),
('80360','LESBOEUFS','SOMME'),
('80360','LONGUEVAL','SOMME'),
('80360','MARICOURT','SOMME'),
('80360','MAUREPAS','SOMME'),
('80360','MESNIL EN ARROUAISE','SOMME'),
('80360','RANCOURT','SOMME'),
('80360','SAILLY SAILLISEL','SOMME'),
('80370','AGENVILLE','SOMME'),
('80370','BEALCOURT','SOMME'),
('80370','BEAUMETZ','SOMME'),
('80370','BERNATRE','SOMME'),
('80370','BERNAVILLE','SOMME'),
('80370','CONTEVILLE','SOMME'),
('80370','CRAMONT','SOMME'),
('80370','DOMESMONT','SOMME'),
('80370','DOMLEGER LONGVILLERS','SOMME'),
('80370','EPECAMPS','SOMME'),
('80370','FROHEN LE GRAND','SOMME'),
('80370','FROHEN LE PETIT','SOMME'),
('80370','GORGES','SOMME'),
('80370','HEUZECOURT','SOMME'),
('80370','HIERMONT','SOMME'),
('80370','LONGVILLERS','SOMME'),
('80370','MAIZICOURT','SOMME'),
('80370','LE MEILLARD','SOMME'),
('80370','MONTIGNY LES JONGLEURS','SOMME'),
('80370','PROUVILLE','SOMME'),
('80370','ST ACHEUL','SOMME'),
('80370','VACQUERIE','SOMME'),
('80380','CACHY','SOMME'),
('80380','GENTELLES','SOMME'),
('80380','VILLERS BRETONNEUX','SOMME'),
('80390','FRESSENNEVILLE','SOMME'),
('80390','NIBAS','SOMME');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('80400','BREUIL','SOMME'),
('80400','BROUCHY','SOMME'),
('80400','BUVERCHY','SOMME'),
('80400','CROIX MOLIGNEAUX','SOMME'),
('80400','DOUILLY','SOMME'),
('80400','EPPEVILLE','SOMME'),
('80400','ESMERY HALLON','SOMME'),
('80400','GRECOURT','SOMME'),
('80400','HAM','SOMME'),
('80400','HOMBLEUX','SOMME'),
('80400','MATIGNY','SOMME'),
('80400','MOYENCOURT','SOMME'),
('80400','MUILLE VILLETTE','SOMME'),
('80400','OFFOY','SOMME'),
('80400','QUIVIERES','SOMME'),
('80400','SANCOURT','SOMME'),
('80400','UGNY L EQUIPEE','SOMME'),
('80400','VOYENNES','SOMME'),
('80410','CAYEUX SUR MER','SOMME'),
('80420','FLIXECOURT','SOMME'),
('80420','VILLE LE MARCLET','SOMME'),
('80430','BEAUCAMPS LE JEUNE','SOMME'),
('80430','BEAUCAMPS LE VIEUX','SOMME'),
('80430','BROCOURT','SOMME'),
('80430','GUEMICOURT','SOMME'),
('80430','GUIBERMESNIL','SOMME'),
('80430','INVAL BOIRON','SOMME'),
('80430','LABOISSIERE ST MARTIN','SOMME'),
('80430','LAFRESGUIMONT ST MARTIN','SOMME'),
('80430','LIOMER','SOMME'),
('80430','LE MAZIS','SOMME'),
('80430','MONTMARQUET','SOMME'),
('80430','NEUVILLE COPPEGUEULE','SOMME'),
('80430','LE QUESNE','SOMME'),
('80430','ST AUBIN RIVIERE','SOMME'),
('80430','ST GERMAIN SUR BRESLE','SOMME'),
('80440','BLANGY TRONVILLE','SOMME'),
('80440','BOVES','SOMME'),
('80440','COTTENCHY','SOMME'),
('80440','DOMMARTIN','SOMME'),
('80440','FOUENCAMPS','SOMME'),
('80440','GLISY','SOMME'),
('80450','CAMON','SOMME'),
('80450','LAMOTTE BREBIERE','SOMME'),
('80460','AULT','SOMME'),
('80460','OUST MAREST','SOMME'),
('80460','WOIGNARUE','SOMME'),
('80470','AILLY SUR SOMME','SOMME'),
('80470','BREILLY','SOMME'),
('80470','FERRIERES','SOMME'),
('80470','ST SAUVEUR','SOMME'),
('80480','BACOUEL SUR SELLE','SOMME'),
('80480','CREUSE','SOMME'),
('80480','DURY','SOMME'),
('80480','PONT DE METZ','SOMME'),
('80480','SALEUX','SOMME'),
('80480','SALOUEL','SOMME'),
('80480','VERS SUR SELLES','SOMME'),
('80490','BAILLEUL','SOMME'),
('80490','CITERNE','SOMME'),
('80490','FRUCOURT','SOMME'),
('80490','HALLENCOURT','SOMME'),
('80490','HOCQUINCOURT','SOMME'),
('80490','LIMEUX','SOMME'),
('80490','MERELESSART','SOMME'),
('80490','SOREL EN VIMEU','SOMME'),
('80490','WANEL','SOMME'),
('80500','ASSAINVILLERS','SOMME'),
('80500','AYENCOURT','SOMME'),
('80500','BECQUIGNY','SOMME'),
('80500','BOUILLANCOURT LA BATAILLE','SOMME'),
('80500','BOUSSICOURT','SOMME'),
('80500','CANTIGNY','SOMME'),
('80500','LE CARDONNOIS','SOMME'),
('80500','CONTOIRE','SOMME'),
('80500','COURTEMANCHE','SOMME'),
('80500','DAVENESCOURT','SOMME'),
('80500','ERCHES','SOMME'),
('80500','ETELFAY','SOMME'),
('80500','FAVEROLLES','SOMME'),
('80500','FESCAMPS','SOMME'),
('80500','FIGNIERES','SOMME'),
('80500','FONTAINE SOUS MONTDIDIER','SOMME'),
('80500','GRATIBUS','SOMME'),
('80500','GUERBIGNY','SOMME'),
('80500','HARGICOURT','SOMME'),
('80500','LABOISSIERE EN SANTERRE','SOMME'),
('80500','LIGNIERES','SOMME'),
('80500','MARESTMONTIERS','SOMME'),
('80500','MESNIL ST GEORGES','SOMME'),
('80500','MONTDIDIER','SOMME'),
('80500','ONVILLERS','SOMME'),
('80500','PIENNES ONVILLERS','SOMME'),
('80500','PIERREPONT SUR AVRE','SOMME'),
('80500','REMAUGIES','SOMME'),
('80500','ROLLOT','SOMME'),
('80500','RUBESCOURT','SOMME'),
('80500','VILLERS TOURNELLE','SOMME'),
('80500','WARSY','SOMME'),
('80510','COCQUEREL','SOMME'),
('80510','FONTAINE SUR SOMME','SOMME'),
('80510','LONG','SOMME'),
('80510','LONGPRE LES CORPS STS','SOMME'),
('80520','MENESLIES','SOMME'),
('80520','WOINCOURT','SOMME'),
('80520','YZENGREMER','SOMME'),
('80530','ALLENAY','SOMME'),
('80530','BETHENCOURT SUR MER','SOMME'),
('80530','TULLY','SOMME'),
('80540','BOUGAINVILLE','SOMME'),
('80540','BOVELLES','SOMME'),
('80540','BRIQUEMESNIL FLOXICOURT','SOMME'),
('80540','CAMPS EN AMIENOIS','SOMME'),
('80540','CLAIRY SAULCHOIX','SOMME'),
('80540','DREUIL LES MOLLIENS','SOMME'),
('80540','FLUY','SOMME'),
('80540','GUIGNEMICOURT','SOMME'),
('80540','MOLLIENS DREUIL','SOMME'),
('80540','MONTAGNE FAYEL','SOMME'),
('80540','OISSY','SOMME'),
('80540','PISSY','SOMME'),
('80540','REVELLES','SOMME'),
('80540','ST AUBIN MONTENOY','SOMME'),
('80540','SAISSEVAL','SOMME'),
('80540','SEUX','SOMME'),
('80550','LE CROTOY','SOMME'),
('80560','ACHEUX EN AMIENOIS','SOMME'),
('80560','ARQUEVES','SOMME'),
('80560','AUCHONVILLERS','SOMME'),
('80560','AUTHIE','SOMME'),
('80560','BAYENCOURT','SOMME'),
('80560','BERTRANCOURT','SOMME'),
('80560','BUS LES ARTOIS','SOMME'),
('80560','COIGNEUX','SOMME'),
('80560','COLINCAMPS','SOMME'),
('80560','CONTAY','SOMME'),
('80560','COURCELLES AU BOIS','SOMME'),
('80560','FORCEVILLE','SOMME'),
('80560','HARPONVILLE','SOMME'),
('80560','HEDAUVILLE','SOMME'),
('80560','LEALVILLERS','SOMME'),
('80560','LOUVENCOURT','SOMME'),
('80560','MAILLY MAILLET','SOMME'),
('80560','MARIEUX','SOMME'),
('80560','PUCHEVILLERS','SOMME'),
('80560','ST LEGER LES AUTHIE','SOMME'),
('80560','TOUTENCOURT','SOMME'),
('80560','VADENCOURT','SOMME'),
('80560','VARENNES','SOMME'),
('80560','VAUCHELLES LES AUTHIES','SOMME'),
('80570','DARGNIES','SOMME'),
('80570','EMBREVILLE','SOMME'),
('80580','BRAY LES MAREUIL','SOMME'),
('80580','EAUCOURT SUR SOMME','SOMME'),
('80580','EPAGNE EPAGNETTE','SOMME'),
('80580','ERONDELLE','SOMME'),
('80580','LIERCOURT','SOMME'),
('80580','PONT REMY','SOMME'),
('80590','BETTEMBOS','SOMME'),
('80590','CAULIERES','SOMME'),
('80590','FOURCIGNY','SOMME'),
('80590','GAUVILLE','SOMME'),
('80590','LAMARONDE','SOMME'),
('80590','LIGNIERES CHATELAIN','SOMME'),
('80590','MARLERS','SOMME'),
('80590','MEIGNEUX','SOMME'),
('80590','MORVILLERS ST SATURNIN','SOMME'),
('80590','OFFIGNIES','SOMME'),
('80590','DIGEON','SOMME'),
('80600','AUTHEUX','SOMME'),
('80600','AUTHIEULE','SOMME'),
('80600','BARLY','SOMME'),
('80600','BEAUQUESNE','SOMME'),
('80600','BOISBERGUES','SOMME'),
('80600','BOUQUEMAISON','SOMME'),
('80600','BREVILLERS','SOMME'),
('80600','DOULLENS','SOMME'),
('80600','GEZAINCOURT','SOMME'),
('80600','GROUCHES LUCHUEL','SOMME'),
('80600','HEM HARDINVAL','SOMME'),
('80600','HUMBERCOURT','SOMME'),
('80600','LONGUEVILLETTE','SOMME'),
('80600','LUCHEUX','SOMME'),
('80600','MEZEROLLES','SOMME'),
('80600','NEUVILLETTE','SOMME'),
('80600','OCCOCHES','SOMME'),
('80600','OUTREBOIS','SOMME'),
('80600','RAINCHEVAL','SOMME'),
('80600','REMAISNIL','SOMME'),
('80600','TERRAMESNIL','SOMME'),
('80610','BETTENCOURT ST OUEN','SOMME'),
('80610','ST OUEN','SOMME'),
('80620','BERNEUIL','SOMME'),
('80620','DOMART EN PONTHIEU','SOMME'),
('80620','DOMQUEUR','SOMME'),
('80620','FRANQUEVILLE','SOMME'),
('80620','FRANSU','SOMME'),
('80620','LANCHES ST HILAIRE','SOMME'),
('80620','MESNIL DOMQUEUR','SOMME'),
('80620','RIBEAUCOURT','SOMME');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('80620','SURCAMPS','SOMME'),
('80620','VAUCHELLES LES DOMART','SOMME'),
('80630','BEAUVAL','SOMME'),
('80640','AUMONT','SOMME'),
('80640','BOISRAULT','SOMME'),
('80640','DROMESNIL','SOMME'),
('80640','GOUY L HOPITAL','SOMME'),
('80640','HORNOY LE BOURG','SOMME'),
('80640','LINCHEUX HALLIVILLIERS','SOMME'),
('80640','MERICOURT EN VIMEU','SOMME'),
('80640','ORIVAL','SOMME'),
('80640','SELINCOURT','SOMME'),
('80640','TRONCHOY','SOMME'),
('80640','VRAIGNES LES HORNOY','SOMME'),
('80650','VIGNACOURT','SOMME'),
('80670','BONNEVILLE','SOMME'),
('80670','CANAPLES','SOMME'),
('80670','FIEFFES','SOMME'),
('80670','HALLOY LES PERNOIS','SOMME'),
('80670','HAVERNAS','SOMME'),
('80670','FIEFFES MONTRELET','SOMME'),
('80670','PERNOIS','SOMME'),
('80670','WARGNIES','SOMME'),
('80680','GRATTEPANCHE','SOMME'),
('80680','HEBECOURT','SOMME'),
('80680','RUMIGNY','SOMME'),
('80680','SAINS EN AMIENOIS','SOMME'),
('80680','ST FUSCIEN','SOMME'),
('80690','AILLY LE HAUT CLOCHER','SOMME'),
('80690','BRUCAMPS','SOMME'),
('80690','ERGNIES','SOMME'),
('80690','FRANCIERES','SOMME'),
('80690','GORENFLOS','SOMME'),
('80690','MOUFLERS','SOMME'),
('80690','VILLERS SOUS AILLY','SOMME'),
('80700','ANDECHY','SOMME'),
('80700','ARMANCOURT','SOMME'),
('80700','BALATRE','SOMME'),
('80700','BEUVRAIGNES','SOMME'),
('80700','BUS LA MESIERE','SOMME'),
('80700','CARREPUIS','SOMME'),
('80700','CHAMPIEN','SOMME'),
('80700','LA CHAVATTE','SOMME'),
('80700','CREMERY','SOMME'),
('80700','DAMERY','SOMME'),
('80700','DANCOURT POPINCOURT','SOMME'),
('80700','L ECHELLE ST AURIN','SOMME'),
('80700','FONCHES FONCHETTE','SOMME'),
('80700','FRANSART','SOMME'),
('80700','FRESNOY LES ROYE','SOMME'),
('80700','GOYENCOURT','SOMME'),
('80700','GRIVILLERS','SOMME'),
('80700','GRUNY','SOMME'),
('80700','HATTENCOURT','SOMME'),
('80700','LAUCOURT','SOMME'),
('80700','LIANCOURT FOSSE','SOMME'),
('80700','MARCHE ALLOUARDE','SOMME'),
('80700','MARQUIVILLERS','SOMME'),
('80700','PARVILLERS LE QUESNOY','SOMME'),
('80700','LE QUESNOY','SOMME'),
('80700','RETHONVILLERS','SOMME'),
('80700','ROIGLISE','SOMME'),
('80700','ROYE','SOMME'),
('80700','ST MARD','SOMME'),
('80700','TILLOLOY','SOMME'),
('80700','VERPILLIERES','SOMME'),
('80700','VILLERS LES ROYE','SOMME'),
('80710','FRESNOY AU VAL','SOMME'),
('80710','NAMPS AU MONT','SOMME'),
('80710','NAMPS MAISNIL','SOMME'),
('80710','QUEVAUVILLERS','SOMME'),
('80710','RUMAISNIL','SOMME'),
('80710','TAISNIL','SOMME'),
('80720','CAYEUX EN SANTERRE','SOMME'),
('80720','IGNAUCOURT','SOMME'),
('80720','LAMOTTE WARFUSSEE','SOMME'),
('80720','MARCELCAVE','SOMME'),
('80720','WARFUSEE ABANCOURT','SOMME'),
('80730','ARGOEUVES','SOMME'),
('80730','DREUIL LES AMIENS','SOMME'),
('80730','SAVEUSE','SOMME'),
('80740','EPEHY','SOMME'),
('80740','RONSSOY','SOMME'),
('80750','CANDAS','SOMME'),
('80750','FIENVILLERS','SOMME'),
('80760','MOISLAINS','SOMME'),
('80770','BEAUCHAMPS','SOMME'),
('80780','ST LEGER LES DOMART','SOMME'),
('80790','FORT MAHON PLAGE','SOMME'),
('80800','AUBIGNY','SOMME'),
('80800','BONNAY','SOMME'),
('80800','BUSSY LES DAOURS','SOMME'),
('80800','CERISY','SOMME'),
('80800','CHIPILLY','SOMME'),
('80800','CORBIE','SOMME'),
('80800','DAOURS','SOMME'),
('80800','FOUILLOY','SOMME'),
('80800','FRANVILLERS','SOMME'),
('80800','LE HAMEL','SOMME'),
('80800','HAMELET','SOMME'),
('80800','LAHOUSSOYE','SOMME'),
('80800','SAILLY LAURETTE','SOMME'),
('80800','SAILLY LE SEC','SOMME'),
('80800','VAIRE SOUS CORBIE','SOMME'),
('80800','VAUX SUR SOMME','SOMME'),
('80800','VECQUEMONT','SOMME'),
('80810','MEAULTE','SOMME'),
('80820','ARREST','SOMME'),
('80830','BOUCHON','SOMME'),
('80830','L ETOILE','SOMME'),
('80850','BERTEAUCOURT LES DAMES','SOMME'),
('80860','NOUVION','SOMME'),
('80860','NOYELLES SUR MER','SOMME'),
('80860','PONTHOILE','SOMME'),
('80870','BEHEN','SOMME'),
('80870','MOYENNEVILLE','SOMME'),
('80870','TOEUFLES','SOMME'),
('80880','ST QUENTIN LA MOTTE','SOMME'),
('80890','CONDE FOLIE','SOMME'),
('80910','ARVILLERS','SOMME'),
('80910','BOUCHOIR','SOMME'),
('80930','ERCHEU','SOMME'),
('80940','FRIAUCOURT','SOMME'),
('80960','ST BLIMONT','SOMME'),
('80970','SAILLY FLIBEAUCOURT','SOMME'),
('80980','DOMPIERRE BECQUINCOURT','SOMME'),
('81000','ALBI','TARN'),
('81090','LAGARRIGUE','TARN'),
('81090','VALDURENQUE','TARN'),
('81100','BURLATS','TARN'),
('81100','CASTRES','TARN'),
('81100','LABOULBENE','TARN'),
('81110','ARFONS','TARN'),
('81110','DOURGNE','TARN'),
('81110','LAGARDIOLLE','TARN'),
('81110','LESCOUT','TARN'),
('81110','MASSAGUEL','TARN'),
('81110','ST AMANCET','TARN'),
('81110','ST AVIT','TARN'),
('81110','VERDALLE','TARN'),
('81120','DENAT','TARN'),
('81120','FAUCH','TARN'),
('81120','LABASTIDE DENAT','TARN'),
('81120','LABOUTARIE','TARN'),
('81120','LAMILLARIE','TARN'),
('81120','LOMBERS','TARN'),
('81120','MONT ROC','TARN'),
('81120','ORBAN','TARN'),
('81120','POULAN POUZOLS','TARN'),
('81120','REALMONT','TARN'),
('81120','RONEL','TARN'),
('81120','ROUMEGOUX','TARN'),
('81120','ST ANTONIN DE LACALM','TARN'),
('81120','ST LIEUX LAFENASSE','TARN'),
('81120','SIEURAC','TARN'),
('81120','TEILLET','TARN'),
('81120','TERRE CLAPIER','TARN'),
('81120','LE TRAVET','TARN'),
('81130','CAGNAC LES MINES','TARN'),
('81130','MAILHOC','TARN'),
('81130','MILHAVET','TARN'),
('81130','TAIX','TARN'),
('81130','VILLENEUVE SUR VERE','TARN'),
('81140','ALOS','TARN'),
('81140','ANDILLAC','TARN'),
('81140','CAHUZAC SUR VERE','TARN'),
('81140','CAMPAGNAC','TARN'),
('81140','CASTELNAU DE MONTMIRAL','TARN'),
('81140','LARROQUE','TARN'),
('81140','MONTELS','TARN'),
('81140','PENNE','TARN'),
('81140','PUYCELCI','TARN'),
('81140','ROUSSAYROLLES','TARN'),
('81140','ST BEAUZILE','TARN'),
('81140','STE CECILE DU CAYROU','TARN'),
('81140','ST MICHEL DE VAX','TARN'),
('81140','VAOUR','TARN'),
('81140','LE VERDIER','TARN'),
('81140','VIEUX','TARN'),
('81150','BERNAC','TARN'),
('81150','CASTANET','TARN'),
('81150','CASTELNAU DE LEVIS','TARN'),
('81150','CESTAYROLS','TARN'),
('81150','FAYSSAC','TARN'),
('81150','FLORENTIN','TARN'),
('81150','LABASTIDE DE LEVIS','TARN'),
('81150','LAGRAVE','TARN'),
('81150','MARSSAC SUR TARN','TARN'),
('81150','ROUFFIAC','TARN'),
('81150','TERSSAC','TARN'),
('81150','STE CROIX','TARN'),
('81160','ARTHES','TARN'),
('81160','ST JUERY','TARN'),
('81170','AMARENS','TARN'),
('81170','BOURNAZEL','TARN'),
('81170','LES CABANNES','TARN'),
('81170','CAMPES','TARN'),
('81170','CORDES SUR CIEL','TARN'),
('81170','DONNAZAC','TARN'),
('81170','FRAUSSEILLES','TARN');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('81170','ITZAC','TARN'),
('81170','LABARTHE BLEYS','TARN'),
('81170','LACAPELLE SEGALAR','TARN'),
('81170','LIVERS CAZELLES','TARN'),
('81170','LOUBERS','TARN'),
('81170','MARNAVES','TARN'),
('81170','MILHARS','TARN'),
('81170','MONTROSIER','TARN'),
('81170','MOUZIEYS PANENS','TARN'),
('81170','NOAILLES','TARN'),
('81170','LE RIOLS','TARN'),
('81170','ST MARCEL CAMPES','TARN'),
('81170','ST MARTIN LAGUEPIE','TARN'),
('81170','SOUEL','TARN'),
('81170','TONNAC','TARN'),
('81170','VINDRAC ALAYRAC','TARN'),
('81190','ALMAYRAC','TARN'),
('81190','JOUQUEVIEL','TARN'),
('81190','MIRANDOL BOURGNOUNAC','TARN'),
('81190','MONTAURIOL','TARN'),
('81190','MONTIRAT','TARN'),
('81190','MOULARES','TARN'),
('81190','NARTHOUX','TARN'),
('81190','PAMPELONNE','TARN'),
('81190','ST CHRISTOPHE','TARN'),
('81190','STE GEMME','TARN'),
('81190','TANUS','TARN'),
('81190','TREBAN','TARN'),
('81190','TREVIEN','TARN'),
('81200','AIGUEFONDE','TARN'),
('81200','AUSSILLON','TARN'),
('81200','CAUCALIERES','TARN'),
('81200','MAZAMET','TARN'),
('81210','LACROUZETTE','TARN'),
('81210','MONTFA','TARN'),
('81210','ROQUECOURBE','TARN'),
('81210','ST GERMIER','TARN'),
('81210','ST JEAN DE VALS','TARN'),
('81220','DAMIATTE','TARN'),
('81220','GUITALENS','TARN'),
('81220','LALBAREDE','TARN'),
('81220','MAGRIN','TARN'),
('81220','PRADES','TARN'),
('81220','ST PAUL CAP DE JOUX','TARN'),
('81220','SERVIES','TARN'),
('81220','TEYSSODE','TARN'),
('81220','VITERBE','TARN'),
('81230','LACAUNE','TARN'),
('81240','ALBINE','TARN'),
('81240','LACABAREDE','TARN'),
('81240','LE RIALET','TARN'),
('81240','ROUAIROUX','TARN'),
('81240','ST AMANS SOULT','TARN'),
('81240','ST AMANS VALTORET','TARN'),
('81240','SAUVETERRE','TARN'),
('81240','LE VINTROU','TARN'),
('81250','ALBAN','TARN'),
('81250','CURVALLE','TARN'),
('81250','MASSALS','TARN'),
('81250','MIOLLES','TARN'),
('81250','PAULINET','TARN'),
('81250','ST ANDRE','TARN'),
('81260','ANGLES','TARN'),
('81260','BERLATS','TARN'),
('81260','LE BEZ','TARN'),
('81260','BRASSAC','TARN'),
('81260','CAMBOUNES','TARN'),
('81260','CASTELNAU DE BRASSAC','TARN'),
('81260','ESPERAUSSES','TARN'),
('81260','FERRIERES','TARN'),
('81260','LAMONTELARIE','TARN'),
('81260','LASFAILLADES','TARN'),
('81260','LE MARGNES','TARN'),
('81270','LABASTIDE ROUAIROUX','TARN'),
('81290','ESCOUSSENS','TARN'),
('81290','LABRUGUIERE','TARN'),
('81290','ST AFFRIQUE LES MONTAGNES','TARN'),
('81290','VIVIERS LES MONTAGNES','TARN'),
('81300','BUSQUE','TARN'),
('81300','GRAULHET','TARN'),
('81300','LABESSIERE CANDEIL','TARN'),
('81300','LASGRAISSES','TARN'),
('81300','MISSECLE','TARN'),
('81300','MOULAYRES','TARN'),
('81310','LISLE SUR TARN','TARN'),
('81310','PARISOT','TARN'),
('81310','PEYROLE','TARN'),
('81320','BARRE','TARN'),
('81320','MOULIN MAGE','TARN'),
('81320','MURAT SUR VEBRE','TARN'),
('81320','NAGES','TARN'),
('81330','LACAZE','TARN'),
('81330','RAYSSAC','TARN'),
('81330','ST PIERRE DE TRIVISY','TARN'),
('81330','VABRE','TARN'),
('81340','ASSAC','TARN'),
('81340','CADIX','TARN'),
('81340','COURRIS','TARN'),
('81340','LE DOURN','TARN'),
('81340','FAUSSERGUES','TARN'),
('81340','FRAISSINES','TARN'),
('81340','LACAPELLE PINET','TARN'),
('81340','LEDAS ET PENTHIES','TARN'),
('81340','PADIES','TARN'),
('81340','ST CIRGUE','TARN'),
('81340','ST JULIEN GAULENE','TARN'),
('81340','ST MICHEL LABADIE','TARN'),
('81340','TREBAS','TARN'),
('81340','VALENCE D ALBIGEOIS','TARN'),
('81350','ANDOUQUE','TARN'),
('81350','CRESPIN','TARN'),
('81350','CRESPINET','TARN'),
('81350','ST GREGOIRE','TARN'),
('81350','ST JEAN DE MARCEL','TARN'),
('81350','SAUSSENAC','TARN'),
('81350','SERENAC','TARN'),
('81350','VALDERIES','TARN'),
('81360','ARIFAT','TARN'),
('81360','MONTREDON LABESSONNIE','TARN'),
('81370','ST SULPICE','TARN'),
('81380','LESCURE D ALBIGEOIS','TARN'),
('81390','BRIATEXTE','TARN'),
('81390','PUYBEGON','TARN'),
('81390','ST GAUZENS','TARN'),
('81400','BLAYE LES MINES','TARN'),
('81400','CARMAUX','TARN'),
('81400','LABASTIDE GABAUSSE','TARN'),
('81400','ROSIERES','TARN'),
('81400','ST BENOIT DE CARMAUX','TARN'),
('81430','AMBIALET','TARN'),
('81430','BELLEGARDE','TARN'),
('81430','LE FRAYSSE','TARN'),
('81430','MARSAL','TARN'),
('81430','MOUZIEYS TEULET','TARN'),
('81430','VILLEFRANCHE D ALBIGEOIS','TARN'),
('81440','BROUSSE','TARN'),
('81440','JONQUIERES','TARN'),
('81440','LAUTREC','TARN'),
('81440','MONTDRAGON','TARN'),
('81440','MONTPINIER','TARN'),
('81440','PEYREGOUX','TARN'),
('81440','PUYCALVEL','TARN'),
('81440','ST GENEST DE CONTEST','TARN'),
('81440','ST JULIEN DU PUY','TARN'),
('81440','VENES','TARN'),
('81450','LE GARRIC','TARN'),
('81470','AGUTS','TARN'),
('81470','ALGANS','TARN'),
('81470','CAMBON LES LAVAUR','TARN'),
('81470','CUQ TOULZA','TARN'),
('81470','LACROISILLE','TARN'),
('81470','MAURENS SCOPONT','TARN'),
('81470','MONTGEY','TARN'),
('81470','MOUZENS','TARN'),
('81470','PECHAUDIER','TARN'),
('81470','PUECHOURSI','TARN'),
('81470','ROQUEVIDAL','TARN'),
('81490','BOISSEZON','TARN'),
('81490','NOAILHAC','TARN'),
('81490','ST SALVY DE LA BALME','TARN'),
('81500','AMBRES','TARN'),
('81500','BANNIERES','TARN'),
('81500','BELCASTEL','TARN'),
('81500','CABANES','TARN'),
('81500','FIAC','TARN'),
('81500','GARRIGUES','TARN'),
('81500','GIROUSSENS','TARN'),
('81500','LABASTIDE ST GEORGES','TARN'),
('81500','LACOUGOTTE CADOUL','TARN'),
('81500','LAVAUR','TARN'),
('81500','LUGAN','TARN'),
('81500','MARZENS','TARN'),
('81500','MASSAC SERAN','TARN'),
('81500','MONTCABRIER','TARN'),
('81500','PRATVIEL','TARN'),
('81500','ST AGNAN','TARN'),
('81500','ST JEAN DE RIVES','TARN'),
('81500','ST LIEUX LES LAVAUR','TARN'),
('81500','TEULAT','TARN'),
('81500','VEILHES','TARN'),
('81500','VILLENEUVE LES LAVAUR','TARN'),
('81500','VIVIERS LES LAVAUR','TARN'),
('81530','ESCROUX','TARN'),
('81530','GIJOUNET','TARN'),
('81530','LE MASNAU MASSUGUIES','TARN'),
('81530','ST SALVY DE CARCAVES','TARN'),
('81530','SENAUX','TARN'),
('81530','VIANE','TARN'),
('81540','BELLESERRE','TARN'),
('81540','CAHUZAC','TARN'),
('81540','LES CAMMAZES','TARN'),
('81540','DURFORT','TARN'),
('81540','SOREZE','TARN'),
('81570','CARBES','TARN'),
('81570','CUQ','TARN'),
('81570','FREJEVILLE','TARN'),
('81570','SEMALENS','TARN'),
('81570','VIELMUR SUR AGOUT','TARN'),
('81580','CAMBOUNET SUR LE SOR','TARN'),
('81580','SOUAL','TARN');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('81600','AUSSAC','TARN'),
('81600','BRENS','TARN'),
('81600','BROZE','TARN'),
('81600','CADALEN','TARN'),
('81600','FENOLS','TARN'),
('81600','GAILLAC','TARN'),
('81600','MONTANS','TARN'),
('81600','RIVIERES','TARN'),
('81600','SENOUILLAC','TARN'),
('81600','TECOU','TARN'),
('81630','BEAUVAIS SUR TESCOU','TARN'),
('81630','MONTDURAUSSE','TARN'),
('81630','MONTVALEN','TARN'),
('81630','ST URCISSE','TARN'),
('81630','SALVAGNAC','TARN'),
('81630','LA SAUZIERE ST JEAN','TARN'),
('81630','TAURIAC','TARN'),
('81640','COMBEFA','TARN'),
('81640','LAPARROUQUIAL','TARN'),
('81640','MONESTIES','TARN'),
('81640','SALLES','TARN'),
('81640','LE SEGUR','TARN'),
('81640','VIRAC','TARN'),
('81660','BOUT DU PONT DE LARN','TARN'),
('81660','PAYRIN AUGMONTEL','TARN'),
('81660','PONT DE LARN','TARN'),
('81700','APPELLE','TARN'),
('81700','BERTRE','TARN'),
('81700','BLAN','TARN'),
('81700','GARREVAQUES','TARN'),
('81700','LEMPAUT','TARN'),
('81700','PALLEVILLE','TARN'),
('81700','POUDIS','TARN'),
('81700','PUYLAURENS','TARN'),
('81700','ST GERMAIN DES PRES','TARN'),
('81700','ST SERNIN LES LAVAUR','TARN'),
('81710','NAVES','TARN'),
('81710','SAIX','TARN'),
('81800','COUFOULEUX','TARN'),
('81800','GRAZAC','TARN'),
('81800','LOUPIAC','TARN'),
('81800','MEZENS','TARN'),
('81800','MONTGAILLARD','TARN'),
('81800','RABASTENS','TARN'),
('81800','ROQUEMAURE','TARN'),
('81990','CAMBON','TARN'),
('81990','CARLUS','TARN'),
('81990','CUNAC','TARN'),
('81990','FREJAIROLLES','TARN'),
('81990','PUYGOUZON','TARN'),
('81990','SALIES','TARN'),
('81990','LE SEQUESTRE','TARN'),
('82000','MONTAUBAN','TARN ET GARONNE'),
('82100','LES BARTHES','TARN ET GARONNE'),
('82100','CASTELFERRUS','TARN ET GARONNE'),
('82100','CASTELSARRASIN','TARN ET GARONNE'),
('82100','GARGANVILLAR','TARN ET GARONNE'),
('82100','LA BASTIDE DU TEMPLE','TARN ET GARONNE'),
('82100','LABOURGADE','TARN ET GARONNE'),
('82100','LAFITTE','TARN ET GARONNE'),
('82100','MONTAIN','TARN ET GARONNE'),
('82100','ST AIGNAN','TARN ET GARONNE'),
('82110','BOULOC','TARN ET GARONNE'),
('82110','CAZES MONDENARD','TARN ET GARONNE'),
('82110','LAUZERTE','TARN ET GARONNE'),
('82110','MONTAGUDET','TARN ET GARONNE'),
('82110','MONTBARLA','TARN ET GARONNE'),
('82110','ST AMANS DE PELLAGAL','TARN ET GARONNE'),
('82110','STE JULIETTE','TARN ET GARONNE'),
('82110','SAUVETERRE','TARN ET GARONNE'),
('82110','TREJOULS','TARN ET GARONNE'),
('82120','ASQUES','TARN ET GARONNE'),
('82120','BALIGNAC','TARN ET GARONNE'),
('82120','CASTERAT BOUZET','TARN ET GARONNE'),
('82120','GENSAC','TARN ET GARONNE'),
('82120','GRAMONT','TARN ET GARONNE'),
('82120','LACHAPELLE','TARN ET GARONNE'),
('82120','LAVIT','TARN ET GARONNE'),
('82120','MANSONVILLE','TARN ET GARONNE'),
('82120','MARSAC','TARN ET GARONNE'),
('82120','MAUMUSSON','TARN ET GARONNE'),
('82120','MONTGAILLARD','TARN ET GARONNE'),
('82120','POUPAS','TARN ET GARONNE'),
('82120','PUYGAILLARD DE LOMAGNE','TARN ET GARONNE'),
('82120','ST JEAN DU BOUZET','TARN ET GARONNE'),
('82130','L HONOR DE COS','TARN ET GARONNE'),
('82130','LAFRANCAISE','TARN ET GARONNE'),
('82130','LAMOTHE CAPDEVILLE','TARN ET GARONNE'),
('82130','MONTASTRUC','TARN ET GARONNE'),
('82130','PIQUECOS','TARN ET GARONNE'),
('82130','VILLEMADE','TARN ET GARONNE'),
('82140','CAZALS','TARN ET GARONNE'),
('82140','FENEYROLS','TARN ET GARONNE'),
('82140','ST ANTONIN NOBLE VAL','TARN ET GARONNE'),
('82150','BELVEZE','TARN ET GARONNE'),
('82150','MONTAIGU DE QUERCY','TARN ET GARONNE'),
('82150','ROQUECOR','TARN ET GARONNE'),
('82150','ST AMANS DU PECH','TARN ET GARONNE'),
('82150','ST BEAUZEIL','TARN ET GARONNE'),
('82150','VALEILLES','TARN ET GARONNE'),
('82160','CASTANET','TARN ET GARONNE'),
('82160','CAYLUS','TARN ET GARONNE'),
('82160','ESPINAS','TARN ET GARONNE'),
('82160','LACAPELLE LIVRON','TARN ET GARONNE'),
('82160','LOZE','TARN ET GARONNE'),
('82160','MOUILLAC','TARN ET GARONNE'),
('82160','PARISOT','TARN ET GARONNE'),
('82160','PUYLAGARDE','TARN ET GARONNE'),
('82160','ST PROJET','TARN ET GARONNE'),
('82170','BESSENS','TARN ET GARONNE'),
('82170','CANALS','TARN ET GARONNE'),
('82170','DIEUPENTALE','TARN ET GARONNE'),
('82170','FABAS','TARN ET GARONNE'),
('82170','GRISOLLES','TARN ET GARONNE'),
('82170','MONBEQUI','TARN ET GARONNE'),
('82170','POMPIGNAN','TARN ET GARONNE'),
('82190','BOURG DE VISA','TARN ET GARONNE'),
('82190','BRASSAC','TARN ET GARONNE'),
('82190','FAUROUX','TARN ET GARONNE'),
('82190','LACOUR','TARN ET GARONNE'),
('82190','MIRAMONT DU QUERCY','TARN ET GARONNE'),
('82190','ST NAZAIRE DE VALENTANE','TARN ET GARONNE'),
('82190','TOUFFAILLES','TARN ET GARONNE'),
('82200','BOUDOU','TARN ET GARONNE'),
('82200','LIZAC','TARN ET GARONNE'),
('82200','MALAUSE','TARN ET GARONNE'),
('82200','MOISSAC','TARN ET GARONNE'),
('82200','MONTESQUIEU','TARN ET GARONNE'),
('82210','ANGEVILLE','TARN ET GARONNE'),
('82210','CASTELMAYRAN','TARN ET GARONNE'),
('82210','CAUMONT','TARN ET GARONNE'),
('82210','COUTURES','TARN ET GARONNE'),
('82210','FAJOLLES','TARN ET GARONNE'),
('82210','MERLES','TARN ET GARONNE'),
('82210','ST ARROUMEX','TARN ET GARONNE'),
('82210','ST NICOLAS DE LA GRAVE','TARN ET GARONNE'),
('82220','AUTY','TARN ET GARONNE'),
('82220','LABARTHE','TARN ET GARONNE'),
('82220','MOLIERES','TARN ET GARONNE'),
('82220','PUYCORNET','TARN ET GARONNE'),
('82220','VAZERAC','TARN ET GARONNE'),
('82230','GENEBRIERES','TARN ET GARONNE'),
('82230','LEOJAC','TARN ET GARONNE'),
('82230','MONCLAR DE QUERCY','TARN ET GARONNE'),
('82230','LA SALVETAT BELMONTET','TARN ET GARONNE'),
('82230','VERLHAC TESCOU','TARN ET GARONNE'),
('82240','CAYRIECH','TARN ET GARONNE'),
('82240','LABASTIDE DE PENNE','TARN ET GARONNE'),
('82240','LAPENCHE','TARN ET GARONNE'),
('82240','LAVAURETTE','TARN ET GARONNE'),
('82240','PUYLAROQUE','TARN ET GARONNE'),
('82240','ST GEORGES','TARN ET GARONNE'),
('82240','SEPTFONDS','TARN ET GARONNE'),
('82250','LAGUEPIE','TARN ET GARONNE'),
('82270','MONTALZAT','TARN ET GARONNE'),
('82270','MONTFERMIER','TARN ET GARONNE'),
('82270','MONTPEZAT DE QUERCY','TARN ET GARONNE'),
('82290','ALBEFEUILLE LAGARDE','TARN ET GARONNE'),
('82290','BARRY D ISLEMADE','TARN ET GARONNE'),
('82290','LACOURT ST PIERRE','TARN ET GARONNE'),
('82290','LA VILLE DIEU DU TEMPLE','TARN ET GARONNE'),
('82290','MEAUZAC','TARN ET GARONNE'),
('82290','MONTBETON','TARN ET GARONNE'),
('82300','CAUSSADE','TARN ET GARONNE'),
('82300','MONTEILS','TARN ET GARONNE'),
('82300','ST CIRQ','TARN ET GARONNE'),
('82300','ST VINCENT','TARN ET GARONNE'),
('82330','GINALS','TARN ET GARONNE'),
('82330','VAREN','TARN ET GARONNE'),
('82330','VERFEIL','TARN ET GARONNE'),
('82340','AUVILLAR','TARN ET GARONNE'),
('82340','BARDIGUES','TARN ET GARONNE'),
('82340','DONZAC','TARN ET GARONNE'),
('82340','DUNES','TARN ET GARONNE'),
('82340','LE PIN','TARN ET GARONNE'),
('82340','ST CIRICE','TARN ET GARONNE'),
('82340','ST LOUP','TARN ET GARONNE'),
('82340','ST MICHEL','TARN ET GARONNE'),
('82340','SISTELS','TARN ET GARONNE'),
('82350','ALBIAS','TARN ET GARONNE'),
('82360','LAMAGISTERE','TARN ET GARONNE'),
('82370','CAMPSAS','TARN ET GARONNE'),
('82370','CORBARIEU','TARN ET GARONNE'),
('82370','LABASTIDE ST PIERRE','TARN ET GARONNE'),
('82370','NOHIC','TARN ET GARONNE'),
('82370','ORGUEIL','TARN ET GARONNE'),
('82370','REYNIES','TARN ET GARONNE'),
('82370','ST NAUPHARY','TARN ET GARONNE'),
('82370','VARENNES','TARN ET GARONNE'),
('82370','VILLEBRUMIER','TARN ET GARONNE'),
('82390','DURFORT LACAPELETTE','TARN ET GARONNE'),
('82400','CASTELSAGRAT','TARN ET GARONNE'),
('82400','ESPALAIS','TARN ET GARONNE'),
('82400','GASQUES','TARN ET GARONNE'),
('82400','GOLFECH','TARN ET GARONNE'),
('82400','GOUDOURVILLE','TARN ET GARONNE'),
('82400','MONTJOI','TARN ET GARONNE'),
('82400','PERVILLE','TARN ET GARONNE'),
('82400','POMMEVIC','TARN ET GARONNE'),
('82400','ST CLAIR','TARN ET GARONNE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('82400','ST PAUL D ESPIS','TARN ET GARONNE'),
('82400','ST VINCENT LESPINASSE','TARN ET GARONNE'),
('82400','VALENCE','TARN ET GARONNE'),
('82410','ST ETIENNE DE TULMONT','TARN ET GARONNE'),
('82440','CAYRAC','TARN ET GARONNE'),
('82440','MIRABEL','TARN ET GARONNE'),
('82440','REALVILLE','TARN ET GARONNE'),
('82500','AUTERIVE','TARN ET GARONNE'),
('82500','BEAUMONT DE LOMAGNE','TARN ET GARONNE'),
('82500','BELBESE','TARN ET GARONNE'),
('82500','LE CAUSE','TARN ET GARONNE'),
('82500','CUMONT','TARN ET GARONNE'),
('82500','ESCAZEAUX','TARN ET GARONNE'),
('82500','ESPARSAC','TARN ET GARONNE'),
('82500','FAUDOAS','TARN ET GARONNE'),
('82500','GARIES','TARN ET GARONNE'),
('82500','GIMAT','TARN ET GARONNE'),
('82500','GLATENS','TARN ET GARONNE'),
('82500','GOAS','TARN ET GARONNE'),
('82500','LAMOTHE CUMONT','TARN ET GARONNE'),
('82500','LARRAZET','TARN ET GARONNE'),
('82500','MARIGNAC','TARN ET GARONNE'),
('82500','MAUBEC','TARN ET GARONNE'),
('82500','SERIGNAC','TARN ET GARONNE'),
('82500','VIGUERON','TARN ET GARONNE'),
('82600','AUCAMVILLE','TARN ET GARONNE'),
('82600','BEAUPUY','TARN ET GARONNE'),
('82600','BOUILLAC','TARN ET GARONNE'),
('82600','COMBEROUGER','TARN ET GARONNE'),
('82600','MAS GRENIER','TARN ET GARONNE'),
('82600','ST SARDOS','TARN ET GARONNE'),
('82600','SAVENES','TARN ET GARONNE'),
('82600','VERDUN SUR GARONNE','TARN ET GARONNE'),
('82700','BOURRET','TARN ET GARONNE'),
('82700','CORDES TOLOSANNES','TARN ET GARONNE'),
('82700','ESCATALENS','TARN ET GARONNE'),
('82700','FINHAN','TARN ET GARONNE'),
('82700','MONTBARTIER','TARN ET GARONNE'),
('82700','MONTECH','TARN ET GARONNE'),
('82700','ST PORQUIER','TARN ET GARONNE'),
('82710','BRESSOLS','TARN ET GARONNE'),
('82800','BIOULE','TARN ET GARONNE'),
('82800','BRUNIQUEL','TARN ET GARONNE'),
('82800','MONTRICOUX','TARN ET GARONNE'),
('82800','NEGREPELISSE','TARN ET GARONNE'),
('82800','PUYGAILLARD DE QUERCY','TARN ET GARONNE'),
('82800','VAISSAC','TARN ET GARONNE'),
('83000','TOULON','VAR'),
('83110','SANARY SUR MER','VAR'),
('83111','AMPUS','VAR'),
('83119','BRUE AURIAC','VAR'),
('83120','PLAN DE LA TOUR','VAR'),
('83120','STE MAXIME','VAR'),
('83130','LA GARDE','VAR'),
('83131','MONTFERRAT','VAR'),
('83136','FORCALQUEIRET','VAR'),
('83136','GAREOULT','VAR'),
('83136','MAZAUGUES','VAR'),
('83136','MEOUNES LES MONTRIEUX','VAR'),
('83136','NEOULES','VAR'),
('83136','ROCBARON','VAR'),
('83136','LA ROQUEBRUSSANNE','VAR'),
('83136','STE ANASTASIE SUR ISSOLE','VAR'),
('83140','SIX FOURS LES PLAGES','VAR'),
('83140','LES LONES','VAR'),
('83140','LE BRUSC','VAR'),
('83143','LE VAL','VAR'),
('83149','BRAS','VAR'),
('83150','BANDOL','VAR'),
('83160','LA VALETTE DU VAR','VAR'),
('83170','BRIGNOLES','VAR'),
('83170','CAMPS LA SOURCE','VAR'),
('83170','LA CELLE','VAR'),
('83170','ROUGIERS','VAR'),
('83170','TOURVES','VAR'),
('83170','VINS SUR CARAMY','VAR'),
('83190','OLLIOULES','VAR'),
('83200','LE REVEST LES EAUX','VAR'),
('83210','BELGENTIER','VAR'),
('83210','LA FARLEDE','VAR'),
('83210','SOLLIES PONT','VAR'),
('83210','SOLLIES TOUCAS','VAR'),
('83210','SOLLIES VILLE','VAR'),
('83220','LE PRADET','VAR'),
('83230','BORMES LES MIMOSAS','VAR'),
('83240','CAVALAIRE SUR MER','VAR'),
('83250','LA LONDE LES MAURES','VAR'),
('83260','LA CRAU','VAR'),
('83260','LA MOUTONNE','VAR'),
('83270','ST CYR SUR MER','VAR'),
('83270','LES LECQUES','VAR'),
('83270','LA MADRAGUE','VAR'),
('83270','LES BAUMELLES','VAR'),
('83300','CHATEAUDOUBLE','VAR'),
('83300','DRAGUIGNAN','VAR'),
('83300','REBOUILLON','VAR'),
('83310','COGOLIN','VAR'),
('83310','GRIMAUD','VAR'),
('83310','LA MOLE','VAR'),
('83310','PORT GRIMAUD','VAR'),
('83320','CARQUEIRANNE','VAR'),
('83330','LE BEAUSSET','VAR'),
('83330','LE CASTELLET','VAR'),
('83330','EVENOS','VAR'),
('83330','LE CAMP','VAR'),
('83330','LA BEGUDE','VAR'),
('83330','STE MARIE DU CASTELLET','VAR'),
('83330','LAOUQUE','VAR'),
('83340','CABASSE','VAR'),
('83340','LE CANNET DES MAURES','VAR'),
('83340','FLASSANS SUR ISSOLE','VAR'),
('83340','LE LUC','VAR'),
('83340','LES MAYONS','VAR'),
('83340','LE THORONET','VAR'),
('83350','RAMATUELLE','VAR'),
('83370','ST AYGULF','VAR'),
('83380','LES ISSAMBRES','VAR'),
('83390','CUERS','VAR'),
('83390','PIERREFEU DU VAR','VAR'),
('83390','PUGET VILLE','VAR'),
('83400','HYERES','VAR'),
('83400','AYGUADE CEINTURON','VAR'),
('83400','HYERES PLAGE','VAR'),
('83400','PORT GROS','VAR'),
('83400','GIENS','VAR'),
('83400','PORQUEROLLES','VAR'),
('83400','LES SALINS D HYERES','VAR'),
('83400','LA CAPTE','VAR'),
('83400','ILE DE PORT CROS','VAR'),
('83400','ILE DU LEVANT','VAR'),
('83420','LA CROIX VALMER','VAR'),
('83430','ST MANDRIER SUR MER','VAR'),
('83440','BROVES','VAR'),
('83440','CALLIAN','VAR'),
('83440','FAYENCE','VAR'),
('83440','MONS','VAR'),
('83440','MONTAUROUX','VAR'),
('83440','ST PAUL EN FORET','VAR'),
('83440','SEILLANS','VAR'),
('83440','TANNERON','VAR'),
('83440','TOURRETTES','VAR'),
('83460','LES ARCS','VAR'),
('83460','TARADEAU','VAR'),
('83470','OLLIERES','VAR'),
('83470','POURCIEUX','VAR'),
('83470','ST MAXIMIN LA STE BAUME','VAR'),
('83470','SEILLONS SOURCE DARGENS','VAR'),
('83480','PUGET SUR ARGENS','VAR'),
('83490','LE MUY','VAR'),
('83500','LA SEYNE SUR MER','VAR'),
('83500','LES SABLETTES','VAR'),
('83500','TAMARIS SUR MER','VAR'),
('83510','LORGUES','VAR'),
('83510','ST ANTONIN DU VAR','VAR'),
('83520','ROQUEBRUNE SUR ARGENS','VAR'),
('83530','ANTHEOR','VAR'),
('83530','LE DRAMONT','VAR'),
('83530','AGAY','VAR'),
('83550','VIDAUBAN','VAR'),
('83560','ARTIGUES','VAR'),
('83560','ESPARRON','VAR'),
('83560','GINASSERVIS','VAR'),
('83560','RIANS','VAR'),
('83560','ST JULIEN','VAR'),
('83560','ST MARTIN','VAR'),
('83560','LA VERDIERE','VAR'),
('83560','VINON SUR VERDON','VAR'),
('83570','CARCES','VAR'),
('83570','CORRENS','VAR'),
('83570','COTIGNAC','VAR'),
('83570','ENTRECASTEAUX','VAR'),
('83570','MONTFORT SUR ARGENS','VAR'),
('83580','GASSIN','VAR'),
('83590','GONFARON','VAR'),
('83600','LES ADRETS DE L ESTEREL','VAR'),
('83600','BAGNOLS EN FORET','VAR'),
('83600','FREJUS','VAR'),
('83610','COLLOBRIERES','VAR'),
('83630','AIGUINES','VAR'),
('83630','ARTIGNOSC SUR VERDON','VAR'),
('83630','AUPS','VAR'),
('83630','BAUDINARD SUR VERDON','VAR'),
('83630','BAUDUEN','VAR'),
('83630','MOISSAC BELLEVUE','VAR'),
('83630','REGUSSE','VAR'),
('83630','LES SALLES SUR VERDON','VAR'),
('83630','VERIGNON','VAR'),
('83640','PLAN D AUPS STE BAUME','VAR'),
('83640','ST ZACHARIE','VAR'),
('83660','CARNOULES','VAR'),
('83670','BARJOLS','VAR'),
('83670','CHATEAUVERT','VAR'),
('83670','FOX AMPHOUX','VAR'),
('83670','MONTMEYAN','VAR'),
('83670','PONTEVES','VAR'),
('83670','TAVERNES','VAR'),
('83670','VARAGES','VAR'),
('83680','LA GARDE FREINET','VAR'),
('83690','SALERNES','VAR'),
('83690','SILLANS LA CASCADE','VAR');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('83690','TOURTOUR','VAR'),
('83690','VILLECROZE','VAR'),
('83700','ST RAPHAEL','VAR'),
('83700','BOULOURIS','VAR'),
('83700','LE TRAYAS','VAR'),
('83720','TRANS EN PROVENCE','VAR'),
('83740','LA CADIERE D AZUR','VAR'),
('83740','GRAND MOULIN','VAR'),
('83780','FLAYOSC','VAR'),
('83790','PIGNANS','VAR'),
('83820','RAYOL CANADEL SUR MER','VAR'),
('83820','CANADEL','VAR'),
('83830','BARGEMON','VAR'),
('83830','CALLAS','VAR'),
('83830','CLAVIERS','VAR'),
('83830','FIGANIERES','VAR'),
('83840','BARGEME','VAR'),
('83840','LA BASTIDE','VAR'),
('83840','LE BOURGUET','VAR'),
('83840','BRENON','VAR'),
('83840','CHATEAUVIEUX','VAR'),
('83840','COMPS SUR ARTUBY','VAR'),
('83840','LA MARTRE','VAR'),
('83840','LA ROQUE ESCLAPON','VAR'),
('83840','TRIGANCE','VAR'),
('83860','NANS LES PINS','VAR'),
('83870','SIGNES','VAR'),
('83890','BESSE SUR ISSOLE','VAR'),
('83910','POURRIERES','VAR'),
('83920','LA MOTTE','VAR'),
('83980','LE LAVANDOU','VAR'),
('83980','CAVALIERE','VAR'),
('83990','ST TROPEZ','VAR'),
('84000','AVIGNON','VAUCLUSE'),
('84100','ORANGE','VAUCLUSE'),
('84100','UCHAUX','VAUCLUSE'),
('84110','BUISSON','VAUCLUSE'),
('84110','CRESTET','VAUCLUSE'),
('84110','FAUCON','VAUCLUSE'),
('84110','PUYMERAS','VAUCLUSE'),
('84110','RASTEAU','VAUCLUSE'),
('84110','ROAIX','VAUCLUSE'),
('84110','SABLET','VAUCLUSE'),
('84110','ST MARCELLIN DES VAISON','VAUCLUSE'),
('84110','ST ROMAIN EN VIENNOIS','VAUCLUSE'),
('84110','SEGURET','VAUCLUSE'),
('84110','VAISON LA ROMAINE','VAUCLUSE'),
('84110','VILLEDIEU','VAUCLUSE'),
('84120','LA BASTIDONNE','VAUCLUSE'),
('84120','BEAUMONT DE PERTUIS','VAUCLUSE'),
('84120','MIRABEAU','VAUCLUSE'),
('84120','PERTUIS','VAUCLUSE'),
('84130','LE PONTET','VAUCLUSE'),
('84140','MONTFAVET','VAUCLUSE'),
('84150','JONQUIERES','VAUCLUSE'),
('84150','VIOLES','VAUCLUSE'),
('84160','CADENET','VAUCLUSE'),
('84160','CUCURON','VAUCLUSE'),
('84160','LOURMARIN','VAUCLUSE'),
('84160','PUYVERT','VAUCLUSE'),
('84160','VAUGINES','VAUCLUSE'),
('84170','MONTEUX','VAUCLUSE'),
('84190','BEAUMES DE VENISE','VAUCLUSE'),
('84190','GIGONDAS','VAUCLUSE'),
('84190','LAFARE','VAUCLUSE'),
('84190','LA ROQUE ALRIC','VAUCLUSE'),
('84190','SUZETTE','VAUCLUSE'),
('84190','VACQUEYRAS','VAUCLUSE'),
('84200','CARPENTRAS','VAUCLUSE'),
('84210','ALTHEN DES PALUDS','VAUCLUSE'),
('84210','LE BEAUCET','VAUCLUSE'),
('84210','PERNES LES FONTAINES','VAUCLUSE'),
('84210','LA ROQUE SUR PERNES','VAUCLUSE'),
('84210','ST DIDIER','VAUCLUSE'),
('84210','VENASQUE','VAUCLUSE'),
('84220','BEAUMETTES','VAUCLUSE'),
('84220','CABRIERES D AVIGNON','VAUCLUSE'),
('84220','GORDES','VAUCLUSE'),
('84220','GOULT','VAUCLUSE'),
('84220','JOUCAS','VAUCLUSE'),
('84220','LIOUX','VAUCLUSE'),
('84220','MURS','VAUCLUSE'),
('84220','ROUSSILLON','VAUCLUSE'),
('84220','ST PANTALEON','VAUCLUSE'),
('84230','CHATEAUNEUF DU PAPE','VAUCLUSE'),
('84240','ANSOUIS','VAUCLUSE'),
('84240','LA BASTIDE DES JOURDANS','VAUCLUSE'),
('84240','CABRIERES D AIGUES','VAUCLUSE'),
('84240','GRAMBOIS','VAUCLUSE'),
('84240','LA MOTTE D AIGUES','VAUCLUSE'),
('84240','PEYPIN D AIGUES','VAUCLUSE'),
('84240','SANNES','VAUCLUSE'),
('84240','LA TOUR D AIGUES','VAUCLUSE'),
('84240','VITROLLES','VAUCLUSE'),
('84250','LE THOR','VAUCLUSE'),
('84260','SARRIANS','VAUCLUSE'),
('84270','VEDENE','VAUCLUSE'),
('84290','CAIRANNE','VAUCLUSE'),
('84290','LAGARDE PAREOL','VAUCLUSE'),
('84290','STE CECILE LES VIGNES','VAUCLUSE'),
('84290','ST ROMAN DE MALEGARDE','VAUCLUSE'),
('84300','CAVAILLON','VAUCLUSE'),
('84300','TAILLADES','VAUCLUSE'),
('84300','LES VIGNERES','VAUCLUSE'),
('84310','MORIERES LES AVIGNONS','VAUCLUSE'),
('84320','ENTRAIGUES SUR LA SORGUE','VAUCLUSE'),
('84330','LE BARROUX','VAUCLUSE'),
('84330','CAROMB','VAUCLUSE'),
('84330','MODENE','VAUCLUSE'),
('84330','ST HIPPOLYTE LE GRAVEYRON','VAUCLUSE'),
('84330','ST PIERRE DE VASSOLS','VAUCLUSE'),
('84340','BEAUMONT DU VENTOUX','VAUCLUSE'),
('84340','ENTRECHAUX','VAUCLUSE'),
('84340','MALAUCENE','VAUCLUSE'),
('84350','COURTHEZON','VAUCLUSE'),
('84360','LAURIS','VAUCLUSE'),
('84360','MERINDOL','VAUCLUSE'),
('84360','PUGET','VAUCLUSE'),
('84370','BEDARRIDES','VAUCLUSE'),
('84380','MAZAN','VAUCLUSE'),
('84390','AUREL','VAUCLUSE'),
('84390','BRANTES','VAUCLUSE'),
('84390','MONIEUX','VAUCLUSE'),
('84390','ST CHRISTOL','VAUCLUSE'),
('84390','ST LEGER DU VENTOUX','VAUCLUSE'),
('84390','ST TRINIT','VAUCLUSE'),
('84390','SAULT','VAUCLUSE'),
('84390','SAVOILLAN','VAUCLUSE'),
('84400','APT','VAUCLUSE'),
('84400','AURIBEAU','VAUCLUSE'),
('84400','CASTELLET','VAUCLUSE'),
('84400','GARGAS','VAUCLUSE'),
('84400','GIGNAC','VAUCLUSE'),
('84400','LAGARDE D APT','VAUCLUSE'),
('84400','RUSTREL','VAUCLUSE'),
('84400','SAIGNON','VAUCLUSE'),
('84400','SIVERGUES','VAUCLUSE'),
('84400','VILLARS','VAUCLUSE'),
('84410','BEDOIN','VAUCLUSE'),
('84410','CRILLON LE BRAVE','VAUCLUSE'),
('84410','FLASSAN','VAUCLUSE'),
('84420','PIOLENC','VAUCLUSE'),
('84430','MONDRAGON','VAUCLUSE'),
('84440','ROBION','VAUCLUSE'),
('84450','JONQUERETTES','VAUCLUSE'),
('84450','ST SATURNIN LES AVIGNON','VAUCLUSE'),
('84460','CHEVAL BLANC','VAUCLUSE'),
('84470','CHATEAUNEUF DE GADAGNE','VAUCLUSE'),
('84480','BONNIEUX','VAUCLUSE'),
('84480','BUOUX','VAUCLUSE'),
('84480','LACOSTE','VAUCLUSE'),
('84490','ST SATURNIN LES APT','VAUCLUSE'),
('84500','BOLLENE','VAUCLUSE'),
('84510','CAUMONT SUR DURANCE','VAUCLUSE'),
('84530','VILLELAURE','VAUCLUSE'),
('84550','MORNAS','VAUCLUSE'),
('84560','MENERBES','VAUCLUSE'),
('84570','BLAUVAC','VAUCLUSE'),
('84570','MALEMORT DU COMTAT','VAUCLUSE'),
('84570','METHAMIS','VAUCLUSE'),
('84570','MORMOIRON','VAUCLUSE'),
('84570','VILLES SUR AUZON','VAUCLUSE'),
('84580','OPPEDE','VAUCLUSE'),
('84600','GRILLON','VAUCLUSE'),
('84600','RICHERENCHES','VAUCLUSE'),
('84600','VALREAS','VAUCLUSE'),
('84660','MAUBEC','VAUCLUSE'),
('84700','SORGUES','VAUCLUSE'),
('84740','VELLERON','VAUCLUSE'),
('84750','CASENEUVE','VAUCLUSE'),
('84750','ST MARTIN DE CASTILLON','VAUCLUSE'),
('84750','VIENS','VAUCLUSE'),
('84760','ST MARTIN DE LA BRASQUE','VAUCLUSE'),
('84800','L ISLE SUR LA SORGUE','VAUCLUSE'),
('84800','LAGNES','VAUCLUSE'),
('84800','SAUMANES DE VAUCLUSE','VAUCLUSE'),
('84800','FONTAINE DE VAUCLUSE','VAUCLUSE'),
('84810','AUBIGNAN','VAUCLUSE'),
('84820','VISAN','VAUCLUSE'),
('84830','SERIGNAN DU COMTAT','VAUCLUSE'),
('84840','LAMOTTE DU RHONE','VAUCLUSE'),
('84840','LAPALUD','VAUCLUSE'),
('84850','CAMARET SUR AIGUES','VAUCLUSE'),
('84850','TRAVAILLAN','VAUCLUSE'),
('84860','CADEROUSSE','VAUCLUSE'),
('84870','LORIOL DU COMTAT','VAUCLUSE'),
('85000','MOUILLERON LE CAPTIF','VENDEE'),
('85000','LA ROCHE SUR YON','VENDEE'),
('85100','LES SABLES D OLONNE','VENDEE'),
('85110','CHANTONNAY','VENDEE'),
('85110','LA JAUDONNIERE','VENDEE'),
('85110','MONSIREIGNE','VENDEE'),
('85110','STE CECILE','VENDEE'),
('85110','ST GERMAIN DE PRINCAY','VENDEE'),
('85110','ST PHILBERT DU PONT CHARR','VENDEE'),
('85110','ST PROUANT','VENDEE'),
('85110','ST VINCENT STERLANGES','VENDEE'),
('85110','SIGOURNAIS','VENDEE'),
('85120','ANTIGNY','VENDEE'),
('85120','BREUIL BARRET','VENDEE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('85120','LA CHAPELLE AUX LYS','VENDEE'),
('85120','LA CHATAIGNERAIE','VENDEE'),
('85120','LOGE FOUGEREUSE','VENDEE'),
('85120','ST HILAIRE DE VOUST','VENDEE'),
('85120','ST MAURICE DES NOUES','VENDEE'),
('85120','ST PIERRE DU CHEMIN','VENDEE'),
('85120','LA TARDIERE','VENDEE'),
('85120','VOUVANT','VENDEE'),
('85130','BAZOGES EN PAILLERS','VENDEE'),
('85130','LA GAUBRETIERE','VENDEE'),
('85130','LES LANDES GENUSSON','VENDEE'),
('85130','ST AUBIN DES ORMEAUX','VENDEE'),
('85130','ST MARTIN DES TILLEULS','VENDEE'),
('85130','TIFFAUGES','VENDEE'),
('85130','LA VERRIE','VENDEE'),
('85140','BOULOGNE','VENDEE'),
('85140','CHAUCHE','VENDEE'),
('85140','LES ESSARTS','VENDEE'),
('85140','LA MERLATIERE','VENDEE'),
('85140','L OIE','VENDEE'),
('85140','STE FLORENCE','VENDEE'),
('85140','ST MARTIN DES NOYERS','VENDEE'),
('85150','LA CHAPELLE ACHARD','VENDEE'),
('85150','LE GIROUARD','VENDEE'),
('85150','LANDERONDE','VENDEE'),
('85150','MARTINET','VENDEE'),
('85150','LA MOTHE ACHARD','VENDEE'),
('85150','STE FLAIVE DES LOUPS','VENDEE'),
('85150','STE FOY','VENDEE'),
('85150','ST GEORGES DE POINTINDOUX','VENDEE'),
('85150','ST JULIEN DES LANDES','VENDEE'),
('85150','ST MATHURIN','VENDEE'),
('85150','VAIRE','VENDEE'),
('85160','ST JEAN DE MONTS','VENDEE'),
('85170','BEAUFOU','VENDEE'),
('85170','BELLEVILLE SUR VIE','VENDEE'),
('85170','DOMPIERRE SUR YON','VENDEE'),
('85170','LES LUCS SUR BOULOGNE','VENDEE'),
('85170','LE POIRE SUR VIE','VENDEE'),
('85170','ST DENIS LA CHEVASSE','VENDEE'),
('85170','SALIGNY','VENDEE'),
('85180','CHATEAU D OLONNE','VENDEE'),
('85190','AIZENAY','VENDEE'),
('85190','BEAULIEU SOUS LA ROCHE','VENDEE'),
('85190','LA GENETOUZE','VENDEE'),
('85190','MACHE','VENDEE'),
('85190','VENANSAULT','VENDEE'),
('85200','AUZAY','VENDEE'),
('85200','BOURNEAU','VENDEE'),
('85200','CHAIX','VENDEE'),
('85200','DOIX','VENDEE'),
('85200','FONTAINES','VENDEE'),
('85200','FONTENAY LE COMTE','VENDEE'),
('85200','LONGEVES','VENDEE'),
('85200','MERVENT','VENDEE'),
('85200','MONTREUIL','VENDEE'),
('85200','L ORBRIE','VENDEE'),
('85200','PISSOTTE','VENDEE'),
('85200','ST MARTIN DE FRAIGNEAU','VENDEE'),
('85200','ST MEDARD DES PRES','VENDEE'),
('85200','ST MICHEL LE CLOUCQ','VENDEE'),
('85200','SERIGNE','VENDEE'),
('85210','LA CHAPELLE THEMER','VENDEE'),
('85210','LA REORTHE','VENDEE'),
('85210','ST AUBIN LA PLAINE','VENDEE'),
('85210','ST ETIENNE DE BRILLOUET','VENDEE'),
('85210','STE HERMINE','VENDEE'),
('85210','ST JEAN DE BEUGNE','VENDEE'),
('85210','ST JUIRE CHAMPGILLON','VENDEE'),
('85210','ST MARTIN LARS EN STE HER','VENDEE'),
('85210','THIRE','VENDEE'),
('85220','L AIGUILLON SUR VIE','VENDEE'),
('85220','APREMONT','VENDEE'),
('85220','LA CHAIZE GIRAUD','VENDEE'),
('85220','LA CHAPPELLE HERMIER','VENDEE'),
('85220','COEX','VENDEE'),
('85220','COMMEQUIERS','VENDEE'),
('85220','LANDEVIEILLE','VENDEE'),
('85220','ST MAIXENT SUR VIE','VENDEE'),
('85220','ST REVEREND','VENDEE'),
('85230','BEAUVOIR SUR MER','VENDEE'),
('85230','BOUIN','VENDEE'),
('85230','ST GERVAIS','VENDEE'),
('85230','ST URBAIN','VENDEE'),
('85240','FAYMOREAU','VENDEE'),
('85240','FOUSSAIS PAYRE','VENDEE'),
('85240','MARILLET','VENDEE'),
('85240','NIEUL SUR L AUTISE','VENDEE'),
('85240','PUY DE SERRE','VENDEE'),
('85240','ST HILAIRE DES LOGES','VENDEE'),
('85240','XANTON CHASSENON','VENDEE'),
('85250','CHAVAGNES EN PAILLERS','VENDEE'),
('85250','LA RABATELIERE','VENDEE'),
('85250','ST ANDRE GOULE D OIE','VENDEE'),
('85250','ST FULGENT','VENDEE'),
('85250','VENDRENNES','VENDEE'),
('85260','LES BROUZILS','VENDEE'),
('85260','LA COPECHAGNIERE','VENDEE'),
('85260','L HERBERGEMENT','VENDEE'),
('85260','MORMAISON','VENDEE'),
('85260','ST ANDRE TREIZE VOIES','VENDEE'),
('85260','ST SULPICE LE VERDON','VENDEE'),
('85270','NOTRE DAME DE RIEZ','VENDEE'),
('85270','ST HILAIRE DE RIEZ','VENDEE'),
('85270','SION SUR L OCEAN','VENDEE'),
('85280','LA FERRIERE','VENDEE'),
('85290','MORTAGNE SUR SEVRE','VENDEE'),
('85290','ST LAURENT SUR SEVRE','VENDEE'),
('85300','CHALLANS','VENDEE'),
('85300','FROIDFOND','VENDEE'),
('85300','LE PERRIER','VENDEE'),
('85300','SALLERTAINE','VENDEE'),
('85300','SOULLANS','VENDEE'),
('85310','CHAILLE SOUS LES ORMEAUX','VENDEE'),
('85310','LA CHAIZE LE VICOMTE','VENDEE'),
('85310','LA LIMOUZINIERE','VENDEE'),
('85310','NESMY','VENDEE'),
('85310','ST FLORENT DES BOIS','VENDEE'),
('85310','LE TABLIER','VENDEE'),
('85320','BESSAY','VENDEE'),
('85320','LA BRETONNIERE','VENDEE'),
('85320','CHATEAU GUIBERT','VENDEE'),
('85320','LA CLAYE','VENDEE'),
('85320','CORPE','VENDEE'),
('85320','LA COUTURE','VENDEE'),
('85320','DISSAIS','VENDEE'),
('85320','MAREUIL SUR LAY DISSAIS','VENDEE'),
('85320','MOUTIERS SUR LE LAY','VENDEE'),
('85320','PEAULT','VENDEE'),
('85320','LES PINEAUX','VENDEE'),
('85320','ROSNAY','VENDEE'),
('85320','STE PEXINE','VENDEE'),
('85330','NOIRMOUTIER EN L ILE','VENDEE'),
('85340','L ILE D OLONNE','VENDEE'),
('85340','OLONNE SUR MER','VENDEE'),
('85350','L ILE D YEU','VENDEE'),
('85350','PORT JOINVILLE','VENDEE'),
('85360','LA TRANCHE SUR MER','VENDEE'),
('85370','LE LANGON','VENDEE'),
('85370','MOUZEUIL ST MARTIN','VENDEE'),
('85370','NALLIERS','VENDEE'),
('85390','BAZOGES EN PAREDS','VENDEE'),
('85390','CHAVAGNES LES REDOUX','VENDEE'),
('85390','CHEFFOIS','VENDEE'),
('85390','MOUILLERON EN PAREDS','VENDEE'),
('85390','ST GERMAIN L AIGUILLER','VENDEE'),
('85390','ST MAURICE LE GIRARD','VENDEE'),
('85390','TALLUD STE GEMME','VENDEE'),
('85400','CHASNAIS','VENDEE'),
('85400','LAIROUX','VENDEE'),
('85400','LUCON','VENDEE'),
('85400','LES MAGNILS REIGNIERS','VENDEE'),
('85400','STE GEMME LA PLAINE','VENDEE'),
('85410','LA CAILLERE ST HILAIRE','VENDEE'),
('85410','CEZAIS','VENDEE'),
('85410','ST CYR DES GATS','VENDEE'),
('85410','ST HILAIRE DU BOIS','VENDEE'),
('85410','ST LAURENT DE LA SALLE','VENDEE'),
('85410','ST SULPICE EN PAREDS','VENDEE'),
('85410','THOUARSAIS BOUILDROUX','VENDEE'),
('85420','BOUILLE COURDAULT','VENDEE'),
('85420','DAMVIX','VENDEE'),
('85420','LIEZ','VENDEE'),
('85420','MAILLE','VENDEE'),
('85420','MAILLEZAIS','VENDEE'),
('85420','LE MAZEAU','VENDEE'),
('85420','OULMES','VENDEE'),
('85420','ST PIERRE LE VIEUX','VENDEE'),
('85420','ST SIGISMOND','VENDEE'),
('85430','AUBIGNY','VENDEE'),
('85430','LA BOISSIERE DES LANDES','VENDEE'),
('85430','LES CLOUZEAUX','VENDEE'),
('85430','NIEUL LE DOLENT','VENDEE'),
('85440','AVRILLE','VENDEE'),
('85440','GROSBREUIL','VENDEE'),
('85440','POIROUX','VENDEE'),
('85440','ST HILAIRE DE TALMONT','VENDEE'),
('85440','ST HILAIRE LA FORET','VENDEE'),
('85440','TALMONT ST HILAIRE','VENDEE'),
('85450','CHAILLE LES MARAIS','VENDEE'),
('85450','CHAMPAGNE LES MARAIS','VENDEE'),
('85450','MOREILLES','VENDEE'),
('85450','PUYRAVAULT','VENDEE'),
('85450','STE RADEGONDE DES NOYERS','VENDEE'),
('85450','LA TAILLEE','VENDEE'),
('85450','VOUILLE LES MARAIS','VENDEE'),
('85450','SABLEAU','VENDEE'),
('85450','AISNE','VENDEE'),
('85460','L AIGUILLON SUR MER','VENDEE'),
('85460','LA FAUTE SUR MER','VENDEE'),
('85470','BRETIGNOLLES SUR MER','VENDEE'),
('85470','BREM SUR MER','VENDEE'),
('85470','ST NICOLAS DE BREM','VENDEE'),
('85480','BOURNEZEAU','VENDEE'),
('85480','FOUGERE','VENDEE'),
('85480','ST HILAIRE LE VOUHIS','VENDEE'),
('85480','ST VINCENT PUYMAUFRAIS','VENDEE'),
('85480','THORIGNY','VENDEE'),
('85490','BENET','VENDEE'),
('85490','LESSON','VENDEE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('85490','STE CHRISTINE','VENDEE'),
('85500','BEAUREPAIRE','VENDEE'),
('85500','CHAMBRETAUD','VENDEE'),
('85500','LES HERBIERS','VENDEE'),
('85500','MESNARD LA BAROTIERE','VENDEE'),
('85500','ST PAUL EN PAREDS','VENDEE'),
('85510','LE BOUPERE','VENDEE'),
('85510','ROCHETREJOUX','VENDEE'),
('85520','JARD SUR MER','VENDEE'),
('85520','ST VINCENT SUR JARD','VENDEE'),
('85530','LA BRUFFIERE','VENDEE'),
('85540','LE CHAMP ST PERE','VENDEE'),
('85540','CURZON','VENDEE'),
('85540','LE GIVRE','VENDEE'),
('85540','LA JONCHERE','VENDEE'),
('85540','MOUTIERS LES MAUXFAITS','VENDEE'),
('85540','ST AVAUGOURD DES LANDES','VENDEE'),
('85540','ST BENOIST SUR MER','VENDEE'),
('85540','ST CYR EN TALMONDAIS','VENDEE'),
('85540','ST SORNIN','VENDEE'),
('85540','ST VINCENT SUR GRAON','VENDEE'),
('85550','LA BARRE DE MONTS','VENDEE'),
('85550','FROMENTINE','VENDEE'),
('85560','LE BERNARD','VENDEE'),
('85560','LONGEVILLE SUR MER','VENDEE'),
('85570','L HERMENAULT','VENDEE'),
('85570','MARSAIS STE RADEGONDE','VENDEE'),
('85570','PETOSSE','VENDEE'),
('85570','POUILLE','VENDEE'),
('85570','ST MARTIN DES FONTAINES','VENDEE'),
('85570','ST VALERIEN','VENDEE'),
('85580','GRUES','VENDEE'),
('85580','ST DENIS DU PAYRE','VENDEE'),
('85580','ST MICHEL EN L HERM','VENDEE'),
('85580','TRIAIZE','VENDEE'),
('85590','LES EPESSES','VENDEE'),
('85590','MALLIEVRE','VENDEE'),
('85590','ST MALO DU BOIS','VENDEE'),
('85590','ST MARS LA REORTHE','VENDEE'),
('85590','TREIZE VENTS','VENDEE'),
('85600','LA BOISSIERE DE MONTAIGU','VENDEE'),
('85600','BOUFFERE','VENDEE'),
('85600','LA GUYONNIERE','VENDEE'),
('85600','MONTAIGU','VENDEE'),
('85600','ST GEORGES DE MONTAIGU','VENDEE'),
('85600','ST HILAIRE DE LOULAY','VENDEE'),
('85600','TREIZE SEPTIERS','VENDEE'),
('85610','LA BERNARDIERE','VENDEE'),
('85610','CUGAND','VENDEE'),
('85620','ROCHESERVIERE','VENDEE'),
('85630','BARBATRE','VENDEE'),
('85640','MOUCHAMPS','VENDEE'),
('85660','ST PHILBERT DE BOUAINE','VENDEE'),
('85670','LA CHAPELLE PALLUAU','VENDEE'),
('85670','FALLERON','VENDEE'),
('85670','GRAND LANDES','VENDEE'),
('85670','PALLUAU','VENDEE'),
('85670','ST CHRISTOPHE DU LIGNERON','VENDEE'),
('85670','ST ETIENNE DU BOIS','VENDEE'),
('85670','ST PAUL MONT PENIT','VENDEE'),
('85680','LA GUERINIERE','VENDEE'),
('85690','NOTRE DAME DE MONTS','VENDEE'),
('85700','CHATELLIERS CHATEAUMUR','VENDEE'),
('85700','LA FLOCELLIERE','VENDEE'),
('85700','LA MEILLERAIE TILLAY','VENDEE'),
('85700','MENOMBLET','VENDEE'),
('85700','MONTOURNAIS','VENDEE'),
('85700','LA POMMERAIE SUR SEVRE','VENDEE'),
('85700','POUZAUGES','VENDEE'),
('85700','REAUMUR','VENDEE'),
('85700','ST MESMIN','VENDEE'),
('85700','ST MICHEL MONT MERCURE','VENDEE'),
('85710','BOIS DE CENE','VENDEE'),
('85710','CHATEAUNEUF','VENDEE'),
('85710','LA GARNACHE','VENDEE'),
('85740','L EPINE','VENDEE'),
('85750','ANGLES','VENDEE'),
('85770','LE GUE DE VELLUIRE','VENDEE'),
('85770','L ILE D ELLE','VENDEE'),
('85770','LE POIRE SUR VELLUIRE','VENDEE'),
('85770','VELLUIRE','VENDEE'),
('85770','VIX','VENDEE'),
('85800','LE FENOUILLER','VENDEE'),
('85800','GIVRAND','VENDEE'),
('85800','ST GILLES CROIX DE VIE','VENDEE'),
('86000','BIARD','VIENNE'),
('86000','POITIERS','VIENNE'),
('86100','ANTRAN','VIENNE'),
('86100','CHATELLERAULT','VIENNE'),
('86100','ST SAUVEUR','VIENNE'),
('86100','SENILLE','VIENNE'),
('86100','TARGE','VIENNE'),
('86110','AMBERRE','VIENNE'),
('86110','CHOUPPES','VIENNE'),
('86110','COUSSAY','VIENNE'),
('86110','CRAON','VIENNE'),
('86110','CUHON','VIENNE'),
('86110','MAZEUIL','VIENNE'),
('86110','MIREBEAU','VIENNE'),
('86110','THURAGEAU','VIENNE'),
('86110','VARENNES','VIENNE'),
('86110','VERGER SUR DIVE','VIENNE'),
('86120','BERRIE','VIENNE'),
('86120','BEUXES','VIENNE'),
('86120','BOURNAND','VIENNE'),
('86120','CURCAY SUR DIVE','VIENNE'),
('86120','MORTON','VIENNE'),
('86120','POUANCAY','VIENNE'),
('86120','RASLAY','VIENNE'),
('86120','ROIFFE','VIENNE'),
('86120','ST LEGER DE MONTBRILLAIS','VIENNE'),
('86120','SAIX','VIENNE'),
('86120','TERNAY','VIENNE'),
('86120','LES TROIS MOUTIERS','VIENNE'),
('86120','VEZIERES','VIENNE'),
('86130','DISSAY','VIENNE'),
('86130','JAUNAY CLAN','VIENNE'),
('86130','ST CYR','VIENNE'),
('86130','ST GEORGES LES BAILLARGEA','VIENNE'),
('86140','CERNAY','VIENNE'),
('86140','DOUSSAY','VIENNE'),
('86140','LENCLOITRE','VIENNE'),
('86140','ST GENEST D AMBIERE','VIENNE'),
('86140','SAVIGNY SOUS FAYE','VIENNE'),
('86140','SCORBE CLAIRVAUX','VIENNE'),
('86150','L ISLE JOURDAIN','VIENNE'),
('86150','MILLAC','VIENNE'),
('86150','MOUSSAC','VIENNE'),
('86150','NERIGNAC','VIENNE'),
('86150','QUEAUX','VIENNE'),
('86150','LE VIGEANT','VIENNE'),
('86160','BRION','VIENNE'),
('86160','CHAMPAGNE ST HILAIRE','VIENNE'),
('86160','LA FERRIERE AIROUX','VIENNE'),
('86160','GENCAY','VIENNE'),
('86160','MAGNE','VIENNE'),
('86160','MARNAY','VIENNE'),
('86160','ST MAURICE LA CLOUERE','VIENNE'),
('86160','SOMMIERES DU CLAIN','VIENNE'),
('86170','AVANTON','VIENNE'),
('86170','BLASLAY','VIENNE'),
('86170','CHAMPIGNY LE SEC','VIENNE'),
('86170','CHARRAIS','VIENNE'),
('86170','CHERVES','VIENNE'),
('86170','CISSE','VIENNE'),
('86170','MAISONNEUVE','VIENNE'),
('86170','MASSOGNES','VIENNE'),
('86170','NEUVILLE DE POITOU','VIENNE'),
('86170','LE ROCHEREAU','VIENNE'),
('86170','VOUZAILLES','VIENNE'),
('86170','YVERSAY','VIENNE'),
('86180','BUXEROLLES','VIENNE'),
('86190','AYRON','VIENNE'),
('86190','BERUGES','VIENNE'),
('86190','CHALANDRAY','VIENNE'),
('86190','CHIRE EN MONTREUIL','VIENNE'),
('86190','FROZES','VIENNE'),
('86190','LATILLE','VIENNE'),
('86190','MAILLE','VIENNE'),
('86190','QUINCAY','VIENNE'),
('86190','VILLIERS','VIENNE'),
('86190','VOUILLE','VIENNE'),
('86200','ARCAY','VIENNE'),
('86200','BASSES','VIENNE'),
('86200','LE BOUCHET','VIENNE'),
('86200','CEAUX EN LOUDUN','VIENNE'),
('86200','CHALAIS','VIENNE'),
('86200','LA ROCHE RIGAULT','VIENNE'),
('86200','GLENOUZE','VIENNE'),
('86200','LOUDUN','VIENNE'),
('86200','MAULAY','VIENNE'),
('86200','MESSEME','VIENNE'),
('86200','MOUTERRE SILLY','VIENNE'),
('86200','NUEIL SOUS FAYE','VIENNE'),
('86200','POUANT','VIENNE'),
('86200','RANTON','VIENNE'),
('86200','ROSSAY','VIENNE'),
('86200','ST LAON','VIENNE'),
('86200','SAMMARCOLLES','VIENNE'),
('86200','CLAUNAY EN LOUDUN','VIENNE'),
('86210','ARCHIGNY','VIENNE'),
('86210','BELLEFONDS','VIENNE'),
('86210','BONNEUIL MATOURS','VIENNE'),
('86210','LA CHAPELLE MOULIERE','VIENNE'),
('86210','MONTHOIRON','VIENNE'),
('86210','VOUNEUIL SUR VIENNE','VIENNE'),
('86220','DANGE ST ROMAIN','VIENNE'),
('86220','INGRANDES','VIENNE'),
('86220','LEUGNY','VIENNE'),
('86220','LES ORMES','VIENNE'),
('86220','OYRE','VIENNE'),
('86220','PORT DE PILES','VIENNE'),
('86220','ST REMY SUR CREUSE','VIENNE'),
('86220','VAUX SUR VIENNE','VIENNE'),
('86230','LEIGNE SUR USSEAU','VIENNE'),
('86230','MONDION','VIENNE'),
('86230','ORCHES','VIENNE'),
('86230','ST CHRISTOPHE','VIENNE'),
('86230','ST GERVAIS LES TROIS CLOC','VIENNE'),
('86230','SERIGNY','VIENNE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('86230','SOSSAIS','VIENNE'),
('86230','USSEAU','VIENNE'),
('86230','VELLECHES','VIENNE'),
('86240','CROUTELLE','VIENNE'),
('86240','FONTAINE LE COMTE','VIENNE'),
('86240','ITEUIL','VIENNE'),
('86240','LIGUGE','VIENNE'),
('86240','SMARVES','VIENNE'),
('86250','ASNOIS','VIENNE'),
('86250','LA CHAPELLE BATON','VIENNE'),
('86250','CHARROUX','VIENNE'),
('86250','CHATAIN','VIENNE'),
('86250','GENOUILLE','VIENNE'),
('86250','ST ROMAIN','VIENNE'),
('86250','SURIN','VIENNE'),
('86260','ANGLES SUR L ANGLIN','VIENNE'),
('86260','LA PUYE','VIENNE'),
('86260','ST PIERRE DE MAILLE','VIENNE'),
('86260','VICQ SUR GARTEMPE','VIENNE'),
('86270','COUSSAY LES BOIS','VIENNE'),
('86270','LESIGNY','VIENNE'),
('86270','MAIRE','VIENNE'),
('86270','LA ROCHE POSAY','VIENNE'),
('86280','ST BENOIT','VIENNE'),
('86290','BRIGUEIL LE CHANTRE','VIENNE'),
('86290','COULONGES','VIENNE'),
('86290','JOURNET','VIENNE'),
('86290','LIGLET','VIENNE'),
('86290','ST LEOMER','VIENNE'),
('86290','THOLLET','VIENNE'),
('86290','LA TRIMOUILLE','VIENNE'),
('86300','BONNES','VIENNE'),
('86300','CHAPELLE MORTHEMER','VIENNE'),
('86300','CHAPELLE VIVIERS','VIENNE'),
('86300','CHAUVIGNY','VIENNE'),
('86300','FLEIX','VIENNE'),
('86300','LAUTHIERS','VIENNE'),
('86300','LEIGNES SUR FONTAINE','VIENNE'),
('86300','MORTHEMER','VIENNE'),
('86300','PAIZAY LE SEC','VIENNE'),
('86300','POUZIOUX','VIENNE'),
('86300','VALDIVIENNE','VIENNE'),
('86300','STE RADEGONDE','VIENNE'),
('86300','SALLES-EN-TOULON','VIENNE'),
('86300','ST MARTIN LA RIVIERE','VIENNE'),
('86310','ANTIGNY','VIENNE'),
('86310','BETHINES','VIENNE'),
('86310','LA BUSSIERE','VIENNE'),
('86310','HAIMS','VIENNE'),
('86310','NALLIERS','VIENNE'),
('86310','ST GERMAIN','VIENNE'),
('86310','ST SAVIN','VIENNE'),
('86310','VILLEMORT','VIENNE'),
('86320','CIVAUX','VIENNE'),
('86320','GOUEX','VIENNE'),
('86320','LUSSAC LES CHATEAUX','VIENNE'),
('86320','MAZEROLLES','VIENNE'),
('86320','PERSAC','VIENNE'),
('86320','SILLARS','VIENNE'),
('86330','ANGLIERS','VIENNE'),
('86330','AULNAY','VIENNE'),
('86330','LA CHAUSSEE','VIENNE'),
('86330','FRONTENAY SUR DIVE','VIENNE'),
('86330','LA GRIMAUDIERE','VIENNE'),
('86330','MARTAIZE','VIENNE'),
('86330','MESSAIS','VIENNE'),
('86330','MONCONTOUR','VIENNE'),
('86330','NOTRE DAME D OR','VIENNE'),
('86330','OUZILLY VIGNOLLES','VIENNE'),
('86330','ST CHARTRES','VIENNE'),
('86330','ST CLAIR','VIENNE'),
('86330','ST JEAN DE SAUVES','VIENNE'),
('86340','ASLONNES','VIENNE'),
('86340','FLEURE','VIENNE'),
('86340','GIZAY','VIENNE'),
('86340','NIEUIL L ESPOIR','VIENNE'),
('86340','NOUAILLE MAUPERTUIS','VIENNE'),
('86340','ROCHES PREMARIE ANDILLE','VIENNE'),
('86340','VERNON','VIENNE'),
('86340','LA VILLEDIEU DU CLAIN','VIENNE'),
('86350','CHATEAU GARNIER','VIENNE'),
('86350','JOUSSE','VIENNE'),
('86350','PAYROUX','VIENNE'),
('86350','ST MARTIN L ARS','VIENNE'),
('86350','ST SECONDIN','VIENNE'),
('86350','USSON DU POITOU','VIENNE'),
('86360','CHASSENEUIL DU POITOU','VIENNE'),
('86360','MONTAMISE','VIENNE'),
('86370','CHATEAU LARCHER','VIENNE'),
('86370','MARCAY','VIENNE'),
('86370','MARIGNY CHEMEREAU','VIENNE'),
('86370','VIVONNE','VIENNE'),
('86380','CHABOURNAY','VIENNE'),
('86380','CHENECHE','VIENNE'),
('86380','MARIGNY BRIZAY','VIENNE'),
('86380','OUZILLY','VIENNE'),
('86380','VENDEUVRE DU POITOU','VIENNE'),
('86390','BOURG ARCHAMBAULT','VIENNE'),
('86390','LATHUS ST REMY','VIENNE'),
('86390','ST REMY EN MONTMORILLON','VIENNE'),
('86400','BLANZAY','VIENNE'),
('86400','CHAMPNIERS','VIENNE'),
('86400','CIVRAY','VIENNE'),
('86400','LINAZAY','VIENNE'),
('86400','LIZANT','VIENNE'),
('86400','ST GAUDENT','VIENNE'),
('86400','ST MACOUX','VIENNE'),
('86400','ST PIERRE D EXIDEUIL','VIENNE'),
('86400','ST SAVIOL','VIENNE'),
('86400','SAVIGNE','VIENNE'),
('86400','VOULEME','VIENNE'),
('86410','BOURESSE','VIENNE'),
('86410','DIENNE','VIENNE'),
('86410','LHOMMAIZE','VIENNE'),
('86410','ST LAURENT DE JOURDES','VIENNE'),
('86410','VERRIERES','VIENNE'),
('86420','BERTHEGON','VIENNE'),
('86420','DERCE','VIENNE'),
('86420','GUESNES','VIENNE'),
('86420','MONTS SUR GUESNES','VIENNE'),
('86420','PRINCAY','VIENNE'),
('86420','SAIRES','VIENNE'),
('86420','VERRUE','VIENNE'),
('86430','ADRIERS','VIENNE'),
('86430','ASNIERES SUR BLOUR','VIENNE'),
('86430','LUCHAPT','VIENNE'),
('86430','MOUTERRE SUR BLOURDE','VIENNE'),
('86440','MIGNE AUXANCES','VIENNE'),
('86450','CHENEVELLES','VIENNE'),
('86450','LEIGNE LES BOIS','VIENNE'),
('86450','PLEUMARTIN','VIENNE'),
('86460','AVAILLES LIMOUZINE','VIENNE'),
('86460','MAUPREVOIR','VIENNE'),
('86460','PRESSAC','VIENNE'),
('86470','BENASSAY','VIENNE'),
('86470','LA CHAPELLE MONTREUIL','VIENNE'),
('86470','LAVAUSSEAU','VIENNE'),
('86470','MONTREUIL BONNIN','VIENNE'),
('86480','ROUILLE','VIENNE'),
('86490','BEAUMONT','VIENNE'),
('86490','COLOMBIERS','VIENNE'),
('86490','LA TRICHERIE','VIENNE'),
('86500','JOUHET','VIENNE'),
('86500','MONTMORILLON','VIENNE'),
('86500','MOULISMES','VIENNE'),
('86500','PINDRAY','VIENNE'),
('86500','PLAISANCE','VIENNE'),
('86500','SAULGE','VIENNE'),
('86510','BRUX','VIENNE'),
('86510','CHAMPAGNE LE SEC','VIENNE'),
('86510','CHAUNAY','VIENNE'),
('86530','AVAILLES EN CHATELLERAULT','VIENNE'),
('86530','CENON SUR VIENNE','VIENNE'),
('86530','NAINTRE','VIENNE'),
('86540','THURE','VIENNE'),
('86550','MIGNALOUX BEAUVOIR','VIENNE'),
('86580','VOUNEUIL SOUS BIARD','VIENNE'),
('86580','POUZIOUX LA JARRIE','VIENNE'),
('86600','CELLE LEVESCAULT','VIENNE'),
('86600','CLOUE','VIENNE'),
('86600','COULOMBIERS','VIENNE'),
('86600','CURZAY SUR VONNE','VIENNE'),
('86600','JAZENEUIL','VIENNE'),
('86600','LUSIGNAN','VIENNE'),
('86600','ST SAUVANT','VIENNE'),
('86600','SANXAY','VIENNE'),
('86700','ANCHE','VIENNE'),
('86700','CEAUX EN COUHE','VIENNE'),
('86700','CHATILLON','VIENNE'),
('86700','COUHE','VIENNE'),
('86700','PAYRE','VIENNE'),
('86700','ROMAGNE','VIENNE'),
('86700','VAUX','VIENNE'),
('86700','VOULON','VIENNE'),
('86800','BIGNOUX','VIENNE'),
('86800','JARDRES','VIENNE'),
('86800','LAVOUX','VIENNE'),
('86800','LINIERS','VIENNE'),
('86800','POUILLE','VIENNE'),
('86800','ST JULIEN L ARS','VIENNE'),
('86800','SAVIGNY LEVESCAULT','VIENNE'),
('86800','SEVRES ANXAUMONT','VIENNE'),
('86800','TERCE','VIENNE'),
('87000','LIMOGES','HAUTE VIENNE'),
('87100','LANDOUGE','HAUTE VIENNE'),
('87110','BOSMIE L AIGUILLE','HAUTE VIENNE'),
('87110','SOLIGNAC','HAUTE VIENNE'),
('87110','LE VIGEN','HAUTE VIENNE'),
('87120','AUGNE','HAUTE VIENNE'),
('87120','BEAUMONT DU LAC','HAUTE VIENNE'),
('87120','DOMPS','HAUTE VIENNE'),
('87120','EYMOUTIERS','HAUTE VIENNE'),
('87120','NEDDE','HAUTE VIENNE'),
('87120','REMPNAT','HAUTE VIENNE'),
('87120','ST AMAND LE PETIT','HAUTE VIENNE'),
('87120','STE ANNE ST PRIEST','HAUTE VIENNE'),
('87130','CHATEAUNEUF LA FORET','HAUTE VIENNE'),
('87130','LA CROISILLE SUR BRIANCE','HAUTE VIENNE'),
('87130','LINARDS','HAUTE VIENNE'),
('87130','MASLEON','HAUTE VIENNE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('87130','NEUVIC ENTIER','HAUTE VIENNE'),
('87130','ROZIERS ST GEORGES','HAUTE VIENNE'),
('87130','ST GILLES LES FORETS','HAUTE VIENNE'),
('87130','ST MEARD','HAUTE VIENNE'),
('87130','SURDOUX','HAUTE VIENNE'),
('87130','SUSSAC','HAUTE VIENNE'),
('87140','LE BUIS','HAUTE VIENNE'),
('87140','CHAMBORET','HAUTE VIENNE'),
('87140','COMPREIGNAC','HAUTE VIENNE'),
('87140','NANTIAT','HAUTE VIENNE'),
('87140','ROUSSAC','HAUTE VIENNE'),
('87140','ST SYMPHORIEN SUR COUZE','HAUTE VIENNE'),
('87140','THOURON','HAUTE VIENNE'),
('87140','VAULRY','HAUTE VIENNE'),
('87150','CHAMPAGNAC LA RIVIERE','HAUTE VIENNE'),
('87150','CUSSAC','HAUTE VIENNE'),
('87150','ORADOUR SUR VAYRES','HAUTE VIENNE'),
('87150','ST BAZILE','HAUTE VIENNE'),
('87160','ARNAC LA POSTE','HAUTE VIENNE'),
('87160','CROMAC','HAUTE VIENNE'),
('87160','LES GRANDS CHEZEAUX','HAUTE VIENNE'),
('87160','MAILHAC SUR BENAIZE','HAUTE VIENNE'),
('87160','ST GEORGES LES LANDES','HAUTE VIENNE'),
('87160','ST SULPICE LES FEUILLES','HAUTE VIENNE'),
('87170','ISLE','HAUTE VIENNE'),
('87190','DOMPIERRE LES EGLISES','HAUTE VIENNE'),
('87190','DROUX','HAUTE VIENNE'),
('87190','MAGNAC LAVAL','HAUTE VIENNE'),
('87190','ST HILAIRE LA TREILLE','HAUTE VIENNE'),
('87190','ST LEGER MAGNAZEIX','HAUTE VIENNE'),
('87190','VILLEFAVARD','HAUTE VIENNE'),
('87200','CHAILLAC SUR VIENNE','HAUTE VIENNE'),
('87200','ST BRICE SUR VIENNE','HAUTE VIENNE'),
('87200','ST JUNIEN','HAUTE VIENNE'),
('87200','ST MARTIN DE JUSSAC','HAUTE VIENNE'),
('87210','LA BAZEUGE','HAUTE VIENNE'),
('87210','LA CROIX SUR GARTEMPE','HAUTE VIENNE'),
('87210','DINSAC','HAUTE VIENNE'),
('87210','LE DORAT','HAUTE VIENNE'),
('87210','ORADOUR ST GENEST','HAUTE VIENNE'),
('87210','ST SORNIN LA MARCHE','HAUTE VIENNE'),
('87220','AUREIL','HAUTE VIENNE'),
('87220','BOISSEUIL','HAUTE VIENNE'),
('87220','EYJEAUX','HAUTE VIENNE'),
('87220','FEYTIAT','HAUTE VIENNE'),
('87230','BUSSIERE GALANT','HAUTE VIENNE'),
('87230','LES CARS','HAUTE VIENNE'),
('87230','CHALUS','HAUTE VIENNE'),
('87230','CHAMPSAC','HAUTE VIENNE'),
('87230','DOURNAZAC','HAUTE VIENNE'),
('87230','FLAVIGNAC','HAUTE VIENNE'),
('87230','LAVIGNAC','HAUTE VIENNE'),
('87230','PAGEAS','HAUTE VIENNE'),
('87230','ST NICOLAS COURBEFY','HAUTE VIENNE'),
('87240','AMBAZAC','HAUTE VIENNE'),
('87240','ST SYLVESTRE','HAUTE VIENNE'),
('87250','BESSINES SUR GARTEMPE','HAUTE VIENNE'),
('87250','FOLLES','HAUTE VIENNE'),
('87250','FROMENTAL','HAUTE VIENNE'),
('87250','MORTEROLLES SUR SEMME','HAUTE VIENNE'),
('87250','ST PARDOUX','HAUTE VIENNE'),
('87260','PIERRE BUFFIERE','HAUTE VIENNE'),
('87260','ST BONNET BRIANCE','HAUTE VIENNE'),
('87260','ST GENEST SUR ROSELLE','HAUTE VIENNE'),
('87260','ST HILAIRE BONNEVAL','HAUTE VIENNE'),
('87260','ST JEAN LIGOURE','HAUTE VIENNE'),
('87260','ST PAUL D EYJEAUX','HAUTE VIENNE'),
('87260','VICQ SUR BREUILH','HAUTE VIENNE'),
('87270','BONNAC LA COTE','HAUTE VIENNE'),
('87270','CHAPTELAT','HAUTE VIENNE'),
('87270','COUZEIX','HAUTE VIENNE'),
('87280','BEAUNE LES MINES','HAUTE VIENNE'),
('87290','BALLEDENT','HAUTE VIENNE'),
('87290','CHATEAUPONSAC','HAUTE VIENNE'),
('87290','RANCON','HAUTE VIENNE'),
('87290','ST AMAND MAGNAZEIX','HAUTE VIENNE'),
('87290','ST PRIEST LE BETOUX','HAUTE VIENNE'),
('87290','ST SORNIN LEULAC','HAUTE VIENNE'),
('87300','BELLAC','HAUTE VIENNE'),
('87300','BERNEUIL','HAUTE VIENNE'),
('87300','BLANZAC','HAUTE VIENNE'),
('87300','BLOND','HAUTE VIENNE'),
('87300','BREUILAUFA','HAUTE VIENNE'),
('87300','PEYRAT DE BELLAC','HAUTE VIENNE'),
('87300','ST BONNET DE BELLAC','HAUTE VIENNE'),
('87300','ST JUNIEN LES COMBES','HAUTE VIENNE'),
('87300','ST OUEN SUR GARTEMPE','HAUTE VIENNE'),
('87310','COGNAC LA FORET','HAUTE VIENNE'),
('87310','GORRE','HAUTE VIENNE'),
('87310','ST AUVENT','HAUTE VIENNE'),
('87310','ST CYR','HAUTE VIENNE'),
('87310','ST LAURENT SUR GORRE','HAUTE VIENNE'),
('87320','BUSSIERE POITEVINE','HAUTE VIENNE'),
('87320','DARNAC','HAUTE VIENNE'),
('87320','THIAT','HAUTE VIENNE'),
('87330','BUSSIERE BOFFY','HAUTE VIENNE'),
('87330','GAJOUBERT','HAUTE VIENNE'),
('87330','MEZIERES SUR ISSOIRE','HAUTE VIENNE'),
('87330','MONTROL SENARD','HAUTE VIENNE'),
('87330','MORTEMART','HAUTE VIENNE'),
('87330','NOUIC','HAUTE VIENNE'),
('87330','ST BARBANT','HAUTE VIENNE'),
('87330','ST MARTIAL SUR ISOP','HAUTE VIENNE'),
('87340','LES BILLANGES','HAUTE VIENNE'),
('87340','LA JONCHERE ST MAURICE','HAUTE VIENNE'),
('87340','ST LAURENT LES EGLISES','HAUTE VIENNE'),
('87340','ST LEGER LA MONTAGNE','HAUTE VIENNE'),
('87350','PANAZOL','HAUTE VIENNE'),
('87360','AZAT LE RIS','HAUTE VIENNE'),
('87360','LUSSAC LES EGLISES','HAUTE VIENNE'),
('87360','ST MARTIN LE MAULT','HAUTE VIENNE'),
('87360','TERSANNES','HAUTE VIENNE'),
('87360','VERNEUIL MOUSTIERS','HAUTE VIENNE'),
('87370','BERSAC SUR RIVALIER','HAUTE VIENNE'),
('87370','JABEILLES LES BORDES','HAUTE VIENNE'),
('87370','LAURIERE','HAUTE VIENNE'),
('87370','ST SULPICE LAURIERE','HAUTE VIENNE'),
('87380','CHATEAU CHERVIX','HAUTE VIENNE'),
('87380','GLANGES','HAUTE VIENNE'),
('87380','MAGNAC BOURG','HAUTE VIENNE'),
('87380','MEUZAC','HAUTE VIENNE'),
('87380','LA PORCHERIE','HAUTE VIENNE'),
('87380','ST GERMAIN LES BELLES','HAUTE VIENNE'),
('87380','ST VITTE SUR BRIANCE','HAUTE VIENNE'),
('87400','CHAMPNETERY','HAUTE VIENNE'),
('87400','LE CHATENET EN DOGNON','HAUTE VIENNE'),
('87400','EYBOULEUF','HAUTE VIENNE'),
('87400','LA GENEYTOUSE','HAUTE VIENNE'),
('87400','MOISSANNES','HAUTE VIENNE'),
('87400','ROYERES','HAUTE VIENNE'),
('87400','ST DENIS DES MURS','HAUTE VIENNE'),
('87400','ST LEONARD DE NOBLAT','HAUTE VIENNE'),
('87400','ST MARTIN TERRESSUS','HAUTE VIENNE'),
('87400','SAUVIAT SUR VIGE','HAUTE VIENNE'),
('87410','LE PALAIS SUR VIENNE','HAUTE VIENNE'),
('87420','STE MARIE DE VAUX','HAUTE VIENNE'),
('87420','ST VICTURNIEN','HAUTE VIENNE'),
('87430','VERNEUIL SUR VIENNE','HAUTE VIENNE'),
('87440','LA CHAPELLE MONTBRANDEIX','HAUTE VIENNE'),
('87440','MAISONNAIS SUR TARDOIRE','HAUTE VIENNE'),
('87440','MARVAL','HAUTE VIENNE'),
('87440','MILHAGUET','HAUTE VIENNE'),
('87440','PENSOL','HAUTE VIENNE'),
('87440','ST MATHIEU','HAUTE VIENNE'),
('87440','LES SALLES LAVAUGUYON','HAUTE VIENNE'),
('87460','BUJALEUF','HAUTE VIENNE'),
('87460','CHEISSOUX','HAUTE VIENNE'),
('87460','ST JULIEN LE PETIT','HAUTE VIENNE'),
('87470','PEYRAT LE CHATEAU','HAUTE VIENNE'),
('87480','ST PRIEST TAURION','HAUTE VIENNE'),
('87500','LE CHALARD','HAUTE VIENNE'),
('87500','COUSSAC BONNEVAL','HAUTE VIENNE'),
('87500','GLANDON','HAUTE VIENNE'),
('87500','LADIGNAC LE LONG','HAUTE VIENNE'),
('87500','ST YRIEIX LA PERCHE','HAUTE VIENNE'),
('87510','NIEUL','HAUTE VIENNE'),
('87510','PEYRILHAC','HAUTE VIENNE'),
('87510','ST GENCE','HAUTE VIENNE'),
('87510','ST JOUVENT','HAUTE VIENNE'),
('87520','CIEUX','HAUTE VIENNE'),
('87520','JAVERDAT','HAUTE VIENNE'),
('87520','ORADOUR SUR GLANE','HAUTE VIENNE'),
('87520','VEYRAC','HAUTE VIENNE'),
('87520','LA BARRE DE VEYRAC','HAUTE VIENNE'),
('87570','RILHAC RANCON','HAUTE VIENNE'),
('87590','ST JUST LE MARTEL','HAUTE VIENNE'),
('87600','CHERONNAC','HAUTE VIENNE'),
('87600','ROCHECHOUART','HAUTE VIENNE'),
('87600','VAYRES','HAUTE VIENNE'),
('87600','VIDEIX','HAUTE VIENNE'),
('87620','SEREILHAC','HAUTE VIENNE'),
('87640','RAZES','HAUTE VIENNE'),
('87700','AIXE SUR VIENNE','HAUTE VIENNE'),
('87700','BEYNAC','HAUTE VIENNE'),
('87700','ST MARTIN LE VIEUX','HAUTE VIENNE'),
('87700','ST PRIEST SOUS AIXE','HAUTE VIENNE'),
('87700','ST YRIEIX SOUS AIXE','HAUTE VIENNE'),
('87720','SAILLAT SUR VIENNE','HAUTE VIENNE'),
('87800','BURGNAC','HAUTE VIENNE'),
('87800','JANAILHAC','HAUTE VIENNE'),
('87800','JOURGNAC','HAUTE VIENNE'),
('87800','MEILHAC','HAUTE VIENNE'),
('87800','LA MEYZE','HAUTE VIENNE'),
('87800','NEXON','HAUTE VIENNE'),
('87800','RILHAC LASTOURS','HAUTE VIENNE'),
('87800','LA ROCHE L ABEILLE','HAUTE VIENNE'),
('87800','ST HILAIRE LES PLACES','HAUTE VIENNE'),
('87800','ST MAURICE LES BROUSSE','HAUTE VIENNE'),
('87800','ST PRIEST LIGOURE','HAUTE VIENNE'),
('87890','JOUAC','HAUTE VIENNE'),
('87920','CONDAT SUR VIENNE','HAUTE VIENNE'),
('88000','CHANTRAINE','VOSGES'),
('88000','DEYVILLERS','VOSGES'),
('88000','DIGNONVILLE','VOSGES'),
('88000','DINOZE','VOSGES'),
('88000','DOGNEVILLE','VOSGES'),
('88000','EPINAL','VOSGES'),
('88000','JEUXEY','VOSGES'),
('88000','LONGCHAMP','VOSGES'),
('88000','VAUDEVILLE','VOSGES');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('88100','COINCHES','VOSGES'),
('88100','NAYEMONT LES FOSSES','VOSGES'),
('88100','NEUVILLERS SUR FAVE','VOSGES'),
('88100','PAIR ET GRANDRUPT','VOSGES'),
('88100','REMOMEIX','VOSGES'),
('88100','ST DIE','VOSGES'),
('88100','STE MARGUERITE','VOSGES'),
('88100','TAINTRUX','VOSGES'),
('88110','ALLARMONT','VOSGES'),
('88110','CELLES SUR PLAINE','VOSGES'),
('88110','LUVIGNY','VOSGES'),
('88110','RAON L ETAPE','VOSGES'),
('88110','RAON SUR PLAINE','VOSGES'),
('88110','VEXAINCOURT','VOSGES'),
('88110','LA TROUCHE','VOSGES'),
('88120','BASSE SUR LE RUPT','VOSGES'),
('88120','CLEURIE','VOSGES'),
('88120','GERBAMONT','VOSGES'),
('88120','ROCHESSON','VOSGES'),
('88120','ST AME','VOSGES'),
('88120','SAPOIS','VOSGES'),
('88120','LE SYNDICAT','VOSGES'),
('88120','VAGNEY','VOSGES'),
('88120','JULIENRUPT','VOSGES'),
('88130','AVRAINVILLE','VOSGES'),
('88130','BATTEXEY','VOSGES'),
('88130','BOUXURULLES','VOSGES'),
('88130','BRANTIGNY','VOSGES'),
('88130','CHAMAGNE','VOSGES'),
('88130','CHARMES','VOSGES'),
('88130','ESSEGNEY','VOSGES'),
('88130','FLOREMONT','VOSGES'),
('88130','HERGUGNEY','VOSGES'),
('88130','LANGLEY','VOSGES'),
('88130','MARAINVILLE SUR MADON','VOSGES'),
('88130','RAPEY','VOSGES'),
('88130','RUGNEY','VOSGES'),
('88130','SAVIGNY','VOSGES'),
('88130','SOCOURT','VOSGES'),
('88130','UBEXY','VOSGES'),
('88130','XARONVAL','VOSGES'),
('88140','AINGEVILLE','VOSGES'),
('88140','AUZAINVILLIERS','VOSGES'),
('88140','BULGNEVILLE','VOSGES'),
('88140','CONTREXEVILLE','VOSGES'),
('88140','CRAINVILLIERS','VOSGES'),
('88140','DOMBROT LE SEC','VOSGES'),
('88140','GENDREVILLE','VOSGES'),
('88140','MALAINCOURT','VOSGES'),
('88140','MEDONVILLE','VOSGES'),
('88140','MORVILLE','VOSGES'),
('88140','ST OUEN LES PAREY','VOSGES'),
('88140','SAULXURES LES BULGNEVILLE','VOSGES'),
('88140','SAUVILLE','VOSGES'),
('88140','SURIAUVILLE','VOSGES'),
('88140','URVILLE','VOSGES'),
('88140','LA VACHERESSE ET LA ROUIL','VOSGES'),
('88140','VAUDONCOURT','VOSGES'),
('88140','VRECOURT','VOSGES'),
('88150','BAYECOURT','VOSGES'),
('88150','CHAVELOT','VOSGES'),
('88150','GIRMONT','VOSGES'),
('88150','IGNEY','VOSGES'),
('88150','MAZELEY','VOSGES'),
('88150','ONCOURT','VOSGES'),
('88150','THAON LES VOSGES','VOSGES'),
('88150','VILLONCOURT','VOSGES'),
('88160','FRESSE SUR MOSELLE','VOSGES'),
('88160','LE MENIL','VOSGES'),
('88160','RAMONCHAMP','VOSGES'),
('88160','LE THILLOT','VOSGES'),
('88170','AOUZE','VOSGES'),
('88170','AROFFE','VOSGES'),
('88170','BALLEVILLE','VOSGES'),
('88170','BIECOURT','VOSGES'),
('88170','CHATENOIS','VOSGES'),
('88170','COURCELLES SOUS CHATENOIS','VOSGES'),
('88170','DARNEY AUX CHENES','VOSGES'),
('88170','DOLAINCOURT','VOSGES'),
('88170','DOMBROT SUR VAIR','VOSGES'),
('88170','DOMMARTIN SUR VRAINE','VOSGES'),
('88170','GEMMELAINCOURT','VOSGES'),
('88170','GIRONCOURT SUR VRAINE','VOSGES'),
('88170','HOUECOURT','VOSGES'),
('88170','LONGCHAMP SOUS CHATENOIS','VOSGES'),
('88170','MACONCOURT','VOSGES'),
('88170','MORELMAISON','VOSGES'),
('88170','LA NEUVEVILLE SOUS CHATEN','VOSGES'),
('88170','OLLAINVILLE','VOSGES'),
('88170','PLEUVEZAIN','VOSGES'),
('88170','RAINVILLE','VOSGES'),
('88170','REMOVILLE','VOSGES'),
('88170','ROUVRES LA CHETIVE','VOSGES'),
('88170','ST MENGE','VOSGES'),
('88170','ST PAUL','VOSGES'),
('88170','SANDAUCOURT','VOSGES'),
('88170','SONCOURT','VOSGES'),
('88170','VICHEREY','VOSGES'),
('88170','VIOCOURT','VOSGES'),
('88170','VOUXEY','VOSGES'),
('88170','IMBRECOURT','VOSGES'),
('88170','VALAINCOURT','VOSGES'),
('88190','GOLBEY','VOSGES'),
('88200','DOMMARTIN LES REMIREMONT','VOSGES'),
('88200','REMIREMONT','VOSGES'),
('88200','ST ETIENNE LES REMIREMONT','VOSGES'),
('88200','ST NABORD','VOSGES'),
('88200','VECOUX','VOSGES'),
('88210','BAN DE SAPT','VOSGES'),
('88210','BELVAL','VOSGES'),
('88210','CHATAS','VOSGES'),
('88210','DENIPAIRE','VOSGES'),
('88210','GRANDRUPT','VOSGES'),
('88210','HURBACHE','VOSGES'),
('88210','MENIL DE SENONES','VOSGES'),
('88210','LE MONT','VOSGES'),
('88210','MOUSSEY','VOSGES'),
('88210','LA PETITE RAON','VOSGES'),
('88210','LE PUID','VOSGES'),
('88210','ST JEAN D ORMONT','VOSGES'),
('88210','ST STAIL','VOSGES'),
('88210','LE SAULCY','VOSGES'),
('88210','SENONES','VOSGES'),
('88210','LE VERMONT','VOSGES'),
('88210','VIEUX MOULIN','VOSGES'),
('88220','DOUNOUX','VOSGES'),
('88220','HADOL','VOSGES'),
('88220','RAON AUX BOIS','VOSGES'),
('88220','URIMENIL','VOSGES'),
('88220','UZEMAIN','VOSGES'),
('88220','XERTIGNY','VOSGES'),
('88220','AMEREY','VOSGES'),
('88230','BAN SUR MEURTHE CLEFCY','VOSGES'),
('88230','CLEFCY','VOSGES'),
('88230','FRAIZE','VOSGES'),
('88230','PLAINFAING','VOSGES'),
('88230','LE VALTIN','VOSGES'),
('88240','BAINS LES BAINS','VOSGES'),
('88240','LA CHAPELLE AUX BOIS','VOSGES'),
('88240','LE CLERJUS','VOSGES'),
('88240','FONTENOY LE CHATEAU','VOSGES'),
('88240','GRANDRUPT DE BAINS','VOSGES'),
('88240','GRUEY LES SURANCE','VOSGES'),
('88240','HARSAULT','VOSGES'),
('88240','HAUTMOUGEY','VOSGES'),
('88240','LA HAYE','VOSGES'),
('88240','LE MAGNY','VOSGES'),
('88240','MONTMOTIER','VOSGES'),
('88240','TREMONZEY','VOSGES'),
('88240','LES VOIVRES','VOSGES'),
('88240','GREMIFONTAINE','VOSGES'),
('88240','LA FORGE DE THUNIMONT','VOSGES'),
('88240','THUNIMONT','VOSGES'),
('88250','LA BRESSE','VOSGES'),
('88260','ATTIGNY','VOSGES'),
('88260','BELMONT LES DARNEY','VOSGES'),
('88260','BELRUPT','VOSGES'),
('88260','BONVILLET','VOSGES'),
('88260','DARNEY','VOSGES'),
('88260','DOMBASLE DEVANT DARNEY','VOSGES'),
('88260','DOMMARTIN LES VALLOIS','VOSGES'),
('88260','ESCLES','VOSGES'),
('88260','ESLEY','VOSGES'),
('88260','HENNEZEL','VOSGES'),
('88260','JESONVILLE','VOSGES'),
('88260','LERRAIN','VOSGES'),
('88260','NONVILLE','VOSGES'),
('88260','PONT LES BONFAYS','VOSGES'),
('88260','PROVENCHERES LES DARNEY','VOSGES'),
('88260','RELANGES','VOSGES'),
('88260','ST BASLEMONT','VOSGES'),
('88260','SANS VALLOIS','VOSGES'),
('88260','SENONGES','VOSGES'),
('88260','THUILLIERES','VOSGES'),
('88260','LES VALLOIS','VOSGES'),
('88260','VIOMENIL','VOSGES'),
('88260','VIVIERS LE GRAS','VOSGES'),
('88270','LES ABLEUVENETTES','VOSGES'),
('88270','BAINVILLE AUX SAULES','VOSGES'),
('88270','BAZEGNEY','VOSGES'),
('88270','BEGNECOURT','VOSGES'),
('88270','BOCQUEGNEY','VOSGES'),
('88270','BOUXIERES AUX BOIS','VOSGES'),
('88270','BOUZEMONT','VOSGES'),
('88270','CHARMOIS L ORGUEILLEUX','VOSGES'),
('88270','CIRCOURT','VOSGES'),
('88270','DAMAS ET BETTEGNEY','VOSGES'),
('88270','DERBAMONT','VOSGES'),
('88270','DOMPAIRE','VOSGES'),
('88270','FRENOIS','VOSGES'),
('88270','GELVECOURT ET ADOMPT','VOSGES'),
('88270','GORHEY','VOSGES'),
('88270','HAGECOURT','VOSGES'),
('88270','HAROL','VOSGES'),
('88270','HENNECOURT','VOSGES'),
('88270','LEGEVILLE ET BONFAYS','VOSGES'),
('88270','MADECOURT','VOSGES'),
('88270','MADONNE ET LAMEREY','VOSGES'),
('88270','MARONCOURT','VOSGES'),
('88270','PIERREFITTE','VOSGES');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('88270','RACECOURT','VOSGES'),
('88270','RANCOURT','VOSGES'),
('88270','ST VALLIER','VOSGES'),
('88270','VALFROICOURT','VOSGES'),
('88270','VALLEROY AUX SAULES','VOSGES'),
('88270','VELOTTE ET TATIGNECOURT','VOSGES'),
('88270','VILLE SUR ILLON','VOSGES'),
('88270','ADOMPT','VOSGES'),
('88290','SAULXURES SUR MOSELOTTE','VOSGES'),
('88290','THIEFOSSE','VOSGES'),
('88300','ATTIGNEVILLE','VOSGES'),
('88300','AULNOIS','VOSGES'),
('88300','AUTIGNY LA TOUR','VOSGES'),
('88300','AUTREVILLE','VOSGES'),
('88300','BARVILLE','VOSGES'),
('88300','BAZOILLES SUR MEUSE','VOSGES'),
('88300','BEAUFREMONT','VOSGES'),
('88300','CERTILLEUX','VOSGES'),
('88300','CIRCOURT SUR MOUZON','VOSGES'),
('88300','HAGNEVILLE ET RONCOURT','VOSGES'),
('88300','HARCHECHAMP','VOSGES'),
('88300','HARMONVILLE','VOSGES'),
('88300','HOUEVILLE','VOSGES'),
('88300','JAINVILLOTTE','VOSGES'),
('88300','LANDAVILLE','VOSGES'),
('88300','LEMMECOURT','VOSGES'),
('88300','MARTIGNY LES GERBONVAUX','VOSGES'),
('88300','MONT LES NEUFCHATEAU','VOSGES'),
('88300','NEUFCHATEAU','VOSGES'),
('88300','POMPIERRE','VOSGES'),
('88300','REBEUVILLE','VOSGES'),
('88300','ROLLAINVILLE','VOSGES'),
('88300','RONCOURT','VOSGES'),
('88300','SARTES','VOSGES'),
('88300','TILLEUX','VOSGES'),
('88300','TRANQUEVILLE GRAUX','VOSGES'),
('88310','CORNIMONT','VOSGES'),
('88310','VENTRON','VOSGES'),
('88320','AINVELLE','VOSGES'),
('88320','BLEVAINCOURT','VOSGES'),
('88320','DAMBLAIN','VOSGES'),
('88320','FOUCHECOURT','VOSGES'),
('88320','FRAIN','VOSGES'),
('88320','GIGNEVILLE','VOSGES'),
('88320','ISCHES','VOSGES'),
('88320','LAMARCHE','VOSGES'),
('88320','MAREY','VOSGES'),
('88320','MARTIGNY LES BAINS','VOSGES'),
('88320','MONT LES LAMARCHE','VOSGES'),
('88320','MORIZECOURT','VOSGES'),
('88320','ROBECOURT','VOSGES'),
('88320','ROCOURT','VOSGES'),
('88320','ROMAIN AUX BOIS','VOSGES'),
('88320','ROZIERES SUR MOUZON','VOSGES'),
('88320','SENAIDE','VOSGES'),
('88320','SERECOURT','VOSGES'),
('88320','SEROCOURT','VOSGES'),
('88320','TIGNECOURT','VOSGES'),
('88320','TOLLAINCOURT','VOSGES'),
('88320','VILLOTTE','VOSGES'),
('88330','BADMENIL AUX BOIS','VOSGES'),
('88330','CHATEL SUR MOSELLE','VOSGES'),
('88330','DAMAS AUX BOIS','VOSGES'),
('88330','DOMEVRE SUR DURBION','VOSGES'),
('88330','HADIGNY LES VERRIERES','VOSGES'),
('88330','HAILLAINVILLE','VOSGES'),
('88330','MORIVILLE','VOSGES'),
('88330','PALLEGNEY','VOSGES'),
('88330','PORTIEUX','VOSGES'),
('88330','REHAINCOURT','VOSGES'),
('88330','VAXONCOURT','VOSGES'),
('88330','ZINCOURT','VOSGES'),
('88340','GIRMONT VAL D AJOL','VOSGES'),
('88340','LE VAL D AJOL','VOSGES'),
('88350','BRECHAINVILLE','VOSGES'),
('88350','FREVILLE','VOSGES'),
('88350','GRAND','VOSGES'),
('88350','LIFFOL LE GRAND','VOSGES'),
('88350','PARGNY SOUS MUREAU','VOSGES'),
('88350','TRAMPOT','VOSGES'),
('88350','VILLOUXEL','VOSGES'),
('88360','FERDRUPT','VOSGES'),
('88360','RUPT SUR MOSELLE','VOSGES'),
('88370','BELLEFONTAINE','VOSGES'),
('88370','GRANGES DE PLOMBIERES','VOSGES'),
('88370','PLOMBIERES LES BAINS','VOSGES'),
('88370','RUAUX','VOSGES'),
('88380','ARCHES','VOSGES'),
('88380','ARCHETTES','VOSGES'),
('88390','CHAUMOUSEY','VOSGES'),
('88390','DARNIEULLES','VOSGES'),
('88390','DOMEVRE SUR AVIERE','VOSGES'),
('88390','DOMMARTIN AUX BOIS','VOSGES'),
('88390','FOMEREY','VOSGES'),
('88390','LES FORGES','VOSGES'),
('88390','GIGNEY','VOSGES'),
('88390','GIRANCOURT','VOSGES'),
('88390','RENAUVOID','VOSGES'),
('88390','SANCHEY','VOSGES'),
('88390','UXEGNEY','VOSGES'),
('88400','GERARDMER','VOSGES'),
('88400','LIEZEY','VOSGES'),
('88400','XONRUPT LONGEMER','VOSGES'),
('88410','AMEUVELLE','VOSGES'),
('88410','BLEURVILLE','VOSGES'),
('88410','CHATILLON SUR SAONE','VOSGES'),
('88410','CLAUDON','VOSGES'),
('88410','FIGNEVELLE','VOSGES'),
('88410','GODONCOURT','VOSGES'),
('88410','GRIGNONCOURT','VOSGES'),
('88410','LIRONCOURT','VOSGES'),
('88410','MARTINVELLE','VOSGES'),
('88410','MONTHUREUX SUR SAONE','VOSGES'),
('88410','REGNEVELLE','VOSGES'),
('88410','ST JULIEN','VOSGES'),
('88410','LES THONS','VOSGES'),
('88420','MOYENMOUTIER','VOSGES'),
('88430','ARRENTES DE CORCIEUX','VOSGES'),
('88430','BIFFONTAINE','VOSGES'),
('88430','CORCIEUX','VOSGES'),
('88430','GERBEPAL','VOSGES'),
('88430','LA HOUSSIERE','VOSGES'),
('88430','VIENVILLE','VOSGES'),
('88440','FRIZON','VOSGES'),
('88440','NOMEXY','VOSGES'),
('88450','BETTEGNEY ST BRICE','VOSGES'),
('88450','EVAUX ET MENIL','VOSGES'),
('88450','GUGNEY AUX AULX','VOSGES'),
('88450','MADEGNEY','VOSGES'),
('88450','REGNEY','VOSGES'),
('88450','VARMONZEY','VOSGES'),
('88450','VINCEY','VOSGES'),
('88460','LA BAFFE','VOSGES'),
('88460','CHARMOIS DEVANT BRUYERES','VOSGES'),
('88460','CHENIMENIL','VOSGES'),
('88460','DOCELLES','VOSGES'),
('88460','FAUCOMPIERRE','VOSGES'),
('88460','LE ROULIER','VOSGES'),
('88460','TENDON','VOSGES'),
('88460','XAMONTARUPT','VOSGES'),
('88470','LA BOURGONCE','VOSGES'),
('88470','NOMPATELIZE','VOSGES'),
('88470','ST MICHEL SUR MEURTHE','VOSGES'),
('88470','LA SALLE','VOSGES'),
('88470','LA VOIVRE','VOSGES'),
('88480','ETIVAL CLAIREFONTAINE','VOSGES'),
('88480','ST REMY','VOSGES'),
('88490','LE BEULAY','VOSGES'),
('88490','COLROY LA GRANDE','VOSGES'),
('88490','COMBRIMONT','VOSGES'),
('88490','FRAPELLE','VOSGES'),
('88490','LA GRANDE FOSSE','VOSGES'),
('88490','LESSEUX','VOSGES'),
('88490','LUBINE','VOSGES'),
('88490','LUSSE','VOSGES'),
('88490','LA PETITE FOSSE','VOSGES'),
('88490','PROVENCHERES SUR FAVE','VOSGES'),
('88500','AHEVILLE','VOSGES'),
('88500','AMBACOURT','VOSGES'),
('88500','AVILLERS','VOSGES'),
('88500','BAUDRICOURT','VOSGES'),
('88500','BAZOILLES ET MENIL','VOSGES'),
('88500','BETTONCOURT','VOSGES'),
('88500','BLEMEREY','VOSGES'),
('88500','BOULAINCOURT','VOSGES'),
('88500','CHAUFFECOURT','VOSGES'),
('88500','CHEF HAUT','VOSGES'),
('88500','DOMBASLE EN XAINTOIS','VOSGES'),
('88500','DOMEVRE SOUS MONTFORT','VOSGES'),
('88500','DOMVALLIER','VOSGES'),
('88500','ESTRENNES','VOSGES'),
('88500','FRENELLE LA GRANDE','VOSGES'),
('88500','FRENELLE LA PETITE','VOSGES'),
('88500','GIRCOURT LES VIEVILLE','VOSGES'),
('88500','HYMONT','VOSGES'),
('88500','JORXEY','VOSGES'),
('88500','JUVAINCOURT','VOSGES'),
('88500','MATTAINCOURT','VOSGES'),
('88500','MAZIROT','VOSGES'),
('88500','MENIL EN XAINTOIS','VOSGES'),
('88500','MIRECOURT','VOSGES'),
('88500','OELLEVILLE','VOSGES'),
('88500','OFFROICOURT','VOSGES'),
('88500','PONT SUR MADON','VOSGES'),
('88500','POUSSAY','VOSGES'),
('88500','PUZIEUX','VOSGES'),
('88500','RAMECOURT','VOSGES'),
('88500','REMICOURT','VOSGES'),
('88500','REPEL','VOSGES'),
('88500','ROUVRES EN XAINTOIS','VOSGES'),
('88500','ROZEROTTE','VOSGES'),
('88500','ST PRANCHER','VOSGES'),
('88500','THIRAUCOURT','VOSGES'),
('88500','TOTAINVILLE','VOSGES'),
('88500','VAUBEXY','VOSGES'),
('88500','VILLERS','VOSGES'),
('88500','VIVIERS LES OFFROICOURT','VOSGES'),
('88500','VOMECOURT SUR MADON','VOSGES'),
('88500','VROVILLE','VOSGES'),
('88510','ELOYES','VOSGES');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('88520','BAN DE LAVELINE','VOSGES'),
('88520','BERTRIMOUTIER','VOSGES'),
('88520','LA CROIX AUX MINES','VOSGES'),
('88520','GEMAINGOUTTE','VOSGES'),
('88520','RAVES','VOSGES'),
('88520','WISEMBACH','VOSGES'),
('88530','LA FORGE','VOSGES'),
('88530','LE THOLY','VOSGES'),
('88530','BOUVACOTE','VOSGES'),
('88540','BUSSANG','VOSGES'),
('88550','JARMENIL','VOSGES'),
('88550','POUXEUX','VOSGES'),
('88560','ST MAURICE SUR MOSELLE','VOSGES'),
('88580','SAULCY SUR MEURTHE','VOSGES'),
('88600','AYDOILLES','VOSGES'),
('88600','BEAUMENIL','VOSGES'),
('88600','BELMONT SUR BUTTANT','VOSGES'),
('88600','BOIS DE CHAMP','VOSGES'),
('88600','LE BOULAY','VOSGES'),
('88600','BROUVELIEURES','VOSGES'),
('88600','BRUYERES','VOSGES'),
('88600','CHAMP LE DUC','VOSGES'),
('88600','LA CHAPELLE DEVANT BRUYER','VOSGES'),
('88600','DESTORD','VOSGES'),
('88600','DEYCIMONT','VOSGES'),
('88600','DOMFAING','VOSGES'),
('88600','DOMPIERRE','VOSGES'),
('88600','FAYS','VOSGES'),
('88600','FIMENIL','VOSGES'),
('88600','FONTENAY','VOSGES'),
('88600','FREMIFONTAINE','VOSGES'),
('88600','GIRECOURT SUR DURBION','VOSGES'),
('88600','GRANDVILLERS','VOSGES'),
('88600','GUGNECOURT','VOSGES'),
('88600','HERPELMONT','VOSGES'),
('88600','LAVAL SUR VOLOGNE','VOSGES'),
('88600','LAVELINE DEVANT BRUYERES','VOSGES'),
('88600','LEPANGES SUR VOLOGNE','VOSGES'),
('88600','MEMENIL','VOSGES'),
('88600','MORTAGNE','VOSGES'),
('88600','LA NEUVILLE DEVANT LEPANC','VOSGES'),
('88600','NONZEVILLE','VOSGES'),
('88600','PIERREPONT SUR L ARENTE','VOSGES'),
('88600','LES POULIERES','VOSGES'),
('88600','PREY','VOSGES'),
('88600','LES ROUGES EAUX','VOSGES'),
('88600','ST JEAN DU MARCHE','VOSGES'),
('88600','SERCOEUR','VOSGES'),
('88600','VERVEZELLE','VOSGES'),
('88600','VIMENIL','VOSGES'),
('88630','AVRANVILLE','VOSGES'),
('88630','CHERMISEY','VOSGES'),
('88630','CLEREY LA COTE','VOSGES'),
('88630','COUSSEY','VOSGES'),
('88630','DOMREMY LA PUCELLE','VOSGES'),
('88630','FREBECOURT','VOSGES'),
('88630','GREUX','VOSGES'),
('88630','JUBAINVILLE','VOSGES'),
('88630','MAXEY SUR MEUSE','VOSGES'),
('88630','MIDREVAUX','VOSGES'),
('88630','MONCEL SUR VAIR','VOSGES'),
('88630','PUNEROT','VOSGES'),
('88630','RUPPES','VOSGES'),
('88630','SERAUMONT','VOSGES'),
('88630','SIONNE','VOSGES'),
('88630','SOULOSSE SOUS ST ELOPHE','VOSGES'),
('88640','AUMONTZEY','VOSGES'),
('88640','BARBEY SEROUX','VOSGES'),
('88640','CHAMPDRAY','VOSGES'),
('88640','GRANGES SUR VOLOGNE','VOSGES'),
('88640','JUSSARUPT','VOSGES'),
('88640','LAVELINE DU HOUX','VOSGES'),
('88640','REHAUPAL','VOSGES'),
('88650','ANOULD','VOSGES'),
('88650','ENTRE DEUX EAUX','VOSGES'),
('88650','MANDRAY','VOSGES'),
('88650','ST LEONARD','VOSGES'),
('88700','ANGLEMONT','VOSGES'),
('88700','AUTREY','VOSGES'),
('88700','BAZIEN','VOSGES'),
('88700','BRU','VOSGES'),
('88700','BULT','VOSGES'),
('88700','CLEZENTAINE','VOSGES'),
('88700','DEINVILLERS','VOSGES'),
('88700','DOMPTAIL','VOSGES'),
('88700','DONCIERES','VOSGES'),
('88700','FAUCONCOURT','VOSGES'),
('88700','HARDANCOURT','VOSGES'),
('88700','HOUSSERAS','VOSGES'),
('88700','JEANMENIL','VOSGES'),
('88700','MENARMONT','VOSGES'),
('88700','MENIL SUR BELVITTE','VOSGES'),
('88700','MOYEMONT','VOSGES'),
('88700','NOSSONCOURT','VOSGES'),
('88700','ORTONCOURT','VOSGES'),
('88700','PADOUX','VOSGES'),
('88700','RAMBERVILLERS','VOSGES'),
('88700','ROMONT','VOSGES'),
('88700','ROVILLE AUX CHENES','VOSGES'),
('88700','STE BARBE','VOSGES'),
('88700','ST BENOIT LA CHIPOTTE','VOSGES'),
('88700','ST GENEST','VOSGES'),
('88700','ST GORGON','VOSGES'),
('88700','STE HELENE','VOSGES'),
('88700','ST MAURICE SUR MORTAGNE','VOSGES'),
('88700','ST PIERREMONT','VOSGES'),
('88700','VOMECOURT','VOSGES'),
('88700','XAFFEVILLERS','VOSGES'),
('88800','BELMONT SUR VAIR','VOSGES'),
('88800','DOMJULIEN','VOSGES'),
('88800','GIROVILLERS SOUS MONTFORT','VOSGES'),
('88800','HAREVILLE','VOSGES'),
('88800','LIGNEVILLE','VOSGES'),
('88800','MANDRES SUR VAIR','VOSGES'),
('88800','MONTHUREUX LE SEC','VOSGES'),
('88800','LA NEUVEVILLE SOUS MONTFO','VOSGES'),
('88800','NORROY','VOSGES'),
('88800','PAREY SOUS MONTFORT','VOSGES'),
('88800','REMONCOURT','VOSGES'),
('88800','ST REMIMONT','VOSGES'),
('88800','THEY SOUS MONTFORT','VOSGES'),
('88800','VALLEROY LE SEC','VOSGES'),
('88800','VITTEL','VOSGES'),
('89000','AUXERRE','YONNE'),
('89000','PERRIGNY PRES AUXERRE','YONNE'),
('89000','ST GEORGES SUR BAULCHES','YONNE'),
('89100','COLLEMIERS','YONNE'),
('89100','COURTOIS SUR YONNE','YONNE'),
('89100','FONTAINE LA GAILLARDE','YONNE'),
('89100','GRON','YONNE'),
('89100','MAILLOT','YONNE'),
('89100','MALAY LE GRAND','YONNE'),
('89100','MALAY LE PETIT','YONNE'),
('89100','NAILLY','YONNE'),
('89100','PARON','YONNE'),
('89100','ROSOY','YONNE'),
('89100','ST CLEMENT','YONNE'),
('89100','ST DENIS','YONNE'),
('89100','ST MARTIN DU TERTRE','YONNE'),
('89100','SALIGNY','YONNE'),
('89100','SENS','YONNE'),
('89100','SOUCY','YONNE'),
('89100','SUBLIGNY','YONNE'),
('89100','VILLEROY','YONNE'),
('89110','AILLANT SUR THOLON','YONNE'),
('89110','CHASSY','YONNE'),
('89110','LA FERTE LOUPIERE','YONNE'),
('89110','LADUZ','YONNE'),
('89110','MERRY LA VALLEE','YONNE'),
('89110','LES ORMES','YONNE'),
('89110','POILLY SUR THOLON','YONNE'),
('89110','ST AUBIN CHATEAUNEUF','YONNE'),
('89110','ST MARTIN SUR OCRE','YONNE'),
('89110','ST MAURICE LE VIEIL','YONNE'),
('89110','ST MAURICE THIZOUAILLES','YONNE'),
('89110','SOMMECAISE','YONNE'),
('89110','VILLIERS SUR THOLON','YONNE'),
('89113','BRANCHES','YONNE'),
('89113','CHARBUY','YONNE'),
('89113','FLEURY LA VALLEE','YONNE'),
('89113','GUERCHY','YONNE'),
('89113','NEUILLY','YONNE'),
('89113','VILLEMER','YONNE'),
('89116','LA CELLE ST CYR','YONNE'),
('89116','CUDOT','YONNE'),
('89116','PRECY SUR VRIN','YONNE'),
('89116','ST ROMAIN LE PREUX','YONNE'),
('89116','SEPEAUX','YONNE'),
('89120','CHAMBEUGLE','YONNE'),
('89120','CHARNY','YONNE'),
('89120','CHENE ARNOULT','YONNE'),
('89120','CHEVILLON','YONNE'),
('89120','DICY','YONNE'),
('89120','FONTENOUILLES','YONNE'),
('89120','MALICORNE','YONNE'),
('89120','MARCHAIS BETON','YONNE'),
('89120','PERREUX','YONNE'),
('89120','PRUNOY','YONNE'),
('89120','ST DENIS SUR OUANNE','YONNE'),
('89120','ST MARTIN SUR OUANNE','YONNE'),
('89120','VILLEFRANCHE','YONNE'),
('89130','DRACY','YONNE'),
('89130','FONTAINES','YONNE'),
('89130','LALANDE','YONNE'),
('89130','LEUGNY','YONNE'),
('89130','MEZILLES','YONNE'),
('89130','MOULINS SUR OUANNE','YONNE'),
('89130','TOUCY','YONNE'),
('89130','VILLIERS ST BENOIT','YONNE'),
('89130','LA VILLOTTE','YONNE'),
('89140','COMPIGNY','YONNE'),
('89140','COURLON SUR YONNE','YONNE'),
('89140','CUY','YONNE'),
('89140','EVRY','YONNE'),
('89140','GISY LES NOBLES','YONNE'),
('89140','LIXY','YONNE'),
('89140','MICHERY','YONNE'),
('89140','PAILLY','YONNE'),
('89140','PLESSIS ST JEAN','YONNE'),
('89140','PONT SUR YONNE','YONNE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('89140','ST SEROTIN','YONNE'),
('89140','SERBONNES','YONNE'),
('89140','SERGINES','YONNE'),
('89140','VILLEMANOCHE','YONNE'),
('89140','VILLENAVOTTE','YONNE'),
('89140','VILLEPERROT','YONNE'),
('89140','VILLETHIERRY','YONNE'),
('89140','VINNEUF','YONNE'),
('89144','LIGNY LE CHATEL','YONNE'),
('89144','MERE','YONNE'),
('89144','VARENNES','YONNE'),
('89150','LA BELLIOLE','YONNE'),
('89150','BRANNAY','YONNE'),
('89150','COURTOIN','YONNE'),
('89150','DOLLOT','YONNE'),
('89150','DOMATS','YONNE'),
('89150','FOUCHERES','YONNE'),
('89150','JOUY','YONNE'),
('89150','MONTACHER VILLEGARDIN','YONNE'),
('89150','ST VALERIEN','YONNE'),
('89150','SAVIGNY SUR CLAIRIS','YONNE'),
('89150','VALLERY','YONNE'),
('89150','VERNOY','YONNE'),
('89150','VILLEBOUGIS','YONNE'),
('89150','VILLENEUVE LA DONDAGRE','YONNE'),
('89160','ANCY LE FRANC','YONNE'),
('89160','ANCY LE LIBRE','YONNE'),
('89160','ARGENTENAY','YONNE'),
('89160','ARGENTEUIL SUR ARMANCON','YONNE'),
('89160','CHASSIGNELLES','YONNE'),
('89160','CUSY','YONNE'),
('89160','FULVY','YONNE'),
('89160','GIGNY','YONNE'),
('89160','JULLY','YONNE'),
('89160','LEZINNES','YONNE'),
('89160','PACY SUR ARMANCON','YONNE'),
('89160','SAMBOURG','YONNE'),
('89160','SENNEVOY LE BAS','YONNE'),
('89160','SENNEVOY LE HAUT','YONNE'),
('89160','STIGNY','YONNE'),
('89160','VILLIERS LES HAUTS','YONNE'),
('89160','VIREAUX','YONNE'),
('89170','LAVAU','YONNE'),
('89170','RONCHERES','YONNE'),
('89170','ST FARGEAU','YONNE'),
('89170','ST MARTIN DES CHAMPS','YONNE'),
('89170','SEPTFONDS','YONNE'),
('89190','BAGNEAUX','YONNE'),
('89190','CHIGY','YONNE'),
('89190','LES CLERIMOIS','YONNE'),
('89190','COURGENAY','YONNE'),
('89190','FLACY','YONNE'),
('89190','FOISSY SUR VANNE','YONNE'),
('89190','LAILLY','YONNE'),
('89190','MOLINONS','YONNE'),
('89190','PONT SUR VANNE','YONNE'),
('89190','ST MAURICE AUX RICHES HOM','YONNE'),
('89190','LES SIEGES','YONNE'),
('89190','VILLENEUVE L ARCHEVEQUE','YONNE'),
('89200','ANNAY LA COTE','YONNE'),
('89200','ANNEOT','YONNE'),
('89200','AVALLON','YONNE'),
('89200','BLANNAY','YONNE'),
('89200','DOMECY SUR LE VAULT','YONNE'),
('89200','ETAULE','YONNE'),
('89200','GIROLLES','YONNE'),
('89200','GIVRY','YONNE'),
('89200','ISLAND','YONNE'),
('89200','LUCY LE BOIS','YONNE'),
('89200','MAGNY','YONNE'),
('89200','PONTAUBERT','YONNE'),
('89200','PROVENCY','YONNE'),
('89200','SAUVIGNY LE BOIS','YONNE'),
('89200','SERMIZELLES','YONNE'),
('89200','THAROT','YONNE'),
('89200','THORY','YONNE'),
('89200','VAULT DE LUGNY','YONNE'),
('89210','BELLECHAUME','YONNE'),
('89210','BLIGNY EN OTHE','YONNE'),
('89210','BRIENON SUR ARMANCON','YONNE'),
('89210','CHAMPLOST','YONNE'),
('89210','ESNON','YONNE'),
('89210','MERCY','YONNE'),
('89210','PAROY EN OTHE','YONNE'),
('89210','VENIZY','YONNE'),
('89220','BLENEAU','YONNE'),
('89220','CHAMPCEVRAIS','YONNE'),
('89220','ROGNY LES SEPT ECLUSES','YONNE'),
('89220','ST PRIVE','YONNE'),
('89230','BLEIGNY LE CARREAU','YONNE'),
('89230','MONTIGNY LA RESLE','YONNE'),
('89230','PONTIGNY','YONNE'),
('89230','ROUVRAY','YONNE'),
('89230','VENOUSE','YONNE'),
('89230','VILLENEUVE ST SALVES','YONNE'),
('89240','BEAUVOIR','YONNE'),
('89240','CHEVANNES','YONNE'),
('89240','DIGES','YONNE'),
('89240','EGLENY','YONNE'),
('89240','ESCAMPS','YONNE'),
('89240','LINDRY','YONNE'),
('89240','PARLY','YONNE'),
('89240','POURRAIN','YONNE'),
('89240','VILLEFARGEAU','YONNE'),
('89250','BEAUMONT','YONNE'),
('89250','CHEMILLY SUR YONNE','YONNE'),
('89250','GURGY','YONNE'),
('89250','HAUTERIVE','YONNE'),
('89250','MONT ST SULPICE','YONNE'),
('89250','SEIGNELAY','YONNE'),
('89260','LA CHAPELLE SUR OREUSE','YONNE'),
('89260','COURCEAUX','YONNE'),
('89260','FLEURIGNY','YONNE'),
('89260','GRANGE LE BOCAGE','YONNE'),
('89260','PLESSIS DU MEE','YONNE'),
('89260','LA POSTOLLE','YONNE'),
('89260','ST MARTIN SUR OREUSE','YONNE'),
('89260','SOGNES','YONNE'),
('89260','THORIGNY SUR OREUSE','YONNE'),
('89260','VERTILLY','YONNE'),
('89260','PERCENEIGE','YONNE'),
('89260','VOISINES','YONNE'),
('89270','ARCY SUR CURE','YONNE'),
('89270','BESSY SUR CURE','YONNE'),
('89270','ESSERT','YONNE'),
('89270','LUCY SUR CURE','YONNE'),
('89270','MAILLY LA VILLE','YONNE'),
('89270','SACY','YONNE'),
('89270','ST MORE','YONNE'),
('89270','SERY','YONNE'),
('89270','VERMENTON','YONNE'),
('89270','VOUTENAY SUR CURE','YONNE'),
('89290','AUGY','YONNE'),
('89290','CHAMPS SUR YONNE','YONNE'),
('89290','ESCOLIVES STE CAMILLE','YONNE'),
('89290','IRANCY','YONNE'),
('89290','JUSSY','YONNE'),
('89290','QUENNE','YONNE'),
('89290','VAUX','YONNE'),
('89290','VENOY','YONNE'),
('89290','VINCELLES','YONNE'),
('89290','VINCELOTTES','YONNE'),
('89300','CHAMPLAY','YONNE'),
('89300','CHAMVRES','YONNE'),
('89300','JOIGNY','YONNE'),
('89300','LOOZE','YONNE'),
('89300','PAROY SUR THOLON','YONNE'),
('89300','ST AUBIN SUR YONNE','YONNE'),
('89300','VILLECIEN','YONNE'),
('89310','ANNAY SUR SEREIN','YONNE'),
('89310','CENSY','YONNE'),
('89310','CHATEL GERARD','YONNE'),
('89310','ETIVEY','YONNE'),
('89310','FRESNES','YONNE'),
('89310','GRIMAULT','YONNE'),
('89310','JOUANCY','YONNE'),
('89310','MOLAY','YONNE'),
('89310','MOULINS EN TONNERROIS','YONNE'),
('89310','NITRY','YONNE'),
('89310','NOYERS','YONNE'),
('89310','PASILLY','YONNE'),
('89310','POILLY SUR SEREIN','YONNE'),
('89310','STE VERTU','YONNE'),
('89310','SARRY','YONNE'),
('89320','ARCES DILO','YONNE'),
('89320','CERILLY','YONNE'),
('89320','CERISIERS','YONNE'),
('89320','COULOURS','YONNE'),
('89320','DILO','YONNE'),
('89320','FOURNAUDIN','YONNE'),
('89320','VAUDEURS','YONNE'),
('89320','VAUMORT','YONNE'),
('89320','VILLECHETIVE','YONNE'),
('89330','PIFFONDS','YONNE'),
('89330','ST JULIEN DU SAULT','YONNE'),
('89330','ST LOUP D ORDON','YONNE'),
('89330','ST MARTIN D ORDON','YONNE'),
('89330','VERLIN','YONNE'),
('89330','VILLEVALLIER','YONNE'),
('89340','ST AGNAN','YONNE'),
('89340','VILLENEUVE LA GUYARD','YONNE'),
('89350','CHAMPIGNELLES','YONNE'),
('89350','GRANDCHAMP','YONNE'),
('89350','LOUESMES','YONNE'),
('89350','TANNERRE EN PUISAYE','YONNE'),
('89350','VILLENEUVE LES GENETS','YONNE'),
('89360','BERNOUIL','YONNE'),
('89360','BUTTEAUX','YONNE'),
('89360','CARISEY','YONNE'),
('89360','DYE','YONNE'),
('89360','FLOGNY LA CHAPELLE','YONNE'),
('89360','JAULGES','YONNE'),
('89360','PERCEY','YONNE'),
('89360','VILLIERS VINEUX','YONNE'),
('89370','CHAMPIGNY','YONNE'),
('89370','CHAUMONT','YONNE'),
('89380','APPOIGNY','YONNE'),
('89390','AISY SUR ARMANCON','YONNE'),
('89390','CRY','YONNE'),
('89390','NUITS','YONNE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('89390','PERRIGNY SUR ARMANCON','YONNE'),
('89390','RAVIERES','YONNE'),
('89400','BASSOU','YONNE'),
('89400','BONNARD','YONNE'),
('89400','BRION','YONNE'),
('89400','BUSSY EN OTHE','YONNE'),
('89400','CHARMOY','YONNE'),
('89400','CHENY','YONNE'),
('89400','CHICHERY','YONNE'),
('89400','EPINEAU LES VOVES','YONNE'),
('89400','LAROCHE ST CYDROINE','YONNE'),
('89400','MIGENNES','YONNE'),
('89400','ORMOY','YONNE'),
('89410','BEON','YONNE'),
('89410','CEZY','YONNE'),
('89420','BIERRY LES BELLES FONTAIN','YONNE'),
('89420','CISERY','YONNE'),
('89420','CUSSY LES FORGES','YONNE'),
('89420','GUILLON','YONNE'),
('89420','MARMEAUX','YONNE'),
('89420','MONTREAL','YONNE'),
('89420','PISY','YONNE'),
('89420','ST ANDRE EN TERRE PLAINE','YONNE'),
('89420','STE MAGNANCE','YONNE'),
('89420','SANTIGNY','YONNE'),
('89420','SAUVIGNY LE BEUREAL','YONNE'),
('89420','SAVIGNY EN TERRE PLAINE','YONNE'),
('89420','SCEAUX','YONNE'),
('89420','TALCY','YONNE'),
('89420','THIZY','YONNE'),
('89420','TREVILLY','YONNE'),
('89420','VASSY','YONNE'),
('89420','VIGNES','YONNE'),
('89430','BAON','YONNE'),
('89430','COMMISSEY','YONNE'),
('89430','MELISEY','YONNE'),
('89430','RUGNY','YONNE'),
('89430','ST VINNEMER','YONNE'),
('89430','TANLAY','YONNE'),
('89430','THOREY','YONNE'),
('89430','TRICHEY','YONNE'),
('89440','ANGELY','YONNE'),
('89440','ANNOUX','YONNE'),
('89440','ATHIE','YONNE'),
('89440','BLACY','YONNE'),
('89440','CIVRY SUR SEREIN','YONNE'),
('89440','COUTARNOUX','YONNE'),
('89440','DISSANGIS','YONNE'),
('89440','L ISLE SUR SEREIN','YONNE'),
('89440','JOUX LA VILLE','YONNE'),
('89440','MASSANGIS','YONNE'),
('89440','PRECY LE SEC','YONNE'),
('89440','STE COLOMBE','YONNE'),
('89450','ASQUINS','YONNE'),
('89450','DOMECY SUR CURE','YONNE'),
('89450','FOISSY LES VEZELAY','YONNE'),
('89450','FONTENAY PRES VEZELAY','YONNE'),
('89450','MENADES','YONNE'),
('89450','PIERRE PERTHUIS','YONNE'),
('89450','ST PERE','YONNE'),
('89450','THAROISEAU','YONNE'),
('89450','VEZELAY','YONNE'),
('89460','ACCOLAY','YONNE'),
('89460','BAZARNES','YONNE'),
('89460','CRAVANT','YONNE'),
('89460','PREGILBERT','YONNE'),
('89460','STE PALLAYE','YONNE'),
('89460','TRUCY SUR YONNE','YONNE'),
('89470','MONETEAU','YONNE'),
('89470','SOUGERES SUR SINOTTE','YONNE'),
('89480','ANDRYES','YONNE'),
('89480','COULANGES SUR YONNE','YONNE'),
('89480','CRAIN','YONNE'),
('89480','ETAIS LA SAUVIN','YONNE'),
('89480','FESTIGNY','YONNE'),
('89480','LUCY SUR YONNE','YONNE'),
('89500','ARMEAU','YONNE'),
('89500','LES BORDES','YONNE'),
('89500','BUSSY LE REPOS','YONNE'),
('89500','CHAUMOT','YONNE'),
('89500','CORNANT','YONNE'),
('89500','DIXMONT','YONNE'),
('89500','EGRISELLES LE BOCAGE','YONNE'),
('89500','MARSANGY','YONNE'),
('89500','ROUSSON','YONNE'),
('89500','VILLENEUVE SUR YONNE','YONNE'),
('89510','ETIGNY','YONNE'),
('89510','PASSY','YONNE'),
('89510','VERON','YONNE'),
('89520','FONTENOY','YONNE'),
('89520','LAINSECQ','YONNE'),
('89520','LEVIS','YONNE'),
('89520','MOUTIERS EN PUISAYE','YONNE'),
('89520','PERREUSE','YONNE'),
('89520','SAINPUITS','YONNE'),
('89520','STE COLOMBE SUR LOING','YONNE'),
('89520','SAINTS','YONNE'),
('89520','ST SAUVEUR EN PUISAYE','YONNE'),
('89520','SOUGERES EN PUISAYE','YONNE'),
('89520','THURY','YONNE'),
('89520','TREIGNY','YONNE'),
('89530','CHITRY','YONNE'),
('89530','ST BRIS LE VINEUX','YONNE'),
('89550','HERY','YONNE'),
('89560','CHASTENAY','YONNE'),
('89560','COURSON LES CARRIERES','YONNE'),
('89560','DRUYES LES BELLES FONTAIN','YONNE'),
('89560','FONTENAILLES','YONNE'),
('89560','FOURONNES','YONNE'),
('89560','LAIN','YONNE'),
('89560','MERRY SEC','YONNE'),
('89560','MOLESMES','YONNE'),
('89560','MOUFFY','YONNE'),
('89560','OUANNE','YONNE'),
('89560','SEMENTRON','YONNE'),
('89560','TAINGY','YONNE'),
('89570','BEUGNON','YONNE'),
('89570','LASSON','YONNE'),
('89570','NEUVY SAUTOUR','YONNE'),
('89570','SORMERY','YONNE'),
('89570','SOUMAINTRAIN','YONNE'),
('89570','TURNY','YONNE'),
('89580','CHARENTENAY','YONNE'),
('89580','COULANGERON','YONNE'),
('89580','COULANGES LA VINEUSE','YONNE'),
('89580','GY L EVEQUE','YONNE'),
('89580','MIGE','YONNE'),
('89580','VAL DE MERCY','YONNE'),
('89580','VALLAN','YONNE'),
('89600','AVROLLES','YONNE'),
('89600','BOUILLY','YONNE'),
('89600','CHEU','YONNE'),
('89600','GERMIGNY','YONNE'),
('89600','REBOURSEAUX','YONNE'),
('89600','ST FLORENTIN','YONNE'),
('89600','VERGIGNY','YONNE'),
('89630','BEAUVILLIERS','YONNE'),
('89630','BUSSIERES','YONNE'),
('89630','CHASTELLUX SUR CURE','YONNE'),
('89630','QUARRE LES TOMBES','YONNE'),
('89630','ST BRANCHER','YONNE'),
('89630','ST GERMAIN DES CHAMPS','YONNE'),
('89630','ST LEGER VAUBAN','YONNE'),
('89660','ASNIERES SOUS BOIS','YONNE'),
('89660','BOIS D ARCY','YONNE'),
('89660','BROSSES','YONNE'),
('89660','CHAMOUX','YONNE'),
('89660','CHATEL CENSOIR','YONNE'),
('89660','FONTENAY SOUS FOURONNES','YONNE'),
('89660','LICHERES SUR YONNE','YONNE'),
('89660','MAILLY LE CHATEAU','YONNE'),
('89660','MERRY SUR YONNE','YONNE'),
('89660','MONTILLOT','YONNE'),
('89690','CHEROY','YONNE'),
('89700','BERU','YONNE'),
('89700','CHENEY','YONNE'),
('89700','COLLAN','YONNE'),
('89700','DANNEMOINE','YONNE'),
('89700','EPINEUIL','YONNE'),
('89700','JUNAY','YONNE'),
('89700','MOLOSMES','YONNE'),
('89700','ROFFEY','YONNE'),
('89700','ST MARTIN SUR ARMANCON','YONNE'),
('89700','SERRIGNY','YONNE'),
('89700','TISSEY','YONNE'),
('89700','TONNERRE','YONNE'),
('89700','TRONCHOY','YONNE'),
('89700','VEZANNES','YONNE'),
('89700','VEZINNES','YONNE'),
('89700','VIVIERS','YONNE'),
('89700','YROUERRE','YONNE'),
('89710','CHAMPVALLON','YONNE'),
('89710','SENAN','YONNE'),
('89710','VOLGRE','YONNE'),
('89720','VILLEBLEVIN','YONNE'),
('89740','ARTHONNAY','YONNE'),
('89740','CRUZY LE CHATEL','YONNE'),
('89740','GLAND','YONNE'),
('89740','PIMELLES','YONNE'),
('89740','QUINCEROT','YONNE'),
('89740','VILLON','YONNE'),
('89760','NOE','YONNE'),
('89760','THEIL SUR VANNE','YONNE'),
('89760','VAREILLES','YONNE'),
('89760','VILLIERS LOUIS','YONNE'),
('89770','BOEURS EN OTHE','YONNE'),
('89770','CHAILLEY','YONNE'),
('89800','AIGREMONT','YONNE'),
('89800','BEINE','YONNE'),
('89800','CHABLIS','YONNE'),
('89800','LA CHAPELLE VAUPELTEIGNE','YONNE'),
('89800','CHEMILLY SUR SEREIN','YONNE'),
('89800','CHICHEE','YONNE'),
('89800','COURGIS','YONNE'),
('89800','FLEYS','YONNE'),
('89800','FONTENAY PRES CHABLIS','YONNE'),
('89800','FYE','YONNE'),
('89800','LICHERES PRES AIGREMONT','YONNE'),
('89800','LIGNORELLES','YONNE'),
('89800','MALIGNY','YONNE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('89800','MILLY','YONNE'),
('89800','POINCHY','YONNE'),
('89800','PREHY','YONNE'),
('89800','ST CYR LES COLONS','YONNE'),
('89800','VILLY','YONNE'),
('90000','BELFORT','TERRITOIRE DE BELFORT'),
('90100','BORON','TERRITOIRE DE BELFORT'),
('90100','CHAVANATTE','TERRITOIRE DE BELFORT'),
('90100','CHAVANNES LES GRANDS','TERRITOIRE DE BELFORT'),
('90100','COURCELLES','TERRITOIRE DE BELFORT'),
('90100','COURTELEVANT','TERRITOIRE DE BELFORT'),
('90100','CROIX','TERRITOIRE DE BELFORT'),
('90100','DELLE','TERRITOIRE DE BELFORT'),
('90100','FAVEROIS','TERRITOIRE DE BELFORT'),
('90100','FECHE L EGLISE','TERRITOIRE DE BELFORT'),
('90100','FLORIMONT','TERRITOIRE DE BELFORT'),
('90100','GROSNE','TERRITOIRE DE BELFORT'),
('90100','JONCHEREY','TERRITOIRE DE BELFORT'),
('90100','LEBETAIN','TERRITOIRE DE BELFORT'),
('90100','LEPUIX NEUF','TERRITOIRE DE BELFORT'),
('90100','ST DIZIER L EVEQUE','TERRITOIRE DE BELFORT'),
('90100','SUARCE','TERRITOIRE DE BELFORT'),
('90100','THIANCOURT','TERRITOIRE DE BELFORT'),
('90100','VELLESCOT','TERRITOIRE DE BELFORT'),
('90100','VILLARS LE SEC','TERRITOIRE DE BELFORT'),
('90110','BOURG SOUS CHATELET','TERRITOIRE DE BELFORT'),
('90110','FELON','TERRITOIRE DE BELFORT'),
('90110','LEVAL','TERRITOIRE DE BELFORT'),
('90110','ROMAGNY SOUS ROUGEMONT','TERRITOIRE DE BELFORT'),
('90110','ROUGEMONT LE CHATEAU','TERRITOIRE DE BELFORT'),
('90110','ST GERMAIN LE CHATELET','TERRITOIRE DE BELFORT'),
('90120','MEZIRE','TERRITOIRE DE BELFORT'),
('90120','MORVILLARS','TERRITOIRE DE BELFORT'),
('90130','BRETAGNE','TERRITOIRE DE BELFORT'),
('90130','MONTREUX CHATEAU','TERRITOIRE DE BELFORT'),
('90130','PETIT CROIX','TERRITOIRE DE BELFORT'),
('90140','BOUROGNE','TERRITOIRE DE BELFORT'),
('90140','BREBOTTE','TERRITOIRE DE BELFORT'),
('90140','CHARMOIS','TERRITOIRE DE BELFORT'),
('90140','FROIDEFONTAINE','TERRITOIRE DE BELFORT'),
('90140','AUTRECHENE','TERRITOIRE DE BELFORT'),
('90140','RECOUVRANCE','TERRITOIRE DE BELFORT'),
('90150','ANGEOT','TERRITOIRE DE BELFORT'),
('90150','BETHONVILLIERS','TERRITOIRE DE BELFORT'),
('90150','CUNELIERES','TERRITOIRE DE BELFORT'),
('90150','EGUENIGUE','TERRITOIRE DE BELFORT'),
('90150','FONTAINE','TERRITOIRE DE BELFORT'),
('90150','FOUSSEMAGNE','TERRITOIRE DE BELFORT'),
('90150','FRAIS','TERRITOIRE DE BELFORT'),
('90150','LACOLLONGE','TERRITOIRE DE BELFORT'),
('90150','LAGRANGE','TERRITOIRE DE BELFORT'),
('90150','LARIVIERE','TERRITOIRE DE BELFORT'),
('90150','MENONCOURT','TERRITOIRE DE BELFORT'),
('90150','PHAFFANS','TERRITOIRE DE BELFORT'),
('90150','REPPE','TERRITOIRE DE BELFORT'),
('90150','VAUTHIERMONT','TERRITOIRE DE BELFORT'),
('90160','BESSONCOURT','TERRITOIRE DE BELFORT'),
('90160','DENNEY','TERRITOIRE DE BELFORT'),
('90160','PEROUSE','TERRITOIRE DE BELFORT'),
('90170','ANJOUTEY','TERRITOIRE DE BELFORT'),
('90170','ETUEFFONT','TERRITOIRE DE BELFORT'),
('90170','LAMADELEINE VAL DES ANGES','TERRITOIRE DE BELFORT'),
('90170','PETITMAGNY','TERRITOIRE DE BELFORT'),
('90200','AUXELLES BAS','TERRITOIRE DE BELFORT'),
('90200','AUXELLES HAUT','TERRITOIRE DE BELFORT'),
('90200','GIROMAGNY','TERRITOIRE DE BELFORT'),
('90200','GROSMAGNY','TERRITOIRE DE BELFORT'),
('90200','LEPUIX','TERRITOIRE DE BELFORT'),
('90200','RIERVESCEMONT','TERRITOIRE DE BELFORT'),
('90200','ROUGEGOUTTE','TERRITOIRE DE BELFORT'),
('90200','VESCEMONT','TERRITOIRE DE BELFORT'),
('90300','CRAVANCHE','TERRITOIRE DE BELFORT'),
('90300','ELOIE','TERRITOIRE DE BELFORT'),
('90300','LACHAPELLE SOUS CHAUX','TERRITOIRE DE BELFORT'),
('90300','OFFEMONT','TERRITOIRE DE BELFORT'),
('90300','SERMAMAGNY','TERRITOIRE DE BELFORT'),
('90300','VALDOIE','TERRITOIRE DE BELFORT'),
('90300','VETRIGNE','TERRITOIRE DE BELFORT'),
('90330','CHAUX','TERRITOIRE DE BELFORT'),
('90340','CHEVREMONT','TERRITOIRE DE BELFORT'),
('90340','FONTENELLE','TERRITOIRE DE BELFORT'),
('90340','NOVILLARD','TERRITOIRE DE BELFORT'),
('90350','EVETTE SALBERT','TERRITOIRE DE BELFORT'),
('90360','LACHAPELLE SOUS ROUGEMONT','TERRITOIRE DE BELFORT'),
('90360','PETITEFONTAINE','TERRITOIRE DE BELFORT'),
('90370','RECHESY','TERRITOIRE DE BELFORT'),
('90380','ROPPE','TERRITOIRE DE BELFORT'),
('90400','ANDELNANS','TERRITOIRE DE BELFORT'),
('90400','BERMONT','TERRITOIRE DE BELFORT'),
('90400','BOTANS','TERRITOIRE DE BELFORT'),
('90400','DANJOUTIN','TERRITOIRE DE BELFORT'),
('90400','DORANS','TERRITOIRE DE BELFORT'),
('90400','MEROUX MOVAL','TERRITOIRE DE BELFORT'),
('90400','MOVAL','TERRITOIRE DE BELFORT'),
('90400','SEVENANS','TERRITOIRE DE BELFORT'),
('90400','TREVENANS','TERRITOIRE DE BELFORT'),
('90400','VEZELOIS','TERRITOIRE DE BELFORT'),
('90400','FROIDEVAL','TERRITOIRE DE BELFORT'),
('90500','BEAUCOURT','TERRITOIRE DE BELFORT'),
('90500','MONTBOUTON','TERRITOIRE DE BELFORT'),
('90600','GRANDVILLARS','TERRITOIRE DE BELFORT'),
('90700','CHATENOIS LES FORGES','TERRITOIRE DE BELFORT'),
('90800','ARGIESANS','TERRITOIRE DE BELFORT'),
('90800','BANVILLARS','TERRITOIRE DE BELFORT'),
('90800','BAVILLIERS','TERRITOIRE DE BELFORT'),
('90800','BUC','TERRITOIRE DE BELFORT'),
('90800','URCEREY','TERRITOIRE DE BELFORT'),
('90850','ESSERT','TERRITOIRE DE BELFORT'),
('91000','EVRY','ESSONNE'),
('91070','BONDOUFLE','ESSONNE'),
('91080','COURCOURONNES','ESSONNE'),
('91090','LISSES','ESSONNE'),
('91100','CORBEIL ESSONNES','ESSONNE'),
('91100','VILLABE','ESSONNE'),
('91120','PALAISEAU','ESSONNE'),
('91130','RIS ORANGIS','ESSONNE'),
('91140','VILLEBON SUR YVETTE','ESSONNE'),
('91140','VILLEJUST','ESSONNE'),
('91140','FRETAY','ESSONNE'),
('91150','ABBEVILLE LA RIVIERE','ESSONNE'),
('91150','BLANDY','ESSONNE'),
('91150','BOIS HERPIN','ESSONNE'),
('91150','BOUTERVILLIERS','ESSONNE'),
('91150','BRIERES LES SCELLES','ESSONNE'),
('91150','BROUY','ESSONNE'),
('91150','CHAMPMOTTEUX','ESSONNE'),
('91150','ETAMPES','ESSONNE'),
('91150','LA FORET STE CROIX','ESSONNE'),
('91150','MAROLLES EN BEAUCE','ESSONNE'),
('91150','MESPUITS','ESSONNE'),
('91150','MORIGNY CHAMPIGNY','ESSONNE'),
('91150','ORMOY LA RIVIERE','ESSONNE'),
('91150','PUISELET LE MARAIS','ESSONNE'),
('91150','ROINVILLIERS','ESSONNE'),
('91160','BALLAINVILLIERS','ESSONNE'),
('91160','CHAMPLAN','ESSONNE'),
('91160','LONGJUMEAU','ESSONNE'),
('91160','SAULX LES CHARTREUX','ESSONNE'),
('91160','BALIZY','ESSONNE'),
('91170','VIRY CHATILLON','ESSONNE'),
('91180','ST GERMAIN LES ARPAJON','ESSONNE'),
('91190','GIF SUR YVETTE','ESSONNE'),
('91190','ST AUBIN','ESSONNE'),
('91190','VILLIERS LE BACLE','ESSONNE'),
('91190','VILLERAS','ESSONNE'),
('91200','ATHIS MONS','ESSONNE'),
('91210','DRAVEIL','ESSONNE'),
('91210','MAINVILLE','ESSONNE'),
('91220','BRETIGNY SUR ORGE','ESSONNE'),
('91220','LE PLESSIS PATE','ESSONNE'),
('91230','MONTGERON','ESSONNE'),
('91240','ST MICHEL SUR ORGE','ESSONNE'),
('91250','MORSANG SUR SEINE','ESSONNE'),
('91250','ST GERMAIN LES CORBEIL','ESSONNE'),
('91250','SAINTRY SUR SEINE','ESSONNE'),
('91250','TIGERY','ESSONNE'),
('91260','JUVISY SUR ORGE','ESSONNE'),
('91270','VIGNEUX SUR SEINE','ESSONNE'),
('91280','ST PIERRE DU PERRAY','ESSONNE'),
('91290','ARPAJON','ESSONNE'),
('91290','LA NORVILLE','ESSONNE'),
('91290','OLLAINVILLE','ESSONNE'),
('91300','MASSY','ESSONNE'),
('91310','LEUVILLE SUR ORGE','ESSONNE'),
('91310','LINAS','ESSONNE'),
('91310','LONGPONT SUR ORGE','ESSONNE'),
('91310','MONTLHERY','ESSONNE'),
('91320','WISSOUS','ESSONNE'),
('91330','YERRES','ESSONNE'),
('91350','GRIGNY','ESSONNE'),
('91360','EPINAY SUR ORGE','ESSONNE'),
('91360','VILLEMOISSON SUR ORGE','ESSONNE'),
('91370','VERRIERES LE BUISSON','ESSONNE'),
('91380','CHILLY MAZARIN','ESSONNE'),
('91390','MORSANG SUR ORGE','ESSONNE'),
('91400','GOMETZ LA VILLE','ESSONNE'),
('91400','ORSAY','ESSONNE'),
('91400','SACLAY','ESSONNE'),
('91400','ORSIGNY','ESSONNE'),
('91400','LE VAL D ALBIAN','ESSONNE'),
('91410','AUTHON LA PLAINE','ESSONNE'),
('91410','CHATIGNONVILLE','ESSONNE'),
('91410','CORBREUSE','ESSONNE'),
('91410','DOURDAN','ESSONNE'),
('91410','LA FORET LE ROI','ESSONNE'),
('91410','LES GRANGES LE ROI','ESSONNE'),
('91410','PLESSIS ST BENOIST','ESSONNE'),
('91410','RICHARVILLE','ESSONNE'),
('91410','ROINVILLE','ESSONNE'),
('91410','ST CYR SOUS DOURDAN','ESSONNE'),
('91410','STE ESCOBILLE','ESSONNE'),
('91420','MORANGIS','ESSONNE'),
('91430','IGNY','ESSONNE'),
('91430','VAUHALLAN','ESSONNE'),
('91430','GOMMONVILLER','ESSONNE'),
('91440','BURES SUR YVETTE','ESSONNE'),
('91440','MONTJAY','ESSONNE'),
('91450','ETIOLLES','ESSONNE'),
('91450','SOISY SUR SEINE','ESSONNE'),
('91460','MARCOUSSIS','ESSONNE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('91470','ANGERVILLIERS','ESSONNE'),
('91470','BOULLAY LES TROUX','ESSONNE'),
('91470','FORGES LES BAINS','ESSONNE'),
('91470','LIMOURS','ESSONNE'),
('91470','LES MOLIERES','ESSONNE'),
('91470','PECQUEUSE','ESSONNE'),
('91480','QUINCY SOUS SENART','ESSONNE'),
('91480','VARENNES JARCY','ESSONNE'),
('91490','COURANCES','ESSONNE'),
('91490','DANNEMOIS','ESSONNE'),
('91490','MILLY LA FORET','ESSONNE'),
('91490','MOIGNY SUR ECOLE','ESSONNE'),
('91490','ONCY SUR ECOLE','ESSONNE'),
('91510','JANVILLE SUR JUINE','ESSONNE'),
('91510','LARDY','ESSONNE'),
('91520','EGLY','ESSONNE'),
('91530','ST CHERON','ESSONNE'),
('91530','ST MAURICE MONTCOURONNE','ESSONNE'),
('91530','SERMAISE','ESSONNE'),
('91530','LE VAL ST GERMAIN','ESSONNE'),
('91540','ECHARCON','ESSONNE'),
('91540','FONTENAY LE VICOMTE','ESSONNE'),
('91540','MENNECY','ESSONNE'),
('91540','ORMOY','ESSONNE'),
('91550','PARAY VIEILLE POSTE','ESSONNE'),
('91560','CROSNE','ESSONNE'),
('91570','BIEVRES','ESSONNE'),
('91580','AUVERS ST GEORGES','ESSONNE'),
('91580','CHAUFFOUR LES ETRECHY','ESSONNE'),
('91580','ETRECHY','ESSONNE'),
('91580','SOUZY LA BRICHE','ESSONNE'),
('91580','VILLECONIN','ESSONNE'),
('91580','VILLENEUVE SUR AUVERS','ESSONNE'),
('91590','BAULNE','ESSONNE'),
('91590','BOISSY LE CUTTE','ESSONNE'),
('91590','CERNY','ESSONNE'),
('91590','D HUISON LONGUEVILLE','ESSONNE'),
('91590','LA FERTE ALAIS','ESSONNE'),
('91590','GUIGNEVILLE SUR ESSONNE','ESSONNE'),
('91590','MONDEVILLE','ESSONNE'),
('91590','ORVEAU','ESSONNE'),
('91600','SAVIGNY SUR ORGE','ESSONNE'),
('91610','BALLANCOURT SUR ESSONNE','ESSONNE'),
('91620','NOZAY','ESSONNE'),
('91620','LA VILLE DU BOIS','ESSONNE'),
('91630','AVRAINVILLE','ESSONNE'),
('91630','CHEPTAINVILLE','ESSONNE'),
('91630','GUIBEVILLE','ESSONNE'),
('91630','LEUDEVILLE','ESSONNE'),
('91630','MAROLLES EN HUREPOIX','ESSONNE'),
('91640','BRIIS SOUS FORGES','ESSONNE'),
('91640','FONTENAY LES BRIIS','ESSONNE'),
('91640','JANVRY','ESSONNE'),
('91640','VAUGRIGNEUSE','ESSONNE'),
('91650','BREUILLET','ESSONNE'),
('91650','BREUX JOUY','ESSONNE'),
('91650','ST YON','ESSONNE'),
('91660','ESTOUCHES','ESSONNE'),
('91660','MEREVILLE','ESSONNE'),
('91670','DOMMERVILLE','ESSONNE'),
('91670','ANGERVILLE','ESSONNE'),
('91680','BRUYERES LE CHATEL','ESSONNE'),
('91680','COURSON MONTELOUP','ESSONNE'),
('91690','ARRANCOURT','ESSONNE'),
('91690','BOISSY LA RIVIERE','ESSONNE'),
('91690','FONTAINE LA RIVIERE','ESSONNE'),
('91690','GUILLERVAL','ESSONNE'),
('91690','SACLAS','ESSONNE'),
('91690','ST CYR LA RIVIERE','ESSONNE'),
('91700','FLEURY MEROGIS','ESSONNE'),
('91700','STE GENEVIEVE DES BOIS','ESSONNE'),
('91700','VILLIERS SUR ORGE','ESSONNE'),
('91710','VERT LE PETIT','ESSONNE'),
('91720','BOIGNEVILLE','ESSONNE'),
('91720','BUNO BONNEVAUX','ESSONNE'),
('91720','COURDIMANCHE SUR ESSONNE','ESSONNE'),
('91720','GIRONVILLE SUR ESSONNE','ESSONNE'),
('91720','MAISSE','ESSONNE'),
('91720','PRUNAY SUR ESSONNE','ESSONNE'),
('91720','VALPUISEAUX','ESSONNE'),
('91730','CHAMARANDE','ESSONNE'),
('91730','MAUCHAMPS','ESSONNE'),
('91730','TORFOU','ESSONNE'),
('91740','CHALOU MOULINEUX','ESSONNE'),
('91740','CONGERVILLE','ESSONNE'),
('91740','PUSSAY','ESSONNE'),
('91740','CONGERVILLE THIONVILLE','ESSONNE'),
('91750','CHAMPCUEIL','ESSONNE'),
('91750','CHEVANNES','ESSONNE'),
('91750','NAINVILLE LES ROCHES','ESSONNE'),
('91760','ITTEVILLE','ESSONNE'),
('91770','ST VRAIN','ESSONNE'),
('91780','CHALO ST MARS','ESSONNE'),
('91780','MEROBERT','ESSONNE'),
('91780','ST HILAIRE','ESSONNE'),
('91790','BOISSY SOUS ST YON','ESSONNE'),
('91800','BOUSSY ST ANTOINE','ESSONNE'),
('91800','BRUNOY','ESSONNE'),
('91810','VERT LE GRAND','ESSONNE'),
('91820','BOUTIGNY SUR ESSONNE','ESSONNE'),
('91820','VAYRES SUR ESSONNE','ESSONNE'),
('91830','AUVERNAUX','ESSONNE'),
('91830','LE COUDRAY MONTCEAUX','ESSONNE'),
('91830','LE PLESSIS CHENET','ESSONNE'),
('91840','SOISY SUR ECOLE','ESSONNE'),
('91850','BOURAY SUR JUINE','ESSONNE'),
('91860','EPINAY SOUS SENART','ESSONNE'),
('91870','BOISSY LE SEC','ESSONNE'),
('91880','BOUVILLE','ESSONNE'),
('91890','VIDELLES','ESSONNE'),
('91910','ST SULPICE DE FAVIERES','ESSONNE'),
('91930','MONNERVILLE','ESSONNE'),
('91940','GOMETZ LE CHATEL','ESSONNE'),
('91940','ST JEAN DE BEAUREGARD','ESSONNE'),
('91940','LES ULIS','ESSONNE'),
('91940','VILLEZIERS','ESSONNE'),
('92000','NANTERRE','HAUTS DE SEINE'),
('92100','BOULOGNE BILLANCOURT','HAUTS DE SEINE'),
('92110','CLICHY','HAUTS DE SEINE'),
('92120','MONTROUGE','HAUTS DE SEINE'),
('92130','ISSY LES MOULINEAUX','HAUTS DE SEINE'),
('92140','CLAMART','HAUTS DE SEINE'),
('92140','LE PETIT CLAMART','HAUTS DE SEINE'),
('92150','SURESNES','HAUTS DE SEINE'),
('92160','ANTONY','HAUTS DE SEINE'),
('92170','VANVES','HAUTS DE SEINE'),
('92190','MEUDON','HAUTS DE SEINE'),
('92200','NEUILLY SUR SEINE','HAUTS DE SEINE'),
('92210','ST CLOUD','HAUTS DE SEINE'),
('92220','BAGNEUX','HAUTS DE SEINE'),
('92230','GENNEVILLIERS','HAUTS DE SEINE'),
('92240','MALAKOFF','HAUTS DE SEINE'),
('92250','LA GARENNE COLOMBES','HAUTS DE SEINE'),
('92260','FONTENAY AUX ROSES','HAUTS DE SEINE'),
('92270','BOIS COLOMBES','HAUTS DE SEINE'),
('92290','CHATENAY MALABRY','HAUTS DE SEINE'),
('92300','LEVALLOIS PERRET','HAUTS DE SEINE'),
('92310','SEVRES','HAUTS DE SEINE'),
('92320','CHATILLON','HAUTS DE SEINE'),
('92330','SCEAUX','HAUTS DE SEINE'),
('92340','BOURG LA REINE','HAUTS DE SEINE'),
('92350','LE PLESSIS ROBINSON','HAUTS DE SEINE'),
('92350','ROBINSON','HAUTS DE SEINE'),
('92360','MEUDON LA FORET','HAUTS DE SEINE'),
('92370','CHAVILLE','HAUTS DE SEINE'),
('92380','GARCHES','HAUTS DE SEINE'),
('92390','VILLENEUVE LA GARENNE','HAUTS DE SEINE'),
('92400','COURBEVOIE','HAUTS DE SEINE'),
('92410','VILLE D AVRAY','HAUTS DE SEINE'),
('92420','VAUCRESSON','HAUTS DE SEINE'),
('92430','MARNES LA COQUETTE','HAUTS DE SEINE'),
('92500','RUEIL MALMAISON','HAUTS DE SEINE'),
('92500','BUZENVAL','HAUTS DE SEINE'),
('92600','ASNIERES SUR SEINE','HAUTS DE SEINE'),
('92700','COLOMBES','HAUTS DE SEINE'),
('92800','PUTEAUX','HAUTS DE SEINE'),
('93000','BOBIGNY','SEINE SAINT DENIS'),
('93100','MONTREUIL','SEINE SAINT DENIS'),
('93110','ROSNY SOUS BOIS','SEINE SAINT DENIS'),
('93120','LA COURNEUVE','SEINE SAINT DENIS'),
('93130','NOISY LE SEC','SEINE SAINT DENIS'),
('93140','BONDY','SEINE SAINT DENIS'),
('93150','LE BLANC MESNIL','SEINE SAINT DENIS'),
('93160','NOISY LE GRAND','SEINE SAINT DENIS'),
('93170','BAGNOLET','SEINE SAINT DENIS'),
('93190','LIVRY GARGAN','SEINE SAINT DENIS'),
('93200','ST DENIS','SEINE SAINT DENIS'),
('93210','LA PLAINE ST DENIS','SEINE SAINT DENIS'),
('93220','GAGNY','SEINE SAINT DENIS'),
('93230','ROMAINVILLE','SEINE SAINT DENIS'),
('93240','STAINS','SEINE SAINT DENIS'),
('93250','VILLEMOMBLE','SEINE SAINT DENIS'),
('93260','LES LILAS','SEINE SAINT DENIS'),
('93270','SEVRAN','SEINE SAINT DENIS'),
('93290','TREMBLAY EN FRANCE','SEINE SAINT DENIS'),
('93300','AUBERVILLIERS','SEINE SAINT DENIS'),
('93310','LE PRE ST GERVAIS','SEINE SAINT DENIS'),
('93320','LES PAVILLONS SOUS BOIS','SEINE SAINT DENIS'),
('93330','NEUILLY SUR MARNE','SEINE SAINT DENIS'),
('93340','LE RAINCY','SEINE SAINT DENIS'),
('93350','LE BOURGET','SEINE SAINT DENIS'),
('93360','NEUILLY PLAISANCE','SEINE SAINT DENIS'),
('93370','MONTFERMEIL','SEINE SAINT DENIS'),
('93380','PIERREFITTE SUR SEINE','SEINE SAINT DENIS'),
('93390','CLICHY SOUS BOIS','SEINE SAINT DENIS'),
('93400','ST OUEN','SEINE SAINT DENIS'),
('93410','VAUJOURS','SEINE SAINT DENIS'),
('93420','VILLEPINTE','SEINE SAINT DENIS'),
('93430','VILLETANEUSE','SEINE SAINT DENIS'),
('93440','DUGNY','SEINE SAINT DENIS'),
('93450','L ILE ST DENIS','SEINE SAINT DENIS'),
('93460','GOURNAY SUR MARNE','SEINE SAINT DENIS'),
('93470','COUBRON','SEINE SAINT DENIS'),
('93500','PANTIN','SEINE SAINT DENIS'),
('93600','AULNAY SOUS BOIS','SEINE SAINT DENIS'),
('93700','DRANCY','SEINE SAINT DENIS'),
('93800','EPINAY SUR SEINE','SEINE SAINT DENIS'),
('94000','CRETEIL','VAL DE MARNE'),
('94100','ST MAUR DES FOSSES','VAL DE MARNE'),
('94110','ARCUEIL','VAL DE MARNE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('94120','FONTENAY SOUS BOIS','VAL DE MARNE'),
('94130','NOGENT SUR MARNE','VAL DE MARNE'),
('94140','ALFORTVILLE','VAL DE MARNE'),
('94150','RUNGIS','VAL DE MARNE'),
('94160','ST MANDE','VAL DE MARNE'),
('94170','LE PERREUX SUR MARNE','VAL DE MARNE'),
('94190','VILLENEUVE ST GEORGES','VAL DE MARNE'),
('94200','IVRY SUR SEINE','VAL DE MARNE'),
('94210','LA VARENNE ST HILAIRE','VAL DE MARNE'),
('94220','CHARENTON LE PONT','VAL DE MARNE'),
('94230','CACHAN','VAL DE MARNE'),
('94240','L HAY LES ROSES','VAL DE MARNE'),
('94250','GENTILLY','VAL DE MARNE'),
('94260','FRESNES','VAL DE MARNE'),
('94270','LE KREMLIN BICETRE','VAL DE MARNE'),
('94290','VILLENEUVE LE ROI','VAL DE MARNE'),
('94300','VINCENNES','VAL DE MARNE'),
('94310','ORLY','VAL DE MARNE'),
('94320','THIAIS','VAL DE MARNE'),
('94340','JOINVILLE LE PONT','VAL DE MARNE'),
('94350','VILLIERS SUR MARNE','VAL DE MARNE'),
('94360','BRY SUR MARNE','VAL DE MARNE'),
('94370','SUCY EN BRIE','VAL DE MARNE'),
('94370','LES BRUYERES','VAL DE MARNE'),
('94380','BONNEUIL SUR MARNE','VAL DE MARNE'),
('94390','AEROPORT D ORLY','VAL DE MARNE'),
('94400','VITRY SUR SEINE','VAL DE MARNE'),
('94410','ST MAURICE','VAL DE MARNE'),
('94420','LE PLESSIS TREVISE','VAL DE MARNE'),
('94430','CHENNEVIERES SUR MARNE','VAL DE MARNE'),
('94440','MAROLLES EN BRIE','VAL DE MARNE'),
('94440','SANTENY','VAL DE MARNE'),
('94440','VILLECRESNES','VAL DE MARNE'),
('94450','LIMEIL BREVANNES','VAL DE MARNE'),
('94460','VALENTON','VAL DE MARNE'),
('94460','VAL POMPADOUR','VAL DE MARNE'),
('94470','BOISSY ST LEGER','VAL DE MARNE'),
('94480','ABLON SUR SEINE','VAL DE MARNE'),
('94490','ORMESSON SUR MARNE','VAL DE MARNE'),
('94500','CHAMPIGNY SUR MARNE','VAL DE MARNE'),
('94500','COEUILLY','VAL DE MARNE'),
('94510','LA QUEUE EN BRIE','VAL DE MARNE'),
('94520','MANDRES LES ROSES','VAL DE MARNE'),
('94520','PERIGNY','VAL DE MARNE'),
('94550','CHEVILLY LARUE','VAL DE MARNE'),
('94600','CHOISY LE ROI','VAL DE MARNE'),
('94700','MAISONS ALFORT','VAL DE MARNE'),
('94800','VILLEJUIF','VAL DE MARNE'),
('94880','NOISEAU','VAL DE MARNE'),
('95000','BOISEMONT','VAL D\'OISE'),
('95000','CERGY','VAL D\'OISE'),
('95000','NEUVILLE SUR OISE','VAL D\'OISE'),
('95000','PONTOISE','VAL D\'OISE'),
('95000','MENANDON','VAL D\'OISE'),
('95100','ARGENTEUIL','VAL D\'OISE'),
('95110','SANNOIS','VAL D\'OISE'),
('95120','ERMONT','VAL D\'OISE'),
('95130','FRANCONVILLE','VAL D\'OISE'),
('95130','LE PLESSIS BOUCHARD','VAL D\'OISE'),
('95140','GARGES LES GONESSE','VAL D\'OISE'),
('95150','TAVERNY','VAL D\'OISE'),
('95160','MONTMORENCY','VAL D\'OISE'),
('95170','DEUIL LA BARRE','VAL D\'OISE'),
('95180','MENUCOURT','VAL D\'OISE'),
('95190','CHATENAY EN FRANCE','VAL D\'OISE'),
('95190','FONTENAY EN PARISIS','VAL D\'OISE'),
('95190','GOUSSAINVILLE','VAL D\'OISE'),
('95200','SARCELLES','VAL D\'OISE'),
('95210','ST GRATIEN','VAL D\'OISE'),
('95220','HERBLAY','VAL D\'OISE'),
('95220','LA PATTE D OIE','VAL D\'OISE'),
('95230','SOISY SOUS MONTMORENCY','VAL D\'OISE'),
('95240','CORMEILLES EN PARISIS','VAL D\'OISE'),
('95250','BEAUCHAMP','VAL D\'OISE'),
('95260','BEAUMONT SUR OISE','VAL D\'OISE'),
('95260','MOURS','VAL D\'OISE'),
('95270','ASNIERES SUR OISE','VAL D\'OISE'),
('95270','BELLEFONTAINE','VAL D\'OISE'),
('95270','BELLOY EN FRANCE','VAL D\'OISE'),
('95270','CHAUMONTEL','VAL D\'OISE'),
('95270','EPINAY CHAMPLATREUX','VAL D\'OISE'),
('95270','LASSY','VAL D\'OISE'),
('95270','LUZARCHES','VAL D\'OISE'),
('95270','NOISY SUR OISE','VAL D\'OISE'),
('95270','LE PLESSIS LUZARCHES','VAL D\'OISE'),
('95270','ST MARTIN DU TERTRE','VAL D\'OISE'),
('95270','SEUGY','VAL D\'OISE'),
('95270','VIARMES','VAL D\'OISE'),
('95280','JOUY LE MOUTIER','VAL D\'OISE'),
('95280','JOUY LA FONTAINE','VAL D\'OISE'),
('95280','VINCOURT','VAL D\'OISE'),
('95290','L ISLE ADAM','VAL D\'OISE'),
('95300','ENNERY','VAL D\'OISE'),
('95300','HEROUVILLE','VAL D\'OISE'),
('95300','LIVILLIERS','VAL D\'OISE'),
('95310','ST OUEN L AUMONE','VAL D\'OISE'),
('95320','ST LEU LA FORET','VAL D\'OISE'),
('95330','DOMONT','VAL D\'OISE'),
('95340','BERNES SUR OISE','VAL D\'OISE'),
('95340','PERSAN','VAL D\'OISE'),
('95340','RONQUEROLLES','VAL D\'OISE'),
('95350','PISCOP','VAL D\'OISE'),
('95350','ST BRICE SOUS FORET','VAL D\'OISE'),
('95360','MONTMAGNY','VAL D\'OISE'),
('95370','MONTIGNY LES CORMEILLES','VAL D\'OISE'),
('95380','CHENNEVIERES LES LOUVRES','VAL D\'OISE'),
('95380','EPIAIS LEZ LOUVRES','VAL D\'OISE'),
('95380','LOUVRES','VAL D\'OISE'),
('95380','PUISEUX EN FRANCE','VAL D\'OISE'),
('95380','VILLERON','VAL D\'OISE'),
('95390','ST PRIX','VAL D\'OISE'),
('95400','ARNOUVILLE LES GONESSE','VAL D\'OISE'),
('95400','VILLIERS LE BEL','VAL D\'OISE'),
('95410','GROSLAY','VAL D\'OISE'),
('95420','ARTHIES','VAL D\'OISE'),
('95420','BANTHELU','VAL D\'OISE'),
('95420','LA CHAPELLE EN VEXIN','VAL D\'OISE'),
('95420','CHARMONT','VAL D\'OISE'),
('95420','CLERY EN VEXIN','VAL D\'OISE'),
('95420','GENAINVILLE','VAL D\'OISE'),
('95420','HODENT','VAL D\'OISE'),
('95420','MAGNY EN VEXIN','VAL D\'OISE'),
('95420','MAUDETOUR EN VEXIN','VAL D\'OISE'),
('95420','NUCOURT','VAL D\'OISE'),
('95420','OMERVILLE','VAL D\'OISE'),
('95420','ST GERVAIS','VAL D\'OISE'),
('95420','WY DIT JOLI VILLAGE','VAL D\'OISE'),
('95420','LE VAUMION','VAL D\'OISE'),
('95430','AUVERS SUR OISE','VAL D\'OISE'),
('95430','BUTRY SUR OISE','VAL D\'OISE'),
('95440','ECOUEN','VAL D\'OISE'),
('95450','ABLEIGES','VAL D\'OISE'),
('95450','AVERNES','VAL D\'OISE'),
('95450','COMMENY','VAL D\'OISE'),
('95450','CONDECOURT','VAL D\'OISE'),
('95450','FREMAINVILLE','VAL D\'OISE'),
('95450','GADANCOURT','VAL D\'OISE'),
('95450','GOUZANGREZ','VAL D\'OISE'),
('95450','GUIRY EN VEXIN','VAL D\'OISE'),
('95450','LONGUESSE','VAL D\'OISE'),
('95450','LE PERCHAY','VAL D\'OISE'),
('95450','SAGY','VAL D\'OISE'),
('95450','SERAINCOURT','VAL D\'OISE'),
('95450','THEMERICOURT','VAL D\'OISE'),
('95450','US','VAL D\'OISE'),
('95450','VIGNY','VAL D\'OISE'),
('95460','EZANVILLE','VAL D\'OISE'),
('95470','FOSSES','VAL D\'OISE'),
('95470','ST WITZ','VAL D\'OISE'),
('95470','SURVILLIERS','VAL D\'OISE'),
('95470','VEMARS','VAL D\'OISE'),
('95480','PIERRELAYE','VAL D\'OISE'),
('95490','VAUREAL','VAL D\'OISE'),
('95500','BONNEUIL EN FRANCE','VAL D\'OISE'),
('95500','GONESSE','VAL D\'OISE'),
('95500','LE THILLAY','VAL D\'OISE'),
('95500','VAUDHERLAND','VAL D\'OISE'),
('95510','AINCOURT','VAL D\'OISE'),
('95510','AMENUCOURT','VAL D\'OISE'),
('95510','CHERENCE','VAL D\'OISE'),
('95510','ST CYR EN ARTHIES','VAL D\'OISE'),
('95510','VETHEUIL','VAL D\'OISE'),
('95510','VIENNE EN ARTHIES','VAL D\'OISE'),
('95510','VILLERS EN ARTHIES','VAL D\'OISE'),
('95520','OSNY','VAL D\'OISE'),
('95530','FRETTE SUR SEINE','VAL D\'OISE'),
('95540','MERY SUR OISE','VAL D\'OISE'),
('95550','BESSANCOURT','VAL D\'OISE'),
('95560','BAILLET EN FRANCE','VAL D\'OISE'),
('95560','CHAUVRY','VAL D\'OISE'),
('95560','MAFFLIERS','VAL D\'OISE'),
('95560','MONTSOULT','VAL D\'OISE'),
('95570','ATTAINVILLE','VAL D\'OISE'),
('95570','BOUFFEMONT','VAL D\'OISE'),
('95570','MOISSELLES','VAL D\'OISE'),
('95570','VILLAINES SOUS BOIS','VAL D\'OISE'),
('95580','ANDILLY','VAL D\'OISE'),
('95580','MARGENCY','VAL D\'OISE'),
('95590','NERVILLE LA FORET','VAL D\'OISE'),
('95590','NOINTEL','VAL D\'OISE'),
('95590','PRESLES','VAL D\'OISE'),
('95600','EAUBONNE','VAL D\'OISE'),
('95610','ERAGNY','VAL D\'OISE'),
('95620','PARMAIN','VAL D\'OISE'),
('95630','MERIEL','VAL D\'OISE'),
('95640','BREANCON','VAL D\'OISE'),
('95640','BRIGNANCOURT','VAL D\'OISE'),
('95640','HARAVILLIERS','VAL D\'OISE'),
('95640','LE HEAULME','VAL D\'OISE'),
('95640','MARINES','VAL D\'OISE'),
('95640','MOUSSY','VAL D\'OISE'),
('95640','NEUILLY EN VEXIN','VAL D\'OISE'),
('95640','SANTEUIL','VAL D\'OISE'),
('95650','BOISSY L AILLERIE','VAL D\'OISE'),
('95650','COURCELLES SUR VIOSNE','VAL D\'OISE'),
('95650','GENICOURT','VAL D\'OISE'),
('95650','MONTGEROULT','VAL D\'OISE'),
('95650','PUISEUX PONTOISE','VAL D\'OISE'),
('95660','CHAMPAGNE SUR OISE','VAL D\'OISE'),
('95670','MARLY LA VILLE','VAL D\'OISE');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('95680','MONTLIGNON','VAL D\'OISE'),
('95690','FROUVILLE','VAL D\'OISE'),
('95690','HEDOUVILLE','VAL D\'OISE'),
('95690','LABBEVILLE','VAL D\'OISE'),
('95690','NESLES LA VALLEE','VAL D\'OISE'),
('95700','ROISSY EN FRANCE','VAL D\'OISE'),
('95700','ROISSY AEROPORT CH DE GAU','VAL D\'OISE'),
('95710','AMBLEVILLE','VAL D\'OISE'),
('95710','BRAY ET LU','VAL D\'OISE'),
('95710','CHAUSSY','VAL D\'OISE'),
('95720','BOUQUEVAL','VAL D\'OISE'),
('95720','LE MESNIL AUBRY','VAL D\'OISE'),
('95720','LE PLESSIS GASSOT','VAL D\'OISE'),
('95720','VILLIERS LE SEC','VAL D\'OISE'),
('95740','FREPILLON','VAL D\'OISE'),
('95750','LE BELLAY EN VEXIN','VAL D\'OISE'),
('95750','CHARS','VAL D\'OISE'),
('95760','VALMONDOIS','VAL D\'OISE'),
('95770','BUHY','VAL D\'OISE'),
('95770','MONTREUIL SUR EPTE','VAL D\'OISE'),
('95770','ST CLAIR SUR EPTE','VAL D\'OISE'),
('95780','HAUTE ISLE','VAL D\'OISE'),
('95780','LA ROCHE GUYON','VAL D\'OISE'),
('95800','COURDIMANCHE','VAL D\'OISE'),
('95810','ARRONVILLE','VAL D\'OISE'),
('95810','BERVILLE','VAL D\'OISE'),
('95810','EPIAIS RHUS','VAL D\'OISE'),
('95810','GRISY LES PLATRES','VAL D\'OISE'),
('95810','MENOUVILLE','VAL D\'OISE'),
('95810','THEUVILLE','VAL D\'OISE'),
('95810','VALLANGOUJARD','VAL D\'OISE'),
('95820','BRUYERES SUR OISE','VAL D\'OISE'),
('95830','CORMEILLES EN VEXIN','VAL D\'OISE'),
('95830','FREMECOURT','VAL D\'OISE'),
('95840','BETHEMONT LA FORET','VAL D\'OISE'),
('95840','VILLIERS ADAM','VAL D\'OISE'),
('95850','JAGNY SOUS BOIS','VAL D\'OISE'),
('95850','MAREIL EN FRANCE','VAL D\'OISE'),
('95870','BEZONS','VAL D\'OISE'),
('95880','ENGHIEN LES BAINS','VAL D\'OISE'),
('97100','BASSE TERRE','GUADELOUPE'),
('97110','POINTE A PITRE','GUADELOUPE'),
('97111','MORNE A L EAU','GUADELOUPE'),
('97112','GRAND BOURG','GUADELOUPE'),
('97113','GOURBEYRE','GUADELOUPE'),
('97114','TROIS RIVIERES','GUADELOUPE'),
('97115','STE ROSE','GUADELOUPE'),
('97116','POINTE NOIRE','GUADELOUPE'),
('97117','PORT LOUIS','GUADELOUPE'),
('97118','ST FRANCOIS','GUADELOUPE'),
('97119','VIEUX HABITANTS','GUADELOUPE'),
('97120','ST CLAUDE','GUADELOUPE'),
('97121','ANSE BERTRAND','GUADELOUPE'),
('97122','BAIE MAHAULT','GUADELOUPE'),
('97123','BAILLIF','GUADELOUPE'),
('97125','BOUILLANTE','GUADELOUPE'),
('97126','DESHAIES','GUADELOUPE'),
('97127','LA DESIRADE','GUADELOUPE'),
('97128','GOYAVE','GUADELOUPE'),
('97129','LAMENTIN','GUADELOUPE'),
('97130','CAPESTERRE BELLE EAU','GUADELOUPE'),
('97130','BANANIER','GUADELOUPE'),
('97130','STE MARIE','GUADELOUPE'),
('97131','PETIT CANAL','GUADELOUPE'),
('97131','LES MANGLES','GUADELOUPE'),
('97132','PIGEON','GUADELOUPE'),
('97133','ST BARTHELEMY','GUADELOUPE'),
('97134','ST LOUIS','GUADELOUPE'),
('97136','TERRE DE BAS','GUADELOUPE'),
('97137','TERRE DE HAUT','GUADELOUPE'),
('97139','LES ABYMES','GUADELOUPE'),
('97140','CAPESTERRE DE MARIE GALAN','GUADELOUPE'),
('97141','VIEUX FORT','GUADELOUPE'),
('97150','ST MARTIN','GUADELOUPE'),
('97160','LE MOULE','GUADELOUPE'),
('97170','PETIT BOURG','GUADELOUPE'),
('97180','STE ANNE','GUADELOUPE'),
('97180','DOUVILLE','GUADELOUPE'),
('97190','LE GOSIER','GUADELOUPE'),
('97200','FORT DE FRANCE','MARTINIQUE'),
('97211','RIVIERE PILOTE','MARTINIQUE'),
('97212','ST JOSEPH','MARTINIQUE'),
('97213','GROS MORNE','MARTINIQUE'),
('97214','LE LORRAIN','MARTINIQUE'),
('97215','RIVIERE SALEE','MARTINIQUE'),
('97215','RIVIERE SALEE PETIT BOURG','MARTINIQUE'),
('97216','L AJOUPA BOUILLON','MARTINIQUE'),
('97217','LES ANSES D ARLETS','MARTINIQUE'),
('97218','BASSE POINTE','MARTINIQUE'),
('97218','GRAND RIVIERE','MARTINIQUE'),
('97218','MACOUBA','MARTINIQUE'),
('97220','LA TRINITE','MARTINIQUE'),
('97221','LE CARBET','MARTINIQUE'),
('97222','CASE PILOTE','MARTINIQUE'),
('97222','BELLEFONTAINE','MARTINIQUE'),
('97223','LE DIAMANT','MARTINIQUE'),
('97224','DUCOS','MARTINIQUE'),
('97225','LE MARIGOT','MARTINIQUE'),
('97226','LE MORNE VERT','MARTINIQUE'),
('97227','STE ANNE','MARTINIQUE'),
('97228','STE LUCE','MARTINIQUE'),
('97229','LES TROIS ILETS','MARTINIQUE'),
('97230','STE MARIE','MARTINIQUE'),
('97230','MORNE DES ESSES','MARTINIQUE'),
('97231','LE ROBERT','MARTINIQUE'),
('97231','VERT PRE','MARTINIQUE'),
('97232','LE LAMENTIN','MARTINIQUE'),
('97233','SCHOELCHER','MARTINIQUE'),
('97240','LE FRANCOIS','MARTINIQUE'),
('97250','FONDS ST DENIS','MARTINIQUE'),
('97250','LE PRECHEUR','MARTINIQUE'),
('97250','ST PIERRE','MARTINIQUE'),
('97260','LE MORNE ROUGE','MARTINIQUE'),
('97270','ST ESPRIT','MARTINIQUE'),
('97280','LE VAUCLIN','MARTINIQUE'),
('97290','LE MARIN','MARTINIQUE'),
('97300','CAYENNE','GUYANE'),
('97300','MONTSINERY TONNEGRANDE','GUYANE'),
('97310','KOUROU','GUYANE'),
('97311','ROURA','GUYANE'),
('97312','ST ELIE','GUYANE'),
('97313','ST GEORGES','GUYANE'),
('97314','SAUL','GUYANE'),
('97315','SINNAMARY','GUYANE'),
('97317','APATOU','GUYANE'),
('97318','JAVOUHEY','GUYANE'),
('97320','ST LAURENT DU MARONI','GUYANE'),
('97330','CAMOPI','GUYANE'),
('97340','GRAND SANTI','GUYANE'),
('97350','IRACOUBO','GUYANE'),
('97351','MATOURY','GUYANE'),
('97352','LA COMTE','GUYANE'),
('97353','KAW','GUYANE'),
('97354','REMIRE MONTJOLY','GUYANE'),
('97355','MACOURIA','GUYANE'),
('97360','MANA','GUYANE'),
('97370','MARIPASOULA','GUYANE'),
('97380','OUANARY','GUYANE'),
('97390','REGINA','GUYANE'),
('97400','ST DENIS','REUNION'),
('97400','ST DENIS TADAR','REUNION'),
('97400','ST DENIS CAMELIAS','REUNION'),
('97400','LE BRULE','REUNION'),
('97400','ST FRANCOIS','REUNION'),
('97400','BELLE PIERRE','REUNION'),
('97410','ST PIERRE','REUNION'),
('97410','RAVINE BLANCHE','REUNION'),
('97410','GRAND BOIS','REUNION'),
('97410','MONT VERT','REUNION'),
('97410','TERRE STE','REUNION'),
('97410','BASSE TERRE','REUNION'),
('97411','BOIS DE NEFLES ST PAUL','REUNION'),
('97412','BRAS PANON','REUNION'),
('97412','RIVIERE DU MAT','REUNION'),
('97413','CILAOS','REUNION'),
('97413','PALMISTE ROUGE','REUNION'),
('97414','ENTRE DEUX','REUNION'),
('97416','LA CHALOUPE','REUNION'),
('97417','ST BERNARD','REUNION'),
('97417','LA MONTAGNE','REUNION'),
('97418','LA PLAINE DES CAFRES','REUNION'),
('97419','LA POSSESSION','REUNION'),
('97419','LA RIVIERE DES GALETS','REUNION'),
('97419','LE DOS D ANE','REUNION'),
('97419','STE THERESE','REUNION'),
('97420','LE PORT','REUNION'),
('97420','LE PORT ZUP','REUNION'),
('97420','LE PORT MARINE','REUNION'),
('97421','LA RIVIERE','REUNION'),
('97421','LES MAKES','REUNION'),
('97422','LA SALINE','REUNION'),
('97423','LE GUILLAUME','REUNION'),
('97424','LE PITON ST LEU','REUNION'),
('97424','LE PLATE','REUNION'),
('97425','LES AVIRONS','REUNION'),
('97425','TEVELAVE','REUNION'),
('97426','LES TROIS BASSINS','REUNION'),
('97427','L ETANG SALE','REUNION'),
('97427','L ETANG SALE LES BAINS','REUNION'),
('97428','LA NOUVELLE','REUNION'),
('97429','PETITE ILE','REUNION'),
('97429','PITON GOYAVES','REUNION'),
('97430','LE TAMPON','REUNION'),
('97430','TAMPON 17EME KM','REUNION'),
('97430','LE QUATORZIEME','REUNION'),
('97430','PONT D YVES','REUNION'),
('97430','LES TROIS MARES','REUNION'),
('97431','LA PLAINE DES PALMISTES','REUNION'),
('97432','RAVINE DES CABRIS','REUNION'),
('97433','SALAZIE','REUNION'),
('97433','HELL BOURG','REUNION'),
('97434','ST GILLES LES BAINS','REUNION'),
('97434','LA SALINE LES BAINS','REUNION'),
('97435','ST GILLES LES HAUTS','REUNION'),
('97435','BERNICA','REUNION'),
('97435','TAN ROUGE','REUNION'),
('97436','ST LEU','REUNION'),
('97437','STE ANNE','REUNION'),
('97438','STE MARIE','REUNION'),
('97438','LA GRANDE MONTEE','REUNION');
INSERT INTO zipcode (CODE,CITY,DEP) VALUES
('97438','GILLOT','REUNION'),
('97438','RIVIERE DES PLUIES','REUNION'),
('97439','STE ROSE','REUNION'),
('97439','LE PITON STE ROSE','REUNION'),
('97440','ST ANDRE','REUNION'),
('97440','CAMBUSTON','REUNION'),
('97440','LA CRESSONNIERE','REUNION'),
('97441','STE SUZANNE','REUNION'),
('97442','ST PHILIPPE','REUNION'),
('97442','BASSE VALLEE','REUNION'),
('97460','ST PAUL','REUNION'),
('97460','PLATEAU CAILLOUX','REUNION'),
('97460','BELLEMENE','REUNION'),
('97470','ST BENOIT','REUNION'),
('97470','BEAUFONDS','REUNION'),
('97480','ST JOSEPH','REUNION'),
('97480','JEAN PETIT','REUNION'),
('97480','LES LIANES','REUNION'),
('97480','VINCENDO','REUNION'),
('97490','STE CLOTILDE','REUNION'),
('97490','ST DENIS CHAUDRON','REUNION'),
('97490','BOIS DE NEFLES','REUNION'),
('97490','MOUFIA','REUNION'),
('97490','LA BRETAGNE','REUNION'),
('97500','MIQUELON LANGLADE','ST PIERRE ET MIQUELON'),
('97500','ST PIERRE','ST PIERRE ET MIQUELON'),
('97500','LANGLADE','ST PIERRE ET MIQUELON'),
('97600','ACOUA','MAYOTTE'),
('97600','BANDRELE','MAYOTTE'),
('97600','BOUENI','MAYOTTE'),
('97600','CHICONI','MAYOTTE'),
('97600','MAMOUDZOU','MAYOTTE'),
('97600','MTSANGAMOUJI','MAYOTTE'),
('97600','OUANGANI','MAYOTTE'),
('97600','TSINGONI','MAYOTTE'),
('97600','KAWENI','MAYOTTE'),
('97610','DZAOUDZI','MAYOTTE'),
('97610','PAMANDZI','MAYOTTE'),
('97610','LABATTOIR','MAYOTTE'),
('97620','CHIRONGUI','MAYOTTE'),
('97625','KANI KELI','MAYOTTE'),
('97630','MTSAMBORO','MAYOTTE'),
('97640','SADA','MAYOTTE'),
('97650','BANDRABOUA','MAYOTTE'),
('97650','DZOUMOGNE','MAYOTTE'),
('97660','DEMBENI','MAYOTTE'),
('97670','COCONI','MAYOTTE'),
('97680','COMBANI','MAYOTTE'),
('97690','KOUNGOU','MAYOTTE'),
('98600','UVEA','WALLIS ET FUTUNA'),
('98610','ALO','WALLIS ET FUTUNA'),
('98620','SIGAVE','WALLIS ET FUTUNA'),
('98701','ARUE','POLYNESIE FRANCAISE'),
('98704','FAAA','POLYNESIE FRANCAISE'),
('98705','HITIAA O TE RA','POLYNESIE FRANCAISE'),
('98706','MAHAENA','POLYNESIE FRANCAISE'),
('98707','PAPENOO','POLYNESIE FRANCAISE'),
('98708','TIAREI','POLYNESIE FRANCAISE'),
('98709','MAHINA','POLYNESIE FRANCAISE'),
('98711','PAEA','POLYNESIE FRANCAISE'),
('98712','PAPARA','POLYNESIE FRANCAISE'),
('98714','PAPEETE','POLYNESIE FRANCAISE'),
('98716','PIRAE','POLYNESIE FRANCAISE'),
('98718','PUNAAUIA','POLYNESIE FRANCAISE'),
('98719','AFAAHITI','POLYNESIE FRANCAISE'),
('98720','FAAONE','POLYNESIE FRANCAISE'),
('98721','PUEU','POLYNESIE FRANCAISE'),
('98722','TAUTIRA','POLYNESIE FRANCAISE'),
('98723','TEAHUPOO','POLYNESIE FRANCAISE'),
('98724','TOAHOTU','POLYNESIE FRANCAISE'),
('98725','VAIRAO','POLYNESIE FRANCAISE'),
('98726','TEVA I UTA','POLYNESIE FRANCAISE'),
('98727','PAPEARI','POLYNESIE FRANCAISE'),
('98728','MOOREA MAIAO','POLYNESIE FRANCAISE'),
('98729','PAPETOAI','POLYNESIE FRANCAISE'),
('98731','HUAHINE','POLYNESIE FRANCAISE'),
('98732','MAUPITI','POLYNESIE FRANCAISE'),
('98733','TAHAA','POLYNESIE FRANCAISE'),
('98735','TAPUTAPUATEA','POLYNESIE FRANCAISE'),
('98735','TUMARAA','POLYNESIE FRANCAISE'),
('98735','UTUROA','POLYNESIE FRANCAISE'),
('98741','HIVA OA','POLYNESIE FRANCAISE'),
('98742','NUKU HIVA','POLYNESIE FRANCAISE'),
('98743','TAHUATA','POLYNESIE FRANCAISE'),
('98744','UA HUKA','POLYNESIE FRANCAISE'),
('98745','UA POU','POLYNESIE FRANCAISE'),
('98750','RAIVAVAE','POLYNESIE FRANCAISE'),
('98751','RAPA','POLYNESIE FRANCAISE'),
('98753','RURUTU','POLYNESIE FRANCAISE'),
('98754','TUBUAI','POLYNESIE FRANCAISE'),
('98760','ANAA','POLYNESIE FRANCAISE'),
('98761','ARUTUA','POLYNESIE FRANCAISE'),
('98762','NIUTAHI','POLYNESIE FRANCAISE'),
('98764','ARATIKA','POLYNESIE FRANCAISE'),
('98767','HAO','POLYNESIE FRANCAISE'),
('98768','HIKUERU','POLYNESIE FRANCAISE'),
('98769','MAKEMO','POLYNESIE FRANCAISE'),
('98770','KATIU','POLYNESIE FRANCAISE'),
('98771','MANIHI','POLYNESIE FRANCAISE'),
('98772','NAPUKA','POLYNESIE FRANCAISE'),
('98773','NUKUTAVAKE','POLYNESIE FRANCAISE'),
('98774','PUKAPUKA','POLYNESIE FRANCAISE'),
('98776','RANGIROA','POLYNESIE FRANCAISE'),
('98777','MATAIVA','POLYNESIE FRANCAISE'),
('98778','TIKEHAU','POLYNESIE FRANCAISE'),
('98779','REAO','POLYNESIE FRANCAISE'),
('98780','PUKARUA','POLYNESIE FRANCAISE'),
('98781','TAKAROA','POLYNESIE FRANCAISE'),
('98783','TATAKOTO','POLYNESIE FRANCAISE'),
('98784','TUREIA','POLYNESIE FRANCAISE'),
('98793','MARUTEA SUD','POLYNESIE FRANCAISE'),
('98794','MAROTIRI','POLYNESIE FRANCAISE'),
('98795','MARIA','POLYNESIE FRANCAISE'),
('98799','ILE DE CLIPPERTON','POLYNESIE FRANCAISE'),
('98800','NOUMEA','NOUVELLE-CALEDONIE'),
('98810','MONT DORE','NOUVELLE-CALEDONIE'),
('98814','OUVEA','NOUVELLE-CALEDONIE'),
('98816','HOUAILOU','NOUVELLE-CALEDONIE'),
('98817','KAALA GOMEN','NOUVELLE-CALEDONIE'),
('98818','KOUAOUA','NOUVELLE-CALEDONIE'),
('98819','MOINDOU','NOUVELLE-CALEDONIE'),
('98821','OUEGOA','NOUVELLE-CALEDONIE'),
('98822','POINDIMIE','NOUVELLE-CALEDONIE'),
('98823','PONERIHOUEN','NOUVELLE-CALEDONIE'),
('98824','POUEBO','NOUVELLE-CALEDONIE'),
('98825','POUEMBOUT','NOUVELLE-CALEDONIE'),
('98826','POUM','NOUVELLE-CALEDONIE'),
('98827','POYA','NOUVELLE-CALEDONIE'),
('98828','MARE','NOUVELLE-CALEDONIE'),
('98829','THIO','NOUVELLE-CALEDONIE'),
('98830','DUMBEA','NOUVELLE-CALEDONIE'),
('98831','TOUHO','NOUVELLE-CALEDONIE'),
('98832','ILE DES PINS','NOUVELLE-CALEDONIE'),
('98834','YATE','NOUVELLE-CALEDONIE'),
('98840','TONTOUTA','NOUVELLE-CALEDONIE'),
('98850','KOUMAC','NOUVELLE-CALEDONIE'),
('98860','KONE','NOUVELLE-CALEDONIE'),
('98880','LA FOA','NOUVELLE-CALEDONIE'),
('98880','SARRAMEA','NOUVELLE-CALEDONIE'),
('98890','PAITA','NOUVELLE-CALEDONIE'),
('99000','MONACO','MONACO');